library iEEE;
use ieee.numeric_STD.all;
use iEEE.STD_logiC_1164.all;
library FUSIOn;
entity COREAI_L is
generic (APB_16BIT_DATA: INTEGER range 0 to 1 := 0); port (COREAI_I: in std_logic;
WCLK: in sTD_LOGIc;
RCLK: in STd_logic;
COREAI_ol: in STD_logic;
COREAI_LL: in std_LOGIC;
COREAI_il: in std_logIC_VECTOr(11 downto 0);
COREAI_oi: in std_logic_vECTOR(11 downto 0);
D: in STD_LOGic_vector(15 downto 0);
COREAI_LI: out STD_LOgic_vector(15 downto 0);
FULL: out std_lOGIC;
EMPTY: out STD_LOGic;
AEMPTY: out STd_logic;
AFULL: out std_logiC);
end COREAI_l;

architecture COREAI_lOO1 of COREAI_l is

component FIFO4K18
port (AEVAL11: in sTD_LOGIc;
AEVAL10: in std_logic;
AEVAL9: in std_lOGIC;
AEVAL8: in STD_LOGic;
AEVAL7: in STD_logic;
AEVAL6: in std_logic;
AEVAL5: in std_loGIC;
AEVAL4: in STD_logic;
AEVAL3: in STD_Logic;
AEVAL2: in std_LOGIC;
AEVAL1: in STD_logic;
AEVAL0: in STD_logic;
AFVAL11: in std_logiC;
AFVAL10: in std_logic;
AFVAL9: in Std_logic;
AFVAL8: in std_lOGIC;
AFVAL7: in STd_logic;
AFVAL6: in Std_logic;
AFVAL5: in std_LOGIC;
AFVAL4: in STD_logic;
AFVAL3: in std_LOGIC;
AFVAL2: in STD_LOgic;
AFVAL1: in std_logic;
AFVAL0: in std_LOGIC;
REN: in std_LOGIC;
RBLK: in std_logic;
RCLK: in Std_logic;
RESET: in std_logiC;
RPIPE: in Std_logic;
WEN: in std_loGIC;
WBLK: in stD_LOGIC;
WCLK: in STd_logic;
RW2: in STD_logic;
RW1: in STD_Logic;
RW0: in STD_logic;
WW2: in std_logIC;
WW1: in stD_LOGIC;
WW0: in std_logIC;
ESTOP: in std_logic;
FSTOP: in sTD_LOGIc;
WD17: in std_logic;
WD16: in std_LOGIC;
WD15: in std_logIC;
WD14: in std_logIC;
WD13: in Std_logic;
WD12: in STd_logic;
WD11: in STD_logic;
WD10: in sTD_LOGIc;
WD9: in std_LOGIC;
WD8: in std_loGIC;
WD7: in STD_LOGIc;
WD6: in std_LOGIC;
WD5: in std_lOGIC;
WD4: in std_logiC;
WD3: in STD_logic;
WD2: in std_logic;
WD1: in STD_logic;
WD0: in STD_logic;
RD17: out Std_logic;
RD16: out STd_logic;
RD15: out std_logic;
RD14: out std_logiC;
RD13: out std_lOGIC;
RD12: out sTD_LOGIC;
RD11: out STD_logic;
RD10: out STD_LOgic;
RD9: out std_logIC;
RD8: out std_lOGIC;
RD7: out std_lOGIC;
RD6: out stD_LOGIC;
RD5: out std_logIC;
RD4: out std_logic;
RD3: out Std_logic;
RD2: out Std_logic;
RD1: out STD_LOGic;
RD0: out STd_logic;
FULL: out STD_logic;
AFULL: out std_logIC;
EMPTY: out STD_logic;
AEMPTY: out STD_logic);
end component;

signal COREAI_IOO1: std_lOGIC;

signal COREAI_olo1: STD_logic;

signal COREAI_lLO1: std_logic;

signal RW0: Std_logic;

signal RW1: std_LOGIC;

signal RW2: std_logic;

begin
COREAI_ioo1 <= '1';
COREAI_OLo1 <= '0';
COREAI_Llo1 <= not COREAI_ol;
COREAI_ilo1:
if (APB_16BIT_DATA = 1)
generate
RW0 <= '0';
RW1 <= '0';
RW2 <= '1';
end generate;
COREAI_oio1:
if (APB_16BIT_DATA = 0)
generate
RW0 <= '1';
RW1 <= '1';
RW2 <= '0';
end generate;
COREAI_lio1: FIFO4K18
port map (AEVAL11 => COREAI_iL(11),
AEVAL10 => COREAI_Il(10),
AEVAL9 => COREAI_il(9),
AEVAL8 => COREAI_IL(8),
AEVAL7 => COREAI_IL(7),
AEVAL6 => COREAI_il(6),
AEVAL5 => COREAI_il(5),
AEVAL4 => COREAI_IL(4),
AEVAL3 => COREAI_IL(3),
AEVAL2 => COREAI_IL(2),
AEVAL1 => COREAI_il(1),
AEVAL0 => COREAI_il(0),
AFVAL11 => COREAI_OI(11),
AFVAL10 => COREAI_oI(10),
AFVAL9 => COREAI_oi(9),
AFVAL8 => COREAI_Oi(8),
AFVAL7 => COREAI_oi(7),
AFVAL6 => COREAI_OI(6),
AFVAL5 => COREAI_oi(5),
AFVAL4 => COREAI_oi(4),
AFVAL3 => COREAI_oI(3),
AFVAL2 => COREAI_oi(2),
AFVAL1 => COREAI_OI(1),
AFVAL0 => COREAI_oi(0),
WD17 => COREAI_olo1,
WD16 => D(15),
WD15 => D(14),
WD14 => D(13),
WD13 => D(12),
WD12 => D(11),
WD11 => D(10),
WD10 => D(9),
WD9 => D(8),
WD8 => COREAI_OLO1,
WD7 => D(7),
WD6 => D(6),
WD5 => D(5),
WD4 => D(4),
WD3 => D(3),
WD2 => D(2),
WD1 => D(1),
WD0 => D(0),
WW0 => COREAI_Olo1,
WW1 => COREAI_olo1,
WW2 => COREAI_ioo1,
RW0 => RW0,
RW1 => RW1,
RW2 => RW2,
RPIPE => COREAI_OLO1,
WEN => COREAI_LLO1,
REN => COREAI_lL,
WBLK => COREAI_olO1,
RBLK => COREAI_olo1,
WCLK => WCLK,
RCLK => RCLK,
RESET => COREAI_i,
ESTOP => COREAI_ioo1,
FSTOP => COREAI_ioo1,
RD17 => open ,
RD16 => COREAI_LI(15),
RD15 => COREAI_li(14),
RD14 => COREAI_lI(13),
RD13 => COREAI_li(12),
RD12 => COREAI_LI(11),
RD11 => COREAI_li(10),
RD10 => COREAI_li(9),
RD9 => COREAI_lI(8),
RD8 => open ,
RD7 => COREAI_li(7),
RD6 => COREAI_LI(6),
RD5 => COREAI_li(5),
RD4 => COREAI_LI(4),
RD3 => COREAI_li(3),
RD2 => COREAI_li(2),
RD1 => COREAI_lI(1),
RD0 => COREAI_li(0),
FULL => FULL,
AFULL => AFULL,
EMPTY => EMPTY,
AEMPTY => AEMPTY);
end COREAI_LOo1;
