----------------------------------------------------------------------
-- Created by Actel SmartDesign Mon Mar 23 10:54:53 2009
----------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity testbench is
end testbench;

architecture behavioral of testbench is

    constant SYSCLK_PERIOD : time := 100 ns;

    signal SYSCLK : std_logic := '0';
    signal NSYSRESET : std_logic := '0';

    component Core8051S_sub
        -- ports
        port( 
            -- Inputs
            SYSCLK : in std_logic;
            AV0 : in std_logic;
            AC0 : in std_logic;
            AT0 : in std_logic;
            AV1 : in std_logic;
            AC1 : in std_logic;
            AT1 : in std_logic;
            AV2 : in std_logic;
            AC2 : in std_logic;
            AT2 : in std_logic;
            AV3 : in std_logic;
            AC3 : in std_logic;
            AT3 : in std_logic;
            AV4 : in std_logic;
            AC4 : in std_logic;
            AT4 : in std_logic;
            AV5 : in std_logic;
            AC5 : in std_logic;
            AT5 : in std_logic;
            AV6 : in std_logic;
            AC6 : in std_logic;
            AT6 : in std_logic;
            AV7 : in std_logic;
            AC7 : in std_logic;
            AT7 : in std_logic;
            AV8 : in std_logic;
            AC8 : in std_logic;
            AT8 : in std_logic;
            AV9 : in std_logic;
            AC9 : in std_logic;
            AT9 : in std_logic;
            ATRETURN0 : in std_logic;
            ATRETURN1 : in std_logic;
            ATRETURN2 : in std_logic;
            ATRETURN3 : in std_logic;
            ATRETURN4 : in std_logic;
            GNDREF : in std_logic;
            MEMPSACKI : in std_logic;
            MEMACKI : in std_logic;
            TCK : in std_logic;
            TMS : in std_logic;
            TDI : in std_logic;
            TRSTN : in std_logic;
            BREAKIN : in std_logic;
            RX : in std_logic;
            EXTIRQ : in std_logic;
            NSYSRESET : in std_logic;
            MEMDATAI : in std_logic_vector(7 downto 0);
            MEMBANK : in std_logic_vector(3 downto 0);
            dataIn : in std_logic_vector(31 downto 0);

            -- Outputs
            AG0 : out std_logic;
            AG1 : out std_logic;
            AG2 : out std_logic;
            AG3 : out std_logic;
            AG4 : out std_logic;
            AG5 : out std_logic;
            AG6 : out std_logic;
            AG7 : out std_logic;
            AG8 : out std_logic;
            AG9 : out std_logic;
            MEMPSRD : out std_logic;
            MEMWR : out std_logic;
            MEMRD : out std_logic;
            TDO : out std_logic;
            BREAKOUT : out std_logic;
            TRIGOUT : out std_logic;
            AUXOUT : out std_logic;
            DBGMEMPSWR : out std_logic;
            TX : out std_logic;
            MOVX : out std_logic;
            MEMDATAO : out std_logic_vector(7 downto 0);
            MEMADDR : out std_logic_vector(15 downto 0);
            dataOut : out std_logic_vector(31 downto 0);

            -- Inouts
            VAREF : inout std_logic

        );
    end component;

begin

    process
        variable vhdl_initial : BOOLEAN := TRUE;

    begin
        if ( vhdl_initial ) then
            -- Assert Reset
            NSYSRESET <= '0';
            wait for ( SYSCLK_PERIOD * 10 );
            
            NSYSRESET <= '1';
            wait;
        end if;
    end process;

    -- 10MHz Clock Driver
    SYSCLK <= not SYSCLK after (SYSCLK_PERIOD / 2);

    -- Instantiate Unit Under Test:  Core8051S_sub
    Core8051S_sub_0 : Core8051S_sub
        -- port map
        port map( 
            -- Inputs
            SYSCLK => SYSCLK,
            AV0 => '0',
            AC0 => '0',
            AT0 => '0',
            AV1 => '0',
            AC1 => '0',
            AT1 => '0',
            AV2 => '0',
            AC2 => '0',
            AT2 => '0',
            AV3 => '0',
            AC3 => '0',
            AT3 => '0',
            AV4 => '0',
            AC4 => '0',
            AT4 => '0',
            AV5 => '0',
            AC5 => '0',
            AT5 => '0',
            AV6 => '0',
            AC6 => '0',
            AT6 => '0',
            AV7 => '0',
            AC7 => '0',
            AT7 => '0',
            AV8 => '0',
            AC8 => '0',
            AT8 => '0',
            AV9 => '0',
            AC9 => '0',
            AT9 => '0',
            ATRETURN0 => '0',
            ATRETURN1 => '0',
            ATRETURN2 => '0',
            ATRETURN3 => '0',
            ATRETURN4 => '0',
            GNDREF => '0',
            MEMPSACKI => '0',
            MEMACKI => '0',
            TCK => '0',
            TMS => '0',
            TDI => '0',
            TRSTN => NSYSRESET,
            BREAKIN => '0',
            RX => '0',
            EXTIRQ => '0',
            NSYSRESET => NSYSRESET,
            MEMDATAI => (others=> '0'),
            MEMBANK => (others=> '0'),
            dataIn => (others=> '0'),

            -- Outputs
            AG0 =>  open,
            AG1 =>  open,
            AG2 =>  open,
            AG3 =>  open,
            AG4 =>  open,
            AG5 =>  open,
            AG6 =>  open,
            AG7 =>  open,
            AG8 =>  open,
            AG9 =>  open,
            MEMPSRD =>  open,
            MEMWR =>  open,
            MEMRD =>  open,
            TDO =>  open,
            BREAKOUT =>  open,
            TRIGOUT =>  open,
            AUXOUT =>  open,
            DBGMEMPSWR =>  open,
            TX =>  open,
            MOVX =>  open,
            MEMDATAO => open,
            MEMADDR => open,
            dataOut => open,

            -- Inouts
            VAREF =>  open

        );

end behavioral;

