-- Version: 8.5 8.5.0.34

library ieee;
use ieee.std_logic_1164.all;
library fusion;
use fusion.all;
library COREUARTAPB_LIB;
use COREUARTAPB_LIB.all;

entity Core8051S_sub is

    port( NSYSRESET  : in    std_logic;
          SYSCLK     : in    std_logic;
          AV0        : in    std_logic;
          AC0        : in    std_logic;
          AG0        : out   std_logic;
          AT0        : in    std_logic;
          AV1        : in    std_logic;
          AC1        : in    std_logic;
          AG1        : out   std_logic;
          AT1        : in    std_logic;
          AV2        : in    std_logic;
          AC2        : in    std_logic;
          AG2        : out   std_logic;
          AT2        : in    std_logic;
          AV3        : in    std_logic;
          AC3        : in    std_logic;
          AG3        : out   std_logic;
          AT3        : in    std_logic;
          AV4        : in    std_logic;
          AC4        : in    std_logic;
          AG4        : out   std_logic;
          AT4        : in    std_logic;
          AV5        : in    std_logic;
          AC5        : in    std_logic;
          AG5        : out   std_logic;
          AT5        : in    std_logic;
          AV6        : in    std_logic;
          AC6        : in    std_logic;
          AG6        : out   std_logic;
          AT6        : in    std_logic;
          AV7        : in    std_logic;
          AC7        : in    std_logic;
          AG7        : out   std_logic;
          AT7        : in    std_logic;
          AV8        : in    std_logic;
          AC8        : in    std_logic;
          AG8        : out   std_logic;
          AT8        : in    std_logic;
          AV9        : in    std_logic;
          AC9        : in    std_logic;
          AG9        : out   std_logic;
          AT9        : in    std_logic;
          ATRETURN0  : in    std_logic;
          ATRETURN1  : in    std_logic;
          ATRETURN2  : in    std_logic;
          ATRETURN3  : in    std_logic;
          ATRETURN4  : in    std_logic;
          VAREF      : inout std_logic := 'Z';
          GNDREF     : in    std_logic;
          MEMPSACKI  : in    std_logic;
          MEMACKI    : in    std_logic;
          MEMPSRD    : out   std_logic;
          MEMWR      : out   std_logic;
          MEMRD      : out   std_logic;
          TCK        : in    std_logic;
          TMS        : in    std_logic;
          TDI        : in    std_logic;
          TDO        : out   std_logic;
          TRSTN      : in    std_logic;
          BREAKIN    : in    std_logic;
          BREAKOUT   : out   std_logic;
          TRIGOUT    : out   std_logic;
          AUXOUT     : out   std_logic;
          DBGMEMPSWR : out   std_logic;
          RX         : in    std_logic;
          TX         : out   std_logic;
          MOVX       : out   std_logic;
          EXTIRQ     : in    std_logic;
          MEMDATAI   : in    std_logic_vector(7 downto 0);
          MEMDATAO   : out   std_logic_vector(7 downto 0);
          MEMADDR    : out   std_logic_vector(15 downto 0);
          MEMBANK    : in    std_logic_vector(3 downto 0);
          dataOut    : out   std_logic_vector(31 downto 0);
          dataIn     : in    std_logic_vector(31 downto 0)
        );

end Core8051S_sub;

architecture DEF_ARCH of Core8051S_sub is 

  component CoreUARTapb
    generic (BAUD_VALUE:integer := 0; FAMILY:integer := 0; 
        FIXEDMODE:integer := 0; PRG_BIT8:integer := 0; 
        PRG_PARITY:integer := 0; RX_FIFO:integer := 0; 
        TX_FIFO:integer := 0);

    port( OVERFLOW   : out   std_logic;
          PARITY_ERR : out   std_logic;
          PCLK       : in    std_logic := 'U';
          PENABLE    : in    std_logic := 'U';
          PRESETN    : in    std_logic := 'U';
          PSEL       : in    std_logic := 'U';
          PWRITE     : in    std_logic := 'U';
          RX         : in    std_logic := 'U';
          RXRDY      : out   std_logic;
          TX         : out   std_logic;
          TXRDY      : out   std_logic;
          PADDR      : in    std_logic_vector(4 downto 2) := (others => 'U');
          PRDATA     : out   std_logic_vector(7 downto 0);
          PWDATA     : in    std_logic_vector(7 downto 0) := (others => 'U')
        );
  end component;

  component CoreGPIO
    generic (NUM_INPUTS:integer := 0; NUM_OUTPUTS:integer := 0);

    port( PCLK    : in    std_logic := 'U';
          PRESETn : in    std_logic := 'U';
          PENABLE : in    std_logic := 'U';
          PSEL    : in    std_logic := 'U';
          PWRITE  : in    std_logic := 'U';
          PADDR   : in    std_logic_vector(5 downto 2) := (others => 'U');
          PWDATA  : in    std_logic_vector(31 downto 0) := (others => 'U');
          dataIn  : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATA  : out   std_logic_vector(31 downto 0);
          dataOut : out   std_logic_vector(31 downto 0)
        );
  end component;

  component GND
    port( Y : out   std_logic
        );
  end component;

  component CoreTimer
    generic (INTACTIVEH:integer := 0; WIDTH:integer := 0);

    port( PCLK    : in    std_logic := 'U';
          PRESETn : in    std_logic := 'U';
          PSEL    : in    std_logic := 'U';
          PWRITE  : in    std_logic := 'U';
          PENABLE : in    std_logic := 'U';
          TIMINT  : out   std_logic;
          PADDR   : in    std_logic_vector(4 downto 2) := (others => 'U');
          PWDATA  : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATA  : out   std_logic_vector(31 downto 0)
        );
  end component;

  component VCC
    port( Y : out   std_logic
        );
  end component;

  component CoreInterrupt
    generic (FIQPOLARITY:integer := 0; IRQPOLARITY:integer := 0; 
        NUMFIQSRC:integer := 0; NUMIRQSRC:integer := 0);

    port( PCLK        : in    std_logic := 'U';
          PRESETn     : in    std_logic := 'U';
          PSEL        : in    std_logic := 'U';
          PWRITE      : in    std_logic := 'U';
          PENABLE     : in    std_logic := 'U';
          fiqSource0  : in    std_logic := 'U';
          fiqSource1  : in    std_logic := 'U';
          fiqSource2  : in    std_logic := 'U';
          fiqSource3  : in    std_logic := 'U';
          fiqSource4  : in    std_logic := 'U';
          fiqSource5  : in    std_logic := 'U';
          fiqSource6  : in    std_logic := 'U';
          fiqSource7  : in    std_logic := 'U';
          irqSource0  : in    std_logic := 'U';
          irqSource1  : in    std_logic := 'U';
          irqSource2  : in    std_logic := 'U';
          irqSource3  : in    std_logic := 'U';
          irqSource4  : in    std_logic := 'U';
          irqSource5  : in    std_logic := 'U';
          irqSource6  : in    std_logic := 'U';
          irqSource7  : in    std_logic := 'U';
          irqSource8  : in    std_logic := 'U';
          irqSource9  : in    std_logic := 'U';
          irqSource10 : in    std_logic := 'U';
          irqSource11 : in    std_logic := 'U';
          irqSource12 : in    std_logic := 'U';
          irqSource13 : in    std_logic := 'U';
          irqSource14 : in    std_logic := 'U';
          irqSource15 : in    std_logic := 'U';
          irqSource16 : in    std_logic := 'U';
          irqSource17 : in    std_logic := 'U';
          irqSource18 : in    std_logic := 'U';
          irqSource19 : in    std_logic := 'U';
          irqSource20 : in    std_logic := 'U';
          irqSource21 : in    std_logic := 'U';
          irqSource22 : in    std_logic := 'U';
          irqSource23 : in    std_logic := 'U';
          irqSource24 : in    std_logic := 'U';
          irqSource25 : in    std_logic := 'U';
          irqSource26 : in    std_logic := 'U';
          irqSource27 : in    std_logic := 'U';
          irqSource28 : in    std_logic := 'U';
          irqSource29 : in    std_logic := 'U';
          irqSource30 : in    std_logic := 'U';
          irqSource31 : in    std_logic := 'U';
          FIQ         : out   std_logic;
          IRQ         : out   std_logic;
          PADDR       : in    std_logic_vector(5 downto 2) := (others => 'U');
          PWDATA      : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATA      : out   std_logic_vector(31 downto 0)
        );
  end component;

  component CoreAPB3
    generic (ApbSlot0Enable:integer := 0; 
        ApbSlot10Enable:integer := 0; 
        ApbSlot11Enable:integer := 0; 
        ApbSlot12Enable:integer := 0; 
        ApbSlot13Enable:integer := 0; 
        ApbSlot14Enable:integer := 0; 
        ApbSlot15Enable:integer := 0; ApbSlot1Enable:integer := 0; 
        ApbSlot2Enable:integer := 0; ApbSlot3Enable:integer := 0; 
        ApbSlot4Enable:integer := 0; ApbSlot5Enable:integer := 0; 
        ApbSlot6Enable:integer := 0; ApbSlot7Enable:integer := 0; 
        ApbSlot8Enable:integer := 0; ApbSlot9Enable:integer := 0; 
        RangeSize:integer := 0);

    port( PWRITE     : in    std_logic := 'U';
          PENABLE    : in    std_logic := 'U';
          PSEL       : in    std_logic := 'U';
          PREADY     : out   std_logic;
          PSLVERR    : out   std_logic;
          PWRITES    : out   std_logic;
          PENABLES   : out   std_logic;
          PSELS0     : out   std_logic;
          PREADYS0   : in    std_logic := 'U';
          PSLVERRS0  : in    std_logic := 'U';
          PSELS1     : out   std_logic;
          PREADYS1   : in    std_logic := 'U';
          PSLVERRS1  : in    std_logic := 'U';
          PSELS2     : out   std_logic;
          PREADYS2   : in    std_logic := 'U';
          PSLVERRS2  : in    std_logic := 'U';
          PSELS3     : out   std_logic;
          PREADYS3   : in    std_logic := 'U';
          PSLVERRS3  : in    std_logic := 'U';
          PSELS4     : out   std_logic;
          PREADYS4   : in    std_logic := 'U';
          PSLVERRS4  : in    std_logic := 'U';
          PSELS5     : out   std_logic;
          PREADYS5   : in    std_logic := 'U';
          PSLVERRS5  : in    std_logic := 'U';
          PSELS6     : out   std_logic;
          PREADYS6   : in    std_logic := 'U';
          PSLVERRS6  : in    std_logic := 'U';
          PSELS7     : out   std_logic;
          PREADYS7   : in    std_logic := 'U';
          PSLVERRS7  : in    std_logic := 'U';
          PSELS8     : out   std_logic;
          PREADYS8   : in    std_logic := 'U';
          PSLVERRS8  : in    std_logic := 'U';
          PSELS9     : out   std_logic;
          PREADYS9   : in    std_logic := 'U';
          PSLVERRS9  : in    std_logic := 'U';
          PSELS10    : out   std_logic;
          PREADYS10  : in    std_logic := 'U';
          PSLVERRS10 : in    std_logic := 'U';
          PSELS11    : out   std_logic;
          PREADYS11  : in    std_logic := 'U';
          PSLVERRS11 : in    std_logic := 'U';
          PSELS12    : out   std_logic;
          PREADYS12  : in    std_logic := 'U';
          PSLVERRS12 : in    std_logic := 'U';
          PSELS13    : out   std_logic;
          PREADYS13  : in    std_logic := 'U';
          PSLVERRS13 : in    std_logic := 'U';
          PSELS14    : out   std_logic;
          PREADYS14  : in    std_logic := 'U';
          PSLVERRS14 : in    std_logic := 'U';
          PSELS15    : out   std_logic;
          PREADYS15  : in    std_logic := 'U';
          PSLVERRS15 : in    std_logic := 'U';
          PADDR      : in    std_logic_vector(23 downto 0) := (others => 'U');
          PWDATA     : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATA     : out   std_logic_vector(31 downto 0);
          PADDRS     : out   std_logic_vector(23 downto 0);
          PWDATAS    : out   std_logic_vector(31 downto 0);
          PRDATAS0   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS1   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS2   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS3   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS4   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS5   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS6   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS7   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS8   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS9   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS10  : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS11  : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS12  : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS13  : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS14  : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS15  : in    std_logic_vector(31 downto 0) := (others => 'U')
        );
  end component;

  component COREAI
    generic (ACM_CLK_DIV:integer := 0; 
        ACTLOW_INTERRUPT:integer := 0; 
        APB_16BIT_DATA:integer := 0; CFG_AC0:integer := 0; 
        CFG_AC1:integer := 0; CFG_AC2:integer := 0; 
        CFG_AC3:integer := 0; CFG_AC4:integer := 0; 
        CFG_AC5:integer := 0; CFG_AC6:integer := 0; 
        CFG_AC7:integer := 0; CFG_AC8:integer := 0; 
        CFG_AC9:integer := 0; CFG_AT0:integer := 0; 
        CFG_AT1:integer := 0; CFG_AT2:integer := 0; 
        CFG_AT3:integer := 0; CFG_AT4:integer := 0; 
        CFG_AT5:integer := 0; CFG_AT6:integer := 0; 
        CFG_AT7:integer := 0; CFG_AT8:integer := 0; 
        CFG_AT9:integer := 0; CFG_AV0:integer := 0; 
        CFG_AV1:integer := 0; CFG_AV2:integer := 0; 
        CFG_AV3:integer := 0; CFG_AV4:integer := 0; 
        CFG_AV5:integer := 0; CFG_AV6:integer := 0; 
        CFG_AV7:integer := 0; CFG_AV8:integer := 0; 
        CFG_AV9:integer := 0; CFG_GD0:integer := 0; 
        CFG_GD1:integer := 0; CFG_GD2:integer := 0; 
        CFG_GD3:integer := 0; CFG_GD4:integer := 0; 
        CFG_GD5:integer := 0; CFG_GD6:integer := 0; 
        CFG_GD7:integer := 0; CFG_GD8:integer := 0; 
        CFG_GD9:integer := 0; DISABLE_INTERRUPT:integer := 0; 
        DISABLE_TMSTBINT:integer := 0; FIXED_MODE:integer := 0; 
        FIXED_MODE_VAL:integer := 0; FIXED_STC:integer := 0; 
        FIXED_STC_VAL:integer := 0; FIXED_TVC:integer := 0; 
        FIXED_TVC_VAL:integer := 0; FIXED_VAREFSEL:integer := 0; 
        FIXED_VAREFSEL_VAL:integer := 0; USE_RDFIFO:integer := 0; 
        USE_RDFIFO_AEVAL:integer := 0; 
        USE_RDFIFO_AFVAL:integer := 0; USE_RTC:integer := 0);

    port( PCLK        : in    std_logic := 'U';
          PRESETN     : in    std_logic := 'U';
          PSEL        : in    std_logic := 'U';
          PENABLE     : in    std_logic := 'U';
          PWRITE      : in    std_logic := 'U';
          INTERRUPT   : out   std_logic;
          VAREF       : inout   std_logic;
          GNDREF      : in    std_logic := 'U';
          AV0         : in    std_logic := 'U';
          AV1         : in    std_logic := 'U';
          AV2         : in    std_logic := 'U';
          AV3         : in    std_logic := 'U';
          AV4         : in    std_logic := 'U';
          AV5         : in    std_logic := 'U';
          AV6         : in    std_logic := 'U';
          AV7         : in    std_logic := 'U';
          AV8         : in    std_logic := 'U';
          AV9         : in    std_logic := 'U';
          AC0         : in    std_logic := 'U';
          AC1         : in    std_logic := 'U';
          AC2         : in    std_logic := 'U';
          AC3         : in    std_logic := 'U';
          AC4         : in    std_logic := 'U';
          AC5         : in    std_logic := 'U';
          AC6         : in    std_logic := 'U';
          AC7         : in    std_logic := 'U';
          AC8         : in    std_logic := 'U';
          AC9         : in    std_logic := 'U';
          AT0         : in    std_logic := 'U';
          AT1         : in    std_logic := 'U';
          AT2         : in    std_logic := 'U';
          AT3         : in    std_logic := 'U';
          AT4         : in    std_logic := 'U';
          AT5         : in    std_logic := 'U';
          AT6         : in    std_logic := 'U';
          AT7         : in    std_logic := 'U';
          AT8         : in    std_logic := 'U';
          AT9         : in    std_logic := 'U';
          ATRETURN0   : in    std_logic := 'U';
          ATRETURN1   : in    std_logic := 'U';
          ATRETURN2   : in    std_logic := 'U';
          ATRETURN3   : in    std_logic := 'U';
          ATRETURN4   : in    std_logic := 'U';
          DAVOUT0     : out   std_logic;
          DAVOUT1     : out   std_logic;
          DAVOUT2     : out   std_logic;
          DAVOUT3     : out   std_logic;
          DAVOUT4     : out   std_logic;
          DAVOUT5     : out   std_logic;
          DAVOUT6     : out   std_logic;
          DAVOUT7     : out   std_logic;
          DAVOUT8     : out   std_logic;
          DAVOUT9     : out   std_logic;
          DACOUT0     : out   std_logic;
          DACOUT1     : out   std_logic;
          DACOUT2     : out   std_logic;
          DACOUT3     : out   std_logic;
          DACOUT4     : out   std_logic;
          DACOUT5     : out   std_logic;
          DACOUT6     : out   std_logic;
          DACOUT7     : out   std_logic;
          DACOUT8     : out   std_logic;
          DACOUT9     : out   std_logic;
          DATOUT0     : out   std_logic;
          DATOUT1     : out   std_logic;
          DATOUT2     : out   std_logic;
          DATOUT3     : out   std_logic;
          DATOUT4     : out   std_logic;
          DATOUT5     : out   std_logic;
          DATOUT6     : out   std_logic;
          DATOUT7     : out   std_logic;
          DATOUT8     : out   std_logic;
          DATOUT9     : out   std_logic;
          DDGDON0     : in    std_logic := 'U';
          DDGDON1     : in    std_logic := 'U';
          DDGDON2     : in    std_logic := 'U';
          DDGDON3     : in    std_logic := 'U';
          DDGDON4     : in    std_logic := 'U';
          DDGDON5     : in    std_logic := 'U';
          DDGDON6     : in    std_logic := 'U';
          DDGDON7     : in    std_logic := 'U';
          DDGDON8     : in    std_logic := 'U';
          DDGDON9     : in    std_logic := 'U';
          AG0         : out   std_logic;
          AG1         : out   std_logic;
          AG2         : out   std_logic;
          AG3         : out   std_logic;
          AG4         : out   std_logic;
          AG5         : out   std_logic;
          AG6         : out   std_logic;
          AG7         : out   std_logic;
          AG8         : out   std_logic;
          AG9         : out   std_logic;
          RTCCLK      : in    std_logic := 'U';
          RTCXTLMODE0 : out   std_logic;
          RTCXTLMODE1 : out   std_logic;
          RTCXTLSEL   : out   std_logic;
          RTCMATCH    : out   std_logic;
          RTCPSMMATCH : out   std_logic;
          PADDR       : in    std_logic_vector(5 downto 1) := (others => 'U');
          PWDATA      : in    std_logic_vector(15 downto 0) := (others => 'U');
          PRDATA      : out   std_logic_vector(15 downto 0)
        );
  end component;

  component CoreWatchdog
    generic (WIDTH:integer := 0);

    port( PCLK     : in    std_logic := 'U';
          PRESETn  : in    std_logic := 'U';
          PSEL     : in    std_logic := 'U';
          PWRITE   : in    std_logic := 'U';
          PENABLE  : in    std_logic := 'U';
          WDOGRESn : in    std_logic := 'U';
          WDOGRES  : out   std_logic;
          PADDR    : in    std_logic_vector(4 downto 2) := (others => 'U');
          PWDATA   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATA   : out   std_logic_vector(31 downto 0)
        );
  end component;

  component CORE8051S
    generic (APB_DWIDTH:integer := 0; EN_FF_OPTS:integer := 0; 
        FAMILY:integer := 0; INCL_DPTR1:integer := 0; 
        INCL_MUL_DIV_DA:integer := 0; INCL_TRACE:integer := 0; 
        STRETCH_VAL:integer := 0; TRIG_NUM:integer := 0; 
        USE_OCI:integer := 0; USE_UJTAG:integer := 0; 
        VARIABLE_STRETCH:integer := 0; VARIABLE_WAIT:integer := 0; 
        WAIT_VAL:integer := 0);

    port( CLK        : in    std_logic := 'U';
          NSYSRESET  : in    std_logic := 'U';
          PRESETN    : out   std_logic;
          WDOGRES    : in    std_logic := 'U';
          WDOGRESN   : out   std_logic;
          INT0       : in    std_logic := 'U';
          INT1       : in    std_logic := 'U';
          MOVX       : out   std_logic;
          PWRITE     : out   std_logic;
          PENABLE    : out   std_logic;
          PSEL       : out   std_logic;
          PREADY     : in    std_logic := 'U';
          PSLVERR    : in    std_logic := 'U';
          MEMPSACKI  : in    std_logic := 'U';
          MEMACKI    : in    std_logic := 'U';
          MEMPSRD    : out   std_logic;
          MEMWR      : out   std_logic;
          MEMRD      : out   std_logic;
          TCK        : in    std_logic := 'U';
          TMS        : in    std_logic := 'U';
          TDI        : in    std_logic := 'U';
          TDO        : out   std_logic;
          TRSTN      : in    std_logic := 'U';
          BREAKIN    : in    std_logic := 'U';
          BREAKOUT   : out   std_logic;
          DBGMEMPSWR : out   std_logic;
          TRIGOUT    : out   std_logic;
          AUXOUT     : out   std_logic;
          PADDR      : out   std_logic_vector(11 downto 0);
          PWDATA     : out   std_logic_vector(31 downto 0);
          PRDATA     : in    std_logic_vector(31 downto 0) := (others => 'U');
          MEMDATAI   : in    std_logic_vector(7 downto 0) := (others => 'U');
          MEMDATAO   : out   std_logic_vector(7 downto 0);
          MEMADDR    : out   std_logic_vector(15 downto 0);
          MEMBANK    : in    std_logic_vector(3 downto 0) := (others => 'U')
        );
  end component;

    signal \CORE8051S_0_APB3master_PADDR_[0]\, 
        \CORE8051S_0_APB3master_PADDR_[1]\, 
        \CORE8051S_0_APB3master_PADDR_[2]\, 
        \CORE8051S_0_APB3master_PADDR_[3]\, 
        \CORE8051S_0_APB3master_PADDR_[4]\, 
        \CORE8051S_0_APB3master_PADDR_[5]\, 
        \CORE8051S_0_APB3master_PADDR_[6]\, 
        \CORE8051S_0_APB3master_PADDR_[7]\, 
        \CORE8051S_0_APB3master_PADDR_[8]\, 
        \CORE8051S_0_APB3master_PADDR_[9]\, 
        \CORE8051S_0_APB3master_PADDR_[10]\, 
        \CORE8051S_0_APB3master_PADDR_[11]\, 
        CORE8051S_0_APB3master_PENABLE, 
        \CORE8051S_0_APB3master_PRDATA_[0]\, 
        \CORE8051S_0_APB3master_PRDATA_[1]\, 
        \CORE8051S_0_APB3master_PRDATA_[2]\, 
        \CORE8051S_0_APB3master_PRDATA_[3]\, 
        \CORE8051S_0_APB3master_PRDATA_[4]\, 
        \CORE8051S_0_APB3master_PRDATA_[5]\, 
        \CORE8051S_0_APB3master_PRDATA_[6]\, 
        \CORE8051S_0_APB3master_PRDATA_[7]\, 
        \CORE8051S_0_APB3master_PRDATA_[8]\, 
        \CORE8051S_0_APB3master_PRDATA_[9]\, 
        \CORE8051S_0_APB3master_PRDATA_[10]\, 
        \CORE8051S_0_APB3master_PRDATA_[11]\, 
        \CORE8051S_0_APB3master_PRDATA_[12]\, 
        \CORE8051S_0_APB3master_PRDATA_[13]\, 
        \CORE8051S_0_APB3master_PRDATA_[14]\, 
        \CORE8051S_0_APB3master_PRDATA_[15]\, 
        \CORE8051S_0_APB3master_PRDATA_[16]\, 
        \CORE8051S_0_APB3master_PRDATA_[17]\, 
        \CORE8051S_0_APB3master_PRDATA_[18]\, 
        \CORE8051S_0_APB3master_PRDATA_[19]\, 
        \CORE8051S_0_APB3master_PRDATA_[20]\, 
        \CORE8051S_0_APB3master_PRDATA_[21]\, 
        \CORE8051S_0_APB3master_PRDATA_[22]\, 
        \CORE8051S_0_APB3master_PRDATA_[23]\, 
        \CORE8051S_0_APB3master_PRDATA_[24]\, 
        \CORE8051S_0_APB3master_PRDATA_[25]\, 
        \CORE8051S_0_APB3master_PRDATA_[26]\, 
        \CORE8051S_0_APB3master_PRDATA_[27]\, 
        \CORE8051S_0_APB3master_PRDATA_[28]\, 
        \CORE8051S_0_APB3master_PRDATA_[29]\, 
        \CORE8051S_0_APB3master_PRDATA_[30]\, 
        \CORE8051S_0_APB3master_PRDATA_[31]\, 
        CORE8051S_0_APB3master_PREADY, 
        CORE8051S_0_APB3master_PSELx, 
        CORE8051S_0_APB3master_PSLVERR, 
        \CORE8051S_0_APB3master_PWDATA_[0]\, 
        \CORE8051S_0_APB3master_PWDATA_[1]\, 
        \CORE8051S_0_APB3master_PWDATA_[2]\, 
        \CORE8051S_0_APB3master_PWDATA_[3]\, 
        \CORE8051S_0_APB3master_PWDATA_[4]\, 
        \CORE8051S_0_APB3master_PWDATA_[5]\, 
        \CORE8051S_0_APB3master_PWDATA_[6]\, 
        \CORE8051S_0_APB3master_PWDATA_[7]\, 
        \CORE8051S_0_APB3master_PWDATA_[8]\, 
        \CORE8051S_0_APB3master_PWDATA_[9]\, 
        \CORE8051S_0_APB3master_PWDATA_[10]\, 
        \CORE8051S_0_APB3master_PWDATA_[11]\, 
        \CORE8051S_0_APB3master_PWDATA_[12]\, 
        \CORE8051S_0_APB3master_PWDATA_[13]\, 
        \CORE8051S_0_APB3master_PWDATA_[14]\, 
        \CORE8051S_0_APB3master_PWDATA_[15]\, 
        \CORE8051S_0_APB3master_PWDATA_[16]\, 
        \CORE8051S_0_APB3master_PWDATA_[17]\, 
        \CORE8051S_0_APB3master_PWDATA_[18]\, 
        \CORE8051S_0_APB3master_PWDATA_[19]\, 
        \CORE8051S_0_APB3master_PWDATA_[20]\, 
        \CORE8051S_0_APB3master_PWDATA_[21]\, 
        \CORE8051S_0_APB3master_PWDATA_[22]\, 
        \CORE8051S_0_APB3master_PWDATA_[23]\, 
        \CORE8051S_0_APB3master_PWDATA_[24]\, 
        \CORE8051S_0_APB3master_PWDATA_[25]\, 
        \CORE8051S_0_APB3master_PWDATA_[26]\, 
        \CORE8051S_0_APB3master_PWDATA_[27]\, 
        \CORE8051S_0_APB3master_PWDATA_[28]\, 
        \CORE8051S_0_APB3master_PWDATA_[29]\, 
        \CORE8051S_0_APB3master_PWDATA_[30]\, 
        \CORE8051S_0_APB3master_PWDATA_[31]\, 
        CORE8051S_0_APB3master_PWRITE, CORE8051S_0_PRESETN, 
        CORE8051S_0_WDOGRESN, \CoreAPB3_0_APBmslave0_PADDR_[0]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[1]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[2]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[3]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[4]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[5]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[6]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[7]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[8]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[9]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[10]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[11]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[12]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[13]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[14]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[15]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[16]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[17]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[18]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[19]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[20]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[21]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[22]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[23]\, 
        CoreAPB3_0_APBmslave0_PENABLE, 
        \CoreAPB3_0_APBmslave0_PRDATA_[0]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[1]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[2]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[3]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[4]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[5]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[6]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[7]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[8]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[9]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[10]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[11]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[12]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[13]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[14]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[15]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[16]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[17]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[18]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[19]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[20]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[21]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[22]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[23]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[24]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[25]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[26]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[27]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[28]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[29]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[30]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[31]\, 
        CoreAPB3_0_APBmslave0_PSELx, 
        \CoreAPB3_0_APBmslave0_PWDATA_[0]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[1]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[2]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[3]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[4]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[5]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[6]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[7]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[8]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[9]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[10]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[11]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[12]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[13]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[14]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[15]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[16]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[17]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[18]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[19]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[20]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[21]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[22]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[23]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[24]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[25]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[26]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[27]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[28]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[29]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[30]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[31]\, 
        CoreAPB3_0_APBmslave0_PWRITE, 
        \CoreAPB3_0_APBmslave1_PRDATA_[0]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[1]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[2]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[3]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[4]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[5]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[6]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[7]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[8]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[9]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[10]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[11]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[12]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[13]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[14]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[15]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[16]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[17]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[18]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[19]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[20]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[21]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[22]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[23]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[24]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[25]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[26]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[27]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[28]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[29]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[30]\, 
        \CoreAPB3_0_APBmslave1_PRDATA_[31]\, 
        CoreAPB3_0_APBmslave1_PSELx, 
        \CoreAPB3_0_APBmslave12_PRDATA_[0]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[1]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[2]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[3]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[4]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[5]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[6]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[7]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[8]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[9]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[10]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[11]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[12]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[13]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[14]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[15]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[16]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[17]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[18]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[19]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[20]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[21]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[22]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[23]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[24]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[25]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[26]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[27]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[28]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[29]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[30]\, 
        \CoreAPB3_0_APBmslave12_PRDATA_[31]\, 
        CoreAPB3_0_APBmslave12_PSELx, 
        \CoreAPB3_0_APBmslave2_PRDATA_[0]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[1]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[2]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[3]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[4]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[5]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[6]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[7]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[8]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[9]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[10]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[11]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[12]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[13]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[14]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[15]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[16]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[17]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[18]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[19]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[20]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[21]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[22]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[23]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[24]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[25]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[26]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[27]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[28]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[29]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[30]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[31]\, 
        CoreAPB3_0_APBmslave2_PSELx, 
        \CoreAPB3_0_APBmslave3_PRDATA_[0]\, 
        \CoreAPB3_0_APBmslave3_PRDATA_[1]\, 
        \CoreAPB3_0_APBmslave3_PRDATA_[2]\, 
        \CoreAPB3_0_APBmslave3_PRDATA_[3]\, 
        \CoreAPB3_0_APBmslave3_PRDATA_[4]\, 
        \CoreAPB3_0_APBmslave3_PRDATA_[5]\, 
        \CoreAPB3_0_APBmslave3_PRDATA_[6]\, 
        \CoreAPB3_0_APBmslave3_PRDATA_[7]\, 
        CoreAPB3_0_APBmslave3_PSELx, 
        \CoreAPB3_0_APBmslave4_PRDATA_[0]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[1]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[2]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[3]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[4]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[5]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[6]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[7]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[8]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[9]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[10]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[11]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[12]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[13]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[14]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[15]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[16]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[17]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[18]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[19]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[20]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[21]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[22]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[23]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[24]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[25]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[26]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[27]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[28]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[29]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[30]\, 
        \CoreAPB3_0_APBmslave4_PRDATA_[31]\, 
        CoreAPB3_0_APBmslave4_PSELx, CoreAPB3_0_APBmslave5_PSELx, 
        \CoreAPB3_0_APBmslave6_PRDATA_[0]\, 
        \CoreAPB3_0_APBmslave6_PRDATA_[1]\, 
        \CoreAPB3_0_APBmslave6_PRDATA_[2]\, 
        \CoreAPB3_0_APBmslave6_PRDATA_[3]\, 
        \CoreAPB3_0_APBmslave6_PRDATA_[4]\, 
        \CoreAPB3_0_APBmslave6_PRDATA_[5]\, 
        \CoreAPB3_0_APBmslave6_PRDATA_[6]\, 
        \CoreAPB3_0_APBmslave6_PRDATA_[7]\, 
        \CoreAPB3_0_APBmslave6_PRDATA_[8]\, 
        \CoreAPB3_0_APBmslave6_PRDATA_[9]\, 
        \CoreAPB3_0_APBmslave6_PRDATA_[10]\, 
        \CoreAPB3_0_APBmslave6_PRDATA_[11]\, 
        \CoreAPB3_0_APBmslave6_PRDATA_[12]\, 
        \CoreAPB3_0_APBmslave6_PRDATA_[13]\, 
        \CoreAPB3_0_APBmslave6_PRDATA_[14]\, 
        \CoreAPB3_0_APBmslave6_PRDATA_[15]\, 
        CoreAPB3_0_APBmslave6_PSELx, CoreAPB3_0_APBmslave7_PSELx, 
        CoreInterrupt_0_IRQ, CoreTimer_0_TIMINT, 
        CoreTimer_1_TIMINT, CoreUARTapb_0_RXRDY, 
        CoreUARTapb_0_TXRDY, CoreWatchdog_0_WDOGRES, GND_net, 
        VCC_net : std_logic;

begin 


    CoreUARTapb_0 : CoreUARTapb
      generic map(BAUD_VALUE => 1, FAMILY => 17, FIXEDMODE => 0,
         PRG_BIT8 => 0, PRG_PARITY => 0, RX_FIFO => 1,
         TX_FIFO => 1)

      port map(OVERFLOW => OPEN, PARITY_ERR => OPEN, PCLK => 
        SYSCLK, PENABLE => CoreAPB3_0_APBmslave0_PENABLE, PRESETN
         => CORE8051S_0_PRESETN, PSEL => 
        CoreAPB3_0_APBmslave3_PSELx, PWRITE => 
        CoreAPB3_0_APBmslave0_PWRITE, RX => RX, RXRDY => 
        CoreUARTapb_0_RXRDY, TX => TX, TXRDY => 
        CoreUARTapb_0_TXRDY, PADDR(4) => 
        \CoreAPB3_0_APBmslave0_PADDR_[4]\, PADDR(3) => 
        \CoreAPB3_0_APBmslave0_PADDR_[3]\, PADDR(2) => 
        \CoreAPB3_0_APBmslave0_PADDR_[2]\, PRDATA(7) => 
        \CoreAPB3_0_APBmslave3_PRDATA_[7]\, PRDATA(6) => 
        \CoreAPB3_0_APBmslave3_PRDATA_[6]\, PRDATA(5) => 
        \CoreAPB3_0_APBmslave3_PRDATA_[5]\, PRDATA(4) => 
        \CoreAPB3_0_APBmslave3_PRDATA_[4]\, PRDATA(3) => 
        \CoreAPB3_0_APBmslave3_PRDATA_[3]\, PRDATA(2) => 
        \CoreAPB3_0_APBmslave3_PRDATA_[2]\, PRDATA(1) => 
        \CoreAPB3_0_APBmslave3_PRDATA_[1]\, PRDATA(0) => 
        \CoreAPB3_0_APBmslave3_PRDATA_[0]\, PWDATA(7) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[7]\, PWDATA(6) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[6]\, PWDATA(5) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[5]\, PWDATA(4) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[4]\, PWDATA(3) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[3]\, PWDATA(2) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[2]\, PWDATA(1) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[1]\, PWDATA(0) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[0]\);
    
    CoreGPIO_0 : CoreGPIO
      generic map(NUM_INPUTS => 32, NUM_OUTPUTS => 32)

      port map(PCLK => SYSCLK, PRESETn => CORE8051S_0_PRESETN, 
        PENABLE => CoreAPB3_0_APBmslave0_PENABLE, PSEL => 
        CoreAPB3_0_APBmslave2_PSELx, PWRITE => 
        CoreAPB3_0_APBmslave0_PWRITE, PADDR(5) => 
        \CoreAPB3_0_APBmslave0_PADDR_[5]\, PADDR(4) => 
        \CoreAPB3_0_APBmslave0_PADDR_[4]\, PADDR(3) => 
        \CoreAPB3_0_APBmslave0_PADDR_[3]\, PADDR(2) => 
        \CoreAPB3_0_APBmslave0_PADDR_[2]\, PWDATA(31) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[31]\, PWDATA(30) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[30]\, PWDATA(29) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[29]\, PWDATA(28) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[28]\, PWDATA(27) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[27]\, PWDATA(26) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[26]\, PWDATA(25) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[25]\, PWDATA(24) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[24]\, PWDATA(23) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[23]\, PWDATA(22) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[22]\, PWDATA(21) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[21]\, PWDATA(20) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[20]\, PWDATA(19) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[19]\, PWDATA(18) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[18]\, PWDATA(17) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[17]\, PWDATA(16) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[16]\, PWDATA(15) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[15]\, PWDATA(14) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[14]\, PWDATA(13) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[13]\, PWDATA(12) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[12]\, PWDATA(11) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[11]\, PWDATA(10) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[10]\, PWDATA(9) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[9]\, PWDATA(8) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[8]\, PWDATA(7) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[7]\, PWDATA(6) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[6]\, PWDATA(5) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[5]\, PWDATA(4) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[4]\, PWDATA(3) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[3]\, PWDATA(2) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[2]\, PWDATA(1) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[1]\, PWDATA(0) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[0]\, dataIn(31) => 
        dataIn(31), dataIn(30) => dataIn(30), dataIn(29) => 
        dataIn(29), dataIn(28) => dataIn(28), dataIn(27) => 
        dataIn(27), dataIn(26) => dataIn(26), dataIn(25) => 
        dataIn(25), dataIn(24) => dataIn(24), dataIn(23) => 
        dataIn(23), dataIn(22) => dataIn(22), dataIn(21) => 
        dataIn(21), dataIn(20) => dataIn(20), dataIn(19) => 
        dataIn(19), dataIn(18) => dataIn(18), dataIn(17) => 
        dataIn(17), dataIn(16) => dataIn(16), dataIn(15) => 
        dataIn(15), dataIn(14) => dataIn(14), dataIn(13) => 
        dataIn(13), dataIn(12) => dataIn(12), dataIn(11) => 
        dataIn(11), dataIn(10) => dataIn(10), dataIn(9) => 
        dataIn(9), dataIn(8) => dataIn(8), dataIn(7) => dataIn(7), 
        dataIn(6) => dataIn(6), dataIn(5) => dataIn(5), dataIn(4)
         => dataIn(4), dataIn(3) => dataIn(3), dataIn(2) => 
        dataIn(2), dataIn(1) => dataIn(1), dataIn(0) => dataIn(0), 
        PRDATA(31) => \CoreAPB3_0_APBmslave2_PRDATA_[31]\, 
        PRDATA(30) => \CoreAPB3_0_APBmslave2_PRDATA_[30]\, 
        PRDATA(29) => \CoreAPB3_0_APBmslave2_PRDATA_[29]\, 
        PRDATA(28) => \CoreAPB3_0_APBmslave2_PRDATA_[28]\, 
        PRDATA(27) => \CoreAPB3_0_APBmslave2_PRDATA_[27]\, 
        PRDATA(26) => \CoreAPB3_0_APBmslave2_PRDATA_[26]\, 
        PRDATA(25) => \CoreAPB3_0_APBmslave2_PRDATA_[25]\, 
        PRDATA(24) => \CoreAPB3_0_APBmslave2_PRDATA_[24]\, 
        PRDATA(23) => \CoreAPB3_0_APBmslave2_PRDATA_[23]\, 
        PRDATA(22) => \CoreAPB3_0_APBmslave2_PRDATA_[22]\, 
        PRDATA(21) => \CoreAPB3_0_APBmslave2_PRDATA_[21]\, 
        PRDATA(20) => \CoreAPB3_0_APBmslave2_PRDATA_[20]\, 
        PRDATA(19) => \CoreAPB3_0_APBmslave2_PRDATA_[19]\, 
        PRDATA(18) => \CoreAPB3_0_APBmslave2_PRDATA_[18]\, 
        PRDATA(17) => \CoreAPB3_0_APBmslave2_PRDATA_[17]\, 
        PRDATA(16) => \CoreAPB3_0_APBmslave2_PRDATA_[16]\, 
        PRDATA(15) => \CoreAPB3_0_APBmslave2_PRDATA_[15]\, 
        PRDATA(14) => \CoreAPB3_0_APBmslave2_PRDATA_[14]\, 
        PRDATA(13) => \CoreAPB3_0_APBmslave2_PRDATA_[13]\, 
        PRDATA(12) => \CoreAPB3_0_APBmslave2_PRDATA_[12]\, 
        PRDATA(11) => \CoreAPB3_0_APBmslave2_PRDATA_[11]\, 
        PRDATA(10) => \CoreAPB3_0_APBmslave2_PRDATA_[10]\, 
        PRDATA(9) => \CoreAPB3_0_APBmslave2_PRDATA_[9]\, 
        PRDATA(8) => \CoreAPB3_0_APBmslave2_PRDATA_[8]\, 
        PRDATA(7) => \CoreAPB3_0_APBmslave2_PRDATA_[7]\, 
        PRDATA(6) => \CoreAPB3_0_APBmslave2_PRDATA_[6]\, 
        PRDATA(5) => \CoreAPB3_0_APBmslave2_PRDATA_[5]\, 
        PRDATA(4) => \CoreAPB3_0_APBmslave2_PRDATA_[4]\, 
        PRDATA(3) => \CoreAPB3_0_APBmslave2_PRDATA_[3]\, 
        PRDATA(2) => \CoreAPB3_0_APBmslave2_PRDATA_[2]\, 
        PRDATA(1) => \CoreAPB3_0_APBmslave2_PRDATA_[1]\, 
        PRDATA(0) => \CoreAPB3_0_APBmslave2_PRDATA_[0]\, 
        dataOut(31) => dataOut(31), dataOut(30) => dataOut(30), 
        dataOut(29) => dataOut(29), dataOut(28) => dataOut(28), 
        dataOut(27) => dataOut(27), dataOut(26) => dataOut(26), 
        dataOut(25) => dataOut(25), dataOut(24) => dataOut(24), 
        dataOut(23) => dataOut(23), dataOut(22) => dataOut(22), 
        dataOut(21) => dataOut(21), dataOut(20) => dataOut(20), 
        dataOut(19) => dataOut(19), dataOut(18) => dataOut(18), 
        dataOut(17) => dataOut(17), dataOut(16) => dataOut(16), 
        dataOut(15) => dataOut(15), dataOut(14) => dataOut(14), 
        dataOut(13) => dataOut(13), dataOut(12) => dataOut(12), 
        dataOut(11) => dataOut(11), dataOut(10) => dataOut(10), 
        dataOut(9) => dataOut(9), dataOut(8) => dataOut(8), 
        dataOut(7) => dataOut(7), dataOut(6) => dataOut(6), 
        dataOut(5) => dataOut(5), dataOut(4) => dataOut(4), 
        dataOut(3) => dataOut(3), dataOut(2) => dataOut(2), 
        dataOut(1) => dataOut(1), dataOut(0) => dataOut(0));
    
    \GND\ : GND
      port map(Y => GND_net);
    
    CoreTimer_1 : CoreTimer
      generic map(INTACTIVEH => 1, WIDTH => 16)

      port map(PCLK => SYSCLK, PRESETn => CORE8051S_0_PRESETN, 
        PSEL => CoreAPB3_0_APBmslave4_PSELx, PWRITE => 
        CoreAPB3_0_APBmslave0_PWRITE, PENABLE => 
        CoreAPB3_0_APBmslave0_PENABLE, TIMINT => 
        CoreTimer_1_TIMINT, PADDR(4) => 
        \CoreAPB3_0_APBmslave0_PADDR_[4]\, PADDR(3) => 
        \CoreAPB3_0_APBmslave0_PADDR_[3]\, PADDR(2) => 
        \CoreAPB3_0_APBmslave0_PADDR_[2]\, PWDATA(31) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[31]\, PWDATA(30) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[30]\, PWDATA(29) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[29]\, PWDATA(28) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[28]\, PWDATA(27) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[27]\, PWDATA(26) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[26]\, PWDATA(25) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[25]\, PWDATA(24) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[24]\, PWDATA(23) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[23]\, PWDATA(22) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[22]\, PWDATA(21) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[21]\, PWDATA(20) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[20]\, PWDATA(19) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[19]\, PWDATA(18) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[18]\, PWDATA(17) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[17]\, PWDATA(16) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[16]\, PWDATA(15) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[15]\, PWDATA(14) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[14]\, PWDATA(13) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[13]\, PWDATA(12) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[12]\, PWDATA(11) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[11]\, PWDATA(10) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[10]\, PWDATA(9) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[9]\, PWDATA(8) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[8]\, PWDATA(7) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[7]\, PWDATA(6) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[6]\, PWDATA(5) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[5]\, PWDATA(4) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[4]\, PWDATA(3) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[3]\, PWDATA(2) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[2]\, PWDATA(1) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[1]\, PWDATA(0) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[0]\, PRDATA(31) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[31]\, PRDATA(30) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[30]\, PRDATA(29) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[29]\, PRDATA(28) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[28]\, PRDATA(27) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[27]\, PRDATA(26) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[26]\, PRDATA(25) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[25]\, PRDATA(24) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[24]\, PRDATA(23) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[23]\, PRDATA(22) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[22]\, PRDATA(21) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[21]\, PRDATA(20) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[20]\, PRDATA(19) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[19]\, PRDATA(18) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[18]\, PRDATA(17) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[17]\, PRDATA(16) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[16]\, PRDATA(15) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[15]\, PRDATA(14) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[14]\, PRDATA(13) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[13]\, PRDATA(12) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[12]\, PRDATA(11) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[11]\, PRDATA(10) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[10]\, PRDATA(9) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[9]\, PRDATA(8) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[8]\, PRDATA(7) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[7]\, PRDATA(6) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[6]\, PRDATA(5) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[5]\, PRDATA(4) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[4]\, PRDATA(3) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[3]\, PRDATA(2) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[2]\, PRDATA(1) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[1]\, PRDATA(0) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[0]\);
    
    CoreTimer_0 : CoreTimer
      generic map(INTACTIVEH => 1, WIDTH => 32)

      port map(PCLK => SYSCLK, PRESETn => CORE8051S_0_PRESETN, 
        PSEL => CoreAPB3_0_APBmslave0_PSELx, PWRITE => 
        CoreAPB3_0_APBmslave0_PWRITE, PENABLE => 
        CoreAPB3_0_APBmslave0_PENABLE, TIMINT => 
        CoreTimer_0_TIMINT, PADDR(4) => 
        \CoreAPB3_0_APBmslave0_PADDR_[4]\, PADDR(3) => 
        \CoreAPB3_0_APBmslave0_PADDR_[3]\, PADDR(2) => 
        \CoreAPB3_0_APBmslave0_PADDR_[2]\, PWDATA(31) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[31]\, PWDATA(30) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[30]\, PWDATA(29) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[29]\, PWDATA(28) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[28]\, PWDATA(27) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[27]\, PWDATA(26) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[26]\, PWDATA(25) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[25]\, PWDATA(24) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[24]\, PWDATA(23) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[23]\, PWDATA(22) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[22]\, PWDATA(21) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[21]\, PWDATA(20) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[20]\, PWDATA(19) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[19]\, PWDATA(18) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[18]\, PWDATA(17) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[17]\, PWDATA(16) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[16]\, PWDATA(15) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[15]\, PWDATA(14) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[14]\, PWDATA(13) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[13]\, PWDATA(12) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[12]\, PWDATA(11) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[11]\, PWDATA(10) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[10]\, PWDATA(9) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[9]\, PWDATA(8) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[8]\, PWDATA(7) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[7]\, PWDATA(6) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[6]\, PWDATA(5) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[5]\, PWDATA(4) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[4]\, PWDATA(3) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[3]\, PWDATA(2) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[2]\, PWDATA(1) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[1]\, PWDATA(0) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[0]\, PRDATA(31) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[31]\, PRDATA(30) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[30]\, PRDATA(29) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[29]\, PRDATA(28) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[28]\, PRDATA(27) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[27]\, PRDATA(26) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[26]\, PRDATA(25) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[25]\, PRDATA(24) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[24]\, PRDATA(23) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[23]\, PRDATA(22) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[22]\, PRDATA(21) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[21]\, PRDATA(20) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[20]\, PRDATA(19) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[19]\, PRDATA(18) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[18]\, PRDATA(17) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[17]\, PRDATA(16) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[16]\, PRDATA(15) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[15]\, PRDATA(14) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[14]\, PRDATA(13) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[13]\, PRDATA(12) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[12]\, PRDATA(11) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[11]\, PRDATA(10) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[10]\, PRDATA(9) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[9]\, PRDATA(8) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[8]\, PRDATA(7) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[7]\, PRDATA(6) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[6]\, PRDATA(5) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[5]\, PRDATA(4) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[4]\, PRDATA(3) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[3]\, PRDATA(2) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[2]\, PRDATA(1) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[1]\, PRDATA(0) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[0]\);
    
    \VCC\ : VCC
      port map(Y => VCC_net);
    
    CoreInterrupt_0 : CoreInterrupt
      generic map(FIQPOLARITY => 1, IRQPOLARITY => 1,
         NUMFIQSRC => 0, NUMIRQSRC => 9)

      port map(PCLK => SYSCLK, PRESETn => CORE8051S_0_PRESETN, 
        PSEL => CoreAPB3_0_APBmslave1_PSELx, PWRITE => 
        CoreAPB3_0_APBmslave0_PWRITE, PENABLE => 
        CoreAPB3_0_APBmslave0_PENABLE, fiqSource0 => GND_net, 
        fiqSource1 => GND_net, fiqSource2 => GND_net, fiqSource3
         => GND_net, fiqSource4 => GND_net, fiqSource5 => GND_net, 
        fiqSource6 => GND_net, fiqSource7 => GND_net, irqSource0
         => CoreTimer_0_TIMINT, irqSource1 => CoreUARTapb_0_TXRDY, 
        irqSource2 => CoreUARTapb_0_RXRDY, irqSource3 => EXTIRQ, 
        irqSource4 => CoreTimer_1_TIMINT, irqSource5 => GND_net, 
        irqSource6 => GND_net, irqSource7 => GND_net, irqSource8
         => GND_net, irqSource9 => GND_net, irqSource10 => 
        GND_net, irqSource11 => GND_net, irqSource12 => GND_net, 
        irqSource13 => GND_net, irqSource14 => GND_net, 
        irqSource15 => GND_net, irqSource16 => GND_net, 
        irqSource17 => GND_net, irqSource18 => GND_net, 
        irqSource19 => GND_net, irqSource20 => GND_net, 
        irqSource21 => GND_net, irqSource22 => GND_net, 
        irqSource23 => GND_net, irqSource24 => GND_net, 
        irqSource25 => GND_net, irqSource26 => GND_net, 
        irqSource27 => GND_net, irqSource28 => GND_net, 
        irqSource29 => GND_net, irqSource30 => GND_net, 
        irqSource31 => GND_net, FIQ => OPEN, IRQ => 
        CoreInterrupt_0_IRQ, PADDR(5) => 
        \CoreAPB3_0_APBmslave0_PADDR_[5]\, PADDR(4) => 
        \CoreAPB3_0_APBmslave0_PADDR_[4]\, PADDR(3) => 
        \CoreAPB3_0_APBmslave0_PADDR_[3]\, PADDR(2) => 
        \CoreAPB3_0_APBmslave0_PADDR_[2]\, PWDATA(31) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[31]\, PWDATA(30) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[30]\, PWDATA(29) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[29]\, PWDATA(28) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[28]\, PWDATA(27) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[27]\, PWDATA(26) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[26]\, PWDATA(25) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[25]\, PWDATA(24) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[24]\, PWDATA(23) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[23]\, PWDATA(22) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[22]\, PWDATA(21) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[21]\, PWDATA(20) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[20]\, PWDATA(19) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[19]\, PWDATA(18) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[18]\, PWDATA(17) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[17]\, PWDATA(16) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[16]\, PWDATA(15) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[15]\, PWDATA(14) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[14]\, PWDATA(13) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[13]\, PWDATA(12) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[12]\, PWDATA(11) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[11]\, PWDATA(10) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[10]\, PWDATA(9) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[9]\, PWDATA(8) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[8]\, PWDATA(7) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[7]\, PWDATA(6) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[6]\, PWDATA(5) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[5]\, PWDATA(4) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[4]\, PWDATA(3) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[3]\, PWDATA(2) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[2]\, PWDATA(1) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[1]\, PWDATA(0) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[0]\, PRDATA(31) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[31]\, PRDATA(30) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[30]\, PRDATA(29) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[29]\, PRDATA(28) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[28]\, PRDATA(27) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[27]\, PRDATA(26) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[26]\, PRDATA(25) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[25]\, PRDATA(24) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[24]\, PRDATA(23) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[23]\, PRDATA(22) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[22]\, PRDATA(21) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[21]\, PRDATA(20) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[20]\, PRDATA(19) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[19]\, PRDATA(18) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[18]\, PRDATA(17) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[17]\, PRDATA(16) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[16]\, PRDATA(15) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[15]\, PRDATA(14) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[14]\, PRDATA(13) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[13]\, PRDATA(12) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[12]\, PRDATA(11) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[11]\, PRDATA(10) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[10]\, PRDATA(9) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[9]\, PRDATA(8) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[8]\, PRDATA(7) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[7]\, PRDATA(6) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[6]\, PRDATA(5) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[5]\, PRDATA(4) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[4]\, PRDATA(3) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[3]\, PRDATA(2) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[2]\, PRDATA(1) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[1]\, PRDATA(0) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[0]\);
    
    CoreAPB3_0 : CoreAPB3
      generic map(ApbSlot0Enable => 1, ApbSlot10Enable => 1,
         ApbSlot11Enable => 1, ApbSlot12Enable => 1,
         ApbSlot13Enable => 1, ApbSlot14Enable => 1,
         ApbSlot15Enable => 1, ApbSlot1Enable => 1,
         ApbSlot2Enable => 1, ApbSlot3Enable => 1,
         ApbSlot4Enable => 1, ApbSlot5Enable => 1,
         ApbSlot6Enable => 1, ApbSlot7Enable => 1,
         ApbSlot8Enable => 1, ApbSlot9Enable => 1,
         RangeSize => 256)

      port map(PWRITE => CORE8051S_0_APB3master_PWRITE, PENABLE
         => CORE8051S_0_APB3master_PENABLE, PSEL => 
        CORE8051S_0_APB3master_PSELx, PREADY => 
        CORE8051S_0_APB3master_PREADY, PSLVERR => 
        CORE8051S_0_APB3master_PSLVERR, PWRITES => 
        CoreAPB3_0_APBmslave0_PWRITE, PENABLES => 
        CoreAPB3_0_APBmslave0_PENABLE, PSELS0 => 
        CoreAPB3_0_APBmslave0_PSELx, PREADYS0 => VCC_net, 
        PSLVERRS0 => GND_net, PSELS1 => 
        CoreAPB3_0_APBmslave1_PSELx, PREADYS1 => VCC_net, 
        PSLVERRS1 => GND_net, PSELS2 => 
        CoreAPB3_0_APBmslave2_PSELx, PREADYS2 => VCC_net, 
        PSLVERRS2 => GND_net, PSELS3 => 
        CoreAPB3_0_APBmslave3_PSELx, PREADYS3 => VCC_net, 
        PSLVERRS3 => GND_net, PSELS4 => 
        CoreAPB3_0_APBmslave4_PSELx, PREADYS4 => VCC_net, 
        PSLVERRS4 => GND_net, PSELS5 => 
        CoreAPB3_0_APBmslave5_PSELx, PREADYS5 => VCC_net, 
        PSLVERRS5 => GND_net, PSELS6 => 
        CoreAPB3_0_APBmslave6_PSELx, PREADYS6 => VCC_net, 
        PSLVERRS6 => GND_net, PSELS7 => 
        CoreAPB3_0_APBmslave7_PSELx, PREADYS7 => VCC_net, 
        PSLVERRS7 => GND_net, PSELS8 => OPEN, PREADYS8 => VCC_net, 
        PSLVERRS8 => GND_net, PSELS9 => OPEN, PREADYS9 => VCC_net, 
        PSLVERRS9 => GND_net, PSELS10 => OPEN, PREADYS10 => 
        VCC_net, PSLVERRS10 => GND_net, PSELS11 => OPEN, 
        PREADYS11 => VCC_net, PSLVERRS11 => GND_net, PSELS12 => 
        CoreAPB3_0_APBmslave12_PSELx, PREADYS12 => VCC_net, 
        PSLVERRS12 => GND_net, PSELS13 => OPEN, PREADYS13 => 
        VCC_net, PSLVERRS13 => GND_net, PSELS14 => OPEN, 
        PREADYS14 => VCC_net, PSLVERRS14 => GND_net, PSELS15 => 
        OPEN, PREADYS15 => VCC_net, PSLVERRS15 => GND_net, 
        PADDR(23) => GND_net, PADDR(22) => GND_net, PADDR(21) => 
        GND_net, PADDR(20) => GND_net, PADDR(19) => GND_net, 
        PADDR(18) => GND_net, PADDR(17) => GND_net, PADDR(16) => 
        GND_net, PADDR(15) => GND_net, PADDR(14) => GND_net, 
        PADDR(13) => GND_net, PADDR(12) => GND_net, PADDR(11) => 
        \CORE8051S_0_APB3master_PADDR_[11]\, PADDR(10) => 
        \CORE8051S_0_APB3master_PADDR_[10]\, PADDR(9) => 
        \CORE8051S_0_APB3master_PADDR_[9]\, PADDR(8) => 
        \CORE8051S_0_APB3master_PADDR_[8]\, PADDR(7) => 
        \CORE8051S_0_APB3master_PADDR_[7]\, PADDR(6) => 
        \CORE8051S_0_APB3master_PADDR_[6]\, PADDR(5) => 
        \CORE8051S_0_APB3master_PADDR_[5]\, PADDR(4) => 
        \CORE8051S_0_APB3master_PADDR_[4]\, PADDR(3) => 
        \CORE8051S_0_APB3master_PADDR_[3]\, PADDR(2) => 
        \CORE8051S_0_APB3master_PADDR_[2]\, PADDR(1) => 
        \CORE8051S_0_APB3master_PADDR_[1]\, PADDR(0) => 
        \CORE8051S_0_APB3master_PADDR_[0]\, PWDATA(31) => 
        \CORE8051S_0_APB3master_PWDATA_[31]\, PWDATA(30) => 
        \CORE8051S_0_APB3master_PWDATA_[30]\, PWDATA(29) => 
        \CORE8051S_0_APB3master_PWDATA_[29]\, PWDATA(28) => 
        \CORE8051S_0_APB3master_PWDATA_[28]\, PWDATA(27) => 
        \CORE8051S_0_APB3master_PWDATA_[27]\, PWDATA(26) => 
        \CORE8051S_0_APB3master_PWDATA_[26]\, PWDATA(25) => 
        \CORE8051S_0_APB3master_PWDATA_[25]\, PWDATA(24) => 
        \CORE8051S_0_APB3master_PWDATA_[24]\, PWDATA(23) => 
        \CORE8051S_0_APB3master_PWDATA_[23]\, PWDATA(22) => 
        \CORE8051S_0_APB3master_PWDATA_[22]\, PWDATA(21) => 
        \CORE8051S_0_APB3master_PWDATA_[21]\, PWDATA(20) => 
        \CORE8051S_0_APB3master_PWDATA_[20]\, PWDATA(19) => 
        \CORE8051S_0_APB3master_PWDATA_[19]\, PWDATA(18) => 
        \CORE8051S_0_APB3master_PWDATA_[18]\, PWDATA(17) => 
        \CORE8051S_0_APB3master_PWDATA_[17]\, PWDATA(16) => 
        \CORE8051S_0_APB3master_PWDATA_[16]\, PWDATA(15) => 
        \CORE8051S_0_APB3master_PWDATA_[15]\, PWDATA(14) => 
        \CORE8051S_0_APB3master_PWDATA_[14]\, PWDATA(13) => 
        \CORE8051S_0_APB3master_PWDATA_[13]\, PWDATA(12) => 
        \CORE8051S_0_APB3master_PWDATA_[12]\, PWDATA(11) => 
        \CORE8051S_0_APB3master_PWDATA_[11]\, PWDATA(10) => 
        \CORE8051S_0_APB3master_PWDATA_[10]\, PWDATA(9) => 
        \CORE8051S_0_APB3master_PWDATA_[9]\, PWDATA(8) => 
        \CORE8051S_0_APB3master_PWDATA_[8]\, PWDATA(7) => 
        \CORE8051S_0_APB3master_PWDATA_[7]\, PWDATA(6) => 
        \CORE8051S_0_APB3master_PWDATA_[6]\, PWDATA(5) => 
        \CORE8051S_0_APB3master_PWDATA_[5]\, PWDATA(4) => 
        \CORE8051S_0_APB3master_PWDATA_[4]\, PWDATA(3) => 
        \CORE8051S_0_APB3master_PWDATA_[3]\, PWDATA(2) => 
        \CORE8051S_0_APB3master_PWDATA_[2]\, PWDATA(1) => 
        \CORE8051S_0_APB3master_PWDATA_[1]\, PWDATA(0) => 
        \CORE8051S_0_APB3master_PWDATA_[0]\, PRDATA(31) => 
        \CORE8051S_0_APB3master_PRDATA_[31]\, PRDATA(30) => 
        \CORE8051S_0_APB3master_PRDATA_[30]\, PRDATA(29) => 
        \CORE8051S_0_APB3master_PRDATA_[29]\, PRDATA(28) => 
        \CORE8051S_0_APB3master_PRDATA_[28]\, PRDATA(27) => 
        \CORE8051S_0_APB3master_PRDATA_[27]\, PRDATA(26) => 
        \CORE8051S_0_APB3master_PRDATA_[26]\, PRDATA(25) => 
        \CORE8051S_0_APB3master_PRDATA_[25]\, PRDATA(24) => 
        \CORE8051S_0_APB3master_PRDATA_[24]\, PRDATA(23) => 
        \CORE8051S_0_APB3master_PRDATA_[23]\, PRDATA(22) => 
        \CORE8051S_0_APB3master_PRDATA_[22]\, PRDATA(21) => 
        \CORE8051S_0_APB3master_PRDATA_[21]\, PRDATA(20) => 
        \CORE8051S_0_APB3master_PRDATA_[20]\, PRDATA(19) => 
        \CORE8051S_0_APB3master_PRDATA_[19]\, PRDATA(18) => 
        \CORE8051S_0_APB3master_PRDATA_[18]\, PRDATA(17) => 
        \CORE8051S_0_APB3master_PRDATA_[17]\, PRDATA(16) => 
        \CORE8051S_0_APB3master_PRDATA_[16]\, PRDATA(15) => 
        \CORE8051S_0_APB3master_PRDATA_[15]\, PRDATA(14) => 
        \CORE8051S_0_APB3master_PRDATA_[14]\, PRDATA(13) => 
        \CORE8051S_0_APB3master_PRDATA_[13]\, PRDATA(12) => 
        \CORE8051S_0_APB3master_PRDATA_[12]\, PRDATA(11) => 
        \CORE8051S_0_APB3master_PRDATA_[11]\, PRDATA(10) => 
        \CORE8051S_0_APB3master_PRDATA_[10]\, PRDATA(9) => 
        \CORE8051S_0_APB3master_PRDATA_[9]\, PRDATA(8) => 
        \CORE8051S_0_APB3master_PRDATA_[8]\, PRDATA(7) => 
        \CORE8051S_0_APB3master_PRDATA_[7]\, PRDATA(6) => 
        \CORE8051S_0_APB3master_PRDATA_[6]\, PRDATA(5) => 
        \CORE8051S_0_APB3master_PRDATA_[5]\, PRDATA(4) => 
        \CORE8051S_0_APB3master_PRDATA_[4]\, PRDATA(3) => 
        \CORE8051S_0_APB3master_PRDATA_[3]\, PRDATA(2) => 
        \CORE8051S_0_APB3master_PRDATA_[2]\, PRDATA(1) => 
        \CORE8051S_0_APB3master_PRDATA_[1]\, PRDATA(0) => 
        \CORE8051S_0_APB3master_PRDATA_[0]\, PADDRS(23) => 
        \CoreAPB3_0_APBmslave0_PADDR_[23]\, PADDRS(22) => 
        \CoreAPB3_0_APBmslave0_PADDR_[22]\, PADDRS(21) => 
        \CoreAPB3_0_APBmslave0_PADDR_[21]\, PADDRS(20) => 
        \CoreAPB3_0_APBmslave0_PADDR_[20]\, PADDRS(19) => 
        \CoreAPB3_0_APBmslave0_PADDR_[19]\, PADDRS(18) => 
        \CoreAPB3_0_APBmslave0_PADDR_[18]\, PADDRS(17) => 
        \CoreAPB3_0_APBmslave0_PADDR_[17]\, PADDRS(16) => 
        \CoreAPB3_0_APBmslave0_PADDR_[16]\, PADDRS(15) => 
        \CoreAPB3_0_APBmslave0_PADDR_[15]\, PADDRS(14) => 
        \CoreAPB3_0_APBmslave0_PADDR_[14]\, PADDRS(13) => 
        \CoreAPB3_0_APBmslave0_PADDR_[13]\, PADDRS(12) => 
        \CoreAPB3_0_APBmslave0_PADDR_[12]\, PADDRS(11) => 
        \CoreAPB3_0_APBmslave0_PADDR_[11]\, PADDRS(10) => 
        \CoreAPB3_0_APBmslave0_PADDR_[10]\, PADDRS(9) => 
        \CoreAPB3_0_APBmslave0_PADDR_[9]\, PADDRS(8) => 
        \CoreAPB3_0_APBmslave0_PADDR_[8]\, PADDRS(7) => 
        \CoreAPB3_0_APBmslave0_PADDR_[7]\, PADDRS(6) => 
        \CoreAPB3_0_APBmslave0_PADDR_[6]\, PADDRS(5) => 
        \CoreAPB3_0_APBmslave0_PADDR_[5]\, PADDRS(4) => 
        \CoreAPB3_0_APBmslave0_PADDR_[4]\, PADDRS(3) => 
        \CoreAPB3_0_APBmslave0_PADDR_[3]\, PADDRS(2) => 
        \CoreAPB3_0_APBmslave0_PADDR_[2]\, PADDRS(1) => 
        \CoreAPB3_0_APBmslave0_PADDR_[1]\, PADDRS(0) => 
        \CoreAPB3_0_APBmslave0_PADDR_[0]\, PWDATAS(31) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[31]\, PWDATAS(30) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[30]\, PWDATAS(29) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[29]\, PWDATAS(28) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[28]\, PWDATAS(27) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[27]\, PWDATAS(26) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[26]\, PWDATAS(25) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[25]\, PWDATAS(24) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[24]\, PWDATAS(23) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[23]\, PWDATAS(22) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[22]\, PWDATAS(21) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[21]\, PWDATAS(20) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[20]\, PWDATAS(19) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[19]\, PWDATAS(18) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[18]\, PWDATAS(17) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[17]\, PWDATAS(16) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[16]\, PWDATAS(15) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[15]\, PWDATAS(14) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[14]\, PWDATAS(13) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[13]\, PWDATAS(12) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[12]\, PWDATAS(11) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[11]\, PWDATAS(10) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[10]\, PWDATAS(9) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[9]\, PWDATAS(8) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[8]\, PWDATAS(7) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[7]\, PWDATAS(6) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[6]\, PWDATAS(5) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[5]\, PWDATAS(4) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[4]\, PWDATAS(3) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[3]\, PWDATAS(2) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[2]\, PWDATAS(1) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[1]\, PWDATAS(0) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[0]\, PRDATAS0(31) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[31]\, PRDATAS0(30) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[30]\, PRDATAS0(29) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[29]\, PRDATAS0(28) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[28]\, PRDATAS0(27) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[27]\, PRDATAS0(26) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[26]\, PRDATAS0(25) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[25]\, PRDATAS0(24) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[24]\, PRDATAS0(23) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[23]\, PRDATAS0(22) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[22]\, PRDATAS0(21) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[21]\, PRDATAS0(20) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[20]\, PRDATAS0(19) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[19]\, PRDATAS0(18) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[18]\, PRDATAS0(17) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[17]\, PRDATAS0(16) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[16]\, PRDATAS0(15) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[15]\, PRDATAS0(14) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[14]\, PRDATAS0(13) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[13]\, PRDATAS0(12) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[12]\, PRDATAS0(11) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[11]\, PRDATAS0(10) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[10]\, PRDATAS0(9) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[9]\, PRDATAS0(8) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[8]\, PRDATAS0(7) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[7]\, PRDATAS0(6) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[6]\, PRDATAS0(5) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[5]\, PRDATAS0(4) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[4]\, PRDATAS0(3) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[3]\, PRDATAS0(2) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[2]\, PRDATAS0(1) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[1]\, PRDATAS0(0) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[0]\, PRDATAS1(31) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[31]\, PRDATAS1(30) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[30]\, PRDATAS1(29) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[29]\, PRDATAS1(28) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[28]\, PRDATAS1(27) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[27]\, PRDATAS1(26) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[26]\, PRDATAS1(25) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[25]\, PRDATAS1(24) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[24]\, PRDATAS1(23) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[23]\, PRDATAS1(22) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[22]\, PRDATAS1(21) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[21]\, PRDATAS1(20) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[20]\, PRDATAS1(19) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[19]\, PRDATAS1(18) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[18]\, PRDATAS1(17) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[17]\, PRDATAS1(16) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[16]\, PRDATAS1(15) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[15]\, PRDATAS1(14) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[14]\, PRDATAS1(13) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[13]\, PRDATAS1(12) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[12]\, PRDATAS1(11) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[11]\, PRDATAS1(10) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[10]\, PRDATAS1(9) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[9]\, PRDATAS1(8) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[8]\, PRDATAS1(7) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[7]\, PRDATAS1(6) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[6]\, PRDATAS1(5) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[5]\, PRDATAS1(4) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[4]\, PRDATAS1(3) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[3]\, PRDATAS1(2) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[2]\, PRDATAS1(1) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[1]\, PRDATAS1(0) => 
        \CoreAPB3_0_APBmslave1_PRDATA_[0]\, PRDATAS2(31) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[31]\, PRDATAS2(30) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[30]\, PRDATAS2(29) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[29]\, PRDATAS2(28) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[28]\, PRDATAS2(27) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[27]\, PRDATAS2(26) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[26]\, PRDATAS2(25) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[25]\, PRDATAS2(24) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[24]\, PRDATAS2(23) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[23]\, PRDATAS2(22) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[22]\, PRDATAS2(21) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[21]\, PRDATAS2(20) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[20]\, PRDATAS2(19) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[19]\, PRDATAS2(18) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[18]\, PRDATAS2(17) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[17]\, PRDATAS2(16) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[16]\, PRDATAS2(15) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[15]\, PRDATAS2(14) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[14]\, PRDATAS2(13) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[13]\, PRDATAS2(12) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[12]\, PRDATAS2(11) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[11]\, PRDATAS2(10) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[10]\, PRDATAS2(9) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[9]\, PRDATAS2(8) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[8]\, PRDATAS2(7) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[7]\, PRDATAS2(6) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[6]\, PRDATAS2(5) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[5]\, PRDATAS2(4) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[4]\, PRDATAS2(3) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[3]\, PRDATAS2(2) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[2]\, PRDATAS2(1) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[1]\, PRDATAS2(0) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[0]\, PRDATAS3(31) => 
        GND_net, PRDATAS3(30) => GND_net, PRDATAS3(29) => GND_net, 
        PRDATAS3(28) => GND_net, PRDATAS3(27) => GND_net, 
        PRDATAS3(26) => GND_net, PRDATAS3(25) => GND_net, 
        PRDATAS3(24) => GND_net, PRDATAS3(23) => GND_net, 
        PRDATAS3(22) => GND_net, PRDATAS3(21) => GND_net, 
        PRDATAS3(20) => GND_net, PRDATAS3(19) => GND_net, 
        PRDATAS3(18) => GND_net, PRDATAS3(17) => GND_net, 
        PRDATAS3(16) => GND_net, PRDATAS3(15) => GND_net, 
        PRDATAS3(14) => GND_net, PRDATAS3(13) => GND_net, 
        PRDATAS3(12) => GND_net, PRDATAS3(11) => GND_net, 
        PRDATAS3(10) => GND_net, PRDATAS3(9) => GND_net, 
        PRDATAS3(8) => GND_net, PRDATAS3(7) => 
        \CoreAPB3_0_APBmslave3_PRDATA_[7]\, PRDATAS3(6) => 
        \CoreAPB3_0_APBmslave3_PRDATA_[6]\, PRDATAS3(5) => 
        \CoreAPB3_0_APBmslave3_PRDATA_[5]\, PRDATAS3(4) => 
        \CoreAPB3_0_APBmslave3_PRDATA_[4]\, PRDATAS3(3) => 
        \CoreAPB3_0_APBmslave3_PRDATA_[3]\, PRDATAS3(2) => 
        \CoreAPB3_0_APBmslave3_PRDATA_[2]\, PRDATAS3(1) => 
        \CoreAPB3_0_APBmslave3_PRDATA_[1]\, PRDATAS3(0) => 
        \CoreAPB3_0_APBmslave3_PRDATA_[0]\, PRDATAS4(31) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[31]\, PRDATAS4(30) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[30]\, PRDATAS4(29) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[29]\, PRDATAS4(28) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[28]\, PRDATAS4(27) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[27]\, PRDATAS4(26) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[26]\, PRDATAS4(25) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[25]\, PRDATAS4(24) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[24]\, PRDATAS4(23) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[23]\, PRDATAS4(22) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[22]\, PRDATAS4(21) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[21]\, PRDATAS4(20) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[20]\, PRDATAS4(19) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[19]\, PRDATAS4(18) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[18]\, PRDATAS4(17) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[17]\, PRDATAS4(16) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[16]\, PRDATAS4(15) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[15]\, PRDATAS4(14) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[14]\, PRDATAS4(13) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[13]\, PRDATAS4(12) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[12]\, PRDATAS4(11) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[11]\, PRDATAS4(10) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[10]\, PRDATAS4(9) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[9]\, PRDATAS4(8) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[8]\, PRDATAS4(7) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[7]\, PRDATAS4(6) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[6]\, PRDATAS4(5) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[5]\, PRDATAS4(4) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[4]\, PRDATAS4(3) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[3]\, PRDATAS4(2) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[2]\, PRDATAS4(1) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[1]\, PRDATAS4(0) => 
        \CoreAPB3_0_APBmslave4_PRDATA_[0]\, PRDATAS5(31) => 
        GND_net, PRDATAS5(30) => GND_net, PRDATAS5(29) => GND_net, 
        PRDATAS5(28) => GND_net, PRDATAS5(27) => GND_net, 
        PRDATAS5(26) => GND_net, PRDATAS5(25) => GND_net, 
        PRDATAS5(24) => GND_net, PRDATAS5(23) => GND_net, 
        PRDATAS5(22) => GND_net, PRDATAS5(21) => GND_net, 
        PRDATAS5(20) => GND_net, PRDATAS5(19) => GND_net, 
        PRDATAS5(18) => GND_net, PRDATAS5(17) => GND_net, 
        PRDATAS5(16) => GND_net, PRDATAS5(15) => GND_net, 
        PRDATAS5(14) => GND_net, PRDATAS5(13) => GND_net, 
        PRDATAS5(12) => GND_net, PRDATAS5(11) => GND_net, 
        PRDATAS5(10) => GND_net, PRDATAS5(9) => GND_net, 
        PRDATAS5(8) => GND_net, PRDATAS5(7) => GND_net, 
        PRDATAS5(6) => GND_net, PRDATAS5(5) => GND_net, 
        PRDATAS5(4) => GND_net, PRDATAS5(3) => GND_net, 
        PRDATAS5(2) => GND_net, PRDATAS5(1) => GND_net, 
        PRDATAS5(0) => GND_net, PRDATAS6(31) => GND_net, 
        PRDATAS6(30) => GND_net, PRDATAS6(29) => GND_net, 
        PRDATAS6(28) => GND_net, PRDATAS6(27) => GND_net, 
        PRDATAS6(26) => GND_net, PRDATAS6(25) => GND_net, 
        PRDATAS6(24) => GND_net, PRDATAS6(23) => GND_net, 
        PRDATAS6(22) => GND_net, PRDATAS6(21) => GND_net, 
        PRDATAS6(20) => GND_net, PRDATAS6(19) => GND_net, 
        PRDATAS6(18) => GND_net, PRDATAS6(17) => GND_net, 
        PRDATAS6(16) => GND_net, PRDATAS6(15) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[15]\, PRDATAS6(14) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[14]\, PRDATAS6(13) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[13]\, PRDATAS6(12) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[12]\, PRDATAS6(11) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[11]\, PRDATAS6(10) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[10]\, PRDATAS6(9) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[9]\, PRDATAS6(8) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[8]\, PRDATAS6(7) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[7]\, PRDATAS6(6) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[6]\, PRDATAS6(5) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[5]\, PRDATAS6(4) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[4]\, PRDATAS6(3) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[3]\, PRDATAS6(2) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[2]\, PRDATAS6(1) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[1]\, PRDATAS6(0) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[0]\, PRDATAS7(31) => 
        GND_net, PRDATAS7(30) => GND_net, PRDATAS7(29) => GND_net, 
        PRDATAS7(28) => GND_net, PRDATAS7(27) => GND_net, 
        PRDATAS7(26) => GND_net, PRDATAS7(25) => GND_net, 
        PRDATAS7(24) => GND_net, PRDATAS7(23) => GND_net, 
        PRDATAS7(22) => GND_net, PRDATAS7(21) => GND_net, 
        PRDATAS7(20) => GND_net, PRDATAS7(19) => GND_net, 
        PRDATAS7(18) => GND_net, PRDATAS7(17) => GND_net, 
        PRDATAS7(16) => GND_net, PRDATAS7(15) => GND_net, 
        PRDATAS7(14) => GND_net, PRDATAS7(13) => GND_net, 
        PRDATAS7(12) => GND_net, PRDATAS7(11) => GND_net, 
        PRDATAS7(10) => GND_net, PRDATAS7(9) => GND_net, 
        PRDATAS7(8) => GND_net, PRDATAS7(7) => GND_net, 
        PRDATAS7(6) => GND_net, PRDATAS7(5) => GND_net, 
        PRDATAS7(4) => GND_net, PRDATAS7(3) => GND_net, 
        PRDATAS7(2) => GND_net, PRDATAS7(1) => GND_net, 
        PRDATAS7(0) => GND_net, PRDATAS8(31) => GND_net, 
        PRDATAS8(30) => GND_net, PRDATAS8(29) => GND_net, 
        PRDATAS8(28) => GND_net, PRDATAS8(27) => GND_net, 
        PRDATAS8(26) => GND_net, PRDATAS8(25) => GND_net, 
        PRDATAS8(24) => GND_net, PRDATAS8(23) => GND_net, 
        PRDATAS8(22) => GND_net, PRDATAS8(21) => GND_net, 
        PRDATAS8(20) => GND_net, PRDATAS8(19) => GND_net, 
        PRDATAS8(18) => GND_net, PRDATAS8(17) => GND_net, 
        PRDATAS8(16) => GND_net, PRDATAS8(15) => GND_net, 
        PRDATAS8(14) => GND_net, PRDATAS8(13) => GND_net, 
        PRDATAS8(12) => GND_net, PRDATAS8(11) => GND_net, 
        PRDATAS8(10) => GND_net, PRDATAS8(9) => GND_net, 
        PRDATAS8(8) => GND_net, PRDATAS8(7) => GND_net, 
        PRDATAS8(6) => GND_net, PRDATAS8(5) => GND_net, 
        PRDATAS8(4) => GND_net, PRDATAS8(3) => GND_net, 
        PRDATAS8(2) => GND_net, PRDATAS8(1) => GND_net, 
        PRDATAS8(0) => GND_net, PRDATAS9(31) => GND_net, 
        PRDATAS9(30) => GND_net, PRDATAS9(29) => GND_net, 
        PRDATAS9(28) => GND_net, PRDATAS9(27) => GND_net, 
        PRDATAS9(26) => GND_net, PRDATAS9(25) => GND_net, 
        PRDATAS9(24) => GND_net, PRDATAS9(23) => GND_net, 
        PRDATAS9(22) => GND_net, PRDATAS9(21) => GND_net, 
        PRDATAS9(20) => GND_net, PRDATAS9(19) => GND_net, 
        PRDATAS9(18) => GND_net, PRDATAS9(17) => GND_net, 
        PRDATAS9(16) => GND_net, PRDATAS9(15) => GND_net, 
        PRDATAS9(14) => GND_net, PRDATAS9(13) => GND_net, 
        PRDATAS9(12) => GND_net, PRDATAS9(11) => GND_net, 
        PRDATAS9(10) => GND_net, PRDATAS9(9) => GND_net, 
        PRDATAS9(8) => GND_net, PRDATAS9(7) => GND_net, 
        PRDATAS9(6) => GND_net, PRDATAS9(5) => GND_net, 
        PRDATAS9(4) => GND_net, PRDATAS9(3) => GND_net, 
        PRDATAS9(2) => GND_net, PRDATAS9(1) => GND_net, 
        PRDATAS9(0) => GND_net, PRDATAS10(31) => GND_net, 
        PRDATAS10(30) => GND_net, PRDATAS10(29) => GND_net, 
        PRDATAS10(28) => GND_net, PRDATAS10(27) => GND_net, 
        PRDATAS10(26) => GND_net, PRDATAS10(25) => GND_net, 
        PRDATAS10(24) => GND_net, PRDATAS10(23) => GND_net, 
        PRDATAS10(22) => GND_net, PRDATAS10(21) => GND_net, 
        PRDATAS10(20) => GND_net, PRDATAS10(19) => GND_net, 
        PRDATAS10(18) => GND_net, PRDATAS10(17) => GND_net, 
        PRDATAS10(16) => GND_net, PRDATAS10(15) => GND_net, 
        PRDATAS10(14) => GND_net, PRDATAS10(13) => GND_net, 
        PRDATAS10(12) => GND_net, PRDATAS10(11) => GND_net, 
        PRDATAS10(10) => GND_net, PRDATAS10(9) => GND_net, 
        PRDATAS10(8) => GND_net, PRDATAS10(7) => GND_net, 
        PRDATAS10(6) => GND_net, PRDATAS10(5) => GND_net, 
        PRDATAS10(4) => GND_net, PRDATAS10(3) => GND_net, 
        PRDATAS10(2) => GND_net, PRDATAS10(1) => GND_net, 
        PRDATAS10(0) => GND_net, PRDATAS11(31) => GND_net, 
        PRDATAS11(30) => GND_net, PRDATAS11(29) => GND_net, 
        PRDATAS11(28) => GND_net, PRDATAS11(27) => GND_net, 
        PRDATAS11(26) => GND_net, PRDATAS11(25) => GND_net, 
        PRDATAS11(24) => GND_net, PRDATAS11(23) => GND_net, 
        PRDATAS11(22) => GND_net, PRDATAS11(21) => GND_net, 
        PRDATAS11(20) => GND_net, PRDATAS11(19) => GND_net, 
        PRDATAS11(18) => GND_net, PRDATAS11(17) => GND_net, 
        PRDATAS11(16) => GND_net, PRDATAS11(15) => GND_net, 
        PRDATAS11(14) => GND_net, PRDATAS11(13) => GND_net, 
        PRDATAS11(12) => GND_net, PRDATAS11(11) => GND_net, 
        PRDATAS11(10) => GND_net, PRDATAS11(9) => GND_net, 
        PRDATAS11(8) => GND_net, PRDATAS11(7) => GND_net, 
        PRDATAS11(6) => GND_net, PRDATAS11(5) => GND_net, 
        PRDATAS11(4) => GND_net, PRDATAS11(3) => GND_net, 
        PRDATAS11(2) => GND_net, PRDATAS11(1) => GND_net, 
        PRDATAS11(0) => GND_net, PRDATAS12(31) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[31]\, PRDATAS12(30) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[30]\, PRDATAS12(29) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[29]\, PRDATAS12(28) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[28]\, PRDATAS12(27) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[27]\, PRDATAS12(26) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[26]\, PRDATAS12(25) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[25]\, PRDATAS12(24) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[24]\, PRDATAS12(23) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[23]\, PRDATAS12(22) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[22]\, PRDATAS12(21) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[21]\, PRDATAS12(20) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[20]\, PRDATAS12(19) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[19]\, PRDATAS12(18) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[18]\, PRDATAS12(17) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[17]\, PRDATAS12(16) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[16]\, PRDATAS12(15) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[15]\, PRDATAS12(14) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[14]\, PRDATAS12(13) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[13]\, PRDATAS12(12) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[12]\, PRDATAS12(11) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[11]\, PRDATAS12(10) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[10]\, PRDATAS12(9) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[9]\, PRDATAS12(8) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[8]\, PRDATAS12(7) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[7]\, PRDATAS12(6) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[6]\, PRDATAS12(5) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[5]\, PRDATAS12(4) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[4]\, PRDATAS12(3) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[3]\, PRDATAS12(2) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[2]\, PRDATAS12(1) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[1]\, PRDATAS12(0) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[0]\, PRDATAS13(31) => 
        GND_net, PRDATAS13(30) => GND_net, PRDATAS13(29) => 
        GND_net, PRDATAS13(28) => GND_net, PRDATAS13(27) => 
        GND_net, PRDATAS13(26) => GND_net, PRDATAS13(25) => 
        GND_net, PRDATAS13(24) => GND_net, PRDATAS13(23) => 
        GND_net, PRDATAS13(22) => GND_net, PRDATAS13(21) => 
        GND_net, PRDATAS13(20) => GND_net, PRDATAS13(19) => 
        GND_net, PRDATAS13(18) => GND_net, PRDATAS13(17) => 
        GND_net, PRDATAS13(16) => GND_net, PRDATAS13(15) => 
        GND_net, PRDATAS13(14) => GND_net, PRDATAS13(13) => 
        GND_net, PRDATAS13(12) => GND_net, PRDATAS13(11) => 
        GND_net, PRDATAS13(10) => GND_net, PRDATAS13(9) => 
        GND_net, PRDATAS13(8) => GND_net, PRDATAS13(7) => GND_net, 
        PRDATAS13(6) => GND_net, PRDATAS13(5) => GND_net, 
        PRDATAS13(4) => GND_net, PRDATAS13(3) => GND_net, 
        PRDATAS13(2) => GND_net, PRDATAS13(1) => GND_net, 
        PRDATAS13(0) => GND_net, PRDATAS14(31) => GND_net, 
        PRDATAS14(30) => GND_net, PRDATAS14(29) => GND_net, 
        PRDATAS14(28) => GND_net, PRDATAS14(27) => GND_net, 
        PRDATAS14(26) => GND_net, PRDATAS14(25) => GND_net, 
        PRDATAS14(24) => GND_net, PRDATAS14(23) => GND_net, 
        PRDATAS14(22) => GND_net, PRDATAS14(21) => GND_net, 
        PRDATAS14(20) => GND_net, PRDATAS14(19) => GND_net, 
        PRDATAS14(18) => GND_net, PRDATAS14(17) => GND_net, 
        PRDATAS14(16) => GND_net, PRDATAS14(15) => GND_net, 
        PRDATAS14(14) => GND_net, PRDATAS14(13) => GND_net, 
        PRDATAS14(12) => GND_net, PRDATAS14(11) => GND_net, 
        PRDATAS14(10) => GND_net, PRDATAS14(9) => GND_net, 
        PRDATAS14(8) => GND_net, PRDATAS14(7) => GND_net, 
        PRDATAS14(6) => GND_net, PRDATAS14(5) => GND_net, 
        PRDATAS14(4) => GND_net, PRDATAS14(3) => GND_net, 
        PRDATAS14(2) => GND_net, PRDATAS14(1) => GND_net, 
        PRDATAS14(0) => GND_net, PRDATAS15(31) => GND_net, 
        PRDATAS15(30) => GND_net, PRDATAS15(29) => GND_net, 
        PRDATAS15(28) => GND_net, PRDATAS15(27) => GND_net, 
        PRDATAS15(26) => GND_net, PRDATAS15(25) => GND_net, 
        PRDATAS15(24) => GND_net, PRDATAS15(23) => GND_net, 
        PRDATAS15(22) => GND_net, PRDATAS15(21) => GND_net, 
        PRDATAS15(20) => GND_net, PRDATAS15(19) => GND_net, 
        PRDATAS15(18) => GND_net, PRDATAS15(17) => GND_net, 
        PRDATAS15(16) => GND_net, PRDATAS15(15) => GND_net, 
        PRDATAS15(14) => GND_net, PRDATAS15(13) => GND_net, 
        PRDATAS15(12) => GND_net, PRDATAS15(11) => GND_net, 
        PRDATAS15(10) => GND_net, PRDATAS15(9) => GND_net, 
        PRDATAS15(8) => GND_net, PRDATAS15(7) => GND_net, 
        PRDATAS15(6) => GND_net, PRDATAS15(5) => GND_net, 
        PRDATAS15(4) => GND_net, PRDATAS15(3) => GND_net, 
        PRDATAS15(2) => GND_net, PRDATAS15(1) => GND_net, 
        PRDATAS15(0) => GND_net);
    
    COREAI_0 : COREAI
      generic map(ACM_CLK_DIV => 1, ACTLOW_INTERRUPT => 0,
         APB_16BIT_DATA => 1, CFG_AC0 => 768, CFG_AC1 => 768,
         CFG_AC2 => 768, CFG_AC3 => 768, CFG_AC4 => 768,
         CFG_AC5 => 768, CFG_AC6 => 1, CFG_AC7 => 1,
         CFG_AC8 => 768, CFG_AC9 => 1, CFG_AT0 => 768,
         CFG_AT1 => 768, CFG_AT2 => 768, CFG_AT3 => 768,
         CFG_AT4 => 768, CFG_AT5 => 768, CFG_AT6 => 768,
         CFG_AT7 => 768, CFG_AT8 => 1, CFG_AT9 => 1,
         CFG_AV0 => 768, CFG_AV1 => 768, CFG_AV2 => 768,
         CFG_AV3 => 768, CFG_AV4 => 768, CFG_AV5 => 768,
         CFG_AV6 => 4, CFG_AV7 => 5, CFG_AV8 => 3, CFG_AV9 => 4,
         CFG_GD0 => 768, CFG_GD1 => 768, CFG_GD2 => 768,
         CFG_GD3 => 768, CFG_GD4 => 768, CFG_GD5 => 768,
         CFG_GD6 => 768, CFG_GD7 => 768, CFG_GD8 => 768,
         CFG_GD9 => 768, DISABLE_INTERRUPT => 0,
         DISABLE_TMSTBINT => 0, FIXED_MODE => 0,
         FIXED_MODE_VAL => 0, FIXED_STC => 0, FIXED_STC_VAL => 0,
         FIXED_TVC => 0, FIXED_TVC_VAL => 0, FIXED_VAREFSEL => 1,
         FIXED_VAREFSEL_VAL => 0, USE_RDFIFO => 0,
         USE_RDFIFO_AEVAL => 0, USE_RDFIFO_AFVAL => 0,
         USE_RTC => 0)

      port map(PCLK => SYSCLK, PRESETN => CORE8051S_0_PRESETN, 
        PSEL => CoreAPB3_0_APBmslave6_PSELx, PENABLE => 
        CoreAPB3_0_APBmslave0_PENABLE, PWRITE => 
        CoreAPB3_0_APBmslave0_PWRITE, INTERRUPT => OPEN, VAREF
         => VAREF, GNDREF => GNDREF, AV0 => AV0, AV1 => AV1, AV2
         => AV2, AV3 => AV3, AV4 => AV4, AV5 => AV5, AV6 => AV6, 
        AV7 => AV7, AV8 => AV8, AV9 => AV9, AC0 => AC0, AC1 => 
        AC1, AC2 => AC2, AC3 => AC3, AC4 => AC4, AC5 => AC5, AC6
         => AC6, AC7 => AC7, AC8 => AC8, AC9 => AC9, AT0 => AT0, 
        AT1 => AT1, AT2 => AT2, AT3 => AT3, AT4 => AT4, AT5 => 
        AT5, AT6 => AT6, AT7 => AT7, AT8 => AT8, AT9 => AT9, 
        ATRETURN0 => ATRETURN0, ATRETURN1 => ATRETURN1, ATRETURN2
         => ATRETURN2, ATRETURN3 => ATRETURN3, ATRETURN4 => 
        ATRETURN4, DAVOUT0 => OPEN, DAVOUT1 => OPEN, DAVOUT2 => 
        OPEN, DAVOUT3 => OPEN, DAVOUT4 => OPEN, DAVOUT5 => OPEN, 
        DAVOUT6 => OPEN, DAVOUT7 => OPEN, DAVOUT8 => OPEN, 
        DAVOUT9 => OPEN, DACOUT0 => OPEN, DACOUT1 => OPEN, 
        DACOUT2 => OPEN, DACOUT3 => OPEN, DACOUT4 => OPEN, 
        DACOUT5 => OPEN, DACOUT6 => OPEN, DACOUT7 => OPEN, 
        DACOUT8 => OPEN, DACOUT9 => OPEN, DATOUT0 => OPEN, 
        DATOUT1 => OPEN, DATOUT2 => OPEN, DATOUT3 => OPEN, 
        DATOUT4 => OPEN, DATOUT5 => OPEN, DATOUT6 => OPEN, 
        DATOUT7 => OPEN, DATOUT8 => OPEN, DATOUT9 => OPEN, 
        DDGDON0 => GND_net, DDGDON1 => GND_net, DDGDON2 => 
        GND_net, DDGDON3 => GND_net, DDGDON4 => GND_net, DDGDON5
         => GND_net, DDGDON6 => GND_net, DDGDON7 => GND_net, 
        DDGDON8 => GND_net, DDGDON9 => GND_net, AG0 => AG0, AG1
         => AG1, AG2 => AG2, AG3 => AG3, AG4 => AG4, AG5 => AG5, 
        AG6 => AG6, AG7 => AG7, AG8 => AG8, AG9 => AG9, RTCCLK
         => GND_net, RTCXTLMODE0 => OPEN, RTCXTLMODE1 => OPEN, 
        RTCXTLSEL => OPEN, RTCMATCH => OPEN, RTCPSMMATCH => OPEN, 
        PADDR(5) => \CoreAPB3_0_APBmslave0_PADDR_[5]\, PADDR(4)
         => \CoreAPB3_0_APBmslave0_PADDR_[4]\, PADDR(3) => 
        \CoreAPB3_0_APBmslave0_PADDR_[3]\, PADDR(2) => 
        \CoreAPB3_0_APBmslave0_PADDR_[2]\, PADDR(1) => 
        \CoreAPB3_0_APBmslave0_PADDR_[1]\, PWDATA(15) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[15]\, PWDATA(14) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[14]\, PWDATA(13) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[13]\, PWDATA(12) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[12]\, PWDATA(11) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[11]\, PWDATA(10) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[10]\, PWDATA(9) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[9]\, PWDATA(8) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[8]\, PWDATA(7) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[7]\, PWDATA(6) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[6]\, PWDATA(5) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[5]\, PWDATA(4) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[4]\, PWDATA(3) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[3]\, PWDATA(2) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[2]\, PWDATA(1) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[1]\, PWDATA(0) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[0]\, PRDATA(15) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[15]\, PRDATA(14) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[14]\, PRDATA(13) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[13]\, PRDATA(12) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[12]\, PRDATA(11) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[11]\, PRDATA(10) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[10]\, PRDATA(9) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[9]\, PRDATA(8) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[8]\, PRDATA(7) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[7]\, PRDATA(6) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[6]\, PRDATA(5) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[5]\, PRDATA(4) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[4]\, PRDATA(3) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[3]\, PRDATA(2) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[2]\, PRDATA(1) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[1]\, PRDATA(0) => 
        \CoreAPB3_0_APBmslave6_PRDATA_[0]\);
    
    CoreWatchdog_0 : CoreWatchdog
      generic map(WIDTH => 32)

      port map(PCLK => SYSCLK, PRESETn => CORE8051S_0_PRESETN, 
        PSEL => CoreAPB3_0_APBmslave12_PSELx, PWRITE => 
        CoreAPB3_0_APBmslave0_PWRITE, PENABLE => 
        CoreAPB3_0_APBmslave0_PENABLE, WDOGRESn => 
        CORE8051S_0_WDOGRESN, WDOGRES => CoreWatchdog_0_WDOGRES, 
        PADDR(4) => \CoreAPB3_0_APBmslave0_PADDR_[4]\, PADDR(3)
         => \CoreAPB3_0_APBmslave0_PADDR_[3]\, PADDR(2) => 
        \CoreAPB3_0_APBmslave0_PADDR_[2]\, PWDATA(31) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[31]\, PWDATA(30) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[30]\, PWDATA(29) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[29]\, PWDATA(28) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[28]\, PWDATA(27) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[27]\, PWDATA(26) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[26]\, PWDATA(25) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[25]\, PWDATA(24) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[24]\, PWDATA(23) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[23]\, PWDATA(22) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[22]\, PWDATA(21) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[21]\, PWDATA(20) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[20]\, PWDATA(19) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[19]\, PWDATA(18) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[18]\, PWDATA(17) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[17]\, PWDATA(16) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[16]\, PWDATA(15) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[15]\, PWDATA(14) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[14]\, PWDATA(13) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[13]\, PWDATA(12) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[12]\, PWDATA(11) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[11]\, PWDATA(10) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[10]\, PWDATA(9) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[9]\, PWDATA(8) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[8]\, PWDATA(7) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[7]\, PWDATA(6) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[6]\, PWDATA(5) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[5]\, PWDATA(4) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[4]\, PWDATA(3) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[3]\, PWDATA(2) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[2]\, PWDATA(1) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[1]\, PWDATA(0) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[0]\, PRDATA(31) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[31]\, PRDATA(30) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[30]\, PRDATA(29) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[29]\, PRDATA(28) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[28]\, PRDATA(27) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[27]\, PRDATA(26) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[26]\, PRDATA(25) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[25]\, PRDATA(24) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[24]\, PRDATA(23) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[23]\, PRDATA(22) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[22]\, PRDATA(21) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[21]\, PRDATA(20) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[20]\, PRDATA(19) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[19]\, PRDATA(18) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[18]\, PRDATA(17) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[17]\, PRDATA(16) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[16]\, PRDATA(15) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[15]\, PRDATA(14) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[14]\, PRDATA(13) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[13]\, PRDATA(12) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[12]\, PRDATA(11) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[11]\, PRDATA(10) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[10]\, PRDATA(9) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[9]\, PRDATA(8) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[8]\, PRDATA(7) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[7]\, PRDATA(6) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[6]\, PRDATA(5) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[5]\, PRDATA(4) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[4]\, PRDATA(3) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[3]\, PRDATA(2) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[2]\, PRDATA(1) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[1]\, PRDATA(0) => 
        \CoreAPB3_0_APBmslave12_PRDATA_[0]\);
    
    CORE8051S_0 : CORE8051S
      generic map(APB_DWIDTH => 32, EN_FF_OPTS => 0, FAMILY => 17,
         INCL_DPTR1 => 1, INCL_MUL_DIV_DA => 1, INCL_TRACE => 0,
         STRETCH_VAL => 2, TRIG_NUM => 4, USE_OCI => 1,
         USE_UJTAG => 1, VARIABLE_STRETCH => 0,
         VARIABLE_WAIT => 1, WAIT_VAL => 0)

      port map(CLK => SYSCLK, NSYSRESET => NSYSRESET, PRESETN => 
        CORE8051S_0_PRESETN, WDOGRES => CoreWatchdog_0_WDOGRES, 
        WDOGRESN => CORE8051S_0_WDOGRESN, INT0 => 
        CoreInterrupt_0_IRQ, INT1 => GND_net, MOVX => MOVX, 
        PWRITE => CORE8051S_0_APB3master_PWRITE, PENABLE => 
        CORE8051S_0_APB3master_PENABLE, PSEL => 
        CORE8051S_0_APB3master_PSELx, PREADY => 
        CORE8051S_0_APB3master_PREADY, PSLVERR => 
        CORE8051S_0_APB3master_PSLVERR, MEMPSACKI => MEMPSACKI, 
        MEMACKI => MEMACKI, MEMPSRD => MEMPSRD, MEMWR => MEMWR, 
        MEMRD => MEMRD, TCK => TCK, TMS => TMS, TDI => TDI, TDO
         => TDO, TRSTN => TRSTN, BREAKIN => BREAKIN, BREAKOUT => 
        BREAKOUT, DBGMEMPSWR => DBGMEMPSWR, TRIGOUT => TRIGOUT, 
        AUXOUT => AUXOUT, PADDR(11) => 
        \CORE8051S_0_APB3master_PADDR_[11]\, PADDR(10) => 
        \CORE8051S_0_APB3master_PADDR_[10]\, PADDR(9) => 
        \CORE8051S_0_APB3master_PADDR_[9]\, PADDR(8) => 
        \CORE8051S_0_APB3master_PADDR_[8]\, PADDR(7) => 
        \CORE8051S_0_APB3master_PADDR_[7]\, PADDR(6) => 
        \CORE8051S_0_APB3master_PADDR_[6]\, PADDR(5) => 
        \CORE8051S_0_APB3master_PADDR_[5]\, PADDR(4) => 
        \CORE8051S_0_APB3master_PADDR_[4]\, PADDR(3) => 
        \CORE8051S_0_APB3master_PADDR_[3]\, PADDR(2) => 
        \CORE8051S_0_APB3master_PADDR_[2]\, PADDR(1) => 
        \CORE8051S_0_APB3master_PADDR_[1]\, PADDR(0) => 
        \CORE8051S_0_APB3master_PADDR_[0]\, PWDATA(31) => 
        \CORE8051S_0_APB3master_PWDATA_[31]\, PWDATA(30) => 
        \CORE8051S_0_APB3master_PWDATA_[30]\, PWDATA(29) => 
        \CORE8051S_0_APB3master_PWDATA_[29]\, PWDATA(28) => 
        \CORE8051S_0_APB3master_PWDATA_[28]\, PWDATA(27) => 
        \CORE8051S_0_APB3master_PWDATA_[27]\, PWDATA(26) => 
        \CORE8051S_0_APB3master_PWDATA_[26]\, PWDATA(25) => 
        \CORE8051S_0_APB3master_PWDATA_[25]\, PWDATA(24) => 
        \CORE8051S_0_APB3master_PWDATA_[24]\, PWDATA(23) => 
        \CORE8051S_0_APB3master_PWDATA_[23]\, PWDATA(22) => 
        \CORE8051S_0_APB3master_PWDATA_[22]\, PWDATA(21) => 
        \CORE8051S_0_APB3master_PWDATA_[21]\, PWDATA(20) => 
        \CORE8051S_0_APB3master_PWDATA_[20]\, PWDATA(19) => 
        \CORE8051S_0_APB3master_PWDATA_[19]\, PWDATA(18) => 
        \CORE8051S_0_APB3master_PWDATA_[18]\, PWDATA(17) => 
        \CORE8051S_0_APB3master_PWDATA_[17]\, PWDATA(16) => 
        \CORE8051S_0_APB3master_PWDATA_[16]\, PWDATA(15) => 
        \CORE8051S_0_APB3master_PWDATA_[15]\, PWDATA(14) => 
        \CORE8051S_0_APB3master_PWDATA_[14]\, PWDATA(13) => 
        \CORE8051S_0_APB3master_PWDATA_[13]\, PWDATA(12) => 
        \CORE8051S_0_APB3master_PWDATA_[12]\, PWDATA(11) => 
        \CORE8051S_0_APB3master_PWDATA_[11]\, PWDATA(10) => 
        \CORE8051S_0_APB3master_PWDATA_[10]\, PWDATA(9) => 
        \CORE8051S_0_APB3master_PWDATA_[9]\, PWDATA(8) => 
        \CORE8051S_0_APB3master_PWDATA_[8]\, PWDATA(7) => 
        \CORE8051S_0_APB3master_PWDATA_[7]\, PWDATA(6) => 
        \CORE8051S_0_APB3master_PWDATA_[6]\, PWDATA(5) => 
        \CORE8051S_0_APB3master_PWDATA_[5]\, PWDATA(4) => 
        \CORE8051S_0_APB3master_PWDATA_[4]\, PWDATA(3) => 
        \CORE8051S_0_APB3master_PWDATA_[3]\, PWDATA(2) => 
        \CORE8051S_0_APB3master_PWDATA_[2]\, PWDATA(1) => 
        \CORE8051S_0_APB3master_PWDATA_[1]\, PWDATA(0) => 
        \CORE8051S_0_APB3master_PWDATA_[0]\, PRDATA(31) => 
        \CORE8051S_0_APB3master_PRDATA_[31]\, PRDATA(30) => 
        \CORE8051S_0_APB3master_PRDATA_[30]\, PRDATA(29) => 
        \CORE8051S_0_APB3master_PRDATA_[29]\, PRDATA(28) => 
        \CORE8051S_0_APB3master_PRDATA_[28]\, PRDATA(27) => 
        \CORE8051S_0_APB3master_PRDATA_[27]\, PRDATA(26) => 
        \CORE8051S_0_APB3master_PRDATA_[26]\, PRDATA(25) => 
        \CORE8051S_0_APB3master_PRDATA_[25]\, PRDATA(24) => 
        \CORE8051S_0_APB3master_PRDATA_[24]\, PRDATA(23) => 
        \CORE8051S_0_APB3master_PRDATA_[23]\, PRDATA(22) => 
        \CORE8051S_0_APB3master_PRDATA_[22]\, PRDATA(21) => 
        \CORE8051S_0_APB3master_PRDATA_[21]\, PRDATA(20) => 
        \CORE8051S_0_APB3master_PRDATA_[20]\, PRDATA(19) => 
        \CORE8051S_0_APB3master_PRDATA_[19]\, PRDATA(18) => 
        \CORE8051S_0_APB3master_PRDATA_[18]\, PRDATA(17) => 
        \CORE8051S_0_APB3master_PRDATA_[17]\, PRDATA(16) => 
        \CORE8051S_0_APB3master_PRDATA_[16]\, PRDATA(15) => 
        \CORE8051S_0_APB3master_PRDATA_[15]\, PRDATA(14) => 
        \CORE8051S_0_APB3master_PRDATA_[14]\, PRDATA(13) => 
        \CORE8051S_0_APB3master_PRDATA_[13]\, PRDATA(12) => 
        \CORE8051S_0_APB3master_PRDATA_[12]\, PRDATA(11) => 
        \CORE8051S_0_APB3master_PRDATA_[11]\, PRDATA(10) => 
        \CORE8051S_0_APB3master_PRDATA_[10]\, PRDATA(9) => 
        \CORE8051S_0_APB3master_PRDATA_[9]\, PRDATA(8) => 
        \CORE8051S_0_APB3master_PRDATA_[8]\, PRDATA(7) => 
        \CORE8051S_0_APB3master_PRDATA_[7]\, PRDATA(6) => 
        \CORE8051S_0_APB3master_PRDATA_[6]\, PRDATA(5) => 
        \CORE8051S_0_APB3master_PRDATA_[5]\, PRDATA(4) => 
        \CORE8051S_0_APB3master_PRDATA_[4]\, PRDATA(3) => 
        \CORE8051S_0_APB3master_PRDATA_[3]\, PRDATA(2) => 
        \CORE8051S_0_APB3master_PRDATA_[2]\, PRDATA(1) => 
        \CORE8051S_0_APB3master_PRDATA_[1]\, PRDATA(0) => 
        \CORE8051S_0_APB3master_PRDATA_[0]\, MEMDATAI(7) => 
        MEMDATAI(7), MEMDATAI(6) => MEMDATAI(6), MEMDATAI(5) => 
        MEMDATAI(5), MEMDATAI(4) => MEMDATAI(4), MEMDATAI(3) => 
        MEMDATAI(3), MEMDATAI(2) => MEMDATAI(2), MEMDATAI(1) => 
        MEMDATAI(1), MEMDATAI(0) => MEMDATAI(0), MEMDATAO(7) => 
        MEMDATAO(7), MEMDATAO(6) => MEMDATAO(6), MEMDATAO(5) => 
        MEMDATAO(5), MEMDATAO(4) => MEMDATAO(4), MEMDATAO(3) => 
        MEMDATAO(3), MEMDATAO(2) => MEMDATAO(2), MEMDATAO(1) => 
        MEMDATAO(1), MEMDATAO(0) => MEMDATAO(0), MEMADDR(15) => 
        MEMADDR(15), MEMADDR(14) => MEMADDR(14), MEMADDR(13) => 
        MEMADDR(13), MEMADDR(12) => MEMADDR(12), MEMADDR(11) => 
        MEMADDR(11), MEMADDR(10) => MEMADDR(10), MEMADDR(9) => 
        MEMADDR(9), MEMADDR(8) => MEMADDR(8), MEMADDR(7) => 
        MEMADDR(7), MEMADDR(6) => MEMADDR(6), MEMADDR(5) => 
        MEMADDR(5), MEMADDR(4) => MEMADDR(4), MEMADDR(3) => 
        MEMADDR(3), MEMADDR(2) => MEMADDR(2), MEMADDR(1) => 
        MEMADDR(1), MEMADDR(0) => MEMADDR(0), MEMBANK(3) => 
        MEMBANK(3), MEMBANK(2) => MEMBANK(2), MEMBANK(1) => 
        MEMBANK(1), MEMBANK(0) => MEMBANK(0));
    

end DEF_ARCH; 
