-- MY_NVM.vhd

library ieee;
use ieee.std_logic_1164.all;

entity nvm_if is 
    port(

         CLK              : in std_logic;
         RESET            : in std_logic;
         ADD              : in std_logic_vector(17 downto 0);
         DATA             : in std_logic_vector(31 downto 0);
         DOUT             : out std_logic_vector(31 downto 0);
         NVM_BUSY         : out std_logic;
         WIDTH            : in std_logic_vector(1 downto 0);
         AUX_BLOCK        : in std_logic;         
         DISCARD_PAGE     : in std_logic;
         ERASE_PAGE       : in std_logic;
         OVERWRITE_PAGE   : in std_logic;
         OVERWRITE_PROT   : in std_logic;
         PAGELOSS_PROT    : in std_logic;
         PROGRAM          : in std_logic;
         READ             : in std_logic;
         READ_NEXT        : in std_logic;
         LOCK             : in std_logic;
         SPARE_PAGE       : in std_logic;
         UNPROT_PAGE      : in std_logic;
         WRITE            : in std_logic;
         PAGE_STATUS      : in std_logic;
         NVM_STATUS       :out std_logic_vector(1 downto 0)
         ) ;
end nvm_if;

architecture DEF_ARCH of  nvm_if is


component flash_64KB 

    port( USER_CLK            : in    std_logic;
          USER_RESET          : in    std_logic;
          USER_ADD            : in    std_logic_vector(17 downto 0);
          USER_AUX_BLOCK      : in    std_logic;
          USER_DATA           : in    std_logic_vector(31 downto 0);
          USER_DISCARD_PAGE   : in    std_logic;
          USER_ERASE_PAGE     : in    std_logic;
          USER_OVERWRITE_PAGE : in    std_logic;
          USER_OVERWRITE_PROT : in    std_logic;
          USER_PAGELOSS_PROT  : in    std_logic;
          USER_PROGRAM        : in    std_logic;
          USER_READ           : in    std_logic;
          USER_READ_NEXT      : in    std_logic;
          USER_LOCK           : in    std_logic;
          USER_SPARE_PAGE     : in    std_logic;
          USER_UNPROT_PAGE    : in    std_logic;
          USER_WIDTH          : in    std_logic_vector(1 downto 0);
          USER_WRITE          : in    std_logic;
          USER_DOUT           : out   std_logic_vector(31 downto 0);
          USER_PAGE_STATUS    : in    std_logic;
          USER_NVM_STATUS     : out   std_logic_vector(1 downto 0);
          USER_NVM_BUSY       : out   std_logic
        );
end component;

begin

FLASH1: flash_64KB

port map (

         USER_CLK              => CLK,
         USER_RESET            => RESET,
         USER_ADD              => ADD,
         USER_DATA             => DATA,  
         USER_DOUT             => DOUT, 
         USER_NVM_BUSY         => NVM_BUSY,
         USER_WIDTH            => WIDTH,
         USER_AUX_BLOCK        => AUX_BLOCK,        
         USER_DISCARD_PAGE     => DISCARD_PAGE,
         USER_ERASE_PAGE       => ERASE_PAGE,
         USER_OVERWRITE_PAGE   => OVERWRITE_PAGE,
         USER_OVERWRITE_PROT   => OVERWRITE_PROT,
         USER_PAGELOSS_PROT    => PAGELOSS_PROT,
         USER_PROGRAM          => PROGRAM,
         USER_READ             => READ,
         USER_READ_NEXT        => READ_NEXT,
         USER_LOCK             => LOCK,
         USER_SPARE_PAGE       => SPARE_PAGE,
         USER_UNPROT_PAGE      => UNPROT_PAGE,
         USER_WRITE            => WRITE,
         USER_PAGE_STATUS      => PAGE_STATUS,
         USER_NVM_STATUS       => NVM_STATUS);


end DEF_ARCH;