-- Version: 8.4 8.4.0.33

library ieee;
use ieee.std_logic_1164.all;
library fusion;
use fusion.all;

entity data_bus_buffer is 
    port( Data : in std_logic_vector(7 downto 0); Y : out 
        std_logic_vector(7 downto 0);Trien : in std_logic; PAD : 
        inout std_logic_vector(7 downto 0) := (others => 'Z')) ;
end data_bus_buffer;


architecture DEF_ARCH of  data_bus_buffer is

    component INV
        port(A : in std_logic := 'U'; Y : out std_logic) ;
    end component;

    component BIBUF
        port(PAD : inout std_logic;  D, E : in std_logic := 'U'; 
        Y : out std_logic) ;
    end component;

    signal TrienAux : std_logic ;
    begin   

    Inv_Tri : INV
      port map(A => Trien, Y => TrienAux);
    BIBUF_2_inst : BIBUF
      port map(PAD => PAD(2), D => Data(2), E => TrienAux, Y => 
        Y(2));
    BIBUF_6_inst : BIBUF
      port map(PAD => PAD(6), D => Data(6), E => TrienAux, Y => 
        Y(6));
    BIBUF_4_inst : BIBUF
      port map(PAD => PAD(4), D => Data(4), E => TrienAux, Y => 
        Y(4));
    BIBUF_5_inst : BIBUF
      port map(PAD => PAD(5), D => Data(5), E => TrienAux, Y => 
        Y(5));
    BIBUF_0_inst : BIBUF
      port map(PAD => PAD(0), D => Data(0), E => TrienAux, Y => 
        Y(0));
    BIBUF_3_inst : BIBUF
      port map(PAD => PAD(3), D => Data(3), E => TrienAux, Y => 
        Y(3));
    BIBUF_7_inst : BIBUF
      port map(PAD => PAD(7), D => Data(7), E => TrienAux, Y => 
        Y(7));
    BIBUF_1_inst : BIBUF
      port map(PAD => PAD(1), D => Data(1), E => TrienAux, Y => 
        Y(1));
end DEF_ARCH;
