-- Version: 8.4 8.4.0.33

library ieee;
use ieee.std_logic_1164.all;
library fusion;
use fusion.all;

entity data_read_mux is 
    port( Data0_port : in std_logic_vector(7 downto 0); 
        Data1_port : in std_logic_vector(7 downto 0); Data2_port : 
        in std_logic_vector(7 downto 0);Sel0, Sel1 : in std_logic
        ; Result : out std_logic_vector(7 downto 0)) ;
end data_read_mux;


architecture DEF_ARCH of  data_read_mux is

    component BUFF
        port(A : in std_logic := 'U'; Y : out std_logic) ;
    end component;

    component MX2
        port(A, B, S : in std_logic := 'U'; Y : out std_logic) ;
    end component;

    signal SelAux_0_0_net, SelAux_0_4_net, SelAux_1_0_net, 
        SelAux_1_4_net, MX2_6_Y, MX2_7_Y, MX2_5_Y, MX2_2_Y, 
        MX2_3_Y, MX2_0_Y, MX2_4_Y, MX2_1_Y : std_logic ;
    begin   

    BUFF_SelAux_1_4_inst : BUFF
      port map(A => Sel1, Y => SelAux_1_4_net);
    MX2_Result_4_inst : MX2
      port map(A => MX2_6_Y, B => Data2_port(4), S => 
        SelAux_1_4_net, Y => Result(4));
    MX2_0 : MX2
      port map(A => Data0_port(2), B => Data1_port(2), S => 
        SelAux_0_0_net, Y => MX2_0_Y);
    MX2_Result_3_inst : MX2
      port map(A => MX2_5_Y, B => Data2_port(3), S => 
        SelAux_1_0_net, Y => Result(3));
    BUFF_SelAux_1_0_inst : BUFF
      port map(A => Sel1, Y => SelAux_1_0_net);
    MX2_Result_6_inst : MX2
      port map(A => MX2_7_Y, B => Data2_port(6), S => 
        SelAux_1_4_net, Y => Result(6));
    MX2_6 : MX2
      port map(A => Data0_port(4), B => Data1_port(4), S => 
        SelAux_0_4_net, Y => MX2_6_Y);
    MX2_3 : MX2
      port map(A => Data0_port(5), B => Data1_port(5), S => 
        SelAux_0_4_net, Y => MX2_3_Y);
    MX2_4 : MX2
      port map(A => Data0_port(0), B => Data1_port(0), S => 
        SelAux_0_0_net, Y => MX2_4_Y);
    BUFF_SelAux_0_0_inst : BUFF
      port map(A => Sel0, Y => SelAux_0_0_net);
    BUFF_SelAux_0_4_inst : BUFF
      port map(A => Sel0, Y => SelAux_0_4_net);
    MX2_Result_0_inst : MX2
      port map(A => MX2_4_Y, B => Data2_port(0), S => 
        SelAux_1_0_net, Y => Result(0));
    MX2_5 : MX2
      port map(A => Data0_port(3), B => Data1_port(3), S => 
        SelAux_0_0_net, Y => MX2_5_Y);
    MX2_Result_2_inst : MX2
      port map(A => MX2_0_Y, B => Data2_port(2), S => 
        SelAux_1_0_net, Y => Result(2));
    MX2_2 : MX2
      port map(A => Data0_port(7), B => Data1_port(7), S => 
        SelAux_0_4_net, Y => MX2_2_Y);
    MX2_Result_5_inst : MX2
      port map(A => MX2_3_Y, B => Data2_port(5), S => 
        SelAux_1_4_net, Y => Result(5));
    MX2_7 : MX2
      port map(A => Data0_port(6), B => Data1_port(6), S => 
        SelAux_0_4_net, Y => MX2_7_Y);
    MX2_Result_1_inst : MX2
      port map(A => MX2_1_Y, B => Data2_port(1), S => 
        SelAux_1_0_net, Y => Result(1));
    MX2_1 : MX2
      port map(A => Data0_port(1), B => Data1_port(1), S => 
        SelAux_0_0_net, Y => MX2_1_Y);
    MX2_Result_7_inst : MX2
      port map(A => MX2_2_Y, B => Data2_port(7), S => 
        SelAux_1_4_net, Y => Result(7));
end DEF_ARCH;
