
library ieee;
use ieee.std_logic_1164.all;

entity mem_decode is 
    port(
		SW0 : in std_logic;
		MEMRD : in std_logic;
		MEMWR : in std_logic;
		PSRD : in std_logic;
		PSWR : in std_logic;
        UP_ADD : in std_logic_vector(15 downto 13);
		A16 : out std_logic;
		EXT_RAM_WR_N : out std_logic;
		EXT_RAM_RD_N : out std_logic;
		EXT_RAM_CS_N : out std_logic;
		INT_RAM_RD : out std_logic;
		INT_RAM_WR : out std_logic;
		INT_NVM_CS : out std_logic;
        SEL : out std_logic_vector(1 downto 0)
         ) ;
end mem_decode;

architecture DEF_ARCH of  mem_decode is

begin   

	EXT_RAM_CS_N <= '0' when (((UP_ADD /= "000") AND (MEMRD = '1' OR MEMWR = '1'))
					OR ( PSRD = '1' AND SW0 = '1')
					OR ( PSWR = '1'))
				else '1';

	EXT_RAM_WR_N <= '0' when ((( UP_ADD /= "000") AND (MEMWR = '1'))
					OR ( PSWR = '1'))
				else '1';

	EXT_RAM_RD_N <= '0' when ((( UP_ADD /= "000") AND ( MEMRD = '1'))
					OR ( PSRD = '1' AND SW0 = '1'))
				else '1';


	A16 <= '0' when (( PSRD = '1' OR PSWR = '1') AND SW0 = '1')
				else '1';

	INT_RAM_RD <= '1' when (( UP_ADD = "000") AND MEMRD = '1') 
				else '0';

	INT_RAM_WR <= '1' when (( UP_ADD = "000") AND MEMWR = '1') 
				else '0';

	INT_NVM_CS <= '1' when ( PSRD = '1' AND SW0 = '0')
				else '0';


    SEL <= "00" when ((UP_ADD  = "000") and (MEMRD = '1')) else                     -- int RAM
           "01" when ((( UP_ADD /= "000") and (MEMRD = '1' or MEMWR = '1')) 
                OR (PSRD = '1' AND SW0 = '1')) else                                 -- extr RAM or ext code
           "10" when ((PSRD = '1' OR PSWR = '1') AND SW0 = '0');                     -- int code

end DEF_ARCH;