-- Version: 8.5 8.5.0.34
-- File used only for Simulation

library ieee;
use ieee.std_logic_1164.all;
library fusion;
use fusion.all;

entity M1AFS_EMB_8051S_TUT_TOP is

    port( SW0          : in    std_logic;
          EXT_RAM_CS_N : out   std_logic;
          EXT_RAM_RD_N : out   std_logic;
          EXT_RAM_WR_N : out   std_logic;
          MEMADDR16    : out   std_logic;
          TCK          : in    std_logic;
          TDI          : in    std_logic;
          TMS          : in    std_logic;
          TRSTN        : in    std_logic;
          TDO          : out   std_logic;
          VAREF        : inout std_logic := 'Z';
          TX0          : out   std_logic;
          RX0          : in    std_logic;
          AV0          : in    std_logic;
          AV1          : in    std_logic;
          AV8          : in    std_logic;
          SRAM_BHE0_N  : out   std_logic;
          SRAM_BLE0_N  : out   std_logic;
          SRAM_BHE1_N  : out   std_logic;
          SRAM_BLE1_N  : out   std_logic;
          AV2          : in    std_logic;
          AV3          : in    std_logic;
          AV4          : in    std_logic;
          AV5          : in    std_logic;
          AV6          : in    std_logic;
          AV7          : in    std_logic;
          AV9          : in    std_logic;
          AC0          : in    std_logic;
          AT0          : in    std_logic;
          AC1          : in    std_logic;
          AT1          : in    std_logic;
          AC2          : in    std_logic;
          AT2          : in    std_logic;
          AC3          : in    std_logic;
          AT3          : in    std_logic;
          AC4          : in    std_logic;
          AT4          : in    std_logic;
          AC5          : in    std_logic;
          AT5          : in    std_logic;
          AC6          : in    std_logic;
          AT6          : in    std_logic;
          AC7          : in    std_logic;
          AT7          : in    std_logic;
          AC8          : in    std_logic;
          AT8          : in    std_logic;
          AC9          : in    std_logic;
          AT9          : in    std_logic;
          ATRETURN0    : in    std_logic;
          ATRETURN1    : in    std_logic;
          ATRETURN2    : in    std_logic;
          ATRETURN3    : in    std_logic;
          ATRETURN4    : in    std_logic;
          MEMADDR17    : out   std_logic;
          EXTCLK       : in    std_logic;
          NSYSRESET    : in    std_logic;
          MEMADDR      : out   std_logic_vector(15 downto 0);
          EXT_DATA     : inout std_logic_vector(7 downto 0) := (others => 'Z');
          dataOut      : out   std_logic_vector(3 downto 0);
          dataIn       : in    std_logic_vector(1 downto 0)
        );

end M1AFS_EMB_8051S_TUT_TOP;

architecture DEF_ARCH of M1AFS_EMB_8051S_TUT_TOP is 

  component DFN1E0C0
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          E   : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component MX2A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          S : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AOI1B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component MX2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          S : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component NOR3C
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component MX2C
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          S : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component XOR2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OR2A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AND2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AX1B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OA1B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component MX2B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          S : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component NOR3A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component NOR3B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component XO1A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component IOTRI_OB_EB
    port( D    : in    std_logic := 'U';
          E    : in    std_logic := 'U';
          DOUT : out   std_logic;
          EOUT : out   std_logic
        );
  end component;

  component NOR2A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFN1C0
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component OA1A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFN1E1C0
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          E   : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component OR2B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component XNOR2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AO1B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OR2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AO13
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component INV
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OR3A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AO1C
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OR3B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component NOR2B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AX1D
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component XA1A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OA1
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AO1D
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component IOPAD_TRI
    port( D   : in    std_logic := 'U';
          E   : in    std_logic := 'U';
          PAD : out   std_logic
        );
  end component;

  component NOR2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OR3
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OR3C
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component XAI1A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFN1E1P0
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          PRE : in    std_logic := 'U';
          E   : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component XA1C
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component IOIN_IB
    port( YIN : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component DFN1P0
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          PRE : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component AOI1A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AO18
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component NOR3
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AND3
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component RAM4K9
    generic (MEMORYFILE:string := "");

    port( ADDRA11 : in    std_logic := 'U';
          ADDRA10 : in    std_logic := 'U';
          ADDRA9  : in    std_logic := 'U';
          ADDRA8  : in    std_logic := 'U';
          ADDRA7  : in    std_logic := 'U';
          ADDRA6  : in    std_logic := 'U';
          ADDRA5  : in    std_logic := 'U';
          ADDRA4  : in    std_logic := 'U';
          ADDRA3  : in    std_logic := 'U';
          ADDRA2  : in    std_logic := 'U';
          ADDRA1  : in    std_logic := 'U';
          ADDRA0  : in    std_logic := 'U';
          ADDRB11 : in    std_logic := 'U';
          ADDRB10 : in    std_logic := 'U';
          ADDRB9  : in    std_logic := 'U';
          ADDRB8  : in    std_logic := 'U';
          ADDRB7  : in    std_logic := 'U';
          ADDRB6  : in    std_logic := 'U';
          ADDRB5  : in    std_logic := 'U';
          ADDRB4  : in    std_logic := 'U';
          ADDRB3  : in    std_logic := 'U';
          ADDRB2  : in    std_logic := 'U';
          ADDRB1  : in    std_logic := 'U';
          ADDRB0  : in    std_logic := 'U';
          DINA8   : in    std_logic := 'U';
          DINA7   : in    std_logic := 'U';
          DINA6   : in    std_logic := 'U';
          DINA5   : in    std_logic := 'U';
          DINA4   : in    std_logic := 'U';
          DINA3   : in    std_logic := 'U';
          DINA2   : in    std_logic := 'U';
          DINA1   : in    std_logic := 'U';
          DINA0   : in    std_logic := 'U';
          DINB8   : in    std_logic := 'U';
          DINB7   : in    std_logic := 'U';
          DINB6   : in    std_logic := 'U';
          DINB5   : in    std_logic := 'U';
          DINB4   : in    std_logic := 'U';
          DINB3   : in    std_logic := 'U';
          DINB2   : in    std_logic := 'U';
          DINB1   : in    std_logic := 'U';
          DINB0   : in    std_logic := 'U';
          WIDTHA0 : in    std_logic := 'U';
          WIDTHA1 : in    std_logic := 'U';
          WIDTHB0 : in    std_logic := 'U';
          WIDTHB1 : in    std_logic := 'U';
          PIPEA   : in    std_logic := 'U';
          PIPEB   : in    std_logic := 'U';
          WMODEA  : in    std_logic := 'U';
          WMODEB  : in    std_logic := 'U';
          BLKA    : in    std_logic := 'U';
          BLKB    : in    std_logic := 'U';
          WENA    : in    std_logic := 'U';
          WENB    : in    std_logic := 'U';
          CLKA    : in    std_logic := 'U';
          CLKB    : in    std_logic := 'U';
          RESET   : in    std_logic := 'U';
          DOUTA8  : out   std_logic;
          DOUTA7  : out   std_logic;
          DOUTA6  : out   std_logic;
          DOUTA5  : out   std_logic;
          DOUTA4  : out   std_logic;
          DOUTA3  : out   std_logic;
          DOUTA2  : out   std_logic;
          DOUTA1  : out   std_logic;
          DOUTA0  : out   std_logic;
          DOUTB8  : out   std_logic;
          DOUTB7  : out   std_logic;
          DOUTB6  : out   std_logic;
          DOUTB5  : out   std_logic;
          DOUTB4  : out   std_logic;
          DOUTB3  : out   std_logic;
          DOUTB2  : out   std_logic;
          DOUTB1  : out   std_logic;
          DOUTB0  : out   std_logic
        );
  end component;

  component MAJ3
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component IOBI_IB_OB_EB
    port( D    : in    std_logic := 'U';
          E    : in    std_logic := 'U';
          YIN  : in    std_logic := 'U';
          DOUT : out   std_logic;
          EOUT : out   std_logic;
          Y    : out   std_logic
        );
  end component;

  component OAI1
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFN1
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component XOR3
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AO1A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component XNOR3
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AX1C
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AOI1
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component XA1
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AO1
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OA1C
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AND3B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component XA1B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component CLKSRC
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AOI5
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AX1E
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AND2A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFN1E1
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          E   : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component AX1A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component XO1
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component FIFO4K18
    port( AEVAL11 : in    std_logic := 'U';
          AEVAL10 : in    std_logic := 'U';
          AEVAL9  : in    std_logic := 'U';
          AEVAL8  : in    std_logic := 'U';
          AEVAL7  : in    std_logic := 'U';
          AEVAL6  : in    std_logic := 'U';
          AEVAL5  : in    std_logic := 'U';
          AEVAL4  : in    std_logic := 'U';
          AEVAL3  : in    std_logic := 'U';
          AEVAL2  : in    std_logic := 'U';
          AEVAL1  : in    std_logic := 'U';
          AEVAL0  : in    std_logic := 'U';
          AFVAL11 : in    std_logic := 'U';
          AFVAL10 : in    std_logic := 'U';
          AFVAL9  : in    std_logic := 'U';
          AFVAL8  : in    std_logic := 'U';
          AFVAL7  : in    std_logic := 'U';
          AFVAL6  : in    std_logic := 'U';
          AFVAL5  : in    std_logic := 'U';
          AFVAL4  : in    std_logic := 'U';
          AFVAL3  : in    std_logic := 'U';
          AFVAL2  : in    std_logic := 'U';
          AFVAL1  : in    std_logic := 'U';
          AFVAL0  : in    std_logic := 'U';
          WD17    : in    std_logic := 'U';
          WD16    : in    std_logic := 'U';
          WD15    : in    std_logic := 'U';
          WD14    : in    std_logic := 'U';
          WD13    : in    std_logic := 'U';
          WD12    : in    std_logic := 'U';
          WD11    : in    std_logic := 'U';
          WD10    : in    std_logic := 'U';
          WD9     : in    std_logic := 'U';
          WD8     : in    std_logic := 'U';
          WD7     : in    std_logic := 'U';
          WD6     : in    std_logic := 'U';
          WD5     : in    std_logic := 'U';
          WD4     : in    std_logic := 'U';
          WD3     : in    std_logic := 'U';
          WD2     : in    std_logic := 'U';
          WD1     : in    std_logic := 'U';
          WD0     : in    std_logic := 'U';
          WW0     : in    std_logic := 'U';
          WW1     : in    std_logic := 'U';
          WW2     : in    std_logic := 'U';
          RW0     : in    std_logic := 'U';
          RW1     : in    std_logic := 'U';
          RW2     : in    std_logic := 'U';
          RPIPE   : in    std_logic := 'U';
          WEN     : in    std_logic := 'U';
          REN     : in    std_logic := 'U';
          WBLK    : in    std_logic := 'U';
          RBLK    : in    std_logic := 'U';
          WCLK    : in    std_logic := 'U';
          RCLK    : in    std_logic := 'U';
          RESET   : in    std_logic := 'U';
          ESTOP   : in    std_logic := 'U';
          FSTOP   : in    std_logic := 'U';
          RD17    : out   std_logic;
          RD16    : out   std_logic;
          RD15    : out   std_logic;
          RD14    : out   std_logic;
          RD13    : out   std_logic;
          RD12    : out   std_logic;
          RD11    : out   std_logic;
          RD10    : out   std_logic;
          RD9     : out   std_logic;
          RD8     : out   std_logic;
          RD7     : out   std_logic;
          RD6     : out   std_logic;
          RD5     : out   std_logic;
          RD4     : out   std_logic;
          RD3     : out   std_logic;
          RD2     : out   std_logic;
          RD1     : out   std_logic;
          RD0     : out   std_logic;
          FULL    : out   std_logic;
          AFULL   : out   std_logic;
          EMPTY   : out   std_logic;
          AEMPTY  : out   std_logic
        );
  end component;

  component MIN3
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component IOPAD_IN
    port( PAD : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component PLL
    generic (VCOFREQUENCY:real := 0.0);

    port( CLKA      : in    std_logic := 'U';
          EXTFB     : in    std_logic := 'U';
          POWERDOWN : in    std_logic := 'U';
          GLA       : out   std_logic;
          LOCK      : out   std_logic;
          GLB       : out   std_logic;
          YB        : out   std_logic;
          GLC       : out   std_logic;
          YC        : out   std_logic;
          OADIV0    : in    std_logic := 'U';
          OADIV1    : in    std_logic := 'U';
          OADIV2    : in    std_logic := 'U';
          OADIV3    : in    std_logic := 'U';
          OADIV4    : in    std_logic := 'U';
          OADIVHALF : in    std_logic := 'U';
          OADIVRST  : in    std_logic := 'U';
          OAMUX0    : in    std_logic := 'U';
          OAMUX1    : in    std_logic := 'U';
          OAMUX2    : in    std_logic := 'U';
          DLYGLA0   : in    std_logic := 'U';
          DLYGLA1   : in    std_logic := 'U';
          DLYGLA2   : in    std_logic := 'U';
          DLYGLA3   : in    std_logic := 'U';
          DLYGLA4   : in    std_logic := 'U';
          OBDIV0    : in    std_logic := 'U';
          OBDIV1    : in    std_logic := 'U';
          OBDIV2    : in    std_logic := 'U';
          OBDIV3    : in    std_logic := 'U';
          OBDIV4    : in    std_logic := 'U';
          OBMUX0    : in    std_logic := 'U';
          OBMUX1    : in    std_logic := 'U';
          OBMUX2    : in    std_logic := 'U';
          DLYYB0    : in    std_logic := 'U';
          DLYYB1    : in    std_logic := 'U';
          DLYYB2    : in    std_logic := 'U';
          DLYYB3    : in    std_logic := 'U';
          DLYYB4    : in    std_logic := 'U';
          DLYGLB0   : in    std_logic := 'U';
          DLYGLB1   : in    std_logic := 'U';
          DLYGLB2   : in    std_logic := 'U';
          DLYGLB3   : in    std_logic := 'U';
          DLYGLB4   : in    std_logic := 'U';
          OCDIV0    : in    std_logic := 'U';
          OCDIV1    : in    std_logic := 'U';
          OCDIV2    : in    std_logic := 'U';
          OCDIV3    : in    std_logic := 'U';
          OCDIV4    : in    std_logic := 'U';
          OCMUX0    : in    std_logic := 'U';
          OCMUX1    : in    std_logic := 'U';
          OCMUX2    : in    std_logic := 'U';
          DLYYC0    : in    std_logic := 'U';
          DLYYC1    : in    std_logic := 'U';
          DLYYC2    : in    std_logic := 'U';
          DLYYC3    : in    std_logic := 'U';
          DLYYC4    : in    std_logic := 'U';
          DLYGLC0   : in    std_logic := 'U';
          DLYGLC1   : in    std_logic := 'U';
          DLYGLC2   : in    std_logic := 'U';
          DLYGLC3   : in    std_logic := 'U';
          DLYGLC4   : in    std_logic := 'U';
          FINDIV0   : in    std_logic := 'U';
          FINDIV1   : in    std_logic := 'U';
          FINDIV2   : in    std_logic := 'U';
          FINDIV3   : in    std_logic := 'U';
          FINDIV4   : in    std_logic := 'U';
          FINDIV5   : in    std_logic := 'U';
          FINDIV6   : in    std_logic := 'U';
          FBDIV0    : in    std_logic := 'U';
          FBDIV1    : in    std_logic := 'U';
          FBDIV2    : in    std_logic := 'U';
          FBDIV3    : in    std_logic := 'U';
          FBDIV4    : in    std_logic := 'U';
          FBDIV5    : in    std_logic := 'U';
          FBDIV6    : in    std_logic := 'U';
          FBDLY0    : in    std_logic := 'U';
          FBDLY1    : in    std_logic := 'U';
          FBDLY2    : in    std_logic := 'U';
          FBDLY3    : in    std_logic := 'U';
          FBDLY4    : in    std_logic := 'U';
          FBSEL0    : in    std_logic := 'U';
          FBSEL1    : in    std_logic := 'U';
          XDLYSEL   : in    std_logic := 'U';
          VCOSEL0   : in    std_logic := 'U';
          VCOSEL1   : in    std_logic := 'U';
          VCOSEL2   : in    std_logic := 'U'
        );
  end component;

  component XAI1
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component BUFF
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AXOI5
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component IOPAD_A_IN
    port( PAD : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component IOPAD_BI
    port( D   : in    std_logic := 'U';
          E   : in    std_logic := 'U';
          Y   : out   std_logic;
          PAD : inout   std_logic
        );
  end component;

  component DFN1E0
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          E   : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component AX1
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DLN1P1C1
    port( D   : in    std_logic := 'U';
          G   : in    std_logic := 'U';
          PRE : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component DFN1E0P0
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          PRE : in    std_logic := 'U';
          E   : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component MAJ3XI
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFN0
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component DFN0P0
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          PRE : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component NVM
    generic (MEMORYFILE:string := ""; ACT_PROGFILE:string := ""; 
        ACT_CALIBRATIONDATA:integer := 0);

    port( RD               : out   std_logic_vector(31 downto 0);
          BUSY             : out   std_logic;
          STATUS           : out   std_logic_vector(1 downto 0);
          ADDR             : in    std_logic_vector(17 downto 0) := (others => 'U');
          WD               : in    std_logic_vector(31 downto 0) := (others => 'U');
          DATAWIDTH        : in    std_logic_vector(1 downto 0) := (others => 'U');
          REN              : in    std_logic := 'U';
          WEN              : in    std_logic := 'U';
          PROGRAM          : in    std_logic := 'U';
          SPAREPAGE        : in    std_logic := 'U';
          AUXBLOCK         : in    std_logic := 'U';
          READNEXT         : in    std_logic := 'U';
          ERASEPAGE        : in    std_logic := 'U';
          UNPROTECTPAGE    : in    std_logic := 'U';
          DISCARDPAGE      : in    std_logic := 'U';
          OVERWRITEPROTECT : in    std_logic := 'U';
          PAGELOSSPROTECT  : in    std_logic := 'U';
          CLK              : in    std_logic := 'U';
          RESET            : in    std_logic := 'U';
          PAGESTATUS       : in    std_logic := 'U';
          OVERWRITEPAGE    : in    std_logic := 'U';
          PIPE             : in    std_logic := 'U';
          LOCKREQUEST      : in    std_logic := 'U'
        );
  end component;

  component AOI1D
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AND3C
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFN0C0
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component NAND2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AXOI7
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AB
    generic (ACT_DIE:string := ""; ACT_PKG:string := "");

    port( DAVOUT0     : out   std_logic;
          DACOUT0     : out   std_logic;
          DATOUT0     : out   std_logic;
          DAVOUT1     : out   std_logic;
          DACOUT1     : out   std_logic;
          DATOUT1     : out   std_logic;
          DAVOUT2     : out   std_logic;
          DACOUT2     : out   std_logic;
          DATOUT2     : out   std_logic;
          DAVOUT3     : out   std_logic;
          DACOUT3     : out   std_logic;
          DATOUT3     : out   std_logic;
          DAVOUT4     : out   std_logic;
          DACOUT4     : out   std_logic;
          DATOUT4     : out   std_logic;
          DAVOUT5     : out   std_logic;
          DACOUT5     : out   std_logic;
          DATOUT5     : out   std_logic;
          DAVOUT6     : out   std_logic;
          DACOUT6     : out   std_logic;
          DATOUT6     : out   std_logic;
          DAVOUT7     : out   std_logic;
          DACOUT7     : out   std_logic;
          DATOUT7     : out   std_logic;
          DAVOUT8     : out   std_logic;
          DACOUT8     : out   std_logic;
          DATOUT8     : out   std_logic;
          DAVOUT9     : out   std_logic;
          DACOUT9     : out   std_logic;
          DATOUT9     : out   std_logic;
          DENAV0      : in    std_logic := 'U';
          DENAC0      : in    std_logic := 'U';
          DENAT0      : in    std_logic := 'U';
          DENAV1      : in    std_logic := 'U';
          DENAC1      : in    std_logic := 'U';
          DENAT1      : in    std_logic := 'U';
          DENAV2      : in    std_logic := 'U';
          DENAC2      : in    std_logic := 'U';
          DENAT2      : in    std_logic := 'U';
          DENAV3      : in    std_logic := 'U';
          DENAC3      : in    std_logic := 'U';
          DENAT3      : in    std_logic := 'U';
          DENAV4      : in    std_logic := 'U';
          DENAC4      : in    std_logic := 'U';
          DENAT4      : in    std_logic := 'U';
          DENAV5      : in    std_logic := 'U';
          DENAC5      : in    std_logic := 'U';
          DENAT5      : in    std_logic := 'U';
          DENAV6      : in    std_logic := 'U';
          DENAC6      : in    std_logic := 'U';
          DENAT6      : in    std_logic := 'U';
          DENAV7      : in    std_logic := 'U';
          DENAC7      : in    std_logic := 'U';
          DENAT7      : in    std_logic := 'U';
          DENAV8      : in    std_logic := 'U';
          DENAC8      : in    std_logic := 'U';
          DENAT8      : in    std_logic := 'U';
          DENAV9      : in    std_logic := 'U';
          DENAC9      : in    std_logic := 'U';
          DENAT9      : in    std_logic := 'U';
          AV0         : in    std_logic := 'U';
          AC0         : in    std_logic := 'U';
          AT0         : in    std_logic := 'U';
          AG0         : out   std_logic;
          AV1         : in    std_logic := 'U';
          AC1         : in    std_logic := 'U';
          AT1         : in    std_logic := 'U';
          AG1         : out   std_logic;
          AV2         : in    std_logic := 'U';
          AC2         : in    std_logic := 'U';
          AT2         : in    std_logic := 'U';
          AG2         : out   std_logic;
          AV3         : in    std_logic := 'U';
          AC3         : in    std_logic := 'U';
          AT3         : in    std_logic := 'U';
          AG3         : out   std_logic;
          AV4         : in    std_logic := 'U';
          AC4         : in    std_logic := 'U';
          AT4         : in    std_logic := 'U';
          AG4         : out   std_logic;
          AV5         : in    std_logic := 'U';
          AC5         : in    std_logic := 'U';
          AT5         : in    std_logic := 'U';
          AG5         : out   std_logic;
          AV6         : in    std_logic := 'U';
          AC6         : in    std_logic := 'U';
          AT6         : in    std_logic := 'U';
          AG6         : out   std_logic;
          AV7         : in    std_logic := 'U';
          AC7         : in    std_logic := 'U';
          AT7         : in    std_logic := 'U';
          AG7         : out   std_logic;
          AV8         : in    std_logic := 'U';
          AC8         : in    std_logic := 'U';
          AT8         : in    std_logic := 'U';
          AG8         : out   std_logic;
          AV9         : in    std_logic := 'U';
          AC9         : in    std_logic := 'U';
          AT9         : in    std_logic := 'U';
          AG9         : out   std_logic;
          ATRETURN01  : in    std_logic := 'U';
          ATRETURN23  : in    std_logic := 'U';
          ATRETURN45  : in    std_logic := 'U';
          ATRETURN67  : in    std_logic := 'U';
          ATRETURN89  : in    std_logic := 'U';
          VAREF       : inout   std_logic;
          GNDREF      : in    std_logic := 'U';
          GDON0       : in    std_logic := 'U';
          GDON1       : in    std_logic := 'U';
          GDON2       : in    std_logic := 'U';
          GDON3       : in    std_logic := 'U';
          GDON4       : in    std_logic := 'U';
          GDON5       : in    std_logic := 'U';
          GDON6       : in    std_logic := 'U';
          GDON7       : in    std_logic := 'U';
          GDON8       : in    std_logic := 'U';
          GDON9       : in    std_logic := 'U';
          CMSTB0      : in    std_logic := 'U';
          CMSTB1      : in    std_logic := 'U';
          CMSTB2      : in    std_logic := 'U';
          CMSTB3      : in    std_logic := 'U';
          CMSTB4      : in    std_logic := 'U';
          CMSTB5      : in    std_logic := 'U';
          CMSTB6      : in    std_logic := 'U';
          CMSTB7      : in    std_logic := 'U';
          CMSTB8      : in    std_logic := 'U';
          CMSTB9      : in    std_logic := 'U';
          TMSTB0      : in    std_logic := 'U';
          TMSTB1      : in    std_logic := 'U';
          TMSTB2      : in    std_logic := 'U';
          TMSTB3      : in    std_logic := 'U';
          TMSTB4      : in    std_logic := 'U';
          TMSTB5      : in    std_logic := 'U';
          TMSTB6      : in    std_logic := 'U';
          TMSTB7      : in    std_logic := 'U';
          TMSTB8      : in    std_logic := 'U';
          TMSTB9      : in    std_logic := 'U';
          TMSTBINT    : in    std_logic := 'U';
          RESULT      : out   std_logic_vector(11 downto 0);
          ACMRDATA    : out   std_logic_vector(7 downto 0);
          ACMWDATA    : in    std_logic_vector(7 downto 0) := (others => 'U');
          ACMADDR     : in    std_logic_vector(7 downto 0) := (others => 'U');
          STC         : in    std_logic_vector(7 downto 0) := (others => 'U');
          TVC         : in    std_logic_vector(7 downto 0) := (others => 'U');
          CHNUMBER    : in    std_logic_vector(4 downto 0) := (others => 'U');
          MODE        : in    std_logic_vector(3 downto 0) := (others => 'U');
          RTCXTLMODE  : out   std_logic_vector(1 downto 0);
          ACMRESET    : in    std_logic := 'U';
          ACMCLK      : in    std_logic := 'U';
          ACMWEN      : in    std_logic := 'U';
          VAREFSEL    : in    std_logic := 'U';
          DATAVALID   : out   std_logic;
          CALIBRATE   : out   std_logic;
          SAMPLE      : out   std_logic;
          BUSY        : out   std_logic;
          PWRDWN      : in    std_logic := 'U';
          SYSCLK      : in    std_logic := 'U';
          ADCRESET    : in    std_logic := 'U';
          ADCSTART    : in    std_logic := 'U';
          RTCMATCH    : out   std_logic;
          RTCPSMMATCH : out   std_logic;
          RTCXTLSEL   : out   std_logic;
          RTCCLK      : in    std_logic := 'U'
        );
  end component;

  component IOPAD_IN_D
    port( PAD : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component AXOI2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component UJTAG
    port( TDI    : in    std_logic := 'U';
          TMS    : in    std_logic := 'U';
          TCK    : in    std_logic := 'U';
          TRSTB  : in    std_logic := 'U';
          TDO    : out   std_logic;
          UTDO   : in    std_logic := 'U';
          URSTB  : out   std_logic;
          UDRCK  : out   std_logic;
          UDRCAP : out   std_logic;
          UDRSH  : out   std_logic;
          UDRUPD : out   std_logic;
          UTDI   : out   std_logic;
          UIREG0 : out   std_logic;
          UIREG1 : out   std_logic;
          UIREG2 : out   std_logic;
          UIREG3 : out   std_logic;
          UIREG4 : out   std_logic;
          UIREG5 : out   std_logic;
          UIREG6 : out   std_logic;
          UIREG7 : out   std_logic
        );
  end component;

  component GND
    port(Y : out std_logic); 
  end component;

  component VCC
    port(Y : out std_logic); 
  end component;

    signal clk_pll_0_GLA, Core8051S_sub_1_MEMRD, 
        \\\Memory_0_RD_[0]\\\, \\\Memory_0_RD_[1]\\\, 
        \\\Memory_0_RD_[2]\\\, \\\Memory_0_RD_[3]\\\, 
        \\\Memory_0_RD_[4]\\\, \\\Memory_0_RD_[5]\\\, 
        \\\Memory_0_RD_[6]\\\, \\\Memory_0_RD_[7]\\\, INBUF_0_Y, 
        \\\Core8051S_sub_1_MEMDATAO_[0]\\\, 
        \\\Core8051S_sub_1_MEMDATAO_[1]\\\, 
        \\\Core8051S_sub_1_MEMDATAO_[2]\\\, 
        \\\Core8051S_sub_1_MEMDATAO_[3]\\\, 
        \\\Core8051S_sub_1_MEMDATAO_[4]\\\, 
        \\\Core8051S_sub_1_MEMDATAO_[5]\\\, 
        \\\Core8051S_sub_1_MEMDATAO_[6]\\\, 
        \\\Core8051S_sub_1_MEMDATAO_[7]\\\, \Memory_0.INV_1_Y\, 
        un3_a16_0_a4, un4_ext_ram_wr_n_0, un4_ext_ram_rd_n_0, 
        un12_ext_ram_cs_n_0, SW0_c, TX0_c, RX0_c, EXTCLK_c, 
        \\\\\MEMADDR_[0]\\\\_c\, \\\\\MEMADDR_[1]\\\\_c\, 
        \\\\\MEMADDR_[2]\\\\_c\, \\\\\MEMADDR_[3]\\\\_c\, 
        \\\\\MEMADDR_[4]\\\\_c\, \\\\\MEMADDR_[5]\\\\_c\, 
        \\\\\MEMADDR_[6]\\\\_c\, \\\\\MEMADDR_[7]\\\\_c\, 
        \\\\\MEMADDR_[8]\\\\_c\, \\\\\MEMADDR_[9]\\\\_c\, 
        \\\\\MEMADDR_[10]\\\\_c\, \\\\\MEMADDR_[11]\\\\_c\, 
        \\\\\MEMADDR_[12]\\\\_c\, \\\\\MEMADDR_[13]\\\\_c\, 
        \\\\\MEMADDR_[14]\\\\_c\, \\\\\MEMADDR_[15]\\\\_c\, 
        \dataOut_c[0]\, \dataOut_c[1]\, \dataOut_c[2]\, 
        \dataOut_c[3]\, \dataIn_c[0]\, \dataIn_c[1]\, 
        Core8051S_sub_1_MEMPSRD, 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_l01ii.un15_core8051s_i1i1i\, 
        Core8051S_sub_1_DBGMEMPSWR, Core8051S_sub_1_MEMWR, 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_l01ii.un1_core8051s_oolo0111\, 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_l01ii.CORE8051S_i1OO0.un351_core8051s_io00l_0\, 
        \d_m2_1\, N_3_5_i, INBUF_0, 
        \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, 
        \\\\\MEMADDR_[11]\\\\_c_0\, \\\\\MEMADDR_[10]\\\\_c_0\, 
        \\\\\MEMADDR_[9]\\\\_c_0\, \\\\\MEMADDR_[8]\\\\_c_0\, 
        \\\\\MEMADDR_[7]\\\\_c_0\, \\\\\MEMADDR_[6]\\\\_c_0\, 
        \\\\\MEMADDR_[5]\\\\_c_2\, \\\\\MEMADDR_[4]\\\\_c_2\, 
        \\\\\MEMADDR_[3]\\\\_c_2\, \\\\\MEMADDR_[1]\\\\_c_0\, 
        \\\\\MEMADDR_[0]\\\\_c_0\, 
        \Core8051S_sub_1/un2_coreai_i0li_1\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[7]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[6]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[5]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[4]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[3]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[2]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[1]\\\\\, 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[0]\\\\\, 
        \Core8051S_sub_1/N_185\, \Core8051S_sub_1/N_115\, 
        \Core8051S_sub_1/un5_oen\, 
        \Core8051S_sub_1/un3_coreai_l0li_3\, 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, 
        \Core8051S_sub_1/CUARToOLI\, 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, 
        \Core8051S_sub_1/CoreUARTapb_0_TXRDY\, 
        \Core8051S_sub_1/COREAI_l0li\, 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave3_PSELx\, 
        \Core8051S_sub_1/un11_cuartloii\, 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PENABLE\, 
        \Core8051S_sub_1/un13_cuartloii\, 
        \Core8051S_sub_1/un5_oen_0\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave2_PRDATA_[1]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave2_PRDATA_[0]\\\\\, 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave2_PSELx\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[15]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[14]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[13]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[12]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[11]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[10]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[9]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[8]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[7]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[6]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[5]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[4]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[3]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[2]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[1]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[0]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[15]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[14]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[13]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[12]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[11]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[10]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[9]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[8]\\\\\, 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\, 
        \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, 
        \Core8051S_sub_1/CoreTimer_1_TIMINT\, 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[4]\\\\_0\, 
        \Core8051S_sub_1/N_186\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[31]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[30]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[29]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[28]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[27]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[26]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[25]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[24]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[23]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[22]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[21]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[20]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[19]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[18]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[17]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[16]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[15]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[14]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[13]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[12]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[11]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[10]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[9]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[8]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[7]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[6]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[5]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[4]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[3]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[2]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[1]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[0]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[31]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[30]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[29]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[28]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[27]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[26]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[25]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[24]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[23]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[22]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[21]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[20]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[19]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[18]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[17]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[16]\\\\\, 
        \Core8051S_sub_1/un1_coreai_l0li_1\, 
        \Core8051S_sub_1/CoreTimer_0_TIMINT\, 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave1_PRDATA_[4]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave1_PRDATA_[3]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave1_PRDATA_[2]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave1_PRDATA_[1]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave1_PRDATA_[0]\\\\\, 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave1_PSELx\, 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        \Core8051S_sub_1/un60_coreai_l0li_1\, 
        \Core8051S_sub_1/CoreInterrupt_0_IRQ\, 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[12]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[9]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[4]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[4]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[3]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[0]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[1]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[2]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[7]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[13]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[7]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[6]\\\\_i\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[5]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[2]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[1]\\\\_i\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[0]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[15]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[14]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[3]\\\\_i\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[4]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[8]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[8]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[9]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[9]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[10]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[10]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[11]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[11]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[12]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[12]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[13]\\\\\, 
        \Core8051S_sub_1/N_136\, \Core8051S_sub_1/N_137\, 
        \Core8051S_sub_1/N_135\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[0]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[1]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[2]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[5]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[5]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[6]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[6]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[7]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[31]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[31]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[15]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[3]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[14]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[22]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[22]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[30]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[30]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[29]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[29]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[8]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[21]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[21]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[28]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[28]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[20]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[20]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[27]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[27]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[10]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[19]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[19]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[26]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[26]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[11]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[25]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[25]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[17]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[17]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[24]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[24]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[16]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[16]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[23]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[23]\\\\\, 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[18]\\\\\, 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[18]\\\\\, 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, 
        \Core8051S_sub_1/CORE8051S_0_APB3master_PSELx\, 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave14_PSELx_0\, 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[6]\\\\_0\, 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, 
        \Core8051S_sub_1/CORE8051S_0_WDOGRESN\, 
        \Core8051S_sub_1/CoreWatchdog_0_WDOGRES\, 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1_0_iv_0[3]\, 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[3]\, 
        \Core8051S_sub_1/CoreUARTapb_0/OverflOW_m\, 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1_iv_0[0]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[0]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/txrdY_m\, 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1_iv_0[1]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[1]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/rxrdY_m\, 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1_iv_0[2]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[2]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/PARity_erR_m\, 
        \Core8051S_sub_1/CoreUARTapb_0/un1_cuarto1ii20_0_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[2]\, 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out_m[2]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[2]\, 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[1]\, 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out_m[1]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[1]\, 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[0]\, 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out_m[0]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[0]\, 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[3]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[3]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/un1_cuarto1ii20_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/un16_cuartloii\, 
        \Core8051S_sub_1/CoreUARTapb_0/un5_psel\, 
        \Core8051S_sub_1/CoreUARTapb_0/un12_psel\, 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[0]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[0]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[1]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[2]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[2]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[4]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[4]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[4]\, 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[4]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[5]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[5]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[5]\, 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[5]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[6]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[6]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[6]\, 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[6]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[7]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[7]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[7]\, 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[7]\, 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[1]\, 
        \Core8051S_sub_1/CoreUARTapb_0/fifobloCK0_AFULL\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/un1_cuartiooi_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/un1_csn_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/un1_csn\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[3]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[3]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/cuartol1l4[0]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL[1]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL[0]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL_ns[0]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/un1_cuartooli\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_62_i\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[7]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[7]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[6]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[6]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[5]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[5]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[4]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[4]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[2]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[2]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[1]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[1]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[0]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[0]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToOLI_1_sqmuxa\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTo11L_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTI01L_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiI1L_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CLEAR_parity_EN\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[0]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[1]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[2]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[3]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[4]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[5]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[6]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[7]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_4\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[0]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[1]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[2]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[3]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[4]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[5]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[6]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[7]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/fifo_READ_tx\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTo01L_i\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTIL1l\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/FIFO_write\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIlse_4_0_0_a2_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_159\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTio0l_3_0_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTio0l_3_0_a2_1_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[3]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_86\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIlse_2_i_0_a2_0_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[4]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIlse_4_0_0_a2_1_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[1]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_i[3]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[2]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[2]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTio0l_3\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_84\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_25\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_91\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_90\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_64\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_23\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_62\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARToo0l\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTI1il_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTL1il_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_129\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[6]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_102\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[1]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_18\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTO1il_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_ns_e[6]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_65\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_93\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_ns_e[0]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/un1_CUARTO1il_1_sqmuxa\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_115\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_80\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_83\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_c0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_81\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_82\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[3]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[7]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[1]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[5]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_78\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_79\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[2]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[6]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[0]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[4]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_75\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_RNO[3]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_99\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_ns_e[4]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_98\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_ns_e[5]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_114\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_95\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[5]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_27\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_21\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[0]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_n0_0_i_a3_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[1]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_n1_0_i_a3_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[0]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_n4_0_i_a3_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[4]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/un9_cuarti\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[2]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_26\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[3]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTOL_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[1]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[0]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_30\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll_RNO[2]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll_RNO[3]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_55\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_41\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_61\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_59\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[6]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_42\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[7]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/un2_cuartl\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_75\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[2]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_20\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[1]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_43_i_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[2]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_44_i_0_i\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[3]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[3]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_39\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[4]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_56_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_46_i_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[5]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_47_i_0_i\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[6]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_48_i_0_i\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_n7\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_40\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[5]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_13_i_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[0]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[1]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[2]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[3]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[4]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[5]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[6]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[7]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTool/CUARTo01L\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTool/CUARTlol\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[0]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[1]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[2]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[3]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[4]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[5]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[6]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[7]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARTlol\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToi1L\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[7]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[6]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[5]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[4]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[3]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[2]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[1]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[0]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARTIIOI\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL_1_sqmuxa_i\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL_1_sqmuxa\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un19_baud_clock_i\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_91_i_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un19_baud_clock_NE_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL[0]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_e1_i_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_c0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol[1]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_e2_i_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_167\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol[2]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_e3_i_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_77\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol[3]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL_ns_0_i_0[1]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL[1]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_1_sqmuxa_i_a3_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_173\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL_12_i_0[7]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_171\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[8]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_111\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[1]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_166\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un19_baud_clock_NE_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[3]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[2]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un7_baud_clock_0_a3_0_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un7_baud_clock_0_a3_0_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_9_iv_0_x4_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTLIol_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_1_sqmuxa_i_a4_0_0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_1_sqmuxa_i_a4_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[0]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_137\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_107\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_29_i_0_i\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_55\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_132\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_156\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_50\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un7_baud_clock\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_48\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_46\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_33\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_109\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_60\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_170\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_58\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_165\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_172\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_178\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_7_i\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTL0OL[0]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTL0OL[2]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTL0OL[1]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_42\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_9\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL_ns[0]\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_e0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_16\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[7]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_40\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_186\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_104\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_62\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiole\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_30\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_28\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[6]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_26\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[5]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_24\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[4]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_22\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[3]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_20\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[2]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_18\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[1]_net_1\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol_n0\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_5\, 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[0]_net_1\, 
        \Core8051S_sub_1/CoreGPIO_0/COREGPIO_ol_RNO[0]_net_1\, 
        \Core8051S_sub_1/CoreGPIO_0/CoreGPIO_LL[0]_net_1\, 
        \Core8051S_sub_1/CoreGPIO_0/CoreGPIO_iL[0]_net_1\, 
        \Core8051S_sub_1/CoreGPIO_0/N_356\, 
        \Core8051S_sub_1/CoreGPIO_0/COREGPIO_ol_RNO[1]_net_1\, 
        \Core8051S_sub_1/CoreGPIO_0/CoreGPIO_LL[1]_net_1\, 
        \Core8051S_sub_1/CoreGPIO_0/CoreGPIO_iL[1]_net_1\, 
        \Core8051S_sub_1/CoreGPIO_0/un4_coregpio_i\, 
        \Core8051S_sub_1/CoreGPIO_0/COREGPIO_ol[0]_net_1\, 
        \Core8051S_sub_1/CoreGPIO_0/COREGPIO_ol[1]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil_0\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_1_sqmuxa\, 
        \Core8051S_sub_1/CoreTimer_1/un6_coretimer_lil\, 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_i\, 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_6\, 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_4\, 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_3\, 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_2\, 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_0\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_34_0\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c13\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt[14]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_18_0\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt[6]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c5\, 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_2\, 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_a2_0\, 
        \Core8051S_sub_1/CoreTimer_1/N_160\, 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_1\, 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_a2_1_1\, 
        \Core8051S_sub_1/CoreTimer_1/N_158\, 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_0\, 
        \Core8051S_sub_1/CoreTimer_1/N_166\, 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_a2_2_1\, 
        \Core8051S_sub_1/CoreTimer_1/N_173\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii_iv_1[0]\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL_m[0]\, 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_4[0]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1_m[0]\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[0]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[7]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[3]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii_0_iv_i_1[1]\, 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_2[1]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_3[1]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_4[1]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii_0_iv_i_1[3]\, 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_2[3]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/N_73\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii_0_iv_i_1[2]\, 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_2[2]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_3[2]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/N_106\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1[0]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/un3_coretimer_lol\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1[2]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt[13]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt[11]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt[12]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt[9]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt[10]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt[15]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt[8]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/N_167\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[1]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_13_2\, 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_13_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt[4]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt[7]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt[5]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_a2_0_0\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[2]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[0]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/N_179_1\, 
        \Core8051S_sub_1/CoreTimer_1/N_16\, 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[1]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/N_20\, 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[3]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/N_41_i_0\, 
        \Core8051S_sub_1/CoreTimer_1/N_22\, 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[4]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/N_157\, 
        \Core8051S_sub_1/CoreTimer_1/N_24\, 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[5]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/N_26\, 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[6]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/N_159\, 
        \Core8051S_sub_1/CoreTimer_1/N_28\, 
        \Core8051S_sub_1/CoreTimer_1/N_30\, 
        \Core8051S_sub_1/CoreTimer_1/N_165\, 
        \Core8051S_sub_1/CoreTimer_1/N_102\, 
        \Core8051S_sub_1/CoreTimer_1/N_32\, 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[9]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/N_164\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[0]\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[0]\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL_m[0]\, 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_13_i_0\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c3\, 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi\, 
        \Core8051S_sub_1/CoreTimer_1/N_155_i_0\, 
        \Core8051S_sub_1/CoreTimer_1/N_105\, 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_RNO_0_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/N_178\, 
        \Core8051S_sub_1/CoreTimer_1/N_168\, 
        \Core8051S_sub_1/CoreTimer_1/N_18\, 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[2]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/N_40\, 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oll_i\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_0_sqmuxa\, 
        \Core8051S_sub_1/CoreTimer_1/un7_coretimer_o1\, 
        \Core8051S_sub_1/CoreTimer_1/N_13_i_0\, 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_1[3]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/N_156_i_0\, 
        \Core8051S_sub_1/CoreTimer_1/N_109\, 
        \Core8051S_sub_1/CoreTimer_1/CORETIMER_o1l_RNO_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_i0l_1\, 
        \Core8051S_sub_1/CoreTimer_1/N_2480_tz\, 
        \Core8051S_sub_1/CoreTimer_1/CORETIMer_i1l_m_0\, 
        \Core8051S_sub_1/CoreTimer_1/CORETIMer_i1l_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_lll\, 
        \Core8051S_sub_1/CoreTimer_1/N_163\, 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_n0\, 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[8]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[2]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[4]\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[4]\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[4]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_I0_0_sqmuxa\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[5]\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[5]\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[5]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[6]\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[6]\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[6]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[7]\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[7]\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[7]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[8]\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[8]\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[8]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[9]\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[9]\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[9]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[10]\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[10]\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[10]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[11]\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[11]\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[11]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[12]\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[12]\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[12]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[0]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt[0]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[13]\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[13]\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[13]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[14]\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[14]\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[14]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[15]\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[15]\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[15]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt[1]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/N_50\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c4\, 
        \Core8051S_sub_1/CoreTimer_1/N_52\, 
        \Core8051S_sub_1/CoreTimer_1/N_54\, 
        \Core8051S_sub_1/CoreTimer_1/N_56\, 
        \Core8051S_sub_1/CoreTimer_1/N_58\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c8\, 
        \Core8051S_sub_1/CoreTimer_1/N_60\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c9\, 
        \Core8051S_sub_1/CoreTimer_1/N_62\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c10\, 
        \Core8051S_sub_1/CoreTimer_1/N_64\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c11\, 
        \Core8051S_sub_1/CoreTimer_1/N_66\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c12\, 
        \Core8051S_sub_1/CoreTimer_1/N_68\, 
        \Core8051S_sub_1/CoreTimer_1/N_70\, 
        \Core8051S_sub_1/CoreTimer_1/N_72\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n0\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n4\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n5\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n6\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n7\, 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n8\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n9\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n10\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n11\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n12\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n13\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n14\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n15\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n1\, 
        \Core8051S_sub_1/CoreTimer_1/N_44\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[1]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1[1]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_lil_i_0\, 
        \Core8051S_sub_1/CoreTimer_1/COUnte\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n3\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c2\, 
        \Core8051S_sub_1/CoreTimer_1/N_48\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n2\, 
        \Core8051S_sub_1/CoreTimer_1/N_46\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt[3]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[3]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/COUnt[2]_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/CORETIMer_i1l_RNO_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_oli\, 
        \Core8051S_sub_1/CoreTimer_1/CORETIMER_o1l_net_1\, 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_IOI_i\, 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/un6_coretimer_oil_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/un4_coretimer_o1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnte_0\, 
        \Core8051S_sub_1/CoreTimer_0/un3_coretimer_lol\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_0_sqmuxa\, 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0\, 
        \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_lil_i_0\, 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oll_i\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_1_sqmuxa\, 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, 
        \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_i\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_66_0\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c29\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[30]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_34_0\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c13\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[14]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii_iv_2[0]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL_m[0]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii_iv_0[0]\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[0]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii_iv_141_0\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1_m[0]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii_0_iv_0_1[1]\, 
        \Core8051S_sub_1/CoreTimer_0/N_269\, 
        \Core8051S_sub_1/CoreTimer_0/N_270\, 
        \Core8051S_sub_1/CoreTimer_0/N_267\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii_0_iv_1[2]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL_m[2]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1_m[2]\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[2]\, 
        \Core8051S_sub_1/CoreTimer_0/CorETIMER_ili_0_2\, 
        \Core8051S_sub_1/CoreTimer_0/N_251\, 
        \Core8051S_sub_1/CoreTimer_0/CorETIMER_ili_0_0\, 
        \Core8051S_sub_1/CoreTimer_0/N_55\, 
        \Core8051S_sub_1/CoreTimer_0/CorETIMER_ili_0_a5_2_1\, 
        \Core8051S_sub_1/CoreTimer_0/N_46\, 
        \Core8051S_sub_1/CoreTimer_0/N_250\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n9_0_i_0\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[9]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/N_44_i_0\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n8_0_i_0\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[7]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/N_39\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[8]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n7_0_i_0\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n6_0_i_0\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[5]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/N_37\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[6]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n5_0_i_0\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n4_0_i_0\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[3]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/N_35_i_0\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[4]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n3_0_i_0\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n2_0_i_0\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[0]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[1]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[2]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n1_0_i_0\, 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_ooi_m_0\, 
        \Core8051S_sub_1/CoreTimer_0/CORETIMer_i1l_m_0\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1[2]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_14\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_9\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_8\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_13\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_5\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_4\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_11\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_7\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[28]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[27]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_3\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[20]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[19]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[16]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[31]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[29]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[25]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[26]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[23]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[24]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[21]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[22]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[17]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[18]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CorETIMER_ili_0_a5_1_0\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[1]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[3]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29_6\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29_1\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29_0\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29_5\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29_3\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[12]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[11]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[13]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[9]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[10]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[15]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[8]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_25_2\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_25_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[4]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[7]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[5]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[6]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CorETIMER_ili_0_a5_0_0\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[2]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/N_254_1\, 
        \Core8051S_sub_1/CoreTimer_0/N_16\, 
        \Core8051S_sub_1/CoreTimer_0/N_18\, 
        \Core8051S_sub_1/CoreTimer_0/N_20\, 
        \Core8051S_sub_1/CoreTimer_0/N_22\, 
        \Core8051S_sub_1/CoreTimer_0/N_24\, 
        \Core8051S_sub_1/CoreTimer_0/N_26\, 
        \Core8051S_sub_1/CoreTimer_0/N_28\, 
        \Core8051S_sub_1/CoreTimer_0/N_30\, 
        \Core8051S_sub_1/CoreTimer_0/N_32\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[2]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[2]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[0]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[0]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_25\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c3\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29\, 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi\, 
        \Core8051S_sub_1/CoreTimer_0/CorETIMER_ili\, 
        \Core8051S_sub_1/CoreTimer_0/N_254\, 
        \Core8051S_sub_1/CoreTimer_0/N_253\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[0]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/N_48\, 
        \Core8051S_sub_1/CoreTimer_0/N_49\, 
        \Core8051S_sub_1/CoreTimer_0/un7_coretimer_o1_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/N_249\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[3]\, 
        \Core8051S_sub_1/CoreTimer_0/N_255\, 
        \Core8051S_sub_1/CoreTimer_0/N_257\, 
        \Core8051S_sub_1/CoreTimer_0/N_256\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[1]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[1]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/N_69\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c5\, 
        \Core8051S_sub_1/CoreTimer_0/CORETIMER_o1l_RNO_0\, 
        \Core8051S_sub_1/CoreTimer_0/CORETIMer_i1l_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n0\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[21]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[21]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[21]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[23]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[23]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[23]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[24]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[24]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[24]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[25]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[25]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[25]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[26]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[26]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[26]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[27]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[27]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[27]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[28]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[28]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[28]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[31]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[31]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[31]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c19\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c18\, 
        \Core8051S_sub_1/CoreTimer_0/N_96\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[20]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c20\, 
        \Core8051S_sub_1/CoreTimer_0/N_98\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c21\, 
        \Core8051S_sub_1/CoreTimer_0/N_100\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[22]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c22\, 
        \Core8051S_sub_1/CoreTimer_0/N_102\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c23\, 
        \Core8051S_sub_1/CoreTimer_0/N_104\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c24\, 
        \Core8051S_sub_1/CoreTimer_0/N_106\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c25\, 
        \Core8051S_sub_1/CoreTimer_0/N_108\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c26\, 
        \Core8051S_sub_1/CoreTimer_0/N_110\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c27\, 
        \Core8051S_sub_1/CoreTimer_0/N_112\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c28\, 
        \Core8051S_sub_1/CoreTimer_0/N_114\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[29]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/N_116\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[30]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/N_118\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n20\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n21\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n22\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n23\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n24\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n25\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n26\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n27\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n28\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n29\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n30\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n31\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1[1]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_lll_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_oli\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_IOI_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CORETIMer_i1l_RNO_0_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CORETIMER_o1l_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[2]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[5]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[5]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[5]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[9]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[9]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[9]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[15]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[15]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[15]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[16]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[16]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[16]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[17]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[17]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[17]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[18]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[18]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[18]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[19]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[19]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[19]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[20]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[20]\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[22]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[22]\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[29]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[29]\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[30]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[30]\, 
        \Core8051S_sub_1/CoreTimer_0/COUnte\, 
        \Core8051S_sub_1/CoreTimer_0/N_86\, 
        \Core8051S_sub_1/CoreTimer_0/N_88\, 
        \Core8051S_sub_1/CoreTimer_0/N_90\, 
        \Core8051S_sub_1/CoreTimer_0/N_91\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c16\, 
        \Core8051S_sub_1/CoreTimer_0/N_92\, 
        \Core8051S_sub_1/CoreTimer_0/N_94\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n15\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n16\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n17\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n18\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n19\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[4]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[4]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[4]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[6]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[6]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[6]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/N_60\, 
        \Core8051S_sub_1/CoreTimer_0/N_64\, 
        \Core8051S_sub_1/CoreTimer_0/N_65\, 
        \Core8051S_sub_1/CoreTimer_0/N_66\, 
        \Core8051S_sub_1/CoreTimer_0/N_74\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n2\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n4\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n5\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n9\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c8\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c2\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[3]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n7\, 
        \Core8051S_sub_1/CoreTimer_0/N_70\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n6\, 
        \Core8051S_sub_1/CoreTimer_0/N_68\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n3\, 
        \Core8051S_sub_1/CoreTimer_0/N_62\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[7]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[3]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[7]\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[7]\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1[0]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_lli_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[1]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt[0]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/N_58\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n0\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n1\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c12\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c11\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c10\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n13\, 
        \Core8051S_sub_1/CoreTimer_0/N_82\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n12\, 
        \Core8051S_sub_1/CoreTimer_0/N_80\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n11\, 
        \Core8051S_sub_1/CoreTimer_0/N_78\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n10\, 
        \Core8051S_sub_1/CoreTimer_0/N_76\, 
        \Core8051S_sub_1/CoreTimer_0/N_75\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n8\, 
        \Core8051S_sub_1/CoreTimer_0/N_72\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[13]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[12]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[11]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[10]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[8]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[12]\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[12]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[10]\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[10]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[8]\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[8]\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n14\, 
        \Core8051S_sub_1/CoreTimer_0/N_84\, 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[14]_net_1\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[14]\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[14]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[13]\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[13]\, 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[11]\, 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[11]\, 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_iv_0_0[1]\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_102\, 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[1]_net_1\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_84\, 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_iv_0_0[4]\, 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[4]_net_1\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_76\, 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_iv_0_0[2]\, 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[2]_net_1\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_80\, 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_iv_0_0[0]\, 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[0]_net_1\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_88\, 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_0_iv_0_a2_0_0[3]_net_1\, 
        \Core8051S_sub_1/CoreInterrupt_0/un1_coreinterrupt_l0l13_i_a6_0_net_1\, 
        \Core8051S_sub_1/CoreInterrupt_0/CoREINTERRupt_oli_3_sqmuxa_i_s_1\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_74\, 
        \Core8051S_sub_1/CoreInterrupt_0/CoREINTERRupt_oli_3_sqmuxa_i_s_0\, 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[3]_net_1\, 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[3]_net_1\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_108\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_101\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_95\, 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1[0]\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_87\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_89\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_109\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_106\, 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1[3]\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_56\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_58\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_57\, 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1[2]\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_79\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_81\, 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1[4]\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_59\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_77\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_98\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_94\, 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1[1]\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_83\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_85\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_97\, 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[0]_net_1\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_103\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_105_i\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_92_1\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_115_i\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_119_i\, 
        \Core8051S_sub_1/CoreInterrupt_0/N_125_i\, 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNO[4]_net_1\, 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNO[2]_net_1\, 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi_RNO[4]_net_1\, 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi_RNO[2]_net_1\, 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[2]_net_1\, 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[4]_net_1\, 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNO[1]_net_1\, 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi_RNO[1]_net_1\, 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[1]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/N_360\, 
        \Core8051S_sub_1/CoreAPB3_0/N_359\, 
        \Core8051S_sub_1/CoreAPB3_0/N_57\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a4_0[1]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a4_0[3]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave14_PSELx\, 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave0_PSELx\, 
        \Core8051S_sub_1/CoreAPB3_0/N_58\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[12]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_0[12]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[12]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[11]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[11]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[11]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[11]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[10]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[10]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[10]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[10]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[9]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_0[9]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[9]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[8]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[8]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[8]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[8]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_3[4]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_1[4]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[4]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[4]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[4]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS1_m[4]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[4]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[3]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[3]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_1[3]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[3]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS1_m[3]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[3]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_3[0]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_0[0]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[0]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[0]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[0]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[0]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS2_m[0]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_3[1]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_1[1]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[1]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[1]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS1_m[1]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS2_m[1]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[1]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_3[2]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_1[2]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[2]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS1_m[2]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[2]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[5]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[5]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_0[5]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[5]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[6]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[6]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_0[6]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[6]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[7]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[7]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_0[7]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[7]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[13]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[13]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_0[14]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[14]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_0[15]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[15]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[7]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[6]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[5]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[2]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[2]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[1]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[0]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[15]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[15]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[14]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[14]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[3]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[13]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[13]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[31]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[22]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[30]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[29]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[21]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[28]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[20]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[27]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[19]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[26]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[25]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[17]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[24]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[16]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[23]_net_1\, 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[18]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_oloi[1]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_oloi_i[1]\, 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_i\, 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_O1OI_i\, 
        \Core8051S_sub_1/COREAI_0/COREAI_O1OI\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iloI_i\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iloI_net_1\, 
        \Core8051S_sub_1/COREAI_0/un19_coreai_l0li_0\, 
        \Core8051S_sub_1/COREAI_0/un2_coreai_i0li_2_net_1\, 
        \Core8051S_sub_1/COREAI_0/un2_coreai_i0li_1_0\, 
        \Core8051S_sub_1/COREAI_0/un19_coreai_l0li_2_0\, 
        \Core8051S_sub_1/COREAI_0/coreai_io0l_net_1\, 
        \Core8051S_sub_1/COREAI_0/coreai_io0l_3\, 
        \Core8051S_sub_1/COREAI_0/un19_coreai_l0li\, 
        \Core8051S_sub_1/COREAI_0/un3_coreai_l0li_1_net_1\, 
        \Core8051S_sub_1/COREAI_0/N_197\, 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[3]_net_1\, 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_1_net_1\, 
        \Core8051S_sub_1/COREAI_0/N_198\, 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[4]_net_1\, 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_3\, 
        \Core8051S_sub_1/COREAI_0/COREAI_Ooli\, 
        \Core8051S_sub_1/COREAI_0/COREAI_I1OI_i_0\, 
        \Core8051S_sub_1/COREAI_0/N_28\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iioi_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[2]_net_1\, 
        \Core8051S_sub_1/COREAI_0/N_30\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[4]_net_1\, 
        \Core8051S_sub_1/COREAI_0/N_42\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iili[0]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_il0l[0]_net_1\, 
        \Core8051S_sub_1/COREAI_0/N_43\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iili[1]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_il0l[1]_net_1\, 
        \Core8051S_sub_1/COREAI_0/N_44\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iili[2]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_il0l[2]_net_1\, 
        \Core8051S_sub_1/COREAI_0/N_47\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iili[5]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_ol0l_net_1\, 
        \Core8051S_sub_1/COREAI_0/N_58\, 
        \Core8051S_sub_1/COREAI_0/N_16\, 
        \Core8051S_sub_1/COREAI_0/N_59\, 
        \Core8051S_sub_1/COREAI_0/N_18\, 
        \Core8051S_sub_1/COREAI_0/N_60\, 
        \Core8051S_sub_1/COREAI_0/N_62\, 
        \Core8051S_sub_1/COREAI_0/N_46\, 
        \Core8051S_sub_1/COREAI_0/N_63\, 
        \Core8051S_sub_1/COREAI_0/N_20\, 
        \Core8051S_sub_1/COREAI_0/N_64\, 
        \Core8051S_sub_1/COREAI_0/N_22\, 
        \Core8051S_sub_1/COREAI_0/N_48\, 
        \Core8051S_sub_1/COREAI_0/N_65\, 
        \Core8051S_sub_1/COREAI_0/N_24\, 
        \Core8051S_sub_1/COREAI_0/N_49\, 
        \Core8051S_sub_1/COREAI_0/N_106\, 
        \Core8051S_sub_1/COREAI_0/N_74\, 
        \Core8051S_sub_1/COREAI_0/N_53\, 
        \Core8051S_sub_1/COREAI_0/N_107\, 
        \Core8051S_sub_1/COREAI_0/N_75\, 
        \Core8051S_sub_1/COREAI_0/N_55\, 
        \Core8051S_sub_1/COREAI_0/N_108\, 
        \Core8051S_sub_1/COREAI_0/N_76\, 
        \Core8051S_sub_1/COREAI_0/N_203\, 
        \Core8051S_sub_1/COREAI_0/N_110\, 
        \Core8051S_sub_1/COREAI_0/N_78\, 
        \Core8051S_sub_1/COREAI_0/N_57\, 
        \Core8051S_sub_1/COREAI_0/N_111\, 
        \Core8051S_sub_1/COREAI_0/N_79\, 
        \Core8051S_sub_1/COREAI_0/N_414\, 
        \Core8051S_sub_1/COREAI_0/N_112\, 
        \Core8051S_sub_1/COREAI_0/N_80\, 
        \Core8051S_sub_1/COREAI_0/N_415\, 
        \Core8051S_sub_1/COREAI_0/N_114\, 
        \Core8051S_sub_1/COREAI_0/N_82\, 
        \Core8051S_sub_1/COREAI_0/N_416\, 
        \Core8051S_sub_1/COREAI_0/N_115\, 
        \Core8051S_sub_1/COREAI_0/N_83\, 
        \Core8051S_sub_1/COREAI_0/N_417\, 
        \Core8051S_sub_1/COREAI_0/N_116\, 
        \Core8051S_sub_1/COREAI_0/N_84\, 
        \Core8051S_sub_1/COREAI_0/N_97\, 
        \Core8051S_sub_1/COREAI_0/N_117\, 
        \Core8051S_sub_1/COREAI_0/N_85\, 
        \Core8051S_sub_1/COREAI_0/N_418\, 
        \Core8051S_sub_1/COREAI_0/N_118\, 
        \Core8051S_sub_1/COREAI_0/N_86\, 
        \Core8051S_sub_1/COREAI_0/N_419\, 
        \Core8051S_sub_1/COREAI_0/N_119\, 
        \Core8051S_sub_1/COREAI_0/N_87\, 
        \Core8051S_sub_1/COREAI_0/N_420\, 
        \Core8051S_sub_1/COREAI_0/N_120\, 
        \Core8051S_sub_1/COREAI_0/N_88\, 
        \Core8051S_sub_1/COREAI_0/N_421\, 
        \Core8051S_sub_1/COREAI_0/N_121\, 
        \Core8051S_sub_1/COREAI_0/N_89\, 
        \Core8051S_sub_1/COREAI_0/N_422\, 
        \Core8051S_sub_1/COREAI_0/N_122\, 
        \Core8051S_sub_1/COREAI_0/N_123\, 
        \Core8051S_sub_1/COREAI_0/N_124\, 
        \Core8051S_sub_1/COREAI_0/N_126\, 
        \Core8051S_sub_1/COREAI_0/N_127\, 
        \Core8051S_sub_1/COREAI_0/N_128\, 
        \Core8051S_sub_1/COREAI_0/N_129\, 
        \Core8051S_sub_1/COREAI_0/N_113\, 
        \Core8051S_sub_1/COREAI_0/N_130\, 
        \Core8051S_sub_1/COREAI_0/N_423\, 
        \Core8051S_sub_1/COREAI_0/N_131\, 
        \Core8051S_sub_1/COREAI_0/N_424\, 
        \Core8051S_sub_1/COREAI_0/N_132\, 
        \Core8051S_sub_1/COREAI_0/N_425\, 
        \Core8051S_sub_1/COREAI_0/N_133\, 
        \Core8051S_sub_1/COREAI_0/N_426\, 
        \Core8051S_sub_1/COREAI_0/N_134\, 
        \Core8051S_sub_1/COREAI_0/N_427\, 
        \Core8051S_sub_1/COREAI_0/N_428\, 
        \Core8051S_sub_1/COREAI_0/N_149\, 
        \Core8051S_sub_1/COREAI_0/N_151\, 
        \Core8051S_sub_1/COREAI_0/N_138\, 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[0]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[0]\, 
        \Core8051S_sub_1/COREAI_0/N_139\, 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[1]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[1]\, 
        \Core8051S_sub_1/COREAI_0/N_140\, 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[2]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[2]\, 
        \Core8051S_sub_1/COREAI_0/N_143\, 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[5]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[5]\, 
        \Core8051S_sub_1/COREAI_0/N_144\, 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[6]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[6]\, 
        \Core8051S_sub_1/COREAI_0/N_145\, 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[7]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[7]\, 
        \Core8051S_sub_1/COREAI_0/N_146\, 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[0]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[8]\, 
        \Core8051S_sub_1/COREAI_0/N_147\, 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[1]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[9]\, 
        \Core8051S_sub_1/COREAI_0/N_170\, 
        \Core8051S_sub_1/COREAI_0/N_154\, 
        \Core8051S_sub_1/COREAI_0/N_171\, 
        \Core8051S_sub_1/COREAI_0/N_155\, 
        \Core8051S_sub_1/COREAI_0/N_172\, 
        \Core8051S_sub_1/COREAI_0/N_156\, 
        \Core8051S_sub_1/COREAI_0/N_174\, 
        \Core8051S_sub_1/COREAI_0/N_142\, 
        \Core8051S_sub_1/COREAI_0/N_158\, 
        \Core8051S_sub_1/COREAI_0/N_175\, 
        \Core8051S_sub_1/COREAI_0/N_159\, 
        \Core8051S_sub_1/COREAI_0/N_176\, 
        \Core8051S_sub_1/COREAI_0/N_160\, 
        \Core8051S_sub_1/COREAI_0/N_177\, 
        \Core8051S_sub_1/COREAI_0/N_161\, 
        \Core8051S_sub_1/COREAI_0/N_178\, 
        \Core8051S_sub_1/COREAI_0/N_162\, 
        \Core8051S_sub_1/COREAI_0/N_179\, 
        \Core8051S_sub_1/COREAI_0/N_163\, 
        \Core8051S_sub_1/COREAI_0/N_180\, 
        \Core8051S_sub_1/COREAI_0/N_148\, 
        \Core8051S_sub_1/COREAI_0/N_164\, 
        \Core8051S_sub_1/COREAI_0/N_186\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iL1L_net_1\, 
        \Core8051S_sub_1/COREAI_0/N_187\, 
        \Core8051S_sub_1/COREAI_0/COREAI_li1l_net_1\, 
        \Core8051S_sub_1/COREAI_0/N_188\, 
        \Core8051S_sub_1/COREAI_0/COREAI_o11l_net_1\, 
        \Core8051S_sub_1/COREAI_0/N_190\, 
        \Core8051S_sub_1/COREAI_0/COREAI_Loli_net_1\, 
        \Core8051S_sub_1/COREAI_0/N_191\, 
        \Core8051S_sub_1/COREAI_0/COREAI_oilI_net_1\, 
        \Core8051S_sub_1/COREAI_0/N_125\, 
        \Core8051S_sub_1/COREAI_0/N_189\, 
        \Core8051S_sub_1/COREAI_0/N_192\, 
        \Core8051S_sub_1/COREAI_0/N_193\, 
        \Core8051S_sub_1/COREAI_0/N_194\, 
        \Core8051S_sub_1/COREAI_0/N_195\, 
        \Core8051S_sub_1/COREAI_0/N_196\, 
        \Core8051S_sub_1/COREAI_0/COREAI_II0L_1\, 
        \Core8051S_sub_1/COREAI_0/un15_coreai_l0li\, 
        \Core8051S_sub_1/COREAI_0/un3_coreai_l0li_net_1\, 
        \Core8051S_sub_1/COREAI_0/un60_coreai_l0li_i\, 
        \Core8051S_sub_1/COREAI_0/un21_coreai_l0li\, 
        \Core8051S_sub_1/COREAI_0/COREAI_ll1l\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iO1L\, 
        \Core8051S_sub_1/COREAI_0/COREAI_OL1l_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_OI1l\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i01L\, 
        \Core8051S_sub_1/COREAI_0/COREAI_O01L\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l01l_net_1\, 
        \Core8051S_sub_1/COREAI_0/N_429\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iili[4]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iili[6]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iili[7]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iOOI[0]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iOOI[1]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iOOI[2]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iOOI[4]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iOOI[5]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iOOI[6]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iOOI[8]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iOOI[9]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iOOI[10]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iOOI[11]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l11l\, 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[4]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[2]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[0]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[1]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[2]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[4]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[5]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[6]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[7]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[8]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[9]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_O10l_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[2]_net_1\, 
        \Core8051S_sub_1/COREAI_0/un4_coreai_i0li\, 
        \Core8051S_sub_1/COREAI_0/un9_coreai_i0li\, 
        \Core8051S_sub_1/COREAI_0/un14_coreai_i0li\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[0]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[1]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[5]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[6]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[7]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[0]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[1]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[4]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[5]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[6]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[7]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[8]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[9]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[10]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[12]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[14]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[0]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[1]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[2]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[3]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[5]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[6]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[7]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iOOI[7]\, 
        \Core8051S_sub_1/COREAI_0/N_430\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iLLI\, 
        \Core8051S_sub_1/COREAI_0/un1_coreai_l0li_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iioi_4\, 
        \Core8051S_sub_1/COREAI_0/COREAI_ioli_3\, 
        \Core8051S_sub_1/COREAI_0/un1_coreai_ioli8_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_o0oi_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_Lioi\, 
        \Core8051S_sub_1/COREAI_0/un1_coreai_ioli8\, 
        \Core8051S_sub_1/COREAI_0/COREAI_olli_net_1\, 
        \Core8051S_sub_1/COREAI_0/un20_coreai_lioi\, 
        \Core8051S_sub_1/COREAI_0/un19_coreai_lioi\, 
        \Core8051S_sub_1/COREAI_0/un4_coreai_lioi\, 
        \Core8051S_sub_1/COREAI_0/un15_coreai_lioi\, 
        \Core8051S_sub_1/COREAI_0/COREAI_ioli_net_1\, 
        \Core8051S_sub_1/COREAI_0/un9_coreai_lioi\, 
        \Core8051S_sub_1/COREAI_0/COREAI_LLLI_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_oioi_i\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l1OI_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i0oI_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[13]_net_1\, 
        \Core8051S_sub_1/COREAI_0/un19_coreai_i0li\, 
        \Core8051S_sub_1/COREAI_0/COREAI_oooi\, 
        \Core8051S_sub_1/COREAI_0/N_204\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[3]_net_1\, 
        \Core8051S_sub_1/COREAI_0/N_157\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[3]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_ii1l\, 
        \Core8051S_sub_1/COREAI_0/N_77\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iOOI[3]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_I11l_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_io0l_1\, 
        \Core8051S_sub_1/COREAI_0/N_173\, 
        \Core8051S_sub_1/COREAI_0/COREAI_looi_net_1\, 
        \Core8051S_sub_1/COREAI_0/N_141\, 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[3]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[3]\, 
        \Core8051S_sub_1/COREAI_0/N_61\, 
        \Core8051S_sub_1/COREAI_0/N_109\, 
        \Core8051S_sub_1/COREAI_0/N_29\, 
        \Core8051S_sub_1/COREAI_0/N_45\, 
        \Core8051S_sub_1/COREAI_0/COREAI_iili[3]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_il0l[3]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[3]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[4]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[11]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_II0L_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_io0l_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[0]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[1]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[2]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[3]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[4]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[5]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[6]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[7]_net_1\, 
        \Core8051S_sub_1/COREAI_0/COREAI_LL1[1]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_ol1[2]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_IO1[4]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_IO1[1]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_IO1[0]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_lO1[1]\, 
        \Core8051S_sub_1/COREAI_0/COREAI_lO1[0]\, 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_353\, 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_287\, 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[4]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_llL_i_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_O1_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_67_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[30]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil_0_a2_1_8\, 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil_0_a2_1_5\, 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil_0_a2_1_4\, 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil_0_a2_1_6\, 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil_0_a2_1_3\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[26]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[25]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil_0_a2_1_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[22]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[31]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[29]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[27]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[28]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[23]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[24]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n21_0_i_a2_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[21]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n21_0_i_a2_1_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n19_0_i_a2_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[19]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n19_0_i_a2_1_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n17_0_i_a2_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[17]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n17_0_i_a2_1_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L_0_2\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_255\, 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L_0_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_58\, 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L_0_a2_0_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_36_i_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_256\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_258_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[0]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il_iv_0_0[4]\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_289\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_272\, 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L_0_a2_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[7]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[3]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n11_0_i_a2_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[11]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n11_0_i_a2_1_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L_0_a2_1_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[1]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_53\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[2]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L_0_a2_2_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[0]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_42\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_340\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_341\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_342\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_44\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_344\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_345\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_346\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_46\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_123\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_122\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_347\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_291\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_124\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_125\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_126\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_292\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_127\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_128\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_129\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_293\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_130\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_131\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_132\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_294\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_133\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_134\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_135\, 
        \Core8051S_sub_1/CoreWatchdog_0/corewatchdog_ill\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_335\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[20]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_313\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[18]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_311\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[16]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_309\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[12]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_305\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[10]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_303\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[3]\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_269\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_268\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_270\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[2]\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_266\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_265\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_267\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[1]\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_263\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_262\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_264\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_43\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[0]\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_260\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_259\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_261\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[4]\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[4]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_52\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_38\, 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[1]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_258\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_48_i_0\, 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_257\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_33\, 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[9]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_31\, 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[8]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_45\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_29\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_27\, 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[6]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_39\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_25\, 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[5]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_23\, 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[4]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_37\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_21\, 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[3]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_19\, 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[2]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_35\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_17\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[1]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[1]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[2]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[2]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[3]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[3]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa\, 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_317\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[5]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_319\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[6]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_321\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[7]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_323\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[8]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_325\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[9]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_327\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[11]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[12]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[17]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[18]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[19]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[20]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[21]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_6\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L[1]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L[0]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[5]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[5]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[6]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[6]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[7]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[7]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[8]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[8]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[9]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[9]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[10]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[10]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L_5[0]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L_5[1]\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_40\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[0]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[0]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[31]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[31]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[31]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_77\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_85\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[13]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[13]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_87\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[14]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[14]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_89\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[15]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[15]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_91\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[16]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_103\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[22]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_c22\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_107\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[24]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_c24\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_c23\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_109\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[25]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_c25\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_111\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[26]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_c26\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_119\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[30]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_121\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n9\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_302\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n13\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_306\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n14\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_307\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n15\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_308\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n16\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n22\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n24\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n25\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n26\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n30\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_c29\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n31\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_67\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[4]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_69\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_75\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n4\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_297\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n5\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_298\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n8\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_301\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_65\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_73\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_79\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n3\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_296\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n7\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_300\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n10\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_299\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_61\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_63\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_71\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n2\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_295\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n6\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[11]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[11]\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[18]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[18]\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[19]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[19]\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[20]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[20]\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[27]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[27]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[27]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[30]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[30]\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[15]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[15]\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[17]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[17]\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[24]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[24]\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[25]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[25]\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[26]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[26]\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[12]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[12]\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[13]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[13]\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[14]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[14]\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[21]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[21]\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[22]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[22]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdog_OIL_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[23]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[23]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[23]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[29]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[29]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[29]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[28]\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[28]_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[28]\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n29\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_c28\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_117\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n28\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_c27\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_115\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n27\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_113\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n23\, 
        \Core8051S_sub_1/CoreWatchdog_0/N_105\, 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[16]\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[16]\, 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe\, 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_llL_RNO_net_1\, 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_n0\, 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_i000[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_l1o1l_RNI3DGPF[22]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_l1o1l_RNISQ10G[19]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_l1o1l_RNIMQC5G[17]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_llL0\, 
        \Core8051S_sub_1/CORE8051S_0/un4_core8051s_iil0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_O100\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_l100\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_ii0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_ll10\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL00\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lii0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_ILl0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_II00\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_O0I0I\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_oll0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_OIL0\, 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[5]\\\\_0\, 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[7]\\\\_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL10\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11_i_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11_i_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[32]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[33]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1Ol_0_RNIMD2U[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/B1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/B1_RNIO7GQ[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[29]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[30]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[55]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[54]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[31]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[53]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[61]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[57]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[28]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[21]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[37]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oool\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LOOL\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_309\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_296\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_334\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_286\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1875_core8051s_oll1l_i_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_87\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_341\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_349\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_85\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_285\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_338\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_277\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1389\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_128\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_l10l\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_core8051s_l1il\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_281\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1324\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_25\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_182\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_124\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_45\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_174\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_ili1i_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lo0_RNI9P2B\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/d_m7_0_a3_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_39\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_42\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I0OL_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_l1il_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_oiil\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_144\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_133\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_283\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_325\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_333\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_311\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_313\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_274\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_244\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o1ol\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_315\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_302\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_304\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_77\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_47\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_389\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_388\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_93\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_66\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_56\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_176\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_29\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_105\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_139\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_122\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_166_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo00l[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo00l[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l100l_RNIAKOE[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il00l\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_364\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I0OL_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un253_core8051s_o01\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un7_core8051s_iio1i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_350\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ll0II\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l1i0L\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/d_N_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_io00l\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_l1l0i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o1i0L\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un150_core8051s_o01_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_18_i_0_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_19_i_0_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_89_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un14_core8051s_o010l\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I0I0L\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_118\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o101i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liI1I\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un10_core8051s_i000l_1_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i001I\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_216\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_222\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_162\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_217\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi00L\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi00L_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_OL00l\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_io00l_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0i0l\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_io01l[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[63]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[62]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo10_i[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo10_i[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo10_i[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[77]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii_i[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii_i[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii_i[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[88]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[90]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[71]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[65]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_loiii\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_191\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_199\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_267\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3060_core8051s_oll1l_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_260_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_314\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_73_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_342\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_145\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_707\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_193\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_l1i1i_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1384\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_221_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_697\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1407\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_i0i1i_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/d_m7_0_o3_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l1lII\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_299\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_320\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1542\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_290\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_337\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_292\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_148\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un25_core8051s_ooi0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_18\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_279\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l1lII_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LLIII\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/d_m7_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[100]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[114]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[113]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[106]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[116]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[118]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[109]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[108]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[107]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[104]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[98]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[101]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[99]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_440\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3447_core8051s_oll1l_0_0_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_323\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_80\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_io00l_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_308\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_98\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_23\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_234\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_248\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_60\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_251\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_269\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_oiol\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I0_S_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I107_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I109_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I110_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I111_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I112_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I113_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I114_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I115_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I116_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I117_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_16\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIM7P3E_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_15\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_11\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_13\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_6\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_a0_0_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_l1l0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un134_core8051s_oll0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_3[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_10[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_3_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_2_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_2_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_10_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_2_1_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_1_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_1_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_2_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_3[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_5[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[12]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[10]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_TMP[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[14]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_3[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[8]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_1_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_3_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_5_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[12]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_2_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[10]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_TMP_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[14]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_3_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[8]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_983\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N211\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_248\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N210\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_ooi0i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iii0I_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_34\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un15_core8051s_ooi0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1236\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1455\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1240\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1060\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_1_i_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N254\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N258\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N292\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N261\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I72_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I85_un1_Y_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N298\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un39_core8051s_oll0i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N293\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I97_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_3_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oll0i_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I113_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I113_Y_0_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_i_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_i_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I97_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_330_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMRD_2_sqmuxa_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un15_core8051s_lii0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un84_core8051s_liol_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un74_core8051s_liol_0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un84_core8051s_liol_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I121_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_929\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un84_core8051s_liol_a0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_356\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_liol_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I120_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[14]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_267\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I118_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_934\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[12]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I119_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_935\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[13]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_Y_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N290\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N283\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_Y_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N255\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N252\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N243\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I117_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_933\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[11]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_Y_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I46_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N244\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N240\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I115_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[9]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_257\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I116_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_932\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I95_Y_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N296\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N289\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I95_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N257\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I94_Y_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N294\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N287\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I94_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N256\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N259\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N291\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I121_Y_0_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1047\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I98_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I98_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N297\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I111_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_328_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I94_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N264\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N268\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I118_Y_0_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1197\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[12]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I114_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I120_Y_0_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[14]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[14]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I119_Y_0_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1046\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[13]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_Y_2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N290_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N283_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_Y_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N255_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N252_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N243_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I109_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_250\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I96_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N299\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I117_Y_0_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1045\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[11]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I95_Y_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N296_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N289_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I95_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N261_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N258_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N257_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I98_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N204\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N303\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N270\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N274\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N277\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I94_Y_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N294_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N287_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I94_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N256_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N259_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_Y_2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N292_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N285_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_Y_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N254_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N244_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N240_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I116_Y_0_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I113_Y_0_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1144\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_un1_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N291_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I96_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N298_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I97_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I97_un1_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N293_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I112_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1208\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_3[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_un1_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N274_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I63_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N277_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I3_P0N_m3_e\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N217\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I5_P0N_m5_e\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1456\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1058\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I4_P0N_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1110\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[11]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1438\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1363\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[12]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1360\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[9]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1328\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I7_P0N_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_0[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1222\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_0[13]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1226\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_0[14]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1231\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_2tt_0_m1_0_a2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_ioi0i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_3[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1273\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_1[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1272\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[15]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_895\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_a2_0[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_896\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1274\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1444\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1219\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1277\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1293\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1297\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1313\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1333\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_3[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1251\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_1[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1253\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1254\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1249\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1252\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_3[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1264\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1263\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1259_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1268\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1309\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1321\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_2_m4_0_a2_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1141\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1137\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNI8DMEN[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_a4_m5_e_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_0_i_0[12]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_58\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1241\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_0_i_0[14]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1442\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1247\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[9]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1257\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_53\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1286\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[13]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1304\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[11]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_56\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1314\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1132\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1133\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1135\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1131\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_5_N_7\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_1[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un48_core8051s_ioi0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[15]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_m_1[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_m_1[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1148\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1143\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I3_P0N_m3_e_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I3_P0Ntt_N_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I3_P0N_m3_e_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1076\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_995\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3_2[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1109\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1111\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1114\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0_0[11]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un67_core8051s_ooi0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_908\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1084\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0_0[12]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_900\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1102\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0_0[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_901\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1106\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0_0[13]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_907\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1124\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0_0_0[14]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_899\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1214\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_m_1[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_1_8_m4_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_m[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_3_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_3[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1204\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1202\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIO2S3M_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMDATAO_m_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0l0_m_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_m[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_0_0_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_897\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_981\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_ooi0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0_1[13]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[13]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_716\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0_0[13]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_696\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_77\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_0_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_1_3_N_7\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_1[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_91\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_2[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[10]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1099\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_2[12]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1115\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0[12]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1117\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_73\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_0_iv_0_0_0[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_0[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_m_1[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1082\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1i0l_m[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_0_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_52\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_0_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1437\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_i_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1342\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1340\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1343\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_0_1[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_0_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_0_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_0_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_2[14]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[14]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0[14]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1095\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_84\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_core8051s_o01_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_o01_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_o01_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0_1[11]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[11]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0_0[11]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_66\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_2[9]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[9]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0[9]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1121\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_o2_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_701\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1538\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_loi0i_2_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_loi0i_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_674_i_0_a2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_675_i_0_a2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_i_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1338\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1339\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_i_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1349\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1350\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_iv_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_767_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_2_0_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_2_0_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_iv_0_m1_0_a2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_903\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_905\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_898\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_1_1[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_1_0[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNITV88A_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIUJR07[8]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0_RNINPHP5[8]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_1_tz_tz_tz[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0_9_m6_i_a3_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[9]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNIGR0HB_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNITVQM5[9]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_m_0_m1_0_a2_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_2_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_ivtt_0_m3_0_a2_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_o01\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_a4_m6_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_a4_m6_0_a4_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_a4_N_11\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_a2_0_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_704\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0_a2_0_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0_a2_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0_a2_N_7_tz\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un12_core8051s_loi0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_702\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un43_core8051s_liol_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_906\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_a2tt_6_m2_0_a2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_i1l0i_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0_a2_m6_0_a3_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[8]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_3[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1443\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1167\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_2[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1447\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1165\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1411\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_958\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_158\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1163\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_3[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[11]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1174\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_2[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1172\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_959\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_159\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1170\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_3[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1181\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_2[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1178\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_1[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_960\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_160\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1177\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_3[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[13]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1188\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_2[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1186\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_961\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_161\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1184\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_3[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1194\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_2[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1192\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_962\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_162\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1191\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0_3[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1285\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0_2[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[15]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1283\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_939\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_163\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1281\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_l1l0i_m3_0_a2_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_a2_5_m5_0_a3_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNI5B171_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_oll0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oll0i_RNO_2_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_s_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_927\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1156\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_s_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_157\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1160\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un8_core8051s_ooi0i_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMPSRD_m7_0_a2_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMPSRD_m7_0_a2_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMPSRD_m7_0_a2_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_ooi0i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_l1i0i_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_oo00i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_a2_3_0[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i0i0i_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i0i0i_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i0i0i_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i0i0i_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ooi0i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_o1i0i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNI35QKK1[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNII98HG[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_m[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un72_core8051s_loi0i_s\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_0_0_7_N_7\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_0_0_6_N_7_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_2_0_N_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNI5DDQC[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_1[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1134\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNILNTSP3[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1138\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1140\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI9D1M5[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un84_core8051s_liol_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_liol_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_a2_1tt_2_m3_0_a2_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_676_i_0_a2tt_m2_0_a2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIBE03A_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_904\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_a4_N_10\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIN9D1A_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_a2_2_N_7\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIRO761_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_902\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1146\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1090\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1089\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1209\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1210\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LL10i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_liol_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_liol_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I92_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I93_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N368\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I94_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I87_un1_Y_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N302\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I95_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N304\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I96_un1_Y_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I67_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N275\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N356\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I78_un1_Y_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I92_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I85_un1_Y_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I93_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N300\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I86_un1_Y_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I94_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N295\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N371\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I95_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N297_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N304_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I98_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N303_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N204_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N360_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I82_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I96_un1_Y_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N299_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N306\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMDATAI_m[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1404\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0l0_m[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_m[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_m_1[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un43_core8051s_liol_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_core8051s_lo00i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i0i0i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_888\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_717\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_70\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1545\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_78\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_95\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1330\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1331\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[9]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1326\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1329\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_729_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1324\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1323\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1319\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1320\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[11]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1315\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1317\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1310\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1311\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1307\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1308\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[13]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1303\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1305\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_137_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1300\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1299\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1294\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1295\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1290\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1291\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[10]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1287\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1289\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1275\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1276\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[15]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1270\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_915\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1266\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1267\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1261\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_913\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[9]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1256\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1258\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[15]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1250\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_914\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[14]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1246\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1248\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[12]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1242\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1244\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_453\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1238\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1239\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_451\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1234\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1235\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_449\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1229\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1232\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_432\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1225\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1228\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_386\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1221\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1224\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_380\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1217\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1218\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1215\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1216\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1158\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1157\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1155\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1154\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_864_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1151\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1150\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1125\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1126\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_339_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_863_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1107\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1108\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1103\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1104\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_296_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_862_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1085\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1086\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un25_core8051s_oiol\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un25_core8051s_oiol_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_699\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_oiol\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1200\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_i[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un22_core8051s_i1l0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_i[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1075\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_979\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1074\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1073\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIK0DTB_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1053\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_254\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1068\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1067\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1069\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_252_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1065\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1064\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1066\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1062\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1061\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1063\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1378\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1462\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_695\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un125_core8051s_oll0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMRD_2_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I121_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I120_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I119_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I118_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I80_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[9]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[9]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I84_un1_Y_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_i[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I108_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I121_Y_0_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I120_Y_0_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I119_Y_0_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I118_Y_0_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I117_Y_0_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I116_Y_0_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I80_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I115_Y_0_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I82_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I114_Y_0_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_331_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N362\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I112_Y_0_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I111_Y_0_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I110_Y_0_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I109_Y_0_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_core8051s_o01_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I107_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_246\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I108_Y_0_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1056\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1055\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1057\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1410\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_698\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1403\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un27_core8051s_ooi0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_loi0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un28_core8051s_loi0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_ooi0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ooi0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_ooi0i_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un15_core8051s_ioi0i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un8_core8051s_ioi0i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_966\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un100_core8051s_liol\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un94_core8051s_liol\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i1i0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_ooi0i_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_ol10i_d\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[12]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1358\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1361\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[11]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1362\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1365\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNILBCT_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNII0P43_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_l1l0i_N_4_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i100i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N223\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N276\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1112\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMDATAO_m[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_848_tz\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_14[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_17_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_14[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_18_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNIQ1SG4_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_0_tz[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNI9J3F71[9]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0_RNIO20AA[9]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNIFIUH5_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_909\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0_RNIFPHP5[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI9EFM5[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNID4J51[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIJPNHB[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNI4NQN5_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_o1i0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNO_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_2451_tz\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_2447_tz\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un48_core8051s_oll0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N213\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N214\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N216\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N217_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N219\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N222\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N223_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N228\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N229\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N231\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N232\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N234\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N235\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N237\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N238\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N241\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N262\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I28_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N263\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N265\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N266\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N267\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N269\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N271\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N272\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N273\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N260\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N300_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I86_un1_Y_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_930\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N207\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N208\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I0_S_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N222_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N225\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N229_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N231_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N232_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N234_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N235_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N237_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N238_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N241_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I26_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N262_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N263_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N264_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I30_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N265_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N266_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N267_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N219_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N269_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N216_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N270_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I36_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N271_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N272_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I38_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N273_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N260_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N268_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I64_un1_Y_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I87_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N207_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N208_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N275_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_oli0i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oli0i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMRD_0_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un24_core8051s_liol\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l01_RNO_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_36\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_45\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_722\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_118\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_146\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_174\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_i1l0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un127_core8051s_oll0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_119\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[9]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_147\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[9]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_175\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_310\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ioi0i_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_312\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un29_core8051s_oiol\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_709\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_920\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_941\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[14]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[10]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[12]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_956\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_957\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1400\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1399\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[11]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[13]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1548\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1553\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1369\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1552\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1464\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1463\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1465\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_57\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_57_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_54\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_54_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_714\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1457\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1387\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1448\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1450\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1546\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_i000i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_711\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_i000i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_710\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un33_core8051s_i000i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_712\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_76\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_79\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_81\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_83\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_85\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_87\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_89\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_91\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_93\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_96\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_117\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_860\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_125\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_127\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_136\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_861\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_153\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_173\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_181\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_199_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_209\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_213\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_217\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_931\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_936\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_693\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_66_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_940\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_937\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_938\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_942\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_943\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_944\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_945\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_946\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_947\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_948\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_949\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_950\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_951\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_952\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_953\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_954\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_955\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1157_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_ooi0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_921\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1382\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_348_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_14[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_352\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMWR_1_sqmuxa_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIIL0C[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_14[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_349\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_353\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un28_core8051s_o01\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_lii0i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_IO10i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il10I_ns[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_859\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_68\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_229\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_2[8]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_225\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_221\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_72\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_2[8]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_64\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_66_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1452\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_735\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1377_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1547\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un5_core8051s_oiol\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_oiol\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_56_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un9_core8051s_oiol\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_oiol_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_15[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_86\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_55_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_18[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_15[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_18[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_15[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_15[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_247\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_243\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_239\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_63\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_55\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_partial_sum_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_90\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_82\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_63_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_partial_sum_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_4_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[9]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_9\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_14\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_22\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_4_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_2_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_7[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_0_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_1_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_0_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_TMP_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_0_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_partial_sum[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un3_core8051s_io00l_3_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un3_core8051s_io00l_2_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un3_core8051s_io00l_1_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un12_core8051s_iio1i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un5_core8051s_iio1i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un12_core8051s_iio1i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un3_core8051s_io00l_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un1_core8051s_o01\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un1_core8051s_oll0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_LOIO0_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_LOIO0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/core8051s_l1lo0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_I1lo0_RNO_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_L1LO0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_LOIO0_RNO_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_ooio0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/CORE8051S_O0l0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/un3_core8051s_ili1i_5_4_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/un3_core8051s_ili1i_5_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/un3_core8051s_ili1i_5_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/un3_core8051s_ili1i_5_2_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/CORE8051S_O0I1i_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/CORE8051S_O0I1i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un56_core8051s_l0i0l_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un56_core8051s_l0i0l_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/CORE8051S_ol01l[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un69_core8051s_l0i0l_3_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un69_core8051s_l0i0l_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un71_core8051s_l0i0l_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un1_core8051s_il00l\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un16_core8051s_o010l\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_29\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un2_c2_0_a2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_28\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/DWACT_ADD_CI_0_g_array_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/DWACT_ADD_CI_0_TMP[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E_0[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo00L[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_106_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_161\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_155\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_a10_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_11[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_6[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_15[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_6[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_2[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_153\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_8[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_123\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_132\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_5[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_7[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_120_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_130\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_121\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_128\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_133_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_166\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_129_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_124\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_125\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_126\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_127\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_10[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_3_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_145\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_12[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_9[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_146\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_134\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_6[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_8[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_3[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_135\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_140\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_138\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_101\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_169\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_165\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_170\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_126_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_99\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_143\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_8[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_6[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_7[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_223\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_196\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_4[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_214_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a11_6_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a11_6_1[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_201\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a11_3_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_218\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_225\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a11_2_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_199_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_198\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a11_5_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_1_sqmuxa_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_3[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_a10_4_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_152_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_5[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_148\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_151\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_i_3_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_207\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_204\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_i_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_i_2[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_212\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_208\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_8[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_o11_0[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_220\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_159\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_200_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_179\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_190\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_203_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_i_1_tz_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_181\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_102\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_105\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_i_a11_3_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un10_core8051s_i000l_m6_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un10_core8051s_i000l_m6_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un2_core8051s_o010l_NE_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo00l[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo00L[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_a10_1_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_108\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_143_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_110\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_116\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_156\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_97\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_123_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_2[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_149_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_164\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_163\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_109\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_115\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_94\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un4_core8051s_iio1i_NE\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_177\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_187\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_192\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_157\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_180\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_a10_1_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNILS8U[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un10_core8051s_i000l_m1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_i_a11_0_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_168\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_221_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_IL00l_RNO_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oi00l_RNO_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_3[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un15_core8051s_ii10l_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_3[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_3[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_4[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un1_core8051s_o01_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/I_11\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/DWACT_ADD_CI_0_partial_sum[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_4[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/I_17_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_4[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/I_18_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_4[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/I_15_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_0_sqmuxa_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_178\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_158\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_312\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_300\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/CORE8051S_LIOL[70]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_366\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_310\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_298\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3286_core8051s_oll1l_0_i_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_405\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2328_core8051s_oll1l_0_a3_m2_e_3_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2328_core8051s_oll1l_0_a3_m2_e_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2328_core8051s_oll1l_0_a3_m2_e_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_4_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_2_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_414\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_418\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_303\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_416\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_370\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_322\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_358\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_306\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_368\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_o3_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_424\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3823_core8051s_oll1l_0_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_400\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_401\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_399\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3286_core8051s_oll1l_0_i_RNO_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3286_core8051s_oll1l_0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3286_core8051s_oll1l_0_i_a3_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_353\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un74_core8051s_oll1l_0_i_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_a3_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un694_core8051s_oll1l_0_i_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un694_core8051s_oll1l_0_i_a3_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_339\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_420\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1693_core8051s_oll1l_0_0_a3_0_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3751_core8051s_oll1l_0_a3_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_324_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_422\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un812_core8051s_oll1l_0_i_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_289\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1875_core8051s_oll1l_i_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3625_core8051s_oll1l_i_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1094_core8051s_oll1l_0_a2_i_o3_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_294\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_444\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3583_core8051s_oll1l_i_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_327\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_434\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_344\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_331\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_398\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1234_core8051s_oll1l_0_140_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_291\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_386\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_384\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_321\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_413\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_412\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_393\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_395\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1469_core8051s_oll1l_0_o3_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1469_core8051s_oll1l_0_a3_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1469_core8051s_oll1l_0_a2_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_2452_tz\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_326\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_332\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_376\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_378\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_330\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_445\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_295\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_426\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_427\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_287\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_336\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_416_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_221_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_124_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_305\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_340\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_316\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_433\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_428\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_390\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_13\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_14\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I15_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I14_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1427\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_17[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_112\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_20_m_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_23_m_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_93\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_7_0_a2_0_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_2[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1425\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_5[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_6[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_oloi_0_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_4[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_3[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_9[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_l0il_m\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_13[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_incl_mul_div_da_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_6[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_2_sqmuxa_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_5[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1_m[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_3[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_m[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o1ll_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o1ll_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o1ll_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oili_1_iv_0_1[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1343\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1344\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_106\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_2[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_4_m[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_oili_m[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_5[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_m[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_2_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_0_sqmuxa_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_0_iv_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_5[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_3[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_m[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_1_1_iv_2[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_6[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_1_1_iv_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_1_1_iv_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_5_i[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_18[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_6[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_4[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_2[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1369\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_103_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1368\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_8_sqmuxa_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1370\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_5[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_m[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_3[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_5[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_4[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_2[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_m[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un136_incl_mul_div_da_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un136_incl_mul_div_da_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un136_incl_mul_div_da_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_2[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_36\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_38\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_36\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli26_4_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_35\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_3_sqmuxa_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_4_sqmuxa_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_4_sqmuxa_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_2[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_6[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_olli_m[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_33\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_15_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_5_m[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_2[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_4_m[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_m[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_14_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_1_m[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_Y_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N174\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_Y_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N150\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N147\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N138\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_862\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I63_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_861\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I64_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_5[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIM1G27[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_3[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_3_m[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m_2[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_2[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m_2[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I61_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_859\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_3_tz_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I10_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_5_m_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_4[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_7_a2_0_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_81\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_3[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIF0737[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1409\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1408\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I62_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_0_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_860\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I41_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N151\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N154\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I40_Y_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N152\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N149\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I40_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N135\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I42_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N156\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N153\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_855\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_4[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_a2_0_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_165\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_3[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIEOH27[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_872\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1420\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1416\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I60_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_858\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_5[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIE4B37[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_4[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_a2_0_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1398\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1430\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_2[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_4_m[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli_m[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_5[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_6_m[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_2[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1347\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_40\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_11\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_6_m[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0_2[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_75\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_78\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_76\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_5[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_3[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2_m[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_1_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1432\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1433\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_5[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_3[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_3_m[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_2[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_6_m_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_15\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_18\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_13_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_5[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_4[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1435\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_2[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1438\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1440\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1439\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I57_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_5[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_3[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIQ4HP6[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_m[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I8_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N71\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I9_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N68\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I8_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N72\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_Y_2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_un1_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N174_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_Y_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N150_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N147_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N138_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_4[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_10\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_116\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_91\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_3[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_115\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_2[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_71\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I63_Y_0_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I61_Y_0_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1399\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I62_Y_0_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I40_Y_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N152_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N149_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I40_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N135_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I41_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N151_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N154_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I60_Y_0_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_0_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_5[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_0_sqmuxa_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_4[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_2[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I40_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N153_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I42_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N156_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N166\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I59_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_6_m_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_incl_mul_div_da_3_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_5[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_4[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_2[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_4[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_3[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_10_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_6[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_6_0_a2_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1351\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_4_sqmuxa_0_a2_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_118\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1361_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_2_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_3_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un72_incl_mul_div_da\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1352\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_5_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1383\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1366\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1341\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_102\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_6_0_a2_0_0_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1371\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_105_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_l01_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1367_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_117\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1367_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_incl_mul_div_da_5_0_a2_2_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_incl_mul_div_da_5_0_a2_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_92\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_89\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_90\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_9_i_a2_7_0[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un48_incl_mul_div_da_0_a2_1_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_incl_mul_div_da_0_a2_4_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_3_tz_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_2_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_incl_mul_div_da_0_a2_5_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_45\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_2_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_62_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1380\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_5_0_tz_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_5_sqmuxa_0_a2_1_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_11_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_11_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_11_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_11_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un48_incl_mul_div_da_0_a2_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o0il_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_core8051s_oiil_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I0LL_0_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I0LL_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I0LL_0_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I0LL_0_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1382\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I40_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N221\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I41_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N155\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N224\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I42_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N157\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N160\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I38_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N209_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N221_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I41_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N155_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N224_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I42_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N160_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N157_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2_m[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_2_m[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_59\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_104\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_i[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1_m_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_23\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_1_m[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_37\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_m[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1346\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_6_m[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un14_core8051s_oili_m[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_olli_m[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un14_core8051s_olli_m[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1436\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o1ll_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1360\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1338\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1342\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_60_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_107\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_m[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o0il_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_3_tz[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_m[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un14_core8051s_olli_m[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1411\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_6_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_1_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iioi9_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I0LL_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N173\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I43_un1_Y_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_i[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N173_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I43_un1_Y_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_857\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_856\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N125\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_14\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_m[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_ooli_m[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_77_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_80\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oili_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_100\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1345\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un136_incl_mul_div_da_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_11\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_1_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1388\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N92\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N94\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N88\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N75\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1419\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_ooli_m[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_m[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_3_m[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2_m[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_26\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_82\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_3[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_86\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2_m[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_83_m\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii32_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1_sqmuxa_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii28\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1_sqmuxa_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_4_sqmuxa_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1384\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_103_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_m[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un5_core8051s_il1l\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii28\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii28_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii30\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_l0il\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_17_m_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_1_tz[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_4_m_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_1_0_a2_0_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_3_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_5x5_fast_I22_Y_0_i_0_tz\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N125_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_15_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_L11_sn_N_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_0_RNIDJQ7[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N78\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_865\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_5_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_2581_tz\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_26[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_22\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_4[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_5[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_5_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_234\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_250\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_242\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_266\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_274_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_306\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_298\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_320\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_336\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_328\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_352\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_360\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_392\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_384\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_420\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_412\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_404\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_436\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_444\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_476\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_468\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_579\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_595\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_587\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_611\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_619\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_651\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_643\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_681\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_673\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_665\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_697\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_705\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_737\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_729\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_765\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_757\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_749\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_781\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_789\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_821\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_813\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_4_i[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_olli_i[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N121\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N123\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N124\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N126\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N127\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N129\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N130\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N132\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N136\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N142\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N158\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N120\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N159\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N120_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N123_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N124_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N126_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N127_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N129_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N130_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N132_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N136_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N139\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N158_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N159_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I38_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_14_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_13\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_11_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N67\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_olli[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1323\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1325\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1326\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1327\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1328\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1329\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1330\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_3_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o0il_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_2[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_7\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_core8051s_o10l_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1354\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_96\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_94\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_95\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_97\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_99\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_98\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_874\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_882\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un2_core8051s_oiil_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_5_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_6_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_903\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_921\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_919\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_927\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_853\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_904\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_906\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_907\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_908\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_905\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_922\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_923\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_924\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_925\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_926\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_35\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_6[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli13\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_18[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1337\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_123\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_132\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_140_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_124_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_127\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_128\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_129\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_130\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_133_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_136\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_137\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_138\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_139_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_i_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1355\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1356\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1357\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1358\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1359\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_125\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_126\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_134\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_135\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_884\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_876\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iioi_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iioi_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un59_incl_mul_div_da\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1376\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1375\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1490\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1512_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1514_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1516_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1518_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1520_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1522_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_34\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I16_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_21\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_37\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_6_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N82\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N73\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_5[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_567\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_1[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_222\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_1[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_559\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_214\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_503\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_158\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un37_core8051s_ooli\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_535\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_511\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_527\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_495\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_190\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_166\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_182_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_150\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_17\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_3[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_3[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_17_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_88\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_l0ll\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_oloi_1_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_10\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_6[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un14_core8051s_olli_m[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_17\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_17_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_879\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_887\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_878\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_886\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_877\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_885\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_880\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_888\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_875\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_883\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_881\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_889\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_920\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNI0NTC7[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIVQ1D7[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N100\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIOG4D7[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIG76D7[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N98\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL_i_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_3[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIVGS57[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_87_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_23_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNISJ547[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIDRDD7[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_4_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNI4JVU5_0[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNI4JVU5[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_sqmuxa_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_16\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_partial_sum_4[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_3[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_1_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_5[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_6[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_1_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_3[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_4[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_1_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_1_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_12_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_11[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_6[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_12_3[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_3[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_2_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_3_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_7[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_12_1_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_2_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_4[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_3[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_2_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_2_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_5[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_1_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_3[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_1_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_partial_sum[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_partial_sum_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_partial_sum[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_oili[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_oili[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_5[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_6[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_1_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_4[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_2_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_7[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_8[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_1_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_partial_sum_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_7[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_8[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_9[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_144\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N176_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N145\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N146\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N149\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N125\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_137\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_274\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_27_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_3_sqmuxa_1_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_i0i1i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_o2_3_172_tz\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un283_core8051s_o01_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_269_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_o2_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo021\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo021_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo021_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_35_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l1oo0_1_0_a2_0_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_m6_0_a3_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo020_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo022_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l1oo0_1_0_a2_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I31_Y_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/I10_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N131\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I43_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I42_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I30_Y_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I30_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I41_Y_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I30_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I31_un1_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I32_Y_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N147\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_o0l1i_6\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_3_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_6_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_o0l1i_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_4_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_o0l1i_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_2_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_o0l1i_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNITRJIER1[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_1_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_4[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIRGDI9G[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_2[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_5_4_N_8\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m_0[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_8_sqmuxa_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_I11_m[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_4[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_OLi0_m[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1I0L_m[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_6[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_0_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_a0[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_5[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_3[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_6_1_N_8\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_3_sqmuxa_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_2[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_0_sqmuxa_2_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1I0L_m[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_6[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_0_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_5[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_6_2_m3_i_a4_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_6tt_2_N_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_4[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_1_sqmuxa_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_3[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_2[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m_0[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1I0L_m[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_5[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNILSCI9G[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_3[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_OLi0_m[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_194\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_2[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_I11_m[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_3[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_m6_i_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_N_10\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_2[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m_0[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l001i_2_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i1i1i_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_l001i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_N_8\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_N_10\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_2[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_7_0_m3_e_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_7_0tt_b0_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_7_0tt_N_7\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I0_CO1_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_N_8\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_N_7\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0103_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_6\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un150_core8051s_o01\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un90_core8051s_io00l_2_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_o2_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un299_core8051s_o01_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un297_core8051s_o01_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_2_a0_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_a0_0[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_m6_i_a5_1_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_mtt_5_m3_0_a2_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m_7_m7_i_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i_m7_i_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i_N_9_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_1_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_io00l_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_io00l_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un90_core8051s_io00l_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i_m7_i_a5_0_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_m6_0_a3_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_1_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0110_10\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m2_e_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1itt_m2_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un5_core8051s_l1i1i_2_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un5_core8051s_l1i1i_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un54_core8051s_l1i1i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un150_core8051s_o01_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_4_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_2_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_o2_3_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_267\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un108_core8051s_l1i1i_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_2_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo024_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_2[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_20\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_98\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0_1[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_102\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_2[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_2[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_106\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_6\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0100\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_1_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0109_6\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0105_6\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0104_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_94\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_a2_0_4_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0108_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_290\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_2_5_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_2_5_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_56_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_1_3_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_0_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_8_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_91_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_170_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_2_3_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_1_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_a2_0_3_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_a2_0_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0110_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l1oo0_1_0_a2_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo025_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo025_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_I01_i_a2_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_107\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_3_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_3_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lllo03_0_a2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_o2_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2_2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo023_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_1_6_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo021_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0105_6_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_iolo03_0_a2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un81_core8051s_io01i_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_0_RNI9372[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_io01i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_0_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_iolo03_0_a2_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i0i1i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_l001i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un78_core8051s_io00l_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l1i1i_3_2_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l1i1i_3_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un8_core8051s_io01i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un78_core8051s_io00l_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i0i1i_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un338_core8051s_io00l\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_4_5_N_8\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1_0_N_4_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un110_core8051s_l1i1i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_a4_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_N_7\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m2_e_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un15_core8051s_i1i1i_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_1_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIR951RC[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m_7_N_9\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_N_11\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_m6_0_a3_1_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_4_sqmuxa_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un5_core8051s_l1i1i_2_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIPFVE453[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo020_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_1_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo023_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_13\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_141\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_142\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_89\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_283\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo025\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo020_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_31\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un90_core8051s_io00l\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_OLi0_m[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_2[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_33\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_33_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_32\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_301\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_91_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_90_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_2_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_34_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_9_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lllo03\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_289\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i0i1i_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i0i1i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_io01i_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un8_core8051s_io01i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_1_6\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l001i_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un22_core8051s_i1i1i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/I32_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N144\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N116\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N148\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N179\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/I31_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/I30_un1_Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un43_core8051s_l1i1i_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_57_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un521_core8051s_o01_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_156\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un5_core8051s_l1i1i_1_tz_tz_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNIMV3D_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un3_i[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_4_sqmuxa_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_4_sqmuxa_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_2_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L001i_RNI0CE2A9_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un16_core8051s_i1i1i_tz_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L001i_RNIAGLOF9_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i_m7_i_a5_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIQ9JGO1[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIT06C[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1_tz_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_148\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_151\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_147\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_149\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_146\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_150_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_162\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_163\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_164\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_165\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_166\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_167\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_168\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_169\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_299\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_275\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_279\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo027\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_215\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_217_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_218\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_219\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_205\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_207\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_208\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_209\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l1oo0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_212\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_214\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_2_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_188\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_190\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_5[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_202\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_204\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un78_core8051s_io00l\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_216_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_5[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_206\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_0_sqmuxa_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_0_sqmuxa_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l0l1i_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_iolo03\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[9]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[11]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[12]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[13]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[14]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[16]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[17]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[18]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[19]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[20]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[21]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[22]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[23]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[24]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[25]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[26]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[27]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[28]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[29]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[30]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[31]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[32]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[33]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[34]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[35]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[36]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[37]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[38]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[39]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[43]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[123]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[80]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[120]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[119]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[116]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[115]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[114]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[153]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[113]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[33]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[152]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[112]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[32]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[151]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[111]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[31]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[150]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[110]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[30]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[149]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[109]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[29]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[148]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[108]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[28]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[147]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[107]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[27]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[146]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[106]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[26]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[105]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[144]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[104]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[24]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[143]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[103]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[63]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[23]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[142]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[102]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[22]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[141]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[101]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[21]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[140]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[100]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[20]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[139]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[99]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[19]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[138]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[98]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[18]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[97]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[57]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[96]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[135]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[95]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[55]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[134]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[94]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[54]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[133]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[93]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[13]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[132]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[92]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[52]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[12]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[131]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[91]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[11]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[130]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[90]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[50]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[129]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[89]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[49]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[128]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[88]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[48]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[127]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[47]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[126]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[46]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[125]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[45]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[124]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[44]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[122]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[42]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[121]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[41]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[87]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[86]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[85]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[84]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[82]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[81]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[40]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[83]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[62]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[61]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[60]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[59]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[58]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[17]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[137]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[16]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[56]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[136]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[14]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[53]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[51]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[9]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[39]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[79]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[159]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[36]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[35]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[75]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[155]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[34]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[74]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[154]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[73]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[72]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[71]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[70]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[69]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[68]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[67]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[66]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[25]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[65]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[145]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[64]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOO1l\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_olo1L\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_i110l\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/N_65\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un9_core8051s_oilli\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/N_64\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un1_core8051s_ooo1l_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ioo1l\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un4_core8051s_loo1l\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1783_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1813_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1843_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1873_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un348_core8051s_oiol0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un352_core8051s_oiol0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_3_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_7_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1420_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1274\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_787_i_0_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_788_i_0_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1258\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_a2_2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1255\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_a2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_1_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1417\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_12\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_13\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_14\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_11\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_8_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_7\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_6\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_5_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_15\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_9\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_14\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_6\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_14\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_11\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_7_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_NE_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_NE_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_6_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1257\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_2_0_a2_i_0_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1252\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_2_0_a2_i_0_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_8_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_2_0_a2_i_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1253\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1419\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_10\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un679_core8051s_o0ol0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_8\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1237\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_17_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_6\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1242\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_40_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_7\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_864\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1239\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_10\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_840\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_9\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_8\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_7\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_2_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_6_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1249\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_1_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_862\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_a2_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_2_0_a2_i_0_a2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_a2_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1284_core8051s_oiol0_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1284_core8051s_oiol0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[25]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1284_core8051s_oiol0_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[27]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[24]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[21]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[20]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1466_core8051s_oiol0_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un372_core8051s_oiol0[26]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1466_core8051s_oiol0_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1466_core8051s_oiol0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1466_core8051s_oiol0_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un372_core8051s_oiol0[20]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un372_core8051s_oiol0[22]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un372_core8051s_oiol0[25]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un372_core8051s_oiol0[27]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_NE_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_NE_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_NE_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_NE_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_NE_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_NE_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_NE_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_6\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_7\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un608_core8051s_o0ol0_NE_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_13_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un608_core8051s_o0ol0_NE_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un608_core8051s_o0ol0_NE_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un608_core8051s_o0ol0_NE_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un608_core8051s_o0ol0_NE_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_19_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_23_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un696_core8051s_o0ol0_NE_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_13_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un696_core8051s_o0ol0_NE_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un696_core8051s_o0ol0_NE_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un696_core8051s_o0ol0_NE_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un696_core8051s_o0ol0_NE_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_23_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_27_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_2_0_a2_i_0_a2_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_13\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_32_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_11\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_12\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_34_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_35_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_9\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_7\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_949_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_47_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_947_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_945_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_53_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_41_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_955_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIALE1[38]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_943_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIHOT2[38]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_953_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_10\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_11\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_8\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_9\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_7\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNID5L2[118]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_950_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_RNO_8\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_782\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_RNO_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_RNO_14\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_952_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIDUR1[118]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_948_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF6S1[118]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_944_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIM9B3[118]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_954_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_loo1l_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_21\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_20\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_14\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_6\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_5_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_12\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_13\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1496\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_9\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_60_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1006\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_8_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_982\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_916_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1484\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_856\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_912_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_1_tz\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_914_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_843\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_926_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_847\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_922_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_10\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_796_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_5_tz\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_9\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_984\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_918_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1486\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_915_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_84_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_792_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_8_tz\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_925_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_923_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_996\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_854\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_917_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_848\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_921_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_22\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_16\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_19\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_794_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_18\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_900_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_896_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_17\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_904_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_8\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_11\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_o01o0_7_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_7\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_798_i_0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_892_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_888_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_22\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_16\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_15\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_19\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_793_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_795_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_18\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_902_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_898_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_17\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_906_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_8\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_11\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_i01o0_7_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_7\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_791_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_6\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_789_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_797_i_0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_799_i_0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_890_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_20\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_12\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_11\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_16\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_19\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_876_i_0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_8\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_15\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_18\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_7\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_907_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_870_i_0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_ii1o0_7_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_878_i_0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_872_i_0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_868_i_0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_866_i_0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_874_i_0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_899_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_887_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_883_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_6\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_879_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_891_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_15\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_14\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_18\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_12\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_16\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_7\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_909_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_869_i_0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_l01o0_7_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_877_i_0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_871_i_0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_867_i_0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_865_i_0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_873_i_0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_8\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_901_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_889_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_885_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_6\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_881_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_893_i_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ioo1l_0_0_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1422\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1235\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_5_tz_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_931_i_0_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_5_tz_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_928_i_0_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_5_tz_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_5_tz_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_5_tz_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_938_i_0_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_935_i_0_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O1o1i_0_o5_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O1o1i_0_0_0_o2_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_io1o0_1_0_a2_1_a5_0_a2_2_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_6_0_o2_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_6_0_o2_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_6_0_o2_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_6_0_o2_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_5_i_o2_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_5_i_o2_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_5_i_o2_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_5_i_o2_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_7_tz\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_7_tz\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_933_i_0_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un374_core8051s_oiol0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un192_core8051s_oiol0_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[26]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[23]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un608_core8051s_o0ol0_NE\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un696_core8051s_o0ol0_NE\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1291_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1251\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1254\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1292_i_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un167_core8051s_oiol0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1418\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_839\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1643_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1236\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_936_i_0_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_930_i_0_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_929_i_0_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un169_core8051s_oiol0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un165_core8051s_oiol0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_681\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_673\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_689\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_697\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_721\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_713\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_729\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_737\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_761\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_753\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_769\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_777\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_801\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_793\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_809\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_817\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_680\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_672\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_688\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_696\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_720\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_712\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_728\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_736\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_760\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_752\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_768\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_776\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_800\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_792\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_808\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_816\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_679\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_671\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_687\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_695\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_719\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_711\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_727\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_735\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_759\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_751\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_767\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_775\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_799\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_791\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_807\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_815\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_678\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_670\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_686\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_694\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_718\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_710\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_726\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_734\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_758\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_750\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_766\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_774\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_798\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_790\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_806\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_814\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1210\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_530\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_lool0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_531\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_532\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_534\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_535\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_533\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_544\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_545\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_546\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_548\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_549\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_547\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_762\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_754\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_778\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_770\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_682\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_674\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_684\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_676\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_690\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_692\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_698\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_700\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_722\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_714\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_724\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_716\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_730\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_732\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_738\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_740\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_764\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_756\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_772\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_780\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_802\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_794\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_804\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_796\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_810\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_812\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_818\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_820\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_567\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0_1_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_595\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_623\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_651\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_685\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_677\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_693\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_701\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_725\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_717\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_733\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_741\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_765\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_757\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_773\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_781\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_805\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_797\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_813\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_821\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_683\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_675\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_691\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_699\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_723\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_715\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_731\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_739\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_763\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_755\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_771\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_779\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_803\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_795\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_811\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_819\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1273\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_25\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_29\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_33\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1378\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_68\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1379\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1380\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1381\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1382\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_90\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_92\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_94\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_129\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_138\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_140\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_142\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1383\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1384\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_164\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1385\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_179\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_181\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_183\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_185\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_196\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_198\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_200\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_209\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_211\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_213\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_220\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_222\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_224\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_230\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_232\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_234\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_286\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1388\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_290\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_293\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_24\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_26\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_28\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_30\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_302\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_304\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_306\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_308\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_310\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_312\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_146\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_315\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_317\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_159\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1299\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_323\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_327\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1389\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_339\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_177\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_190\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_202\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_214\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_239\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_241\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_243\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1390\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_266\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_268\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1301\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_359\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_292\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_294\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_296\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_364\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1222\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1223\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1224\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1225\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1391\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1392\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1393\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1394\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1395\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1396\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1232\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1233\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_35\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_37\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1397\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1398\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1399\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1400\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1401\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1402\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1403\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1414\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1415\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJOT2[38]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8K72[38]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOOT2[38]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIQOT2[38]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNISOT2[38]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNITOT2[38]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIO9B3[118]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIT9B3[118]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_784\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_786\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE5H2[118]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9K32[38]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF5H2[118]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIAK32[38]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNINAD1[118]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIIPV[38]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOED1[118]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJTV[38]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNICQR1[118]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI79E1[38]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8DE1[38]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE2S1[118]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9HE1[38]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_115\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_113\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_111\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_109\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1416\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_21\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_20\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_19\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_16\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_18\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_17\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_15\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_12\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_13\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_14\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_21_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_20_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_19_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_16_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_18_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_17_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_15_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_12_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_13_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_14_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_0[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_3[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_3[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_3[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_4[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_4[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_4[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_21_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_20_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_19_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_16_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_18_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_17_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_15_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_12_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_13_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_14_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_3[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_5[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_5[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_5[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_1[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_1[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_6[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_6[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_6[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_1[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_4[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_4[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_1[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_7[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_7[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_7[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_2[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_2[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_2[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_2[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_21_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_20_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_19_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_16_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_18_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_17_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_15_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_12_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_13_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_14_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_5[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_8[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_8[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_8[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_2[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_2[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_2[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_2[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_2[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_2[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_2[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_2[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_9[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_9[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_9[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_2[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_6[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_6[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_10[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_10[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_10[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un3_core8051s_lii0_b0_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un17_core8051s_i110l_0_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_o0o1l_0_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un17_core8051s_i110l_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iLO1L_RNIL94UA_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/core8051s_lii0_N_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iiI0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iiI0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iiI0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_lii0_tz\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[17]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[19]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[20]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[22]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[16]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[18]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[21]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[23]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[8]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[0]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/N_67\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[9]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[9]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[1]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[10]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[2]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[11]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[11]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[3]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[12]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[12]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[4]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[13]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[13]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[5]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[14]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[14]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[6]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[15]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[7]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[16]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[17]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[18]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[19]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[20]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[21]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[22]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[23]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[9]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[11]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[12]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[13]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[14]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[16]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[17]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[18]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[19]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[20]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[21]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[22]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[23]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_O0I0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_i110l_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_OIO1L_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/IR_m[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un5_core8051s_ooo1l_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iLO1L_8\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_i110l_6\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_CORE8051S_iLO1L_1_sqmuxa[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_i110l_4_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_i110l_5\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_O1O1l_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un4_udrsh\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_udrsh\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_1_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_2_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_1_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_83\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[24]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[24]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[25]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[144]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[24]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[104]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[25]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[25]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[25]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[105]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[26]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[26]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[26]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[27]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[146]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[26]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[106]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[27]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[27]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[28]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[147]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[27]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[107]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[28]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[28]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[29]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[148]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[28]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[108]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[29]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[29]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[30]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[149]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[29]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[109]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[30]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[30]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[31]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[150]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[30]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[110]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[31]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[31]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[32]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[151]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[31]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[111]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[32]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[32]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[33]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[152]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[32]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[112]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[33]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[33]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[34]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[153]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[33]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[113]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[34]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[34]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[34]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[114]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[35]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[35]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[35]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[35]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[115]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[36]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[36]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[36]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[36]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[116]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[37]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[37]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[37]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[38]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[157]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[37]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[117]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[38]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[38]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[39]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[158]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[38]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[118]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_2[39]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_0[39]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_1[39]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[119]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UTDI_m_1_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_5[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[88]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[48]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[9]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_1_m_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_5[9]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[89]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[49]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[9]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[9]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[9]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[9]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_lLL0_m_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[90]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[50]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[11]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_3[11]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[11]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[11]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[131]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[11]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[91]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[12]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[12]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[92]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[52]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[12]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[12]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[12]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[13]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[12]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_3[13]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[13]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[13]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[133]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[13]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[93]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[14]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[14]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[94]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[54]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[14]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[14]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[14]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[95]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[55]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[16]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[16]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[16]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[16]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[96]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[17]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[17]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[17]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[17]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[97]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[18]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[18]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[18]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[19]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[138]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[18]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[98]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[19]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[19]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[20]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[139]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[19]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[99]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[20]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[20]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[21]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[140]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[20]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[100]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[21]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[21]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[22]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[141]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[21]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[101]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[22]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[22]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[23]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[142]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[22]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[102]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_4[23]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[103]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[63]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[23]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_1[23]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_28_m_i[23]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[24]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[23]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_5[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[123]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[43]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_3[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_6[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[80]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_5[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_3[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_1[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_28_m_i[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_m_i[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UTDI_m_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_4[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[121]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_3[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[41]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_2[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_0[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_4[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[122]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_3[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[42]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_2[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_0[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_4[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[124]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_3[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[44]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_2[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_m_0[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_5[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[125]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[45]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_3[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_m_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_5[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[126]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[46]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_3[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_m_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_5[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[127]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[47]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_3[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_3_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_m_i[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_28[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UTDI_m_0_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0[39]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_2_sqmuxa_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_udrcap\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_8_sqmuxa_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un3_udrcap_0_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un3_udrcap_0_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un3_udrcap_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un3_udrcap_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un7_udrcap_0_0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/ir[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[39]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[39]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[38]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[38]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[37]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[37]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[36]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[36]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[35]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[35]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[34]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[34]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[33]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[33]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[32]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[32]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[31]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[31]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[30]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[30]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[29]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[29]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[28]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[28]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[27]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[27]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[26]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[26]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[25]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[25]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[24]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[24]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[23]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[143]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[22]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[22]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[21]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[21]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[20]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[20]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[19]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[19]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[18]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[18]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[17]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[17]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[16]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[16]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[15]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[135]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[14]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[134]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[13]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[13]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[12]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[132]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[11]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[11]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[10]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[130]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[9]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[129]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[8]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[128]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[6]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[5]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[2]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[1]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[120]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_10_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un5_udrcap\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[3]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un7_udrcap_0_i\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UTDI\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4[7]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_28[23]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILLi_4\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/ir[4]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i00LI_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_CORE8051S_ILLLI_2\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un18_udrcap\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCAP\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRSH\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILLi_1_sqmuxa\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_10[23]_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_O00LI_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRUPD\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_L00li_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_L0i0\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/core8051s_ol0li17\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIQ459_3_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_28[0]\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_L00li_RNO_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_lILLI_RNO_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_OI0LI_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_li0li_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_oilli_RNO_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ll0li_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_Il0li_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_O00LI_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ii0li_net_1\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_l110/CORE8051S_li0\, 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[0]\\\\\, 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[1]\\\\\, 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[2]\\\\\, 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[3]\\\\\, 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[4]\\\\\, 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[5]\\\\\, 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[6]\\\\\, 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[7]\\\\\, 
        \Memory_0/mem_decode_0_INT_NVM_CS\, \Memory_0/SEL_1[0]\, 
        \Memory_0/mem_decode_0_SEL1to1\, \Memory_0/WEAP\, 
        \Memory_0/mem_decode_0_INT_RAM_RD\, 
        \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[4]\\\\\, 
        \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[3]\\\\\, 
        \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[6]\\\\\, 
        \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[2]\\\\\, 
        \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[5]\\\\\, 
        \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[1]\\\\\, 
        \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[7]\\\\\, 
        \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[0]\\\\\, 
        \Memory_0/Z\\\\data_bus_buffer_0_Y_[2]\\\\\, 
        \Memory_0/Z\\\\data_bus_buffer_0_Y_[6]\\\\\, 
        \Memory_0/Z\\\\data_bus_buffer_0_Y_[4]\\\\\, 
        \Memory_0/Z\\\\data_bus_buffer_0_Y_[5]\\\\\, 
        \Memory_0/Z\\\\data_bus_buffer_0_Y_[0]\\\\\, 
        \Memory_0/Z\\\\data_bus_buffer_0_Y_[3]\\\\\, 
        \Memory_0/Z\\\\data_bus_buffer_0_Y_[7]\\\\\, 
        \Memory_0/Z\\\\data_bus_buffer_0_Y_[1]\\\\\, 
        \Memory_0/mem_decode_0/un27_sel_i\, 
        \Memory_0/mem_decode_0/N_23\, 
        \Memory_0/mem_decode_0/N_27\, 
        \Memory_0/mem_decode_0/N_25\, \Memory_0/mem_decode_0/N_2\, 
        \Memory_0/mem_decode_0/N_16\, 
        \Memory_0/mem_decode_0/un21_sel_0_a4_net_1\, 
        \Memory_0/mem_decode_0/un1_sel_i\, 
        \Memory_0/mem_decode_0/un13_sel_i\, 
        \Memory_0/data_bus_buffer_0/TrienAux\, 
        \Memory_0/data_read_mux_0/MX2_2_Y\, 
        \Memory_0/data_read_mux_0/SelAux_1_4_net\, 
        \Memory_0/data_read_mux_0/MX2_1_Y\, 
        \Memory_0/data_read_mux_0/SelAux_0_0_net\, 
        \Memory_0/data_read_mux_0/SelAux_1_0_net\, 
        \Memory_0/data_read_mux_0/MX2_7_Y\, 
        \Memory_0/data_read_mux_0/SelAux_0_4_net\, 
        \Memory_0/data_read_mux_0/MX2_3_Y\, 
        \Memory_0/data_read_mux_0/MX2_0_Y\, 
        \Memory_0/data_read_mux_0/MX2_5_Y\, 
        \Memory_0/data_read_mux_0/MX2_4_Y\, 
        \Memory_0/data_read_mux_0/MX2_6_Y\, 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_4_net\, 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_1_net\, 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_1_net\, 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_4_net\, 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_0_net\, 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_0_net\, 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_7_net\, 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_0_net\, 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_0_net\, 
        \Memory_0/INT_RAM_8KB_0/ADDRB_FF2_0_net\, 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_3_net\, 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_7_net\, 
        \Memory_0/INT_RAM_8KB_0/WEBP\, 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_3_net\, 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_1_net\, 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_1_net\, 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_5_net\, 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_5_net\, 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_2_net\, 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_2_net\, 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_6_net\, 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_6_net\, 
        \MEMADDR_pad[15]/U0/NET1\, \MEMADDR_pad[15]/U0/NET2\, 
        \dataIn_pad[1]/U0/NET1\, 
        \Memory_0/data_bus_buffer_0/BIBUF_2_inst/U0/NET1\, 
        \Memory_0/data_bus_buffer_0/BIBUF_2_inst/U0/NET2\, 
        \Memory_0/data_bus_buffer_0/BIBUF_2_inst/U0/NET3\, 
        \MEMADDR_pad[1]/U0/NET1\, \MEMADDR_pad[1]/U0/NET2\, 
        \dataOut_pad[3]/U0/NET1\, \dataOut_pad[3]/U0/NET2\, 
        \INBUF_0/U0/NET1\, 
        \Memory_0/data_bus_buffer_0/BIBUF_0_inst/U0/NET1\, 
        \Memory_0/data_bus_buffer_0/BIBUF_0_inst/U0/NET2\, 
        \Memory_0/data_bus_buffer_0/BIBUF_0_inst/U0/NET3\, 
        \MEMADDR_pad[10]/U0/NET1\, \MEMADDR_pad[10]/U0/NET2\, 
        \Memory_0/data_bus_buffer_0/BIBUF_7_inst/U0/NET1\, 
        \Memory_0/data_bus_buffer_0/BIBUF_7_inst/U0/NET2\, 
        \Memory_0/data_bus_buffer_0/BIBUF_7_inst/U0/NET3\, 
        \dataOut_pad[1]/U0/NET1\, \dataOut_pad[1]/U0/NET2\, 
        \MEMADDR_pad[7]/U0/NET1\, \MEMADDR_pad[7]/U0/NET2\, 
        \Memory_0/data_bus_buffer_0/BIBUF_3_inst/U0/NET1\, 
        \Memory_0/data_bus_buffer_0/BIBUF_3_inst/U0/NET2\, 
        \Memory_0/data_bus_buffer_0/BIBUF_3_inst/U0/NET3\, 
        \SRAM_BHE1_N_pad/U0/NET1\, \SRAM_BHE1_N_pad/U0/NET2\, 
        \SRAM_BLE0_N_pad/U0/NET1\, \SRAM_BLE0_N_pad/U0/NET2\, 
        \Memory_0/data_bus_buffer_0/BIBUF_5_inst/U0/NET1\, 
        \Memory_0/data_bus_buffer_0/BIBUF_5_inst/U0/NET2\, 
        \Memory_0/data_bus_buffer_0/BIBUF_5_inst/U0/NET3\, 
        \SRAM_BHE0_N_pad/U0/NET1\, \SRAM_BHE0_N_pad/U0/NET2\, 
        \dataOut_pad[2]/U0/NET1\, \dataOut_pad[2]/U0/NET2\, 
        \MEMADDR_pad[11]/U0/NET1\, \MEMADDR_pad[11]/U0/NET2\, 
        \EXT_RAM_RD_N_pad/U0/NET1\, \EXT_RAM_RD_N_pad/U0/NET2\, 
        \EXTCLK_pad/U0/NET1\, \SRAM_BLE1_N_pad/U0/NET1\, 
        \SRAM_BLE1_N_pad/U0/NET2\, \MEMADDR_pad[6]/U0/NET1\, 
        \MEMADDR_pad[6]/U0/NET2\, \RX0_pad/U0/NET1\, 
        \MEMADDR_pad[9]/U0/NET1\, \MEMADDR_pad[9]/U0/NET2\, 
        \Memory_0/data_bus_buffer_0/BIBUF_1_inst/U0/NET1\, 
        \Memory_0/data_bus_buffer_0/BIBUF_1_inst/U0/NET2\, 
        \Memory_0/data_bus_buffer_0/BIBUF_1_inst/U0/NET3\, 
        \TX0_pad/U0/NET1\, \TX0_pad/U0/NET2\, 
        \MEMADDR_pad[14]/U0/NET1\, \MEMADDR_pad[14]/U0/NET2\, 
        \MEMADDR_pad[0]/U0/NET1\, \MEMADDR_pad[0]/U0/NET2\, 
        \MEMADDR_pad[8]/U0/NET1\, \MEMADDR_pad[8]/U0/NET2\, 
        \MEMADDR_pad[2]/U0/NET1\, \MEMADDR_pad[2]/U0/NET2\, 
        \MEMADDR_pad[3]/U0/NET1\, \MEMADDR_pad[3]/U0/NET2\, 
        \SW0_pad/U0/NET1\, \MEMADDR17_pad/U0/NET1\, 
        \MEMADDR17_pad/U0/NET2\, \dataIn_pad[0]/U0/NET1\, 
        \EXT_RAM_CS_N_pad/U0/NET1\, \EXT_RAM_CS_N_pad/U0/NET2\, 
        \MEMADDR_pad[12]/U0/NET1\, \MEMADDR_pad[12]/U0/NET2\, 
        \dataOut_pad[0]/U0/NET1\, \dataOut_pad[0]/U0/NET2\, 
        \MEMADDR16_pad/U0/NET1\, \MEMADDR16_pad/U0/NET2\, 
        \MEMADDR_pad[5]/U0/NET1\, \MEMADDR_pad[5]/U0/NET2\, 
        \MEMADDR_pad[13]/U0/NET1\, \MEMADDR_pad[13]/U0/NET2\, 
        \MEMADDR_pad[4]/U0/NET1\, \MEMADDR_pad[4]/U0/NET2\, 
        \Memory_0/data_bus_buffer_0/BIBUF_6_inst/U0/NET1\, 
        \Memory_0/data_bus_buffer_0/BIBUF_6_inst/U0/NET2\, 
        \Memory_0/data_bus_buffer_0/BIBUF_6_inst/U0/NET3\, 
        \Memory_0/data_bus_buffer_0/BIBUF_4_inst/U0/NET1\, 
        \Memory_0/data_bus_buffer_0/BIBUF_4_inst/U0/NET2\, 
        \Memory_0/data_bus_buffer_0/BIBUF_4_inst/U0/NET3\, 
        \EXT_RAM_WR_N_pad/U0/NET1\, \EXT_RAM_WR_N_pad/U0/NET2\, 
        \GND\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[7]/Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[3]/Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[0]/Y\, 
        SOC_VCC_NET, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[2]/Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[6]/Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[5]/Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[1]/Y\, 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[4]/Y\, 
        \Core8051S_sub_1/CoreWatchdog_0/WDOGRES/Y\, AFLSDF_VCC, 
        AFLSDF_GND, \AFLSDF_INV_0\, \AFLSDF_INV_1\, 
        \AFLSDF_INV_2\, \AFLSDF_INV_3\, \AFLSDF_INV_4\, 
        \AFLSDF_INV_5\, \AFLSDF_INV_6\, \AFLSDF_INV_7\, 
        \AFLSDF_INV_8\, \AFLSDF_INV_9\, \AFLSDF_INV_10\, 
        \AFLSDF_INV_11\, \AFLSDF_INV_12\, \AFLSDF_INV_13\, 
        \AFLSDF_INV_14\, \AFLSDF_INV_15\, \AFLSDF_INV_16\, 
        \AFLSDF_INV_17\, \AFLSDF_INV_18\, \AFLSDF_INV_19\, 
        \AFLSDF_INV_20\, \AFLSDF_INV_21\, \AFLSDF_INV_22\, 
        \AFLSDF_INV_23\, \AFLSDF_INV_24\, \AFLSDF_INV_25\, 
        \AFLSDF_INV_26\, \AFLSDF_INV_27\, \AFLSDF_INV_28\, 
        \AFLSDF_INV_29\, \AFLSDF_INV_30\, \AFLSDF_INV_31\, 
        \AFLSDF_INV_32\, \AFLSDF_INV_33\, \AFLSDF_INV_34\, 
        \AFLSDF_INV_35\, \AFLSDF_INV_36\, \AFLSDF_INV_37\, 
        \AFLSDF_INV_38\, \AFLSDF_INV_39\, \AFLSDF_INV_40\, 
        \AFLSDF_INV_41\, \AFLSDF_INV_42\, \AFLSDF_INV_43\, 
        \AFLSDF_INV_44\ : std_logic;
    signal GND_power_net1 : std_logic;
    signal VCC_power_net1 : std_logic;
    signal nc24, nc1, nc8, nc13, nc16, nc19, nc25, nc20, nc27, 
        nc9, nc22, nc28, nc14, nc5, nc21, nc15, nc3, nc10, nc7, 
        nc17, nc4, nc12, nc2, nc23, nc18, nc26, nc6, nc11
         : std_logic;

begin 

    AFLSDF_GND <= GND_power_net1;
    \GND\ <= GND_power_net1;
    AFLSDF_VCC <= VCC_power_net1;
    SOC_VCC_NET <= VCC_power_net1;

    \Core8051S_sub_1/COREAI_0/COREAI_i1li[1]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[1]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un60_coreai_l0li_i\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIA9386[2]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[2]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[33]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL_i_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_1[6]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo022_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[6]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_94\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0_0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO[11]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[11]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[11]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_33\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_7\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_11\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_0[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[4]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1369\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_225\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un1_CORE8051S_l100l_1_I_11\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo00L[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_0_sqmuxa_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/DWACT_ADD_CI_0_partial_sum[0]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[0]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[6]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[6]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo027\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_51\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_1_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_1_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I57_Y_0_0\ : 
        AX1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[1]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I57_Y_0_0\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL_RNIJTMG[1]\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_91_i_0\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un19_baud_clock_NE_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_156\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIH9PS[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_166_i_0\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_m[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_59\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_717\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_725\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[9]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[9]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[9]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_77\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_0_sqmuxa\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o1ol\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o0il_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_0_sqmuxa_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIRO761\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_ooi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_902\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIRO761_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_89\ : 
        XO1A
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[45]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_996\);
    
    \MEMADDR_pad[9]/U0/U1\ : IOTRI_OB_EB
      port map(D => \\\\\MEMADDR_[9]\\\\_c_0\, E => SOC_VCC_NET, 
        DOUT => \MEMADDR_pad[9]/U0/NET1\, EOUT => 
        \MEMADDR_pad[9]/U0/NET2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[7]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_2_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIJNFHG[3]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_903\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un22_core8051s_i1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1075\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/fifobloCK0_RNO_4\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[4]\, B
         => \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[5]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[5]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIHJUG02[8]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_1_8_m4_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_m[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l[3]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[3]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un16_core8051s_o010l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNIORO2[19]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[19]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_ILl0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iiI0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_102\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[124]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_936_i_0_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[102]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[22]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1843_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[102]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[1]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_3_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNISP671[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[1]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_io01i_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_275\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_94\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[122]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNID5L2[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_13\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIRSGD02[2]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1141\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1137\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNI8DMEN[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_2_m4_0_a2_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[7]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_3_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_0[13]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_848_tz\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1548\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[13]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1225\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIK412_3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un3_udrcap_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[1]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_5_0_0_ADD_5x5_fast_I22_Y_0_i_0_tz\ : 
        AO13
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N125_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_5x5_fast_I22_Y_0_i_0_tz\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1[2]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[2]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un7_coretimer_o1_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_95\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[7]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_1_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_2_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_3[1]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[116]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_106\);
    
    AFLSDF_INV_36 : INV
      port map(A => \\\\\MEMADDR_[2]\\\\_c\, Y => \AFLSDF_INV_36\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNIE766O[10]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_901\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un22_core8051s_i1l0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[10]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[25]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[25]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un5_oen_0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[25]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNI8DMEN[2]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIJPNHB[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNI8DMEN[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNI8VSTF[8]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[8]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_5\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_0_iv_0_0_0[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIVIPJH[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_o2_1[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_190\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[10]\ : XOR2
      port map(A => \Core8051S_sub_1/CoreTimer_0/N_76\, B => 
        \Core8051S_sub_1/CoreTimer_0/N_75\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n10\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_99\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNID5L2[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[82]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_12_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_18_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_567\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_1[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIRSD594[4]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1112\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3_2[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1110\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_16[0]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_115\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_101\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_121\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[14]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[14]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[14]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_84\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNIN8BGG[12]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_900\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un22_core8051s_i1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1197\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNINKNUG1[0]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_2_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_3[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIEOH27[5]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1399\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_29\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIEOH27[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI700C2[4]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_4_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_82\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i[15]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I121_Y_0_0_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI[0]/U1\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[0]/Y\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIO47FU72[6]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[6]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_6_i_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_7[0]\ : OR2A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETIMer_i1l_net_1\, B => 
        \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETIMer_i1l_m_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNO[0]\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_lil_i_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oll_i\, C => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[0]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n0\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l0oi[7]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[7]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un3_coreai_l0li_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8BHTF[118]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_675\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_683\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li[5]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[5]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un60_coreai_l0li_i\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_78\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I41_Y\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_i[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNILNTSP3[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N208_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N276\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNIO4CT[3]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1411\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_959\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_1[3]\);
    
    \MEMADDR_pad[6]/U0/U1\ : IOTRI_OB_EB
      port map(D => \\\\\MEMADDR_[6]\\\\_c_0\, E => SOC_VCC_NET, 
        DOUT => \MEMADDR_pad[6]/U0/NET1\, EOUT => 
        \MEMADDR_pad[6]/U0/NET2\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[27]\ : AX1D
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c26\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_113\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n27\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_l01o0_9_0_0_x2_i_x2_RNI97S1\ : 
        XA1A
      port map(A => \\\\\MEMADDR_[9]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[89]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1420_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_11\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNII1RDG\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[4]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1114\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[8]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_40\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiole\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[8]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I7_G0N\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1144\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N225\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO[0]\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_94\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0i0l\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un15_core8051s_ii10l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_3[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI[7]/U1\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[7]/Y\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[7]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_RNIEB63[8]\ : 
        NOR2B
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_45\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[8]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_48_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_5_sqmuxa_0_a2_1_0\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_311\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_5_sqmuxa_0_a2_1_0_net_1\);
    
    \dataOut_pad[2]/U0/U0\ : IOPAD_TRI
      port map(D => \dataOut_pad[2]/U0/NET1\, E => 
        \dataOut_pad[2]/U0/NET2\, PAD => dataOut(2));
    
    \SRAM_BLE1_N_pad/U0/U0\ : IOPAD_TRI
      port map(D => \SRAM_BLE1_N_pad/U0/NET1\, E => 
        \SRAM_BLE1_N_pad/U0/NET2\, PAD => SRAM_BLE1_N);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIRE0RF\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[6]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1067\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO[8]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[8]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_1/COUnt_m[8]\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[8]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[24]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[24]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[24]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[24]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[28]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[68]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[108]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[28]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3751_core8051s_oll1l_0_a3_0_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_324_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3751_core8051s_oll1l_0_a3_0_net_1\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO[4]\ : AO1C
      port map(A => \Core8051S_sub_1/un5_oen_0\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[4]\, C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[4]\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[21]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[141]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[141]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I45_Y\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N256_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N252_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N283_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I15_Y\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N146\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTO1LL.CUARTOIOL_12_i_o4_1[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[1]_net_1\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[0]_net_1\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_171\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[22]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[22]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un5_oen\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[22]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li_RNISMO2[5]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[5]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_414\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_0[6]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo024_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0_0[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0_1[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[15]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[15]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[16]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[15]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I6_P0N\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1208\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_3[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N223\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_13[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_110\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[7]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1275\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1276\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[3]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_83\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[33]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[33]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[33]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[33]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[33]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNI1DN61[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[4]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o101i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_148\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTio0l_RNO_0\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTio0l_3_0_a2_1_0\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[3]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_86\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTio0l_3_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[39]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[119]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[119]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_18\ : 
        XAI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[23]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[63]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[23]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_ioo1i.un13_core8051s_i000i_0_0_o2_1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[2]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_697\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_698\);
    
    \Memory_0/INT_RAM_8KB_0/MX2_RD_5_inst\ : MX2
      port map(A => \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_5_net\, B
         => \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_5_net\, S => 
        \Memory_0/INT_RAM_8KB_0/ADDRB_FF2_0_net\, Y => 
        \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[5]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[73]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[33]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[73]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_26\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNINQITK1[2]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_2[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_4[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oll0i_RNO_0\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[65]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_oll0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oll0i_RNO_2_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oll0i_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[1]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n1\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte_0\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[1]_net_1\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.1.COREAI_l01I.COREAI_l00l[1]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[1]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un19_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_16\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1420_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[112]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_oll0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIU4ES_0[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[7]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_176\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m_0[7]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[30]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[30]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave14_PSELx_0\, C
         => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[30]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[30]\\\\\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[5]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[5]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[5]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_69\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNI6EUO[22]\ : OR2A
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_335\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[22]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_c22\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[7]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[7]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[7]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_70\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_3_sqmuxa\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i[7]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I113_Y_0_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[73]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_26\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[73]\);
    
    \Memory_0/data_read_mux_0/MX2_Result_4_inst\ : MX2
      port map(A => \Memory_0/data_read_mux_0/MX2_6_Y\, B => 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[4]\\\\\, S => 
        \Memory_0/data_read_mux_0/SelAux_1_4_net\, Y => 
        \\\Memory_0_RD_[4]\\\);
    
    \Core8051S_sub_1/CoreTimer_1/un5_coretimer_lll_0_a2\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, B => 
        \Core8051S_sub_1/N_186\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_163\, Y => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_lll\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I38_un1_Y\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I3_P0N_m3_e\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNILNTSP3[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_i[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I38_un1_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_5[7]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_a2_0_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_695\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1259_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[7]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[15]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[15]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[15]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[20]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[21]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[21]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[4]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_0[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_2[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_3[14]\ : 
        XA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[14]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_2[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1231\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_0[13]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[13]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_164\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[13]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1948_core8051s_oll1l_i_0\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_336\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_376\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[4]\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_29\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLO1i.un23_core8051s_i000i_0_0_o2\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_709\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_699\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_710\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.2.COREAI_o11i.COREAI_i00L_RNI6191[2]\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_i00L[2]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_156\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIC9H2[125]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[125]\, 
        B => \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_789_i_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[5]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[5]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[5]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIINB5\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_88\, B => 
        \Core8051S_sub_1/COREAI_0/N_421\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_120\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_l11I.9.COREAI_ooo0.COREAI_l00l_RNI9C43[9]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[1]_net_1\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[9]\, S => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_147\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO_0[1]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[1]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_920\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I53_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N264_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N260_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N291_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0_a2_4[8]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_10\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_124\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1345\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNI494931[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1132\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIS4N37[3]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[3]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_56\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_3_m[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_0[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_643\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_619\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_25\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_651\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[91]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[11]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1843_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[91]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.5.COREAI_o11i.COREAI_i00L_RNIQEJ6[5]\ : 
        MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_143\, B => 
        \Core8051S_sub_1/COREAI_0/N_159\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_175\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_7_0_a2_1\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_89\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_90\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_102\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI6EQHH[8]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[8]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_i1l0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_675_i_0_a2_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_m_1[8]\);
    
    \SW0_pad/U0/U1\ : IOIN_IB
      port map(YIN => \SW0_pad/U0/NET1\, Y => SW0_c);
    
    \EXT_RAM_WR_N_pad/U0/U1\ : IOTRI_OB_EB
      port map(D => un4_ext_ram_wr_n_0, E => SOC_VCC_NET, DOUT
         => \EXT_RAM_WR_N_pad/U0/NET1\, EOUT => 
        \EXT_RAM_WR_N_pad/U0/NET2\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.1.COREAI_l01I.COREAI_l00l_RNICAJ3[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[1]_net_1\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[1]\, S => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_139\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO[5]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_879\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_887\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_Iio1l_RNIR952\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_O0I0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_II00\, Y => 
        Core8051S_sub_1_DBGMEMPSWR);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/CORE8051S_liI1I\ : 
        DFN1P0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/CORE8051S_O0I1i_net_1\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liI1I\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_a3_4\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_427\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_426\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_434\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_1_sqmuxa_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[1]_net_1\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO_3[2]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_101\, B
         => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[2]_net_1\, 
        Y => \Core8051S_sub_1/CoreInterrupt_0/N_80\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_50\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I0_S_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[0]\\\\_c_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_6_0_0_ADD_4x4_fast_I7_Y_i_o2\ : 
        AO18
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_6[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N94\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[4]\ : 
        DFN1E1C0
      port map(D => \AFLSDF_INV_33\, CLK => clk_pll_0_GLA, CLR
         => \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi_RNO[4]_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_olli_3_0_0_I_7\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un37_core8051s_ooli\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_7[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_a2_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[4]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_290\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_428\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_5[6]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_182\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184_0\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_436\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_93\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJOT2[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[41]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_12_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0_a2_2[8]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_3[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_3[0]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_105\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_106\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[16]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[16]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[16]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_13[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UTDI\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[1]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/core8051s_ol0li17\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_28[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[14]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1404\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_2[14]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_862_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_24\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_795\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_803\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_1[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I109_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.core8051s_lioo0_1_i_a2_8_RNII02SVR\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_141\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_142\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_89\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_13\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNI46TEH\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNIFIUH5_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un67_core8051s_ooi0i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[9]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[89]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[49]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[9]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_5[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[12]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1404\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_2[12]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_863_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNI1OTK7_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_core8051s_o01_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0_a2_m6_0_a3_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_a4_N_11\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[27]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[27]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[27]_net_1\, 
        S => \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_113\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_41\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNITOT2[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_41_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[46]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[46]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_olli_3_0_0_I_4\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_7[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_8[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1_RNIMEH51[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1327\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[4]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_L11_sn_N_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[4]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/fifobloCK0_RNO_6\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[6]\, B
         => \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[6]\);
    
    \MEMADDR_pad[4]/U0/U1\ : IOTRI_OB_EB
      port map(D => \\\\\MEMADDR_[4]\\\\_c_2\, E => SOC_VCC_NET, 
        DOUT => \MEMADDR_pad[4]/U0/NET1\, EOUT => 
        \MEMADDR_pad[4]/U0/NET2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_8[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_L00li_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[1]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_udrcap\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_10\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[116]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[36]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[116]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_323\);
    
    \Memory_0/data_read_mux_0/BUFF_SelAux_0_0_inst\ : INV
      port map(A => \Memory_0/SEL_1[0]\, Y => 
        \Memory_0/data_read_mux_0/SelAux_0_0_net\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv[5]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_0[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[5]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[5]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOED1[118]\ : 
        NOR2A
      port map(A => \\\\\MEMADDR_[11]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOED1[118]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[16]\ : AX1D
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/N_309\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_91\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n16\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_66\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_5[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_5[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_5[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_3[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIDI3T53[7]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3_1[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3_0[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1146\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[18]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[58]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[98]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[18]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI5TPKI[22]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[22]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[90]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_243\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[90]\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNO[8]\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_lil_i_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oll_i\, C => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n8_0_i_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_30\);
    
    \Memory_0/INT_RAM_8KB_0/INT_RAM_8KB_R0C0\ : RAM4K9
      port map(ADDRA11 => \\\\\MEMADDR_[11]\\\\_c_0\, ADDRA10 => 
        \\\\\MEMADDR_[10]\\\\_c_0\, ADDRA9 => 
        \\\\\MEMADDR_[9]\\\\_c_0\, ADDRA8 => 
        \\\\\MEMADDR_[8]\\\\_c_0\, ADDRA7 => 
        \\\\\MEMADDR_[7]\\\\_c_0\, ADDRA6 => 
        \\\\\MEMADDR_[6]\\\\_c_0\, ADDRA5 => 
        \\\\\MEMADDR_[5]\\\\_c_2\, ADDRA4 => 
        \\\\\MEMADDR_[4]\\\\_c_2\, ADDRA3 => 
        \\\\\MEMADDR_[3]\\\\_c_2\, ADDRA2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRA1 => 
        \\\\\MEMADDR_[1]\\\\_c_0\, ADDRA0 => 
        \\\\\MEMADDR_[0]\\\\_c_0\, ADDRB11 => 
        \\\\\MEMADDR_[11]\\\\_c_0\, ADDRB10 => 
        \\\\\MEMADDR_[10]\\\\_c_0\, ADDRB9 => 
        \\\\\MEMADDR_[9]\\\\_c_0\, ADDRB8 => 
        \\\\\MEMADDR_[8]\\\\_c_0\, ADDRB7 => 
        \\\\\MEMADDR_[7]\\\\_c_0\, ADDRB6 => 
        \\\\\MEMADDR_[6]\\\\_c_0\, ADDRB5 => 
        \\\\\MEMADDR_[5]\\\\_c_2\, ADDRB4 => 
        \\\\\MEMADDR_[4]\\\\_c_2\, ADDRB3 => 
        \\\\\MEMADDR_[3]\\\\_c_2\, ADDRB2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRB1 => 
        \\\\\MEMADDR_[1]\\\\_c_0\, ADDRB0 => 
        \\\\\MEMADDR_[0]\\\\_c_0\, DINA8 => \GND\, DINA7 => \GND\, 
        DINA6 => \GND\, DINA5 => \GND\, DINA4 => \GND\, DINA3 => 
        \GND\, DINA2 => \GND\, DINA1 => \GND\, DINA0 => 
        \\\Core8051S_sub_1_MEMDATAO_[0]\\\, DINB8 => \GND\, DINB7
         => \GND\, DINB6 => \GND\, DINB5 => \GND\, DINB4 => \GND\, 
        DINB3 => \GND\, DINB2 => \GND\, DINB1 => \GND\, DINB0 => 
        \GND\, WIDTHA0 => \GND\, WIDTHA1 => \GND\, WIDTHB0 => 
        \GND\, WIDTHB1 => \GND\, PIPEA => \GND\, PIPEB => \GND\, 
        WMODEA => \GND\, WMODEB => \GND\, BLKA => 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_0_net\, BLKB => 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_0_net\, WENA => \GND\, 
        WENB => SOC_VCC_NET, CLKA => \AFLSDF_INV_0\, CLKB => 
        \AFLSDF_INV_1\, RESET => SOC_VCC_NET, DOUTA8 => OPEN, 
        DOUTA7 => OPEN, DOUTA6 => OPEN, DOUTA5 => OPEN, DOUTA4
         => OPEN, DOUTA3 => OPEN, DOUTA2 => OPEN, DOUTA1 => OPEN, 
        DOUTA0 => OPEN, DOUTB8 => OPEN, DOUTB7 => OPEN, DOUTB6
         => OPEN, DOUTB5 => OPEN, DOUTB4 => OPEN, DOUTB3 => OPEN, 
        DOUTB2 => OPEN, DOUTB1 => OPEN, DOUTB0 => 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_0_net\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[12]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[92]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[92]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[21]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[21]\\\\\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave14_PSELx\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[21]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[21]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_5_0_I_1\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_oili[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_5_i[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_6[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_OIII.un29_core8051s_oiol_0_a2_0_o2\ : 
        OR3A
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL10\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_i0i1i_1\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[1]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_702\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_0[7]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_1[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1264\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1263\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_3[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[15]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[15]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[15]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_lili[5]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[5]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_2[2]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_101\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_149_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_164\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_2[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJOT2[38]\ : 
        MX2
      port map(A => \\\\\MEMADDR_[1]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[1]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJOT2[38]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_i_a2_5[6]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_717\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1545\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L001i_RNITA0FH5\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i1i1i_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_i0i1i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i_N_9_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i_m7_i_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[17]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[17]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un5_oen_0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[17]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_54\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_5[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_6[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_1_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i_RNO[6]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[22]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_710\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_127\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0[9]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[9]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[9]\\\\\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_0[7]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[7]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_164\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNI7LH541[5]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_979\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1074\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1073\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[5]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTL0OL_RNIBVQ[0]\ : 
        MAJ3
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTL0OL[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTL0OL[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTL0OL[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_7_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_19\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[53]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8DE1[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_6[0]\);
    
    \Memory_0/data_bus_buffer_0/BIBUF_3_inst/U0/U1\ : 
        IOBI_IB_OB_EB
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[3]\\\, E => 
        \Memory_0/data_bus_buffer_0/TrienAux\, YIN => 
        \Memory_0/data_bus_buffer_0/BIBUF_3_inst/U0/NET3\, DOUT
         => \Memory_0/data_bus_buffer_0/BIBUF_3_inst/U0/NET1\, 
        EOUT => \Memory_0/data_bus_buffer_0/BIBUF_3_inst/U0/NET2\, 
        Y => \Memory_0/Z\\\\data_bus_buffer_0_Y_[3]\\\\\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[8]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[8]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[8]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[8]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[8]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_a2_2\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un348_core8051s_oiol0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un352_core8051s_oiol0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_a2_2_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1258\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO[6]\ : AO1C
      port map(A => \Core8051S_sub_1/un5_oen_0\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[6]\, C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[6]\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[6]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNI6TN[2]\ : OR2A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c1\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[2]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI79E1[38]\ : 
        NOR2A
      port map(A => \\\\\MEMADDR_[12]\\\\_c\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI79E1[38]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNIT0CGG[15]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_920\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un22_core8051s_i1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1047\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_RNIE7C1[3]\ : 
        NOR2B
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_36_i_0\, B
         => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[3]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_37\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_73\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_10_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[12]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_5_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un110_core8051s_l1i1i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_a4_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_N_7\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\);
    
    \Memory_0/INT_RAM_8KB_0/MX2_RD_1_inst\ : MX2
      port map(A => \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_1_net\, B
         => \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_1_net\, S => 
        \Memory_0/INT_RAM_8KB_0/ADDRB_FF2_0_net\, Y => 
        \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[1]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I5_G0N\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N219_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[11]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[11]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[38]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[38]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTL0[0]\ : 
        DFN1
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[0]\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[0]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv[6]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_0[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[6]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[6]\\\\_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJRQS01[103]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[103]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I3_G0N\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_0_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N129_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNILDRDG\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[7]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un22_core8051s_i1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1148\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNI9MTL6G\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un338_core8051s_io00l\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_1_0\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_OLi0_m[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_2[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[0]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[0]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_oiol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_15[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_64\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_726\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_734\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_35\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_87_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_3[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_35\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_22\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_9[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_9[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_9[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_2[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I[14]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I120_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[14]\\\\_c\);
    
    \Memory_0/data_read_mux_0/BUFF_SelAux_0_4_inst\ : INV
      port map(A => \Memory_0/SEL_1[0]\, Y => 
        \Memory_0/data_read_mux_0/SelAux_0_4_net\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I112_Y_0\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_254\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N368\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I112_Y_0_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_RNI4B268[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_767_i\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO_1[0]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_109\, B
         => \Core8051S_sub_1/CoreInterrupt_0/N_97\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/N_87\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I3_P0N\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_250\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N214\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[1]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_olli_3_0_0_I_5\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un37_core8051s_ooli\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_1_1[0]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_13_i_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[0]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[7]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n7\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[7]_net_1\);
    
    
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_0_iv_0_a2_1[3]\ : 
        NOR3B
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_98\, B => 
        \Core8051S_sub_1/CoreInterrupt_0/N_94\, C => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/N_102\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIKN9C[0]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un15_core8051s_lii0i\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_193\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_lii0i\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lli_RNO_3\ : OR3C
      port map(A => \Core8051S_sub_1/CoreTimer_0/N_48\, B => 
        \Core8051S_sub_1/CoreTimer_0/CorETIMER_ili_0_a5_1_0\, C
         => \Core8051S_sub_1/CoreTimer_0/N_37\, Y => 
        \Core8051S_sub_1/CoreTimer_0/N_251\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[15]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[95]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[55]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[15]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNI45K7[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_i000[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_core8051s_l1il\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un78_core8051s_io00l\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[115]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_308\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[115]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.CORE8051S_iio0i_19_i_i_i_a2_2[2]\ : 
        XA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_1_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1236\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNI95M7[3]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_701\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1399\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1174\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_19\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[110]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[111]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_a2_1_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIMPUSF[0]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_767_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_iv_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ii1l.core8051s_o01l_1_iv_6_0_a2_0_0[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_6_0_a2_0_0_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1383\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_3_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[26]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0[39]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[26]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[26]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[88]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[88]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_296\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_14[2]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_11_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNILSCDG\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un22_core8051s_i1l0i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_5[2]\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_155\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_163\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_109\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_5[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_93\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[72]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[79]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIT8OH2[117]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_688\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[31]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[31]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[31]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[31]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[31]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[4]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[38]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[38]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[38]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO_0[12]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[12]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[12]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_66\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNIO7L71_0\ : 
        INV
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo10_i[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNICA3E[2]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_158\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1542\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1163\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I12_G0N\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_934\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[12]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N240\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIQUI6\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_16\, B => 
        \Core8051S_sub_1/COREAI_0/N_42\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_58\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[12]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m_1[0]\, 
        B => \\\\\MEMADDR_[12]\\\\_c\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[12]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I37_Y_0\ : 
        XNOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N116\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_1[3]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1514_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un1_core8051s_l000l\ : 
        NOR2B
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OIL0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ll0II\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l1i0L\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I48_Y_2\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_un1_Y_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N174_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_Y_1_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_Y_2_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[4]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_core8051s_o10l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_2[5]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1490\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_643\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[26]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[26]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[26]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_LOIO0\ : 
        DFN1
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_LOIO0_RNO_net_1\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_LOIO0_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNIDUQ9[2]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_41\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_61\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_75\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[3]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[3]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave3_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[17]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[97]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[97]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_a2_2_RNO\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[111]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[108]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_a2_2_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNIURT2[10]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[10]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[10]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_901\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIG76D7[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_1_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIG76D7[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[2]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[82]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[122]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_4[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[2]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_70\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I14_Y\ : 
        AO13
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_859\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N129\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N152\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l[4]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[12]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/coreai_io0l_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[38]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[38]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1783_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_57\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_2[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[4]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_57_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNI07IF[0]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1411\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_956\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1155\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill_RNIBTQCA[2]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[4]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_94\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l[4]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[4]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un16_core8051s_o010l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[4]\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lli_RNO_2\ : NOR2B
      port map(A => \Core8051S_sub_1/CoreTimer_0/N_44_i_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[9]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_253\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_46\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJTV[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[11]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_2[4]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I110_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[4]\\\\_c_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I96_Y_0\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N298_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N291_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N290_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I96_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNI8OVF1[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11_i_0[0]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un78_core8051s_io00l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_5[3]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/WDOGRES/U0\ : MX2
      port map(A => \Core8051S_sub_1/CoreWatchdog_0_WDOGRES\, B
         => \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil\, 
        S => \Core8051S_sub_1/CoreWatchdog_0/N_6\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/WDOGRES/Y\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToOLI_RNO_0\ : 
        OR2
      port map(A => \Core8051S_sub_1/un2_coreai_i0li_1\, B => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave3_PSELx\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/un1_cuartiooi_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_3_0_a2\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_3_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_277\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[3]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIADS4[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[7]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_898\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_2[2]\ : OR3A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1[2]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un11_cuartloii\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1_m[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_73\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[47]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0_1[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_5_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un2_core8051s_o100l_0_I_1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo00L[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E[0]\);
    
    AFLSDF_INV_9 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_9\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[4]\ : 
        AOI1B
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_289\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[4]_net_1\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/N_272\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il_iv_0_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_50\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIAK32[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[9]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_953_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_36\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_949_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_47_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_9\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_67\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[48]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9K32[38]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_3[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_1[1]\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_0[5]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[5]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_164\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[5]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1354\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_6_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNI4JVU5_0[7]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_4_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un37_core8051s_ooli\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNI4JVU5_0[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_4[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10_0[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o0il_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_6\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_1_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iioi9_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_6_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLII.un21_core8051s_oiol_0_a2_0_o2\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[3]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_697\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_4[0]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_214_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_6[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un14_core8051s_olli_m[1]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_13\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP[0]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_124\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un14_core8051s_olli_m[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_54\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_54_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[55]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[15]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[55]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_198\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[129]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[9]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[129]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_359\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIUSBRK1[14]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un67_core8051s_ooi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_899\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1214\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0_0_0[14]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTL0OL[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTL0OL[1]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, Q
         => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTL0OL[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8DE1[38]\ : 
        NOR2A
      port map(A => \\\\\MEMADDR_[13]\\\\_c\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8DE1[38]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[1]\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_75\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_n1_0_i_a3_0\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_43_i_0\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[1]_net_1\);
    
    \EXT_RAM_RD_N_pad/U0/U1\ : IOTRI_OB_EB
      port map(D => un4_ext_ram_rd_n_0, E => SOC_VCC_NET, DOUT
         => \EXT_RAM_RD_N_pad/U0/NET1\, EOUT => 
        \EXT_RAM_RD_N_pad/U0/NET2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[145]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[25]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1873_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[145]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[2]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[2]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I62_Y_0_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I62_Y_0_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I8_P0N\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_331_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N229\);
    
    \MEMADDR_pad[8]/U0/U0\ : IOPAD_TRI
      port map(D => \MEMADDR_pad[8]/U0/NET1\, E => 
        \MEMADDR_pad[8]/U0/NET2\, PAD => MEMADDR(8));
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_9\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_oloi_0_sqmuxa_0_a2_4\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_133\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_91\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1341\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_56\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[10]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[11]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_56_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I32_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N223\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N219_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N222_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N267_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIK412_2\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un7_udrcap_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNINAD1[118]\ : 
        NOR2A
      port map(A => \\\\\MEMADDR_[10]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNINAD1[118]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I57_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N268_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N264_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N295\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[6]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oli0i_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_8[7]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_704\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_a2_0_0[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_37\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIDRDD7[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_12_3[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_37\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_45\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNICQR1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[132]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_io00I[5]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[13]\\\\\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[9]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[9]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[9]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNILN4H[5]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_876_i_0_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_8\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_15\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_19\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_oli0i\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3060_core8051s_oll1l_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[65]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_oli0i_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[18]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[18]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[18]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNI62UO1[15]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0_2[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0_1[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0_3[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un14_core8051s_olli_I_1\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_partial_sum_4[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_22\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo10_i[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNINMN441[2]\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_902\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un22_core8051s_i1l0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_0_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_i[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNILO21_2[117]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_674\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[155]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_312\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[155]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[26]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[26]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[26]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[26]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[2]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_l10l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNILNTSP3[2]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_2_m4_0_a2_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1138\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1140\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNILNTSP3[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i_RNO\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[88]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I0OL_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNI81J2_0[0]\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ooi0i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_ooi0i_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_34\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ooi0i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i[6]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I112_Y_0_0_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_47\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[131]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOED1[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[7]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL_RNI6D95[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[6]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_79\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_95\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIHOT2[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[40]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_14_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[11]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[131]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[131]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNIFIUH5\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_ooi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNIFIUH5_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_30\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_6_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1249\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_1[7]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_0_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNIB5M7[5]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_701\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1399\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1188\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3022_core8051s_oll1l_0_0\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_340\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_300\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_390\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[88]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNIRDRH2[38]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_768\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_776\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[123]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[123]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_115\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_20\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_715\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_723\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2590_core8051s_oll1l_i_o3\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_291\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_336\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_9[9]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_llL0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_3_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_lLL0_m_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNILO21_4[117]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_672\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNI0NTC7[6]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_1_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNI0NTC7[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNICVF3\ : 
        AND3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l1lII\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMPSRD_m7_0_a2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMPSRD_m7_0_a2_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_84\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE5H2[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[88]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF58U[40]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_18\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_17\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_22\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1413_core8051s_oll1l_0_0\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_306\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_313\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[30]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[32]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9R8I2[38]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[5]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_771\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_779\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un2_core8051s_o100l_0_I_2\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I31_un1_Y\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N146\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I31_un1_Y_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N149\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/I31_un1_Y\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lli_RNO\ : OR3B
      port map(A => \Core8051S_sub_1/CoreTimer_0/N_254\, B => 
        \Core8051S_sub_1/CoreTimer_0/CorETIMER_ili_0_2\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_253\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CorETIMER_ili\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I97_un1_Y_0\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N270\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N274\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N277\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I97_un1_Y_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[23]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[23]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[23]_net_1\, 
        S => \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_105\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIHC31_4\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[2]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_76\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNISB46R[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_5[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1436\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[36]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0[39]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[36]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[36]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_153\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un33_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[1]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_RNO[5]\ : 
        XA1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[5]_net_1\, 
        B => \Core8051S_sub_1/CoreWatchdog_0/N_38\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_O1_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_25\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO[1]\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii_0_iv_i_1[1]\, B
         => \Core8051S_sub_1/CoreTimer_1/N_109\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_164\, Y => 
        \Core8051S_sub_1/CoreTimer_1/N_156_i_0\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_iv_0_a2[4]\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_97\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/N_103\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_3[21]\ : OR2
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[21]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n21_0_i_a2_0\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_4[1]\ : OR2
      port map(A => \Core8051S_sub_1/N_185\, B => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[1]_net_1\, Y
         => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_4[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I22_Y\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N121\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_855\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N120\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N160\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNISTQ6[5]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[5]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[5]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o0il_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_128\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNIMAF[38]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O1o1i_0_0_0_o2_1_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[8]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[8]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, C
         => \Core8051S_sub_1/un5_oen\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.un17_core8051s_olli_0_0_ADD_4x4_fast_I1_G0N\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N71\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNI787R3[3]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_205\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_215\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l0oi[1]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[1]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un3_coreai_l0li_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_olli_m[0]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_partial_sum_4[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I10_Y_0\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_105\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_olli_m[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[3]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iioi_1[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_6_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1875_core8051s_oll1l_i_o3_0\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_287\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[3]\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_341\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[20]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[20]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[20]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3625_core8051s_oll1l_i\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3625_core8051s_oll1l_i_1_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_331\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_251\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/CORE8051S_OO1ii_RNO_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un7_core8051s_iio1i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un5_core8051s_iio1i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un12_core8051s_iio1i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/core8051s_lii0_m2_0_a3\ : 
        OR2
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_O0I0I\, 
        B => \Core8051S_sub_1/CORE8051S_0/un4_core8051s_iil0\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/core8051s_lii0_N_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_66\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_8[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_8[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_8[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_5[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_5_0_I_4\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_6[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_oili[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_5_i[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[5]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[5]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_5_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNISN22[41]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[41]\, 
        B => \\\\\MEMADDR_[1]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_798_i_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_mtt_5_m3_0_a2_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_217\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[34]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[34]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[34]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_8\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_7[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_7[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_7[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_4[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_0[15]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1273\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_1[15]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1272\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_3[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_2[10]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1289\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIKQ9I3[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii_i[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_275\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_279\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_0[2]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_3_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/CORE8051S_o0O1I_RNO\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_llL0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un1_core8051s_o01\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_53\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_809\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[68]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[28]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1813_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[68]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_19\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[133]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIDUR1[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[12]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1358\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[12]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1361\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[12]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/un4_coretimer_o1_0_a5\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\, B => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, C => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PENABLE\, Y => 
        \Core8051S_sub_1/CoreTimer_0/un4_coretimer_o1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO[3]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_877\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_885\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIH2595[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[4]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i_RNIIPH3[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[24]\\\\\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[0]_net_1\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[1]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_942\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO_0[23]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[23]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[15]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/N_67\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[23]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li_RNIA4H2[12]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[12]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_420\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIM1G27[7]\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[7]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_29\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIM1G27[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_1[5]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1444\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1313\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_14[0]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_200_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a11_3_0[0]\);
    
    \Memory_0/mem_decode_0/un1_int_ram_rd_0_a4\ : NOR2A
      port map(A => Core8051S_sub_1_MEMRD, B => 
        \Memory_0/mem_decode_0/N_2\, Y => 
        \Memory_0/mem_decode_0_INT_RAM_RD\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_1[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N78\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_1_tz[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_1[0]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[10]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n10\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte_0\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[10]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[20]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[20]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un5_oen\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[20]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMPSRD_m7_0_a2_1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liI1I\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i001I\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMPSRD_m7_0_a2_1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_6_0_0_ADD_4x4_fast_I14_Y_0_1\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_6_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNIQUU91[6]\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/N_64\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_2_sqmuxa_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_3_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0[39]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS2_m[1]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave2_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave2_PRDATA_[1]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS2_m[1]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/coreai_io0l_1\ : NOR2B
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => \Core8051S_sub_1/N_186\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1_tz_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I58_Y_0\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N160_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un1_CORE8051S_l100l_1_I_19\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/DWACT_ADD_CI_0_TMP[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/DWACT_ADD_CI_0_g_array_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_o2_1[2]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_105\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_39\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_1_2[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_2_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_3_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_2_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIKJRHH[15]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[15]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_i1l0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_675_i_0_a2_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_m_1[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_l1l0i_m3_0_a2\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_l1l0i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_l1l0i_m3_0_a2_0_net_1\, 
        C => \Memory_0.INV_1_Y\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_l1l0i_N_4_i\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[6]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[6]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/un5_psel\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_6\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[31]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[28]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un167_core8051s_oiol0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1252\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIUOUF3[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_0[2]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_3[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_2[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_6[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i[2]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[0]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_95\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[0]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNI5GJ8[13]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c12\, B
         => \Core8051S_sub_1/CoreTimer_0/COUnt[13]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c13\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/CORE8051S_O001L_RNO[0]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi00L\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il00l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un1_core8051s_il00l\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIS0EH2[37]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_771\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIDQSH2[117]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_692\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[130]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[10]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[130]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1390\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[11]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[91]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[91]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I85_un1_Y\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N306\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N299_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I85_un1_Y_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[14]\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1229\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_0[14]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1232\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_449\);
    
    \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o0_0_a2\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_353\, C => 
        \Core8051S_sub_1/N_115\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1291_i_0\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIK9AI\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un5_udrcap\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un4_udrsh\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_8_sqmuxa_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI6DS4[5]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[5]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_904\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_core8051s_oiil_1\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[3]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_core8051s_oiil_1_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[2]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[2]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[2]_net_1\, 
        S => \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_63\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2568_core8051s_oll1l_i_1\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_298\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_296\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_73_1\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO_0[4]\ : OR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[4]_net_1\, B => 
        \Core8051S_sub_1/un11_cuartloii\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIMB54[40]\ : 
        XA1A
      port map(A => \\\\\MEMADDR_[0]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[40]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_798_i_0_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_11\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_RNO[6]\ : 
        XA1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[6]_net_1\, 
        B => \Core8051S_sub_1/CoreWatchdog_0/N_39\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_O1_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_27\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_20\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[54]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9HE1[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_6[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIII83[6]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_697\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_i0i1i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un81_core8051s_io01i_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_103\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_21\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_20\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_19\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[9]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_266\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_8\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_87_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_2_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i_RNO[3]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[19]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_710\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_117\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_a4\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_89_1\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i1i1i_0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_a4_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNIF9G11\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un8_core8051s_ooi0i_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_ooi0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un27_core8051s_ooi0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_ooi0i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[4]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m_1[0]\, 
        B => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[4]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[4]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[4]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol_RNO[0]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_29_i_0_i\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol_n0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o101i_RNO_1\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[113]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lllo03_0_a2_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[114]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_301\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIJ5RDG\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[5]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_5_N_7\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[23]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_28_m_i[23]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[24]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[23]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_1[23]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIHJL5K3[5]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_1[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1132\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1133\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_4[15]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1465\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1272\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_RNI4B268_0[0]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/CORE8051S_l0L1L.un860_core8051s_oll1l_0_a2_0_i_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_312\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_302\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[36]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[36]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[36]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_159\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIG3L[37]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_757\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNIPCKRR[6]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_5[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2_m[3]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_2_m[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO[3]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I118_Y_0_0\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_934\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[12]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I118_Y_0_0\);
    
    \Core8051S_sub_1/CoreGPIO_0/COREGPIO_ol[1]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreGPIO_0/COREGPIO_ol_RNO[1]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreGPIO_0/COREGPIO_ol[1]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oloi_RNI983[1]/U_CLKSRC\ : 
        CLKSRC
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_oloi_i[1]\, 
        Y => \Core8051S_sub_1/COREAI_0/COREAI_oloi[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_3[15]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1254\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1249\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1252\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_1[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[5]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[5]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I40_Y\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I40_un1_Y_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N221_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I40_Y_1_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N209_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_2\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIIPV[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_10[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_99\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[42]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8K72[38]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_12_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_18_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNI559AU\ : 
        MX2
      port map(A => \\\Memory_0_RD_[1]\\\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_l1o1l_RNIMQC5G[17]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIM7P3E_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[4]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[4]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNIJ3O2[23]\ : 
        OR2A
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_ILl0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[23]_net_1\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il10I_RNII7DR3[0]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un28_core8051s_loi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_loi0i_2_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_io00l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_loi0i\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[6]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\, B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[6]\\\\\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I51_Y\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N262\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N258\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N289\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[6]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iioi_1[6]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_6_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[6]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[15]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[15]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[15]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_RNO_0[6]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[1]_net_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_4\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_102\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[8]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[8]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[8]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lil_RNILUTL2_1\ : OR3C
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_lil_i_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oll_i\, C => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_1_sqmuxa\, Y => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_5\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[143]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un372_core8051s_oiol0[26]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1466_core8051s_oiol0_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_20\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_791\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_799\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNILPPS[2]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_166_i_0\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1433\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_RNO_11\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[7]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L_0_a2_0\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol_RNI8335[2]\ : 
        AOI5
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un19_baud_clock_NE_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNI9LVQ6[5]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_165\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLO1i.un33_core8051s_i000i_0_0_o2\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_698\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[0]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_699\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_712\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_3[9]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[9]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_3_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1257\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[31]\ : AX1E
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c29\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_67_0\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_121\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n31\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_12[2]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_17_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_105\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_1_1_iv_0[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_1_1_iv_1[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIV84931[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_m[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_78\ : 
        AND2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_786\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[126]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0_2[1]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I14_Y_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_105\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0_1[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0_2[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[25]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0[39]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[25]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[25]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[0]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_sqmuxa_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_8[1]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_101\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_223\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_8[1]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[13]\ : AX1D
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c12\, B
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, C
         => \Core8051S_sub_1/CoreTimer_0/N_82\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n13\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIH7TD\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_59\, B => 
        \Core8051S_sub_1/COREAI_0/N_107\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_123\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_0[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[3]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNI8ATUM2[6]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_194\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_1_0[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_1[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_1[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_207\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_204\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_i_1[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_i_3_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI1NJR[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_872\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1409\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_oili_m[0]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_17_0\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_105\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_oili_m[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I55_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N266\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N262\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N293\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNO_2\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_333\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_iolo03_0_a2_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_7_0_a2_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_93\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_7_0_a2_0_0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_112\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[36]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[36]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[36]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_1_tz[0]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_105\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_1_tz[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_7[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[2]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_320\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[36]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[36]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[36]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli_ADD_4x4_fast_I16_Y_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N98\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I16_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[2]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_83\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_0[2]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO_0[10]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[10]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[10]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_62\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIP10VO[8]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_941\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_331_i\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTI01L\ : DFN1E1
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CLEAR_parity_EN\, 
        CLK => clk_pll_0_GLA, E => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTI01L_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0[15]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[15]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[15]\\\\\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_0[12]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[12]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_164\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[12]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[25]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[25]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[26]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[25]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_3\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[145]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un696_core8051s_o0ol0_NE_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un696_core8051s_o0ol0_NE_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[112]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[32]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[112]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_302\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I34_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N160\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N157\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N156\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N221\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_62\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_3\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_8_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_93\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIO9B3[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[121]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_12\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNID9E1[95]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[95]\, 
        B => \\\\\MEMADDR_[15]\\\\_c\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_881_i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_6[2]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_17\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_124\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un14_core8051s_olli_m[3]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i0oI_RNII4C\ : OR2
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_l1OI_net_1\, 
        B => \Core8051S_sub_1/COREAI_0/COREAI_i0oI_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/COREAI_O1OI\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_27\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[93]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIDUR1[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO_1[1]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[7]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNO[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[4]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[4]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_RNO[4]\ : XA1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[4]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/N_157\, C => 
        \Core8051S_sub_1/CoreTimer_1/un6_coretimer_lil\, Y => 
        \Core8051S_sub_1/CoreTimer_1/N_22\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[118]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[38]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1843_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I11_P0N\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1045\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[11]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N238_0\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIJ5S5\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_20\, B => 
        \Core8051S_sub_1/COREAI_0/N_47\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_63\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_71\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_2_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_2_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_3_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNIO7L71\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_147\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i001I\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNIDFVK[5]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_2_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_2_sqmuxa\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO_0[8]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[8]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[8]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_58\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I84_un1_Y\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N304_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N297_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I84_un1_Y_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m_0[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_194\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m_0[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_96\ : 
        OR2A
      port map(A => \\\\\MEMADDR_[10]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_854\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIUBQUP11[4]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I78_un1_Y\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N298\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N291\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I78_un1_Y_i\);
    
    AFLSDF_INV_13 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_13\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[5]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/N_24\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un39_core8051s_oll0i\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_3_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oll0i_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un39_core8051s_oll0i_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIIRC1[76]\ : 
        MX2C
      port map(A => Core8051S_sub_1_MEMRD, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_II00\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1414\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_l1il\ : 
        NOR2B
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL10\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_core8051s_l1il\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNI1FDB[0]\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un10_core8051s_i000l_m6_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i001I\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un10_core8051s_i000l_1_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un10_core8051s_i000l_m6_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[6]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_3_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[6]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_iloI\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/COREAI_0/COREAI_oloi[1]_net_1\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_iloI_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[3]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_3[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_5[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIMRFQBD[6]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un150_core8051s_o01\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_1[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_2_a0_1[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[27]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[28]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[28]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I[5]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I111_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[5]\\\\_c\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3889_core8051s_oll1l_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[108]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[106]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[100]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNO[1]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1[1]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l001i_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNI2TO4[118]\ : 
        MX2
      port map(A => \\\\\MEMADDR_[7]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_595\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0_1_0[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1210_core8051s_oll1l_0_a2_i\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_338\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_300\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILLi_RNO_0\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un9_core8051s_oilli\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i00LI_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILLi_1_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I48_Y_1\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N150_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N147_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_Y_1_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_1[2]\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1512_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIEG8EN[3]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un48_core8051s_ioi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1089\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO[10]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil\, B => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c9\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_62\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n10\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_6[6]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_6[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_6_m_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNO[2]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_356\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_18_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ooi0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_14[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_8\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_799\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_815\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[126]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1378\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[126]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ii1l.un14_incl_mul_div_da_0_a2_0\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_274\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1376\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI[2]/U0\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[2]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIQ459_3_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[2]/Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNILS8U[0]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un10_core8051s_i000l_m6_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un10_core8051s_i000l_m1_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_ili1i_5\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNILS8U[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I93_Y_2\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I46_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_Y_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I72_un1_Y\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_Y_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3583_core8051s_oll1l_i_a3\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_393\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I_RNI3J0PA[4]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_0_sqmuxa_2_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[4]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[11]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave0_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[11]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[11]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_7\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_128\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[3]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_77\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_117\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave1_PRDATA_[1]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_81\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9K32[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[48]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[5]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_RNO\ : OR3B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_RNO_0_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_2\, C
         => \Core8051S_sub_1/CoreTimer_1/N_178\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_1_m[2]\ : 
        XO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N73\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N92\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_1_m[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_0[7]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[7]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[7]\\\\_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oll0i_RNO_4\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i0i0i_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i0i0i_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i0i0i_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i0i0i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[24]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[144]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[144]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un15_core8051s_i1i1i\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un15_core8051s_i1i1i_1_net_1\, 
        Y => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_l01ii.un15_core8051s_i1i1i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_0[7]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_oloi_0_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_5[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_i[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_2[0]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I0LL_0_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_1[2]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1455\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1236\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_i_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3625_core8051s_oll1l_i_o3\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_291\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_331\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNICQO1[10]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[9]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/COUnt[10]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_76\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_1_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_862\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_3\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/fifobloCK0_RNO_0\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[0]\, B
         => \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIFI83[3]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un78_core8051s_io00l_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_i0i1i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i0i1i_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.CORE8051S_I0o0i_19_i_i_i_o2_0[6]\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_701\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1538\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_o2_0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_RNIL6F2[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[1]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[9]\\\\\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[3]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_157\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I49_Y\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N260\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N256\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N287\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l01l_RNICG3\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_O01L\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_l01l_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/COREAI_i01L\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1234_core8051s_oll1l_0_140_tz\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_353\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_289\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_2452_tz\);
    
    AFLSDF_INV_16 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_16\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[19]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[19]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[19]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_45\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[92]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNICQR1[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_18\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1242\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_40_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_7\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_6\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_RNO_1[3]\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[4]_net_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_4\, C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_99\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_0[2]\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_52\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_0_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_0_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_RNI7U01[2]/U_CLKSRC\ : 
        CLKSRC
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I[2]_net_1\, 
        Y => \\\\\MEMADDR_[2]\\\\_c\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIBCQ6\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_28\, B => 
        \Core8051S_sub_1/COREAI_0/N_44\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_60\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un16_core8051s_o010l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIKOORFG[0]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_a0[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0103_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_9_3_i_o2[126]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_li1l\ : DFN1E1C0
      port map(D => \Core8051S_sub_1/COREAI_0/COREAI_OI1l\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un9_coreai_i0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_li1l_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[148]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[28]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1873_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[148]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[6]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/N_27\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un9_core8051s_oilli\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un17_core8051s_i110l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/CORE8051S_lili.un216_core8051s_oll1l_0_a2_i_o3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_4\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_286\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_337\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[27]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n27\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[27]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIU05SA[0]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_4_sqmuxa_1_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_3_sqmuxa_0\);
    
    AFLSDF_INV_25 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_25\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNIKIN64\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l100l_RNIAKOE[1]\, 
        B => Core8051S_sub_1_MEMPSRD, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_l1l0i_N_4_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_l1l0i\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[27]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave0_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[27]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[27]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_47\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_5_tz_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_933_i_0_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_5_tz_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_5_tz\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO_1[2]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_903\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_5[0]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_190\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_217\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_196\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[17]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[17]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[17]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[17]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_47\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOED1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[91]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1292_i_0\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNIRQ0B[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[4]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[61]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1327\);
    
    \TX0_pad/U0/U0\ : IOPAD_TRI
      port map(D => \TX0_pad/U0/NET1\, E => \TX0_pad/U0/NET2\, 
        PAD => TX0);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_0[10]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[10]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_164\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_olli_I_15\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_2[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_2[0]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[0]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_260\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[9]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[9]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/N_325\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_9\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_4\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[144]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un372_core8051s_oiol0[27]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1466_core8051s_oiol0_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_o00l_RNI157I[4]\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_134\, B => 
        \Core8051S_sub_1/COREAI_0/N_198\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, Y => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[12]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNI06R6[7]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[7]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[7]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o0il_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_130\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un377_core8051s_oll1l_0_i\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_291\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1094_core8051s_oll1l_0_a2_i_o3_1_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_289\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIO2T5P[2]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_3[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2_m[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_5[2]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.5.COREAI_o11i.COREAI_i00L[5]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[5]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un21_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[35]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0[39]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[35]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[35]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_olli_3_0_0_I_2\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNI4JVU5_0[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP[1]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[6]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_319\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I32_un1_Y\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N144\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N116\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N148\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/I32_un1_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_3_0\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_3_tz_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_2_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1383\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_3_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0_RNIO20AA[9]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNITV88A_net_1\, 
        B => \\\\\MEMADDR_[9]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0_RNIO20AA[9]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNIA10Q1_0[6]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_4_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli13\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.un17_core8051s_olli_0_0_ADD_4x4_fast_I8_Y\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N75\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I8_un1_Y_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I8_Y_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N88\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_RNIB332[5]\ : 
        NOR2B
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_38\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[5]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_39\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNIDF12G[38]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_754\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_762\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_32\ : 
        AND2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIALE1[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[55]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_1[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_44\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_797\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_805\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNI0EIG23[12]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0_0[12]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1103\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1104\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[12]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL_RNO_1[1]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_173\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_132\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I4_G0N\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N216_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_18[1]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_108\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_a10_1_1[1]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[13]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[13]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[13]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[13]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_98\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[43]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOOT2[38]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_13_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_17_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[158]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[38]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1873_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIV7G61[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_865\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_53\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNISOT2[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_53_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNI04U2[11]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[11]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[11]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_908\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I_RNI6BK1[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[2]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l0l1i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[92]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[12]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[92]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_214\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[139]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1401\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[139]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[2]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[2]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_5_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ilo0i_I_16\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1094_core8051s_oll1l_0_a2_i_o3_1\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_294\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_444\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1094_core8051s_oll1l_0_a2_i_o3_1_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili_CUARTo0LI/CUARTool/fifobloCK0\ : 
        FIFO4K18
      port map(AEVAL11 => \GND\, AEVAL10 => \GND\, AEVAL9 => 
        \GND\, AEVAL8 => \GND\, AEVAL7 => \GND\, AEVAL6 => \GND\, 
        AEVAL5 => \GND\, AEVAL4 => \GND\, AEVAL3 => SOC_VCC_NET, 
        AEVAL2 => \GND\, AEVAL1 => \GND\, AEVAL0 => \GND\, 
        AFVAL11 => \GND\, AFVAL10 => SOC_VCC_NET, AFVAL9 => 
        SOC_VCC_NET, AFVAL8 => SOC_VCC_NET, AFVAL7 => SOC_VCC_NET, 
        AFVAL6 => SOC_VCC_NET, AFVAL5 => SOC_VCC_NET, AFVAL4 => 
        SOC_VCC_NET, AFVAL3 => SOC_VCC_NET, AFVAL2 => \GND\, 
        AFVAL1 => \GND\, AFVAL0 => \GND\, WD17 => \GND\, WD16 => 
        \GND\, WD15 => \GND\, WD14 => \GND\, WD13 => \GND\, WD12
         => \GND\, WD11 => \GND\, WD10 => \GND\, WD9 => \GND\, 
        WD8 => \GND\, WD7 => \\\Core8051S_sub_1_MEMDATAO_[7]\\\, 
        WD6 => \\\Core8051S_sub_1_MEMDATAO_[6]\\\, WD5 => 
        \\\Core8051S_sub_1_MEMDATAO_[5]\\\, WD4 => 
        \\\Core8051S_sub_1_MEMDATAO_[4]\\\, WD3 => 
        \\\Core8051S_sub_1_MEMDATAO_[3]\\\, WD2 => 
        \\\Core8051S_sub_1_MEMDATAO_[2]\\\, WD1 => 
        \\\Core8051S_sub_1_MEMDATAO_[1]\\\, WD0 => 
        \\\Core8051S_sub_1_MEMDATAO_[0]\\\, WW0 => SOC_VCC_NET, 
        WW1 => SOC_VCC_NET, WW2 => \GND\, RW0 => SOC_VCC_NET, RW1
         => SOC_VCC_NET, RW2 => \GND\, RPIPE => \GND\, WEN => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiI1L_net_1\, 
        REN => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTool/CUARTlol\, 
        WBLK => \GND\, RBLK => \GND\, WCLK => clk_pll_0_GLA, RCLK
         => clk_pll_0_GLA, RESET => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, ESTOP => 
        SOC_VCC_NET, FSTOP => SOC_VCC_NET, RD17 => OPEN, RD16 => 
        OPEN, RD15 => OPEN, RD14 => OPEN, RD13 => OPEN, RD12 => 
        OPEN, RD11 => OPEN, RD10 => OPEN, RD9 => OPEN, RD8 => 
        OPEN, RD7 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[7]\, 
        RD6 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[6]\, 
        RD5 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[5]\, 
        RD4 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[4]\, 
        RD3 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[3]\, 
        RD2 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[2]\, 
        RD1 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[1]\, 
        RD0 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[0]\, 
        FULL => OPEN, AFULL => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTool/CUARTo01L\, 
        EMPTY => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTIL1l\, 
        AEMPTY => OPEN);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[30]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[30]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[30]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[30]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[30]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_17\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\, 
        B => Core8051S_sub_1_MEMRD, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1418\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_17_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I57_Y_0\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_0_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_i[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I93_Y_0\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N244\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N240\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N243\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i_RNINE991\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_164\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[2]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i_net_1\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO_12\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_784\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[85]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_7\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_ooi0i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un25_core8051s_ooi0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un15_core8051s_ooi0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_0[5]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1462\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[5]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_o2_0[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1310\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_5\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8DE1[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[13]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIGHNVF[7]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_898\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o001i\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_9_i_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        Q => \Core8051S_sub_1/CORE8051S_0/CORE8051S_ll10\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i_RNIDGM81\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[5]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_167\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_11[7]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_71\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_incl_mul_div_da_5\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_2[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_91\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_3[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[8]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_3[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[10]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[10]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[11]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_8\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_4[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_4[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_4[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_2[0]\);
    
    \SRAM_BHE0_N_pad/U0/U0\ : IOPAD_TRI
      port map(D => \SRAM_BHE0_N_pad/U0/NET1\, E => 
        \SRAM_BHE0_N_pad/U0/NET2\, PAD => SRAM_BHE0_N);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[7]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[7]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave14_PSELx_0\, Y
         => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNISD36\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un3_udrcap_0_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un3_udrcap_0_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un3_udrcap_0_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un7_udrcap_0_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[5]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[5]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_RNIUT15_1[0]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un2_c2_0_a2_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_28\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIVENFI[25]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[25]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I48_Y_0\ : 
        MIN3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N138_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_olli_5_0_0_ADD_4x4_fast_I9_Y_0_i_o2\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N67\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_5[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_11_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_11\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIOG4D7[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_7[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[23]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[23]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1783_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[23]\);
    
    \Memory_0/data_read_mux_0/MX2_6\ : MX2
      port map(A => \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[4]\\\\\, B
         => \Memory_0/Z\\\\data_bus_buffer_0_Y_[4]\\\\\, S => 
        \Memory_0/data_read_mux_0/SelAux_0_4_net\, Y => 
        \Memory_0/data_read_mux_0/MX2_6_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_9[0]\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a11_3_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_218\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_225\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_7\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_839\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1237\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_I1lo0_RNI015B\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liI1I\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l1lII\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un10_core8051s_i000l_1_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/d_m7_0_a3_0_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l_RNIF7R3[1]\ : NOR2B
      port map(A => \Core8051S_sub_1/N_186\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[1]_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_424\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_4\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[63]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_13_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un608_core8051s_o0ol0_NE_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_oloi_0_sqmuxa_0_a2_3\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1342\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1341\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_104\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIMHRO1[4]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_176\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.core8051s_oolo0100\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_1_6\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0100\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[5]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[5]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un5_core8051s_ooo1l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oili_1_iv_0[1]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oili_1_iv_0_1[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_100\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1345\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oili_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_76\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[85]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_784\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[124]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_94\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[124]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[20]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c19\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_96\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n20\);
    
    \INBUF_0/U0/U1\ : IOIN_IB
      port map(YIN => \INBUF_0/U0/NET1\, Y => INBUF_0);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNO[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[28]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_712\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_199_0\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_0[6]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[6]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_164\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_olli_4_0_0_ADD_4x4_fast_I11_Y_0_i_x2\ : 
        AX1E
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_olli_i[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N88\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_4_i[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNI6TMD[12]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1443\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[12]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1181\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_3[4]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[12]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[12]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave14_PSELx_0\, C
         => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_0[12]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[12]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI[1]/U0\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[1]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIQ459_3_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[1]/Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_i0li_1[7]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_334\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_872\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[4]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_85\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[4]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_RNO_6\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[0]_net_1\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_1_sqmuxa_i_a4_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIJRB5\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_89\, B => 
        \Core8051S_sub_1/COREAI_0/N_422\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_121\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIVBQUP11[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_li01I_RNI43AA5\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[5]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_l100\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[5]\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[0]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[0]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_lll\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI9EO87[15]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1548\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[15]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1465\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO[2]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo020_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_2[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I5_P0N\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N136_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_i0li_1_0_iv_0_a2_3[4]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_166_i_0\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1427\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a4[6]\ : OR2B
      port map(A => \Core8051S_sub_1/CoreAPB3_0/N_360\, B => 
        \Core8051S_sub_1/CoreAPB3_0/N_58\, Y => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[10]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[10]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[10]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0_RNI5MU6M[1]\ : 
        OR3B
      port map(A => \\\\\MEMADDR_[1]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNITV88A_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1204\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNI3KHP2_0[5]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_2_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_1_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_83\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[5]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oli0i_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_12[1]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_i_a11_3_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_1[0]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_0_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_0_iv_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[5]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_core8051s_l1il\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNINOORFG[3]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_a0[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0103_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m[3]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[22]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n22\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe_0\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[22]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO[0]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_0_iv_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1_m_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_33\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_711\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIMAB3[8]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[8]\, 
        B => \\\\\MEMADDR_[8]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_907_i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_23\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[60]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_23_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_6_m_1[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_15\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_18\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_13_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_6_m_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_2[1]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_2_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[1]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_o00l[0]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[8]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un15_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.CORE8051S_iio0i_19_i_i_a2_7[7]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_279\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_267\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1377_i\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave1_PRDATA_[3]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_48\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_6[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_6[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_7[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_3_0[0]\);
    
    \Memory_0/INT_RAM_8KB_0/MX2_RD_3_inst\ : MX2
      port map(A => \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_3_net\, B
         => \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_3_net\, S => 
        \Memory_0/INT_RAM_8KB_0/ADDRB_FF2_0_net\, Y => 
        \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[3]\\\\\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[24]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[24]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[24]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_107\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iii0I_RNO\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_89_1\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_lii0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un28_core8051s_o01\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO[2]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[74]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[34]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[74]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_28\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_1_0\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_4_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_2_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_1_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_86\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/CORE8051S_iio1i_RNO\ : 
        OR2
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_oll0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un3_core8051s_io00l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un1_core8051s_oll0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIAVQM5[0]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_ooi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_1_tz_tz_tz[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un43_core8051s_l1i1i_1\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un43_core8051s_l1i1i_1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[37]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[37]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[37]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3823_core8051s_oll1l_0_a3_0\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[3]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_314\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_399\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I95_un1_Y\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N297_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N289_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N304_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I95_un1_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIEJPJH[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un67_core8051s_ooi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_898\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1143\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[7]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[7]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un5_core8051s_ooo1l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I26_Y\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N231_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I26_un1_Y\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N261_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO[23]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[23]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[23]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[23]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[74]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_28\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[74]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[31]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[31]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[31]\\\\\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_o00l_RNI1342[2]\ : NOR2A
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[2]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_148\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[13]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[13]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[13]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I17_Y\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N130\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N127\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N155\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNI3PV1[9]\ : OR2A
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_302\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[9]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_303\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[8]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[8]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[8]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[7]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[7]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_5_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2288_core8051s_oll1l_0\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_311\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_300\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_358\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[57]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3540_core8051s_oll1l_i\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_316\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_312\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_60\);
    
    \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o0_0_a2_0\ : 
        OR2A
      port map(A => \\\\\MEMADDR_[3]\\\\_c_2\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => \Core8051S_sub_1/N_115\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_iL1L\ : DFN1E1C0
      port map(D => \Core8051S_sub_1/COREAI_0/COREAI_ll1l\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un4_coreai_i0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_iL1L_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I32_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N223_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N219\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N222\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N267\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[5]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1307\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1308\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIOL9VBB1[1]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_0_1[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_a0[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_5[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_6[1]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIHC31_14\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_O01L\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_87\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_sqmuxa\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un72_incl_mul_div_da\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o0il_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_sqmuxa_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/fifobloCK0_RNO_8\ : 
        OR2
      port map(A => \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\, B
         => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/FIFO_write\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARTIIOI\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_o10_RNO[0]\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_158\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_157\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_161\);
    
    
        \Core8051S_sub_1/CoreInterrupt_0/un1_coreinterrupt_l0l13_i_a6_0\ : 
        NOR3B
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, B
         => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, C => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/un1_coreinterrupt_l0l13_i_a6_0_net_1\);
    
    \MEMADDR_pad[15]/U0/U0\ : IOPAD_TRI
      port map(D => \MEMADDR_pad[15]/U0/NET1\, E => 
        \MEMADDR_pad[15]/U0/NET2\, PAD => MEMADDR(15));
    
    \dataIn_pad[0]/U0/U0\ : IOPAD_IN
      port map(PAD => dataIn(0), Y => \dataIn_pad[0]/U0/NET1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI2VUI5[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[7]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[55]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_a2_0_3\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_a2_0_1_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_191\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_a2_0_3_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI[5]/U1\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[5]/Y\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNI9NJ71\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_144\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i001I\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO_0[7]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[5]_net_1\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_881\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIL5E34[7]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_103_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[7]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1388\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_103_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_1[7]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo022_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[7]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_20\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[9]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[9]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[9]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l1i1i_3_1\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l1i1i_3_1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNI2SUQ3[5]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_207\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_217_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_3\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[135]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF6S1[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNISJ547[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[0]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_1_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNISJ547[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_1_RNIAMU6M[5]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNITV88A_net_1\, 
        B => \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1134\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lil_RNO\ : INV
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[22]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[22]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[22]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_63\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[8]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_3[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_63_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNID4J51[3]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_ooi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_903\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNID4J51[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_8_sqmuxa\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un59_incl_mul_div_da\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_l01_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_8_sqmuxa_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO[4]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_923\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_96\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[1]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_lili[4]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[4]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO_0[12]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[12]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[4]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/N_67\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[12]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_a0_0[1]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un150_core8051s_o01\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_a0_0[1]_net_1\);
    
    \MEMADDR_pad[7]/U0/U0\ : IOPAD_TRI
      port map(D => \MEMADDR_pad[7]/U0/NET1\, E => 
        \MEMADDR_pad[7]/U0/NET2\, PAD => MEMADDR(7));
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_42\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_718\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_734\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[35]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[35]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[36]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[35]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I112_Y_0_0\ : 
        AX1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1208\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_3[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I112_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNINPH1[2]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[18]\\\\\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[2]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_951\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/CORE8051S_O0l0_RNIVO01/U_CLKSRC\ : 
        CLKSRC
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/CORE8051S_O0l0_net_1\, 
        Y => \Core8051S_sub_1/CORE8051S_0_PRESETN\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.un17_core8051s_olli_0_0_ADD_4x4_fast_I12_Y_0\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_6_1[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_olli[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_0[9]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_848_tz\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1548\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[9]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1326\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNO\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_ol10i_d\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il10I_ns[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_IO10i\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[10]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[10]\\\\\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave14_PSELx\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[10]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[86]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[86]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_33\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I34_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N216_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I5_P0N_m5_e\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N219_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N269_0\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/fifobloCK0_RNIRG71\ : 
        OR2A
      port map(A => \Core8051S_sub_1/CUARToOLI\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToi1L\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/un1_cuartooli\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_22[7]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[7]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_286\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_334\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1337\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNIRQN441[3]\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_995\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1076\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1075\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_i[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_1[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_223\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_196\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_4[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_7[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oi00l\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oi00l_RNO_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi00L\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[1]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_83\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_3_sqmuxa_0\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_l10l\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_4_sqmuxa_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_4_sqmuxa_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[3]\ : 
        DFN1E1P0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, CLK => 
        clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_core8051s_l1il\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11_i_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO[0]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo020_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[0]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_RNIL0N2[8]\ : OR3C
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[7]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/N_160\, C => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[8]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_165\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m_1[0]\, 
        B => \\\\\MEMADDR_[6]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I119_Y_0\ : 
        AX1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I94_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I94_Y_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I119_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I119_Y_0_0_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[8]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[8]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[8]_net_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[29]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[29]\\\\\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave14_PSELx\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[29]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[29]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_7[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[7]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_749\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Loo1i.un17_core8051s_oiol_0_a2_0_a2\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1403\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1387\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_oiol\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[31]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\, B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[31]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[31]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ii1l.un48_incl_mul_div_da_0_a2_0_0\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[3]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_333\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_325\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un48_incl_mul_div_da_0_a2_0_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[7]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[7]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, C
         => \Core8051S_sub_1/un5_oen\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIJ0GCH[3]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_0[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_2[3]\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETIMer_i1l_RNO_0\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreTimer_0/coretimer_loi\, 
        B => \Core8051S_sub_1/CoreTimer_0/CoreTimer_IOI_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_oli\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I28_Y\ : 
        MAJ3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N225\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N263_0\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_3[2]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[2]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave14_PSELx_0\, C
         => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_1[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_3[2]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[6]\ : 
        DFN1P0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_ns_e[0]\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[6]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll_RNO[0]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, B
         => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_13_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIJTSA_0[1]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[1]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1_sqmuxa\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL_RNO[4]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_29_i_0_i\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_26\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_0[10]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1552\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[10]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1287\);
    
    \MEMADDR16_pad/U0/U1\ : IOTRI_OB_EB
      port map(D => un3_a16_0_a4, E => SOC_VCC_NET, DOUT => 
        \MEMADDR16_pad/U0/NET1\, EOUT => \MEMADDR16_pad/U0/NET2\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_l11I.9.COREAI_ooo0.COREAI_l00l[9]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[9]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un19_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[9]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l1OI\ : DFN1E1C0
      port map(D => \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_i\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un19_coreai_lioi\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_l1OI_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIKIBB5[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[1]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[55]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNIRM3D[15]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1443\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[15]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1283\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0_2[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[10]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[90]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[50]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[5]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[5]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii32_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[5]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTL0[0]\ : 
        DFN1
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[0]\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[0]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.2.COREAI_o11i.COREAI_i00L_RNIBEJ6[2]\ : 
        MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_140\, B => 
        \Core8051S_sub_1/COREAI_0/N_156\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_172\);
    
    
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_0_iv_0_a2_0[3]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_0_iv_0_a2_0_0[3]_net_1\, 
        B => \Core8051S_sub_1/CoreInterrupt_0/N_95\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/N_101\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO[1]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_2[5]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_2_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_3[12]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[12]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_10[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1360\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNINJL4[3]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/N_65\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/ir[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_i110l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un9_core8051s_oilli\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/CORE8051S_O001L_RNIF22O[0]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[62]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un56_core8051s_l0i0l_0\, 
        C => \Core8051S_sub_1/CoreInterrupt_0_IRQ\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un56_core8051s_l0i0l_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_1\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF5H2[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[89]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_4[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_4\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1389\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1367_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1366\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a11_1[0]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_216\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_222\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_198\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[14]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[14]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[134]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[14]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[14]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[11]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[11]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[11]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIUCSI5[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[3]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[55]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0OO0.core8051s_i0oo0_3_i_x2\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_323\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3447_core8051s_oll1l_0_0_5\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_60\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_27_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_78\ : 
        AND2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNITOT2[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I94_un1_Y\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N295\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N371\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N287_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I94_un1_Y_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNISS001[26]\ : OR2A
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c25\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT[26]_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c26\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li_RNIB8H2[13]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[13]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_421\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il10I_RNIGF8H4[0]\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_ooi0i\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_148\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_loi0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un12_core8051s_loi0i\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lli_RNO_11\ : OR2A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[0]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[7]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_0/N_249\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[1]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_core8051s_o10l_net_1\, 
        Q => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/B1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_2[3]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1369\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1320\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lli_RNO_4\ : AOI1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CorETIMER_ili_0_a5_2_1\, B
         => \Core8051S_sub_1/CoreTimer_0/N_46\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_250\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CorETIMER_ili_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I39_Y_0\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N179\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_oilli\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_oilli_RNO_net_1\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_i110l\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[9]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[9]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[9]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un189_core8051s_oiol0_0[27]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[27]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_7_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNIAHNVF[5]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_904\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_979\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[38]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[158]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIHVH3[27]\ : NOR2
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[27]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[28]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil_0_a2_1_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIO4JO12[4]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1065\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1064\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1066\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_252_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNO[5]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[5]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l001i_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[5]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO_0[4]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[4]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[4]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_50\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNIA5M7[4]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_701\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1399\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1181\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.un6_core8051s_io00l_0_0\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un299_core8051s_o01_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un297_core8051s_o01_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_io00l_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un4672_core8051s_oll1l_0_o3\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_440\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_399\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[116]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[8]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0l0_m[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_0[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMDATAI_m[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO[19]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[19]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[19]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[19]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNIGNN2[20]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[20]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_ILl0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I_RNIVI0PA[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_0_sqmuxa_2_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNO[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[7]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[109]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[29]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[109]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1397\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un694_core8051s_oll1l_0_i_o3_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_339\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_14\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_13\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_12\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_2_0_a2_i_0_a2_1_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1253\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[19]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1225\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[19]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_14\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIVGS57[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[47]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[47]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_4[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_587\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_579\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_182\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_595\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[29]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[29]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[29]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_5\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[53]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8DE1[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_1[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_96\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[84]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_782\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_15_0\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[1]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[1]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave3_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un108_core8051s_l1i1i_1\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\, 
        B => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_2_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un108_core8051s_l1i1i_1_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNINCI01[29]\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c28\, B
         => \Core8051S_sub_1/CoreTimer_0/COUnt[29]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c29\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i_RNO[5]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[21]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_710\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_125\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[16]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[16]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un5_oen_0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[16]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_o01o0_5_0_0_x2_RNIH3AG\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_16\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_15\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_19\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_22\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ilo0i_I_83\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_9\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_olli_RNO\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_ioli_net_1\, 
        B => \Core8051S_sub_1/COREAI_0/COREAI_olli_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/un15_coreai_lioi\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_83\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0_1_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[87]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIV4K1[113]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[113]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[114]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[20]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[20]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[20]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_93\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_2_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI3UTTA[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_1[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_0[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIEOH27[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_3[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0[8]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I114_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[8]\\\\_c_0\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNITOV5[19]\ : NOR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/coretimer_loi_3\, 
        B => \Core8051S_sub_1/CoreTimer_0/COUnt[20]_net_1\, C => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[19]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_9\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[89]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1301\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[89]\);
    
    AFLSDF_INV_43 : INV
      port map(A => \\\\\MEMADDR_[2]\\\\_c\, Y => \AFLSDF_INV_43\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l_RNI5KI4[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[1]_net_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[1]\, 
        S => \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_14\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_244\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1389\);
    
    \SRAM_BLE0_N_pad/U0/U1\ : IOTRI_OB_EB
      port map(D => \GND\, E => SOC_VCC_NET, DOUT => 
        \SRAM_BLE0_N_pad/U0/NET1\, EOUT => 
        \SRAM_BLE0_N_pad/U0/NET2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m_1[0]\, 
        B => \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_4_m[7]\ : 
        XO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_4_i[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_oili[0]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_122\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_4_m[7]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_2[17]\ : OA1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[16]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_309\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n17_0_i_a2_0\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_347\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[6]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_1[6]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[6]_net_1\);
    
    AFLSDF_INV_21 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_21\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_lILLI\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_lILLI_RNO_net_1\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOO1l\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_olli_I_13\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_13\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_6[1]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_166\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_218\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_221_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_212\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[29]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[30]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[30]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_91\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[122]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[2]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_938_i_0_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un1_core8051s_o01\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_364\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un1_core8051s_o01_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_919\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_927\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[3]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii32_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_0[1]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1462\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_o2_0[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1294\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.core8051s_oolo0110_4\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[107]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[106]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0110_4\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNO_0[4]\ : AX1E
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[3]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/N_35_i_0\, C => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[4]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n4_0_i_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[15]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/N_308\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_89\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n15\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_7[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[126]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[126]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I2_P0N\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_857\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N127\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNI20DEU72[6]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_2[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m[6]\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[6]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIF106[27]\ : NOR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/coretimer_loi_7\, 
        B => \Core8051S_sub_1/CoreTimer_0/COUnt[28]_net_1\, C => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[27]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_11\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNI8SMM_3[1]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un1_core8051s_ooo1l_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_1_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[5]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[5]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un5_oen_0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[5]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[22]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[22]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[22]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_7[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[3]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_665\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[6]\ : AX1D
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c5\, B => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_68\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n6\);
    
    \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_1\ : NOR2
      port map(A => \\\\\MEMADDR_[5]\\\\_c_2\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[93]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[13]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[93]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_202\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_3[6]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_420\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_436\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[57]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_444\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_3[2]\ : 
        AX1E
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un14_core8051s_olli_m[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_1_1_iv_2[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oili_1[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_l0ll\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_9_i_a2_4[7]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_93\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_92\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1342\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_olli_3_0_0_I_1\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNI4JVU5_0[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNI4JVU5[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_7[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI[0]/U0\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[0]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIQ459_3_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[0]/Y\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l[0]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[8]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/coreai_io0l_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNO[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[3]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[2]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oli0i_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I92_Y_1\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N255_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N252_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_Y_1_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_RNO[8]\ : 
        XA1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[8]_net_1\, 
        B => \Core8051S_sub_1/CoreWatchdog_0/N_45\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_O1_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_31\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l[6]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[14]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/coreai_io0l_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_1[4]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo022_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[4]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_102\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ilo0i_I_77\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_14\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_77\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[19]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[19]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[19]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1225\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0_a2[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_5[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_75\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_a2_1_0[1]\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1400\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1399\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1157_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_15\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1496\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_9\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_13\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNO[3]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[3]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l001i_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un812_core8051s_oll1l_0_i_a2\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_444\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_5[2]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_182\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184_0\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_352\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTL0[2]\ : 
        DFN1
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[2]\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[2]\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1_RNIHD0O[2]\ : OR3A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/un3_coretimer_lol\, B => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1[2]_net_1\, C
         => \Core8051S_sub_1/CoreTimer_1/coretimer_loi\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_1_sqmuxa\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[12]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[12]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[12]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_99\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8K72[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_12_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_18_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNI39K1[1]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[2]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1384\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_4\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un2_core8051s_l010l_0_I_11\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E_0[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E_0[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/I_11\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[23]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n23\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe_0\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[23]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/CORE8051S_O001L[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi00L_i\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un1_core8051s_il00l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/CORE8051S_ol01l[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNI250I3[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_202\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_212\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un2_core8051s_o100l_0_I_4\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[21]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[21]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[21]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I115_Y_0\ : 
        XNOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[9]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[9]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N360_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I115_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_2[3]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_244\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m_0[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[6]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_127\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIR951RC[7]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m_7_N_9\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m_7_m7_i_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un150_core8051s_o01\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIR951RC[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIIL0C[0]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_ooi0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIIL0C[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNI8UN6A[3]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_8_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[3]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_I11_m[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_0[3]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lil\ : DFN1P0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_i\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_lil_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_oloi_0_sqmuxa_0\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_3_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_281\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_59\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_oloi_0_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_RNIR6F2[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[4]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[12]\\\\\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[3]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_160\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO_15\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNINAD1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[90]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_952_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I1_P0N\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N124_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[4]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_199_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un33_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[4]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[28]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[28]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[28]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[28]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[3]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1319\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1320\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I_RNIBBK1[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[7]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l0l1i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_5[0]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_166\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_97\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_155\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_132\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[25]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[25]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[25]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_a0_0_0\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_i1l0i_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        C => \Memory_0.INV_1_Y\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_a0_0_0_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[22]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[22]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[22]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[22]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_ooli_I_22\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I10_Y_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_22\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i_RNIQPH3[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[28]\\\\\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[4]_net_1\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[1]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_946\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.2.COREAI_l01I.COREAI_l00l[2]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un19_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_9_i_a2_7_0[7]\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_304\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_302\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_315\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_9_i_a2_7_0[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I3_G0N\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N125\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_33\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E[0]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL_RNO_0[6]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_7_i\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[7]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_166\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_104\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8PU[10]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[10]\, 
        B => \\\\\MEMADDR_[10]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_899_i_i_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[17]\ : NOR3A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n17_0_i_a2_1_0\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT[16]_net_1\, C
         => \Core8051S_sub_1/CoreWatchdog_0/N_309\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_123\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_o0oi\ : DFN1E1C0
      port map(D => \Core8051S_sub_1/COREAI_0/un9_coreai_lioi\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un4_coreai_lioi\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_o0oi_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIR905O[0]\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_iv_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un5_core8051s_l1i1i_2_1\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo022_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un5_core8051s_l1i1i_1_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un54_core8051s_l1i1i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un5_core8051s_l1i1i_2_1_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNI57E1[1]\ : OR2
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[1]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/COUnt[0]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[0]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_45\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNITBE1G\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_13\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lii0_i_0\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNIDFVK_0[5]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un18_udrcap\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_8_sqmuxa_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_3_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_40\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_O100\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_40_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI[7]/U0\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[7]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIQ459_3_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[7]/Y\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_0[9]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[9]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_164\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I80_un1_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N300\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N293_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I80_un1_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_a2_3_0[0]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_i0i1i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_a2_3_0[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNITPH1[5]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[21]\\\\\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[5]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_954\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_39\ : 
        XAI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[24]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[64]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[24]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[106]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[26]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1843_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[106]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_o0o1l_RNO_0\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ioo1l\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_oll0\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_OIL0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_o0o1l_0_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I118_Y_0_0\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1197\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[12]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I118_Y_0_0_0\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0[2]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/N_155_i_0\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[2]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_86\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[3]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_1_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_2_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un4672_core8051s_oll1l_0_a3\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_315\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_299\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_440\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[0]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[0]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[6]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[6]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii32_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_7[0]\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_162\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_156\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_116\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_120_i\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[2]\ : 
        DFN1E1C0
      port map(D => \AFLSDF_INV_34\, CLK => clk_pll_0_GLA, CLR
         => \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi_RNO[2]_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNILO21_0[117]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_676\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNIIL72[118]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O1o1i_0_o5_1_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_0[3]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1462\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[3]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_o2_0[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1330\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_io00I[6]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[14]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10_0[0]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_36\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[4]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_730\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_738\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_0[4]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo024_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0_0[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0_1[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1693_core8051s_oll1l_0_0_a3_0_0\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1693_core8051s_oll1l_0_0_a3_0_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_26\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_724\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_740\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNO_0\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LOOL\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[71]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNO_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un48_core8051s_oll0i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIR99IG[5]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un22_core8051s_i1l0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_904\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1073\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_22\ : 
        MX2C
      port map(A => Core8051S_sub_1_MEMRD, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_ll10\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_545\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_a2_5[0]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1403\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1384\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_i0i1i_1\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1542\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNIDHNVF[6]\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_905\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1053\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un2_core8051s_l010l_0_I_3\ : 
        AND2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo00l[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[3]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_109\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2288_core8051s_oll1l_0_a3\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_340\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_299\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_358\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_RNO_2\ : NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[9]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/N_165\, Y => 
        \Core8051S_sub_1/CoreTimer_1/N_178\);
    
    AFLSDF_INV_39 : INV
      port map(A => \\\\\MEMADDR_[2]\\\\_c\, Y => \AFLSDF_INV_39\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[93]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_202\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[93]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ioli_RNO\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/un1_coreai_l0li_net_1\, B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        Y => \Core8051S_sub_1/COREAI_0/COREAI_ioli_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_68\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_86\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_735\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[38]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[39]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[39]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_3[8]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[8]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[0]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_oiol_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_18[8]\);
    
    \MEMADDR17_pad/U0/U0\ : IOPAD_TRI
      port map(D => \MEMADDR17_pad/U0/NET1\, E => 
        \MEMADDR17_pad/U0/NET2\, PAD => MEMADDR17);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNO[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[5]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[31]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1354\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I59_Y\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N270_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N266_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N297_0\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO[13]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil\, B => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c12\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_68\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n13\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_4\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[131]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOED1[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_42\ : 
        AND2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIIPV[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[50]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[2]\);
    
    AFLSDF_INV_37 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_37\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIF4AGG[0]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_m_0_m1_0_a2_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_m[0]\);
    
    
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0_a2_0_0\ : 
        NOR2
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_287\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_40\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNISJ547[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_1_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_3[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_o0o1l\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un9_core8051s_oilli\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_i110l_5\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_olo1L\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNISOT2[38]\ : 
        MX2
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, B
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[5]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNISOT2[38]_net_1\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII[5]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[5]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/un1_cuarto1ii20_net_1\, Q
         => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[5]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_olli_I_1\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_partial_sum_4[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I10_Y_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I0_P0N\ : 
        XA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[0]_net_1\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N121\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_0[6]\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1462\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_o2_0[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1217\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_11[2]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_200_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_102\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_170\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_153\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_0[1]\ : NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_2[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_3[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_4[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii_0_iv_i_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNILNC1[82]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[82]\, 
        B => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_869_i_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I86_un1_Y\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N274_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I63_Y_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N277_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I86_un1_Y_i\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_OL1l_RNIHUK1_0\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_OL1l_net_1\, 
        B => \Core8051S_sub_1/COREAI_0/COREAI_iO1L\, Y => 
        \Core8051S_sub_1/COREAI_0/COREAI_OI1l\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNI1BIEF\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_a4_m6_0_a4_1_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_l1l0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_a4_N_11\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_a4_m6_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNI88N6[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1410\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1281\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNILO21_1[117]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_675\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[21]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[21]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[21]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[21]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[30]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[30]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[30]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i_m7_i_a5\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un5_core8051s_l1i1i_2_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i_m7_i_a5_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un4173_core8051s_oll1l_0_a3\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[4]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_290\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_303\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_395\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[13]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[13]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[13]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_20\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[24]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_7_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_NE_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL_RNO_0[7]\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_171\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[8]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_111\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL_12_i_0[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIFTALF2[4]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1109\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3_0[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1111\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3_2[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIRT0Q71[7]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1143\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3_0[7]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[24]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[24]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[24]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[155]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[35]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[155]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_312\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un4728_core8051s_oll1l_0\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_312\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_306\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[107]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[118]\);
    
    \Memory_0/mem_decode_0/un1_int_nvm_cs_0_a4\ : NOR2A
      port map(A => Core8051S_sub_1_MEMPSRD, B => SW0_c, Y => 
        \Memory_0/mem_decode_0_INT_NVM_CS\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[12]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[12]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[12]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNIEUS2[3]\ : OR2
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt_c2\, B => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[3]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli_ADD_4x4_fast_I10_Y_0\ : 
        MAJ3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N98\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I10_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNIOQV2[0]\ : 
        XA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo00l[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo00L[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo00L[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un2_core8051s_o010l_NE_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[125]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1381\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[125]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_l11I.8.COREAI_IOo0.COREAI_i00L[8]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[8]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un21_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNI2N7JJ[0]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_897\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_iv_0_m1_0_a2_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO_11\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[80]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIM9B3[118]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_954_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_0\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_9\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_16\, 
        Q => \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[33]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[33]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[33]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.un17_core8051s_olli_0_0_ADD_4x4_fast_I6_Y\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N72\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N82\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_115_i_0_o2_0_o2_1\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un25_core8051s_ooi0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_693\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_5\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNIK576[7]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_937\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_938\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_939\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3583_core8051s_oll1l_i_0\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3583_core8051s_oll1l_i_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[0]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_2_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_188\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNI8PSVFT[1]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[1]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNISQ24[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[2]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_902\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[20]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[20]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[21]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[140]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[20]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_27\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[13]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8DE1[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[2]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[2]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii32_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I92_Y_2\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N290_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N283_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_Y_1_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_Y_2_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_0[9]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[9]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0[9]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1121\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_2[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_ll10L\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0i0l\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_io00l_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIDSI31[28]\ : OR2A
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c27\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT[28]_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c28\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un17_core8051s_i110l_1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/N_64\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_66\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E[0]\);
    
    \clk_pll_0/Core\ : PLL
      generic map(VCOFREQUENCY => 60.000000)

      port map(CLKA => EXTCLK_c, EXTFB => \GND\, POWERDOWN => 
        SOC_VCC_NET, GLA => clk_pll_0_GLA, LOCK => OPEN, GLB => 
        OPEN, YB => OPEN, GLC => OPEN, YC => OPEN, OADIV0 => 
        \GND\, OADIV1 => \GND\, OADIV2 => SOC_VCC_NET, OADIV3 => 
        \GND\, OADIV4 => \GND\, OADIVHALF => \GND\, OADIVRST => 
        SOC_VCC_NET, OAMUX0 => \GND\, OAMUX1 => \GND\, OAMUX2 => 
        SOC_VCC_NET, DLYGLA0 => \GND\, DLYGLA1 => \GND\, DLYGLA2
         => \GND\, DLYGLA3 => \GND\, DLYGLA4 => \GND\, OBDIV0 => 
        AFLSDF_GND, OBDIV1 => AFLSDF_GND, OBDIV2 => AFLSDF_GND, 
        OBDIV3 => AFLSDF_GND, OBDIV4 => AFLSDF_GND, OBMUX0 => 
        AFLSDF_GND, OBMUX1 => AFLSDF_GND, OBMUX2 => AFLSDF_GND, 
        DLYYB0 => AFLSDF_GND, DLYYB1 => AFLSDF_GND, DLYYB2 => 
        AFLSDF_GND, DLYYB3 => AFLSDF_GND, DLYYB4 => AFLSDF_GND, 
        DLYGLB0 => AFLSDF_GND, DLYGLB1 => AFLSDF_GND, DLYGLB2 => 
        AFLSDF_GND, DLYGLB3 => AFLSDF_GND, DLYGLB4 => AFLSDF_GND, 
        OCDIV0 => AFLSDF_GND, OCDIV1 => AFLSDF_GND, OCDIV2 => 
        AFLSDF_GND, OCDIV3 => AFLSDF_GND, OCDIV4 => AFLSDF_GND, 
        OCMUX0 => AFLSDF_GND, OCMUX1 => AFLSDF_GND, OCMUX2 => 
        AFLSDF_GND, DLYYC0 => AFLSDF_GND, DLYYC1 => AFLSDF_GND, 
        DLYYC2 => AFLSDF_GND, DLYYC3 => AFLSDF_GND, DLYYC4 => 
        AFLSDF_GND, DLYGLC0 => AFLSDF_GND, DLYGLC1 => AFLSDF_GND, 
        DLYGLC2 => AFLSDF_GND, DLYGLC3 => AFLSDF_GND, DLYGLC4 => 
        AFLSDF_GND, FINDIV0 => SOC_VCC_NET, FINDIV1 => \GND\, 
        FINDIV2 => \GND\, FINDIV3 => SOC_VCC_NET, FINDIV4 => 
        \GND\, FINDIV5 => \GND\, FINDIV6 => \GND\, FBDIV0 => 
        SOC_VCC_NET, FBDIV1 => SOC_VCC_NET, FBDIV2 => \GND\, 
        FBDIV3 => SOC_VCC_NET, FBDIV4 => \GND\, FBDIV5 => \GND\, 
        FBDIV6 => \GND\, FBDLY0 => \GND\, FBDLY1 => \GND\, FBDLY2
         => \GND\, FBDLY3 => \GND\, FBDLY4 => \GND\, FBSEL0 => 
        SOC_VCC_NET, FBSEL1 => \GND\, XDLYSEL => \GND\, VCOSEL0
         => \GND\, VCOSEL1 => SOC_VCC_NET, VCOSEL2 => \GND\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[28]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[28]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[28]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[31]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[31]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1783_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[31]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNICH19_0[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un7_core8051s_iio1i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un4_core8051s_iio1i_NE\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un14_core8051s_o010l\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1469_core8051s_oll1l_0_o3\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_313\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1469_core8051s_oll1l_0_o3_0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[29]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL_RNO[1]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL[0]_net_1\, 
        Y => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_62_i\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_RNO[7]\ : XA1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[7]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/N_160\, C => 
        \Core8051S_sub_1/CoreTimer_1/un6_coretimer_lil\, Y => 
        \Core8051S_sub_1/CoreTimer_1/N_28\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_0[3]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16\, 
        Q => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_core8051s_oiil\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_core8051s_oiil_1_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_oiil\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNIE8QTF[15]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_920\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[15]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a2[0]\ : NOR2
      port map(A => \\\\\MEMADDR_[11]\\\\_c_0\, B => 
        \\\\\MEMADDR_[10]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/N_359\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_loiii_RNO\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un84_core8051s_liol_a0_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_liol_1_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un84_core8051s_liol_0_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un84_core8051s_liol_i\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_II0L\ : DFN1C0
      port map(D => \Core8051S_sub_1/COREAI_0/COREAI_II0L_1\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_II0L_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNISI27[15]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[15]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_707\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1400\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1283\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[20]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[100]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[100]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[104]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[24]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1843_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[104]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_L11_sn_m1_0_0\ : 
        AX1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_358\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[55]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[61]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_L11_sn_N_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNI7KVA[7]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_0_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I5_G0N\ : 
        XAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_0_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_860\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N135\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I111_Y_0\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N302\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I87_un1_Y_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I111_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I111_Y_0_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I30_un1_Y_0\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I30_un1_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2328_core8051s_oll1l_0_a3_m2_e_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2328_core8051s_oll1l_0_a3_m2_e_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_0[1]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo024_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_1[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_2[1]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNII6JB[10]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29_6\, B => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_25\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[19]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[19]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[19]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oi00l_RNI3241\ : 
        INV
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi00L\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi00L_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[4]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1382\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[4]\);
    
    \Memory_0/mem_decode_0/SEL_1_RNO[1]\ : OR3
      port map(A => \Memory_0/mem_decode_0/N_23\, B => 
        Core8051S_sub_1_MEMRD, C => \Memory_0/mem_decode_0/N_27\, 
        Y => \Memory_0/mem_decode_0/un27_sel_i\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_LI0l[7]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[7]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un15_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[7]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_RNO_0[3]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_159\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIlse_2_i_0_a2_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_45\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_716\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_724\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_3[2]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[116]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m_0[2]\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[3]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/N_20\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[3]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNIDDU3[11]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[11]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/COUnt[12]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[49]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[9]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[49]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_268\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNIRV8F[13]\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt_c12\, B
         => \Core8051S_sub_1/CoreTimer_1/COUnt[13]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c13\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.6.COREAI_l01I.COREAI_l00l[6]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[6]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un19_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ii1l.un4_incl_mul_div_da_0_o2\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1375\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_45\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_RNO_0\ : 
        OR3B
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_258_1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/N_48_i_0\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[0]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_258\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[29]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[29]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[29]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1391\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO[6]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_880\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_888\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[6]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv[0]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_3[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[0]\\\\\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[13]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[13]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave14_PSELx_0\, C
         => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[13]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[13]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[154]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[34]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[154]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_310\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I66_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N277\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N274\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N273\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N304\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I110_Y_0\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_252_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N304\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I110_Y_0_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.un297_core8051s_o01_0\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un297_core8051s_o01_0\);
    
    \Core8051S_sub_1/CoreUARTapb_0/un1_cuarto1ii20\ : OR3B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/un16_cuartloii\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/un1_cuarto1ii20_0_net_1\, 
        C => \Core8051S_sub_1/CoreAPB3_0_APBmslave3_PSELx\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/un1_cuarto1ii20_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[13]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1303\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[13]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1305\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[13]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_8[15]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[15]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_l11l.un72_incl_mul_div_da\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_144\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o1ol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un72_incl_mul_div_da\);
    
    \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0_a2_0\ : OR3A
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\, B => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PENABLE\, C => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, Y => 
        \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_a2_0[1]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_159\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_4_0_0_ADD_5x5_fast_I18_Y_0_i_o2\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_13\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_11\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_14_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.un283_core8051s_o01_1\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_216\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI31E1[14]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[14]\, 
        B => \\\\\MEMADDR_[14]\\\\_c\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_883_i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNO[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_348_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_352\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_356\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_14[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNI28M71\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_149\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[5]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i001I\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_Loli\ : DFN1E0C0
      port map(D => \Core8051S_sub_1/COREAI_0/COREAI_Ooli\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/N_429\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_Loli_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_61\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_712\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNIKPV6[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_132\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[10]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[10]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[10]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[10]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNIDV83[3]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_40\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[14]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[14]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[14]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[14]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[3]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_core8051s_o10l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIJSCTB\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[5]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_897\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1074\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L001i_RNI1OA7\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL10\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i0i1i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_i0i1i\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[27]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n27\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[27]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un52_core8051s_l1i1i\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l1i0L\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_io00l\, 
        Y => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a4_0[0]\ : NOR2B
      port map(A => \Core8051S_sub_1/CoreAPB3_0/N_359\, B => 
        \Core8051S_sub_1/CoreAPB3_0/N_57\, Y => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[30]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[30]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1783_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[30]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTL0[7]\ : 
        DFN1
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[7]\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[7]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[23]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c22\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_102\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n23\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_12\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[145]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un372_core8051s_oiol0[25]\);
    
    \MEMADDR17_pad/U0/U1\ : IOTRI_OB_EB
      port map(D => \GND\, E => SOC_VCC_NET, DOUT => 
        \MEMADDR17_pad/U0/NET1\, EOUT => \MEMADDR17_pad/U0/NET2\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_269\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ii0li\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIQ459_3_net_1\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ii0li_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI[5]/U0\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[5]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIQ459_3_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[5]/Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I107_Y_0\ : 
        XNOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N204\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_246\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I107_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il10I_RNIE6C7[1]\ : 
        OR2A
      port map(A => \Core8051S_sub_1/un2_coreai_i0li_1\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_710\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_i000i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[1]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1294\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1295\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I18_Y\ : 
        AO13
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N116\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N149\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.un1_core8051s_oolo0100_0\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0105_6\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0104_5\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNITIPM2[6]\ : 
        XO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli13\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[1]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_93\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1436\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[15]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[15]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[15]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_55\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, Q
         => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un74_core8051s_oll1l_0_i\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un74_core8051s_oll1l_0_i_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_386\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_384\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_128\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_RNO_8\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L_0_a2_1_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO[9]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[9]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[9]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIJLBS1[2]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_8_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_m[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_0[4]\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0[4]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[4]\\\\\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[18]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[18]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[18]\\\\\);
    
    
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_0_iv_0_a2_6[3]\ : 
        NOR3A
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave1_PSELx\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PENABLE\, C
         => \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/N_94\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARToo0i.un12_psel\ : NOR3A
      port map(A => \Core8051S_sub_1/un13_cuartloii\, B => 
        \Core8051S_sub_1/COREAI_l0li\, C => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave3_PSELx\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/un12_psel\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_23\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[144]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_23_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_olli_5_0_0_ADD_4x4_fast_I8_Y_0_i_x2\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N67\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_5[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_14_i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNICQR1[118]\ : 
        NOR2A
      port map(A => \\\\\MEMADDR_[12]\\\\_c\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNICQR1[118]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[7]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un2_core8051s_oiil_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_4_sqmuxa_i\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_5\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_14\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_13\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[148]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un679_core8051s_o0ol0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I0_CO1\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_930\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N204\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_3[11]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1442\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1314\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO[7]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_881\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_889\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un4626_core8051s_oll1l_0_i_o3\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_295\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_321\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNI68N6[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1410\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1184\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_10\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_1[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_1[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_4[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_0[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_729\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_705\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_25\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_737\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_1\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I41_Y_0\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N151_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N154_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N150_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I41_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_3_sqmuxa_1_0\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_i0i1i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_3_sqmuxa_1_0_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[13]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[13]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[13]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_85\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[2]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[2]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_lll_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[27]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[107]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[107]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO_1[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_908\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_3[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_3_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_145\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_12[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_10[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_ooi0i\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iii0I_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_34\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_ooi0i_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_0[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_9[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_8[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_10[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_2\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[50]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIIPV[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_7[1]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[19]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/N_292\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe_0\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[19]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li[9]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[10]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un60_coreai_l0li_i\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[9]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIQ0KKM[4]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_907\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_860\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNI28EQ[2]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_134\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_125\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_140_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[2]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2_0\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_353\, C => 
        \Core8051S_sub_1/N_185\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[3]\ : AX1D
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c2\, B => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_62\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_1_i_RNO[2]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ioi0i_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1060\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNIV4CT[4]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1411\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_960\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_1[4]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l_RNI7SI4[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[2]_net_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[2]\, 
        S => \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI0C044B[3]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_0_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_4[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_5[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.CORE8051S_I0o0i_19_i_i_i_a2_4[10]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_695\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1457\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_707\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1438\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a2_7[0]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_221_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIRV3NB[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[1]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_904\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli_ADD_4x4_fast_I11_Y_0_o2\ : 
        AO13
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N100\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL_i_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N98\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIF4POV2[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_m[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_3[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_5[0]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[30]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c29\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_116\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n30\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.un1_core8051s_oolo0100_1\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo025\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1407\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un5_core8051s_l1i1i_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_1_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_4[6]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_412\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_404\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_182\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_420\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[2]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_75\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_44_i_0_i\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_0[0]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo024_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_2[0]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[8]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[8]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_323\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I4_G0N\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N132_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I34_Y\ : 
        AO18
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N216\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_328_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N269\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol_RNO[3]\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_172\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_29_i_0_i\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_62\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNISH9SG4[3]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_194\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_2[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_3[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNILLK1[138]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[138]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[139]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_6_0_o2_0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[133]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_224\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[133]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1_RNIGMG51[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1325\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[2]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_L11_sn_N_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_4[2]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_99\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_a10_4_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I109_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_3[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_681\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_697\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[57]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_705\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_3[0]\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a11_5_1[0]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_222\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_1_sqmuxa_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un73_core8051s_oll1l_0_a2_i_o3\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_309\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[4]\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_349\);
    
    \Memory_0/data_read_mux_0/BUFF_SelAux_1_0_inst\ : BUFF
      port map(A => \Memory_0/mem_decode_0_SEL1to1\, Y => 
        \Memory_0/data_read_mux_0/SelAux_1_0_net\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[36]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[36]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[36]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[30]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0[39]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[30]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[30]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_2\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNINAD1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[90]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_4[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI9D1M5[1]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_906\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_ooi0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI9D1M5[1]_net_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[5]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[5]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave14_PSELx_0\, Y
         => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[5]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l0oi[5]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[5]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un3_coreai_l0li_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[3]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_181\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un33_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[3]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIUP56\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_30\, B => 
        \Core8051S_sub_1/COREAI_0/N_46\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_62\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l_RNIPPTA[4]\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_427\, B => 
        \Core8051S_sub_1/COREAI_0/N_118\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_134\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I82_un1_Y\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I64_un1_Y_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N271_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N295\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I82_un1_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2008_core8051s_oll1l_i_o3_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_298\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIHSL61[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[0]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o101i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_144\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_85\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un69_core8051s_l0i0l_1\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[3]\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[6]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un69_core8051s_l0i0l_1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[61]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[21]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1813_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[61]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_30\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_0[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_102\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_16_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_18_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_17_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_21_2\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[15]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[15]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave14_PSELx_0\, Y
         => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[15]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[2]\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1234\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_i_0[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1235\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_451\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[15]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[15]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[15]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_28_m_i[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_3[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_3[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_166\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_182_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[57]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_190\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_1[1]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo022_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_0[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_5\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_298\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_300\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_4_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3447_core8051s_oll1l_0_0_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_96\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_i000[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_623\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_4[0]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[5]\\\\_0\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[4]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I0LL_0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooiI.CORE8051S_LOII.core8051s_ioii28\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii28\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I66_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N277_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N274_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N273_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N304_0\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.3.COREAI_o11i.COREAI_i00L_RNIHEJ6[3]\ : 
        MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_141\, B => 
        \Core8051S_sub_1/COREAI_0/N_157\, S => 
        \\\\\MEMADDR_[3]\\\\_c_2\, Y => 
        \Core8051S_sub_1/COREAI_0/N_173\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_99\ : 
        OR2A
      port map(A => \\\\\MEMADDR_[12]\\\\_c\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_848\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNI7G6KI[3]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_3[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_3_m[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_5[3]\);
    
    \MEMADDR_pad[9]/U0/U0\ : IOPAD_TRI
      port map(D => \MEMADDR_pad[9]/U0/NET1\, E => 
        \MEMADDR_pad[9]/U0/NET2\, PAD => MEMADDR(9));
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_m2\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01\, 
        B => \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un2_core8051s_oiil_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1360\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_a2_0_4\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[104]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_a2_0_3_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[54]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_a2_0_4_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lli_RNO_5\ : OR3B
      port map(A => \Core8051S_sub_1/CoreTimer_0/N_249\, B => 
        \Core8051S_sub_1/CoreTimer_0/N_39\, C => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[3]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_55\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_48\ : 
        XO1A
      port map(A => \\\\\MEMADDR_[6]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[46]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_984\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIDUNJN2[4]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[4]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIA4PF9[3]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_103_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1368\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_2[5]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_RNO[0]\ : 
        AXOI5
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un7_baud_clock\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_c0\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_e0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_43\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_0\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un696_core8051s_o0ol0_NE_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un696_core8051s_o0ol0_NE_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un696_core8051s_o0ol0_NE_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un696_core8051s_o0ol0_NE\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i_RNO[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[17]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_710\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_96\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[4]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1382\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_4[4]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[3]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I111_Y_0_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_328_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I111_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[58]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[18]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[58]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1394\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNI6SU2[14]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[14]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[14]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_899\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNISKIDG52[5]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_4_5_N_8\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_3[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m[5]\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[5]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[8]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n8\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[8]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_5[0]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_182\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_182_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un481_core8051s_oll1l_0_a2_i_o3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_289\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_287\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_302\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/CORE8051S_o0O1I\ : 
        DFN1E1C0
      port map(D => \Core8051S_sub_1/CORE8051S_0/CORE8051S_llL0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un1_core8051s_o01\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ll0II\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.CORE8051S_iio0i_19_i_i_o2_4[15]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_714\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIM987[12]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_305\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[12]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_306\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNIIVN2[22]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[22]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_ILl0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iiI0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_340_e\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1873_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un48_core8051s_oll0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un39_core8051s_oll0i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_55\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_2_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_55\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_a3_1\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_416_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_416\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO_3[1]\ : OR2A
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, B
         => \Core8051S_sub_1/CUARToOLI\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/rxrdY_m\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO_0[13]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[13]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[5]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/N_67\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[13]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI4FQD[6]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1447\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[6]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1192\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_2[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I48_Y_0\ : 
        AO18
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N138\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_862\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_Y_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[25]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n25\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[25]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_7[7]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_115\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_2[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_3[7]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[2]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n2\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[2]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[22]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[22]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[22]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_100\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_57\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_2[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_2[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i_RNIE2981\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[1]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_163\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNIE7K71_0\ : 
        INV
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo10_i[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIIPV[38]\ : 
        NOR2A
      port map(A => \\\\\MEMADDR_[10]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIIPV[38]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIRF2P[24]\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c23\, B
         => \Core8051S_sub_1/CoreTimer_0/COUnt[24]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c24\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNISJH8G[5]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_8_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[5]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0_RNILRQ5M[10]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNITV88A_net_1\, 
        B => \\\\\MEMADDR_[10]\\\\_c_0\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1108\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_RNO_11\ : OR2A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[0]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[3]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_1/N_168\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_i010.1.COREAI_i110.COREAI_ooo1\ : 
        IOPAD_A_IN
      port map(PAD => ATRETURN1, Y => 
        \Core8051S_sub_1/COREAI_0/COREAI_LL1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[23]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[23]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[23]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO[1]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_920\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[1]\);
    
    \MEMADDR_pad[6]/U0/U0\ : IOPAD_TRI
      port map(D => \MEMADDR_pad[6]/U0/NET1\, E => 
        \MEMADDR_pad[6]/U0/NET2\, PAD => MEMADDR(6));
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[9]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[9]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_325\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[60]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[20]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1813_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[60]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I59_Y_0\ : 
        XNOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_857\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N224\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_2[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_3[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_0[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_135\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_8[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_3[5]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_57\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1309\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_RNIFEP3[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo00L[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_28\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_29\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO_9\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE5H2[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[88]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_952_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_9_i_a2_6[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_42\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[21]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_92\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_0[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_559\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_535\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_25\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_567\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNITBAMPH[5]\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[5]\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_2_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_o0l1i_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_79\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_710\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIAMJG23[14]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0_0_0[14]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1215\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1216\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[14]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[0]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[0]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/un5_psel\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[0]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l_RNI94J4[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[3]_net_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[3]\, 
        S => \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI7432[84]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[84]\, 
        B => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_873_i_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0[0]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16_i_i_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_122\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNICV1PFU[7]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_l01ii.CORE8051S_i1OO0.un351_core8051s_io00l_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIQ9JGO1[7]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIR951RC[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m[7]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[31]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[31]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un5_oen_0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[31]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNI02523\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1Ol_0_RNIMD2U[1]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_145\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNILBCT_net_1\, 
        Y => Core8051S_sub_1_MEMPSRD);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_RNO\ : 
        XA1B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_7_i\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_9_iv_0_x4_0\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTo11L_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_9\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lli_RNO_1\ : NOR3C
      port map(A => \Core8051S_sub_1/CoreTimer_0/N_251\, B => 
        \Core8051S_sub_1/CoreTimer_0/CorETIMER_ili_0_0\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_55\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CorETIMER_ili_0_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_57\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIJ92R4[1]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_8_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIKHNVF[9]\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_909\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[14]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[94]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[54]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[14]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[14]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIGESU5[0]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[0]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[33]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[0]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[6]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[6]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, C
         => \Core8051S_sub_1/un5_oen\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIK9AI_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un4_udrsh\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_udrsh\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_2[6]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1369\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1239\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIR1G79[1]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_8_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1I0L_m[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[24]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[24]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1783_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[24]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.core8051s_lioo0_1_i_o2_1_RNO_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_118\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_o2_1_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO_1[5]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_906\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l0l1i\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIPFVE453[5]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l0l1i_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[5]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/N_298\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_69\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_4\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOED1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[91]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_4[2]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[0]\ : MX2A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[0]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[0]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_40\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[30]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n30\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[30]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_o2_0[1]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_97\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_109\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_1[7]\ : NOR3
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c5\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[6]_net_1\, C => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/N_69\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l_RNIBG5B[1]\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_424\, B => 
        \Core8051S_sub_1/COREAI_0/N_115\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_131\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_57\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_1[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_1[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_0[0]\ : 
        XNOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I0LL_0_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I0LL_0_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I0LL_0_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I0LL_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNO[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[3]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[31]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iioi_1[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNI9LVQ6_0[5]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1399\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I2_P0N\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_0_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N127_0\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l0oi_RNIL763[3]\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_ioli_net_1\, 
        B => \Core8051S_sub_1/COREAI_0/COREAI_l0oi[3]_net_1\, S
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_29\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.7.COREAI_l01I.COREAI_l00l_RNIUAJ3[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[7]_net_1\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[7]\, S => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_145\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0[6]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_2_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_4_sqmuxa_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_194\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIBLV48\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_888\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un134_core8051s_oll0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_1[2]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_0_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_core8051s_o01_0\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_o01_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_OL00l\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_o01_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_core8051s_o01_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I84_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N304\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N297\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N296\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N362\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[5]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_28\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiole\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIERC1[36]\ : 
        MX2
      port map(A => Core8051S_sub_1_MEMRD, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_II00\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[36]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1416\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_1[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_55_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_15[4]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_86\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_22\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIVGS57[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_partial_sum_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIIIF931[12]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1102\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iLI0I_1_I_5\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIIL0C[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_0_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNI53OO4M2[0]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_4[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m[0]\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[0]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[7]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/N_300\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_73\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n7\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I96_un1_Y\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N291_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N299_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N306\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I96_un1_Y_i_0\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.0.COREAI_l01I.COREAI_l00l[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un19_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_9[7]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_116\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_2581_tz\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_9[7]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[24]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[24]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[24]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un812_core8051s_oll1l_0_i_a3_0\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_444\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_287\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_422\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_0[5]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[5]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave3_PSELx\, C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_0[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_13[2]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un136_incl_mul_div_da_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3136_core8051s_oll1l_0\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_342\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_294\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[71]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[90]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNI68PTF[11]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_908\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_a10_2_1[0]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_165\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_156\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_123_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[4]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[84]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[124]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_4[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_2[1]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1490\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_338\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_559\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNITNL71\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_148\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[4]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i001I\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_5[0]\ : OR3A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1[0]_net_1\, B
         => \Core8051S_sub_1/N_115\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_164\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1_m[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1_83_e[7]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_182\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[57]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1490\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_7[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[4]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_234\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_RNIN6F2[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[2]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[10]\\\\\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[3]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_158\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIKAB3[7]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[7]\, 
        B => \\\\\MEMADDR_[7]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_ii1o0_7_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[30]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[30]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[30]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO_1\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[84]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_782\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_RNO_5\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_8\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIII1IR[6]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_853\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_862\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNI9JOIH[8]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[8]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_i1l0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_674_i_0_a2_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_m_1[8]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS2_m[0]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave2_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave2_PRDATA_[0]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS2_m[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[1]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_sqmuxa_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[4]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oli0i_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il10I_RNI1CRLE82[0]\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i100i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_ol10i_d\, 
        C => \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PENABLE\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il10I_ns[0]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[4]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/N_23\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[4]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1[1]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[1]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un7_coretimer_o1_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_21\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[55]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIALE1[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_6[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[5]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1437\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[5]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1342\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_9\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIDRDD7[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_3[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_43\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_1_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_2_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_2_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_11[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[128]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_364\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[128]\);
    
    \MEMADDR_pad[11]/U0/U1\ : IOTRI_OB_EB
      port map(D => \\\\\MEMADDR_[11]\\\\_c_0\, E => SOC_VCC_NET, 
        DOUT => \MEMADDR_pad[11]/U0/NET1\, EOUT => 
        \MEMADDR_pad[11]/U0/NET2\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO[1]\ : OR3C
      port map(A => \Core8051S_sub_1/CoreUARTapb_0/daTA_Out_m[1]\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1_iv_0[1]\, 
        C => \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[1]\, Y
         => \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[1]\);
    
    
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_0_iv_0_a2_0_0[3]\ : 
        XA1B
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, B
         => \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, C => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_0_iv_0_a2_0_0[3]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/un3_coreai_l0li_1\ : NOR2
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, 
        B => \Core8051S_sub_1/COREAI_l0li\, Y => 
        \Core8051S_sub_1/COREAI_0/un3_coreai_l0li_1_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIVNC[1]\ : OR2
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[1]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[0]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_295\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[119]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_315\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[119]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE2S1[118]\ : 
        NOR2A
      port map(A => \\\\\MEMADDR_[14]\\\\_c\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE2S1[118]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[29]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[29]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[29]_net_1\, 
        S => \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_117\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_RNIJEI[1]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[1]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[0]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_1/N_40\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNI2C2KD[3]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[3]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_906\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_99\ : 
        OR2A
      port map(A => \\\\\MEMADDR_[11]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_856\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_sn_m2_i_0_o2\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_199\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_696\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_717\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_i_o2[1]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_181\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1373_core8051s_oll1l_0\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_300\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_332\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_378\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[31]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[18]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1224\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[18]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_1[0]\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_1[0]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[13]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/N_306\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_85\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n13\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[5]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[5]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNI3OVA[2]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_0_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[5]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a2[6]\ : NOR3B
      port map(A => \\\\\MEMADDR_[9]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0_APB3master_PSELx\, C => 
        \\\\\MEMADDR_[8]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/N_360\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/fifobloCK0_RNO_5\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[5]\, B
         => \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[5]\);
    
    \MEMADDR_pad[4]/U0/U0\ : IOPAD_TRI
      port map(D => \MEMADDR_pad[4]/U0/NET1\, E => 
        \MEMADDR_pad[4]/U0/NET2\, PAD => MEMADDR(4));
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIAI01_0\ : 
        BUFF
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[2]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_129\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0_a2_1[8]\ : 
        XAI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_oili[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1344\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I94_un1_Y_0\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N264\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N268\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N287\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I94_un1_Y_0\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO_0[4]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[4]_net_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_n4_0_i_a3_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ol00i[2]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un25_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[18]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[10]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[10]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNIMNM32[6]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_2[3]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_93\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_2_m[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_1[1]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1444\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1297\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[1]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_RNO[1]\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, B
         => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un7_baud_clock\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_e1_i_0\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_46\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l01l\ : DFN1C0
      port map(D => \Core8051S_sub_1/COREAI_0/COREAI_O01L\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_l01l_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIU2QD[3]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1447\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[3]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1172\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_2[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO_0[17]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[17]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[9]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/N_67\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[17]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_3[17]\ : NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[17]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n17_0_i_a2_1_0\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_RNO[0]\ : NOR2
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/un6_coretimer_lil\, B => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[0]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_n0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I40_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N211\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N207\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N210\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N275\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIVSUF3[4]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[8]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_292\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNI7OVA[6]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_0_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[1]\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_8[0]\ : NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CORETIMer_i1l_net_1\, B => 
        \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CORETIMer_i1l_m_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_49\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_23\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[28]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[31]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_2_0_a2_i_0_a2_1_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un2_core8051s_l010l_0_I_10\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo00l[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo00L[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E_0[10]\);
    
    \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2\ : NOR3A
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, B => 
        \Core8051S_sub_1/CoreTimer_1/N_163\, C => 
        \Core8051S_sub_1/N_185\, Y => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[88]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_296\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[88]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li_RNIRMO2[4]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[4]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_57\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L001i_RNO_0\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_i000[7]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[99]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l1oo0_1_0_a2_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[1]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[41]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_3[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[2]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_451\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.un1_core8051s_liol_1_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_98\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[116]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_1_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIP44PI[104]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[104]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I12_Y\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N132\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N136\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N135\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N150\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNIQUTUF[1]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_906\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_981\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNIGGMN2[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/d_N_4\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/B1_RNIO7GQ[1]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNILS8U[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_io00l\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[14]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[14]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[14]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[8]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[9]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_1_m_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI933J[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[2]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[32]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_13[0]\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_218\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_221_i\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_201\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_looi_RNI6FJ8\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_173\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_looi_net_1\, S => 
        \\\\\MEMADDR_[5]\\\\_c_2\, Y => 
        \Core8051S_sub_1/COREAI_0/N_189\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLII.un21_core8051s_oiol_0_a2_0_o2_0\ : 
        OR3B
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL10\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[1]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_i0i1i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_699\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_RNO[3]\ : 
        XO1
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_i[3]\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_64\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_90\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_27\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[16]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[16]\\\\\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave14_PSELx\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[16]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[16]\\\\\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_LI0l_RNIBAA2[4]\ : NOR2A
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[4]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_142\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iLO1L_RNIL94UA\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un3_core8051s_lii0_b0_0_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/core8051s_lii0_N_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iLO1L_RNIL94UA_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_1[2]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo022_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ol00i[4]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo10_i[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un25_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[20]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[13]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_432\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[13]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_li01I\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_13\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_l100\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_62\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[125]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_784\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[7]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[7]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[2]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[2]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[2]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL[5]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[5]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL_1_sqmuxa\, 
        Q => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_14[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un2_core8051s_l010l_0_I_2\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo00l[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_2[3]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_4_m[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli_m[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_2[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I17_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N130_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N127_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N155_0\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTool/fifobloCK0_RNICUI\ : 
        INV
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTool/CUARTo01L\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTo01L_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un921_core8051s_oll1l_0_a3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_320\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_300\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[21]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_4\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un372_core8051s_oiol0[20]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un372_core8051s_oiol0[22]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un372_core8051s_oiol0[25]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1466_core8051s_oiol0_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_1_0\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_128\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1361_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[149]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1402\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[149]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIQ9JGO1[7]\ : 
        OR2B
      port map(A => \d_m2_1\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_i000[7]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIQ9JGO1[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_olli_4_0_0_ADD_4x4_fast_I10_Y_0_i_o2\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_4[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N67\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_olli[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.un5_core8051s_oiol_0_a2_0_a2\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1387\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_707\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un5_core8051s_oiol\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTOL\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/un9_cuarti\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, Q
         => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTOL_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[45]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1379\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[45]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0_a2_2[1]\ : 
        XO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N125\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_78\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[17]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[18]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[18]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I120_Y_0\ : 
        AX1E
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I93_un1_Y_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_Y_2_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I120_Y_0_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I120_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_5_i_o2_RNO_1\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[98]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[99]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_5_i_o2_0_1\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNIMBB9[10]\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt_c9\, B => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[10]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c10\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI2AB3[118]\ : 
        MX2
      port map(A => \\\\\MEMADDR_[6]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[6]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_786\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3286_core8051s_oll1l_0_i_RNO\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3286_core8051s_oll1l_0_i_RNO_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3286_core8051s_oll1l_0_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_312\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3286_core8051s_oll1l_0_i_2\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[4]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[4]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[4]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_67\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l[2]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_4[2]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[2]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[19]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave0_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[19]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[19]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[46]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_29\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[46]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[10]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave0_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[10]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[10]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_9[6]\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[5]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_3[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[35]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[155]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[35]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[35]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[7]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[7]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[7]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/un5_coretimer_i0l_1\ : OR2
      port map(A => \\\\\MEMADDR_[3]\\\\_c_2\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => \Core8051S_sub_1/N_185\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un5_core8051s_l1i1i_2\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un108_core8051s_l1i1i_1_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_io00l_4\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un5_core8051s_l1i1i_2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un5_core8051s_l1i1i_2_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_2\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_3_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un72_incl_mul_div_da\, 
        C => \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_2_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO_0[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_874\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO[13]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[13]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_1/COUnt_m[13]\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[13]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.2.COREAI_l01I.COREAI_l00l_RNIFAJ3[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[2]_net_1\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[2]\, S => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_140\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_31\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_789_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_1_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_6\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_7[7]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un4_udrsh\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_28[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UTDI_m_0_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNIFF0I2[38]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[6]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_772\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_780\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[159]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_317\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[159]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un15_core8051s_ii10l\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I0I0L\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_89_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un15_core8051s_ii10l_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI5032[83]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[83]\, 
        B => \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_871_i_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_a3\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_310\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_300\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_366\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[105]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[25]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1843_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[105]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_a2_11[0]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_i0i1i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1382\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_RNO[6]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_65\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[6]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_102\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_ns_e[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIVC3AC1\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIO2S3M_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNICJP3[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_o1i0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i1i0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_oo00i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[7]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[47]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[39]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[39]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[39]\);
    
    \Memory_0/data_bus_buffer_0/BIBUF_6_inst/U0/U0\ : IOPAD_BI
      port map(D => 
        \Memory_0/data_bus_buffer_0/BIBUF_6_inst/U0/NET1\, E => 
        \Memory_0/data_bus_buffer_0/BIBUF_6_inst/U0/NET2\, Y => 
        \Memory_0/data_bus_buffer_0/BIBUF_6_inst/U0/NET3\, PAD
         => EXT_DATA(6));
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_RNO[2]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_1_sqmuxa_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[2]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_20\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiole\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_4[7]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[6]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_loi0i_2\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_loi0i_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_OL00l\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_292\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_loi0i_2_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_RNI2R25B[0]\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_735\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_oiol\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1547\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1553\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3751_core8051s_oll1l_0_a3_0\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_286\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_316\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_405\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNICANG2C[3]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_5[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[6]\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1217\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_0[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1218\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_380\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_0[4]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[4]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un16_core8051s_o010l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILLi\ : 
        DFN1E0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILLi_4\, 
        CLK => clk_pll_0_GLA, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILLi_1_sqmuxa\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_L0i0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI9GH61[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_865\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1416\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I92_un1_Y\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N298_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I85_un1_Y_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_un1_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I92_un1_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I7_P0N_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1144\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I7_P0N_0\);
    
    \Core8051S_sub_1/CoreGPIO_0/PRDATA[1]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreGPIO_0/COREGPIO_ol[1]_net_1\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave2_PRDATA_[1]\\\\\);
    
    AFLSDF_INV_34 : INV
      port map(A => \\\\\MEMADDR_[2]\\\\_c\, Y => \AFLSDF_INV_34\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF6S1[118]\ : 
        NOR2A
      port map(A => \\\\\MEMADDR_[15]\\\\_c\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF6S1[118]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_o01\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l1i0L\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_ILl0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_o01_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[59]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1395\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[59]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIOI.un1_core8051s_liol_2\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[29]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[27]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[27]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[27]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[27]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[27]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I6_P0N\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N139\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_OIII.un25_core8051s_oiol_0_a2_0_a2_1\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_697\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un25_core8051s_oiol_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIHJB5\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_87\, B => 
        \Core8051S_sub_1/COREAI_0/N_420\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_119\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[21]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/N_294\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe_0\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[21]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[30]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[110]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[110]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[29]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[109]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[109]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_43\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNI3VTUF[4]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_921\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_68\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[111]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_oll0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO_0[5]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[5]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_924\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_7_sqmuxa_0_a2_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1382\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_l01_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1384\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l1OI_RNO\ : INV
      port map(A => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_81\ : 
        OR2A
      port map(A => \\\\\MEMADDR_[14]\\\\_c\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_843\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3022_core8051s_oll1l_0_0_a3\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_390\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[14]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[14]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[14]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_87\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[20]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[20]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[20]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_96\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ilo0i_I_76\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_14\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[4]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[44]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[44]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_RNO[5]\ : XA1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[5]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/N_158\, C => 
        \Core8051S_sub_1/CoreTimer_1/un6_coretimer_lil\, Y => 
        \Core8051S_sub_1/CoreTimer_1/N_24\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[2]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_93\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJOT2[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_12_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I43_un1_Y\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N174\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_855\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I43_un1_Y_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L001i_RNI0CE2A9\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i_m7_i_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i_m7_i_a5_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_i0i1i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L001i_RNI0CE2A9_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIQRMQ[23]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c22\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT[23]_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c23\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[18]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[18]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[18]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNILSCI9G[7]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_188\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_5[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNILSCI9G[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.un283_core8051s_o01_1_0\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_216\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un283_core8051s_o01_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_RNI6V84_0\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[4]_net_1\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNTe\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO_0[0]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[1]_net_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_n0_0_i_a3_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_3_tz_0\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_105_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1371\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_45\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_3_tz_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_0_RNI6DKP9[7]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_m[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m_0[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I30_un1_Y\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I7_P0N_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N222_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I30_un1_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIHEF931[11]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1084\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.core8051s_l0lo026_4\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_23\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[2]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1437\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_0_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[94]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[14]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[94]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_190\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[90]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[10]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[90]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_243\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_4[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_158\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_150\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_182\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_166\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_i01o0_6_0_0_x2\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[126]\, 
        B => \\\\\MEMADDR_[6]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_787_i_0_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIQ9Q7T[0]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNI5DDQC[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_2_0_N_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO[20]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[20]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[20]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[20]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNI98M37[2]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL_i_0[2]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_56\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1432\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNI16M7\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1422\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1235\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ioo1l_0_0_0_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNI26J5_0\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_79\, B => 
        \Core8051S_sub_1/COREAI_0/N_414\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_111\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_40\ : 
        XAI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[21]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[61]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[21]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNILGK9[82]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_7\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_909_i_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_869_i_0_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_18\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un17_core8051s_i110l_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un17_core8051s_i110l_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_7[1]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_i_a11_3_0[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_208\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_RNO[0]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_65\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[6]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_93\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_ns_e[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNO[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[10]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_711\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_81\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI2032[43]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[43]\, 
        B => \\\\\MEMADDR_[3]\\\\_c_2\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_794_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[47]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[7]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1813_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[47]\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_1_sqmuxa_1\ : OR2A
      port map(A => \\\\\MEMADDR_[2]\\\\_c\, B => 
        \\\\\MEMADDR_[3]\\\\_c_2\, Y => 
        \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE6S1[133]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[133]\, 
        B => \\\\\MEMADDR_[13]\\\\_c\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_890_i_i_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lil_RNILUTL2_0\ : OR3C
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_lil_i_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oll_i\, C => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_1_sqmuxa\, Y => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_67\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_793_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1484\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[24]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0[39]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[24]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[24]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIAIPOFJ[5]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_m6_i_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_N_10\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_2[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_3[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1002_core8051s_oll1l_0_i\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_291\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1094_core8051s_oll1l_0_a2_i_o3_1_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_321\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_285\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_221\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_239\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_735\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNI2LMD[10]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1443\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[10]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1167\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_3[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_a2_0_1\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_248\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[107]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_a2_0_1_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un6_coretimer_oil_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/un4_coretimer_o1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_net_1\);
    
    \Core8051S_sub_1/CoreGPIO_0/CoreGPIO_LL[0]\ : DFN1C0
      port map(D => \dataIn_c[0]\, CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreGPIO_0/CoreGPIO_LL[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNO[6]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[14]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_711\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_89\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_115\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_0[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un348_core8051s_oiol0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[22]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[23]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[23]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNO[2]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[26]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_712\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_173\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2732_core8051s_oll1l_0_a2_i\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_312\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_304\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_279\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_O100\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO[22]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[22]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[22]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[22]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ii1l.un48_incl_mul_div_da_0_a2_1\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un48_incl_mul_div_da_0_a2_1_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_incl_mul_div_da_0_a2_5_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1388\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_7[2]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_148\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_198\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_151\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_2[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[24]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[24]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[24]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNI5MS1\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iili[2]\, B
         => \Core8051S_sub_1/COREAI_0/COREAI_il0l[2]_net_1\, S
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_44\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ll1ii/un3_core8051s_o01_0\ : 
        OR2B
      port map(A => \Memory_0.INV_1_Y\, B => 
        Core8051S_sub_1_MEMPSRD, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[7]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_100\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[10]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[11]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_3_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_2_1_0[0]\);
    
    AFLSDF_INV_19 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_19\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_RNO[2]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/I_11\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un1_core8051s_o01_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/I_18_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_4[2]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.3.COREAI_o11i.COREAI_i00L[3]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[3]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un21_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNI9NJ71_0\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_144\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i001I\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIBGBI5[6]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[6]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[55]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNI1OTK7\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_core8051s_o01_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0_a2_m6_0_a3_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0_a2_N_7_tz\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO[7]\ : AO1C
      port map(A => \Core8051S_sub_1/un5_oen_0\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[7]\, C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[7]\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[7]\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO_1[2]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[2]_net_1\, 
        B => \Core8051S_sub_1/CoreInterrupt_0/N_74\, C => 
        \Core8051S_sub_1/CoreInterrupt_0/N_97\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/N_79\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_11[0]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_199_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_116\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_156\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_124\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[9]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[9]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un5_oen_0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_2[12]\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_696\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_73\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0[12]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I2_G0N\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_0_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N126_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I36_un1_Y\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N217\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_i[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_i[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I36_un1_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[2]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un2_core8051s_oiil_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_4_sqmuxa_i\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[2]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol_RNO[1]\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_29_i_0_i\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_58\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[1]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_263\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[2]\ : 
        OR3C
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_266\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_265\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_267\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[2]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l_RNIE7R3[0]\ : NOR2B
      port map(A => \Core8051S_sub_1/N_186\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[0]_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_423\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I33_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N223\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I5_P0N_m5_e\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N268_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I22_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N238_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N234_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N237_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N257_0\);
    
    AFLSDF_INV_17 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_17\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIRS96[83]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_l01o0_7_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_877_i_0_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_871_i_0_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_16\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[13]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n13\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte_0\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[13]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un69_core8051s_l0i0l_3\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un69_core8051s_l0i0l_1_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un71_core8051s_l0i0l_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_l1il_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un69_core8051s_l0i0l_3_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_101\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[125]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[5]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_935_i_0_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNILUE59[13]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[13]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ioi0i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_935\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_o11l_RNIF3D8\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_172\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_o11l_net_1\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_188\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_li0li\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_OI0LI_net_1\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_li0li_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_5_0_0_ADD_5x5_fast_I13_Y_i_o4\ : 
        AO13
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL_i_0[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_15_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_17\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO_0[6]\ : OR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[6]_net_1\, B => 
        \Core8051S_sub_1/un11_cuartloii\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[6]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[21]\ : OA1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[20]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_313\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n21_0_i_a2_0\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_133\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[25]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[25]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[25]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_0_RNIJ9N41[5]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[5]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_6_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1370\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNIO476[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_942\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_949\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_956\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_RNO_5\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_1_sqmuxa_i_a4_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_137\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO_1[15]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[15]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[15]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_72\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_RNI6V84\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[4]_net_1\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNTe_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNINEIR[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_872\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1440\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ilo0i_I_65\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_22\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[1]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL_1_sqmuxa\, 
        Q => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[1]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[21]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[21]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[21]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[21]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[16]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[17]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[17]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_1\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\, 
        B => Core8051S_sub_1_MEMRD, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1417\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_1_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[8]\ : AX1D
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/N_301\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_75\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n8\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIJ46N[21]\ : NOR3
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[20]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_313\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[21]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_335\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[3]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oli0i_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I30_Y_1\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/I10_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N125\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I30_Y_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I30_Y_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_1[18]\ : NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, B
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[18]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_125\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_71\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_797\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[18]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[18]\\\\\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave14_PSELx\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[18]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[18]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_7[6]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_5[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_5_m_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNIM107[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_134\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.un1_core8051s_liol_3\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_3_1_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_31\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[4]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[7]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[87]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[127]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_5[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_27\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8DE1[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[53]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.un150_core8051s_o01_1\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un150_core8051s_o01_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2522_core8051s_oll1l_0_a2_i_o3\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[3]\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_292\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[14]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[14]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, C
         => \Core8051S_sub_1/un5_oen\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[14]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv[3]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_m[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_2[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_ooli_m[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[3]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNILUVB[23]\ : NOR3C
      port map(A => \Core8051S_sub_1/CoreTimer_0/coretimer_loi_5\, 
        B => \Core8051S_sub_1/CoreTimer_0/coretimer_loi_4\, C => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_11\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_13\);
    
    \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_353\, C => 
        \Core8051S_sub_1/N_185\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[2]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[2]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[2]\\\\\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[25]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[25]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[25]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNILID1[130]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[130]\, 
        B => \\\\\MEMADDR_[10]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_902_i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_0[1]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_52\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_2_0_0[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_2_0_1[1]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTLIol\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_42\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, Q
         => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTLIol_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[42]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_138\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[42]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I112_Y_0\ : 
        AX1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N300\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I86_un1_Y_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I112_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I112_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[4]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_3[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_2[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_4[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_RNIUT15_0[1]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_29\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI4EP6[47]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_o01o0_7_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_7\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_792_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_16\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_28\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE2S1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[134]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[94]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_190\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[94]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_i0li_1_0_iv_0_a2_3_RNISG29O[4]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIE4B37[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_2[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_4[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_5[4]\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0[3]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/N_13_i_0\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[3]\\\\\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[4]\ : 
        DFN1E1C0
      port map(D => \AFLSDF_INV_35\, CLK => clk_pll_0_GLA, CLR
         => \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNO[4]_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[4]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_IOI\ : DFN1P0
      port map(D => \Core8051S_sub_1/CoreTimer_1/coretimer_loi\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_IOI_i\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[1]\ : NOR3C
      port map(A => \Core8051S_sub_1/CoreTimer_0/N_269\, B => 
        \Core8051S_sub_1/CoreTimer_0/N_270\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_267\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii_0_iv_0_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_62\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[45]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNISOT2[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_5[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_43\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_807\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I11_G0N\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1045\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[11]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N237_0\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_RNO_7\ : OR2A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[0]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[5]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_1/N_167\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_6_m[3]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_17_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_6_m[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_0_RNI8D06[0]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i0i1i_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_l001i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_i0i1i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_l001i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_2_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNI6BK5[5]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_947\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_954\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[0]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_961\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_RNO[9]\ : XA1C
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[9]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/N_165\, C => 
        \Core8051S_sub_1/CoreTimer_1/un6_coretimer_lil\, Y => 
        \Core8051S_sub_1/CoreTimer_1/N_32\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[1]\ : 
        DFN1P0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[1]\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I32_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N158\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N155\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N154\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N173_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[6]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[6]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[6]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIAE2O01[36]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_761\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_777\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[36]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ii1l.un4_incl_mul_div_da_0_a2_4_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o1ol\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_388\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_incl_mul_div_da_0_a2_4_0\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[21]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\, B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[21]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[21]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i100i_a0\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_221_i_0\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_liol_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_356\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_1[6]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1520_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNII0P43\ : 
        NOR3B
      port map(A => \Memory_0.INV_1_Y\, B => 
        Core8051S_sub_1_MEMPSRD, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNII0P43_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_1[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_partial_sum_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_15[0]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_82\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[9]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[9]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[9]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_266\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_2[4]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[4]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un9_core8051s_oiol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_15[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_66\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I116_Y_0\ : 
        AX1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I80_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I97_Y_0_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I116_Y_0_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I116_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO[0]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_8[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_7[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_187\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_220_e\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1783_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_RNO_5\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_a3_1_0\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[30]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\, B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[30]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[30]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li_CUARTi0LI/CUARTool/fifobloCK0\ : 
        FIFO4K18
      port map(AEVAL11 => \GND\, AEVAL10 => \GND\, AEVAL9 => 
        \GND\, AEVAL8 => \GND\, AEVAL7 => \GND\, AEVAL6 => \GND\, 
        AEVAL5 => \GND\, AEVAL4 => \GND\, AEVAL3 => SOC_VCC_NET, 
        AEVAL2 => \GND\, AEVAL1 => \GND\, AEVAL0 => \GND\, 
        AFVAL11 => \GND\, AFVAL10 => SOC_VCC_NET, AFVAL9 => 
        SOC_VCC_NET, AFVAL8 => SOC_VCC_NET, AFVAL7 => SOC_VCC_NET, 
        AFVAL6 => SOC_VCC_NET, AFVAL5 => SOC_VCC_NET, AFVAL4 => 
        SOC_VCC_NET, AFVAL3 => SOC_VCC_NET, AFVAL2 => \GND\, 
        AFVAL1 => \GND\, AFVAL0 => \GND\, WD17 => \GND\, WD16 => 
        \GND\, WD15 => \GND\, WD14 => \GND\, WD13 => \GND\, WD12
         => \GND\, WD11 => \GND\, WD10 => \GND\, WD9 => \GND\, 
        WD8 => \GND\, WD7 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[7]\, 
        WD6 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[6]\, 
        WD5 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[5]\, 
        WD4 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[4]\, 
        WD3 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[3]\, 
        WD2 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[2]\, 
        WD1 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[1]\, 
        WD0 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[0]\, 
        WW0 => SOC_VCC_NET, WW1 => SOC_VCC_NET, WW2 => \GND\, RW0
         => SOC_VCC_NET, RW1 => SOC_VCC_NET, RW2 => \GND\, RPIPE
         => \GND\, WEN => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARTIIOI\, 
        REN => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARTlol\, 
        WBLK => \GND\, RBLK => \GND\, WCLK => clk_pll_0_GLA, RCLK
         => clk_pll_0_GLA, RESET => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, ESTOP => 
        SOC_VCC_NET, FSTOP => SOC_VCC_NET, RD17 => OPEN, RD16 => 
        OPEN, RD15 => OPEN, RD14 => OPEN, RD13 => OPEN, RD12 => 
        OPEN, RD11 => OPEN, RD10 => OPEN, RD9 => OPEN, RD8 => 
        OPEN, RD7 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[7]\, 
        RD6 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[6]\, 
        RD5 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[5]\, 
        RD4 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[4]\, 
        RD3 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[3]\, 
        RD2 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[2]\, 
        RD1 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[1]\, 
        RD0 => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[0]\, 
        FULL => OPEN, AFULL => 
        \Core8051S_sub_1/CoreUARTapb_0/fifobloCK0_AFULL\, EMPTY
         => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToi1L\, 
        AEMPTY => OPEN);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO_0[14]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[14]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[6]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/N_67\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[14]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_3[12]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1407\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1117\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[3]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/N_20\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[34]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0[39]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[34]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[34]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_3[7]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1462\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1264\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I61_Y_0_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I61_Y_0_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_76\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_3[12]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1442\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1241\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_l10l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.core8051s_l0lo021_1\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2_1_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo021_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[2]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_ns_e[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_39\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_731\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_29\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_8_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_7\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_11\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_14\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_26\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_O100\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_533\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO[2]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53[2]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_core8051s_l1il\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_8[10]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_52\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_1_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_1_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_3[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o0il_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L001i_RNI41R21\ : 
        NOR3B
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL10\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i1i1i_0_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_l001i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l001i_2_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[18]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/N_291\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe_0\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[18]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l1i1i_3_2\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l1i1i_3_1_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l1i1i_3_2_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_9[1]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_221_i\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_192\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_O10l_RNII9J2\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_O10l_net_1\, 
        B => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_164\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNI9A3E[1]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_157\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1542\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1160\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_s_0[1]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.6.COREAI_o11i.COREAI_i00L_RNIE191[6]\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_i00L[6]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_160\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_36\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNI0NTC7[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_11[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_36\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_2[7]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_2_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[136]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[16]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[136]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1398\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I3_P0N\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_0_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N130_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I0_S_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_930\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I0_S_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJTV[38]\ : 
        NOR2A
      port map(A => \\\\\MEMADDR_[11]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJTV[38]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I117_Y_0_0\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_933\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[11]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I117_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un777_core8051s_oll1l_0_a2_i\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[4]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_334\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_133\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[30]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[30]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[30]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_10[2]\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_11_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[5]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_11_5\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[0]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[0]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_17\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_727\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_735\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i_RNO\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[88]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_19[0]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_99\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_a10_1_1[0]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_RNO_1\ : AOI1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_a2_0\, B => 
        \Core8051S_sub_1/CoreTimer_1/N_160\, C => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.un90_core8051s_io00l_0\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un90_core8051s_io00l_0\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li[3]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[3]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un60_coreai_l0li_i\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_2[13]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1404\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1299\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_4_sqmuxa\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_4_sqmuxa_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_4_sqmuxa_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I13_Y\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[4]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N136_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N151_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I119_Y_0\ : 
        AX1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I94_un1_Y_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I94_Y_1_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I119_Y_0_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I119_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_1[14]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1442\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1247\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_0_i_0[14]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[7]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[7]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1783_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIBB3J[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[3]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[32]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI62NR3[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1440\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1439\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_1[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_2[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_i0li_1_0_iv_7_a2_4[6]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_partial_sum_1[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_4[0]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_93\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1411\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNO[2]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[2]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNI85M7[2]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_701\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1399\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1167\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[5]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[45]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_57\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_714\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[1]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_x2_0\ : 
        AX1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_311\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[3]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_77\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_62_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI410JH[4]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un67_core8051s_ooi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_921\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1109\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_87\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        B => \\\\\MEMADDR_[15]\\\\_c\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[55]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_925_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNITMVL6G\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un338_core8051s_io00l\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_1_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_OLi0_m[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_a2_1[0]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_155\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[21]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[22]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[22]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_l11I.9.COREAI_ooo0.COREAI_l00l_RNI4JR8[9]\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/N_179\, B => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_195\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_3[1]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_TMP_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1268\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo020\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_1_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo023_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo020_net_1\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNO[2]\ : 
        NOR3C
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_92_1\, B
         => \Core8051S_sub_1/CoreInterrupt_0/N_98\, C => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNO[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[0]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii32_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i1i1i_4\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_4\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_OL1l\ : DFN1C0
      port map(D => \Core8051S_sub_1/COREAI_0/COREAI_iO1L\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_OL1l_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_oilli_RNO\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ll0li_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_Il0li_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_oilli_RNO_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_10[23]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/N_65\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/N_64\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_10[23]_net_1\);
    
    \SRAM_BHE0_N_pad/U0/U1\ : IOTRI_OB_EB
      port map(D => SOC_VCC_NET, E => SOC_VCC_NET, DOUT => 
        \SRAM_BHE0_N_pad/U0/NET1\, EOUT => 
        \SRAM_BHE0_N_pad/U0/NET2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3286_core8051s_oll1l_0_i_RNO_0\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_324_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3286_core8051s_oll1l_0_i_RNO_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNIOERL7[4]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_6\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2852_core8051s_oll1l_0_i\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_309\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_300\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_199\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTi0ll.un19_baud_clock_NE\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_91_i_0\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un19_baud_clock_NE_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un19_baud_clock_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_10_0_a2_1\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_89\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_10_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_2[5]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_244\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[116]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_98\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[4]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/N_22\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[4]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_RNO\ : OR3B
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_258\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L_0_2\, C
         => \Core8051S_sub_1/CoreWatchdog_0/N_257\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a11_2_1[0]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_199_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIA2O6A[4]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_8_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[4]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_I11_m[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIGAF931[10]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1106\);
    
    \Memory_0/mem_decode_0/un4_ext_ram_rd_n_0\ : AOI1
      port map(A => \Memory_0/mem_decode_0/N_2\, B => 
        Core8051S_sub_1_MEMRD, C => \Memory_0/mem_decode_0/N_27\, 
        Y => un4_ext_ram_rd_n_0);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[7]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_321\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_lil0\ : 
        OA1B
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_O0I0I\, 
        B => \Core8051S_sub_1/CORE8051S_0/un4_core8051s_iil0\, C
         => \Memory_0.INV_1_Y\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/N_67\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[42]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[42]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_11\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[21]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_NE_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_NE_3\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO_1[4]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_106\, B
         => \Core8051S_sub_1/CoreInterrupt_0/N_97\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/N_59\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I107_Y_0\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N204_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I107_Y_0\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO[2]\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii_0_iv_i_1[2]\, B
         => \Core8051S_sub_1/CoreTimer_1/N_105\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_164\, Y => 
        \Core8051S_sub_1/CoreTimer_1/N_155_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_5_0\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_5_0_tz_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_5_0_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1_RNIKH32[1]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1[1]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CORETIMer_i1l_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_0_TIMINT\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[56]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[16]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[56]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1392\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNII446[92]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_881_i_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_893_i_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_7\);
    
    \Memory_0/data_bus_buffer_0/BIBUF_5_inst/U0/U1\ : 
        IOBI_IB_OB_EB
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[5]\\\, E => 
        \Memory_0/data_bus_buffer_0/TrienAux\, YIN => 
        \Memory_0/data_bus_buffer_0/BIBUF_5_inst/U0/NET3\, DOUT
         => \Memory_0/data_bus_buffer_0/BIBUF_5_inst/U0/NET1\, 
        EOUT => \Memory_0/data_bus_buffer_0/BIBUF_5_inst/U0/NET2\, 
        Y => \Memory_0/Z\\\\data_bus_buffer_0_Y_[5]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[108]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[28]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1843_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[108]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_1\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_840\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_9\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_10\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNICI486[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[4]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[33]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un932_core8051s_oll1l_i_o3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_296\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_290\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_312\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[19]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[139]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[139]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I62_Y_0\ : 
        AX1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I42_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I42_Y_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I62_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNINBOKI1[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_1[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_3[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.un17_core8051s_olli_0_0_ADD_4x4_fast_I2_S0N_0\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N73\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO[6]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo020_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0_1[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI6AB3[0]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[0]\, 
        B => \\\\\MEMADDR_[0]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_866_i_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_5\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_0_0\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[2]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[2]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_lll\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[2]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[4]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[4]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI18CA[2]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_7\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_907_i_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_870_i_0_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_18\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_5[1]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_182\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_527\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_8\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_719\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_735\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[1]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIT8PA[14]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_307\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[14]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_308\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[9]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[9]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[9]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJ9H2[129]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[129]\, 
        B => \\\\\MEMADDR_[9]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_906_i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0[6]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_36\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli26_4_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_35\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_1_i_RNO_1[2]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1058\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i0oI\ : DFN1E1C0
      port map(D => \Core8051S_sub_1/COREAI_0/COREAI_l1OI_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un20_coreai_lioi\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i0oI_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I_RNI9BK1[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[5]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l0l1i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un4546_core8051s_oll1l_0\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_309\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_333\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_398\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[113]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIMI5N\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_128\, B => 
        \Core8051S_sub_1/COREAI_0/N_192\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, Y => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[6]\\\\\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIHC31_11\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[10]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_84\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_0\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_5_1_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1383\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1366\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I37_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N217\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I3_P0N_m3_e\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N272_0\);
    
    \MEMADDR_pad[14]/U0/U1\ : IOTRI_OB_EB
      port map(D => \\\\\MEMADDR_[14]\\\\_c\, E => SOC_VCC_NET, 
        DOUT => \MEMADDR_pad[14]/U0/NET1\, EOUT => 
        \MEMADDR_pad[14]/U0/NET2\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[4]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[4]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[4]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_36\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_982\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_916_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1484\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_9\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a4[0]\ : NOR2B
      port map(A => \Core8051S_sub_1/CoreAPB3_0/N_359\, B => 
        \Core8051S_sub_1/CoreAPB3_0/N_57\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave0_PSELx\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNI7U3S71[7]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un48_core8051s_ioi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[7]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1148\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_3[10]\ : 
        XA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[10]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_1[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1222\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_4_0_0_ADD_5x5_fast_I19_Y_0_0_x2\ : 
        AX1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_14_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_5[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_5[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_4[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un3[7]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un110_core8051s_l1i1i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i1i1i_0_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un22_core8051s_i1i1i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un3_i[7]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[5]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[5]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[5]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_66\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[27]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[27]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[27]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_110\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNI09EG4\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_a0_0_0_net_1\, 
        B => Core8051S_sub_1_MEMPSRD, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0_0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO_1[3]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[1]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_885\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[6]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[6]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_5_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.core8051s_oolo0104_5\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_5\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_60\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0104_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[12]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[12]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[12]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_m6_i_a5_1_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_mtt_5_m3_0_a2_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_m6_i_a5_1_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[13]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[13]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[13]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_looi_RNIAREO\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_125\, B => 
        \Core8051S_sub_1/COREAI_0/N_189\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, Y => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[3]\\\\\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[23]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[23]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[23]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[23]\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO[15]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[15]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_1/COUnt_m[15]\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[28]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[29]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[29]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIMPS1[0]\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_ooi0i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i1i0i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNIR0RJS[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_2_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_3[13]\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_696\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_77\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0_0[13]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.un1_core8051s_oiol_0_a2_0_a2\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1387\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_701\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_oiol\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l0oi[2]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[2]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un3_coreai_l0li_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIUJH8G[6]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_8_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[6]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_1_0[6]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_O10l\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[10]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un21_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_O10l_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[2]\ : 
        DFN1P0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[2]\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[2]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[4]\ : AX1D
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/N_297\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_67\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n4\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNO[1]\ : 
        NOR3C
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_92_1\, B
         => \Core8051S_sub_1/CoreInterrupt_0/N_98\, C => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNO[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[34]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[34]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[35]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[34]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIK9BFI[36]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_763\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_779\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[36]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I120_Y_0_0\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[14]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_267\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I120_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_1[13]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1442\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1304\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[13]\);
    
    \MEMADDR_pad[1]/U0/U1\ : IOTRI_OB_EB
      port map(D => \\\\\MEMADDR_[1]\\\\_c_0\, E => SOC_VCC_NET, 
        DOUT => \MEMADDR_pad[1]/U0/NET1\, EOUT => 
        \MEMADDR_pad[1]/U0/NET2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_65\ : 
        XO1A
      port map(A => \\\\\MEMADDR_[6]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[126]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_982\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNI1J1B[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[7]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[61]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1330\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_I1lo0\ : 
        DFN1
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_I1lo0_RNO_net_1\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l1lII\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIFDFS[24]\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c23\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT[24]_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c24\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[6]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[6]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_25\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iLI0I_1_I_21\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_0_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_1_1[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_0_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_7[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[5]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[5]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo027\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[5]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO_0[1]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[1]_net_1\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_n1_0_i_a3_0\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNISDIT[27]\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c26\, B
         => \Core8051S_sub_1/CoreTimer_0/COUnt[27]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c27\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO_3[4]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_101\, B
         => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[4]_net_1\, 
        Y => \Core8051S_sub_1/CoreInterrupt_0/N_76\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.5.COREAI_o11i.COREAI_i00L_RNIC191[5]\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_i00L[5]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_159\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNIFTH541[7]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_0_0_7_N_7\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1200\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I19_Y\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N127\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N124\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N157\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[4]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[4]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL_RNO[0]\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_156\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_107\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL_ns[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[75]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[35]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[75]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_30\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNI5OT5[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_946\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_953\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[0]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_960\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_70\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_3[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_3[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_1[0]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[18]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[18]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[18]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lil_RNO\ : INV
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_86\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_1_tz\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_914_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_ooli_1_CO2_i_o2\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_7\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.CORE8051S_iio0i_19_i_i_i_a2_4[2]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_695\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1387\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_701\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1455\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNI7JG4\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1418\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1415\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1235\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_14[7]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_45\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_26[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_17_m_1[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_2581_tz\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNIS476[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_943\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_950\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_957\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.6.COREAI_o11i.COREAI_i00L_RNINHA8[6]\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/N_176\, B => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_192\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.0.COREAI_l01I.un19_coreai_l0li_0\ : 
        NOR2B
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/un19_coreai_l0li_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIRNEEI[2]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_905\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_858\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_11[1]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_152_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_163\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_145\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[120]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[120]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_185\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I121_Y_0_0\ : 
        AX1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1047\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[15]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I121_Y_0_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[19]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[99]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[99]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0[158]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[38]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1873_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I40_un1_Y_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N149_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N153_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I40_un1_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[7]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[7]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[7]_net_1\);
    
    \Memory_0/data_bus_buffer_0/BIBUF_4_inst/U0/U1\ : 
        IOBI_IB_OB_EB
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[4]\\\, E => 
        \Memory_0/data_bus_buffer_0/TrienAux\, YIN => 
        \Memory_0/data_bus_buffer_0/BIBUF_4_inst/U0/NET3\, DOUT
         => \Memory_0/data_bus_buffer_0/BIBUF_4_inst/U0/NET1\, 
        EOUT => \Memory_0/data_bus_buffer_0/BIBUF_4_inst/U0/NET2\, 
        Y => \Memory_0/Z\\\\data_bus_buffer_0_Y_[4]\\\\\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO_0[5]\ : 
        AX1B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_39\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_40\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_47_i_0_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI[4]/U1\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[4]/Y\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/ir[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_6_0_0_ADD_5x5_fast_I16_un1_Y_i\ : 
        AO18
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_17_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_6[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[16]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[16]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[16]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[15]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[15]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_olli_I_8\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNIU1R6[6]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[6]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[6]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o0il_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_129\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_66\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_2_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[14]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[15]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_66_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[7]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[7]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[7]_net_1\, 
        S => \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_73\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO[9]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[9]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_1/COUnt_m[9]\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_12\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_721\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_737\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIG3L_3[37]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_753\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_2[8]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_4\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_2[8]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIG3L_2[37]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_754\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNIIDI9G[38]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_750\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_758\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_1[1]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_0_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[1]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS1_m[3]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave1_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave1_PRDATA_[3]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS1_m[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1469_core8051s_oll1l_0_a3_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_326\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1469_core8051s_oll1l_0_a3_0_net_1\);
    
    \Memory_0/data_read_mux_0/MX2_Result_3_inst\ : MX2
      port map(A => \Memory_0/data_read_mux_0/MX2_5_Y\, B => 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[3]\\\\\, S => 
        \Memory_0/data_read_mux_0/SelAux_1_0_net\, Y => 
        \\\Memory_0_RD_[3]\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I28_un1_Y\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N229\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_330_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I28_un1_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[9]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1326\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[9]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1329\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[9]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_43\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[15]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIALE1[38]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_943_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_1\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO_0[13]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[13]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[13]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_68\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_52\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_6\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_5_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_11\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNI2VI4M\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_l1l0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0_a2_0_3\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNO_0[0]\ : 
        AX1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i100i\, 
        B => \Core8051S_sub_1/CORE8051S_0_APB3master_PSELx\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_liol_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_348_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNI8CBD[3]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_ooi0i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ooi0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_ooi0i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_82\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[42]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[2]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_931_i_0_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_1[5]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_0_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNIVVDQ[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_133_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_124_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_140_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1222_core8051s_oll1l_i_o3\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[4]\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_286\);
    
    
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0_a2_0\ : 
        OR3A
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_353\, B => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, C => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_287\);
    
    AFLSDF_INV_38 : INV
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_oloi[1]_net_1\, Y => 
        \AFLSDF_INV_38\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_1\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[49]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIAK32[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_7[0]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL_RNO_2[7]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_166\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_111\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[0]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[0]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/un12_psel\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[0]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_1[0]\ : NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL_m[0]\, B => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_4[0]_net_1\, 
        C => \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1_m[0]\, Y
         => \Core8051S_sub_1/CoreTimer_1/CORETimer_ii_iv_1[0]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.6.COREAI_o11i.COREAI_i00L_RNIVEJ6[6]\ : 
        MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_144\, B => 
        \Core8051S_sub_1/COREAI_0/N_160\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_176\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[0]\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_75\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_n0_0_i_a3_0\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_20\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[22]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[22]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[22]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_a2_6[0]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_165\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_2[10]\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_696\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_2_0\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_62_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1380\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_2_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv[2]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_m[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_2[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1346\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[2]\);
    
    \Memory_0/mem_decode_0/un4_ext_ram_wr_n_0_a4\ : NOR2B
      port map(A => \Memory_0/mem_decode_0/N_2\, B => 
        Core8051S_sub_1_MEMWR, Y => \Memory_0/mem_decode_0/N_23\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_ooli_I_23\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I15_Y_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I16_Y_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNIN4QGH[15]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[15]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_i1l0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_674_i_0_a2_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_m_1[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNID4KO1[13]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_2[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_1[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_3[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii[5]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO_0[2]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[2]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[2]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_46\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[15]\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c13\, B
         => \Core8051S_sub_1/CoreTimer_0/COUnt[14]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_34_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i[6]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[6]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[113]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_304\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[113]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I60_Y_0\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I60_Y_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N221\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[3]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[22]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[22]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[22]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_103\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_2\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[141]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un696_core8051s_o0ol0_NE_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un696_core8051s_o0ol0_NE_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I1_G0N\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N123_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il10I_RNIBP27[1]\ : 
        OR2A
      port map(A => \Core8051S_sub_1/un2_coreai_i0li_1\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_712\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un33_core8051s_i000i\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNO_0[9]\ : XNOR2
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[9]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/N_44_i_0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n9_0_i_0\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[3]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[3]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/un5_psel\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[3]_net_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[3]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[3]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un6_core8051s_i110l\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/N_65\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI4OBH2[37]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_769\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_3[13]\ : 
        XA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[13]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_5[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1226\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_5_0_0_ADD_5x5_fast_I0_P0N_i_o3\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N125_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIFG8EN[4]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un48_core8051s_ioi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1111\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_RNO[2]\ : XA1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[2]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/N_40\, C => 
        \Core8051S_sub_1/CoreTimer_1/un6_coretimer_lil\, Y => 
        \Core8051S_sub_1/CoreTimer_1/N_18\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_olli_I_9\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_partial_sum_4[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_2[14]\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_696\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_84\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0[14]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un74_core8051s_oll1l_0_i_a3_1\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_291\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_386\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_a2\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0110_4\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[104]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_156\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_290\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNI56J5\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_83\, B => 
        \Core8051S_sub_1/COREAI_0/N_417\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_115\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[3]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_1_sqmuxa_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO[7]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2328_core8051s_oll1l_0_a3_m2_e_1\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2328_core8051s_oll1l_0_a3_m2_e_1_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l_RNIFSJ4[6]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[6]_net_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[6]\, 
        S => \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_0[2]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1462\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_o2_0[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1290\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIO227[11]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[11]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_707\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1400\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1172\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_OI1I.un15_coreai_l0li\ : 
        NOR3A
      port map(A => \\\\\MEMADDR_[4]\\\\_c_2\, B => 
        \\\\\MEMADDR_[3]\\\\_c_2\, C => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_3\, Y => 
        \Core8051S_sub_1/COREAI_0/un15_coreai_l0li\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_5[0]\ : OR3A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1[0]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, C => 
        \Core8051S_sub_1/un11_cuartloii\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1_m[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I12_Y\ : 
        MAJ3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N132_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N150_0\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0[6]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[6]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[6]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_39\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_II00\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1242\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[31]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[31]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[31]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_76\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_808\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIJTK95[0]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[0]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[55]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_3_sqmuxa\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_4_sqmuxa_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_3_sqmuxa_net_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[14]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\, B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[14]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[14]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNISET4[2]\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_39\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il10I_RNIBP27_0[1]\ : 
        OR2A
      port map(A => \Core8051S_sub_1/un2_coreai_i0li_1\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_711\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_i000i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILLi_RNI1AG1\ : 
        OR2A
      port map(A => INBUF_0_Y, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_L0i0\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL00\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_5\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[133]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIDUR1[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIJ810P[14]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_936\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_267\);
    
    \Memory_0/INT_RAM_8KB_0/INT_RAM_8KB_R0C1\ : RAM4K9
      port map(ADDRA11 => \\\\\MEMADDR_[11]\\\\_c_0\, ADDRA10 => 
        \\\\\MEMADDR_[10]\\\\_c_0\, ADDRA9 => 
        \\\\\MEMADDR_[9]\\\\_c_0\, ADDRA8 => 
        \\\\\MEMADDR_[8]\\\\_c_0\, ADDRA7 => 
        \\\\\MEMADDR_[7]\\\\_c_0\, ADDRA6 => 
        \\\\\MEMADDR_[6]\\\\_c_0\, ADDRA5 => 
        \\\\\MEMADDR_[5]\\\\_c_2\, ADDRA4 => 
        \\\\\MEMADDR_[4]\\\\_c_2\, ADDRA3 => 
        \\\\\MEMADDR_[3]\\\\_c_2\, ADDRA2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRA1 => 
        \\\\\MEMADDR_[1]\\\\_c_0\, ADDRA0 => 
        \\\\\MEMADDR_[0]\\\\_c_0\, ADDRB11 => 
        \\\\\MEMADDR_[11]\\\\_c_0\, ADDRB10 => 
        \\\\\MEMADDR_[10]\\\\_c_0\, ADDRB9 => 
        \\\\\MEMADDR_[9]\\\\_c_0\, ADDRB8 => 
        \\\\\MEMADDR_[8]\\\\_c_0\, ADDRB7 => 
        \\\\\MEMADDR_[7]\\\\_c_0\, ADDRB6 => 
        \\\\\MEMADDR_[6]\\\\_c_0\, ADDRB5 => 
        \\\\\MEMADDR_[5]\\\\_c_2\, ADDRB4 => 
        \\\\\MEMADDR_[4]\\\\_c_2\, ADDRB3 => 
        \\\\\MEMADDR_[3]\\\\_c_2\, ADDRB2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRB1 => 
        \\\\\MEMADDR_[1]\\\\_c_0\, ADDRB0 => 
        \\\\\MEMADDR_[0]\\\\_c_0\, DINA8 => \GND\, DINA7 => \GND\, 
        DINA6 => \GND\, DINA5 => \GND\, DINA4 => \GND\, DINA3 => 
        \GND\, DINA2 => \GND\, DINA1 => \GND\, DINA0 => 
        \\\Core8051S_sub_1_MEMDATAO_[1]\\\, DINB8 => \GND\, DINB7
         => \GND\, DINB6 => \GND\, DINB5 => \GND\, DINB4 => \GND\, 
        DINB3 => \GND\, DINB2 => \GND\, DINB1 => \GND\, DINB0 => 
        \GND\, WIDTHA0 => \GND\, WIDTHA1 => \GND\, WIDTHB0 => 
        \GND\, WIDTHB1 => \GND\, PIPEA => \GND\, PIPEB => \GND\, 
        WMODEA => \GND\, WMODEB => \GND\, BLKA => 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_0_net\, BLKB => 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_0_net\, WENA => \GND\, 
        WENB => SOC_VCC_NET, CLKA => \AFLSDF_INV_2\, CLKB => 
        \AFLSDF_INV_3\, RESET => SOC_VCC_NET, DOUTA8 => OPEN, 
        DOUTA7 => OPEN, DOUTA6 => OPEN, DOUTA5 => OPEN, DOUTA4
         => OPEN, DOUTA3 => OPEN, DOUTA2 => OPEN, DOUTA1 => OPEN, 
        DOUTA0 => OPEN, DOUTB8 => OPEN, DOUTB7 => OPEN, DOUTB6
         => OPEN, DOUTB5 => OPEN, DOUTB4 => OPEN, DOUTB3 => OPEN, 
        DOUTB2 => OPEN, DOUTB1 => OPEN, DOUTB0 => 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_1_net\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_1_0_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_217\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[13]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[13]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[13]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[133]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_3[13]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIB1JOF_0\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_18\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lii0_i_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIVBORI[20]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[20]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I113_Y_0_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_330_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I113_Y_0_0_0\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[4]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_95\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[4]_net_1\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_20\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNI90NUO[6]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ioi0i_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1069\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[26]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[66]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[106]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[26]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[8]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_6[1]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[1]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_338\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_503\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[33]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1388\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[33]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I121_Y_0\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I92_un1_Y_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_Y_2_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I121_Y_0_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I121_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[15]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_864_i_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[15]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_8_sqmuxa\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_3\, 
        B => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_8_sqmuxa_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIC6KUA[2]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_1[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIF0737[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_3[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_96\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_1_0[0]\);
    
    \Memory_0/mem_decode_0/SEL_1[1]\ : DLN1P1C1
      port map(D => \GND\, G => \GND\, PRE => 
        \Memory_0/mem_decode_0/un21_sel_0_a4_net_1\, CLR => 
        \Memory_0/mem_decode_0/un27_sel_i\, Q => 
        \Memory_0/mem_decode_0_SEL1to1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I62_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N273\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N270\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N269\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N300_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_1[14]\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1438\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1231\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_0[14]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[2]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_3[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_2[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_4[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I15_Y\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_859\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N130\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N153\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.un17_core8051s_olli_0_0_ADD_4x4_fast_I0_S0N_0\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N67\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[26]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n26\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[26]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_44\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_729\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[1]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1356\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_6_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I93_un1_Y_0\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N254\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N293\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N258\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_un1_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_43\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNINU4UQ31\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_OLi0_m[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_2[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_4[0]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[7]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_n7\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_89\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[126]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_935_i_0_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_5_tz_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[7]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[7]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_3_sqmuxa\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO_0[19]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[19]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[11]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/N_67\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[19]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[143]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[23]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1873_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[143]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli_ADD_4x4_fast_I14_Y_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_23_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I14_Y_0\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL_RNO[1]\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL_ns_0_i_0[1]\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_132\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_156\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_55\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_3[10]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1407\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1099\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIAD531[0]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_i[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[0]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0_a2_3[8]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_6[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_100\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I31_Y_1\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/I10_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N131\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N145\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I31_Y_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_RNO[1]\ : 
        XA1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_O1_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_17\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_77\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[86]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_786\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_5[3]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_182\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184_0\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_697\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_2[6]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1490\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_468\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNO[6]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[6]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[31]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iioi_1[6]\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO_2[1]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreUARTapb_0_TXRDY\, B => 
        \Core8051S_sub_1/CoreInterrupt_0/N_103\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/N_85\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I33_Y\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_328_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N223_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N268\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[7]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_3[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1261\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_913\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I42_Y_0\ : 
        AX1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/I31_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I31_Y_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I42_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIDHO61[7]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[7]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o101i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_151\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_62\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_784\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[85]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_RNIUT15_2[0]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un2_c2_0_a2_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_28\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_olli_I_17\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_14\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_16\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_17_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.core8051s_l0lo025_0\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_244\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[109]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo025_0\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[28]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[28]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[28]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_112\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I64_Y_0\ : 
        AX1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I40_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I40_Y_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I64_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I1_G0N\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_856\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N123\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIQTRUO[6]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1456\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1068\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_16[2]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[37]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_5_i[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_18[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_1_1_iv_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIUJ22[80]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[80]\, 
        B => \\\\\MEMADDR_[0]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_865_i_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[58]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1394\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[58]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_7[4]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[124]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[124]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un2_core8051s_l010l_0_I_4\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E_0[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_9[8]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_3_sqmuxa\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OIL0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_1_m_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I9_P0N\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_257\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[9]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N232\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_3[14]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1407\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1095\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1_RNIL8M77_0[0]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1546\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll_RNO[1]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_30\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIT3EKI[36]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_760\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_776\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[36]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[153]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1389\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[153]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_4_0_I_4\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_5[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_oili[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_4_i[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[6]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[6]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNI4PMD[11]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1443\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[11]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1174\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_3[3]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[30]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[30]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[30]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[30]\);
    
    AFLSDF_INV_23 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_23\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTL0OL[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTL0OL[2]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, Q
         => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTL0OL[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[27]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[27]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[28]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[147]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[27]\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_6[0]\ : OA1C
      port map(A => \Core8051S_sub_1/CoreTimer_1_TIMINT\, B => 
        \Core8051S_sub_1/N_115\, C => 
        \Core8051S_sub_1/CoreTimer_1/CORETIMer_i1l_m_0\, Y => 
        \Core8051S_sub_1/CoreTimer_1/N_2480_tz\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO_2[2]\ : 
        OR2A
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_103\, B
         => \Core8051S_sub_1/CUARToOLI\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/N_81\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[30]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[30]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[31]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[150]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[30]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_27\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_5\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_NE_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oll0i_RNO_2\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_2447_tz\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_299\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oll0i_RNO_2_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_6_0_0_ADD_4x4_fast_I14_Y_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_6_1[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N94\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_6[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[11]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[11]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[11]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[10]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[10]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[10]\\\\\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oioi_RNIFQH\ : OR2B
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_oioi_i\, B
         => \Core8051S_sub_1/COREAI_0/COREAI_iloI_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/COREAI_Lioi\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI[3]/U1\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[3]/Y\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/ir[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I26_Y\ : 
        AO13
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N228\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[9]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_257\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N261\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/CORE8051S_iio1i_RNI00J2\ : 
        OR2
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_oll0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o1i0L\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un7_core8051s_iio1i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNIUOPFS[6]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_93\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_86\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_5[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNI6A76M\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0l0_m_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[5]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[5]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[5]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_21\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_c0\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.1.COREAI_o11i.COREAI_i00L_RNI4191[1]\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_i00L[1]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_155\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_iL1L_RNO\ : AO1A
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, 
        B => \Core8051S_sub_1/COREAI_0/un2_coreai_i0li_2_net_1\, 
        C => \Core8051S_sub_1/COREAI_0/COREAI_ll1l\, Y => 
        \Core8051S_sub_1/COREAI_0/un4_coreai_i0li\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_ooio0\ : 
        DFN1
      port map(D => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL00\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_ooio0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I24_Y\ : 
        AO13
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N231_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[10]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N259_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNI8SMM_4[1]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un1_core8051s_ooo1l_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_1_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO[3]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo020_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_2[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[3]\);
    
    AFLSDF_INV_14 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_14\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[132]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[12]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[132]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_234\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNO[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[7]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[31]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1359\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_a3_1_1\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_303\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_416_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO[8]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[8]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[8]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oilI_RNO\ : OA1C
      port map(A => 
        \Core8051S_sub_1/COREAI_0/un2_coreai_i0li_2_net_1\, B => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, C => 
        \Core8051S_sub_1/COREAI_0/COREAI_iLLI\, Y => 
        \Core8051S_sub_1/COREAI_0/N_430\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i_RNIMPH3[2]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[26]\\\\\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[2]_net_1\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[1]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_944\);
    
    \Core8051S_sub_1/CoreGPIO_0/CoreGPIO_LL[1]\ : DFN1C0
      port map(D => \dataIn_c[1]\, CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreGPIO_0/CoreGPIO_LL[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0[7]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I113_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[7]\\\\_c_0\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_RNO[1]\ : XA1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[0]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[1]_net_1\, 
        C => \Core8051S_sub_1/CoreTimer_1/un6_coretimer_lil\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_16\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[16]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[56]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[96]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[16]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_RNO_0\ : OR3
      port map(A => \Core8051S_sub_1/CoreTimer_1/N_179_1\, B => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[0]_net_1\, C
         => \Core8051S_sub_1/CoreTimer_1/N_165\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_RNO_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.un1_core8051s_liol_2_0\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[118]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2_1_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIO9B3[118]\ : 
        MX2
      port map(A => \\\\\MEMADDR_[1]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[1]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIO9B3[118]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[22]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[22]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[22]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNI4JVU5[7]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un37_core8051s_ooli\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_4_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNI4JVU5[7]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt[7]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_1/COUnt_n7\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[7]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1_RNIJVTR3[2]\ : AO1
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un3_coretimer_lol\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_0_sqmuxa\, C => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnte_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJV1A[3]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_ii1o0_7_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_878_i_0_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_872_i_0_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_16\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_olli_I_7\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_1[3]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1444\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1333\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1094_core8051s_oll1l_0_a2_i\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_291\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1094_core8051s_oll1l_0_a2_i_o3_1_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_303\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_85\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNITR671\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_ooi0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0_a2_0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a2_8[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_222\);
    
    AFLSDF_INV_26 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_26\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[9]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[9]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[129]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_5[9]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNIA5ND[14]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1443\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[14]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1194\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_3[6]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_2[19]\ : NOR3A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n19_0_i_a2_1_0\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT[18]_net_1\, C
         => \Core8051S_sub_1/CoreWatchdog_0/N_311\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_129\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_90\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[12]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[13]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_10_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_2_0[0]\);
    
    \Memory_0/mem_decode_0/SEL_1_RNO_0[0]\ : OR2
      port map(A => \Memory_0/mem_decode_0_INT_RAM_RD\, B => 
        \Memory_0/mem_decode_0/un21_sel_0_a4_net_1\, Y => 
        \Memory_0/mem_decode_0/un1_sel_i\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l_RNIH4K4[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[7]_net_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[7]\, 
        S => \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIOI.core8051s_iioi9_2\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[31]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iioi9_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I62_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N273_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N270_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N269_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N300\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_79\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_796\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I18_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N127_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N123_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N126_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N156_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIV1UEN[13]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un48_core8051s_ioi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[13]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1125\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9DPH2[117]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_689\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_2[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_264\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNI5AALS2[2]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_3_sqmuxa_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_2[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_3[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_63\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNITOT2[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_8[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNIQ4K4151\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNILSCI9G[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_3[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_OLi0_m[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_5[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[36]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[116]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[36]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_1\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1352\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_1_sqmuxa\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0i0l\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un15_core8051s_ii10l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_1_sqmuxa_i_0\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l_RNI66OL[1]\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_131\, B => 
        \Core8051S_sub_1/COREAI_0/N_195\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, Y => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[9]\\\\\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l[7]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[15]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/coreai_io0l_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9JM5[9]\ : 
        XA1C
      port map(A => \\\\\MEMADDR_[9]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[9]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1419\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_11\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[63]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[23]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1813_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[63]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_57\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_2_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[4]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_57\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i_RNO[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[20]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_710\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_860\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_51\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_798\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_814\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIS64DF[1]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_904\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_857\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[7]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n7\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIOJR07[2]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_ioi0i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un72_core8051s_loi0i_s\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_a2_1tt_2_m3_0_a2_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[9]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave0_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[9]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[9]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.un17_core8051s_olli_0_0_ADD_4x4_fast_I2_P0N\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N75\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I28_Y\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I28_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N228\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N263\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[19]\ : NOR3
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_127\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_128\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_129\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_292\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ii1l.un1_core8051s_l01_i_0_a2\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un2_core8051s_oiil_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_l01_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[12]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[12]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[13]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[12]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[12]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO_1[3]\ : OR2B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/fifobloCK0_AFULL\, B => 
        \\\\\MEMADDR_[4]\\\\_c_2\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/OverflOW_m\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_58\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiole\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[1]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/fifobloCK0_RNO_7\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[7]\, B
         => \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[7]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_2[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[3]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_270\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_18\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_6\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_NE_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_li01I_RNINVIA5\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[4]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_l100\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_31\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[95]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF6S1[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIT8KI5[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[5]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[55]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_40\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_partial_sum_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[0]\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[3]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[3]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_lll\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[3]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[19]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[19]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un5_oen\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[19]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_98\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[123]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIT9B3[118]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_13\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_17\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.core8051s_lioo0_1_i_a2_3_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un90_core8051s_io00l_2_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_3\);
    
    \Memory_0/mem_decode_0/un1_int_ram_wr_i\ : OR2A
      port map(A => Core8051S_sub_1_MEMWR, B => 
        \Memory_0/mem_decode_0/N_2\, Y => \Memory_0/WEAP\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1_core8051s_ooo1l\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOO1l\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un1_core8051s_ooo1l_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_0[3]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1349\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1340\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1350\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_i_1[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO_0[8]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[8]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[0]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/N_67\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[0]\ : 
        DFN1P0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[0]\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[0]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[13]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[13]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[13]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[13]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[13]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, C
         => \Core8051S_sub_1/un5_oen\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[13]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.un1_core8051s_oolo0100\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_6\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_0_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[16]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[16]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[16]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[16]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[16]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNO\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_iolo03_0_a2_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_289\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_iolo03\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_o11l_RNI6R8O\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_124\, B => 
        \Core8051S_sub_1/COREAI_0/N_188\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, Y => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[2]\\\\\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNI3QF[1]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[1]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/COUnt[0]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c1\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[31]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[31]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[31]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNI8FQ2\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[7]\, B
         => \Core8051S_sub_1/N_185\, Y => 
        \Core8051S_sub_1/COREAI_0/N_113\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_L000I_RNO\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_liol_net_1\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PENABLE\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_liol_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LL10i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNO[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[1]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNIQ5SL6G\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10_0[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_6tt_2_N_4\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_1_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_OLi0_m[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_O0I0I_RNO\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un125_core8051s_oll0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_ioi0i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un127_core8051s_oll0i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI1MRH2[117]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_691\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_o00l_RNI1I58[2]\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/N_180\, B => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_196\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNIJ851U[118]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_676\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_684\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0103_1_a1[0]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0110_10\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_1_i\, 
        C => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_N_8\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un324_core8051s_oll1l_i_o3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_4\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_296\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_325\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNIQ3EH2[38]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_766\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_774\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIVGS57[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[1]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_1_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIVGS57[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNII7QJ2[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[2]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[2]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[1]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_95\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIKSTAB[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[0]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_903\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_95\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[80]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIM9B3[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_14_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNICVM77[15]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[15]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1546\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1464\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.0.COREAI_o11i.COREAI_i00L_RNI1EJ6[0]\ : 
        MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_138\, B => 
        \Core8051S_sub_1/COREAI_0/N_154\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_170\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_1[3]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS1_m[3]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_1[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNITV88A\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_676_i_0_a2tt_m2_0_a2_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNITV88A_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[19]\ : OA1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[18]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_311\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n19_0_i_a2_0\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_127\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_17\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_NE_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_NE_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_NE_5\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO[3]\ : AX1D
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt_c2\, B => 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_48\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIV1UGF[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[4]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_907\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[1]\ : AX1D
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT[0]_net_1\, C
         => \Core8051S_sub_1/CoreWatchdog_0/N_61\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_li01I_RNIF7H53\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_l100\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_142\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_9\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_4[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_1[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_1[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_1[1]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO[3]\ : AO1C
      port map(A => \Core8051S_sub_1/un11_cuartloii\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[3]_net_1\, C => 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1_0_iv_0[3]\, Y
         => \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[3]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[5]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/N_24\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[5]_net_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[16]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave0_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[16]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[16]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_46\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJTV[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[11]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_949_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[11]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[11]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1783_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_9\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[26]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[23]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1284_core8051s_oiol0_5\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un192_core8051s_oiol0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ol00i[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[0]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un25_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[16]\\\\\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[30]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n30\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[30]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNO_0[5]\ : XNOR2
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[5]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/N_37\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n5_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_97\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[81]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIO9B3[118]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_14_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_16_0\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO[0]\ : OR3C
      port map(A => \Core8051S_sub_1/CoreUARTapb_0/daTA_Out_m[0]\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1_iv_0[0]\, 
        C => \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[0]\, Y
         => \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNO[6]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[6]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l001i_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_82\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[47]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[130]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1390\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[130]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I92_un1_Y_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N283_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N291_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_un1_Y_0_0\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[29]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n29\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[29]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[6]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_213\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un33_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1_tz\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0100\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_0_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1_tz_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_ooli_I_21\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I15_Y_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I16_Y_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_21\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_5_3\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_311\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_333\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1367_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[0]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_core8051s_o10l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNI40PTF[10]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_901\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[10]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt[6]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_1/COUnt_n6\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[129]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_359\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[129]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.un13_core8051s_oiol_0_a2_0\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_702\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[3]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1457\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO_14\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0_1_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[87]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_RNO_14\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I72_un1_Y\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N254\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N292\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N258\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I72_un1_Y\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[3]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/N_296\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_65\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_9_3_i_o2_0[86]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_ooli_I_27\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I14_Y_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNO[3]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_356\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_17_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ooi0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_14[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_15\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_4\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_7\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_7_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_8\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO_0[21]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[21]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[13]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/N_67\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[21]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[81]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_164\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[81]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNISUPD[2]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1447\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1165\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_2[2]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTi0II.un11_cuartloii\ : 
        OR2
      port map(A => \Core8051S_sub_1/N_115\, B => 
        \\\\\MEMADDR_[4]\\\\_c_2\, Y => 
        \Core8051S_sub_1/un11_cuartloii\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[10]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[10]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[10]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un888_core8051s_oll1l_0_a2_i\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_313\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_304\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_277\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_0[5]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1342\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1340\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1343\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_i_1[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I45_Y\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N256\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N252\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N283\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1234_core8051s_oll1l_0_140\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_2452_tz\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_311\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1234_core8051s_oll1l_0_140_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_olli\ : DFN1E1C0
      port map(D => \Core8051S_sub_1/COREAI_0/un15_coreai_lioi\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un4_coreai_lioi\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_olli_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[12]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[12]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[12]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_230\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTI\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/un2_cuartl\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO[4]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_iv_0_0[4]\, 
        B => \Core8051S_sub_1/CoreInterrupt_0/N_59\, C => 
        \Core8051S_sub_1/CoreInterrupt_0/N_77\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_8[6]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_udrcap\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_m_0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I13_P0N\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_935\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[13]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N244\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[0]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un2_core8051s_oiil_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_4_sqmuxa_i\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10_0[0]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I37_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N217_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N214\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N272\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oioi\ : DFN1P0
      port map(D => \Core8051S_sub_1/COREAI_0/COREAI_iloI_i\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_oioi_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO_0[3]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[5]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_877\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIU983[113]\ : 
        AND3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[115]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[112]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_55\ : 
        MX2C
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_ll10\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL10\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_7_tz\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l_RNII7R3[4]\ : NOR2B
      port map(A => \Core8051S_sub_1/N_186\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[4]_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_427\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[12]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[12]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[12]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[12]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ll1ii/un3_core8051s_o01_0_0\ : 
        OR2B
      port map(A => \Memory_0.INV_1_Y\, B => 
        Core8051S_sub_1_MEMPSRD, Y => 
        \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_85\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[50]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_854\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_917_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[25]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[65]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[105]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[25]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_4_sqmuxa_1\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o0il_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un59_incl_mul_div_da\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_4_sqmuxa_1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[23]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[103]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[63]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[23]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_4[23]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un3_core8051s_io00l_1_0\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un3_core8051s_io00l_1_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ol00i[7]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un25_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[23]\\\\\);
    
    
        \Core8051S_sub_1/CoreInterrupt_0/un1_coreinterrupt_l0l13_1_i_a2\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/un60_coreai_l0li_1\, B => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/N_98\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I35_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N159\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_855\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N158\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N224\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[10]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_239\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIVR0OO3[3]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_i[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I_RNI6J0PA[7]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_0_sqmuxa_2_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_14\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_6\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_5_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_12\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_14\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_2[5]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1369\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1308\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[6]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n6\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[6]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[0]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[0]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_lll_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIOFO27[2]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL_i_0[2]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_29\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIRCS4[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[0]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_1_tz_tz_tz[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNI194931[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1138\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.un1_core8051s_liol_2_2\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_3_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2_2_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIOEOV81[15]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un48_core8051s_ioi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[15]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_m_1[15]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_1[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNICQVVFT[7]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[7]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[0]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTL0[7]\ : 
        DFN1
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[7]\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[7]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNILUG1[5]\ : OR3
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[4]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/COUnt_c3\, C => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[5]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c5\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[9]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[9]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[9]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l_RNIJ7R3[5]\ : NOR2B
      port map(A => \Core8051S_sub_1/N_186\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[5]_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_428\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[23]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un4_udrsh\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_28[23]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_28_m_i[23]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ol00i[3]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo10_i[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un25_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[19]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNIODR4C\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un72_core8051s_loi0i_s\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_a4_m5_e_0_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_l1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_a4_N_10\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I[2]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I108_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I[2]_net_1\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO_0[5]\ : OR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[5]_net_1\, B => 
        \Core8051S_sub_1/un11_cuartloii\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I5_G0N\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_328_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N219\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_O00LI\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_O00LI_1\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_O00LI_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNIPD07[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_137\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[80]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_183\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[80]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un2_core8051s_oiil\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL10\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_oiil\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un2_core8051s_oiil_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.core8051s_oolo0105_6\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[106]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0105_6_0\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_60\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0105_6\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[12]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[92]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[52]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[12]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[12]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO_0[14]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[14]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[14]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_70\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_101\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIT9B3[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[83]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_15_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_20_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l[0]\ : 
        DFN1P0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_4[0]\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo00L[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo024\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo025\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_3\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo024_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_3[3]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_54\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1321\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNITU1A[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_868_i_0_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_866_i_0_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_874_i_0_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_15\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIPH53[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[9]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_147\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNI8SMM_1[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un1_core8051s_ooo1l_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_1_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1[2]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[2]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un7_coretimer_o1\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I67_un1_Y\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N208\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N211\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N204\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I67_un1_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_92\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_794\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_olli_I_14\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_14\);
    
    \Memory_0/mem_decode_0/un4_ext_ram_rd_n_0_a2\ : NOR2B
      port map(A => SW0_c, B => Core8051S_sub_1_MEMPSRD, Y => 
        \Memory_0/mem_decode_0/N_27\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[22]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/N_335\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_103\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n22\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[2]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[2]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[2]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[3]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[3]\\\\\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[23]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[23]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[23]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_RNO_13\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[0]_net_1\, 
        B => \Core8051S_sub_1/CoreWatchdog_0/N_258_1\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L_0_a2_2_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIP38HB[7]\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_304\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_315\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_60_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_incl_mul_div_da_5\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[26]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[26]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[26]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_108\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_RNO[3]\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIlse_2_i_0_a2_0_0\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_4\, C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_99\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_RNO[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_lio1L_RNIBNB1E\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/core8051s_lii0_N_4\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_ILl0\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iLO1L_RNIL94UA_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_lii0_tz\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[4]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1358\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_6_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_2[11]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1365\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNIH9MJ2[118]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[4]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_690\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_698\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un14_core8051s_olli_m[0]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_partial_sum_4[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_22\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_124\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un14_core8051s_olli_m[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIG3L_1[37]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_755\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2441_core8051s_oll1l_0_a2_i_o3_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_298\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_286\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_320\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_RNI5MVJ3_0[0]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_895\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1369\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNI1QH1[7]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[23]\\\\\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[7]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_938\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNIOTPD[7]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_163\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1542\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1281\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0_0[7]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_li00.1.COREAI_i100.COREAI_io10.COREAI_Lo10\ : 
        IOPAD_A_IN
      port map(PAD => AC1, Y => 
        \Core8051S_sub_1/COREAI_0/COREAI_IO1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[11]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[11]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[11]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[15]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[15]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[15]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_3[15]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[15]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_895\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[15]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_1[15]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIQ13D[16]\ : OR2A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[16]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c16\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I[4]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I110_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[4]\\\\_c\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.core8051s_l0lo023\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo023_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_3\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo023_i\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[31]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[31]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave14_PSELx_0\, C
         => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[31]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[31]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIM9C722[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_2_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i_RNICBB91\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_167\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[5]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i_net_1\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I58_Y_0\ : 
        XNOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N160\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_856\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[1]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[16]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[16]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[16]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_io00I[3]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo10_i[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[11]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_6\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_333\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_311\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1380\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_9_3_i_o2_0[126]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIRGBRK1[13]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un67_core8051s_ooi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_907\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1124\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0_0[13]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_RNO[1]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/I_11\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un1_core8051s_o01_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/I_15_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_4[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/CORE8051S_lili.un229_core8051s_oll1l_0_0\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_413\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_412\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_334\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[1]\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_1[2]\ : OR2A
      port map(A => \Core8051S_sub_1/N_186\, B => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[2]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_105\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l_RNIH7R3[3]\ : NOR2B
      port map(A => \Core8051S_sub_1/N_186\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[3]_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_426\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIUJR07[8]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_ioi0i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[8]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un72_core8051s_loi0i_s\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIUJR07[8]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[6]\ : AX1D
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/N_299\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_71\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n6\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I92_Y_1\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N255\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N252\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_Y_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_Y_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[20]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[20]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[20]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2754_core8051s_oll1l_i\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_338\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_299\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_267\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[0]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[0]_net_1\);
    
    \MEMADDR_pad[0]/U0/U1\ : IOTRI_OB_EB
      port map(D => \\\\\MEMADDR_[0]\\\\_c_0\, E => SOC_VCC_NET, 
        DOUT => \MEMADDR_pad[0]/U0/NET1\, EOUT => 
        \MEMADDR_pad[0]/U0/NET2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI[2]/U1\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[2]/Y\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[2]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_2[11]\ : NOR3A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n11_0_i_a2_1_0\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT[10]_net_1\, C
         => \Core8051S_sub_1/CoreWatchdog_0/N_303\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_342\);
    
    AFLSDF_INV_30 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_30\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[15]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[15]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[135]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[15]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[15]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\, B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[7]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[15]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[135]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[135]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_45\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_4[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_4[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_5[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_2_0[0]\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lli\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/CorETIMER_ili\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_lli_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[20]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[20]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[20]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_13[7]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_115\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_18[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_13[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[7]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_91\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_18\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_722\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_738\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i_RNI8I881\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10_0[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[0]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_162\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I8_P0N\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N229_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.core8051s_lioo0_1_i_a2_8_RNIBG1B41\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_13\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIPFVE453[5]_net_1\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_ii0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_2[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_261\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I61_Y_0\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N173_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I43_un1_Y_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I61_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3[4]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[3]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[3]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[3]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[3]\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_39\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_55\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIM1FSJI[3]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_0_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_6[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[5]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTlLLL\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL_1_sqmuxa\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CLEAR_parity_EN\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[26]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[26]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[26]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_1[4]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I110_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_1[15]\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_914\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1464\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_707\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1250\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i_RNI7SL81\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[4]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_166\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[1]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[1]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIQOORFG[6]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_a0[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0103_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_100\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_782\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[84]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_19_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_58\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_730\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[3]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_12\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIVQ1D7[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_4[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_88\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        B => \\\\\MEMADDR_[14]\\\\_c\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[54]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_923_i_0\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToOLI\ : 
        DFN1E0P0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/cuartol1l4[0]\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToOLI_1_sqmuxa\, 
        Q => \Core8051S_sub_1/CUARToOLI\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_o00l_RNI9FE6[2]\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_148\, B => 
        \Core8051S_sub_1/COREAI_0/N_164\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_180\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_8[4]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_udrcap\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_m_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_50\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_3_0_a2_1\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_104\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_90\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_3_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[3]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_sqmuxa_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[3]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lil_RNIQAUO1\ : OR2A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt_1_sqmuxa\, 
        B => \Core8051S_sub_1/CoreTimer_1/un6_coretimer_lil\, Y
         => \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[35]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[75]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[115]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[35]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I12_P0N\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_934\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[12]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N241\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[33]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0[39]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[33]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[33]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_6_m[7]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_6[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_6_m[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNI02771[2]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[2]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_io01i_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_204\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[29]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[29]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[30]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[149]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[29]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_9_3_i_o2[86]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408\);
    
    \Memory_0/INT_RAM_8KB_0/MX2_RD_4_inst\ : MX2
      port map(A => \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_4_net\, B
         => \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_4_net\, S => 
        \Memory_0/INT_RAM_8KB_0/ADDRB_FF2_0_net\, Y => 
        \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[4]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_7\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI79E1[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[12]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_6[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[6]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un2_core8051s_oiil_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_4_sqmuxa_i\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un443_core8051s_oll1l_0_i_o3\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_286\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_298\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_332\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I1_G0N\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N207_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[7]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_217\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un33_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[7]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_0[4]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[4]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_164\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_RNO_3\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_416_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_294\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_370\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_10\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_2[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_6[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_2[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un3_core8051s_io00l_1\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_io00l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_io00l_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_RNICJM3[1]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un7_baud_clock_0_a3_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_2[1]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_244\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_106\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNILJUSB\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_l1l0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un134_core8051s_oll0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIHC31_12\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[11]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_85\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_29\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[65]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[25]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I33_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N159_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N155_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N174_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iLO1L_RNO_0\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_CORE8051S_iLO1L_1_sqmuxa[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_i110l_4_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_i110l_6\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIATF1[33]\ : 
        AND3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[35]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[32]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[25]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[25]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[25]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNILTBS1[3]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_8_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[3]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1370\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_OLi0_m_0_m3_e\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_l01ii.un15_core8051s_i1i1i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un150_core8051s_o01\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_6tt_2_N_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ilo0i_I_62\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[6]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[4]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[4]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIJMF931[13]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1124\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli_ADD_4x4_fast_I8_Y_0_a2\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_23_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI4D7D1[11]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_19\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_18\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_20\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_i\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[14]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[14]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave14_PSELx_0\, Y
         => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[14]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNIC0TI3\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_i1l0i_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0_a2_m6_0_a3_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_a4_m6_0_a4_1_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L001i_RNIVG9F1K\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un110_core8051s_l1i1i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l001i_2_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un22_core8051s_i1i1i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l001i_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un694_core8051s_oll1l_0_i_o3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_393\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_331\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_344\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_81\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9K32[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un943_core8051s_oll1l_i\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_312\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_300\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_47\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_L1LO0\ : 
        DFN1
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/core8051s_l1lo0\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_L1LO0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[1]\ : 
        DFN1E1P0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, CLK => 
        clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_core8051s_l1il\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_i_0[1]\);
    
    AFLSDF_INV_44 : INV
      port map(A => \\\\\MEMADDR_[2]\\\\_c\, Y => \AFLSDF_INV_44\);
    
    \Memory_0/data_bus_buffer_0/BIBUF_7_inst/U0/U0\ : IOPAD_BI
      port map(D => 
        \Memory_0/data_bus_buffer_0/BIBUF_7_inst/U0/NET1\, E => 
        \Memory_0/data_bus_buffer_0/BIBUF_7_inst/U0/NET2\, Y => 
        \Memory_0/data_bus_buffer_0/BIBUF_7_inst/U0/NET3\, PAD
         => EXT_DATA(7));
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[3]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un2_core8051s_oiil_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_4_sqmuxa_i\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_RNO_2\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_306\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_314\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_368\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[42]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[42]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_138\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_8[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un4_udrsh\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_28[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_28_m_i[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[39]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[39]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[39]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1403\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_20[7]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_l0il\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_39\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_17_m_1[7]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[7]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[7]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_115\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_2[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_2[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un165_core8051s_oiol0\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[2]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[2]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[2]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_60\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i0i0.un60_coreai_l0li\ : 
        OR2B
      port map(A => \Core8051S_sub_1/COREAI_0/coreai_io0l_3\, B
         => \Core8051S_sub_1/un60_coreai_l0li_1\, Y => 
        \Core8051S_sub_1/COREAI_0/un60_coreai_l0li_i\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.1.COREAI_o11i.COREAI_i00L_RNI6EJ6[1]\ : 
        MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_139\, B => 
        \Core8051S_sub_1/COREAI_0/N_155\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_171\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[11]\ : OA1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[10]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_303\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n11_0_i_a2_0\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_340\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[10]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[10]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/N_327\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_4\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[143]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_13_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un696_core8051s_o0ol0_NE_4\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[26]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[26]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[26]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_111\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_67\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[128]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE5H2[118]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIUQ24[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[3]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_903\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[115]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[35]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[115]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_308\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I2_G0N\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_248\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N210\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[12]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[12]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[12]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_1[6]\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_4_m_0[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_3_tz_0[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_1_0_a2_0_0[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_3_tz[6]\);
    
    \SRAM_BLE1_N_pad/U0/U1\ : IOTRI_OB_EB
      port map(D => SOC_VCC_NET, E => SOC_VCC_NET, DOUT => 
        \SRAM_BLE1_N_pad/U0/NET1\, EOUT => 
        \SRAM_BLE1_N_pad/U0/NET2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIUGO3[134]\ : 
        XA1A
      port map(A => \\\\\MEMADDR_[14]\\\\_c\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[134]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_890_i_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_6\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_0[2]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_88\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_oloi_1_sqmuxa\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_388\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_7_0_a2_0_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1341\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_102\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_7_0_a2_0_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ii1l.un48_incl_mul_div_da_0_a2_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un48_incl_mul_div_da_0_a2_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1382\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I_RNI4BK1[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[0]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l0l1i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[0]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNI9861[5]\ : OR2A
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_298\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[5]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_299\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[29]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[29]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[29]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oll0i_RNO_6\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i0i0i_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I17_Y\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[14]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[14]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N244_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N252_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0_a2_4[1]\ : 
        XAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_partial_sum_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNISJ547[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli26_4_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_80\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNIC8N71\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_151\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[7]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i001I\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJ5E7[156]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_864\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_8\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIN6F59[14]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[14]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ioi0i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_936\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li[14]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[15]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un60_coreai_l0li_i\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[14]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[20]\ : NOR3A
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_313\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, C
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT[20]_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_130\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIVFKRF_0\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_16\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lii0_i_0\, Y
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[21]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[21]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[21]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[4]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_sqmuxa_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIT281K[2]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[2]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[1]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[18]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n18\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte_0\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[18]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[28]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[108]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[108]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNIQPQ6[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[4]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[4]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o0il_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_127\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_5_sqmuxa_0_a2\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1383\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1384\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1351\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_5_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNID3TSB[4]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_3[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_2[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIQ4HP6[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_5[0]\);
    
    \Core8051S_sub_1/CoreGPIO_0/PRDATA[0]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreGPIO_0/COREGPIO_ol[0]_net_1\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave2_PRDATA_[0]\\\\\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[20]\ : NOR3
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_130\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_131\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_132\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_293\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_olli_I_6\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/N_65\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOO1l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[41]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[41]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1384\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I64_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N275\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N272\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N271\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N302\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_I1OI_RNO\ : INV
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_O1OI\, Y => 
        \Core8051S_sub_1/COREAI_0/COREAI_O1OI_i\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[10]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[11]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[11]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[11]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[131]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_3[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNIKDQ6[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[1]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o0il_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_124_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2612_core8051s_oll1l_0_a3_RNI8IO2\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_298\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_299\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/CORE8051S_LIOL[70]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3060_core8051s_oll1l_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO_0[7]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[7]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_926\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li[8]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[9]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un60_coreai_l0li_i\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[8]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_56\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[134]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_843\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_926_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_1_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ii1l.core8051s_o01l_1_iv_6_0_a2_0_0_0[5]\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1371\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_105_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_l01_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_6_0_a2_0_0_0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_RNO[3]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/I_11\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un1_core8051s_o01_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/I_17_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_4[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI5H6PI[102]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[102]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_15\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_547\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_548\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_549\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_47\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_3[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_2_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_4[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_12_1_0[0]\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNO_0[8]\ : AX1E
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[7]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/N_39\, C => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[8]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n8_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ii1l.core8051s_o01l_1_0_a2_0[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1389\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1384\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_6_sqmuxa\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol_RNO[2]\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_170\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_29_i_0_i\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_60\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[5]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[5]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[5]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_4\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_o2_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[88]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_283\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l0oi_RNIHJ63[2]\ : MX2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iioi_net_1\, 
        B => \Core8051S_sub_1/COREAI_0/COREAI_l0oi[2]_net_1\, S
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_28\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_3\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_60\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_0_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_8_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_0_3\);
    
    AFLSDF_INV_18 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_18\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO[5]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo020_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0_1[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_a4_m5_e_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_ioi0i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_a4_m5_e_0_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_RNIKP22[6]\ : 
        NOR2B
      port map(A => \Core8051S_sub_1/CoreTimer_1/N_159\, B => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[6]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_160\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNIHG8E\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMPSRD_m7_0_a2_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l1i0L\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un10_core8051s_i000l_1_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMPSRD_m7_0_a2_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[4]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[6]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[6]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_sqmuxa_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[114]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[34]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[114]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_306\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I92_Y_2\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N290\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N283\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_Y_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_Y_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_50\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_5[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_11[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_6[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_12_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[10]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_386\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[10]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[2]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_266\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNIPGPCU[118]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_671\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_679\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_5[8]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_696\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1i0l_m[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[13]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[13]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[13]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_220\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_75\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_3_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_2_1_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_10_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_2[1]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1462\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1295\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO_0[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[6]_net_1\, 
        B => \\\Core8051S_sub_1_MEMDATAO_[4]\\\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_878\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I4_P0N\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1112\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3_2[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I4_P0N_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N217\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[19]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[19]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[19]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[19]\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[10]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[10]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[10]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[7]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[7]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[7]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_4[2]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un136_incl_mul_div_da_4\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un136_incl_mul_div_da_3\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un136_incl_mul_div_da_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNO_2\ : 
        MAJ3XI
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oool\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_2451_tz\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_ioo1i.un13_core8051s_i000i_0_0_o2\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_698\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[0]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_702\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_711\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_2[7]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1462\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1276\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_llL_RNIAH52_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_llL_i_0\, B
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_O1_net_1\, Y
         => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[43]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[43]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli_ADD_4x4_fast_I14_Y_0_1\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2[1]\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNO_0[3]\ : XNOR2
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[3]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/N_35_i_0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n3_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_10[0]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_udrcap\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_10_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_m_i[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_0_sqmuxa\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_45\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_l01_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_0_sqmuxa_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[13]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[13]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[13]\\\\\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTi0II.un16_cuartloii\ : 
        OR2B
      port map(A => \Core8051S_sub_1/N_185\, B => 
        \\\\\MEMADDR_[4]\\\\_c_2\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/un16_cuartloii\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[1]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n1\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe_0\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_1\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_TMP[0]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[18]\ : XOR2
      port map(A => \Core8051S_sub_1/CoreTimer_0/N_92\, B => 
        \Core8051S_sub_1/CoreTimer_0/N_91\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n18\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I39_Y\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_i[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNILNTSP3[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I3_P0N_m3_e\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N274_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_96\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIQOT2[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[44]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_15_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIN9D1A\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_core8051s_o01_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIRO761_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_a2_2_N_7\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIN9D1A_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt[10]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_1/COUnt_n10\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[10]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[1]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii32_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[33]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[33]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[33]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNINAEVA[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_1_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1432\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_3[2]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_1[0]\ : OR3B
      port map(A => \Core8051S_sub_1/un13_cuartloii\, B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[0]_net_1\, C
         => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL_m[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI[4]/U0\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/ir[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[4]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIQ459_3_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[4]/Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_7[23]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[63]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[63]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_60\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[7]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_733\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_741\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[3]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[110]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[111]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_a2_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNILOARK1[11]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un67_core8051s_ooi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_908\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1084\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0_0[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[3]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_83\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_9[23]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[24]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UTDI\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_10[23]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_28[23]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[34]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[154]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[34]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[34]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_a2_2\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_445\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_290\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_426\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_4_0_0_ADD_5x5_fast_I15_Y_0_i_x2\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N78\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16_i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[3]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1545\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_i_1[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNI4KVA[4]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_0_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIIJKP1[6]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_176\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1433\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_1_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMWR\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un100_core8051s_liol\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMWR_1_sqmuxa_i\, 
        Q => \Core8051S_sub_1/CORE8051S_0/CORE8051S_II00\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNI694931[7]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1144\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[5]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n5\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[5]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNI1SCK\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_129\, B => 
        \Core8051S_sub_1/COREAI_0/N_193\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, Y => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[7]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m_1[0]\, 
        B => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[9]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[9]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI3432[44]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[44]\, 
        B => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_792_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI9EFM5[3]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNID4J51[3]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI9EFM5[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/WDOGRESN\ : 
        DFN0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_LOIO0_i\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CORE8051S_0_WDOGRESN\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIEOD1K3[15]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_1[15]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0[15]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_m[15]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I40_Y_0\ : 
        XNOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N176_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I14_Y\ : 
        MAJ3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N129_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N152_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIUTTEN[12]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un48_core8051s_ioi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[12]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1103\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_14\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_251\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_80\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I0OL_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_1_3_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i[4]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I110_Y_0_0_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[4]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l_RNIL7R3[7]\ : NOR2B
      port map(A => \Core8051S_sub_1/N_186\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[7]_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_151\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI37P[58]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[58]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[59]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_6_0_o2_0_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNI66J5\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_84\, B => 
        \Core8051S_sub_1/COREAI_0/N_97\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_116\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_o00l[3]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[11]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un15_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[22]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[22]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[23]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[142]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[22]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIG3L_0[37]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_756\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_4[2]\ : OR2
      port map(A => \Core8051S_sub_1/N_115\, B => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1[2]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_106\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[22]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[22]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[22]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_5[7]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_116\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_91\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_3[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_4[7]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIV5J5\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_76\, B => 
        \Core8051S_sub_1/COREAI_0/N_203\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_108\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[29]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\, B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[29]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[29]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I13_Y\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_859\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N136\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N151\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[20]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave0_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[20]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[20]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2_m[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2[3]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_66\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2_m[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[6]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1437\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[6]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1338\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIICV5[11]\ : NOR3A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29_3\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[12]_net_1\, C => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[11]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_a4_0\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m2_e_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i1i1i_0_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_N_7\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL_RNIV832[1]\ : NOR2
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[2]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[1]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_0/N_254_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_49\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_1_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_3[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_2_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_12_3[0]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[27]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[27]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[27]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[1]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[1]_net_1\);
    
    AFLSDF_INV_3 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_3\);
    
    \Memory_0/data_bus_buffer_0/BIBUF_0_inst/U0/U1\ : 
        IOBI_IB_OB_EB
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[0]\\\, E => 
        \Memory_0/data_bus_buffer_0/TrienAux\, YIN => 
        \Memory_0/data_bus_buffer_0/BIBUF_0_inst/U0/NET3\, DOUT
         => \Memory_0/data_bus_buffer_0/BIBUF_0_inst/U0/NET1\, 
        EOUT => \Memory_0/data_bus_buffer_0/BIBUF_0_inst/U0/NET2\, 
        Y => \Memory_0/Z\\\\data_bus_buffer_0_Y_[0]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[24]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[24]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[24]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[24]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[24]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIJMV2[18]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[17]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/COUnt[18]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNINO5QV2[3]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_4[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_6[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2432_core8051s_oll1l_0_a2_0_a3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_314\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_303\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[107]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un3_core8051s_io00l\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un3_core8051s_io00l_3_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un3_core8051s_io00l_2_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_io00l_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un3_core8051s_io00l_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[22]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[102]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[102]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I98_un1_Y\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N264\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N268\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I98_un1_Y_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I98_un1_Y\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a2[4]\ : NOR2A
      port map(A => \\\\\MEMADDR_[10]\\\\_c_0\, B => 
        \\\\\MEMADDR_[11]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/N_58\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL_RNO[7]\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_29_i_0_i\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL_12_i_0[7]\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_109\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_33\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l_RNIG7R3[2]\ : NOR2B
      port map(A => \Core8051S_sub_1/N_186\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[2]_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_425\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un25_core8051s_ooi0i\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un25_core8051s_ooi0i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I56_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N267\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N264\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N263\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N294\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[24]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[24]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[24]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_ooli_m[3]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_21\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_124\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_ooli_m[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMRD_RNO_0\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_221_i_0\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_liol_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMRD_2_sqmuxa_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMRD_2_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L001i\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l1oo0_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL10\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNICVA9[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_147\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_119\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[1]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_175\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIVHQ6[7]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i0i1i_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i0i1i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i0i1i_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i0i1i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/CORE8051S_O0I1i_RNO\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LLIII\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I0I0L\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/CORE8051S_O0I1i_1\);
    
    
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNI13T5[4]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[4]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1_TIMINT\, C => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[4]_net_1\, 
        Y => \Core8051S_sub_1/CoreInterrupt_0/N_106\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[14]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n14\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe_0\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[14]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.CORE8051S_iio0i_19_i_i_o2_1[7]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1377_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_693\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_695\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_94\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNID5L2[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[82]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_13_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIPPI2[77]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_892_i_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_7\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lli_RNO_9\ : OR2A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[0]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[1]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_0/N_46\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.5.COREAI_l01I.COREAI_l00l[5]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[5]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un19_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_1[4]\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1516_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_1[6]\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1444\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1219\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_10\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_803\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_819\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNI8SMM[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un1_core8051s_ooo1l_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_1_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0_1[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_75\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_78\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_76\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0_1[1]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS1_m[2]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave1_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave1_PRDATA_[2]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS1_m[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO_1[6]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[6]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[5]\\\\_0\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_888\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_9[2]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un136_incl_mul_div_da_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un136_incl_mul_div_da_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_79\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[4]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo10_i[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[4]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[26]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[26]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[26]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO_0[2]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[4]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_876\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIU5J5\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_75\, B => 
        \Core8051S_sub_1/COREAI_0/N_55\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_107\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.7.COREAI_l01I.COREAI_l00l[7]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[7]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un19_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[7]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[6]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[6]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[6]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_9[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I1_P0N\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N208_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[10]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[10]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_327\);
    
    
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_0_iv_0_a2[3]\ : 
        NOR2B
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_95\, B => 
        \Core8051S_sub_1/un60_coreai_l0li_1\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/N_97\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_59\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[132]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_847\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_922_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_0\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO[5]\ : AO1C
      port map(A => \Core8051S_sub_1/un5_oen_0\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[5]\, C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[5]\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oll0i_RNO\ : 
        XAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_260_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_3_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1350_core8051s_oll1l_0_a3\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_332\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_304\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[30]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ii1l.core8051s_o01l_1_iv_6_0_a2_2_1[5]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1384\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_103_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I_RNI8BK1[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[4]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l0l1i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3823_core8051s_oll1l_0_1\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_400\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_401\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_399\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3823_core8051s_oll1l_0_1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNILUN[33]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[33]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[34]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_5[1]\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_i_1_tz_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_i_a11_0_0[1]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_217\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_i_1[1]\);
    
    \Core8051S_sub_1/CoreTimer_0/un5_coretimer_lll\ : NOR2B
      port map(A => \Core8051S_sub_1/un13_cuartloii\, B => 
        \Core8051S_sub_1/CoreTimer_0/un4_coretimer_o1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_lll_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_3[19]\ : OR2
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[19]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n19_0_i_a2_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I32_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N158_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N155_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N154_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N173\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIEK32[88]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[88]\, 
        B => \\\\\MEMADDR_[8]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_909_i_i_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[3]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[3]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_lll_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[34]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_290\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[34]\);
    
    \MEMADDR_pad[13]/U0/U0\ : IOPAD_TRI
      port map(D => \MEMADDR_pad[13]/U0/NET1\, E => 
        \MEMADDR_pad[13]/U0/NET2\, PAD => MEMADDR(13));
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIHC31_5\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[3]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_77\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIUHAI[0]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1157_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_174\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1154\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[8]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[128]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[128]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTOL0L_RNO\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTI1il_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTL1il_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARToo0l\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETIMER_o1l\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETIMER_o1l_RNO_0\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_0/CORETIMER_o1l_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_0[8]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[8]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_2[8]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_72\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i_RNI18L81\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[3]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_165\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIIPD34[4]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_103_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1388\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m[4]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNI538U[25]\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c24\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT[25]_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c25\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTI1il\ : 
        DFN1P0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTL1il_net_1\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTI1il_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[109]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1397\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[109]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNITCU[3]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_ooi0i_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_3_sqmuxa_1_0_RNI6OPL7A\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un150_core8051s_o01\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_N_11\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_m6_0_a3_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_N_8\);
    
    \Core8051S_sub_1/CoreGPIO_0/DATAOut[1]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[1]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreGPIO_0/un4_coregpio_i\, Q => 
        \dataOut_c[1]\);
    
    \Memory_0/INT_RAM_8KB_0/MX2_RD_6_inst\ : MX2
      port map(A => \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_6_net\, B
         => \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_6_net\, S => 
        \Memory_0/INT_RAM_8KB_0/ADDRB_FF2_0_net\, Y => 
        \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[6]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_32\ : 
        AND2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[95]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF6S1[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNII98HG[0]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_ivtt_0_m3_0_a2_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNII98HG[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I51_Y\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N262_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N258_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N289_0\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO_0[1]\ : OR2A
      port map(A => \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[1]\, 
        B => \Core8051S_sub_1/un5_oen\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out_m[1]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/WDOGRES_RNO\ : AO1D
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_6\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNIM776O[7]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_899\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un22_core8051s_i1l0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[14]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[7]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/N_321\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI85FH2[37]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_772\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_5[4]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_182\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184_0\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_266\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[3]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo10_i[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_97\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJOT2[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[41]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_14_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_16_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNINKLP02[2]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_4[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_3[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1411\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[6]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII[0]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[0]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/un1_cuarto1ii20_net_1\, Q
         => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[0]\\\\\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_ii_0_iv_i_o2_0[3]\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PENABLE\, B => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\, C => 
        \\\\\MEMADDR_[4]\\\\_c_2\, Y => 
        \Core8051S_sub_1/CoreTimer_1/N_163\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[0]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave3_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[0]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNI3P9D[12]\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt_c11\, B
         => \Core8051S_sub_1/CoreTimer_1/COUnt[12]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c12\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIAR461[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_865\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1408\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1_core8051s_ooo1l_3\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOO1l\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un1_core8051s_ooo1l_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[8]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_72\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_90\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_735\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.core8051s_l0lo021_RNIJ7BCK\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo025\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i0i1i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo020_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo027\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO[1]\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_177\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0i0l\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un15_core8051s_ii10l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_o2[0]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_97\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_2[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_120_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_130\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_7[0]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[2]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/N_18\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[2]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[25]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[25]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[25]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_109\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1_RNIHCSK[2]\ : OR2A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1[2]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/coretimer_loi\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_0_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I58_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N269\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N266\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N265\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N296\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.un1_core8051s_liol_3_2_i\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_3\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_31\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIRUIR[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_872\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m_1[2]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNI6VJ6[8]\ : NOR2
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_13_i_0\, B => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[8]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c8\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO[10]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[10]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_1/COUnt_m[10]\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[10]\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi_RNO[0]\ : 
        NOR3C
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_92_1\, B
         => 
        \Core8051S_sub_1/CoreInterrupt_0/un1_coreinterrupt_l0l13_i_a6_0_net_1\, 
        C => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        Y => \Core8051S_sub_1/CoreInterrupt_0/N_105_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIALE1[38]\ : 
        NOR2A
      port map(A => \\\\\MEMADDR_[15]\\\\_c\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIALE1[38]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_2[12]\ : NOR3A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[12]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, C
         => \Core8051S_sub_1/CoreWatchdog_0/N_305\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_346\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII[2]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[2]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/un1_cuarto1ii20_net_1\, Q
         => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[2]\\\\\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_6[0]\ : OR2A
      port map(A => \Core8051S_sub_1/CoreTimer_0_TIMINT\, B => 
        \Core8051S_sub_1/N_115\, Y => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_ooi_m_0\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[2]\ : 
        DFN1E1C0
      port map(D => \AFLSDF_INV_36\, CLK => clk_pll_0_GLA, CLR
         => \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNO[2]_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[2]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNII0Q6\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_29\, B => 
        \Core8051S_sub_1/COREAI_0/N_45\, S => 
        \\\\\MEMADDR_[3]\\\\_c_2\, Y => 
        \Core8051S_sub_1/COREAI_0/N_61\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I55_Y\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N266_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N262_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N293_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Loo1i.un17_core8051s_oiol_0_a2_0_a2_1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[0]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1403\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_2[9]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1329\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.core8051s_l0lo025\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo025_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_31\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo025\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNI69K1[2]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[2]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i0i1i_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIN5EE[7]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1447\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[7]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1285\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0_3[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3823_core8051s_oll1l_0_a3_1\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_286\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_303\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_400\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[4]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1437\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_0_0[4]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[17]\ : NOR3
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_123\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_122\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_347\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_46\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_58\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[12]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_10_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_58\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNILMRAH[8]\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIUJR07[8]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0_RNINPHP5[8]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_1_8_m4_i_0\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_3[4]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[4]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave14_PSELx_0\, C
         => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_1[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_3[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIT4CA4\ : 
        OR3C
      port map(A => Core8051S_sub_1_MEMPSRD, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIRO761_net_1\, 
        C => \Memory_0.INV_1_Y\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_a2_2_N_7\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[75]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_30\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[75]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_101\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOOT2[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_15_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_20_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_2[4]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_2_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[4]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[1]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[1]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i_m7_i_a5_0\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_1_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i_m7_i_a5_0_1_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i_N_9_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[76]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1299\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[33]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[113]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[113]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[32]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0[39]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[32]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[32]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNINK681[5]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1351\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_6_0_a2_0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[43]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[43]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_111\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIPD6P4[40]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_loo1l_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un4_core8051s_loo1l\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO_0[6]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_42\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_48_i_0_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[95]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[15]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[95]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_177\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNINMO[16]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[16]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[17]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_5_i_o2_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oool\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_l0il\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oool\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNITD15U_0\ : 
        MX2
      port map(A => \\\Memory_0_RD_[3]\\\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_l1o1l_RNISQ10G[19]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIM7P3E_net_1\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_6_0_0_ADD_5x5_fast_I13_Y_i_o4\ : 
        AO13
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL_i_0[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_15\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_17_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_2[2]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1462\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1291\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[19]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[19]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[19]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_7[6]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[6]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_404\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/un3_core8051s_ili1i_5_0\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL10\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[6]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/un3_core8051s_ili1i_5_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.un150_core8051s_o01\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un150_core8051s_o01_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un150_core8051s_o01_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_io00l_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un150_core8051s_o01\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_a3_5\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_309\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_303\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_433\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i[12]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I118_Y_0_0_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_llol_sn_m2\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_oiil\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o0il_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_140_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNI47IF[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1411\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_957\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1158\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[31]\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c29\, B
         => \Core8051S_sub_1/CoreTimer_0/COUnt[30]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_66_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNI0QUVFT[5]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[5]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1587_core8051s_oll1l_0_i\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_124_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_286\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_124\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_RNISS85[3]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_i[3]\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIlse_4_0_0_a2_1_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_RNO[1]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIlse_4_0_0_a2_0\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_114\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_75\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_ns_e[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_7\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNICQR1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[92]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIGLE3[76]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_862\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_8\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I9_P0N\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[9]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[9]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N232_0\);
    
    \MEMADDR_pad[2]/U0/U1\ : IOTRI_OB_EB
      port map(D => \\\\\MEMADDR_[2]\\\\_c\, E => SOC_VCC_NET, 
        DOUT => \MEMADDR_pad[2]/U0/NET1\, EOUT => 
        \MEMADDR_pad[2]/U0/NET2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_821\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1522_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_0[6]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1338\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1340\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1339\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_i_1[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_o2[14]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[77]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_350\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_716\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_RNI72L8[0]\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_c0\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIlse_4_0_0_a2_1_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_159\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[4]\ : 
        DFN1E1P0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, CLK => 
        clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_core8051s_l1il\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11_i_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_0[11]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_848_tz\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1548\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[11]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1362\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNIN507[3]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11_i_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_135\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I87_un1_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N303_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N204_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I87_un1_Y\);
    
    \Memory_0/data_bus_buffer_0/BIBUF_1_inst/U0/U1\ : 
        IOBI_IB_OB_EB
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[1]\\\, E => 
        \Memory_0/data_bus_buffer_0/TrienAux\, YIN => 
        \Memory_0/data_bus_buffer_0/BIBUF_1_inst/U0/NET3\, DOUT
         => \Memory_0/data_bus_buffer_0/BIBUF_1_inst/U0/NET1\, 
        EOUT => \Memory_0/data_bus_buffer_0/BIBUF_1_inst/U0/NET2\, 
        Y => \Memory_0/Z\\\\data_bus_buffer_0_Y_[1]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIF1TI5[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[4]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[55]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_1[12]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1438\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1360\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[12]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[12]\ : 
        AO1C
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[12]\\\\\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[12]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[12]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_2[0]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1490\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_338\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_214\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_0_a2_2[7]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_350\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_696\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1437\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNI8OVA[7]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_0_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_81\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE5H2[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[128]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNISNDQ[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_132\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_123\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_140_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIIA05O[8]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[8]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_767_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_0_iv_0_0_0[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[8]\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0[5]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[5]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[5]\\\\\);
    
    \TX0_pad/U0/U1\ : IOTRI_OB_EB
      port map(D => TX0_c, E => SOC_VCC_NET, DOUT => 
        \TX0_pad/U0/NET1\, EOUT => \TX0_pad/U0/NET2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_liol_0\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I120_Y_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I119_Y_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_liol_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_iolo03\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i001I\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_3[10]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1442\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1286\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_19[1]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_108\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_143_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_143\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[159]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[39]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[159]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_317\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m_0[4]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_194\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m_0[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_RNI5MVJ3[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_895\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1462\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_37\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[60]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[20]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIC7H3[30]\ : NOR2
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[29]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[30]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil_0_a2_1_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO[5]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_924\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[3]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_3_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[3]_net_1\);
    
    \Memory_0/data_bus_buffer_0/BIBUF_3_inst/U0/U0\ : IOPAD_BI
      port map(D => 
        \Memory_0/data_bus_buffer_0/BIBUF_3_inst/U0/NET1\, E => 
        \Memory_0/data_bus_buffer_0/BIBUF_3_inst/U0/NET2\, Y => 
        \Memory_0/data_bus_buffer_0/BIBUF_3_inst/U0/NET3\, PAD
         => EXT_DATA(3));
    
    \Core8051S_sub_1/COREAI_0/COREAI_o00l[4]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[12]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un15_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[21]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[21]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[22]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[141]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[21]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_m[4]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_0_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_m[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_3[8]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[8]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_696\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_m_1[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[9]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[9]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[10]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_lLL0_m_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNILFO2[16]\ : 
        OR2A
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_ILl0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[16]_net_1\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[18]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[138]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[138]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNID4B2[8]\ : OR2A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_25\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[8]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c8\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I_RNI5BK1[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[1]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l0l1i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNINOJJ2[118]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_688\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_696\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[89]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[9]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[89]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1301\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_17[7]\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_20_m_1[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_23_m_0[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_112\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_17[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2008_core8051s_oll1l_i_a3\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_376\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[12]\ : NOR3A
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_305\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, C
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT[12]_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_344\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0[4]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_14_i_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[37]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_1_m[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[4]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[3]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n3\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[36]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[37]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[6]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_3[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_5[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[6]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[15]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[15]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un5_oen_0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIK412_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un3_udrcap_0_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.CORE8051S_iio0i_19_i_i_a2_5[7]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_2_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1448\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lil_RNILUTL2\ : OR3C
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_lil_i_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oll_i\, C => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_1_sqmuxa\, Y => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[2]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[2]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un5_core8051s_ooo1l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[21]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[101]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[101]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIOI.un1_core8051s_liol_1_2\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[30]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_1_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[64]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[24]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1813_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[64]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_14[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_121\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_128\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_133_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_6[0]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[14]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[14]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[14]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_0[14]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[14]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO[6]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_476\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1520_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNI6GVM7[0]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I0I0L\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un14_core8051s_o010l\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_89_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un16_core8051s_o010l\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_0[12]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[12]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\, C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[12]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_0[12]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I116_Y_0_0\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_932\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I116_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[32]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[32]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[32]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_0[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[4]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1462\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_68\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un696_core8051s_o0ol0_NE\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[150]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_10\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIIQ049\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_ioi0i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un134_core8051s_oll0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ioi0i_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNI8A76M\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1141\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[11]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1362\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[11]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1365\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[11]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_82\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/CORE8051S_l0L1L.un860_core8051s_oll1l_0_0_a3_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_311\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_304\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_389\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[77]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[37]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1813_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[123]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_115\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[123]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ioi0i\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o1ol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[88]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_966\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.un150_core8051s_o01_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_4_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_2_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un150_core8051s_o01_0\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[1]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[1]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_lll\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_9_3_i_o2[46]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_ooli_m[0]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N78\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_124\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_ooli_m[0]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l_RNIV5OL[0]\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_130\, B => 
        \Core8051S_sub_1/COREAI_0/N_194\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, Y => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[8]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_OIO1L_RNO_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un5_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/IR_m[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ii1l.un2_core8051s_l01_i\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un2_core8051s_oiil_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_li01I_RNIVS135\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_I01_i_a2_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_279\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_299\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[1]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.0.COREAI_l01I.un19_coreai_l0li_2_0\ : 
        NOR2
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, B
         => \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/un19_coreai_l0li_2_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I60_Y_0_0\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_0_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_858\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I60_Y_0_0\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li_RNICCH2[14]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[14]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_422\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_RNIUT15[0]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo00L[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I0OL_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I0OL_i_0\);
    
    \Memory_0/data_read_mux_0/MX2_Result_1_inst\ : MX2
      port map(A => \Memory_0/data_read_mux_0/MX2_1_Y\, B => 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[1]\\\\\, S => 
        \Memory_0/data_read_mux_0/SelAux_1_0_net\, Y => 
        \\\Memory_0_RD_[1]\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_4[3]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_3_sqmuxa_1_0_RNIDLGR2\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[7]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_3_sqmuxa_1_0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_m6_0_a3_1_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[17]\ : AX1D
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c16\, B
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, C
         => \Core8051S_sub_1/CoreTimer_0/N_90\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n17\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[153]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[33]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[153]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1389\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[7]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oli0i_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_3\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_NE_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_NE_3\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_5\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_NE_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.CORE8051S_iio0i_19_i_0_i_a2_4[12]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_695\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1387\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_707\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1442\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un1_CORE8051S_l100l_1_I_18\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/DWACT_ADD_CI_0_g_array_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/I_18_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_1[10]\ : OR3
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[9]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/COUnt_c8\, C => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, Y => 
        \Core8051S_sub_1/CoreTimer_0/N_75\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[12]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[12]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, C
         => \Core8051S_sub_1/un5_oen\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[12]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[27]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[27]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[27]\\\\\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIGFB5\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_86\, B => 
        \Core8051S_sub_1/COREAI_0/N_419\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_118\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[12]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[12]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[132]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[12]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[12]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I10_P0N\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[10]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N235_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un694_core8051s_oll1l_0_i_0\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un694_core8051s_oll1l_0_i_a3_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_339\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_420\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un694_core8051s_oll1l_0_i_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_6_0_I_9\ : 
        XNOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_6[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_6[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[28]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[28]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[28]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[5]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_125\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[5]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/un1_coreai_l0li\ : NOR2
      port map(A => \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_3\, 
        B => \Core8051S_sub_1/un1_coreai_l0li_1\, Y => 
        \Core8051S_sub_1/COREAI_0/un1_coreai_l0li_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[2]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_173\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un33_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[7]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[7]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii32_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNIJPH1[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[16]\\\\\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[0]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_949\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I42_Y_0_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I42_Y_0_0\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[11]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n11\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte_0\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[11]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_102\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_16_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_18_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_17_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_21_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_14[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[3]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0[11]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[11]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[11]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[57]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[17]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[57]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1393\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMWR_RNO\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un100_core8051s_liol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un15_core8051s_lii0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMWR_1_sqmuxa_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_a2_5[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_155\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_164\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[26]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n26\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[26]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIRCUF3[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNI3DGPF[22]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iiI0[6]\, 
        B => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[6]\\\\_i\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lii0_i_0\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_l1o1l_RNI3DGPF[22]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_101\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[123]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIT9B3[118]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_15\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_20\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO_18\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF5H2[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[89]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_954_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0_RNIBMU6M[7]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNITV88A_net_1\, 
        B => \\\\\MEMADDR_[7]\\\\_c_0\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1146\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIFD87A[0]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_8_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1I0L_m[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I33_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N159\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N155\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N174\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_0[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_214\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_190\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_25\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_222\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.4.COREAI_o11i.COREAI_i00L[4]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[4]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un21_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNITBE1G_0\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_13\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lii0_i_0\, Y
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_64\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[127]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0_1_0[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_2[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_2_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1_m_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8AB3[1]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[1]\, 
        B => \\\\\MEMADDR_[1]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_868_i_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/CORE8051S_O0I1i\ : 
        DFN0P0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/CORE8051S_O0I1i_1\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/CORE8051S_O0I1i_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO[4]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[18]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[98]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[98]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[4]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii32_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[4]_net_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[1]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[1]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIHKCTB\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_897\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1076\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[28]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[28]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[28]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[4]\ : AX1D
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c3\, B => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_64\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I42_Y_0\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N156\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N153\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N152\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I42_Y_0\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_2[0]\ : OR2B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[0]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CoreTimer_I0_0_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL_m[0]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[29]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[29]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[29]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_114\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_llL_RNIAH52\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_llL_i_0\, B
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_O1_net_1\, Y
         => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I[12]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I118_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[12]\\\\_c\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_53\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_3[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_4[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_1_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_1[8]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_63\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_18[8]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_247\);
    
    \Memory_0/INT_RAM_8KB_0/INT_RAM_8KB_R1C7\ : RAM4K9
      port map(ADDRA11 => \\\\\MEMADDR_[11]\\\\_c\, ADDRA10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRA9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRA8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRA7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRA6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRA5 => 
        \\\\\MEMADDR_[5]\\\\_c\, ADDRA4 => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDRA3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRA2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRA1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRA0 => 
        \\\\\MEMADDR_[0]\\\\_c\, ADDRB11 => 
        \\\\\MEMADDR_[11]\\\\_c\, ADDRB10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRB9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRB8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRB7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRB6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRB5 => 
        \\\\\MEMADDR_[5]\\\\_c\, ADDRB4 => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDRB3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRB2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRB1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRB0 => 
        \\\\\MEMADDR_[0]\\\\_c\, DINA8 => \GND\, DINA7 => \GND\, 
        DINA6 => \GND\, DINA5 => \GND\, DINA4 => \GND\, DINA3 => 
        \GND\, DINA2 => \GND\, DINA1 => \GND\, DINA0 => 
        \\\Core8051S_sub_1_MEMDATAO_[7]\\\, DINB8 => \GND\, DINB7
         => \GND\, DINB6 => \GND\, DINB5 => \GND\, DINB4 => \GND\, 
        DINB3 => \GND\, DINB2 => \GND\, DINB1 => \GND\, DINB0 => 
        \GND\, WIDTHA0 => \GND\, WIDTHA1 => \GND\, WIDTHB0 => 
        \GND\, WIDTHB1 => \GND\, PIPEA => \GND\, PIPEB => \GND\, 
        WMODEA => \GND\, WMODEB => \GND\, BLKA => 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_1_net\, BLKB => 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_1_net\, WENA => \GND\, 
        WENB => SOC_VCC_NET, CLKA => \AFLSDF_INV_30\, CLKB => 
        \AFLSDF_INV_31\, RESET => SOC_VCC_NET, DOUTA8 => OPEN, 
        DOUTA7 => OPEN, DOUTA6 => OPEN, DOUTA5 => OPEN, DOUTA4
         => OPEN, DOUTA3 => OPEN, DOUTA2 => OPEN, DOUTA1 => OPEN, 
        DOUTA0 => OPEN, DOUTB8 => OPEN, DOUTB7 => OPEN, DOUTB6
         => OPEN, DOUTB5 => OPEN, DOUTB4 => OPEN, DOUTB3 => OPEN, 
        DOUTB2 => OPEN, DOUTB1 => OPEN, DOUTB0 => 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_7_net\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[32]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[32]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[32]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[20]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[60]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[100]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[20]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[19]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[19]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[19]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[19]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[19]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_100\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[124]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_782\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_19\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_2[7]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_4_m[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_oili_m[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_2[7]\);
    
    \Memory_0/nvm_if_1/FLASH1/NVM_INST\ : NVM
      generic map(MEMORYFILE => "flash_64KB.mem",
         ACT_PROGFILE => "flash_64KB.efc",
         ACT_CALIBRATIONDATA => 0)

      port map(RD(31) => nc24, RD(30) => nc1, RD(29) => nc8, 
        RD(28) => nc13, RD(27) => nc16, RD(26) => nc19, RD(25)
         => nc25, RD(24) => nc20, RD(23) => nc27, RD(22) => nc9, 
        RD(21) => nc22, RD(20) => nc28, RD(19) => nc14, RD(18)
         => nc5, RD(17) => nc21, RD(16) => nc15, RD(15) => nc3, 
        RD(14) => nc10, RD(13) => nc7, RD(12) => nc17, RD(11) => 
        nc4, RD(10) => nc12, RD(9) => nc2, RD(8) => nc23, RD(7)
         => \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[7]\\\\\, RD(6) => 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[6]\\\\\, RD(5) => 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[5]\\\\\, RD(4) => 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[4]\\\\\, RD(3) => 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[3]\\\\\, RD(2) => 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[2]\\\\\, RD(1) => 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[1]\\\\\, RD(0) => 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[0]\\\\\, BUSY => 
        \Memory_0.INV_1_Y\, STATUS(1) => nc18, STATUS(0) => nc26, 
        ADDR(17) => \GND\, ADDR(16) => \GND\, ADDR(15) => 
        \\\\\MEMADDR_[15]\\\\_c\, ADDR(14) => 
        \\\\\MEMADDR_[14]\\\\_c\, ADDR(13) => 
        \\\\\MEMADDR_[13]\\\\_c\, ADDR(12) => 
        \\\\\MEMADDR_[12]\\\\_c\, ADDR(11) => 
        \\\\\MEMADDR_[11]\\\\_c\, ADDR(10) => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDR(9) => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDR(8) => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDR(7) => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDR(6) => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDR(5) => 
        \\\\\MEMADDR_[5]\\\\_c\, ADDR(4) => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDR(3) => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDR(2) => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDR(1) => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDR(0) => 
        \\\\\MEMADDR_[0]\\\\_c\, WD(31) => \GND\, WD(30) => \GND\, 
        WD(29) => \GND\, WD(28) => \GND\, WD(27) => \GND\, WD(26)
         => \GND\, WD(25) => \GND\, WD(24) => \GND\, WD(23) => 
        \GND\, WD(22) => \GND\, WD(21) => \GND\, WD(20) => \GND\, 
        WD(19) => \GND\, WD(18) => \GND\, WD(17) => \GND\, WD(16)
         => \GND\, WD(15) => \GND\, WD(14) => \GND\, WD(13) => 
        \GND\, WD(12) => \GND\, WD(11) => \GND\, WD(10) => \GND\, 
        WD(9) => \GND\, WD(8) => \GND\, WD(7) => \GND\, WD(6) => 
        \GND\, WD(5) => \GND\, WD(4) => \GND\, WD(3) => \GND\, 
        WD(2) => \GND\, WD(1) => \GND\, WD(0) => \GND\, 
        DATAWIDTH(1) => \GND\, DATAWIDTH(0) => \GND\, REN => 
        \Memory_0/mem_decode_0_INT_NVM_CS\, WEN => \GND\, PROGRAM
         => \GND\, SPAREPAGE => \GND\, AUXBLOCK => \GND\, 
        READNEXT => \GND\, ERASEPAGE => \GND\, UNPROTECTPAGE => 
        \GND\, DISCARDPAGE => \GND\, OVERWRITEPROTECT => \GND\, 
        PAGELOSSPROTECT => \GND\, CLK => \AFLSDF_INV_32\, RESET
         => SOC_VCC_NET, PAGESTATUS => \GND\, OVERWRITEPAGE => 
        \GND\, PIPE => \GND\, LOCKREQUEST => \GND\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIU6BH2[117]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10_0[0]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_686\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[0]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/N_40\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe_0\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_8\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_532\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_535\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[36]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_8_net_1\);
    
    \Memory_0/INT_RAM_8KB_0/INT_RAM_8KB_R1C4\ : RAM4K9
      port map(ADDRA11 => \\\\\MEMADDR_[11]\\\\_c\, ADDRA10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRA9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRA8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRA7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRA6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRA5 => 
        \\\\\MEMADDR_[5]\\\\_c\, ADDRA4 => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDRA3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRA2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRA1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRA0 => 
        \\\\\MEMADDR_[0]\\\\_c\, ADDRB11 => 
        \\\\\MEMADDR_[11]\\\\_c\, ADDRB10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRB9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRB8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRB7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRB6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRB5 => 
        \\\\\MEMADDR_[5]\\\\_c\, ADDRB4 => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDRB3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRB2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRB1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRB0 => 
        \\\\\MEMADDR_[0]\\\\_c\, DINA8 => \GND\, DINA7 => \GND\, 
        DINA6 => \GND\, DINA5 => \GND\, DINA4 => \GND\, DINA3 => 
        \GND\, DINA2 => \GND\, DINA1 => \GND\, DINA0 => 
        \\\Core8051S_sub_1_MEMDATAO_[4]\\\, DINB8 => \GND\, DINB7
         => \GND\, DINB6 => \GND\, DINB5 => \GND\, DINB4 => \GND\, 
        DINB3 => \GND\, DINB2 => \GND\, DINB1 => \GND\, DINB0 => 
        \GND\, WIDTHA0 => \GND\, WIDTHA1 => \GND\, WIDTHB0 => 
        \GND\, WIDTHB1 => \GND\, PIPEA => \GND\, PIPEB => \GND\, 
        WMODEA => \GND\, WMODEB => \GND\, BLKA => 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_1_net\, BLKB => 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_1_net\, WENA => \GND\, 
        WENB => SOC_VCC_NET, CLKA => \AFLSDF_INV_24\, CLKB => 
        \AFLSDF_INV_25\, RESET => SOC_VCC_NET, DOUTA8 => OPEN, 
        DOUTA7 => OPEN, DOUTA6 => OPEN, DOUTA5 => OPEN, DOUTA4
         => OPEN, DOUTA3 => OPEN, DOUTA2 => OPEN, DOUTA1 => OPEN, 
        DOUTA0 => OPEN, DOUTB8 => OPEN, DOUTB7 => OPEN, DOUTB6
         => OPEN, DOUTB5 => OPEN, DOUTB4 => OPEN, DOUTB3 => OPEN, 
        DOUTB2 => OPEN, DOUTB1 => OPEN, DOUTB0 => 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_4_net\);
    
    \Core8051S_sub_1/CoreGPIO_0/CoreGPIO_iL[0]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreGPIO_0/CoreGPIO_LL[0]_net_1\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreGPIO_0/CoreGPIO_iL[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_18\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIOG4D7[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_6[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_3[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_6[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_15[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_106_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_11[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oll0i_RNO_3\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_73_1\, B
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_320\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i0i0i_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_2447_tz\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[8]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[8]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[8]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_72\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNILE91G\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_15\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lii0_i_0\, Y
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il10I_RNI2ROH[0]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_34\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un15_core8051s_ooi0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un25_core8051s_ooi0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un28_core8051s_loi0i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_olli_3_0_0_I_8\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un37_core8051s_ooli\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_1_1[0]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_o0oi_RNO\ : NOR2
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_o0oi_net_1\, 
        B => \Core8051S_sub_1/COREAI_0/COREAI_iioi_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/un9_coreai_lioi\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[5]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_209\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un33_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[5]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_RNIHV01[2]\ : 
        NOR2B
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_35\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[2]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_36_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[5]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_3[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_5[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNI5B171\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_ooi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_904\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNI5B171_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I96_Y\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I96_un1_Y_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I78_un1_Y_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N290\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N356\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIQUCD7[2]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL_i_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[2]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_1_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_87_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooiI.CORE8051S_LOII.un1_core8051s_ioii28_0\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un5_core8051s_il1l\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_144\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii28_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO[13]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[13]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[13]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[13]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_0_RNI9T2R[2]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_0_2\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1542\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_i\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[7]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[7]_net_1\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/un2_cuartl\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_59\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_n7\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1469_core8051s_oll1l_0_m2\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[4]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_326\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.7.COREAI_o11i.COREAI_i00L_RNISHA8[7]\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/N_177\, B => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_193\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_m[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_0_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_m[6]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_2[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_267\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[51]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[11]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1813_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[51]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[5]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[5]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[5]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_3[11]\ : OR2
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[11]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n11_0_i_a2_0\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt[9]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_1/COUnt_n9\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[9]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_3[3]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o0il_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[27]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[147]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[147]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[72]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_24\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[72]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIE5AU4[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_212\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_107\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_86\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_olli_3_0_0_I_15\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_7[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_8[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_1_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_4[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO[1]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo020_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_2[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[31]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0[39]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[31]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[31]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/CORE8051S_l0L1L.un860_core8051s_oll1l_0_a2_i\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_314\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_302\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_144\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I43_Y_0_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I43_Y_0_0\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIM203[29]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[29]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/COUnt[30]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_7\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_1_RNI9MU6M[4]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNITV88A_net_1\, 
        B => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1112\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[14]\ : 
        OR3A
      port map(A => \Core8051S_sub_1/N_136\, B => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, C => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[14]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_18[7]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[0]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_139\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1337\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_18[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_48\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[132]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNICQR1[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO[5]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_2[3]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1490\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_729\);
    
    \Core8051S_sub_1/CoreGPIO_0/DATAOut[0]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[0]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreGPIO_0/un4_coregpio_i\, Q => 
        \dataOut_c[0]\);
    
    \MEMADDR_pad[10]/U0/U0\ : IOPAD_TRI
      port map(D => \MEMADDR_pad[10]/U0/NET1\, E => 
        \MEMADDR_pad[10]/U0/NET2\, PAD => MEMADDR(10));
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[14]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1246\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_0_i_0[14]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1248\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[14]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_10[1]\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_181\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_i_1_tz_0[1]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIOJIH[19]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c18\, B
         => \Core8051S_sub_1/CoreTimer_0/COUnt[19]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c19\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETIMER_o1l_RNO\ : NOR3B
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, B
         => \Core8051S_sub_1/CoreTimer_0/un4_coretimer_o1\, C => 
        \Core8051S_sub_1/N_185\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETIMER_o1l_RNO_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[1]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_3[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_2[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_4[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_0\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un608_core8051s_o0ol0_NE_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un608_core8051s_o0ol0_NE_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un608_core8051s_o0ol0_NE_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un608_core8051s_o0ol0_NE\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[12]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1242\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_0_i_0[12]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1244\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[12]_net_1\);
    
    \Memory_0/mem_decode_0/un3_a16_0_o2\ : OR2
      port map(A => Core8051S_sub_1_MEMPSRD, B => 
        Core8051S_sub_1_DBGMEMPSWR, Y => 
        \Memory_0/mem_decode_0/N_16\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_63\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_710\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_718\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lli\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_32\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[127]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_5_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_IOI\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/coretimer_loi\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_IOI_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNISQ10G[19]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iiI0[3]\, 
        B => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[3]\\\\_i\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lii0_i_0\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_l1o1l_RNISQ10G[19]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_32\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8K72[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_32_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_9\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOOT2[38]\ : 
        MX2
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, B
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[3]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOOT2[38]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMRD_RNO_1\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un15_core8051s_lii0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMRD_2_sqmuxa_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_21\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_807\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_815\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I23_Y\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N238_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N235_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N258_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1587_core8051s_oll1l_0_i_1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_305\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_124_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_15[7]\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_388\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_389\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_0[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.core8051s_oolo0110_10\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0110_4\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[88]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0110_10\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_49\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9HE1[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[14]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_943_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[13]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_137_i_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[13]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_6[15]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_704\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[15]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_896\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1249\);
    
    \Core8051S_sub_1/CoreGPIO_0/COREGPIO_ol_RNO[1]\ : NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreGPIO_0/CoreGPIO_LL[1]_net_1\, B => 
        \Core8051S_sub_1/CoreGPIO_0/CoreGPIO_iL[1]_net_1\, C => 
        \Core8051S_sub_1/CoreGPIO_0/N_356\, Y => 
        \Core8051S_sub_1/CoreGPIO_0/COREGPIO_ol_RNO[1]_net_1\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_l11I.8.COREAI_ooo0.COREAI_l00l_RNIVIR8[8]\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/N_178\, B => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_194\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I95_Y_0\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N261_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N258_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N257_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I95_Y_0_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[16]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[16]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[16]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[16]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_0[6]\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_3_tz[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_incl_mul_div_da_3_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_0[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m_7_m7_i_a4\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un15_core8051s_i1i1i_1_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_0_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m_7_N_9\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_RNI5SO1[5]\ : 
        NOR2B
      port map(A => \Core8051S_sub_1/CoreTimer_1/N_158\, B => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[5]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_159\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1_RNIU0061[2]\ : OR3B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un3_coretimer_lol\, B => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi\, C => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1[2]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/COUnt_1_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_1\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_283\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_34_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_90_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[50]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_241\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[50]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[23]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[23]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[23]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_102\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[6]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n6\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIAI01_1\ : 
        BUFF
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1210_core8051s_oll1l_0_a2_i_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_338\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_300\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_i01o0_8_0_i_x2_i_x2_RNIIM35\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_902_i_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_898_i_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_14\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_18\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I1_P0N\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_246\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N208\);
    
    AFLSDF_INV_10 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_10\);
    
    \dataOut_pad[1]/U0/U1\ : IOTRI_OB_EB
      port map(D => \dataOut_c[1]\, E => SOC_VCC_NET, DOUT => 
        \dataOut_pad[1]/U0/NET1\, EOUT => 
        \dataOut_pad[1]/U0/NET2\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_RNO[2]\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, B
         => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un7_baud_clock\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_e2_i_0\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_48\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I17_Y\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[14]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_267\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N244\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N252\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNI46UU5D2[1]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[1]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_1_i_0\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_RNO[3]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[3]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[28]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[28]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[28]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[28]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[18]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[18]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[18]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[18]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[18]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_RNO_9\ : OR3A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[0]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[3]_net_1\, 
        C => \Core8051S_sub_1/CoreTimer_1/N_179_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_a2_2_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNICO32[49]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[49]\, 
        B => \\\\\MEMADDR_[9]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_904_i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1234_core8051s_oll1l_0\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[30]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1234_core8051s_oll1l_0_140_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[54]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[28]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_82\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        B => \\\\\MEMADDR_[15]\\\\_c\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[135]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_926_i_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[21]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[21]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un5_oen_0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[21]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[10]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[130]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[130]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I40_Y_0\ : 
        MAJ3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N135_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I40_Y_0_0\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[12]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n12\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte_0\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[12]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_41\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_728\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_736\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[110]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[30]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1843_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[110]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I22_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N238\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N234\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N237\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N257\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_io00I[4]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo10_i[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[12]\\\\\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTio0l_RNO_2\ : 
        XAI1
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[2]_net_1\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTO1il_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_86\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_7\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_2_0_a2_i_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1253\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1419\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_2_0_a2_i_0_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[36]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[116]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[116]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTL0[1]\ : 
        DFN1
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[1]\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[1]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_0[15]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[15]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\, C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[15]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_0[15]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[11]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[11]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[11]_net_1\);
    
    \Memory_0/INT_RAM_8KB_0/ORB_GATE_1_inst\ : OR2A
      port map(A => \\\\\MEMADDR_[12]\\\\_c\, B => 
        \Memory_0/INT_RAM_8KB_0/WEBP\, Y => 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_1_net\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I39_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N214\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N211\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N274\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIRGDI9G[7]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_188\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_5[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIRGDI9G[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_o3_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_291\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_1[2]\ : OR3B
      port map(A => \Core8051S_sub_1/un13_cuartloii\, B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[2]_net_1\, C
         => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL_m[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[4]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_3_sqmuxa\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[4]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[7]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[7]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_0[7]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1462\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[7]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_o2_0[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1275\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_8[2]\ : 
        AOI1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_155\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_a10_1[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_153\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[24]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[24]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[24]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[14]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[54]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[54]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1_RNIVII51[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1330\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[7]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_L11_sn_N_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I43_un1_Y\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N174_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I43_un1_Y_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1itt_m2\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_18\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lii0_i_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1itt_m2_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_IL00l\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_IL00l_RNO_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il00l\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_1[17]\ : NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, B
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[17]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_122\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[26]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[26]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[26]_net_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a2_0[0]\ : NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0_APB3master_PSELx\, B => 
        \\\\\MEMADDR_[9]\\\\_c_0\, C => \\\\\MEMADDR_[8]\\\\_c_0\, 
        Y => \Core8051S_sub_1/CoreAPB3_0/N_57\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNIRPH1[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[20]\\\\\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[4]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_953\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I40_Y_0\ : 
        AO13
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_861\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N135\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I40_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNI2OVA[1]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_0_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i[10]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I116_Y_0_0_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[2]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[10]\ : 
        AO1C
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[10]\\\\\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[10]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[10]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[30]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[70]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[110]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[30]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_2[4]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_4_m[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_m[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_2[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIMPS1_0[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_ooi0i_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_ooi0i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_ooi0i\);
    
    \Core8051S_sub_1/CoreGPIO_0/DATAOut[3]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[3]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreGPIO_0/un4_coregpio_i\, Q => 
        \dataOut_c[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_a3_3\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_445\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_311\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_418\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0_RNIBHC31[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_ooi0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_675_i_0_a2_0\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li_RNIVMO2[8]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[8]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_417\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI0MVDI[6]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_1[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_3[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_225\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_243\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_735\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.un1_core8051s_oolo0100_1_1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0110_10\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0109_6\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_1_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[1]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[1]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_lll_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[1]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oioi_RNO\ : INV
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iloI_net_1\, 
        Y => \Core8051S_sub_1/COREAI_0/COREAI_iloI_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIIJC55[0]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_103_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1388\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_1[2]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_a10_4_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_152_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_5[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_3[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNIPI0B[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[3]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[61]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1326\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIEKC1[6]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_299\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[6]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_300\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[8]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[8]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[8]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_75\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_6[0]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[0]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_338\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_158\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMRD\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMRD_0_sqmuxa\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMRD_2_sqmuxa\, 
        Q => Core8051S_sub_1_MEMRD);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_97\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        B => \\\\\MEMADDR_[8]\\\\_c_0\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[48]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_917_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_2[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[0]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un9_core8051s_oiol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_15[0]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL_RNO_1[7]\ : 
        XA1B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[0]_net_1\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[1]_net_1\, C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_7_i\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_109\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIOG4D7[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[7]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_1_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIOG4D7[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_O0I0I\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un127_core8051s_oll0i\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_1\, 
        Q => \Core8051S_sub_1/CORE8051S_0/CORE8051S_O0I0I\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_5_0_0_ADD_5x5_fast_I22_Y_0_i\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_15_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_5x5_fast_I22_Y_0_i_0_tz\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_13_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_11\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIB08KH\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_0_tz[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNO[6]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[30]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_712\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_213\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL_RNO[6]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_29_i_0_i\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_104\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_30\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[4]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n4\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNID72J1G[1]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_4_sqmuxa_1_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_2_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIRF9TI[7]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_1[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_3[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[32]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[112]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[112]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_33\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_2[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_2[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_2[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_2[0]\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_3[2]\ : OR2
      port map(A => \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, B
         => \Core8051S_sub_1/CoreTimer_1/COUnt[2]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_3[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_77\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNITOT2[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[1]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO_0[5]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[5]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[5]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_52\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIHC31_10\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[9]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_83\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_22\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_6[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_6[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_6[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIP6P2K5[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[5]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_55\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_55_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_7_0tt_b0_0_a4\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_net_1\, 
        B => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_l01ii.un15_core8051s_i1i1i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un150_core8051s_o01\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_7_0tt_N_7\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNI0L37[12]\ : OR2A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c11\, B
         => \Core8051S_sub_1/CoreTimer_0/COUnt[12]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c12\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_o00l_RNIH8I5[4]\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[4]_net_1\, B => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_1_net_1\, C => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_198\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNIPGBGG[13]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_907\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un22_core8051s_i1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1046\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[4]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[4]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, C
         => \Core8051S_sub_1/un5_oen\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_83\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_m_i[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNITOT2[38]\ : 
        MX2
      port map(A => \\\\\MEMADDR_[6]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[6]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNITOT2[38]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_3[1]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o0il_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_2[3]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_2_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIQBQUP11[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNO[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[4]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l001i_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[7]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_3[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_5[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNO[0]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[0]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[0]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO_0[7]\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_42\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_59\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNILERL7[1]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_6\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_981\);
    
    \Memory_0/INT_RAM_8KB_0/BFF1_0_inst\ : DFN1
      port map(D => \\\\\MEMADDR_[12]\\\\_c\, CLK => 
        \AFLSDF_INV_37\, Q => 
        \Memory_0/INT_RAM_8KB_0/ADDRB_FF2_0_net\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_lili[2]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[2]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[31]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[31]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[31]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_9_3_i_o2[6]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[17]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[17]\\\\\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave14_PSELx\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[17]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[17]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[35]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[36]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[36]\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[27]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[27]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[27]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIOO0.core8051s_o0oo0_1_0_a2_0_1\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_251\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I0OL_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_91_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNI9VG3[23]\ : NOR2
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[23]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[24]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil_0_a2_1_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I2_P0N\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_248\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N211\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_1[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS1_m[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS2_m[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_1[1]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li[10]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[11]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un60_coreai_l0li_i\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[10]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[140]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[20]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1873_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[140]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO[3]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_922\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[3]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[27]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[27]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[27]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIIPN9[40]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_904_i_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_8\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_11\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_17\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_861\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un33_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[0]_net_1\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO_0[0]\ : OR2A
      port map(A => \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[0]\, 
        B => \Core8051S_sub_1/un5_oen_0\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out_m[0]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_RNIVMFC[3]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_173\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_29_i_0_i\, 
        C => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiole\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI3KR[36]\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[36]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_6\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/CORE8051S_l0L1L.un860_core8051s_oll1l_0_a2_0_i\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_312\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_302\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[25]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[25]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[25]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[25]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_103\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_21_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_20_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_19_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_2[15]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1404\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1150\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_67\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE5H2[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[88]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3889_core8051s_oll1l_0_a3\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_311\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_299\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[108]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_64\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[47]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_5[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_8\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_10[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_10[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_10[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_6[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_77\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_717\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I42_Y\ : 
        MAJ3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N204_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N277_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il10I[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il10I_ns[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_ol10i_d\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_3[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_0[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_3[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNI29SVFT[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[0]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[0]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[7]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[13]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[13]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[13]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[13]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[13]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un3_core8051s_io00l_2\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un3_core8051s_io00l_1_0_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_io00l_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un3_core8051s_io00l_2_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_ns_e[6]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_72\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_813\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[2]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[42]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_3[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNICQR2[54]\ : 
        XA1A
      port map(A => \\\\\MEMADDR_[14]\\\\_c\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[54]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_888_i_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_6\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_a2_3[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_162\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_9\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[64]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_19_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un608_core8051s_o0ol0_NE_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNI5SV[4]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_297\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[4]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_298\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li_RNIOMO2[1]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[1]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_55\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I4_G0N\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_252_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N216\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I11_P0N\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_933\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[11]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N238\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIJTSA[1]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[1]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_0_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooiI.CORE8051S_LOII.core8051s_ioii30\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un5_core8051s_il1l\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii30\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_i1l0i_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_338\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_304\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_i1l0i_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNII9Q6[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[0]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o0il_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_123\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iLO1L\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iLO1L_8\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_i110l_6\, 
        Q => \Core8051S_sub_1/CORE8051S_0/CORE8051S_oll0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_12[1]\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_159\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_164\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_12[1]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL_RNO[0]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_29_i_0_i\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_18\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[1]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[150]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[30]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1873_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[150]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_28\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[94]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE2S1[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I1_G0N\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_246\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N207\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[24]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[24]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[24]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[24]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_5\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_60\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_91_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un4051_core8051s_oll1l_i\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_290\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_316\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_248\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI7T0S01[116]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_681\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_697\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[116]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1213_core8051s_oll1l_0_a2_i\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_313\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_300\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_182\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_li01I_RNI7FIA5\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[3]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_l100\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_a2[1]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_155\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_102\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_169\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[26]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[26]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[26]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_core8051s_o10l\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[53]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_core8051s_o10l_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO_0[6]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[4]_net_1\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_880\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[24]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave0_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[24]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[24]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_103\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_21_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_20_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_19_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_1[2]\);
    
    \MEMADDR_pad[1]/U0/U0\ : IOPAD_TRI
      port map(D => \MEMADDR_pad[1]/U0/NET1\, E => 
        \MEMADDR_pad[1]/U0/NET2\, PAD => MEMADDR(1));
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i[9]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I115_Y_0_0_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_1[11]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_56\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1314\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[11]\);
    
    d_m2_1 : MX2C
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_l01ii.un1_core8051s_oolo0111\, 
        B => \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, 
        S => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        Y => \d_m2_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO_0[11]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[11]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[3]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/N_67\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_3[0]\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[6]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[7]\\\\_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I0LL_0_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I0LL_0_4\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNI2GP[3]\ : OR2A
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_296\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[3]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_297\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[5]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[5]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_95\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[5]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_RNO_3\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTLIol_net_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_9_iv_0_x4_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0[7]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_5[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[37]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_m[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un777_core8051s_oll1l_0_a2_i_o3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_305\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_304\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_334\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.un17_core8051s_olli_0_0_ADD_4x4_fast_I9_un1_Y_0\ : 
        AO13
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N68\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I9_un1_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_12[0]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_179\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_162\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a11_6_1[0]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL_RNO[7]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[7]_net_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[14]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_449\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[14]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[11]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[11]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[11]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_ioi0i\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un15_core8051s_ioi0i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un8_core8051s_ioi0i_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_966\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_ioi0i_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[6]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_30\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiole\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[6]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNISUI6\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_18\, B => 
        \Core8051S_sub_1/COREAI_0/N_43\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_59\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_iioi\ : DFN1E0C0
      port map(D => \Core8051S_sub_1/COREAI_0/COREAI_iioi_4\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un1_coreai_ioli8_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_iioi_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_7\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[68]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_8\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_9\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_94\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[8]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[9]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_3_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIHG8EN[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un48_core8051s_ioi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1209\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I0_S_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[0]\\\\_c\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIO4L111[101]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[101]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/CORE8051S_lili.un222_core8051s_oll1l_0_a2_i\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_349\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_304\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_174\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIM9B3[118]\ : 
        MX2
      port map(A => \\\\\MEMADDR_[0]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[0]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIM9B3[118]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I109_Y_0\ : 
        AX1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I67_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N275\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I109_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I109_Y_0_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNI559AU_0\ : 
        MX2
      port map(A => \\\Memory_0_RD_[1]\\\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_l1o1l_RNIMQC5G[17]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIM7P3E_net_1\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_6[3]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[3]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_673\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_0[2]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo024_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_1[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_2[2]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[2]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n2\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[2]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNI3MS1\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iili[0]\, B
         => \Core8051S_sub_1/COREAI_0/COREAI_il0l[0]_net_1\, S
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_42\);
    
    AFLSDF_INV_29 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_29\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTio0l\ : 
        DFN1E0P0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTio0l_3\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_4\, Q => TX0_c);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_93\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[81]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIO9B3[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_12_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[13]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_220\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[13]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[1]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1266\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1267\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNIQ0TO1[11]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_2[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_1[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_3[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3583_core8051s_oll1l_i\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3583_core8051s_oll1l_i_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_393\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_324_i\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_234\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIRD9II[105]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[105]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I0_G0N\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_0_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N120_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I27_Y\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N232_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N229_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N262_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIKNU6[0]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_ooi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un15_core8051s_ooi0i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_incl_mul_div_da_5_0_a2_2\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_incl_mul_div_da_5_0_a2_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_92\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1341\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_incl_mul_div_da_5_0_a2_2_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIDUR1[118]\ : 
        NOR2A
      port map(A => \\\\\MEMADDR_[13]\\\\_c\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIDUR1[118]_net_1\);
    
    AFLSDF_INV_27 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_27\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_6\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[134]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE2S1[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un1_CORE8051S_l100l_1_I_1\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo00L[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_0_sqmuxa_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/DWACT_ADD_CI_0_TMP[0]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETIMER_o1l\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_1/CORETIMER_o1l_RNO_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CORETIMER_o1l_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIAK32[38]\ : 
        NOR2A
      port map(A => \\\\\MEMADDR_[9]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIAK32[38]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.un1_core8051s_liol_2_1\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_244\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_23\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2_1_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNO[6]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[6]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[6]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_RNIVVAC[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_81\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_82\, 
        S => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_83\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[10]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[10]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[10]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[10]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[10]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_3[15]\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_696\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_91\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0[15]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[9]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/N_32\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[9]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_14\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_10\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_9\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_14\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIVVD49[9]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[9]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ioi0i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_931\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIOCDS[4]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_174\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m_0[4]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[7]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_33\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiole\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[7]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO_1[4]\ : 
        AX1D
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_39\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_46_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[83]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_113\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[83]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_1[5]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_33\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli26_4_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_1[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_29\ : 
        AND2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[14]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9HE1[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_2[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIQICOI[116]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_680\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_696\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[116]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_71\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_2_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_3[0]\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_I0_0_sqmuxa_0_a2\ : 
        NOR2
      port map(A => \Core8051S_sub_1/N_185\, B => 
        \Core8051S_sub_1/CoreTimer_1/N_164\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_I0_0_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_92\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[31]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_oll0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_1_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTLIol_RNO\ : 
        XA1C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTLIol_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_178\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_42\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[14]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[14]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[14]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_209\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8K72[38]\ : 
        MX2
      port map(A => \\\\\MEMADDR_[2]\\\\_c\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[2]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8K72[38]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I[7]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I113_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[7]\\\\_c\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[10]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[10]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, C
         => \Core8051S_sub_1/un5_oen\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[10]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[10]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[10]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_239\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[4]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_54\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_II00\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1249\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI01VF3[5]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1383\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1384\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_6_0_a2_0[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1368\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNILPH1[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[17]\\\\\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[1]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_950\);
    
    \Memory_0/mem_decode_0/un3_a16_0_a4\ : OR2B
      port map(A => SW0_c, B => \Memory_0/mem_decode_0/N_16\, Y
         => un3_a16_0_a4);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_84\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_930_i_0_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_929_i_0_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_84_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol[4]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16\, 
        Q => \\\Core8051S_sub_1_MEMDATAO_[4]\\\);
    
    AFLSDF_INV_1 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_48\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNICQR1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[92]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNIK5CT[7]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1411\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_939\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0_0[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I19_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N244_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N241_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N254_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_9[3]\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[0]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_5[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[120]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_6[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I109_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[3]\\\\_c\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[24]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[24]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[24]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_6_0_0_ADD_5x5_fast_I22_Y_0_i_o3_1\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_18\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNITDGTT[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_2_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_2[6]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_2_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I31_un1_Y_0\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I31_un1_Y_0\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[15]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n15\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte_0\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[15]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTO1LL.CUARTOIOL_12_i_o4[7]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[1]_net_1\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[0]_net_1\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_166\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1220_core8051s_oll1l_0_0_o3\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_323\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[21]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[54]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNI9J3F71[9]\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0_9_m6_i_a3_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0_RNIO20AA[9]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNI9J3F71[9]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIEVLQ3[6]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii_i[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_208\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_218\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_10\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIG76D7[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_5[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol[5]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[5]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16\, 
        Q => \\\Core8051S_sub_1_MEMDATAO_[5]\\\);
    
    \dataIn_pad[1]/U0/U1\ : IOIN_IB
      port map(YIN => \dataIn_pad[1]/U0/NET1\, Y => \dataIn_c[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[126]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[126]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1378\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_4\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_4_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTL0[4]\ : 
        DFN1
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[4]\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[13]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[13]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[13]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_3[13]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[13]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNISHDA[7]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_286\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_334\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNIR63K[6]\ : 
        AND3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_8_sqmuxa_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_1_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIGSE8T3[1]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un48_core8051s_ioi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_3[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[1]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_O1\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_O1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_10\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_NE_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNI04J[2]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_295\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[2]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_296\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[31]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[111]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[111]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_64\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[121]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[1]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_938_i_0_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_5_tz_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol[2]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[2]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16\, 
        Q => \\\Core8051S_sub_1_MEMDATAO_[2]\\\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[28]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c27\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_112\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n28\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNID2H[5]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[5]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/COUnt[6]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_25_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un14_core8051s_oili_I_10\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_17\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_3[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_10\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIHU4JH[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1435\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_2[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1438\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_4[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2672_core8051s_oll1l_0_0\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_313\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[53]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[71]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_4[6]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[5]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_66\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_732\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[9]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[9]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2_net_1\, 
        Q => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[9]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[24]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[24]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[24]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIA12F[129]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_906_i_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_8\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_11\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_17\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[6]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_380\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_8[12]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[12]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[12]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_72\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_925_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_923_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_996\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_6\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0[38]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[38]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1783_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I38_Y_0\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N149\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un16_core8051s_o010l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[0]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIK0J1[7]\ : OR2A
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_300\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[7]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_301\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_1[0]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I0LL_0_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNIIA3E[4]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_160\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1542\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1177\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_79\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO_0[0]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[6]_net_1\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_919\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[137]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1399\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[137]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_RNO_4\ : AOI1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_a2_1_1\, B
         => \Core8051S_sub_1/CoreTimer_1/N_158\, C => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_0\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[103]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[23]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1843_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[103]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I6_G0N\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N138_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[29]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[149]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[149]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[8]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[8]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_292\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[24]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c23\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_107\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n24\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNILG9C3[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[3]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[3]\);
    
    \dataOut_pad[1]/U0/U0\ : IOPAD_TRI
      port map(D => \dataOut_pad[1]/U0/NET1\, E => 
        \dataOut_pad[1]/U0/NET2\, PAD => dataOut(1));
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_O1O1l_RNO\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_i110l_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.CORE8051S_I0o0i_19_i_i_i_a2_6[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1457\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_735\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1538\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[35]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[115]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[115]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_9[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m_1[0]\, 
        B => \\\\\MEMADDR_[0]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF9H2[127]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[127]\, 
        B => \\\\\MEMADDR_[7]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_i01o0_7_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I114_Y_0\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N296_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I84_un1_Y_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I114_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I114_Y_0\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO[5]\ : AX1D
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt_c4\, B => 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil_0\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_52\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n5\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII[6]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[6]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/un1_cuarto1ii20_net_1\, Q
         => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[6]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I34_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N160_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N157_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N156_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N221_0\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[26]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[26]\\\\\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave14_PSELx\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[26]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[26]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_i0l0i_1_0_a2_1_a2_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_191\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1407\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_4[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[1]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL[6]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[6]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL_1_sqmuxa\, 
        Q => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_82\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[127]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0_1_0[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[6]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNI26J5\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_77\, B => 
        \Core8051S_sub_1/COREAI_0/N_204\, S => 
        \\\\\MEMADDR_[3]\\\\_c_2\, Y => 
        \Core8051S_sub_1/COREAI_0/N_109\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/CORE8051S_lili.un216_core8051s_oll1l_0_a2_i\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_337\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_302\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_166_i_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdog_OIL_RNI985A1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/corewatchdog_ill\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdog_OIL_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_l11I.9.COREAI_ooo0.COREAI_l00l_RNICG47[9]\ : 
        MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_147\, B => 
        \Core8051S_sub_1/COREAI_0/N_163\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_179\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_RNI4QB4[5]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[5]_net_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_4\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_95\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[9]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/N_33\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[9]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ii1l.un14_incl_mul_div_da_0_o2\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1376\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1352\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNI4OG75[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_214\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_107\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[33]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[33]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[34]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[153]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[33]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIK412\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un3_udrcap_0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI4RO[75]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[79]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[75]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNO[7]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[31]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_712\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_217\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[7]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[7]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/cuartol1l4[0]\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[7]_net_1\);
    
    
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNIDTG4[0]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[0]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0_TIMINT\, C => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[0]_net_1\, 
        Y => \Core8051S_sub_1/CoreInterrupt_0/N_109\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_56\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_1_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[10]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[11]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_56\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1373_core8051s_oll1l_0_a3_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_313\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_303\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_378\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_35\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIQOT2[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_35_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I9_G0N\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[9]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[9]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N231_0\);
    
    \Memory_0/data_read_mux_0/MX2_2\ : MX2
      port map(A => \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[7]\\\\\, B
         => \Memory_0/Z\\\\data_bus_buffer_0_Y_[7]\\\\\, S => 
        \Memory_0/data_read_mux_0/SelAux_0_4_net\, Y => 
        \Memory_0/data_read_mux_0/MX2_2_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_7[2]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_6[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_1_1_iv_1[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_1_1_iv_2[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIO4BRK1[12]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un67_core8051s_ooi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_900\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1102\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0_0[12]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIES875[5]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_107\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_217_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIC9GMO1[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_2_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[6]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_25\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_26\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_800\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_816\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNIAUR2\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O1o1i_0_0_0_o2_1_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1416\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1643_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_a2_8[0]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[0]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[1]\, C
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_697\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1378\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNIF30G1[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1158\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1157\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_s_0[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii_i[1]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.0.COREAI_l01I.COREAI_l00l_RNI9AJ3[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[0]_net_1\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[0]\, S => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_138\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un694_core8051s_oll1l_0_i_a3_0_0\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un694_core8051s_oll1l_0_i_a3_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2893_core8051s_oll1l_i_o3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_l1i1i_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_290\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_338\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[4]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_78\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[4]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[16]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[16]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[16]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_91\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1469_core8051s_oll1l_0_a2_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_331\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1469_core8051s_oll1l_0_a2_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNI1Q2K7[7]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_m6_0_a3_0_0\, 
        B => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_N_10\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIFOIO12[1]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1056\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1055\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1057\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_246\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIFH8DN[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_908\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_861\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[25]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[25]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1783_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[25]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_a2_6[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1382\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1384\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1399\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI[1]/U1\ : 
        DFN1P0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[1]/Y\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        PRE => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL[7]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_5\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL_1_sqmuxa\, 
        Q => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNI0KH8G[7]\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_8_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[7]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_2_0[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[26]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[26]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1783_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[26]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m_7_m7_i_a4_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_1_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_217\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_O1OO0.core8051s_l1oo0_1_0_a2_0_RNO\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[101]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l1oo0_1_0_a2_0_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l1oo0_1_0_a2_0_2\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_RNO_0[2]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_4\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_98\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTL0[6]\ : 
        DFN1
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[6]\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[6]\);
    
    AFLSDF_INV_40 : INV
      port map(A => \\\\\MEMADDR_[2]\\\\_c\, Y => \AFLSDF_INV_40\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_1\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[129]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF5H2[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[11]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1315\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[11]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1317\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[11]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0[11]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I117_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[11]\\\\_c_0\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[18]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave0_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[18]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[18]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_3[9]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[9]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_3[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1328\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNI8RPJKL\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_2_a0_1[6]\, 
        B => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_l01ii.un15_core8051s_i1i1i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_2_0[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_2[6]\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO_0[1]\ : 
        AOI1B
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_102\, B
         => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[1]_net_1\, 
        C => \Core8051S_sub_1/CoreInterrupt_0/N_84\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_iv_0_0[1]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[10]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[10]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[10]_net_1\, 
        S => \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_79\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_95\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIHOT2[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_14_2\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[13]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave0_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[13]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[13]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1_RNIDAG51[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1324\, B
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/B1[1]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_L11_sn_N_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[80]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[80]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[9]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[49]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[49]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_RNI0143\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1[0]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_1/un3_coretimer_lol\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i1i1i_1\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I0_CO1_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I0_CO1_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un3_i[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N116\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI489F2[91]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_21\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_20\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_loo1l_0\);
    
    \Memory_0/INT_RAM_8KB_0/INT_RAM_8KB_R0C3\ : RAM4K9
      port map(ADDRA11 => \\\\\MEMADDR_[11]\\\\_c_0\, ADDRA10 => 
        \\\\\MEMADDR_[10]\\\\_c_0\, ADDRA9 => 
        \\\\\MEMADDR_[9]\\\\_c_0\, ADDRA8 => 
        \\\\\MEMADDR_[8]\\\\_c_0\, ADDRA7 => 
        \\\\\MEMADDR_[7]\\\\_c_0\, ADDRA6 => 
        \\\\\MEMADDR_[6]\\\\_c_0\, ADDRA5 => 
        \\\\\MEMADDR_[5]\\\\_c_2\, ADDRA4 => 
        \\\\\MEMADDR_[4]\\\\_c_2\, ADDRA3 => 
        \\\\\MEMADDR_[3]\\\\_c_2\, ADDRA2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRA1 => 
        \\\\\MEMADDR_[1]\\\\_c_0\, ADDRA0 => 
        \\\\\MEMADDR_[0]\\\\_c_0\, ADDRB11 => 
        \\\\\MEMADDR_[11]\\\\_c_0\, ADDRB10 => 
        \\\\\MEMADDR_[10]\\\\_c_0\, ADDRB9 => 
        \\\\\MEMADDR_[9]\\\\_c_0\, ADDRB8 => 
        \\\\\MEMADDR_[8]\\\\_c_0\, ADDRB7 => 
        \\\\\MEMADDR_[7]\\\\_c_0\, ADDRB6 => 
        \\\\\MEMADDR_[6]\\\\_c_0\, ADDRB5 => 
        \\\\\MEMADDR_[5]\\\\_c_2\, ADDRB4 => 
        \\\\\MEMADDR_[4]\\\\_c_2\, ADDRB3 => 
        \\\\\MEMADDR_[3]\\\\_c_2\, ADDRB2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRB1 => 
        \\\\\MEMADDR_[1]\\\\_c_0\, ADDRB0 => 
        \\\\\MEMADDR_[0]\\\\_c_0\, DINA8 => \GND\, DINA7 => \GND\, 
        DINA6 => \GND\, DINA5 => \GND\, DINA4 => \GND\, DINA3 => 
        \GND\, DINA2 => \GND\, DINA1 => \GND\, DINA0 => 
        \\\Core8051S_sub_1_MEMDATAO_[3]\\\, DINB8 => \GND\, DINB7
         => \GND\, DINB6 => \GND\, DINB5 => \GND\, DINB4 => \GND\, 
        DINB3 => \GND\, DINB2 => \GND\, DINB1 => \GND\, DINB0 => 
        \GND\, WIDTHA0 => \GND\, WIDTHA1 => \GND\, WIDTHB0 => 
        \GND\, WIDTHB1 => \GND\, PIPEA => \GND\, PIPEB => \GND\, 
        WMODEA => \GND\, WMODEB => \GND\, BLKA => 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_0_net\, BLKB => 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_0_net\, WENA => \GND\, 
        WENB => SOC_VCC_NET, CLKA => \AFLSDF_INV_6\, CLKB => 
        \AFLSDF_INV_7\, RESET => SOC_VCC_NET, DOUTA8 => OPEN, 
        DOUTA7 => OPEN, DOUTA6 => OPEN, DOUTA5 => OPEN, DOUTA4
         => OPEN, DOUTA3 => OPEN, DOUTA2 => OPEN, DOUTA1 => OPEN, 
        DOUTA0 => OPEN, DOUTB8 => OPEN, DOUTB7 => OPEN, DOUTB6
         => OPEN, DOUTB5 => OPEN, DOUTB4 => OPEN, DOUTB3 => OPEN, 
        DOUTB2 => OPEN, DOUTB1 => OPEN, DOUTB0 => 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_3_net\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0_a2\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_279\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[27]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[27]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[27]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_13\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[146]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_13_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNI8OEQ[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_136\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_127\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_140_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_TMP_0[0]\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[15]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[15]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[15]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[14]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[14]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[14]_net_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[15]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[15]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[15]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_0[15]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[15]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNI5GEQ[3]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_135\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_126\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_140_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_4[8]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1457\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_707\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_oiol_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_o2_2[0]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_97\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_116\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I2_G0N\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_857\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N126\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNIRERL7[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_6\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un899_core8051s_oll1l_i\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_314\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_300\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_39\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO_20\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[93]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIDUR1[118]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_948_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_98\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        B => \\\\\MEMADDR_[9]\\\\_c_0\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[129]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_914_i_0\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[26]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave0_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[26]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[26]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_RNO[1]\ : 
        XA1B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_62\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_90\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_23\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_110\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_0[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_0[2]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[24]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[24]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[24]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_104\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS1_m[1]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave1_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave1_PRDATA_[1]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS1_m[1]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_1[18]\ : OR3
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[17]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/COUnt_c16\, C => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/N_91\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_4[6]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_105\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I10_Y_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_5_m_0[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_3_tz_0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNIE7K71\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_145\, B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i001I\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNID5L2[118]\ : 
        MX2
      port map(A => \\\\\MEMADDR_[2]\\\\_c\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[2]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNID5L2[118]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[6]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[6]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO[16]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[16]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[16]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[16]\);
    
    \Memory_0/data_read_mux_0/MX2_Result_6_inst\ : MX2
      port map(A => \Memory_0/data_read_mux_0/MX2_7_Y\, B => 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[6]\\\\\, S => 
        \Memory_0/data_read_mux_0/SelAux_1_4_net\, Y => 
        \\\Memory_0_RD_[6]\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNI5DDQC[0]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un72_core8051s_loi0i_s\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_2tt_0_m1_0_a2_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0_RNIFPHP5[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNI5DDQC[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_9[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_129_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_109\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_135\);
    
    \MEMADDR_pad[12]/U0/U1\ : IOTRI_OB_EB
      port map(D => \\\\\MEMADDR_[12]\\\\_c\, E => SOC_VCC_NET, 
        DOUT => \MEMADDR_pad[12]/U0/NET1\, EOUT => 
        \MEMADDR_pad[12]/U0/NET2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[3]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[3]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un5_core8051s_ooo1l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[3]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[5]\ : XNOR2
      port map(A => \Core8051S_sub_1/CoreTimer_0/N_66\, B => 
        \Core8051S_sub_1/CoreTimer_0/N_65\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_2_sqmuxa\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1352\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_l01_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_2_sqmuxa_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[24]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[64]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[104]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[24]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_2\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_2_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1361_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1382\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_2_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_RNIDN96M[15]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNITV88A_net_1\, 
        B => \\\\\MEMADDR_[15]\\\\_c\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_m[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI[6]/U1\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[6]/Y\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[44]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[44]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_90\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNISPJ5[11]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c10\, B
         => \Core8051S_sub_1/CoreTimer_0/COUnt[11]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c11\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_63\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[126]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_786\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[40]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[40]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_181\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_O00LI_RNO\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRUPD\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un7_udrcap_0_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un7_udrcap_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_O00LI_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1_RNIPQH51[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1328\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[5]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_L11_sn_N_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.core8051s_l0lo022_5\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[108]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2_1_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo022_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[28]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[28]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[29]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[148]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[28]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_4[1]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_192\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_218\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_204\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL_RNIP553[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/cuartol1l4[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un189_core8051s_oiol0_0[23]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[23]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_3_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[8]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[8]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIAH6E[0]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un15_core8051s_lii0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_221_i_0\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_ooi0i\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_364\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_4_0_a2_1[2]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I15_Y_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_1[0]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_124\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1346\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[10]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n10\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe_0\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[10]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[11]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[11]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[11]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_3[11]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I30_Y\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I30_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N225\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N265_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[5]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_68\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_9_i_a2_2[7]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1342\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_133\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_115\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[19]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[19]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[19]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTO1il_RNO\ : 
        XA1B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTO1il_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_84\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_18\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[11]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[11]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[11]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIH9PS_0[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[0]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_174\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_97\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[123]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_936_i_0_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_1_tz\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO[0]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I0LL_i\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10_0[0]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_core8051s_l1il\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_1[0]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[11]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[11]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[11]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_78\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNIHNU3G[118]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_672\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_680\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[10]\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1221\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_0[10]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1224\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_386\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNI8U3D\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_64\, B => 
        \Core8051S_sub_1/COREAI_0/N_112\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_128\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNO[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[5]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNI06UEN[14]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un48_core8051s_ioi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[14]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1215\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_10\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_11\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_13\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[27]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[27]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1783_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[27]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I120_Y_0_0\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[14]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[14]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I120_Y_0_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_5[1]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_118\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_110\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_155\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_134\);
    
    \Core8051S_sub_1/CoreGPIO_0/CoreGPIO_iL[1]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreGPIO_0/CoreGPIO_LL[1]_net_1\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreGPIO_0/CoreGPIO_iL[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[76]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[36]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1299\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_73\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_10[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[12]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_5[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_1\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIAK32[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[9]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_10[0]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L[0]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L_5[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_WDOGRESN\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO_1[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_882\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0_a2_1[1]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I14_Y_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_1[0]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_124\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_77_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_a2_7[0]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_166\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIQCQ8G_0\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_11\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lii0_i_0\, Y
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l[5]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[5]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un16_core8051s_o010l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_38\ : 
        XAI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[27]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[67]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[27]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTL0OL[2]\ : 
        DFN1E1C0
      port map(D => RX0_c, CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, Q
         => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTL0OL[2]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[31]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[31]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[31]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_2[5]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_52\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1343\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_1[2]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1444\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1293\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[2]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.3.COREAI_l01I.COREAI_l00l_RNIIAJ3[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[3]_net_1\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[3]\, S => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_141\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un4588_core8051s_oll1l_0_a2_0_a3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_315\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_303\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[53]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[7]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/N_29\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[7]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_RNIURR[2]\ : NOR2B
      port map(A => \Core8051S_sub_1/CoreTimer_1/N_40\, B => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[2]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_41_i_0\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[6]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[6]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNICIT79C2[2]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[2]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_2_i_0\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0[1]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/N_156_i_0\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[1]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI1PD1[13]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[13]\, 
        B => \\\\\MEMADDR_[13]\\\\_c\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_887_i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_RNIUP52[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[7]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[15]\\\\\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[3]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_163\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[3]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_95\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[3]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[5]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[5]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[5]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI0R08[85]\ : 
        XA1A
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[85]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_8\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_14\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_l11I.8.COREAI_ooo0.COREAI_l00l[8]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[8]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un19_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.un283_core8051s_o01_RNI8NK\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un283_core8051s_o01_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_1_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_269_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a11_3_1[0]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_200_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNIDR671[7]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[0]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_93\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI5JPMRT[7]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_0_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_6[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[7]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_RNO[0]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_O1_net_1\, B
         => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[0]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_n0\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[14]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n14\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte_0\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[14]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNIT51BU[38]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_751\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_759\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_2[3]\ : OR2
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[3]_net_1\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_2[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_29\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_809\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_817\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oll0i_RNO_7\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i0i0i_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[6]\\\\_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[7]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i0i0i_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_34\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_3[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_34\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIL1SU7[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli26_4_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNISJ547[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_m[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1_RNIAUF51[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1323\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[0]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_L11_sn_N_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[0]\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[0]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[0]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2_net_1\, 
        Q => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[0]_net_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[9]\ : 
        AO1C
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[9]\\\\\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[9]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[9]\\\\\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_1[1]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_289\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[1]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_262\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNIPPH1[3]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[19]\\\\\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[3]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_952\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNI4MS1\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iili[1]\, B
         => \Core8051S_sub_1/COREAI_0/COREAI_il0l[1]_net_1\, S
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_43\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_41\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_7_tz\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_7\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I41_Y_0\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N151\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N154\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N150\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I41_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_7[15]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[55]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[55]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_6\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_546\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_549\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[116]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_6_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_4[0]\ : OR3
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_i0l_1\, B => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_2480_tz\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_4[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_3[1]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_225\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_207\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[3]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[3]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[3]_net_1\, 
        S => \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_65\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIU1EJH\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI9EFM5[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_1_3_N_7\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I24_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N235\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N231\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N234\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N259\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l0oi_RNI86V2[6]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[6]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_22\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un74_core8051s_oll1l_0_i_a3\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_302\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_291\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_384\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I63_Y_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I5_P0N_m5_e\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N217\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I63_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_9[5]\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[5]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[28]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[28]\\\\\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave14_PSELx\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[28]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[28]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_12[7]\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_CORE8051S_ILLLI_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_64\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0_1_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[87]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_0_RNIDJQ7[1]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_ili1i_5\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_0_RNIDJQ7[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[15]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[15]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i_RNIJVB91\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_168\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[6]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i_net_1\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[14]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[134]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[134]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[2]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1357\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_6_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIKPTVFT[3]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[3]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[4]\);
    
    \Memory_0/data_bus_buffer_0/BIBUF_2_inst/U0/U1\ : 
        IOBI_IB_OB_EB
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[2]\\\, E => 
        \Memory_0/data_bus_buffer_0/TrienAux\, YIN => 
        \Memory_0/data_bus_buffer_0/BIBUF_2_inst/U0/NET3\, DOUT
         => \Memory_0/data_bus_buffer_0/BIBUF_2_inst/U0/NET1\, 
        EOUT => \Memory_0/data_bus_buffer_0/BIBUF_2_inst/U0/NET2\, 
        Y => \Memory_0/Z\\\\data_bus_buffer_0_Y_[2]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[17]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[17]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[17]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNI15C7[9]\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt_c8\, B => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[9]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c9\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[22]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[22]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[22]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.un90_core8051s_io00l\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un90_core8051s_io00l_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un90_core8051s_io00l_2_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un90_core8051s_io00l\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a4_0[14]\ : OR3C
      port map(A => \\\\\MEMADDR_[11]\\\\_c_0\, B => 
        \\\\\MEMADDR_[10]\\\\_c_0\, C => 
        \Core8051S_sub_1/CoreAPB3_0/N_360\, Y => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave14_PSELx_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_8[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m_1[0]\, 
        B => \\\\\MEMADDR_[7]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_25\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIVQ1D7[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_partial_sum[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNII0DO1[3]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_166_i_0\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m_1[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNI0CQUP11[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[49]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_268\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[49]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_il0l[2]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[2]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/coreai_io0l_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_il0l[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_5_i_o2_RNO_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[96]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[97]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_5_i_o2_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_76\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_784\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[125]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[22]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[22]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1783_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[22]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIBE03A\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_a2_5_m5_0_a3_0_0\, 
        B => \Memory_0.INV_1_Y\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNI4NQN5_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIBE03A_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNINIEVO[7]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[7]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_312\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_330_i\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[27]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c26\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_110\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n27\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li[2]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[2]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un60_coreai_l0li_i\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I48_Y_1\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N150\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N147\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_Y_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_Y_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_RNO_1\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_322\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_358\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_2\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_2[0]\ : OA1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii_iv_141_0\, B
         => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1_m[0]\, Y
         => \Core8051S_sub_1/CoreTimer_0/CORETimer_ii_iv_0[0]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[23]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[23]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[23]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[23]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_5\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[30]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[31]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_2_0_a2_i_0_a2_0\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_lili[3]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[3]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oll0i_RNO_1\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LOOL\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_315\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_oll0i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I0_S_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNI35QKK1[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I0_S_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_i0li_1_0_iv_0_a2_4[5]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_3[1]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_93\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1419\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_11\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_325\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_333\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1371\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/xHDL_UJTAG_RNIAI01/U_CLKSRC\ : 
        CLKSRC
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_37\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_725\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_741\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIUGEO1[6]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_166_i_0\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1409\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_1[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.core8051s_l0lo023_1\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_244\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_23\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo023_1\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[4]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[4]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/un5_psel\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_i110l_4\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un17_core8051s_i110l_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un5_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_i110l_4_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[34]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[74]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[114]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[34]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_27\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_796_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_5_tz\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_10\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO[2]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_876\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_884\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_3[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_595\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_611\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[57]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_619\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I109_Y_0_0_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[6]\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1238\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_i_0[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1239\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_453\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_RNO[8]\ : NOR3A
      port map(A => \Core8051S_sub_1/CoreTimer_1/N_165\, B => 
        \Core8051S_sub_1/CoreTimer_1/un6_coretimer_lil\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_102\, Y => 
        \Core8051S_sub_1/CoreTimer_1/N_30\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li[6]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[6]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un60_coreai_l0li_i\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_0[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_298\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_274_0\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_25\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_306\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[10]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_296_i_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[10]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[0]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[0]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[0]_net_1\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiI1L\ : DFN1P0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/un1_csn\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiI1L_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[16]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[16]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[17]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[16]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIDAB3[3]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[3]\, 
        B => \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_872_i_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I109_Y_0_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_250\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I109_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI24PHT1[4]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_2_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_4[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_5[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I52_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N263\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N260\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N259\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N290\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lli_RNO_12\ : OR2A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[0]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[3]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_0/N_49\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_I11l\ : DFN1C0
      port map(D => \Core8051S_sub_1/COREAI_0/COREAI_l11l\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_I11l_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1383\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[1]\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_0[15]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[15]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_164\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[15]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[15]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[15]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[15]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_89\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[37]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[37]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[37]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[37]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_95\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[44]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_929_i_0_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I95_un1_Y\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N289\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N297\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N304\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I95_un1_Y\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[28]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[28]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[28]\\\\\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTO1il_RNO_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_115\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/un1_CUARTO1il_1_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_RNIAB96M[12]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNITV88A_net_1\, 
        B => \\\\\MEMADDR_[12]\\\\_c\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1104\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIC1QOO3[0]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_2_0_N_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_1[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I94_Y_0\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N256_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N259_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N255_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I94_Y_0_0\);
    
    \EXT_RAM_CS_N_pad/U0/U1\ : IOTRI_OB_EB
      port map(D => un12_ext_ram_cs_n_0, E => SOC_VCC_NET, DOUT
         => \EXT_RAM_CS_N_pad/U0/NET1\, EOUT => 
        \EXT_RAM_CS_N_pad/U0/NET2\);
    
    AFLSDF_INV_4 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_4\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_RNIBNE2[6]\ : 
        NOR2B
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_39\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[6]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_43\);
    
    \Memory_0/data_read_mux_0/MX2_5\ : MX2
      port map(A => \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[3]\\\\\, B
         => \Memory_0/Z\\\\data_bus_buffer_0_Y_[3]\\\\\, S => 
        \Memory_0/data_read_mux_0/SelAux_0_0_net\, Y => 
        \Memory_0/data_read_mux_0/MX2_5_Y\);
    
    \MEMADDR16_pad/U0/U0\ : IOPAD_TRI
      port map(D => \MEMADDR16_pad/U0/NET1\, E => 
        \MEMADDR16_pad/U0/NET2\, PAD => MEMADDR16);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIPCU_0[0]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ooi0i_0\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[2]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[2]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_95\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_net_1\, 
        Y => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_l01ii.un1_core8051s_oolo0111\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_84\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9K32[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I48_un1_Y_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N166\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_un1_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_0[7]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_3_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[6]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_RNO[3]\ : 
        XA1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[3]_net_1\, 
        B => \Core8051S_sub_1/CoreWatchdog_0/N_36_i_0\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_O1_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_21\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I63_Y_0_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_861\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I63_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_RNIGNICJ[0]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1452\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I61_Y_0_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_859\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I61_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_222\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_1[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[0]\);
    
    \Memory_0/data_read_mux_0/MX2_Result_7_inst\ : MX2
      port map(A => \Memory_0/data_read_mux_0/MX2_2_Y\, B => 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[7]\\\\\, S => 
        \Memory_0/data_read_mux_0/SelAux_1_4_net\, Y => 
        \\\Memory_0_RD_[7]\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_13\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIDRDD7[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un3_core8051s_io00l_3_0\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un3_core8051s_io00l_3_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_0\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_0_3\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[99]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_91_i\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[6]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[6]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2_net_1\, 
        Q => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOJAH2[37]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_768\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.un6_core8051s_io00l_0_1\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_o2_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un283_core8051s_o01_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_io00l_0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_3\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[65]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un608_core8051s_o0ol0_NE_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un608_core8051s_o0ol0_NE_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.un1_core8051s_oolo0100_6\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0100\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_5\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_l10l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_6\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIQ459\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCAP\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un7_udrcap_0_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un3_udrcap_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_udrcap\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_2\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[61]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un608_core8051s_o0ol0_NE_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un608_core8051s_o0ol0_NE_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIHP0TV2[5]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m_0[5]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_3_sqmuxa_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_2[5]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[19]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[19]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[19]\\\\\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[25]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[25]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[25]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[25]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_0\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_NE_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_NE_4\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_2_0_a2_i_0_a2_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1251\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIIHMFL2[6]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1209\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_3_0[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1210\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_3[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_98\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOOT2[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_13_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_17_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_60\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_799_i_0_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_797_i_0_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_60_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI4O13[116]\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[116]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_6\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_7[15]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[15]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_895\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1252\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a4[4]\ : OR2B
      port map(A => \Core8051S_sub_1/CoreAPB3_0/N_58\, B => 
        \Core8051S_sub_1/CoreAPB3_0/N_57\, Y => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I92_Y_0\ : 
        AO18
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N243_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[14]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[14]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1_0_m3_0_a2_0\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, B => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_89_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_83\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_TMP_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_1_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3625_core8051s_oll1l_i_1\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_298\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[3]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_296\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3625_core8051s_oll1l_i_1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_13\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[32]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_oll0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_2_0_a2_i_0_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNO[2]\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_lil_i_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oll_i\, C => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n2_0_i_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_18\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_20\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[134]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE2S1[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[122]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[122]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_142\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I93_Y_1\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N257_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N254_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_Y_1\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO[3]\ : 
        OR3C
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_56\, B => 
        \Core8051S_sub_1/CoreInterrupt_0/N_58\, C => 
        \Core8051S_sub_1/CoreInterrupt_0/N_57\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_75\ : 
        NOR2
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_l100\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_2_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooiI.CORE8051S_LOII.un1_core8051s_ioii28\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii28\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii28_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii30\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii28\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO[1]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_iv_0_0[1]\, 
        B => \Core8051S_sub_1/CoreInterrupt_0/N_83\, C => 
        \Core8051S_sub_1/CoreInterrupt_0/N_85\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1[1]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_l11I.9.COREAI_IOo0.COREAI_i00L_RNID192[9]\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_i00L[9]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_163\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNI0LHL33[8]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_m_1[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_m_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[32]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[32]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[33]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[152]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[32]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[8]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19[8]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[8]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.un1_core8051s_liol_2\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2_0_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_3\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_5_0_0_ADD_5x5_fast_I16_un1_Y_i\ : 
        AO18
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_17\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_5[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNI8GPTF[12]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_900\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[12]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_52\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_793\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_52\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8DE1[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[13]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_945_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2522_core8051s_oll1l_0_a2_i\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_325\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_292\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_148\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNI3CTU\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_ili1i_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNIMV3D_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/d_m7_i_0\, Y
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/d_N_4\);
    
    \Memory_0/data_read_mux_0/MX2_3\ : MX2
      port map(A => \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[5]\\\\\, B
         => \Memory_0/Z\\\\data_bus_buffer_0_Y_[5]\\\\\, S => 
        \Memory_0/data_read_mux_0/SelAux_0_4_net\, Y => 
        \Memory_0/data_read_mux_0/MX2_3_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO[14]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[14]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[14]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[14]\);
    
    \EXT_RAM_WR_N_pad/U0/U0\ : IOPAD_TRI
      port map(D => \EXT_RAM_WR_N_pad/U0/NET1\, E => 
        \EXT_RAM_WR_N_pad/U0/NET2\, PAD => EXT_RAM_WR_N);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I46_un1_Y\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N257\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N254\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I46_un1_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I6_G0N\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_861\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N138\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO_1[3]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_904\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_10\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_57_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_2_5_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un521_core8051s_o01_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_2_3_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3286_core8051s_oll1l_0_i\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3286_core8051s_oll1l_0_i_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_405\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_269\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[7]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[7]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2_net_1\, 
        Q => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNIR6EA\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_299\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_337\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un27_core8051s_ooi0i\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL[2]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1[2]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave1_PRDATA_[2]\\\\\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[16]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[16]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[16]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNI7QD37_0[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2[7]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_66\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2_m[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_4[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_757\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_749\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_182\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_765\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L001i_RNO\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l1oo0_1_0_a2_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_34_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_35_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l1oo0_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_LLLI_RNI6DR1\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_LLLI_net_1\, 
        B => \Core8051S_sub_1/COREAI_0/COREAI_ioli_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/COREAI_iLLI\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[12]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[12]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[12]\\\\\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNI3IIK[21]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c20\, B
         => \Core8051S_sub_1/CoreTimer_0/COUnt[21]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c21\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNI794931[8]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_m[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNILAO18[1]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_103_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1388\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1_m[0]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_RNI5AQA[1]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un7_baud_clock_0_a3_0_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un7_baud_clock_0_a3_0_0\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_29_i_0_i\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_107\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIE97VAN2[3]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_5[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m[3]\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_33\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_1[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_1[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_1[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNI41LJ2[118]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_689\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_697\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNIBFT4[5]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_61\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_56_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_2[11]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1404\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1323\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2008_core8051s_oll1l_i_o3\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[4]\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_296\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[45]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[45]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNISE322[1]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_872\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_1[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0[2]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_RNO_8\ : NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[0]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[1]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_1/N_166\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1251\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_2_0_a2_i_0_4\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1254\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1291_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNI8MSH2[38]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_769\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_777\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIT5J5\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_74\, B => 
        \Core8051S_sub_1/COREAI_0/N_53\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_106\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_a2_RNO\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[108]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[111]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_a2_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i[5]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I111_Y_0_0_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2790_core8051s_oll1l_i_0_o3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_295\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[77]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_0_RNIC0AC1[0]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_io01i_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_l001i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_107\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[2]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[2]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo027\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[2]_net_1\);
    
    \MEMADDR_pad[0]/U0/U0\ : IOPAD_TRI
      port map(D => \MEMADDR_pad[0]/U0/NET1\, E => 
        \MEMADDR_pad[0]/U0/NET2\, PAD => MEMADDR(0));
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I22_Y\ : 
        AO13
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_0_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N160_0\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_RNO[2]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_159\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_115\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_98\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_ns_e[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[17]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[137]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[17]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[17]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNIRO48O[7]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_1_1[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[8]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_o00l_RNIG8I5[3]\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[3]_net_1\, B => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_1_net_1\, C => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_197\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I94_un1_Y\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I87_un1_Y_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N302\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I94_un1_Y_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I94_un1_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_84\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[48]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9K32[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.un283_core8051s_o01_RNIC1JRLR\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_l01ii.un15_core8051s_i1i1i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_6\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_89\);
    
    \Core8051S_sub_1/COREAI_0/un3_coreai_l0li\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/un3_coreai_l0li_1_net_1\, B => 
        \Core8051S_sub_1/COREAI_0/un19_coreai_l0li_2_0\, C => 
        \Core8051S_sub_1/un3_coreai_l0li_3\, Y => 
        \Core8051S_sub_1/COREAI_0/un3_coreai_l0li_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un4173_core8051s_oll1l_0\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[116]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[61]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_395\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[104]\);
    
    AFLSDF_INV_24 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_24\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_8[23]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[23]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[23]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ilo0i_I_34\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I[11]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I117_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[11]\\\\_c\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_5_0_0_ADD_5x5_fast_I23_Y_0\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_17\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_5[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_0_sqmuxa\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_io00l_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_io00l_0_1\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_89_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_0_sqmuxa_net_1\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO_1[1]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_108\, B
         => \Core8051S_sub_1/CoreInterrupt_0/N_97\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/N_83\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[30]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[150]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[150]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIUUIRC[2]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[2]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_905\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNI3TG3SQ\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_3[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_6_1_N_8\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_5[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[95]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_177\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[95]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2_m_0_a2[2]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_66\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_13_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2_m[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_32\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_7_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_2[3]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1462\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1331\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3823_core8051s_oll1l_0_o3\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_298\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_310\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_330\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_22\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_720\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_736\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIL0JO12[3]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1062\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1061\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1063\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_250\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_1[12]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_58\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1241\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_0_i_0[12]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_98\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_i000[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_651\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_1[3]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_0_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[96]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1232\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[96]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_3[2]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[2]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un5_oen_0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.un1_core8051s_liol_1_2\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo021_2\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_RNIN2F1[4]\ : 
        NOR2B
      port map(A => \Core8051S_sub_1/CoreTimer_1/N_157\, B => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[4]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_158\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIT18R6[1]\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[1]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_29\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1435\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_RNO_4\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_291\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_a3_1_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_303\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_368\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[28]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[28]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un5_oen_0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[28]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[1]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[1]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un5_core8051s_ooo1l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIQ459_0\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCAP\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un7_udrcap_0_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un7_udrcap_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un5_udrcap\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv[6]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_2[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_1_m[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_37\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0_0\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_i1l0i_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_888\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I67_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N276\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N204_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N275_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N306\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO_2[2]\ : OR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[2]_net_1\, B => 
        \Core8051S_sub_1/un11_cuartloii\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[4]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo027\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_95\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[0]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_806\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_m6_i_a5_1\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_m6_i_a5_1_0_net_1\, 
        B => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_l01ii.un15_core8051s_i1i1i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un150_core8051s_o01\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_N_10\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[20]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[20]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[20]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[20]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_0[4]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16\, 
        Q => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[4]\\\\_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_7[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[5]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_579\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_300_e\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1843_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16\, 
        Q => \\\Core8051S_sub_1_MEMDATAO_[1]\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNILJUSB_1\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un134_core8051s_oll0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_l1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_897\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[20]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n20\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte_0\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[20]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNI36J5\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_80\, B => 
        \Core8051S_sub_1/COREAI_0/N_415\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_112\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[23]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[23]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[23]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I19_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N244\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N241\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N254\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li[11]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[12]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un60_coreai_l0li_i\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[11]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un2_core8051s_l010l_0_I_5\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo00l[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_12\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_60\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[88]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_57_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un73_core8051s_oll1l_0_a2_i\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_349\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_302\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_87\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[98]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[18]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[98]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_35\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o101i_RNO\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_32\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_301\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_33\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lllo03\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1[1]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[1]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un7_coretimer_o1\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[13]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m_1[0]\, 
        B => \\\\\MEMADDR_[13]\\\\_c\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[14]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[13]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_RNIMUC7[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_77\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_173\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[11]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[11]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[11]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_3[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o0il_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I121_Y_0\ : 
        AX1E
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I92_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_Y_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I121_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I121_Y_0_0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_3[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[116]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_7[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[125]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[125]\);
    
    \EXTCLK_pad/U0/U0\ : IOPAD_IN
      port map(PAD => EXTCLK, Y => \EXTCLK_pad/U0/NET1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_RNICJN1[4]\ : 
        NOR2B
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_37\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[4]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_38\);
    
    \Memory_0/INT_RAM_8KB_0/WEBUBBLEB\ : INV
      port map(A => \Memory_0/mem_decode_0_INT_RAM_RD\, Y => 
        \Memory_0/INT_RAM_8KB_0/WEBP\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI5PD1[53]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[53]\, 
        B => \\\\\MEMADDR_[13]\\\\_c\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_888_i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.core8051s_lioo0_1_i_a2_0_2\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_1_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un297_core8051s_o01_0\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_89_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_0\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_Loli_RNISVP8\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_174\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_Loli_net_1\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_190\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.core8051s_oolo0108_1_0_a2_0_a2\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[88]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0108_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNILUV2[25]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[25]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/COUnt[26]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_5\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNO[3]\ : 
        NOR3C
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_92_1\, B
         => \Core8051S_sub_1/CoreInterrupt_0/N_98\, C => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        Y => \Core8051S_sub_1/CoreInterrupt_0/N_125_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ii1l.un4_incl_mul_div_da_0_a2_3\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[3]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_311\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1380\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_118\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_78\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_733\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a2[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_199_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_220\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_4[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo00L[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I5_P0N_m5_e\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1134\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I5_P0N_m5_e\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[8]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[8]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/N_323\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[8]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIHC31_13\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_ii1l\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_88\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un43_core8051s_liol_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_290\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un43_core8051s_liol_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_24\ : 
        MX2C
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_II00\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL10\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_548\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I120_Y_0\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I93_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_Y_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I120_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I120_Y_0_0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_3[11]\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_696\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_66\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0_0[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l01\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l01_RNO_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNIL20B[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[1]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[61]\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1324\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[7]\ : XNOR2
      port map(A => \Core8051S_sub_1/CoreTimer_0/N_70\, B => 
        \Core8051S_sub_1/CoreTimer_0/N_69\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n7\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1222_core8051s_oll1l_i_o3_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_305\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_299\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_342\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI4Q34[149]\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_6_0_o2_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_6_0_o2_0_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[149]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_864\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[20]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[20]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[20]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I94_Y_1\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N294_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N287_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I94_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I94_Y_1_0\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_0[0]\ : 
        AOI1B
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave1_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave1_PRDATA_[0]\\\\\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS2_m[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_0[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_103\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_21_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_20_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_19_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_2[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJKQ1[116]\ : 
        MX2
      port map(A => Core8051S_sub_1_MEMRD, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_II00\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[116]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1210\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[31]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[31]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[31]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[31]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[8]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13[8]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[8]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_a2_2[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_156\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.6.COREAI_l01I.COREAI_l00l_RNIRAJ3[6]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[6]_net_1\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[6]\, S => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_144\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO[10]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[10]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[10]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[10]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO_3[0]\ : OR2B
      port map(A => \Core8051S_sub_1/CoreUARTapb_0_TXRDY\, B => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/txrdY_m\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_0[4]\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_52\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_0_0[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_0_1[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO_0[9]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[9]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[1]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/N_67\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[9]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_339_i_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[9]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNI52JG23[13]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0_0[13]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1125\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1126\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[13]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_I11_m[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_190\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11_i_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_I11_m[0]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[23]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[23]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[23]\\\\\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oloi[1]\ : DFN0C0
      port map(D => \AFLSDF_INV_38\, CLK => clk_pll_0_GLA, CLR
         => \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_oloi_i[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_L000I\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LL10i\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_ol10i_d\, 
        Q => \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIVMO[56]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[56]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[57]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_6_0_o2_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.core8051s_lioo0_1_i_o2_3_172_tz\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_323\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3447_core8051s_oll1l_0_0_5\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_269\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_o2_3_172_tz\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li[13]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[14]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un60_coreai_l0li_i\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[13]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIHC31_6\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[4]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_78\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNO_0[1]\ : XNOR2
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[0]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[1]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n1_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/un3_core8051s_ili1i_5_4\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/un3_core8051s_ili1i_5_1_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/un3_core8051s_ili1i_5_0_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/un3_core8051s_ili1i_5_2_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/un3_core8051s_ili1i_5_4_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loOL_RNO_2\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o1ll_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.CORE8051S_iio0i_19_i_i_o2_1[15]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_699\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_704\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I13_Y\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N144\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[97]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1233\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[97]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO[2]\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0i0l\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un15_core8051s_ii10l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_3[2]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[29]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[29]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[29]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[29]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNI2PH75[4]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_107\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_216_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[4]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL_ns[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, Q
         => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI07QD[4]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1447\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[4]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1178\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_2[4]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[17]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[17]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[17]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[31]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n31\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[31]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIO4R1[122]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[122]\, 
        B => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_795_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_1[7]\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_913\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1463\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_701\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1261\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.un1_core8051s_liol_1_6_0\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_248\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_1_6_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNIMV3D\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIT06C[1]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i001I\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNIMV3D_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNO[5]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[29]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_712\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_209\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[9]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/N_32\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[9]_net_1\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTOL0L\ : 
        DFN1P0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARToo0l\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/fifo_READ_tx\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO[12]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[12]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[12]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[12]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[31]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[31]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[32]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[151]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[31]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_6\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE2S1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[94]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I97_un1_Y_0\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N274_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I63_Y_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N277_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I97_un1_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[4]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_5_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[4]_net_1\);
    
    \Memory_0/INT_RAM_8KB_0/ORA_GATE_1_inst\ : OR2A
      port map(A => \\\\\MEMADDR_[12]\\\\_c\, B => 
        \Memory_0/WEAP\, Y => 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_1_net\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIBMV2[13]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[13]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/COUnt[14]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_15[0]\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_149_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_a10_1_1[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_164\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_15[0]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_llL_RNO\ : OR3C
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_353\, C => 
        \Core8051S_sub_1/N_186\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_llL_RNO_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt[13]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_1/COUnt_n13\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[13]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO[6]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_7[8]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m_1[0]\, 
        B => \\\\\MEMADDR_[8]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[15]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[16]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[16]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI3HD1[52]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[52]\, 
        B => \\\\\MEMADDR_[12]\\\\_c\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_892_i_i_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_1[3]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_289\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[3]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_268\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_RNIS85HN[0]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1369\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1448\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_913\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1_core8051s_ooo1l_0\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un1_core8051s_ooo1l_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIJOH662[7]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2_m[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_5[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_83_m\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l[2]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_3[2]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un16_core8051s_o010l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo00l[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_1[10]\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1438\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1222\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_0[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_46\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_802\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_818\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIBCP27[3]\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[3]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_29\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNIE6UL6G\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_6tt_2_N_4\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_1_0\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_5_4_N_8\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[32]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[32]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[32]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_286\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIL4DTB\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[7]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_897\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1200\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO_2[0]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreTimer_0_TIMINT\, B => 
        \Core8051S_sub_1/CoreInterrupt_0/N_103\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/N_89\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lli_RNO_13\ : NOR2
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[2]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[3]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_0/CorETIMER_ili_0_a5_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I10_G0N\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[10]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N234_0\);
    
    \Memory_0/data_read_mux_0/BUFF_SelAux_1_4_inst\ : BUFF
      port map(A => \Memory_0/mem_decode_0_SEL1to1\, Y => 
        \Memory_0/data_read_mux_0/SelAux_1_4_net\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[9]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/N_302\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_77\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n9\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO[6]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_925\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[6]\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[12]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[12]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[12]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I64_Y_0_0\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_862\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I64_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[10]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[10]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[130]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[14]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_209\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[14]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_a2_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un374_core8051s_oiol0_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_5\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1292_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_a0[1]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_a0_0[1]_net_1\, 
        C => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_l01ii.un15_core8051s_i1i1i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_a0[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_4\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_2_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_1_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[61]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_4_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_45\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[12]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI79E1[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOIT5[93]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_889_i_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_885_i_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_6\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_8\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_olli_3_0_0_I_16\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_1_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_4[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_2_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_3[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIHEE59[11]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[11]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ioi0i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_933\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[5]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[5]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_core8051s_o10l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[5]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oilI_RNIEIK8\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_175\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_oilI_net_1\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_191\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I116_Y_0\ : 
        AX1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I80_un1_Y_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I97_Y_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I116_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I116_Y_0_0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_li01I_RNIH61A5\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[6]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_l100\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIFAJ75[7]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_107\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_219\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNID8G5E[6]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_7_a2_0_0[6]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_29\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_81\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_4[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.core8051s_lioo0_1_i_a2_0_1\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, B => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_loiii\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNISCV7M1[6]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_3[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[6]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_5[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO[4]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo020_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0_1[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_1\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_303\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_416\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_1_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_0[3]\ : NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_2[3]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/N_73\, C => 
        \Core8051S_sub_1/N_115\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii_0_iv_i_1[3]\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_1_sqmuxa_0_0\ : OR2
      port map(A => \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, B
         => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, Y => 
        \Core8051S_sub_1/un5_oen_0\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_LI0l[2]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un15_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[26]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[27]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[27]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[59]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[19]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[59]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1395\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNIMERL7[2]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_6\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_983\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0_RNIBHC31_0[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_ooi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_674_i_0_a2_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oi00l_RNO\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_286\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_350\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oi00l_RNO_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_o3_2\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_428\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_310\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I30_Y\ : 
        AO18
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N222\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_330_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N265\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_lio1L\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un9_core8051s_oilli\, 
        Q => \Core8051S_sub_1/CORE8051S_0/CORE8051S_ILl0\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNITI2J[20]\ : OR2A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c19\, B
         => \Core8051S_sub_1/CoreTimer_0/COUnt[20]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c20\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[19]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[19]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[19]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_29\ : 
        AND2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE2S1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[134]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_110\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[53]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_222\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[53]\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[2]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/N_18\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_4_0_a2_2[2]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I15_Y_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_105\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1347\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIESIUO\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ioi0i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1456\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[84]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_92\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[84]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNIFA3E[3]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_159\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1542\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1170\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNIC5M7[6]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_701\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1399\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1194\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[4]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[5]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_4\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[4]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[8]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[8]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[8]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNI1JHL1\ : 
        MX2
      port map(A => \\\Memory_0_RD_[5]\\\, B => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[5]\\\\\, 
        S => \Core8051S_sub_1/CORE8051S_0_APB3master_PSELx\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_16\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNIVBHC7\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_1_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_6_2_m3_i_a4_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[1]\ : 
        OR3C
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_263\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_262\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_264\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_7[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1259_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_13[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un253_core8051s_o01\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_163\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_127\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIJPNHB[2]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_a2_1tt_2_m3_0_a2_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIJPNHB[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIO99IG[4]\ : 
        AND3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_2_0[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_1[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[120]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_185\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[120]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIIL0C[3]\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_o1i0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un74_core8051s_liol_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_2[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I109_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[3]\\\\_c_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIV9B3[118]\ : 
        MX2
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, B
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_782\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I59_Y_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I59_Y_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N224_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un22_core8051s_i1i1i\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un16_core8051s_i1i1i_tz_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_89_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un22_core8051s_i1i1i_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[30]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[31]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[31]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNO_1\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_iolo03_0_a2_0_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_308\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_289\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill_RNIOH8EA[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[5]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_97\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[92]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_214\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[92]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i[5]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[5]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNI3A9R3[7]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_209\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_219\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO[7]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_926\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[7]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[1]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[1]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_2[5]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I111_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[5]\\\\_c_2\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_RNO_0[1]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_159\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIlse_4_0_0_a2_0\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNIED7J[7]\ : OR2A
      port map(A => \Core8051S_sub_1/CoreTimer_1/coretimer_loi_6\, 
        B => \Core8051S_sub_1/CoreTimer_1/coretimer_loi_13_i_0\, 
        Y => \Core8051S_sub_1/CoreTimer_1/coretimer_loi\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_RNO_0\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_370\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[61]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_3\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL_RNO[3]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_29_i_0_i\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_24\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_14\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_544\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_545\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_546\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li_RNIUMO2[7]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[7]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_416\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNICH19[0]\ : 
        OR3
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_oll0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o1i0L\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un4_core8051s_iio1i_NE\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un10_core8051s_i000l_1_i_0\);
    
    
        \Core8051S_sub_1/CoreGPIO_0/COreGPIO_ii.COREGPIO_ol_3_i_a4[1]\ : 
        OR3A
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave2_PSELx\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PENABLE\, C
         => \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, Y => 
        \Core8051S_sub_1/CoreGPIO_0/N_356\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNIMHQ6[2]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[2]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o0il_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_125\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_0_sqmuxa_1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0100\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_0_sqmuxa_1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I4_G0N\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/I10_un1_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[5]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[5]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[5]_net_1\);
    
    \Memory_0/mem_decode_0/un12_ext_ram_cs_n_0_a4\ : AOI1D
      port map(A => Core8051S_sub_1_MEMWR, B => 
        Core8051S_sub_1_MEMRD, C => \Memory_0/mem_decode_0/N_2\, 
        Y => \Memory_0/mem_decode_0/N_25\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[28]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c27\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_115\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n28\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[3]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/cuartol1l4[0]\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIENB4[12]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_879_i_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_891_i_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_7\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I29_Y\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I7_P0N_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N229_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N264_0\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_23\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[18]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[18]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[18]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oll0i_RNO_5\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i0i0i_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[2]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_81\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[2]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[8]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/N_31\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[8]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIUE37[25]\ : NOR3A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil_0_a2_1_3\, 
        B => \Core8051S_sub_1/CoreWatchdog_0/COUNT[26]_net_1\, C
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT[25]_net_1\, Y
         => 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil_0_a2_1_6\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_2[1]\);
    
    \INBUF_0/U0/U0\ : IOPAD_IN
      port map(PAD => NSYSRESET, Y => \INBUF_0/U0/NET1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_16\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_533\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_534\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_535\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIEC0G1[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11_i_0[1]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un78_core8051s_io00l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_5[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.core8051s_lioo0_1_i_o2_6\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_27_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_274\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[6]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[29]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[29]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[29]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[8]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[128]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_5[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[2]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_1[2]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIBI8LE9[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[7]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIP2J9KF[4]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_5[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[4]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_m[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_IO10i\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0_APB3master_PSELx\);
    
    AFLSDF_INV_5 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_4[5]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[4]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_o10_RNO_1[0]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_158\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0[10]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I116_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[10]\\\\_c_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNIMQC5G[17]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iiI0[1]\, 
        B => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[1]\\\\_i\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lii0_i_0\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_l1o1l_RNIMQC5G[17]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[31]\ : NOR2
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[30]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_67_0\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_LI0l[5]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[5]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un15_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[5]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt[8]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_1/COUnt_n8\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[8]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdog_OIL\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/corewatchdog_ill\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdog_OIL_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNO[0]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[24]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10_0[0]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_712\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_861\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[27]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0[39]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[27]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[27]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_11\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[100]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_1_3_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_156\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_1_2\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTL0[2]\ : 
        DFN1
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[2]\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIE4B37_0[4]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[4]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_66\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_a2_0_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_1[9]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1442\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1257\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIVFO1H[6]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[6]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_853\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_1[13]\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1438\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1226\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_0[13]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJ14J2[118]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[5]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_691\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_699\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[9]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1256\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[9]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1258\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[9]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un14_core8051s_olli_I_19\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_13\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_0[0]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_8[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_7[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_11[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_94\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[0]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_179\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNI3O2T[5]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1411\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_961\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_1[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_2_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_1_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1360\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0_a2_0\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_279\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        C => \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_366\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[63]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[21]\ : NOR3
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_133\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_134\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_135\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_294\);
    
    \MEMADDR_pad[3]/U0/U1\ : IOTRI_OB_EB
      port map(D => \\\\\MEMADDR_[3]\\\\_c_2\, E => SOC_VCC_NET, 
        DOUT => \MEMADDR_pad[3]/U0/NET1\, EOUT => 
        \MEMADDR_pad[3]/U0/NET2\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[5]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[5]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2_net_1\, 
        Q => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_46\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_2[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_2_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_2_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_3[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[27]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[27]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[27]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_5\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIVGS57[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_1_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ilo0i_I_80\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[8]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[0]\ : 
        OR3C
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_260\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_259\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_261\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_a2_0\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_300\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_424\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un5_core8051s_ooo1l\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un9_core8051s_oilli\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un5_core8051s_ooo1l_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNI81J76[6]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[6]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[33]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_o3_0\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_342\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_424\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_o3_0_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTio0l_RNO_1\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTio0l_3_0_a2_1_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNINTRUO[3]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1456\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1062\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[2]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[2]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_6_0_0_ADD_4x4_fast_I10_Y_i_o2\ : 
        AO13
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N94\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N92\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_49\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_792\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_800\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_0[7]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[7]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave3_PSELx\, C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_0[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I14_Y\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N125\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N145\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_69\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[41]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_931_i_0_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_5_tz_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_L00li_RNO\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un9_core8051s_oilli\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_L00li_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_L00li_RNO_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_55\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9K32[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_955_i_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[15]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[15]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_o01o0_8_0_i_x2_i_x2_RNIID82\ : 
        XA1A
      port map(A => \\\\\MEMADDR_[8]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[48]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_788_i_0_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_14\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_38\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_io1o0_1_0_a2_1_a5_0_a2_2_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1239\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.core8051s_lioo0_1_i_o2_1\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_162\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_o2_1_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_269_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iLI0I_1_I_12\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIIL0C[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_partial_sum[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_4[0]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_97\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_123_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_123\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_1[1]\ : OR2A
      port map(A => \Core8051S_sub_1/N_186\, B => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[1]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_109\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_RNO_1\ : 
        NOR3C
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_255\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L_0_0\, C
         => \Core8051S_sub_1/CoreWatchdog_0/N_58\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L_0_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2378_core8051s_oll1l_0_a2_i\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_286\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_350\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[62]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_loiii_RNO_0\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un74_core8051s_liol_0_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_356\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_liol_0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un84_core8051s_liol_a0_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[0]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_n0\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNI9IBRK1[15]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_m_1[15]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0[15]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTo11L\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTI01L_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTo11L_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJNF3[42]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_794_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_796_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_19\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIADQK2[4]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_139\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_2[3]\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO_0[4]\ : 
        AOI1B
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_102\, B
         => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[4]_net_1\, 
        C => \Core8051S_sub_1/CoreInterrupt_0/N_76\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_iv_0_0[4]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL_RNO[5]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_29_i_0_i\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_28\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I26_un1_Y\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N232_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I26_un1_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I117_Y_0_0\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1045\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[11]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I117_Y_0_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_loiii_RNO_2\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un74_core8051s_liol_0_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_148\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un84_core8051s_liol_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_o10[0]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_169\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_161\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_106_i\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[2]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[2]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/un5_psel\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o0il\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o0il_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o0il_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_1_i[2]\ : 
        NAND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1060\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_1_i_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_248\);
    
    \Memory_0/data_read_mux_0/MX2_0\ : MX2
      port map(A => \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[2]\\\\\, B
         => \Memory_0/Z\\\\data_bus_buffer_0_Y_[2]\\\\\, S => 
        \Memory_0/data_read_mux_0/SelAux_0_0_net\, Y => 
        \Memory_0/data_read_mux_0/MX2_0_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIU4ES[7]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[7]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_296\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_334\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m[7]\);
    
    \Memory_0/data_bus_buffer_0/Inv_Tri\ : INV
      port map(A => un4_ext_ram_wr_n_0, Y => 
        \Memory_0/data_bus_buffer_0/TrienAux\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_RNO_12\ : NOR2
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[2]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[3]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_a2_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_102\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_16\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_18\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_17\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_21\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[19]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[19]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[20]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[139]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[19]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.3.COREAI_o11i.COREAI_i00L_RNI8191[3]\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_i00L[3]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_157\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIH8B2[39]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1273\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[39]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1419\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNICQ771[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[5]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_io01i_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_207\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I93_un1_Y\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N300\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I86_un1_Y_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_un1_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I93_un1_Y_0\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l0oi[3]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[3]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un3_coreai_l0li_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[26]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[26]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[26]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[26]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[26]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i_RNIOPH3[3]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[27]\\\\\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[3]_net_1\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[1]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_945\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_46\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_63\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_786\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[86]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[1]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIDUV2[21]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[21]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/COUnt[22]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_76\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNISOT2[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_78\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_2_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[117]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[37]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1843_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L_RNO[1]\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil\, Y
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L_5[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE5H2[118]\ : 
        NOR2A
      port map(A => \\\\\MEMADDR_[8]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE5H2[118]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I42_Y_0\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N156_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N153_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N152_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I42_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_RNO[1]\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0i0l\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un15_core8051s_ii10l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_37\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[159]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[152]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I54_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N265\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N262\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N261\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N292\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNIBQOJ2[118]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[6]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_692\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_700\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_3_sqmuxa_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNIAOPTF[13]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_907\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[13]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[2]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[2]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii32_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[2]_net_1\);
    
    \MEMADDR_pad[2]/U0/U0\ : IOPAD_TRI
      port map(D => \MEMADDR_pad[2]/U0/NET1\, E => 
        \MEMADDR_pad[2]/U0/NET2\, PAD => MEMADDR(2));
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I63_Y_0\ : 
        AX1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I41_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I41_Y_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I63_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_OIII.un25_core8051s_oiol_0_a2_0_a2\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un25_core8051s_oiol_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_699\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un25_core8051s_oiol\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1_RNIJ2H51[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1326\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[3]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_L11_sn_N_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[12]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[12]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[12]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_35\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_714\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_722\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNI4NQN5\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNI5B171_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_core8051s_o01_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNI4NQN5_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[0]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[0]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreTimer_0/CORETimer_ii_iv_2[0]\, 
        Y => \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[0]\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNIR8U4[2]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[0]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[1]_net_1\, 
        C => \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[2]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_0/N_35_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_25\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_729\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_737\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_1[2]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_289\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[2]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_265\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m_1[0]\, 
        B => \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_io00I[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[0]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[8]\\\\\);
    
    \EXTCLK_pad/U0/U1\ : IOIN_IB
      port map(YIN => \EXTCLK_pad/U0/NET1\, Y => EXTCLK_c);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m2_e\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un15_core8051s_i1i1i_1_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m2_e_0_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m2_e_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i_RNIPON81\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[7]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_169\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_0[3]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_3_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[2]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l_RNIK7R3[6]\ : NOR2B
      port map(A => \Core8051S_sub_1/N_186\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[6]_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_149\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_a2_3[0]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_698\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_a2_3_0[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1410\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_20[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_115\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNO[7]\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_lil_i_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oll_i\, C => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n7_0_i_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_28\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNI5S6CVP\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_6_2_m3_i_a4_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_6tt_2_N_4\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_4[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_5[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO_0[3]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[3]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_922\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIO9LQ4[7]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_1_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0110_10\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_m6_0_a3_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_43\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIEDMH[11]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_12\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_11\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_16\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_20\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[14]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[14]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[14]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[48]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_294\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[48]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l0oi_RNI26V2[0]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[0]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_16\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_392\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1512_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[2]\);
    
    \Core8051S_sub_1/CoreGPIO_0/DATAOut[2]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[2]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreGPIO_0/un4_coregpio_i\, Q => 
        \dataOut_c[2]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oioi_RNI47DC\ : NOR2
      port map(A => 
        \Core8051S_sub_1/COREAI_0/un1_coreai_l0li_net_1\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_Lioi\, Y => 
        \Core8051S_sub_1/COREAI_0/un4_coreai_lioi\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNITVD49[8]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[8]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ioi0i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_941\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l0oi[0]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[0]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un3_coreai_l0li_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[0]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[29]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n29\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[29]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIA131D1[7]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_3[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[7]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_93\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_83_m\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_7[10]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[50]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[50]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_87\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[131]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_856\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_912_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_3\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l0oi_RNI96V2[7]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[7]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_24\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_1[7]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1522_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un2_core8051s_o100l_0_I_11\ : 
        AND3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo00L[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_OL00l\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[37]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0[39]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[37]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.un299_core8051s_o01_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un299_core8051s_o01_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ilo0i_I_69\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[7]\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO[11]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[11]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_1/COUnt_m[11]\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[131]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[11]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1873_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[131]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[17]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[17]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[17]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI4I25[120]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_797_i_0_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_799_i_0_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_11\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO_1[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[2]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_886\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L001i_RNICKS46\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_i0i1i\, 
        B => \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, 
        C => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_N_7\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[14]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[14]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[14]\\\\\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[2]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_22\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiole\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[0]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[0]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un5_core8051s_ooo1l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I113_Y_0\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N298_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I85_un1_Y_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I113_Y_0_0_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I113_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_48\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI79E1[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[12]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIGPU[90]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[90]\, 
        B => \\\\\MEMADDR_[10]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_901_i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[135]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[15]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[135]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_200\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIR6P[18]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[18]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[19]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_5_i_o2_0_1\);
    
    AFLSDF_INV_28 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_28\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNIHPH7U[118]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_673\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_681\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_2[3]\ : OR2B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[3]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreTimer_0/N_256\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNIID88[4]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[3]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/N_35_i_0\, C => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[4]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_37\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO_0[0]\ : 
        AOI1B
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_102\, B
         => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[0]_net_1\, 
        C => \Core8051S_sub_1/CoreInterrupt_0/N_88\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_iv_0_0[0]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l_RNIDKJ4[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[5]_net_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[5]\, 
        S => \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[5]\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0[8]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[8]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[8]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[33]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[33]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[33]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1388\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[2]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[2]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_core8051s_o10l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_6[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_140\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_138\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_1[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_6[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_lILLI_RNO\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_OI0LI_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_li0li_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_lILLI_RNO_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO[12]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[12]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_1/COUnt_m[12]\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[12]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_20\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_7\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[147]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un372_core8051s_oiol0[27]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[147]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[27]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1873_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[147]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_0[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[0]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1369\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_221\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[23]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[143]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[143]\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[6]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/N_26\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[6]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_4[0]\ : AOI1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_ooi_m_0\, B
         => \Core8051S_sub_1/CoreTimer_0/CORETIMer_i1l_m_0\, C
         => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii_iv_141_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/WDOGRES/U1\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/WDOGRES/Y\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_WDOGRESN\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0_WDOGRES\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[18]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[18]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[18]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0[5]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_15_i_i_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_122\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_5_m[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I4_P0N_0_1\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1110\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I4_P0N_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_102\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[10]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[11]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_4_0[0]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_RNI2IB4[3]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[3]_net_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_4\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_114\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[25]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[105]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[105]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I3_P0Ntt_m3_i_a3\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_903\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I3_P0Ntt_N_5\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[1]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[1]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[11]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[11]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[11]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I61_Y_0\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N173\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I43_un1_Y_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I61_Y_0_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.un17_core8051s_olli_0_0_ADD_4x4_fast_I8_un1_Y_0\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N72\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I8_un1_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_OIII.un29_core8051s_oiol_0_a2_0_a2\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_709\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_702\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un29_core8051s_oiol\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_O1OO0.core8051s_l1oo0_1_0_a2_0_RNO_0\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_i000[7]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l1oo0_1_0_a2_0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i_RNIRC83[6]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[30]\\\\\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[6]_net_1\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[1]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_948\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_olli_3_0_0_I_13\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un37_core8051s_ooli\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_8[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_3[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[8]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[48]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[48]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNI7M6J[6]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_8_sqmuxa_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_2_sqmuxa_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIVQ1D7[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_1_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIVQ1D7[4]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_o00l[2]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[10]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un15_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[2]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[26]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[26]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[26]\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1_RNIAREV[2]\ : OR3
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt_0_sqmuxa\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[4]\\\\_0\, 
        C => \Core8051S_sub_1/CoreTimer_1/un7_coretimer_o1\, Y
         => \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oll_i\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li[4]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[4]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un60_coreai_l0li_i\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_78\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_806\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_814\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIT5L2[2]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[2]\, 
        B => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_870_i_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_olli_3_0_0_I_11\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un37_core8051s_ooli\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_partial_sum_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2441_core8051s_oll1l_0_a2_i\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_320\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_303\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_23\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ii1l.un4_incl_mul_div_da_0_a2_1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_128\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1375\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNINERL7[3]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_6\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_995\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv[4]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_3[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[4]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[157]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[37]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1873_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[6]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[6]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I13_G0N\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1046\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[13]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N243_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_16[7]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_92\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_93\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_7_0_a2_0_0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_71\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[5]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_56_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[5]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_47_i_0_i\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIG3L_4[37]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_752\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[3]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[3]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[3]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0[10]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[10]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[10]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I109_Y_0\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_i[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_i[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N306\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I109_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNO[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[25]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_712\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_153\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LL00I[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo10_i[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un29_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[25]\\\\\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[5]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/N_317\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[5]\);
    
    \Core8051S_sub_1/COREAI_0/un5_coreai_l0li\ : OR3A
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, B
         => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, C => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_3\, Y => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_1\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un679_core8051s_o0ol0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_8\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1237\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_10\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNI7FQHH6[6]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[6]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[29]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[29]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[29]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[82]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[82]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_140\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[134]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[14]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[134]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_213\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIS1IQF\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_6\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_289_i_i_o2_0\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_4\);
    
    \Core8051S_sub_1/CoreGPIO_0/un4_coregpio_i_0_a4\ : NOR3B
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave2_PSELx\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, C
         => \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PENABLE\, Y
         => \Core8051S_sub_1/CoreGPIO_0/un4_coregpio_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_3[5]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_57_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1313\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_11\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[62]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_23_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un608_core8051s_o0ol0_NE_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[12]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_863_i_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[12]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI3DS4[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[4]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_2_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I38_un1_Y\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N173_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N147\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N151\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I38_un1_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_2[3]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_52\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1350\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[15]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_3[15]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1270\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_915\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[15]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_0_RNIOIDMCB1[0]\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_4_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_o0l1i_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I_RNI4J0PA[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_0_sqmuxa_2_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_I11_m[1]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_190\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11_i_0[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_I11_m[1]_net_1\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTO1il\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_18\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/un1_CUARTO1il_1_sqmuxa\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTO1il_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIBEVOD[5]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_N_8\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[5]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_N_7\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_m6_i_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIAH2M[22]\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c21\, B
         => \Core8051S_sub_1/CoreTimer_0/COUnt[22]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c22\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_o2_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_60\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_267\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[22]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[22]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[22]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI0R24[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[4]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_921\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I_RNI1J0PA[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_0_sqmuxa_2_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[2]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_RNO_0[2]\ : 
        AX1E
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_167\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_e2_i_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[29]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[29]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[29]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[29]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0[78]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[38]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1813_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m_1[0]\, 
        B => \\\\\MEMADDR_[1]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[1]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTL0[5]\ : 
        DFN1
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[5]\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un377_core8051s_oll1l_0_i_o3\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_289\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIVOAFO[1]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2[1]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_66\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_4[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_5[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_2[4]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_244\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[116]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_102\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_0[5]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo024_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0_0[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0_1[5]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[0]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/cuartol1l4[0]\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_38\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_715\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_2[1]\ : OR2
      port map(A => \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, B
         => \Core8051S_sub_1/CoreTimer_1/COUnt[1]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_2[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_81\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[45]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[5]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_928_i_0_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_28\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_984\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_918_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1486\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_9\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI5J2J[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[0]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[32]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_2[6]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1462\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1218\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_77\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_790\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_798\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNINVD49[5]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[5]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ioi0i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_310\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[2]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll_RNO[2]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, Q
         => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNIRL07[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_139_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[16]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[16]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[16]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[34]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[35]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[35]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNI117M7\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_core8051s_o01_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNII0P43_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un134_core8051s_oll0i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I96_un1_Y\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I67_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N275\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I96_un1_Y_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I96_un1_Y_i\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNIC7UE[8]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[7]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/N_39\, C => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[8]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_44_i_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[19]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[19]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[19]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIOO0.core8051s_o0oo0_1_0_x2_1\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_80\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[100]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_56_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un443_core8051s_oll1l_0_i\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_332\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_289\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_274\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_i0li_1_0_iv_1_tz[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_174\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_139\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_865\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL[4]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave1_PRDATA_[4]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3823_core8051s_oll1l_0\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3823_core8051s_oll1l_0_1_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_322\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_398\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[99]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[9]\ : AX1D
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c8\, B => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_74\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n9\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[3]\ : OR3C
      port map(A => \Core8051S_sub_1/CoreTimer_0/N_255\, B => 
        \Core8051S_sub_1/CoreTimer_0/N_257\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_256\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI2IAI[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1157_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_175\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1157\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[21]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[21]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[21]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_RNO[6]\ : XA1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[6]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/N_159\, C => 
        \Core8051S_sub_1/CoreTimer_1/un6_coretimer_lil\, Y => 
        \Core8051S_sub_1/CoreTimer_1/N_26\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_9_i_a2_7[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_9_i_a2_7_0[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1338\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_93\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[7]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[7]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_core8051s_o10l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.un17_core8051s_olli_0_0_ADD_4x4_fast_I1_P0N\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N72\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[81]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[81]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_164\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt[2]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_1/COUnt_n2\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[2]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNIHDU3[13]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[13]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/COUnt[14]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIV4R1[156]\ : 
        MX2C
      port map(A => Core8051S_sub_1_MEMRD, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_II00\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1415\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIHC31_1\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iili[7]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_49\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[0]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1355\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_6_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[25]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[25]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[25]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[25]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[25]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l_RNIDG5B[2]\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_425\, B => 
        \Core8051S_sub_1/COREAI_0/N_116\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_132\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[119]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[39]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[119]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_315\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[13]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[53]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[93]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[13]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv[2]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_3[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[2]\\\\\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[21]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[21]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[21]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0[4]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I110_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_9\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[99]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_i000[7]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[98]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_o2_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIT1G79[2]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_8_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1I0L_m[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.core8051s_l0lo026_3\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[116]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_98\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_3\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL[2]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[2]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL_1_sqmuxa\, 
        Q => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_4_sqmuxa_1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        B => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_4_sqmuxa_1_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNIK8N2[15]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[15]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/COUnt[8]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNILO21_5[117]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_671\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I48_Y_2\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_un1_Y_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N174\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_Y_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_Y_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_3[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_250\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_266\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[57]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_274_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_a2_3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_299\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_427\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un812_core8051s_oll1l_0_i\ : 
        AND3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_422\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un812_core8051s_oll1l_0_i_0_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_344\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_283\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[37]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[37]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[11]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m_1[0]\, 
        B => \\\\\MEMADDR_[11]\\\\_c_0\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[12]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNILA3E[5]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_161\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1542\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1184\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_34\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOOT2[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_34_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_3[7]\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_4[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_10\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_3\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_6[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIO7MFE82[0]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un94_core8051s_liol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_liol_i_0\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_193\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un100_core8051s_liol\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNI5FIQ[25]\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c24\, B
         => \Core8051S_sub_1/CoreTimer_0/COUnt[25]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c25\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_100\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        B => \\\\\MEMADDR_[13]\\\\_c\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[53]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_921_i_0\);
    
    \Memory_0/INT_RAM_8KB_0/INT_RAM_8KB_R1C1\ : RAM4K9
      port map(ADDRA11 => \\\\\MEMADDR_[11]\\\\_c\, ADDRA10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRA9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRA8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRA7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRA6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRA5 => 
        \\\\\MEMADDR_[5]\\\\_c\, ADDRA4 => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDRA3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRA2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRA1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRA0 => 
        \\\\\MEMADDR_[0]\\\\_c\, ADDRB11 => 
        \\\\\MEMADDR_[11]\\\\_c\, ADDRB10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRB9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRB8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRB7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRB6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRB5 => 
        \\\\\MEMADDR_[5]\\\\_c\, ADDRB4 => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDRB3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRB2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRB1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRB0 => 
        \\\\\MEMADDR_[0]\\\\_c\, DINA8 => \GND\, DINA7 => \GND\, 
        DINA6 => \GND\, DINA5 => \GND\, DINA4 => \GND\, DINA3 => 
        \GND\, DINA2 => \GND\, DINA1 => \GND\, DINA0 => 
        \\\Core8051S_sub_1_MEMDATAO_[1]\\\, DINB8 => \GND\, DINB7
         => \GND\, DINB6 => \GND\, DINB5 => \GND\, DINB4 => \GND\, 
        DINB3 => \GND\, DINB2 => \GND\, DINB1 => \GND\, DINB0 => 
        \GND\, WIDTHA0 => \GND\, WIDTHA1 => \GND\, WIDTHB0 => 
        \GND\, WIDTHB1 => \GND\, PIPEA => \GND\, PIPEB => \GND\, 
        WMODEA => \GND\, WMODEB => \GND\, BLKA => 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_1_net\, BLKB => 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_1_net\, WENA => \GND\, 
        WENB => SOC_VCC_NET, CLKA => \AFLSDF_INV_18\, CLKB => 
        \AFLSDF_INV_19\, RESET => SOC_VCC_NET, DOUTA8 => OPEN, 
        DOUTA7 => OPEN, DOUTA6 => OPEN, DOUTA5 => OPEN, DOUTA4
         => OPEN, DOUTA3 => OPEN, DOUTA2 => OPEN, DOUTA1 => OPEN, 
        DOUTA0 => OPEN, DOUTB8 => OPEN, DOUTB7 => OPEN, DOUTB6
         => OPEN, DOUTB5 => OPEN, DOUTB4 => OPEN, DOUTB3 => OPEN, 
        DOUTB2 => OPEN, DOUTB1 => OPEN, DOUTB0 => 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_1_net\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[7]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[7]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_sqmuxa_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[33]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[73]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[113]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[33]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un910_core8051s_oll1l_i\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_313\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_299\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_42\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_lio1L_RNID1B3E\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_lii0_tz\, 
        B => \Memory_0.INV_1_Y\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lii0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[21]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[21]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[21]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un17_core8051s_i110l\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/N_64\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un17_core8051s_i110l_0_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_i110l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un17_core8051s_i110l_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI78H61[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_865\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1425\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I31_Y\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I7_P0N_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N223\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N266_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_1[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_146\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_134\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_6[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_9[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[28]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[148]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[148]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I7_P0N\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_862\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N142\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a2[2]\ : NOR2B
      port map(A => \Core8051S_sub_1/CoreAPB3_0/N_360\, B => 
        \Core8051S_sub_1/CoreAPB3_0/N_359\, Y => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave2_PSELx\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_10\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[140]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un372_core8051s_oiol0[20]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI1EC4[122]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_793_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_795_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_19\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO_1[7]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[7]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[7]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_56\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_27\ : 
        MX2C
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_II00\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL10\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_534\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiI1L_RNO_0\ : 
        OR2
      port map(A => \Core8051S_sub_1/COREAI_l0li\, B => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/un1_csn_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_2\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_2_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNI6NPHER1\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_OLi0_m[7]\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[7]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[6]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[6]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[6]_net_1\, 
        S => \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_71\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[3]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol[2]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_48\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[4]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[4]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un5_core8051s_ooo1l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_79\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[113]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[33]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[113]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_304\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO[2]\ : AX1D
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt_c1\, B => 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_46\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I35_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N217\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I5_P0N_m5_e\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N270_0\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[13]\ : 
        OR3A
      port map(A => \Core8051S_sub_1/N_135\, B => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, C => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[13]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNI1L4E\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_60\, B => 
        \Core8051S_sub_1/COREAI_0/N_108\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_124\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_0_iv_0_0[2]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_902\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_983\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_RNIHMS67[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1369\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1547\);
    
    \Memory_0/mem_decode_0/SEL_1[0]\ : DLN1P1C1
      port map(D => SOC_VCC_NET, G => \GND\, PRE => 
        \Memory_0/mem_decode_0/un1_sel_i\, CLR => 
        \Memory_0/mem_decode_0/un13_sel_i\, Q => 
        \Memory_0/SEL_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I4_G0N\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_859\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N132\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I11_G0N\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_933\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[11]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N237\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/CORE8051S_OO1ii\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un5_core8051s_iio1i\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un12_core8051s_iio1i\, 
        Q => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OIL0\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[3]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll_RNO[3]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, Q
         => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[3]_net_1\);
    
    \RX0_pad/U0/U1\ : IOIN_IB
      port map(YIN => \RX0_pad/U0/NET1\, Y => RX0_c);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[16]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[16]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[16]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[16]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_li1l_RNO\ : AO1A
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, 
        B => \Core8051S_sub_1/COREAI_0/un2_coreai_i0li_2_net_1\, 
        C => \Core8051S_sub_1/COREAI_0/COREAI_OI1l\, Y => 
        \Core8051S_sub_1/COREAI_0/un9_coreai_i0li\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNI9N09[13]\ : OR2A
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_306\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[13]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_307\);
    
    \Memory_0/data_read_mux_0/MX2_Result_5_inst\ : MX2
      port map(A => \Memory_0/data_read_mux_0/MX2_3_Y\, B => 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[5]\\\\\, S => 
        \Memory_0/data_read_mux_0/SelAux_1_4_net\, Y => 
        \\\Memory_0_RD_[5]\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_45\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI79E1[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[52]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[5]\);
    
    \Memory_0/mem_decode_0/un21_sel_0_a4\ : NOR2A
      port map(A => \Memory_0/mem_decode_0/N_16\, B => SW0_c, Y
         => \Memory_0/mem_decode_0/un21_sel_0_a4_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[96]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[16]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[96]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1232\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO[4]\ : AX1D
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt_c3\, B => 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil_0\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_50\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[29]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0[39]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[29]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[29]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I118_Y_0\ : 
        AX1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I95_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I95_Y_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I118_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I118_Y_0_0_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_1[19]\ : NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, B
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[19]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_128\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNI7BPS[6]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1411\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_962\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_0[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_1[6]\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[0]\ : 
        DFN1E1C0
      port map(D => \AFLSDF_INV_39\, CLK => clk_pll_0_GLA, CLR
         => \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreInterrupt_0/N_119_i\, Q => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_8[2]\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un136_incl_mul_div_da_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I107_Y_0_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[1]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO_0[15]\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt_c13\, B
         => \Core8051S_sub_1/CoreTimer_1/COUnt[14]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_34_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[11]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[11]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[11]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_85\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un15_core8051s_i1i1i_1\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un15_core8051s_i1i1i_1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIBMAL4[8]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_1_0[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_1_1[8]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt[5]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_1/COUnt_n5\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNII1PBV9[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[8]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNI78N6[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1410\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1191\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_0[12]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1115\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0[12]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1117\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_2[12]\);
    
    \Memory_0/INT_RAM_8KB_0/INT_RAM_8KB_R0C7\ : RAM4K9
      port map(ADDRA11 => \\\\\MEMADDR_[11]\\\\_c\, ADDRA10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRA9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRA8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRA7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRA6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRA5 => 
        \\\\\MEMADDR_[5]\\\\_c_2\, ADDRA4 => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDRA3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRA2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRA1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRA0 => 
        \\\\\MEMADDR_[0]\\\\_c\, ADDRB11 => 
        \\\\\MEMADDR_[11]\\\\_c\, ADDRB10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRB9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRB8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRB7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRB6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRB5 => 
        \\\\\MEMADDR_[5]\\\\_c_2\, ADDRB4 => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDRB3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRB2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRB1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRB0 => 
        \\\\\MEMADDR_[0]\\\\_c\, DINA8 => \GND\, DINA7 => \GND\, 
        DINA6 => \GND\, DINA5 => \GND\, DINA4 => \GND\, DINA3 => 
        \GND\, DINA2 => \GND\, DINA1 => \GND\, DINA0 => 
        \\\Core8051S_sub_1_MEMDATAO_[7]\\\, DINB8 => \GND\, DINB7
         => \GND\, DINB6 => \GND\, DINB5 => \GND\, DINB4 => \GND\, 
        DINB3 => \GND\, DINB2 => \GND\, DINB1 => \GND\, DINB0 => 
        \GND\, WIDTHA0 => \GND\, WIDTHA1 => \GND\, WIDTHB0 => 
        \GND\, WIDTHB1 => \GND\, PIPEA => \GND\, PIPEB => \GND\, 
        WMODEA => \GND\, WMODEB => \GND\, BLKA => 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_0_net\, BLKB => 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_0_net\, WENA => \GND\, 
        WENB => SOC_VCC_NET, CLKA => \AFLSDF_INV_14\, CLKB => 
        \AFLSDF_INV_15\, RESET => SOC_VCC_NET, DOUTA8 => OPEN, 
        DOUTA7 => OPEN, DOUTA6 => OPEN, DOUTA5 => OPEN, DOUTA4
         => OPEN, DOUTA3 => OPEN, DOUTA2 => OPEN, DOUTA1 => OPEN, 
        DOUTA0 => OPEN, DOUTB8 => OPEN, DOUTB7 => OPEN, DOUTB6
         => OPEN, DOUTB5 => OPEN, DOUTB4 => OPEN, DOUTB3 => OPEN, 
        DOUTB2 => OPEN, DOUTB1 => OPEN, DOUTB0 => 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_7_net\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNI538JJ[3]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_906\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_859\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I21_Y\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N124\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N121\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N159\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_RNIV6F2[6]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[6]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[14]\\\\\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[3]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_162\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNINU17[10]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[10]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_707\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1400\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1165\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNIP5L2[5]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/core8051s_ol0li17\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNISKGF\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1643_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1236\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ioo1l_0_0_0_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ioo1l\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_63\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[120]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[0]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_5_tz_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_5_tz_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_8[2]\ : 
        MX2
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OIL0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[2]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_udrcap\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI0VLD4[4]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m_0[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m_0[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_2[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_3[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIT99IG[6]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_905\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_0_0_6_N_7_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNIME6J2[118]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_686\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_694\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIQGBJ4[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_m_0_m1_0_a2_0_0\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL_RNO[1]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_29_i_0_i\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_20\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[100]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[20]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1843_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[100]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNI5OVA[4]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_0_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_0[8]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1407\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0l0_m[0]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[8]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[8]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[8]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[29]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[29]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[29]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIIQT1[11]\ : 
        XA1A
      port map(A => \\\\\MEMADDR_[11]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[11]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_899_i_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_12\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I118_Y_0\ : 
        AX1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I95_un1_Y_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I95_Y_1_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I118_Y_0_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I118_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_2[0]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_244\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_2\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[31]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[30]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un192_core8051s_oiol0_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1254\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_35\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_795_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1496\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIO20RF\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1061\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I114_Y_0\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_331_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N362\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I114_Y_0_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3976_core8051s_oll1l_0_a2_i\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[3]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_320\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_80\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIIUHC[15]\ : OR2A
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_308\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[15]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_309\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_6_0_0_ADD_4x4_fast_I9_Y_i\ : 
        AO18
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N92\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_6[3]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.7.COREAI_o11i.COREAI_i00L_RNI4FJ6[7]\ : 
        MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_145\, B => 
        \Core8051S_sub_1/COREAI_0/N_161\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_177\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIFAB3[4]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[4]\, 
        B => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_874_i_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNINH53[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[8]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_146\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO_0[4]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[4]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_923\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iLI0I_1_I_17\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIIL0C[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_7[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_17_2\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[25]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[25]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[25]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_RNO_0[0]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_4\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_93\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIIGIN[23]\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c22\, B
         => \Core8051S_sub_1/CoreTimer_0/COUnt[23]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c23\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_1[15]\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_915\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1465\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_707\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1270\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[14]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[14]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[14]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_li1l_RNIPKB8\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_171\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_li1l_net_1\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_187\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I23_Y\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N238\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N235\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N258\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_6_0_I_3\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_6[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_0[2]\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1_RNI0NE3[1]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1[1]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CORETIMer_i1l_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_1_TIMINT\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[10]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[10]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[10]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli22_2\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_309\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_302\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_1_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli26_4_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIKSFQF[118]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_677\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_685\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIOH671[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[0]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_io01i_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_202\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L[1]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L_5[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_WDOGRESN\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I3_G0N\ : 
        XAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_0_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_858\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N129\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_I1lo0_RNO\ : 
        OR2
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL00\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_L1LO0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_I1lo0_RNO_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_a10_1_1[2]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_162\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_149_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[16]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[16]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[16]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_75\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_3[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_4_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_3[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_10[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIT0N61[3]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[3]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o101i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_147\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un812_core8051s_oll1l_0_i_0\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_295\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_289\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un812_core8051s_oll1l_0_i_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[5]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1545\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_i_1[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ilo0i_I_87\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIAO31[72]\ : 
        AND3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[73]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[74]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[72]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_85\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        B => \\\\\MEMADDR_[13]\\\\_c\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[133]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_922_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNIB0FQ[5]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_137\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_128\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_140_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_3[2]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_2[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_1[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_106_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_6[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2378_core8051s_oll1l_0_a2_i_o3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_305\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_300\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_350\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv[5]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_2[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_1[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un14_core8051s_olli_m[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I92_un1_Y\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N298\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I85_un1_Y_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_un1_Y_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I92_un1_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIQ459_3\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRUPD\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un7_udrcap_0_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un3_udrcap_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIQ459_3_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_0_RNIJULA[1]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un81_core8051s_io01i_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_0_RNI9372[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_io01i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/CORE8051S_O001L_RNIKDK3[0]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/CORE8051S_ol01l[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un7_core8051s_iio1i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un56_core8051s_l0i0l_0\);
    
    \dataIn_pad[0]/U0/U1\ : IOIN_IB
      port map(YIN => \dataIn_pad[0]/U0/NET1\, Y => \dataIn_c[0]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[27]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[27]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un5_oen_0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[27]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_1\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_a2_0_4_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0108_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_290\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_99\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[122]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNID5L2[118]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_12\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_18\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_0_RNILCR3[1]\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[3]\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_i0i1i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I43_Y_0\ : 
        AX1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/I30_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I30_Y_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I43_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_a2_9[0]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_99\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_170\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[15]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[15]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[15]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNILO21[117]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_677\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_5_0_I_8\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_5_i[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_oili[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_5[7]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[2]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[2]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[2]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[34]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[114]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[114]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[9]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[9]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[9]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[9]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_1[4]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_272\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNO_0[2]\ : AX1E
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[0]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[1]_net_1\, 
        C => \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[2]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n2_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[15]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[15]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[15]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_196\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[37]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[117]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[1]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_5_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[1]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNI4GK3[4]\ : OR2
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt_c3\, B => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[4]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c4\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNO[6]\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_lil_i_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oll_i\, C => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n6_0_i_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_26\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un910_core8051s_oll1l_i_o3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_287\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_299\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIJT95J1[3]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[3]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_4[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_242\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_234\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_182\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_250\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_RNO[0]\ : 
        AXOI7
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_c0\, 
        C => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_4\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_21\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[17]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[17]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[17]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_1_RNI8MU6M[3]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNITV88A_net_1\, 
        B => \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1090\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_RNO[0]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_1_sqmuxa_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_LOIO0_RNO\ : 
        OR2
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL00\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_ooio0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_LOIO0_RNO_net_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[4]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\, B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[4]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_6[4]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[4]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_242\);
    
    
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNIQTH9[2]\ : 
        AOI1B
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_74\, B => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreInterrupt_0/CoREINTERRupt_oli_3_sqmuxa_i_s_0\, 
        Y => 
        \Core8051S_sub_1/CoreInterrupt_0/CoREINTERRupt_oli_3_sqmuxa_i_s_1\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_li00.0.COREAI_O000.COREAI_O100.COREAI_i000\ : 
        IOPAD_A_IN
      port map(PAD => AV0, Y => 
        \Core8051S_sub_1/COREAI_0/COREAI_lO1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_22\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_805\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_821\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[7]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIHC31_3\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[1]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_75\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[9]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_716\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[9]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[9]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3212_core8051s_oll1l_0_a2_i\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_221_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_337\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_193\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO_1[2]\ : AOI1B
      port map(A => \Core8051S_sub_1/un13_cuartloii\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[2]_net_1\, C => 
        \Core8051S_sub_1/CoreUARTapb_0/PARity_erR_m\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1_iv_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_49\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_22\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_34_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_35_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_9\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_12\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNIQ1SG4\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNIQ1SG4_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIE7BA\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_65\, B => 
        \Core8051S_sub_1/COREAI_0/N_113\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_129\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[10]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[11]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_RNIUT15_2[1]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_29\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1[0]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[0]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un7_coretimer_o1_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[22]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[62]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[102]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[22]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_9_3_i_o2_0[6]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[5]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[5]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_2[14]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1248\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[39]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0[39]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[39]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[39]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[6]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_3[6]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[1]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/cuartol1l4[0]\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I95_Y_0\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N258\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N261\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N257\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I95_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIRKV7FA1[2]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_0_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_a0[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_5[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_6[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_3\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF6S1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[95]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_54\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_1_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_54\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[83]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[83]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_113\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I40_un1_Y\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N153\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N149\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N221\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I40_un1_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO_1[6]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_907\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ii1l.un48_incl_mul_div_da_0_a2_1_1\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_118\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o1ol\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_117\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un48_incl_mul_div_da_0_a2_1_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNI5KVA[5]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_0_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIOTRUO[4]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1456\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1065\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNITN1TS[0]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_ooli_m[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_m[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO_0[2]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[2]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_921\);
    
    \MEMADDR_pad[5]/U0/U1\ : IOTRI_OB_EB
      port map(D => \\\\\MEMADDR_[5]\\\\_c_2\, E => SOC_VCC_NET, 
        DOUT => \MEMADDR_pad[5]/U0/NET1\, EOUT => 
        \MEMADDR_pad[5]/U0/NET2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIJTD34[5]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_103_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1388\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_78\ : 
        AND2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNITOT2[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[46]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I60_Y_0_0\ : 
        XNOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_0_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I60_Y_0_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIVF686[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[7]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[33]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_0[13]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1407\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1300\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[6]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[6]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_95\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNI1U5J_0[0]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_8_sqmuxa_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_1_0\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[4]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/N_22\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI99H2[123]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[123]\, 
        B => \\\\\MEMADDR_[3]\\\\_c_2\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_793_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_40\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_712\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_720\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[3]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[83]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[123]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_5[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIOL6R1\ : 
        MX2
      port map(A => \\\Memory_0_RD_[4]\\\, B => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[4]\\\\\, 
        S => \Core8051S_sub_1/CORE8051S_0_APB3master_PSELx\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_15\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un2_core8051s_o100l_0_I_3\ : 
        AND2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO[17]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[17]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[17]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[17]\);
    
    \Memory_0/data_bus_buffer_0/BIBUF_5_inst/U0/U0\ : IOPAD_BI
      port map(D => 
        \Memory_0/data_bus_buffer_0/BIBUF_5_inst/U0/NET1\, E => 
        \Memory_0/data_bus_buffer_0/BIBUF_5_inst/U0/NET2\, Y => 
        \Memory_0/data_bus_buffer_0/BIBUF_5_inst/U0/NET3\, PAD
         => EXT_DATA(5));
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[7]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1437\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_0_0[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1197_core8051s_oll1l_i\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_315\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_300\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_25\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_11[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_udrsh\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UTDI\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UTDI_m_0_i\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[8]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\, B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[8]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[8]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNI1KVA[1]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_0_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oli0i\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[90]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_oli0i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oli0i_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO[6]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[6]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_1/COUnt_m[6]\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[6]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETIMer_i1l_RNO_0\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreTimer_1/CoreTimer_IOI_i\, 
        B => \Core8051S_sub_1/CoreTimer_1/coretimer_loi\, Y => 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_oli\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1_sqmuxa_1\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un5_core8051s_il1l\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1_sqmuxa_1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_olli_I_19\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_13\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_0[0]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO_0[3]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[3]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[3]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_48\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNITMQN5\ : 
        AND3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_ooi0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un12_core8051s_loi0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_676_i_0_a2tt_m2_0_a2_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2008_core8051s_oll1l_i\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_376\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_73_1\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_66\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNILO21_6[117]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_670\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ilo0i_I_73\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_73\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[26]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c25\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_111\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n26\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_2[6]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_6_m_0[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[6]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_incl_mul_div_da_3_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNI8FTD[0]\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_oo00i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un94_core8051s_liol\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETIMer_i1l_RNO\ : OA1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETIMer_i1l_net_1\, B => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_oli\, C => 
        \Core8051S_sub_1/CoreTimer_0/CORETIMER_o1l_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETIMer_i1l_RNO_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_17[1]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_168\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I85_un1_Y\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I67_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N275\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N299\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I85_un1_Y_i\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave1_PRDATA_[0]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_75\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_792\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNO[2]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[2]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[31]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1357\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[28]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave0_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[28]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[28]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNIQH07[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_138\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_0[5]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[5]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[5]\\\\_0\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO_3[0]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_101\, B
         => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[0]_net_1\, 
        Y => \Core8051S_sub_1/CoreInterrupt_0/N_88\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_Il0li\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ll0li_net_1\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_Il0li_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTOL_RNICT53\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, B
         => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTOL_net_1\, 
        Y => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_4\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[3]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[3]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, C
         => \Core8051S_sub_1/un5_oen\, Y => 
        \Core8051S_sub_1/CoreTimer_0/N_255\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[23]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave0_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[23]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[23]_net_1\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.6.COREAI_o11i.COREAI_i00L[6]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[6]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un21_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[6]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.4.COREAI_o11i.COREAI_i00L_RNIBEA5[4]\ : 
        MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_142\, B => 
        \Core8051S_sub_1/COREAI_0/N_158\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_174\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_m[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_0_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_m[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[5]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_m_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_83\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIDFFHI[116]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_683\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_699\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[116]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i_RNIRJK81\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[2]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_164\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[14]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[14]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[14]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[9]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[89]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[89]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_2[6]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_52\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1339\);
    
    \Memory_0/mem_decode_0/un6_ext_ram_cs_n\ : OR3
      port map(A => \\\\\MEMADDR_[14]\\\\_c\, B => 
        \\\\\MEMADDR_[13]\\\\_c\, C => \\\\\MEMADDR_[15]\\\\_c\, 
        Y => \Memory_0/mem_decode_0/N_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_94\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[43]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[3]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_930_i_0_i\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[8]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/N_30\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[8]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNO_0\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[3]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_308\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_iolo03_0_a2_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[6]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[6]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[6]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I4_P0N\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_252_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N217_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un481_core8051s_oll1l_0_a2_i\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_320\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_302\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_77\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[26]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[106]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[106]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI5T3JB9[2]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_0_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_4[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_5[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.un1_core8051s_oolo0100_3\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_1_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_3\);
    
    \MEMADDR_pad[11]/U0/U0\ : IOPAD_TRI
      port map(D => \MEMADDR_pad[11]/U0/NET1\, E => 
        \MEMADDR_pad[11]/U0/NET2\, PAD => MEMADDR(11));
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iLO1L_RNIJIHS7\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un4_core8051s_loo1l\, 
        B => Core8051S_sub_1_MEMPSRD, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_oll0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un3_core8051s_lii0_b0_0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_2\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_414\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_418\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[106]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_2_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_0_RNI43GB[2]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un81_core8051s_io01i_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_0_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[0]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo027\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[0]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIFLP5\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_24\, B => 
        \Core8051S_sub_1/COREAI_0/N_49\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_65\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_100\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIQOT2[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_19_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNI78FH2[38]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_767\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_775\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_2[2]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un136_incl_mul_div_da_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_11\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_oloi_1_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNI6V7JJ[2]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_897\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_983\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_0_0[2]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL_RNO[0]\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/un1_cuartooli\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL_ns[0]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO_1[1]\ : AOI1B
      port map(A => \Core8051S_sub_1/un13_cuartloii\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[1]_net_1\, C => 
        \Core8051S_sub_1/CoreUARTapb_0/rxrdY_m\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1_iv_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[54]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_211\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[54]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_10[2]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_123_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_159\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_151\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_a2_1\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_445\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIA9H2[124]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[124]\, 
        B => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_791_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_olli_5_0_0_ADD_4x4_fast_I11_Y_0_i_x2\ : 
        AX1E
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_olli_i[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N88\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_5_i[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNO[4]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[12]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_711\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_85\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I62_Y_0_0\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_0_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_860\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I62_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNO[3]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[11]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_711\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_83\);
    
    
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_0_iv_0_a2_2[3]\ : 
        NOR2B
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_94\, B => 
        \\\\\MEMADDR_[3]\\\\_c_2\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/N_95\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_RNO_0[2]\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_62\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_91\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_o2_0[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_99\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIBDS4[8]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[8]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[8]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_1_0[8]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[31]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n31\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[31]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[12]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[132]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[132]\);
    
    \Core8051S_sub_1/CoreTimer_1/un7_coretimer_o1_0_a2\ : OR3A
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, B => 
        \Core8051S_sub_1/CoreTimer_1/N_163\, C => 
        \Core8051S_sub_1/N_115\, Y => 
        \Core8051S_sub_1/CoreTimer_1/un7_coretimer_o1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIURMC1J[1]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_8_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_5[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0_a2_0[8]\ : 
        XO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_oili[1]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_122\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1343\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_2[13]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1305\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNIOSJC7\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_1_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_7_0tt_b0_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_63\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[8]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_3_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_63\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_14[1]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_143_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_162\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_140\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_o2[1]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_108\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_1[0]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_289\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[0]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_259\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIRHQS[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_176\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I42_un1_Y\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N157\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N160\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N153\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I42_un1_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIP627[12]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[12]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_707\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1400\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1178\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[2]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[2]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave3_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[2]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l_RNI552L[2]\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_132\, B => 
        \Core8051S_sub_1/COREAI_0/N_196\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, Y => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[10]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un110_core8051s_l1i1i\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un5_core8051s_l1i1i_2_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un110_core8051s_l1i1i_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a2_0[0]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_179\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_223\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_1[11]\ : NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, B
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[11]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_341\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_74\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_2_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_289_i_i_o2\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_4\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_267\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_895\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIJ8H75[3]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_107\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_215\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[5]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[5]_net_1\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO_0[3]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_101\, B
         => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[3]_net_1\, 
        Y => \Core8051S_sub_1/CoreInterrupt_0/N_56\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIGTLJ[19]\ : OR3
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[18]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_311\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[19]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_313\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[30]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[30]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[30]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_116\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[4]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n4\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_2[5]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_6[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_olli_m[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_2[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un5_core8051s_l1i1i_1_tz_tz\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l1i1i_3_2_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_l1i1i_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un43_core8051s_l1i1i_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un5_core8051s_l1i1i_1_tz_tz_net_1\);
    
    AFLSDF_INV_20 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_20\);
    
    \Memory_0/data_bus_buffer_0/BIBUF_4_inst/U0/U0\ : IOPAD_BI
      port map(D => 
        \Memory_0/data_bus_buffer_0/BIBUF_4_inst/U0/NET1\, E => 
        \Memory_0/data_bus_buffer_0/BIBUF_4_inst/U0/NET2\, Y => 
        \Memory_0/data_bus_buffer_0/BIBUF_4_inst/U0/NET3\, PAD
         => EXT_DATA(4));
    
    \Core8051S_sub_1/CoreTimer_1/COUnt[0]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_1/COUnt_n0\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_19[7]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_l0il\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_26[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/WDOGRESN_RNO\ : 
        INV
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_LOIO0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_LOIO0_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[7]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[7]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo027\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIIENI[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[7]_net_1\, 
        B => \\\Core8051S_sub_1_MEMDATAO_[7]\\\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[32]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[7]\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0[0]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[0]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I27_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N232\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N229\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N262\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_o2[0]\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_178\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[32]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[72]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[112]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[32]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_liol_1\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I121_Y_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I118_Y_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_liol_1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ol00i[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo10_i[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un25_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[17]\\\\\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTio0l_RNO\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_84\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[3]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTio0l_3_0_0\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTio0l_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[1]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un2_core8051s_oiil_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_4_sqmuxa_i\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii[4]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_1_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_0_sqmuxa_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_188\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_5_1_0\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1367_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_117\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1367_3\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_5_1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_1[5]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1455\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1309\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[138]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[18]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[138]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1400\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIPCU_1[0]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_ooi0i_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNITEB0N[3]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_2[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1369\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_4[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_21\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[135]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF6S1[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_0[6]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_468\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_444\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_25\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_476\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I98_un1_Y_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N204\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N303\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I98_un1_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[3]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo027\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I9_Y\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_861\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N142\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N147\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_4_sqmuxa_0_a2\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1383\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1384\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_4_sqmuxa_0_a2_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_4_sqmuxa_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIG2871[6]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[6]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_io01i_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_208\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNICIAB[11]\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt_c10\, B
         => \Core8051S_sub_1/CoreTimer_1/COUnt[11]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c11\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[39]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[39]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UTDI_m_1_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_0[39]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00\ : AB
      port map(DAVOUT0 => OPEN, DACOUT0 => OPEN, DATOUT0 => OPEN, 
        DAVOUT1 => OPEN, DACOUT1 => OPEN, DATOUT1 => OPEN, 
        DAVOUT2 => OPEN, DACOUT2 => OPEN, DATOUT2 => OPEN, 
        DAVOUT3 => OPEN, DACOUT3 => OPEN, DATOUT3 => OPEN, 
        DAVOUT4 => OPEN, DACOUT4 => OPEN, DATOUT4 => OPEN, 
        DAVOUT5 => OPEN, DACOUT5 => OPEN, DATOUT5 => OPEN, 
        DAVOUT6 => OPEN, DACOUT6 => OPEN, DATOUT6 => OPEN, 
        DAVOUT7 => OPEN, DACOUT7 => OPEN, DATOUT7 => OPEN, 
        DAVOUT8 => OPEN, DACOUT8 => OPEN, DATOUT8 => OPEN, 
        DAVOUT9 => OPEN, DACOUT9 => OPEN, DATOUT9 => OPEN, DENAV0
         => \GND\, DENAC0 => \GND\, DENAT0 => \GND\, DENAV1 => 
        \GND\, DENAC1 => \GND\, DENAT1 => \GND\, DENAV2 => \GND\, 
        DENAC2 => \GND\, DENAT2 => \GND\, DENAV3 => \GND\, DENAC3
         => \GND\, DENAT3 => \GND\, DENAV4 => \GND\, DENAC4 => 
        \GND\, DENAT4 => \GND\, DENAV5 => \GND\, DENAC5 => \GND\, 
        DENAT5 => \GND\, DENAV6 => \GND\, DENAC6 => \GND\, DENAT6
         => \GND\, DENAV7 => \GND\, DENAC7 => \GND\, DENAT7 => 
        \GND\, DENAV8 => \GND\, DENAC8 => \GND\, DENAT8 => \GND\, 
        DENAV9 => \GND\, DENAC9 => \GND\, DENAT9 => \GND\, AV0
         => \Core8051S_sub_1/COREAI_0/COREAI_lO1[0]\, AC0 => 
        \Core8051S_sub_1/COREAI_0/COREAI_IO1[0]\, AT0 => \GND\, 
        AG0 => OPEN, AV1 => 
        \Core8051S_sub_1/COREAI_0/COREAI_lO1[1]\, AC1 => 
        \Core8051S_sub_1/COREAI_0/COREAI_IO1[1]\, AT1 => \GND\, 
        AG1 => OPEN, AV2 => \GND\, AC2 => \GND\, AT2 => 
        \Core8051S_sub_1/COREAI_0/COREAI_ol1[2]\, AG2 => OPEN, 
        AV3 => \GND\, AC3 => \GND\, AT3 => \GND\, AG3 => OPEN, 
        AV4 => \GND\, AC4 => 
        \Core8051S_sub_1/COREAI_0/COREAI_IO1[4]\, AT4 => \GND\, 
        AG4 => OPEN, AV5 => \GND\, AC5 => \GND\, AT5 => \GND\, 
        AG5 => OPEN, AV6 => \GND\, AC6 => \GND\, AT6 => \GND\, 
        AG6 => OPEN, AV7 => \GND\, AC7 => \GND\, AT7 => \GND\, 
        AG7 => OPEN, AV8 => \GND\, AC8 => \GND\, AT8 => \GND\, 
        AG8 => OPEN, AV9 => \GND\, AC9 => \GND\, AT9 => \GND\, 
        AG9 => OPEN, ATRETURN01 => \GND\, ATRETURN23 => 
        \Core8051S_sub_1/COREAI_0/COREAI_LL1[1]\, ATRETURN45 => 
        \GND\, ATRETURN67 => \GND\, ATRETURN89 => \GND\, VAREF
         => VAREF, GNDREF => \GND\, GDON0 => \GND\, GDON1 => 
        \GND\, GDON2 => \GND\, GDON3 => \GND\, GDON4 => \GND\, 
        GDON5 => \GND\, GDON6 => \GND\, GDON7 => \GND\, GDON8 => 
        \GND\, GDON9 => \GND\, CMSTB0 => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[0]\, CMSTB1 => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[1]\, CMSTB2 => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[2]\, CMSTB3 => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[3]\, CMSTB4 => 
        \GND\, CMSTB5 => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[5]\, CMSTB6 => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[6]\, CMSTB7 => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[7]\, CMSTB8 => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[8]\, CMSTB9 => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[9]\, TMSTB0 => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[0]\, TMSTB1 => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[1]\, TMSTB2 => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[2]\, TMSTB3 => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[3]\, TMSTB4 => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[4]\, TMSTB5 => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[5]\, TMSTB6 => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[6]\, TMSTB7 => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[7]\, TMSTB8 => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[8]\, TMSTB9 => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[9]\, TMSTBINT => 
        \Core8051S_sub_1/COREAI_0/COREAI_O10l_net_1\, RESULT(11)
         => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[11]\, 
        RESULT(10) => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[10]\, 
        RESULT(9) => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[9]\, 
        RESULT(8) => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[8]\, 
        RESULT(7) => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[7]\, 
        RESULT(6) => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[6]\, 
        RESULT(5) => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[5]\, 
        RESULT(4) => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[4]\, 
        RESULT(3) => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[3]\, 
        RESULT(2) => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[2]\, 
        RESULT(1) => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[1]\, 
        RESULT(0) => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[0]\, 
        ACMRDATA(7) => \Core8051S_sub_1/COREAI_0/COREAI_iili[7]\, 
        ACMRDATA(6) => \Core8051S_sub_1/COREAI_0/COREAI_iili[6]\, 
        ACMRDATA(5) => \Core8051S_sub_1/COREAI_0/COREAI_iili[5]\, 
        ACMRDATA(4) => \Core8051S_sub_1/COREAI_0/COREAI_iili[4]\, 
        ACMRDATA(3) => \Core8051S_sub_1/COREAI_0/COREAI_iili[3]\, 
        ACMRDATA(2) => \Core8051S_sub_1/COREAI_0/COREAI_iili[2]\, 
        ACMRDATA(1) => \Core8051S_sub_1/COREAI_0/COREAI_iili[1]\, 
        ACMRDATA(0) => \Core8051S_sub_1/COREAI_0/COREAI_iili[0]\, 
        ACMWDATA(7) => 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[7]_net_1\, 
        ACMWDATA(6) => 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[6]_net_1\, 
        ACMWDATA(5) => 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[5]_net_1\, 
        ACMWDATA(4) => 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[4]_net_1\, 
        ACMWDATA(3) => 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[3]_net_1\, 
        ACMWDATA(2) => 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[2]_net_1\, 
        ACMWDATA(1) => 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[1]_net_1\, 
        ACMWDATA(0) => 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[0]_net_1\, 
        ACMADDR(7) => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[7]_net_1\, 
        ACMADDR(6) => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[6]_net_1\, 
        ACMADDR(5) => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[5]_net_1\, 
        ACMADDR(4) => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[4]_net_1\, 
        ACMADDR(3) => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[3]_net_1\, 
        ACMADDR(2) => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[2]_net_1\, 
        ACMADDR(1) => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[1]_net_1\, 
        ACMADDR(0) => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[0]_net_1\, STC(7)
         => \Core8051S_sub_1/COREAI_0/COREAI_LI0l[7]_net_1\, 
        STC(6) => \Core8051S_sub_1/COREAI_0/COREAI_LI0l[6]_net_1\, 
        STC(5) => \Core8051S_sub_1/COREAI_0/COREAI_LI0l[5]_net_1\, 
        STC(4) => \Core8051S_sub_1/COREAI_0/COREAI_LI0l[4]_net_1\, 
        STC(3) => \Core8051S_sub_1/COREAI_0/COREAI_LI0l[3]_net_1\, 
        STC(2) => \Core8051S_sub_1/COREAI_0/COREAI_LI0l[2]_net_1\, 
        STC(1) => \Core8051S_sub_1/COREAI_0/COREAI_LI0l[1]_net_1\, 
        STC(0) => \Core8051S_sub_1/COREAI_0/COREAI_LI0l[0]_net_1\, 
        TVC(7) => \Core8051S_sub_1/COREAI_0/COREAI_oi0l[7]_net_1\, 
        TVC(6) => \Core8051S_sub_1/COREAI_0/COREAI_oi0l[6]_net_1\, 
        TVC(5) => \Core8051S_sub_1/COREAI_0/COREAI_oi0l[5]_net_1\, 
        TVC(4) => \Core8051S_sub_1/COREAI_0/COREAI_oi0l[4]_net_1\, 
        TVC(3) => \Core8051S_sub_1/COREAI_0/COREAI_oi0l[3]_net_1\, 
        TVC(2) => \Core8051S_sub_1/COREAI_0/COREAI_oi0l[2]_net_1\, 
        TVC(1) => \Core8051S_sub_1/COREAI_0/COREAI_oi0l[1]_net_1\, 
        TVC(0) => \Core8051S_sub_1/COREAI_0/COREAI_oi0l[0]_net_1\, 
        CHNUMBER(4) => 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[4]_net_1\, 
        CHNUMBER(3) => 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[3]_net_1\, 
        CHNUMBER(2) => 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[2]_net_1\, 
        CHNUMBER(1) => 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[1]_net_1\, 
        CHNUMBER(0) => 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[0]_net_1\, MODE(3)
         => \Core8051S_sub_1/COREAI_0/COREAI_il0l[3]_net_1\, 
        MODE(2) => 
        \Core8051S_sub_1/COREAI_0/COREAI_il0l[2]_net_1\, MODE(1)
         => \Core8051S_sub_1/COREAI_0/COREAI_il0l[1]_net_1\, 
        MODE(0) => 
        \Core8051S_sub_1/COREAI_0/COREAI_il0l[0]_net_1\, 
        RTCXTLMODE(1) => nc6, RTCXTLMODE(0) => nc11, ACMRESET => 
        \Core8051S_sub_1/COREAI_0/COREAI_iioi_net_1\, ACMCLK => 
        \Core8051S_sub_1/COREAI_0/COREAI_oloi[1]_net_1\, ACMWEN
         => \Core8051S_sub_1/COREAI_0/COREAI_O1OI\, VAREFSEL => 
        \GND\, DATAVALID => 
        \Core8051S_sub_1/COREAI_0/COREAI_l11l\, CALIBRATE => 
        \Core8051S_sub_1/COREAI_0/COREAI_iO1L\, SAMPLE => 
        \Core8051S_sub_1/COREAI_0/COREAI_ii1l\, BUSY => 
        \Core8051S_sub_1/COREAI_0/COREAI_O01L\, PWRDWN => 
        \Core8051S_sub_1/COREAI_0/COREAI_ol0l_net_1\, SYSCLK => 
        clk_pll_0_GLA, ADCRESET => 
        \Core8051S_sub_1/COREAI_0/COREAI_io0l_net_1\, ADCSTART
         => \Core8051S_sub_1/COREAI_0/COREAI_II0L_net_1\, 
        RTCMATCH => OPEN, RTCPSMMATCH => OPEN, RTCXTLSEL => OPEN, 
        RTCCLK => \GND\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[0]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[40]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[80]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_6[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill_RNITMFLA[2]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[6]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_95\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_0[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_6[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_8[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_7[14]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[15]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI8DS4[6]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[6]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_905\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv[7]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_0[7]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[7]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNINSOHT1[0]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_8_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_3[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_4[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.core8051s_l0lo021\ : 
        NAND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo021_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo021_1_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo021\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[5]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[5]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_sqmuxa_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[5]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[18]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[18]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[18]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_5[2]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_11_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_11_4\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_144\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_11\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un69_core8051s_l0i0l_2\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[1]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_l1il_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.CORE8051S_iio0i_19_i_i_o2_3[15]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_279\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_267\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_714\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_896\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[4]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[4]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave3_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[4]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[9]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n9\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[9]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_48\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[52]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI79E1[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[45]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[45]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1379\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_30\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E[3]\);
    
    \Core8051S_sub_1/CoreTimer_0/un7_coretimer_o1\ : OR2A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un4_coretimer_o1\, B => 
        \Core8051S_sub_1/un11_cuartloii\, Y => 
        \Core8051S_sub_1/CoreTimer_0/un7_coretimer_o1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I11_Y\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N139\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N136_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N149_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIV99IG[7]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_898\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_0_0_7_N_7\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_3[7]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_2[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1277\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli_ADD_4x4_fast_I15_Y_0\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N100\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_13_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I15_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_2[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_212\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_208\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_8[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_i_2[1]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[3]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[0]_net_1\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[1]\ : 
        DFN1E1C0
      port map(D => \AFLSDF_INV_40\, CLK => clk_pll_0_GLA, CLR
         => \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNO[1]_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_15\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIG76D7[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_4[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_0[0]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_4_sqmuxa_1_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[7]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m_0[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNILJUSB_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_l1l0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un134_core8051s_oll0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNI929Q1[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[7]_net_1\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_855\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[5]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_317\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNIHOL32[7]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_166_i_0\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_2[7]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_o11l\ : DFN1E1C0
      port map(D => \Core8051S_sub_1/COREAI_0/COREAI_i01L\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un14_coreai_i0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_o11l_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lli_RNO_6\ : OR2A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[0]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[5]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_0/N_48\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_0[6]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_3_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[21]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[61]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[101]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[21]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIMO7R3[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_206\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_216_0\);
    
    
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0_a2\ : 
        NOR2A
      port map(A => \\\\\MEMADDR_[2]\\\\_c\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_287\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol_RNIDBC3[0]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_170\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO[4]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[4]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_1/COUnt_m[4]\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[4]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[8]\ : 
        AO1C
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[8]\\\\\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[8]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[8]\\\\\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/fifobloCK0_RNO_2\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[2]\, B
         => \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I16_Y\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N126\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N130\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N129\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N154\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_5_1\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1382\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1367_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_1[1]\ : OR3B
      port map(A => \Core8051S_sub_1/un13_cuartloii\, B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[1]_net_1\, C
         => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/N_269\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[7]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[7]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[7]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO[1]\ : AX1D
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[0]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil\, C
         => \Core8051S_sub_1/CoreTimer_1/N_44\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[22]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[22]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave14_PSELx_0\, C
         => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[22]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[22]\\\\\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[28]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n28\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[28]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_Iio1l_RNIR952_0\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_II00\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_O0I0\, 
        Y => Core8051S_sub_1_MEMWR);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_4[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_673\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_665\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_182\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_681\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[2]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[2]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2_net_1\, 
        Q => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[2]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[1]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[1]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0\, 
        C => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii_0_iv_0_1[1]\, Y
         => \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[1]\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO_2[3]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[3]_net_1\, 
        C => \Core8051S_sub_1/CoreInterrupt_0/N_97\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/N_57\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNI4SKN[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_8_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m_0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_RNIGEP3[3]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo00L[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I0OL_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[4]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[4]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIL6H1[55]\ : 
        XA1C
      port map(A => \\\\\MEMADDR_[15]\\\\_c\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[55]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol[6]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[6]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16\, 
        Q => \\\Core8051S_sub_1_MEMDATAO_[6]\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un43_core8051s_liol\ : 
        AND3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un43_core8051s_liol_0_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_304\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_core8051s_lo00i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un43_core8051s_liol_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_1[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_4[2]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIIOCTB\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[4]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_897\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMDATAO_m[4]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[4]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/cuartol1l4[0]\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.CORE8051S_iio0i_19_i_i_i_a2_2[6]\ : 
        XA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1240\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_l11I.8.COREAI_ooo0.COREAI_l00l_RNI6C43[8]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[0]_net_1\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[8]\, S => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_146\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIMQVQF\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1055\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_0[10]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[10]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0[10]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1099\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_2[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_9[4]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[5]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_li00.1.COREAI_O000.COREAI_O100.COREAI_i000\ : 
        IOPAD_A_IN
      port map(PAD => AV1, Y => 
        \Core8051S_sub_1/COREAI_0/COREAI_lO1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_19\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1284_core8051s_oiol0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[25]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1284_core8051s_oiol0_3\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1284_core8051s_oiol0_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_li01I_RNINUHA5\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[2]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_l100\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[2]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[30]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[30]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[30]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_0[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_384\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_360\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_25\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_392\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[21]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[21]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[21]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNIVOOI5\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un12_core8051s_loi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_ooi0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un72_core8051s_loi0i_s\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[2]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_859\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_33\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_0[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_0[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_0[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I41_un1_Y\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N155_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N224_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N151_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I41_un1_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_a2_6[2]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1399\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_707\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1443\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_a2_7[0]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1382\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[1]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1400\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1_RNIEHVLN[0]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_66_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1450\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_914\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[2]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[2]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/un12_psel\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un4626_core8051s_oll1l_0_i\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_321\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_320\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_98\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_10\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_0[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_0[1]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTL0[6]\ : 
        DFN1
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[6]\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0_a2_0[1]\ : 
        XO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_5[1]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_122\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_76\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I47_Y\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N254_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N258_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N285_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_RNO[5]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_1_sqmuxa_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_3[1]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_TMP[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1297\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[15]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_34_0\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_86\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n15\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_0[14]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[14]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0[14]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1095\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_2[14]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[34]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[34]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[34]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[34]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[34]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[24]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[24]\\\\\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave14_PSELx\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[24]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[24]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_727_i_i_o2\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_696\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I12_G0N\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1197\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[12]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N240_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_78\ : 
        AND2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[86]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_786\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[2]\);
    
    \MEMADDR_pad[15]/U0/U1\ : IOTRI_OB_EB
      port map(D => \\\\\MEMADDR_[15]\\\\_c\, E => SOC_VCC_NET, 
        DOUT => \MEMADDR_pad[15]/U0/NET1\, EOUT => 
        \MEMADDR_pad[15]/U0/NET2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[22]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[22]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[22]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[22]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[22]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNICPU[50]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[50]\, 
        B => \\\\\MEMADDR_[10]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_900_i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNI95O61[6]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[6]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o101i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_150_i\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[5]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\, B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[5]\\\\\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO_0[20]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[20]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[12]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/N_67\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[20]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIA7K1[117]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_i000[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_595\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i_RNI9TT81\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_163\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[1]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i_net_1\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un1_CORE8051S_l100l_1_I_15\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/DWACT_ADD_CI_0_TMP[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/I_15_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_RNO_12\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[3]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_53\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I31_Y\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_330_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N223_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N266\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_5_0_0_ADD_5x5_fast_I21_Y_0\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N125_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_5[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_1[5]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I111_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_86\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i_RNIU2A91\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_165\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[3]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i_net_1\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMRD_RNO\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_221_i_0\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_liol_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMRD_0_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[4]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_860\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[4]_net_1\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi_RNO[1]\ : 
        NOR3C
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_92_1\, B
         => 
        \Core8051S_sub_1/CoreInterrupt_0/un1_coreinterrupt_l0l13_i_a6_0_net_1\, 
        C => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi_RNO[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_7[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[121]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[121]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_2[14]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1232\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iLO1L_RNO_1\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ioo1l\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_O1O1l_net_1\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OIL0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_CORE8051S_iLO1L_1_sqmuxa[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3196_core8051s_oll1l_i_o3_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[0]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_292\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_304\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3196_core8051s_oll1l_i_o3\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_290\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTO0il\ : 
        DFN1P0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTo01L_i\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0_TXRDY\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[4]\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_56_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_n4_0_i_a3_0\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_46_i_0\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[4]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[11]\ : AX1D
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c10\, B
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, C
         => \Core8051S_sub_1/CoreTimer_0/N_78\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n11\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[35]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_293\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[35]\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_1_sqmuxa_0\ : OR2
      port map(A => \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, B
         => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, Y => 
        \Core8051S_sub_1/un5_oen\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIHC31_15\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_l11l\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_86\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ilo0i_I_84\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_9\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_84\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un43_core8051s_liol_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNI8I771[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[4]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_io01i_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_206\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[36]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_159\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[36]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNI2T02I[7]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIM1G27[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_3[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_3_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_5[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[29]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[29]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[29]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[29]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[29]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_63\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[46]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNITOT2[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_5[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIPDV44[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_26\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_107\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_70\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_3_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_3_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_1_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I35_Y\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_328_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N217_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N270\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIHC31_16\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iO1L\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_89\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[11]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[51]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[91]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oili_1_iv_0_1[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1343\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1344\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_106\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oili_1_iv_0_1[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv[7]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_2[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_6_m[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un14_core8051s_oili_m[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1[4]\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0105_6\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0104_5\, 
        C => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_190\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_RNO_0\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_1_sqmuxa_i_a3_0\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_165\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTo11L_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_16\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_40\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[9]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIAK32[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_4_0_0_ADD_5x5_fast_I16_Y_0_i_o2\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N78\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[0]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[0]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[0]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_5_i_o2\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1274\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[119]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1420_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_84\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[128]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE5H2[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[20]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[20]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[20]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIPEF59[15]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[15]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ioi0i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_929\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m2_e_0\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1itt_m2_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m2_e_0_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIMCVN[19]\ : NOR3C
      port map(A => \Core8051S_sub_1/CoreTimer_0/coretimer_loi_9\, 
        B => \Core8051S_sub_1/CoreTimer_0/coretimer_loi_8\, C => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_13\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_14\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_17\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIVQ1D7[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_3[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[3]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_5_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_RNIUT15[1]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_29\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[3]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_io00I[7]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[15]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[8]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_229\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_247\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_735\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIMC9N5[6]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_a2tt_6_m2_0_a2_0\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[6]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_0_tz[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_a4_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_core8051s_o01_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_o01\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[11]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[11]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[11]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[11]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[11]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I15_Y\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N130_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N153_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIC6AOI[116]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_682\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_698\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[116]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIP4NQ6[6]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_81\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTOL_RNO\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_26\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/un9_cuarti\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[12]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[12]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[12]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIJ14U5D2[1]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_6[1]\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_OIII.un29_core8051s_oiol_0_a2_0_o2_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_698\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_709\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[0]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii32_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iLI0I_1_I_9\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIIL0C[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_0_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIQA27[13]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[13]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_707\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1400\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1186\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[31]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[71]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[111]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[31]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIHC31_0\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iili[6]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_48\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I20_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N241_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N237_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N240_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N255_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ol00i[6]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un25_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[22]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIO2S3M\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI9D1M5[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNIQ1SG4_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIO2S3M_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_RNI1VG2[3]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo00L[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_28\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_RNICJ96M[14]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNITV88A_net_1\, 
        B => \\\\\MEMADDR_[14]\\\\_c\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1216\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[2]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_60\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiole\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[4]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_m_0[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_83\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LL00I[4]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo10_i[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un29_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[28]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i_RNI5NA91\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_166\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[4]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i_net_1\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_RNO[0]\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un1_core8051s_o01_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/I_11\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/DWACT_ADD_CI_0_partial_sum[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_4[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[34]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[34]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[34]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_290\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIIPSA[0]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[0]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_0_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[0]\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_3_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_1[10]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_53\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1286\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[30]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[30]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[30]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[17]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/N_46\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe_0\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[17]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_o01o0_6_0_0_x2\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[46]\, 
        B => \\\\\MEMADDR_[6]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_788_i_0_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_3[11]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_56_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1363\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt[4]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_1/COUnt_n4\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[4]_net_1\);
    
    \Memory_0/INT_RAM_8KB_0/INT_RAM_8KB_R0C6\ : RAM4K9
      port map(ADDRA11 => \\\\\MEMADDR_[11]\\\\_c\, ADDRA10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRA9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRA8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRA7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRA6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRA5 => 
        \\\\\MEMADDR_[5]\\\\_c_2\, ADDRA4 => 
        \\\\\MEMADDR_[4]\\\\_c_2\, ADDRA3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRA2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRA1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRA0 => 
        \\\\\MEMADDR_[0]\\\\_c\, ADDRB11 => 
        \\\\\MEMADDR_[11]\\\\_c\, ADDRB10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRB9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRB8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRB7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRB6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRB5 => 
        \\\\\MEMADDR_[5]\\\\_c_2\, ADDRB4 => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDRB3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRB2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRB1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRB0 => 
        \\\\\MEMADDR_[0]\\\\_c\, DINA8 => \GND\, DINA7 => \GND\, 
        DINA6 => \GND\, DINA5 => \GND\, DINA4 => \GND\, DINA3 => 
        \GND\, DINA2 => \GND\, DINA1 => \GND\, DINA0 => 
        \\\Core8051S_sub_1_MEMDATAO_[6]\\\, DINB8 => \GND\, DINB7
         => \GND\, DINB6 => \GND\, DINB5 => \GND\, DINB4 => \GND\, 
        DINB3 => \GND\, DINB2 => \GND\, DINB1 => \GND\, DINB0 => 
        \GND\, WIDTHA0 => \GND\, WIDTHA1 => \GND\, WIDTHB0 => 
        \GND\, WIDTHB1 => \GND\, PIPEA => \GND\, PIPEB => \GND\, 
        WMODEA => \GND\, WMODEB => \GND\, BLKA => 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_0_net\, BLKB => 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_0_net\, WENA => \GND\, 
        WENB => SOC_VCC_NET, CLKA => \AFLSDF_INV_12\, CLKB => 
        \AFLSDF_INV_13\, RESET => SOC_VCC_NET, DOUTA8 => OPEN, 
        DOUTA7 => OPEN, DOUTA6 => OPEN, DOUTA5 => OPEN, DOUTA4
         => OPEN, DOUTA3 => OPEN, DOUTA2 => OPEN, DOUTA1 => OPEN, 
        DOUTA0 => OPEN, DOUTB8 => OPEN, DOUTB7 => OPEN, DOUTB6
         => OPEN, DOUTB5 => OPEN, DOUTB4 => OPEN, DOUTB3 => OPEN, 
        DOUTB2 => OPEN, DOUTB1 => OPEN, DOUTB0 => 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_6_net\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[13]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[13]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[13]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[5]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[5]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_47\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJOT2[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_47_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_25\ : 
        MX2C
      port map(A => Core8051S_sub_1_MEMRD, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_ll10\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_531\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[8]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[8]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[8]\\\\\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_iL1L_RNIICUP\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_122\, B => 
        \Core8051S_sub_1/COREAI_0/N_186\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, Y => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[0]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2441_core8051s_oll1l_0_a2_i_o3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_295\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_289\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_303\);
    
    AFLSDF_INV_32 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_32\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO[0]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_iv_0_0[0]\, 
        B => \Core8051S_sub_1/CoreInterrupt_0/N_87\, C => 
        \Core8051S_sub_1/CoreInterrupt_0/N_89\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_6_0_a2_0\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_133\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1342\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_102\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_116\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[79]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_146\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[79]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[31]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[31]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[31]\\\\\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[3]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[3]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[3]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l01_RNO\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un24_core8051s_liol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_221_i_0\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un43_core8051s_liol_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l01_RNO_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1_RNIO7GQ[1]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_L11_sn_N_2\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/B1[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/B1_RNIO7GQ[1]\);
    
    AFLSDF_INV_2 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_2\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[17]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[17]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[17]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_7\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_91_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_0_1\);
    
    \Core8051S_sub_1/CORE8051S_0/CORE8051S_l110/CORE8051S_il1\ : 
        RAM4K9
      port map(ADDRA11 => AFLSDF_GND, ADDRA10 => AFLSDF_GND, 
        ADDRA9 => AFLSDF_GND, ADDRA8 => \GND\, ADDRA7 => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_i000[7]\, ADDRA6
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[6]\, 
        ADDRA5 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[5]\, 
        ADDRA4 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\, 
        ADDRA3 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[3]\, 
        ADDRA2 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[2]\, 
        ADDRA1 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[1]\, 
        ADDRA0 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[0]\, 
        ADDRB11 => AFLSDF_GND, ADDRB10 => AFLSDF_GND, ADDRB9 => 
        AFLSDF_GND, ADDRB8 => \GND\, ADDRB7 => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[7]\, ADDRB6
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[6]\, 
        ADDRB5 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[5]\, 
        ADDRB4 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[4]\, 
        ADDRB3 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[3]\, 
        ADDRB2 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[2]\, 
        ADDRB1 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[1]\, 
        ADDRB0 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[0]\, 
        DINA8 => \GND\, DINA7 => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[7]\, DINA6
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[6]\, 
        DINA5 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[5]\, 
        DINA4 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[4]\, 
        DINA3 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[3]\, 
        DINA2 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[2]\, 
        DINA1 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[1]\, 
        DINA0 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[0]\, 
        DINB8 => \GND\, DINB7 => \GND\, DINB6 => \GND\, DINB5 => 
        \GND\, DINB4 => \GND\, DINB3 => \GND\, DINB2 => \GND\, 
        DINB1 => \GND\, DINB0 => \GND\, WIDTHA0 => SOC_VCC_NET, 
        WIDTHA1 => SOC_VCC_NET, WIDTHB0 => SOC_VCC_NET, WIDTHB1
         => SOC_VCC_NET, PIPEA => \GND\, PIPEB => \GND\, WMODEA
         => \GND\, WMODEB => \GND\, BLKA => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_l110/CORE8051S_li0\, 
        BLKB => \Core8051S_sub_1/CORE8051S_0/CORE8051S_ii0\, WENA
         => \GND\, WENB => SOC_VCC_NET, CLKA => clk_pll_0_GLA, 
        CLKB => clk_pll_0_GLA, RESET => SOC_VCC_NET, DOUTA8 => 
        OPEN, DOUTA7 => OPEN, DOUTA6 => OPEN, DOUTA5 => OPEN, 
        DOUTA4 => OPEN, DOUTA3 => OPEN, DOUTA2 => OPEN, DOUTA1
         => OPEN, DOUTA0 => OPEN, DOUTB8 => OPEN, DOUTB7 => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[7]\, DOUTB6
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[6]\, 
        DOUTB5 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[5]\, 
        DOUTB4 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[4]\, 
        DOUTB3 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[3]\, 
        DOUTB2 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[2]\, 
        DOUTB1 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[1]\, 
        DOUTB0 => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i[11]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I117_Y_0_0_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/CORE8051S_O0l0\ : 
        DFN0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l1lII_i\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/CORE8051S_O0l0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIUCJO12[6]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1068\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1067\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1069\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_254\);
    
    AFLSDF_INV_8 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_8\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[7]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/N_28\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i00LI\ : 
        DFN1P0
      port map(D => \GND\, CLK => clk_pll_0_GLA, PRE => INBUF_0_Y, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i00LI_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI11D4[54]\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_6\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_5\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_9\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_0\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0108_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo022_5\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_0_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l0oi_RNIOAB3[4]\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_O1OI\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[4]_net_1\, S => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_30\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_6_0_0_ADD_5x5_fast_I22_Y_0_i_x3\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL_i_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_13_i\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[1]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[1]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave14_PSELx_0\, Y
         => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_2[8]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_4\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_2[8]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[137]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[17]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[137]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1399\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16\, 
        Q => \\\Core8051S_sub_1_MEMDATAO_[0]\\\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[3]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/N_21\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_3_sqmuxa\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[10]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1287\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[10]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1289\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[10]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO[21]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[21]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[21]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[21]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_iioi_RNO_0\ : OA1C
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_o0oi_net_1\, 
        B => \Core8051S_sub_1/COREAI_0/COREAI_Lioi\, C => 
        \Core8051S_sub_1/COREAI_0/un1_coreai_l0li_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/un1_coreai_ioli8_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[37]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[37]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1783_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[30]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[30]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[30]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_119\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_o2[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_101\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNI1UQ9[5]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_41\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_39\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_42\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIELP5\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_22\, B => 
        \Core8051S_sub_1/COREAI_0/N_48\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_64\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO_0[3]\ : OA1A
      port map(A => \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[3]\, 
        B => \Core8051S_sub_1/un5_oen_0\, C => 
        \Core8051S_sub_1/CoreUARTapb_0/OverflOW_m\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1_0_iv_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[28]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[28]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[28]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[28]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[28]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[2]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1[2]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_sqmuxa_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_23\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_O100\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_547\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_43\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_713\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_oili_I_1\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_17_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_3[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loOL_RNO\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o1ll_4\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o1ll_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_L1LO0_RNO\ : 
        OR2
      port map(A => \Core8051S_sub_1/CoreWatchdog_0_WDOGRES\, B
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL00\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/core8051s_l1lo0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[12]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_716\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[12]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1115\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_0[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1553\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1307\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I57_Y_0\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I57_Y_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_855\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNINQ52[76]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1417\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1414\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1422\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un5_core8051s_l1i1i_1\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un5_core8051s_l1i1i_1_tz_tz_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un5_core8051s_l1i1i_1_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[6]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_61\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[6]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_48_i_0_i\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_24[7]\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_l0il\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[21]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_23_m_0[7]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_2[1]\ : OR3A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1[1]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, C => 
        \Core8051S_sub_1/un11_cuartloii\, Y => 
        \Core8051S_sub_1/CoreTimer_0/N_270\);
    
    AFLSDF_INV_0 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I64_Y_0\ : 
        XNOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[7]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N209_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNI3TPD[0]\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1542\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_927\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1156\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_s_0[0]\);
    
    \Core8051S_sub_1/COREAI_0/un3_coreai_l0li_3\ : OR2A
      port map(A => \\\\\MEMADDR_[2]\\\\_c\, B => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, Y => 
        \Core8051S_sub_1/un3_coreai_l0li_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_6[7]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_1[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_9[7]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_l0il_m\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_3[7]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_RNO_6\ : OA1
      port map(A => \Core8051S_sub_1/CoreTimer_1/N_166\, B => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_a2_2_1\, C
         => \Core8051S_sub_1/CoreTimer_1/N_173\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_19\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_87_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_1_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIU4MSF[38]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_755\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_763\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_4\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[26]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_3_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_NE_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[18]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[18]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[18]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_3[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o0il_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_a10_8_1[0]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_156\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_129_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_1[2]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS1_m[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_1[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_10[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UTDI\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[8]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_CORE8051S_ILLLI_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_28[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[65]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[25]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1813_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[65]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I98_Y\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N294_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I98_un1_Y_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I82_un1_Y\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N360_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un910_core8051s_oll1l_i_o3_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_290\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_286\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_313\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_RNO_4\ : 
        OR3C
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_52\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L_0_a2_1_0\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/N_38\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_255\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0[7]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[7]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[7]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNIO907[4]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11_i_0[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_136\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_3[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[1]\\\\_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI2RT1[91]\ : 
        XA1A
      port map(A => \\\\\MEMADDR_[11]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[91]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_901_i_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_12\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[111]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[31]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1843_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[111]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTL0[3]\ : 
        DFN1
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[3]\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[3]\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[7]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[7]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[66]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[26]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1813_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[66]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I42_un1_Y\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N160_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N157_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N153_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I42_un1_Y_0\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[6]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[6]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNI81J2[0]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ooi0i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_34\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_ooi0i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un15_core8051s_lii0i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNI38N6[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1410\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1163\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIL16VL[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_0[14]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1552\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[14]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1246\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIG3L_6[37]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_750\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_0_RNITU37[1]\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un78_core8051s_io00l_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i0i1i_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_0_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[12]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/N_44\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe_0\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[12]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ilo0i_I_91\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_4_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_91\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0_a2_0\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un6_coretimer_oil_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1_sqmuxa\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii30\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1_sqmuxa_net_1\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[4]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[4]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_110\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_2[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_2[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_2[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_98\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIT9B3[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[83]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_13_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_17_0\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL_RNIFBD3[1]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_29_i_0_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_o0o1l_RNO\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_o0o1l_0_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_i110l_4_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_i110l_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_0[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[0]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_52\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_36\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI5G86[80]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_867_i_0_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_865_i_0_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_873_i_0_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_15\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIHAEVO[5]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[5]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_310\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_328_i\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[13]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[13]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[13]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[17]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n17\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte_0\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[17]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNIHGFQ[7]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_139_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_130\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_140_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I_RNI5J0PA[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_0_sqmuxa_2_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[6]\);
    
    \SW0_pad/U0/U0\ : IOPAD_IN_D
      port map(PAD => SW0, Y => \SW0_pad/U0/NET1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_1[12]\ : NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, B
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[12]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_345\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[16]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[96]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[96]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[4]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un2_core8051s_oiil_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_4_sqmuxa_i\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[4]_net_1\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO[2]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_iv_0_0[2]\, 
        B => \Core8051S_sub_1/CoreInterrupt_0/N_79\, C => 
        \Core8051S_sub_1/CoreInterrupt_0/N_81\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1[2]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[20]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[20]\\\\\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave14_PSELx\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[20]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[20]\\\\\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_RNO_1\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[1]_net_1\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, C
         => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_173\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_1_sqmuxa_i_a3_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_40\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF5H2[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[129]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I56_Y\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N267_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N264_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N263_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N294_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNILTRUO[1]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1456\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1056\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.un9_core8051s_oiol_0_a2_0_a2\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1457\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_701\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un9_core8051s_oiol\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_0[0]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[0]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_164\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[13]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1300\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0_1[13]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1299\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_137_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_l10l\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I0_CO1_0_0\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[0]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10_0[0]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_i0i1i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I0_CO1_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I53_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N264\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N260\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N291\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_loiii\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un84_core8051s_liol_i\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_loiii\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_6[15]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_702\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[3]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[15]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_a2_0[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[8]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[88]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[48]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_5[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oll0i_RNO_8\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[5]\\\\_0\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[4]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i0i0i_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_0[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[1]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNIBUUIK8\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNITRJIER1[7]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_O100\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_1_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_o0l1i_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNIJMUL6G\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_1_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un338_core8051s_io00l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_4_5_N_8\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[5]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[5]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii32_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI7IADG[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[2]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[2]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[127]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[7]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1873_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[127]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNITVQM5[9]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNIFIUH5_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_909\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNITVQM5[9]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIMERO82[7]\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_2_0[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_4_sqmuxa_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_2[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[32]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_286\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[32]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I87_Y\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I64_un1_Y_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N271_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I87_un1_Y\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N371\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIOO0.un521_core8051s_o01_2_0_a2_0_a2\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[101]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un521_core8051s_o01_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[33]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[153]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[153]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l[2]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[10]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/coreai_io0l_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iLO1L_RNO\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un9_core8051s_oilli\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iLO1L_8\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_19\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIDUR1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[93]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_3[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNO_1\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_2451_tz\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_342\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNO_1_net_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a4[3]\ : OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a4_0[3]_net_1\, 
        B => \Core8051S_sub_1/CoreAPB3_0/N_359\, Y => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave3_PSELx\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i_RNO[7]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[23]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_710\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_136\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Loo1i.un17_core8051s_oiol_0_a2_0_a2_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_704\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1387\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oilI\ : DFN1E0C0
      port map(D => \Core8051S_sub_1/COREAI_0/COREAI_iLLI\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/N_430\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_oilI_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_28\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1190_core8051s_oiol0_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[62]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[20]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1284_core8051s_oiol0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_1[5]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo022_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[5]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_98\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0_0[5]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li[12]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[13]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un60_coreai_l0li_i\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[12]_net_1\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO[2]\ : OR3C
      port map(A => \Core8051S_sub_1/CoreUARTapb_0/daTA_Out_m[2]\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1_iv_0[2]\, 
        C => \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[2]\, Y
         => \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNILO21_3[117]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_673\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_8[5]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_udrcap\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_m_0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNIO1B9T[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_2_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m_0[3]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[1]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/N_17\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_77\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_786\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[126]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[1]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNINMD1[131]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[131]\, 
        B => \\\\\MEMADDR_[11]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_898_i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_liol\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_193\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_liol_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i0i0.un60_coreai_l0li_1\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, B
         => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, Y => 
        \Core8051S_sub_1/un60_coreai_l0li_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[41]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1384\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[41]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNI49K1[3]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[1]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un78_core8051s_io00l_2\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll_RNI3CL3[1]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_26\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIMPS1[3]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_ooi0i_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_l1i0i_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO_0[6]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[6]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_925\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.3.COREAI_l01I.COREAI_l00l[3]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[3]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un19_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[14]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[94]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[94]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_i0li_1_0_iv_0_a2_3_RNIS3F351[4]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_93\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_3[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_5[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNISB2K61\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1114\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[141]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[21]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1873_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[141]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[31]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[31]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[31]_net_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[27]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[27]\\\\\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave14_PSELx\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[27]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[27]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_57\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_0[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNI84V2[15]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[15]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[15]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_920\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_42\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_791\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNILEP5U[38]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_753\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_761\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_il0l[0]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[0]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/coreai_io0l_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_il0l[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNIPRR87[7]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1547\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1463\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_I1OI_RNI7BV1\ : NOR2
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_O1OI\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_I1OI_i_0\, Y => 
        \Core8051S_sub_1/COREAI_0/COREAI_Ooli\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[12]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[12]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[12]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_80\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_2[21]\ : NOR3A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n21_0_i_a2_1_0\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT[20]_net_1\, C
         => \Core8051S_sub_1/CoreWatchdog_0/N_313\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_135\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNI6I03[38]\ : 
        MX2
      port map(A => \\\\\MEMADDR_[7]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_567\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[67]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[27]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1813_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[67]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_olli_3_0_0_I_6\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un37_core8051s_ooli\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_2_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_0[9]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1552\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[9]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1256\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNIL0BGG[11]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_908\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un22_core8051s_i1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1045\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[9]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[9]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave14_PSELx_0\, C
         => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_0[9]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[9]_net_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[23]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[23]\\\\\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave14_PSELx\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[23]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[23]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_m[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_35\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli26_4_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_m[2]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_3[1]\ : OR2
      port map(A => \Core8051S_sub_1/N_115\, B => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1[1]_net_1\, Y
         => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_3[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/CORE8051S_O001L_RNIKFO71[0]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un69_core8051s_l0i0l_3_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[63]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un56_core8051s_l0i0l_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0i0l\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[37]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[37]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[38]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[37]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I113_Y_0_0\ : 
        AX1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1144\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I113_Y_0_0_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll_RNO[3]\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_26\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll_RNO[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_core8051s_o01\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0i0l\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_io00l\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_core8051s_o01_0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_core8051s_o01_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I58_Y\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N266_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N269_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N265_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N296_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_0[13]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1552\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[13]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1303\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[151]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[31]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1873_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[151]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[23]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n23\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte_0\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[23]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_13\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_6\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[146]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un372_core8051s_oiol0[26]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ll0li\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ii0li_net_1\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ll0li_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_5[6]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_22\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_124\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_1_0_a2_0_0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[13]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[13]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_716\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0_0[13]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0_1[13]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I5_G0N\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N135_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNI5PN61[5]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[5]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o101i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_149\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[9]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n9\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[9]_net_1\);
    
    \MEMADDR_pad[14]/U0/U0\ : IOPAD_TRI
      port map(D => \MEMADDR_pad[14]/U0/NET1\, E => 
        \MEMADDR_pad[14]/U0/NET2\, PAD => MEMADDR(14));
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[7]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[7]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/un5_psel\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIQRTN[85]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_15\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_14\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_18\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_21\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3395_core8051s_oll1l_0_a3\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_312\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[106]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL_RNO[8]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_29_i_0_i\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_186\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_40\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIHC31_9\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[8]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_82\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIFNBKI[36]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_762\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_778\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[36]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[132]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_234\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[132]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIL8M61[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[1]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o101i\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_145\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill_RNIS173L[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_94\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_95\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_96\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIVFKRF\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_16\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lii0_i_0\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNO[1]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[9]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_711\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_79\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIGMO1[15]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[15]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/COUnt[8]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[40]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_181\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[40]\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lil\ : DFN1P0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_i\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_lil_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_34\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_727\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIGHD34[2]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_103_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1388\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1535_core8051s_oll1l_0_i_o3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_305\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[12]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[12]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[12]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_RNITUG2[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo00L[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un2_c2_0_a2_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_24\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_713\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_721\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.un17_core8051s_oili_0_0_I_1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_8[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_IL00l_RNO\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_IL00l_RNO_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L001i_RNIAGLOF9\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i_m7_i_a5_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i_m7_i_1\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_89_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L001i_RNIAGLOF9_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[3]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[3]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2_net_1\, 
        Q => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_87\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_2[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIE3DDD\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0_a2_0_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0_a2_N_7_tz\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un12_core8051s_loi0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0_a2_0_3\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.5.COREAI_l01I.COREAI_l00l_RNIOAJ3[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[5]_net_1\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_l00l[5]\, S => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_143\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[3]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii32_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[3]_net_1\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[5]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[5]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/un5_psel\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNI5D694\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNI5B171_net_1\, 
        B => Core8051S_sub_1_MEMPSRD, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_a2_5_m5_0_a3_0_0\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[14]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c13\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_84\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n14\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIPFVE453[5]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_o0l1i_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_o0l1i_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_o0l1i_6\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIPFVE453[5]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[20]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[20]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[20]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[18]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[18]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[19]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[138]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[18]\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_0[14]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[14]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_164\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[14]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIHOF2[153]\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[154]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[153]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[152]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_115_i_0_o2_0_o2\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_693\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_267\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_735\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_3_sqmuxa_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[3]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l[5]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[13]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/coreai_io0l_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_55\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[6]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_812\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_820\);
    
    
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNIJVH3[1]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[1]_net_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0_TXRDY\, C => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[1]_net_1\, 
        Y => \Core8051S_sub_1/CoreInterrupt_0/N_108\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIEGCO1[0]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[0]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_176\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1430\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2328_core8051s_oll1l_0_a3_m2_e\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2328_core8051s_oll1l_0_a3_m2_e_3_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_327\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[55]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNI4LV5[31]\ : NOR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/coretimer_loi_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/COUnt[16]_net_1\, C => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[31]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_8\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_4[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_328\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_320\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_182\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_336\);
    
    \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o0_0_a2_2\ : 
        NOR3
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, B
         => \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PENABLE\, C
         => \Core8051S_sub_1/CoreAPB3_0_APBmslave14_PSELx_0\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_353\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_io00I_RNIGP52[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[0]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[8]\\\\\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[3]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_927\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_91\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_3_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[8]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_3_0[0]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[28]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[28]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[28]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[149]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[29]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[149]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1402\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_oloi_0_sqmuxa_0_a2_5\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_45\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_39\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_91\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un932_core8051s_oll1l_i\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_312\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_299\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_45\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1197_core8051s_oll1l_i_o3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_292\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_300\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[6]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[6]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIJ46T92[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMDATAO_m_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0l0_m_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_m[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_2[0]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[27]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[27]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[27]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[27]\);
    
    \Memory_0/data_read_mux_0/MX2_4\ : MX2
      port map(A => \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[0]\\\\\, B
         => \Memory_0/Z\\\\data_bus_buffer_0_Y_[0]\\\\\, S => 
        \Memory_0/data_read_mux_0/SelAux_0_0_net\, Y => 
        \Memory_0/data_read_mux_0/MX2_4_Y\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[14]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[14]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[14]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[13]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[13]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[13]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ilo0i_I_90\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[9]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_4_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_4_0_a2_2[6]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_14\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_0[0]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_105\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_38\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_40\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_partial_sum_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_1\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_1_net_1\);
    
    \Memory_0/INT_RAM_8KB_0/INT_RAM_8KB_R0C4\ : RAM4K9
      port map(ADDRA11 => \\\\\MEMADDR_[11]\\\\_c_0\, ADDRA10 => 
        \\\\\MEMADDR_[10]\\\\_c_0\, ADDRA9 => 
        \\\\\MEMADDR_[9]\\\\_c_0\, ADDRA8 => 
        \\\\\MEMADDR_[8]\\\\_c_0\, ADDRA7 => 
        \\\\\MEMADDR_[7]\\\\_c_0\, ADDRA6 => 
        \\\\\MEMADDR_[6]\\\\_c_0\, ADDRA5 => 
        \\\\\MEMADDR_[5]\\\\_c_2\, ADDRA4 => 
        \\\\\MEMADDR_[4]\\\\_c_2\, ADDRA3 => 
        \\\\\MEMADDR_[3]\\\\_c_2\, ADDRA2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRA1 => 
        \\\\\MEMADDR_[1]\\\\_c_0\, ADDRA0 => 
        \\\\\MEMADDR_[0]\\\\_c_0\, ADDRB11 => 
        \\\\\MEMADDR_[11]\\\\_c\, ADDRB10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRB9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRB8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRB7 => 
        \\\\\MEMADDR_[7]\\\\_c_0\, ADDRB6 => 
        \\\\\MEMADDR_[6]\\\\_c_0\, ADDRB5 => 
        \\\\\MEMADDR_[5]\\\\_c_2\, ADDRB4 => 
        \\\\\MEMADDR_[4]\\\\_c_2\, ADDRB3 => 
        \\\\\MEMADDR_[3]\\\\_c_2\, ADDRB2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRB1 => 
        \\\\\MEMADDR_[1]\\\\_c_0\, ADDRB0 => 
        \\\\\MEMADDR_[0]\\\\_c_0\, DINA8 => \GND\, DINA7 => \GND\, 
        DINA6 => \GND\, DINA5 => \GND\, DINA4 => \GND\, DINA3 => 
        \GND\, DINA2 => \GND\, DINA1 => \GND\, DINA0 => 
        \\\Core8051S_sub_1_MEMDATAO_[4]\\\, DINB8 => \GND\, DINB7
         => \GND\, DINB6 => \GND\, DINB5 => \GND\, DINB4 => \GND\, 
        DINB3 => \GND\, DINB2 => \GND\, DINB1 => \GND\, DINB0 => 
        \GND\, WIDTHA0 => \GND\, WIDTHA1 => \GND\, WIDTHB0 => 
        \GND\, WIDTHB1 => \GND\, PIPEA => \GND\, PIPEB => \GND\, 
        WMODEA => \GND\, WMODEB => \GND\, BLKA => 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_0_net\, BLKB => 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_0_net\, WENA => \GND\, 
        WENB => SOC_VCC_NET, CLKA => \AFLSDF_INV_8\, CLKB => 
        \AFLSDF_INV_9\, RESET => SOC_VCC_NET, DOUTA8 => OPEN, 
        DOUTA7 => OPEN, DOUTA6 => OPEN, DOUTA5 => OPEN, DOUTA4
         => OPEN, DOUTA3 => OPEN, DOUTA2 => OPEN, DOUTA1 => OPEN, 
        DOUTA0 => OPEN, DOUTB8 => OPEN, DOUTB7 => OPEN, DOUTB6
         => OPEN, DOUTB5 => OPEN, DOUTB4 => OPEN, DOUTB3 => OPEN, 
        DOUTB2 => OPEN, DOUTB1 => OPEN, DOUTB0 => 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_4_net\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI0O22[81]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[81]\, 
        B => \\\\\MEMADDR_[1]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_867_i_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNI35QKK1[0]\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNII98HG[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_m[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_iv_0_m1_0_a2_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNI35QKK1[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_9[2]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_216\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_102\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_166\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_148\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_4_m[3]\ : 
        XO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_14_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_5[3]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_122\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_4_m[3]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[6]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[6]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[6]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_68\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_LLLI\ : DFN1C0
      port map(D => \Core8051S_sub_1/COREAI_0/COREAI_ioli_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_LLLI_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_2[6]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_244\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[116]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_94\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_6_0_I_2\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_0[1]\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_3[0]\ : OR3B
      port map(A => \Core8051S_sub_1/N_186\, B => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[0]_net_1\, C
         => \Core8051S_sub_1/CoreTimer_1/N_164\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL_m[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0[2]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_11\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[37]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_6_m[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_86\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[3]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[5]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_87\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIE9TVFT[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[2]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO_4\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_7\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_11\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_l10l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/CORE8051S_liI1I_RNIF2CG1\ : 
        AOI1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_ili1i_5\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liI1I\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I0I0L\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNI60NUO[3]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ioi0i_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1063\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_8\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_1[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_1[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_30\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_1[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_1[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_1[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LL00I[3]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo10_i[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un29_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[27]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[62]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[22]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1813_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[62]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3286_core8051s_oll1l_0_i_RNO_2\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3286_core8051s_oll1l_0_i_a3_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I94_Y_0\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N256\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N259\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N255\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I94_Y_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNO_0[7]\ : XNOR2
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[7]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/N_39\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n7_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_0[2]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[2]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16\, 
        Q => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[8]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[8]\\\\\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave14_PSELx\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[8]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI2EE9[127]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_i01o0_7_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_7\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_791_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_16\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I80_un1_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N300_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N293\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I80_un1_Y_0\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_RNO_0[3]\ : 
        AX1E
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_77\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_e3_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNI6AVVFT[6]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[6]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I0_G0N\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N120\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi_RNO[3]\ : 
        NOR3C
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_92_1\, B
         => 
        \Core8051S_sub_1/CoreInterrupt_0/un1_coreinterrupt_l0l13_i_a6_0_net_1\, 
        C => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        Y => \Core8051S_sub_1/CoreInterrupt_0/N_115_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_1[1]\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_1[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNILSCDG_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_i1l0i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L001i_RNICKS46_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_i0i1i\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_89_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_1_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_6[0]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a11_6_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a11_6_1[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_201\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_4[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un10_core8051s_i000l_m6_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liI1I\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o101i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un10_core8051s_i000l_m6_0_net_1\);
    
    AFLSDF_INV_6 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_6\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_5[15]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[15]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1254\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIFIH9U[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_0_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_m[0]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTLIol_RNO_0\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[1]_net_1\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_7_i\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_173\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_178\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_li00.4.COREAI_i100.COREAI_io10.COREAI_Lo10\ : 
        IOPAD_A_IN
      port map(PAD => AC4, Y => 
        \Core8051S_sub_1/COREAI_0/COREAI_IO1[4]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt[11]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_1/COUnt_n11\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[11]_net_1\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[6]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[6]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[15]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[95]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[95]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[23]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_1[23]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[143]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_4[23]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[23]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[10]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[10]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[10]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_20\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE2S1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[94]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_3[1]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[12]\ : NOR3
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_344\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_345\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_346\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_44\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.CORE8051S_iio0i_19_i_i_o2_2[7]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[0]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_701\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iLI0I_1_I_6\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIIL0C[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_0_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_16[1]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_165\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_170\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_125\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_7[9]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m_1[0]\, 
        B => \\\\\MEMADDR_[9]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIHS7OA2[9]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNI9J3F71[9]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_0[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1553\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1266\);
    
    \Memory_0/INT_RAM_8KB_0/INT_RAM_8KB_R1C3\ : RAM4K9
      port map(ADDRA11 => \\\\\MEMADDR_[11]\\\\_c\, ADDRA10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRA9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRA8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRA7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRA6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRA5 => 
        \\\\\MEMADDR_[5]\\\\_c\, ADDRA4 => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDRA3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRA2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRA1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRA0 => 
        \\\\\MEMADDR_[0]\\\\_c\, ADDRB11 => 
        \\\\\MEMADDR_[11]\\\\_c\, ADDRB10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRB9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRB8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRB7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRB6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRB5 => 
        \\\\\MEMADDR_[5]\\\\_c\, ADDRB4 => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDRB3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRB2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRB1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRB0 => 
        \\\\\MEMADDR_[0]\\\\_c\, DINA8 => \GND\, DINA7 => \GND\, 
        DINA6 => \GND\, DINA5 => \GND\, DINA4 => \GND\, DINA3 => 
        \GND\, DINA2 => \GND\, DINA1 => \GND\, DINA0 => 
        \\\Core8051S_sub_1_MEMDATAO_[3]\\\, DINB8 => \GND\, DINB7
         => \GND\, DINB6 => \GND\, DINB5 => \GND\, DINB4 => \GND\, 
        DINB3 => \GND\, DINB2 => \GND\, DINB1 => \GND\, DINB0 => 
        \GND\, WIDTHA0 => \GND\, WIDTHA1 => \GND\, WIDTHB0 => 
        \GND\, WIDTHB1 => \GND\, PIPEA => \GND\, PIPEB => \GND\, 
        WMODEA => \GND\, WMODEB => \GND\, BLKA => 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_1_net\, BLKB => 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_1_net\, WENA => \GND\, 
        WENB => SOC_VCC_NET, CLKA => \AFLSDF_INV_22\, CLKB => 
        \AFLSDF_INV_23\, RESET => SOC_VCC_NET, DOUTA8 => OPEN, 
        DOUTA7 => OPEN, DOUTA6 => OPEN, DOUTA5 => OPEN, DOUTA4
         => OPEN, DOUTA3 => OPEN, DOUTA2 => OPEN, DOUTA1 => OPEN, 
        DOUTA0 => OPEN, DOUTB8 => OPEN, DOUTB7 => OPEN, DOUTB6
         => OPEN, DOUTB5 => OPEN, DOUTB4 => OPEN, DOUTB3 => OPEN, 
        DOUTB2 => OPEN, DOUTB1 => OPEN, DOUTB0 => 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_3_net\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0[12]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[12]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[12]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I92_Y_0\ : 
        AO13
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[14]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_267\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N243\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_41\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[10]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIIPV[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIP60RF\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[4]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1064\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_2[15]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1442\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1251\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNILTV6[1]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_i_0[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_133_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_incl_mul_div_da_5_0_a2_1\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_388\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_389\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1338\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNI48N6[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1410\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1170\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_22\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_26\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIOG4D7[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_partial_sum[7]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_1[5]\ : NOR3
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[4]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/COUnt_c3\, C => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/N_65\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO[6]\ : AX1D
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt_c5\, B => 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil_0\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_54\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n6\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_OL1l_RNIHUK1\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iO1L\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_OL1l_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/COREAI_ll1l\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[0]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI7BJ0N[4]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_2[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_4[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[6]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_m_0[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_83\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_94\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_790\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[6]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[6]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii32_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1I0L_m[2]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[2]\, 
        B => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0105_6\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1I0L_m[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI3UQHP[4]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_5[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_3_m[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2_m[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIQ8DF\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_888\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un125_core8051s_oll0i\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[26]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[26]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un5_oen_0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[26]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_6[7]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[7]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_757\);
    
    \Core8051S_sub_1/CORE8051S_0/CORE8051S_l110/CORE8051S_oO1\ : 
        INV
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_O100\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_l110/CORE8051S_li0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.un1_core8051s_liol_3_1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_244\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[108]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_3_1\);
    
    \SRAM_BLE0_N_pad/U0/U0\ : IOPAD_TRI
      port map(D => \SRAM_BLE0_N_pad/U0/NET1\, E => 
        \SRAM_BLE0_N_pad/U0/NET2\, PAD => SRAM_BLE0_N);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[84]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[84]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_92\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_878\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_886\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[4]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[2]\ : AX1D
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/N_295\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_63\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[80]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[80]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_183\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_30\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, Q
         => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[1]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[0]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[0]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0_net_1\, 
        Q => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I0_S_0\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un3_i[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[0]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[13]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n13\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe_0\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[13]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[33]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[34]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[34]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIPCU[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_o1i0i_0\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[5]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[5]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/cuartol1l4[0]\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I86_un1_Y\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N270\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N274\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N277\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I86_un1_Y_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNILE91G_0\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_15\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lii0_i_0\, Y
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_1[21]\ : NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, B
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[21]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_134\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[3]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_109\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[3]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol_RNI5N25[2]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_170\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_172\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_6\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_17_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_6\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_8\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO[18]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[18]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[18]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[18]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_0_RNIO865[2]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i0i1i_4\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_io01i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNINTCVT[38]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_756\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_764\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNID4HV3[1]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[1]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_core8051s_oiil_2\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_l1il_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_4\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[2]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[2]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/cuartol1l4[0]\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_3_sqmuxa\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNI1OT5[3]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_945\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_952\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[0]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_959\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIPIAR1\ : 
        MX2
      port map(A => \\\Memory_0_RD_[2]\\\, B => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[2]\\\\\, 
        S => \Core8051S_sub_1/CORE8051S_0_APB3master_PSELx\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_13\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_RNO[7]\ : 
        XA1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[7]_net_1\, 
        B => \Core8051S_sub_1/CoreWatchdog_0/N_43\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_O1_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_29\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[21]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[21]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[21]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNISS48H[9]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[9]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNIGR0HB_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNITVQM5[9]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0_9_m6_i_a3_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_0[14]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_848_tz\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1548\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[14]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1229\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIETG9[10]\ : NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29_1\, B => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29_0\, C => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29_5\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29_6\);
    
    \Core8051S_sub_1/COREAI_0/un2_coreai_i0li_1\ : NOR3A
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, B
         => \Core8051S_sub_1/un2_coreai_i0li_1\, C => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/un2_coreai_i0li_1_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_46\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[6]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_732\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_740\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNO[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[13]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_711\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_87\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_49\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[11]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_729_i_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[11]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIDKP8N1[1]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_4[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_3[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1419\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[5]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_0[14]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[14]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\, C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[14]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_0[14]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_0[3]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[3]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un16_core8051s_o010l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIPHTG2[37]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[0]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_766\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_7[0]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_216\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a11_2_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_0[4]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_3_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[15]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m_1[0]\, 
        B => \\\\\MEMADDR_[15]\\\\_c\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIH3J06[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[1]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[33]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_RNIUT15_1[1]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_29\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[3]\ : 
        DFN1P0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_27\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_i[3]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTlill\ : 
        DFN1P0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL_1_sqmuxa_i\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/FIFO_write\);
    
    \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0_a2\ : OR3A
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\, B => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PENABLE\, C => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, Y => 
        \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIAMKPF[38]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_757\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_765\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oli0i_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/CORE8051S_l0L1L.un860_core8051s_oll1l_0_0_a3\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[4]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_290\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_302\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_388\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[4]\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_717\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_0_1[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_78\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[10]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_716\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[10]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[10]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_11\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[142]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_27_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un696_core8051s_o0ol0_NE_0\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTL0[4]\ : 
        DFN1
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTo0[4]\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2882_core8051s_oll1l_i_o3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_294\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_290\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_314\);
    
    \Memory_0/mem_decode_0/un4_ext_ram_wr_n_0\ : NOR2
      port map(A => \Memory_0/mem_decode_0/N_23\, B => 
        Core8051S_sub_1_DBGMEMPSWR, Y => un4_ext_ram_wr_n_0);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_6_0_0_ADD_5x5_fast_I22_Y_0_i_a4\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N125\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_14\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_13_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_23\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li[0]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[0]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un60_coreai_l0li_i\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[0]_net_1\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO_0[2]\ : OR2A
      port map(A => \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[2]\, 
        B => \Core8051S_sub_1/un5_oen_0\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out_m[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_40\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[89]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF5H2[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_115\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_1[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_1[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un169_core8051s_oiol0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I60_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N271\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N268\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N267\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N298\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I97_Y_0\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I97_un1_Y_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N293_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N292_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I97_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI59E1[15]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[15]\, 
        B => \\\\\MEMADDR_[15]\\\\_c\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_879_i_i_0\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[12]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave0_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[12]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[12]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I119_Y_0_0\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_935\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[13]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I119_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_OIO1L\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_OIO1L_2\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un17_core8051s_i110l_net_1\, 
        Q => \Core8051S_sub_1/CORE8051S_0/CORE8051S_llL0\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0[13]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[13]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[13]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNINMC61[6]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_905\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_ooi0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_a2tt_6_m2_0_a2_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_0_RNINQN2[0]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un78_core8051s_io00l_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_l001i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_mtt_5_m3_0_a2\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_0_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_217\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_mtt_5_m3_0_a2_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/CORE8051S_iio1i\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un3_core8051s_io00l_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un1_core8051s_oll0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o1i0L\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1_RNIJVTR3_0[2]\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un3_coretimer_lol\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_0_sqmuxa\, C => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnte\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[14]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_716\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[14]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[14]_net_1\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII[4]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[4]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/un1_cuarto1ii20_net_1\, Q
         => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[4]\\\\\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNIJV83[7]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_61\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[0]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave14_PSELx_0\, Y
         => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_0[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1553\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1319\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_2[5]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1462\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1311\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[1]\ : AX1D
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[0]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, C
         => \Core8051S_sub_1/CoreTimer_0/N_58\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNIQERL7[6]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_6\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1053\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI7V7I3[4]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_82\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_26\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.7.COREAI_o11i.COREAI_i00L[7]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[7]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un21_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_5_0_0_ADD_5x5_fast_I22_Y_0_i_o3\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N125_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_14\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_18\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_15_0\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li_RNIQMO2[3]\ : OR2A
      port map(A => \\\\\MEMADDR_[2]\\\\_c\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[3]_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_204\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_2[0]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_717\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_722\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJHGEI[116]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_685\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_701\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[116]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[7]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_LI0l[3]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un15_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNI8SMM_2[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un1_core8051s_ooo1l_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_1_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un4_core8051s_iio1i_1_0\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo00l[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_18_i_0_i\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt[12]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_1/COUnt_n12\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[12]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_79\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.un17_core8051s_oili_0_0_I_4\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_8[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_oili[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_O1O1l\ : 
        DFN1E1C0
      port map(D => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OIL0\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_i110l_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_O1O1l_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_RNO_5\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L_0_a2_0_1\, 
        B => \Core8051S_sub_1/CoreWatchdog_0/N_36_i_0\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_256\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIK412_1\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un3_udrcap_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_3[8]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[8]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[0]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un5_core8051s_oiol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_18[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_31\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_41_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI8VA9[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_146\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_118\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[1]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_174\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[6]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[6]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave14_PSELx_0\, Y
         => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[52]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[12]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[52]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_232\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_5\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[28]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_5_0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_5_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I48_un1_Y_0\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_855\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N147\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N151\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_un1_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[19]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[19]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[19]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIDTOOD2[4]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_0[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m_0[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_2[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_RNO[7]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_1_sqmuxa_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli_m[3]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I16_Y_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_105\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli_m[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_3[3]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_54_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1333\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un14_core8051s_oili_m[0]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_17\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_124\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un14_core8051s_oili_m[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_0[5]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_3_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m[4]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[25]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[25]\\\\\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave14_PSELx\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[25]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[25]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[1]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[81]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[121]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_4[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_3[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o0il_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[2]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO_0[7]\ : OR2
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[6]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/COUnt_c5\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_18_0\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO[15]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil\, B => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_34_0\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_72\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n15\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNI4KU2[13]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[13]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[13]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_907\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL_RNO[2]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_29_i_0_i\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_22\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[10]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[10]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[10]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_76\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNI3KHP2[5]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_2_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_1_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_83\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[32]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[152]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[152]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO_1[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[7]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_927\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIHLD34[3]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_103_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1388\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_0[6]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1553\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1238\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTL0[5]\ : 
        DFN1
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[5]\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_9\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_6[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_2[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I0_S_0_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l[7]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[7]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un16_core8051s_o010l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[24]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[25]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[25]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un71_core8051s_l0i0l\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I0OL_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/un71_core8051s_l0i0l_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[0]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[0]\\\\\);
    
    \Memory_0/INT_RAM_8KB_0/INT_RAM_8KB_R1C6\ : RAM4K9
      port map(ADDRA11 => \\\\\MEMADDR_[11]\\\\_c\, ADDRA10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRA9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRA8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRA7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRA6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRA5 => 
        \\\\\MEMADDR_[5]\\\\_c\, ADDRA4 => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDRA3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRA2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRA1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRA0 => 
        \\\\\MEMADDR_[0]\\\\_c\, ADDRB11 => 
        \\\\\MEMADDR_[11]\\\\_c\, ADDRB10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRB9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRB8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRB7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRB6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRB5 => 
        \\\\\MEMADDR_[5]\\\\_c\, ADDRB4 => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDRB3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRB2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRB1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRB0 => 
        \\\\\MEMADDR_[0]\\\\_c\, DINA8 => \GND\, DINA7 => \GND\, 
        DINA6 => \GND\, DINA5 => \GND\, DINA4 => \GND\, DINA3 => 
        \GND\, DINA2 => \GND\, DINA1 => \GND\, DINA0 => 
        \\\Core8051S_sub_1_MEMDATAO_[6]\\\, DINB8 => \GND\, DINB7
         => \GND\, DINB6 => \GND\, DINB5 => \GND\, DINB4 => \GND\, 
        DINB3 => \GND\, DINB2 => \GND\, DINB1 => \GND\, DINB0 => 
        \GND\, WIDTHA0 => \GND\, WIDTHA1 => \GND\, WIDTHB0 => 
        \GND\, WIDTHB1 => \GND\, PIPEA => \GND\, PIPEB => \GND\, 
        WMODEA => \GND\, WMODEB => \GND\, BLKA => 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_1_net\, BLKB => 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_1_net\, WENA => \GND\, 
        WENB => SOC_VCC_NET, CLKA => \AFLSDF_INV_28\, CLKB => 
        \AFLSDF_INV_29\, RESET => SOC_VCC_NET, DOUTA8 => OPEN, 
        DOUTA7 => OPEN, DOUTA6 => OPEN, DOUTA5 => OPEN, DOUTA4
         => OPEN, DOUTA3 => OPEN, DOUTA2 => OPEN, DOUTA1 => OPEN, 
        DOUTA0 => OPEN, DOUTB8 => OPEN, DOUTB7 => OPEN, DOUTB6
         => OPEN, DOUTB5 => OPEN, DOUTB4 => OPEN, DOUTB3 => OPEN, 
        DOUTB2 => OPEN, DOUTB1 => OPEN, DOUTB0 => 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_6_net\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[10]\ : AX1D
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/N_303\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_79\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n10\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIRTHOL1[2]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_0[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m_0[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_2[2]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_4[17]\ : OR2
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[17]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n17_0_i_a2_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[21]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[21]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[21]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[21]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[21]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_874\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_882\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[0]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[25]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c24\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_109\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n25\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNIJNK71\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_146\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i001I\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIlse_6_0_o4\ : 
        OR2
      port map(A => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_4\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTIL1l\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_65\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I94_Y_1\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N294\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N287\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I94_Y_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I94_Y_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o101i_RNO_2\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[113]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_33_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_33\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNI8SMM_6[1]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un1_core8051s_ooo1l_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_1_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\);
    
    \MEMADDR_pad[3]/U0/U0\ : IOPAD_TRI
      port map(D => \MEMADDR_pad[3]/U0/NET1\, E => 
        \MEMADDR_pad[3]/U0/NET2\, PAD => MEMADDR(3));
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILLi_RNO\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/ir[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i00LI_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILLi_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_4_0_0_ADD_5x5_fast_I17_Y_0_i_o2\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_5[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_13\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[0]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[0]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_RNIABM3[2]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_c0\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un7_baud_clock_0_a3_0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I[15]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I121_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[15]\\\\_c\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_2\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_1_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_4_sqmuxa_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_2_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[31]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[31]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[31]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[31]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_96\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_782\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[124]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_15\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv[4]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_2[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_olli_m[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un14_core8051s_olli_m[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un4398_core8051s_oll1l_0_0_o3\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_308\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_83\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[127]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0_1_0[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNIFOSO1[10]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_2[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_1[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_3[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii_i[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i[13]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I119_Y_0_0_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[5]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIEBB5\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_85\, B => 
        \Core8051S_sub_1/COREAI_0/N_418\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_117\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI5IUG2[37]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_767\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_Loli_RNI951O\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_126\, B => 
        \Core8051S_sub_1/COREAI_0/N_190\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, Y => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[4]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0[6]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I112_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[6]\\\\_c_0\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a4[14]\ : OR3C
      port map(A => \\\\\MEMADDR_[11]\\\\_c_0\, B => 
        \\\\\MEMADDR_[10]\\\\_c_0\, C => 
        \Core8051S_sub_1/CoreAPB3_0/N_360\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave14_PSELx\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO[11]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil\, B => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c10\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_64\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n11\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9HE1[38]\ : 
        NOR2A
      port map(A => \\\\\MEMADDR_[14]\\\\_c\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9HE1[38]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[2]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c1\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_60\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1_0_m3_0_a2\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un150_core8051s_o01\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_89_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1_0_N_4_i\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[8]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, B => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_25\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_72\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n8\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIQQ24[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[1]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_906\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1_RNIL8M77[0]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1548\);
    
    \Memory_0/data_bus_buffer_0/BIBUF_0_inst/U0/U0\ : IOPAD_BI
      port map(D => 
        \Memory_0/data_bus_buffer_0/BIBUF_0_inst/U0/NET1\, E => 
        \Memory_0/data_bus_buffer_0/BIBUF_0_inst/U0/NET2\, Y => 
        \Memory_0/data_bus_buffer_0/BIBUF_0_inst/U0/NET3\, PAD
         => EXT_DATA(0));
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[2]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_25\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_L00li\ : 
        DFN1P0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_L00li_RNO_net_1\, 
        CLK => clk_pll_0_GLA, PRE => INBUF_0_Y, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_L00li_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[28]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0[39]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[28]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[28]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_RNO[6]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_1_sqmuxa_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO_10\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[95]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF6S1[118]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_944_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_looi_RNO\ : AO1A
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, 
        B => \Core8051S_sub_1/COREAI_0/un2_coreai_i0li_2_net_1\, 
        C => \Core8051S_sub_1/COREAI_0/COREAI_oooi\, Y => 
        \Core8051S_sub_1/COREAI_0/un19_coreai_i0li\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I60_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N271_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N268_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N267_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N298_0\);
    
    \Core8051S_sub_1/CoreGPIO_0/COREGPIO_ol_RNO[0]\ : NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreGPIO_0/CoreGPIO_LL[0]_net_1\, B => 
        \Core8051S_sub_1/CoreGPIO_0/CoreGPIO_iL[0]_net_1\, C => 
        \Core8051S_sub_1/CoreGPIO_0/N_356\, Y => 
        \Core8051S_sub_1/CoreGPIO_0/COREGPIO_ol_RNO[0]_net_1\);
    
    \Memory_0/INT_RAM_8KB_0/INT_RAM_8KB_R1C0\ : RAM4K9
      port map(ADDRA11 => \\\\\MEMADDR_[11]\\\\_c\, ADDRA10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRA9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRA8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRA7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRA6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRA5 => 
        \\\\\MEMADDR_[5]\\\\_c\, ADDRA4 => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDRA3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRA2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRA1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRA0 => 
        \\\\\MEMADDR_[0]\\\\_c\, ADDRB11 => 
        \\\\\MEMADDR_[11]\\\\_c\, ADDRB10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRB9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRB8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRB7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRB6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRB5 => 
        \\\\\MEMADDR_[5]\\\\_c\, ADDRB4 => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDRB3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRB2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRB1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRB0 => 
        \\\\\MEMADDR_[0]\\\\_c\, DINA8 => \GND\, DINA7 => \GND\, 
        DINA6 => \GND\, DINA5 => \GND\, DINA4 => \GND\, DINA3 => 
        \GND\, DINA2 => \GND\, DINA1 => \GND\, DINA0 => 
        \\\Core8051S_sub_1_MEMDATAO_[0]\\\, DINB8 => \GND\, DINB7
         => \GND\, DINB6 => \GND\, DINB5 => \GND\, DINB4 => \GND\, 
        DINB3 => \GND\, DINB2 => \GND\, DINB1 => \GND\, DINB0 => 
        \GND\, WIDTHA0 => \GND\, WIDTHA1 => \GND\, WIDTHB0 => 
        \GND\, WIDTHB1 => \GND\, PIPEA => \GND\, PIPEB => \GND\, 
        WMODEA => \GND\, WMODEB => \GND\, BLKA => 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_1_net\, BLKB => 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_1_net\, WENA => \GND\, 
        WENB => SOC_VCC_NET, CLKA => \AFLSDF_INV_16\, CLKB => 
        \AFLSDF_INV_17\, RESET => SOC_VCC_NET, DOUTA8 => OPEN, 
        DOUTA7 => OPEN, DOUTA6 => OPEN, DOUTA5 => OPEN, DOUTA4
         => OPEN, DOUTA3 => OPEN, DOUTA2 => OPEN, DOUTA1 => OPEN, 
        DOUTA0 => OPEN, DOUTB8 => OPEN, DOUTB7 => OPEN, DOUTB6
         => OPEN, DOUTB5 => OPEN, DOUTB4 => OPEN, DOUTB3 => OPEN, 
        DOUTB2 => OPEN, DOUTB1 => OPEN, DOUTB0 => 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_0_net\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I82_un1_Y\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N264\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N268\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N302\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I82_un1_Y_0\);
    
    
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0_a2\ : 
        NOR2
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_287\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li_RNI90H2[11]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[11]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_419\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_83\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[47]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_2[2]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1347\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_40\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_2[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_45\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_947_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_945_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_53_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_7\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNILVAO1[14]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_2[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_1[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_3[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii_i[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il10I_RNII7M[0]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0_APB3master_PSELx\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_ol10i_d\, 
        C => \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PENABLE\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_34\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.1.COREAI_o11i.COREAI_i00L[1]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[1]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un21_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[1]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.0.COREAI_l01I.un19_coreai_l0li\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/COREAI_0/un3_coreai_l0li_1_net_1\, B => 
        \Core8051S_sub_1/COREAI_0/un19_coreai_l0li_2_0\, C => 
        \Core8051S_sub_1/COREAI_0/un19_coreai_l0li_0\, Y => 
        \Core8051S_sub_1/COREAI_0/un19_coreai_l0li\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[28]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[28]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[28]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I29_Y\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_330_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N229\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N264\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_7[13]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[14]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[14]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_a2\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_12\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_13\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_a2_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1255\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_2[8]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1404\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMDATAI_m[0]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL_1_sqmuxa_0_a2_0_a3\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, B
         => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un19_baud_clock_i\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL_1_sqmuxa\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a4_0[3]\ : NOR3C
      port map(A => \\\\\MEMADDR_[9]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0_APB3master_PSELx\, C => 
        \\\\\MEMADDR_[8]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a4_0[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIHAB3[5]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[5]\, 
        B => \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_876_i_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[7]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1359\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_6_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[7]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO[5]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[5]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_1/COUnt_m[5]\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[5]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNIUUU2[7]\ : NOR3A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_13_1\, B => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[4]_net_1\, C => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[7]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_13_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNINA0B[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[2]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[61]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1325\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIHC31_8\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[6]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_80\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO_17\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE2S1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[94]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_944_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_0_sqmuxa\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/I_11\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un1_core8051s_o01_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_0_sqmuxa_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[39]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[159]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_0[39]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_2[39]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o0il_0\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[5]\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[3]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o0il_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I3_G0N\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_250\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N213\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIK1E34[6]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_103_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1388\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_olli_I_5\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_29\ : 
        AND2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[94]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE2S1[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIDRDD7[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[3]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_1_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIDRDD7[3]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_0[2]\ : NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_2[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_3[2]_net_1\, 
        C => \Core8051S_sub_1/CoreTimer_1/N_106\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii_0_iv_i_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_6[2]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[2]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_328\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_3[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_765\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_781\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[57]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_789\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[5]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n5\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_a10_5_1[0]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_126_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNI16J5\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_78\, B => 
        \Core8051S_sub_1/COREAI_0/N_57\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_110\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_23[7]\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_42\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_l0il\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_20_m_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_olli_5_0_0_ADD_4x4_fast_I10_Y_0_i_o2\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_olli[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_11_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un2_core8051s_l010l_0_I_1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo00l[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo00L[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/ACT_LT4_E_0[0]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l0oi[4]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[4]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un3_coreai_l0li_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIMIFT0G[1]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[78]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[38]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1813_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[6]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[6]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_core8051s_o10l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[6]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO[7]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[7]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_1/COUnt_m[7]\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[7]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[4]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[4]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[4]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_64\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI6V3A[91]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_12\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_11\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_16\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_20\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF5H2[118]\ : 
        NOR2A
      port map(A => \\\\\MEMADDR_[9]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF5H2[118]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iLI0I_1_I_18\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIIL0C[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_1_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_18_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNITPTEN[11]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un48_core8051s_ioi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[11]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1085\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[25]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c24\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_106\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n25\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[107]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[27]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1843_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[107]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o101i_RNO_0\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_234\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_33_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_32\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI5I61[37]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_i000[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_567\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNO[0]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[0]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[0]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l001i_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[0]\);
    
    
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi_RNI7AU2[2]\ : 
        OR2A
      port map(A => \Core8051S_sub_1/CUARToOLI\, B => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[2]_net_1\, 
        Y => \Core8051S_sub_1/CoreInterrupt_0/N_74\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNIT21B[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[5]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[61]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1328\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI1GG61[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_865\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1439\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I42_Y\ : 
        AO13
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N204\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_246\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N277\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I41_Y_0_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I41_Y_0_0\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[25]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[25]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[25]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_106\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNI9D2V[28]\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c27\, B
         => \Core8051S_sub_1/CoreTimer_0/COUnt[28]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c28\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO_0[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[8]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_875\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i100i_0\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_liol_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_356\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_liol_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i100i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNO[2]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[2]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l001i_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[2]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[11]\ : 
        AO1C
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[11]\\\\\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_1[11]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[11]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[97]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[17]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[97]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1233\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2525_core8051s_oll1l_0_o2_i\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_221_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_325\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_221_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[9]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[129]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[129]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_llL_RNIAH52_1\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_llL_i_0\, B
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_O1_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_7\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNI0NTC7[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_6[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIAMT1[7]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_i000[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i0i1i_0\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/fifobloCK0_RNO_1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[1]\, B
         => \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_o1LO0\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0i0l\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LLIII\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[6]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[6]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un5_core8051s_ooo1l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[6]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[3]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_24\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiole\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[3]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un6_coretimer_oil_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/un4_coretimer_o1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIPKM61[2]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[2]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o101i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_146\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIPU34[10]\ : OR3
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[9]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/COUnt_c8\, C => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[10]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c10\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I32_Y_0\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/I10_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N125\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N147\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I32_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i_RNIQJC91\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_169\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[7]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i_net_1\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[7]\);
    
    AFLSDF_INV_12 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_12\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[20]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[140]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[140]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[29]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1391\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[29]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I20_Y\ : 
        MAJ3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N120_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N158_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I17_Y\ : 
        AXOI2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N148\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI3GAFI[107]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[107]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_7\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIBA76M\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1135\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[21]\ : AX1D
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c20\, B
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, C
         => \Core8051S_sub_1/CoreTimer_0/N_98\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n21\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIHNSS01[36]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_759\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_775\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[36]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_297_i_i\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_191\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_52\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10_0[0]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_18[0]\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_163\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_109\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_133_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_10[1]\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_101\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_162\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_169\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_3_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[18]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[18]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[18]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1224\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I3_P0N_m3_e_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1076\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_995\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I3_P0N_m3_e_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/un3_core8051s_ili1i_5_1\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[3]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/un3_core8051s_ili1i_5_1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[17]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[17]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[18]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[17]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIIQE8E[0]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_903\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_856\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I49_Y\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N260_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N256_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N287_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[69]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[29]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[69]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1396\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_RNO_1[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[1]_net_1\, 
        S => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_4\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_75\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l[0]\ : 
        DFN1E1P0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3[0]\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un16_core8051s_o010l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I11_Y\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_861\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N136\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N149\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[2]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[2]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I41_Y_0\ : 
        AX1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/I32_un1_Y\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I32_Y_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I41_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[5]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li_RNINMO2[0]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[0]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_53\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_RNI5EE8[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_62\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_64\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[1]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/N_16\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[26]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[26]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[27]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[146]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[26]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1197_core8051s_oll1l_i_o3_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_l1i1i_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_4\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_315\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lil_RNI9TT01\ : OR2B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oll_i\, B => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_lil_i_0\, Y => 
        \Core8051S_sub_1/CoreTimer_1/un6_coretimer_lil\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIPQCRI[36]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_758\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_774\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[36]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIRL6B[6]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_oiil\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un8_core8051s_io01i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_io01i_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1875_core8051s_oll1l_i_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_324_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_l1i1i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1875_core8051s_oll1l_i_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[31]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[151]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[151]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[2]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_14[2]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.core8051s_oolo0109_6\ : 
        AND3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_60\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[88]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0109_6\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[38]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0[39]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[38]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_o00l[1]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[9]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un15_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_o00l[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_12[0]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UTDI\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_8_sqmuxa_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/core8051s_ol0li17\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UTDI_m_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_49\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_o11_0[0]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_214_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_220\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_o11_0[0]_net_1\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_l11I.8.COREAI_ooo0.COREAI_l00l_RNI7G47[8]\ : 
        MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_146\, B => 
        \Core8051S_sub_1/COREAI_0/N_162\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_178\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIGE2S[26]\ : NOR2A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c25\, B
         => \Core8051S_sub_1/CoreTimer_0/COUnt[26]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c26\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_1[5]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1518_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[32]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[33]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[33]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNITR15[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[8]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_118\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt[3]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_1/COUnt_n3\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[3]_net_1\);
    
    \Memory_0/data_bus_buffer_0/BIBUF_1_inst/U0/U0\ : IOPAD_BI
      port map(D => 
        \Memory_0/data_bus_buffer_0/BIBUF_1_inst/U0/NET1\, E => 
        \Memory_0/data_bus_buffer_0/BIBUF_1_inst/U0/NET2\, Y => 
        \Memory_0/data_bus_buffer_0/BIBUF_1_inst/U0/NET3\, PAD
         => EXT_DATA(1));
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNI7CLP71\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_1_3_N_7\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3_0[3]\);
    
    \Core8051S_sub_1/CoreTimer_1/un5_coretimer_i0l_0_a2_1\ : OR3A
      port map(A => \\\\\MEMADDR_[4]\\\\_c_2\, B => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PENABLE\, C => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\, Y => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_i0l_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_48\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIIPV[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[10]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_955_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il10I[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_ol10i_d\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PENABLE\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I35_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N159_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N158_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N224_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un493_core8051s_oll1l_0_i_o3\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_287\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_289\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_333\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1693_core8051s_oll1l_0_0\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1693_core8051s_oll1l_0_0_a3_0_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[3]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_313\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[37]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_10_0_a2\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_47\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_10_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_104\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_10\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt[15]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_1/COUnt_n15\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[15]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNITISEL2[3]\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1090\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3_0[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1089\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_3_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[5]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I9_G0N\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[9]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_257\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N231\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[15]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n15\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe_0\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[15]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[8]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[8]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[8]\\\\\);
    
    \Memory_0/INT_RAM_8KB_0/MX2_RD_7_inst\ : MX2
      port map(A => \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_7_net\, B
         => \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_7_net\, S => 
        \Memory_0/INT_RAM_8KB_0/ADDRB_FF2_0_net\, Y => 
        \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[7]\\\\\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L_RNO[0]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil\, Y
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0L_5[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_1_sqmuxa\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un90_core8051s_io00l\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_89_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_1_sqmuxa_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un76_core8051s_oll1l_0_a2_i_o3\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[4]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_309\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_340\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\, B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[0]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_oloi_0_sqmuxa_0_a2_0\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_10_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_283\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_104\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_59\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNIFFF1[5]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[5]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/COUnt[6]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_13_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI7R2J[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[1]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[32]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_2[12]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1361\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_40\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIAK32[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[49]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNIOA3E[6]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_162\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1542\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1191\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_42\ : 
        AND2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[10]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIIPV[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[2]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_RNO_0[1]\ : 
        AX1E
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_c0\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_e1_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_28\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_793\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_801\);
    
    \Memory_0/mem_decode_0/un12_ext_ram_cs_n_0\ : NOR3
      port map(A => \Memory_0/mem_decode_0/N_25\, B => 
        Core8051S_sub_1_DBGMEMPSWR, C => 
        \Memory_0/mem_decode_0/N_27\, Y => un12_ext_ram_cs_n_0);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_0[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16\, 
        Q => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l[0]\ : 
        DFN1E1P0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_3[0]\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un16_core8051s_o010l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo00l[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_81\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[88]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE5H2[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_1[4]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_0_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_91\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[52]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_848\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_921_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I6_G0N\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1208\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_3[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N222_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNITFRL[3]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_2_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/N_64\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/ir[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m_1[0]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.4.COREAI_o11i.COREAI_i00L_RNIA191[4]\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_i00L[4]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_158\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_l11I.9.COREAI_IOo0.COREAI_i00L[9]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[9]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un21_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.un1_core8051s_oolo0100_5\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_1_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_3\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0100_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIC864[50]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_900_i_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_896_i_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_14\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_18\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/un3_core8051s_ili1i_5\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/un3_core8051s_ili1i_5_4_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_707\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_ili1i_5\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[10]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[10]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[10]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I95_Y_1\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N296_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N289_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I95_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I95_Y_1_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I10_P0N\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_932\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N235\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.core8051s_oolo0105_6_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[107]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0105_6_0\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[4]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[4]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2_net_1\, 
        Q => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.un1_core8051s_liol_3_1_0\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_3_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[109]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_3_1_0\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave0_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[3]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_0_sqmuxa_2\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0109_6\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_0_sqmuxa_1_net_1\, 
        C => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_0_sqmuxa_2_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[79]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[39]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[79]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_146\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3929_core8051s_oll1l_0_o3\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[53]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_358\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[30]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[114]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTL1il\ : 
        DFN1E0P0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_129\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_4\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTL1il_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNIVR15[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[9]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_119\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_18\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiole\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[0]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oilI_RNIH3IN\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_127\, B => 
        \Core8051S_sub_1/COREAI_0/N_191\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, Y => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[5]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_2[0]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a11_2_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_199_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_198\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_3_1[0]\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[3]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[3]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0101_0_a2_3\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_267\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0108_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_156\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ilo0i_I_59\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_FINC_E[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I107_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[1]\\\\_c\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[15]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\, B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[15]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[15]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[22]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[22]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[22]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[53]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[13]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[53]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_222\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNI1E10BN2[3]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[3]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_3_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[7]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_m_i[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_0[2]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[2]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loOL_RNO_0\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o1ll_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o1ll_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_9[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[3]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIHC31_7\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[5]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_79\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNI0VTUF[3]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_903\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_995\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[3]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_3[1]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\, B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[1]\\\\\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_1[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_3[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_93\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[0]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL[3]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[3]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL_1_sqmuxa\, 
        Q => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[3]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol_RNI9FU4[0]\ : 
        XNOR3
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[0]_net_1\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[1]_net_1\, C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_91_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_27\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[140]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_27_net_1\);
    
    AFLSDF_INV_35 : INV
      port map(A => \\\\\MEMADDR_[2]\\\\_c\, Y => \AFLSDF_INV_35\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO[14]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[14]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_1/COUnt_m[14]\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[14]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_41\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_2[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_2_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_3[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_1_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_0[15]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1251\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_1[15]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1253\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_3[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_O1OO0.core8051s_l1oo0_1_0_a2_1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un521_core8051s_o01_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_34_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNIMJO2[17]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[17]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_ILl0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_iiI0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3286_core8051s_oll1l_0_i_RNO_1\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3286_core8051s_oll1l_0_i_a3_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_353\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3286_core8051s_oll1l_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_16\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_864\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1239\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_71\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_792_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_8_tz\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_7\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_RNIP6F2[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[3]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[11]\\\\\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[3]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_159\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_3_sqmuxa_1_0_RNIT0O2OC\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_N_8\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_N_10\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_2[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_0[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_85\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I93_un1_Y_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N285_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N293_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_un1_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l01_RNO_1\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i1i0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ooi0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un24_core8051s_liol\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[7]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[7]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[7]\\\\\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[6]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[6]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_1[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_55\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_15[4]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_243\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIEDS4[9]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[9]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[9]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_909\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2525_core8051s_oll1l_0_o2_i_1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_295\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_221_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNIHRN2[21]\ : 
        OR2A
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_ILl0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[21]_net_1\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI7CK9[134]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_6\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_5\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_789_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_15\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_15[1]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un253_core8051s_o01\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_159\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_138\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_RNI97M3[1]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_c0\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_167\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[0]\ : NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL_m[0]\, B => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii_iv_0[0]\, C => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[0]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii_iv_2[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI7HD1[92]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[92]\, 
        B => \\\\\MEMADDR_[12]\\\\_c\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_893_i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIAC32[86]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[86]\, 
        B => \\\\\MEMADDR_[6]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_877_i_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNI3OKN[4]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_8_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNI4R7JJ[1]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_897\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_981\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_0_0_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.core8051s_lioo0_1_i_a2_8\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_269\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_274\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_137\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[26]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[26]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[26]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[26]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/un1_cuarto1ii20_0\ : NOR2
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PENABLE\, B => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/un1_cuarto1ii20_0_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[17]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[17]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[17]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_90\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I[13]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I119_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[13]\\\\_c\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO_8\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIO9B3[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[81]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_RNO_8\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_7[15]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[15]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1274\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[24]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n24\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[24]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_100\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        B => \\\\\MEMADDR_[10]\\\\_c_0\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[130]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_912_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I96_un1_Y_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N291\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N299\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I96_un1_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I_RNI7BK1[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[3]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l0l1i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l[2]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[2]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un16_core8051s_o010l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3136_core8051s_oll1l_0_o3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_294\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNI648TF[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[5]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_908\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[7]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_136\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0_RNINPHP5[8]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_676_i_0_a2tt_m2_0_a2_0\, 
        B => \\\\\MEMADDR_[8]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0_RNINPHP5[8]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[20]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[20]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[20]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[20]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO[14]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil\, B => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c13\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_70\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n14\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_94\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[42]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8K72[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_13_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_1\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_349\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1875_core8051s_oll1l_i_1\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_341\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_1_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_m6_0_a3_1\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_m6_0_a3_1_0_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_217\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_N_11\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l0oi_RNI36V2[1]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[1]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_18\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_31\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF6S1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[135]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIV3IM01[106]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[106]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_6\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[38]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[38]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIA7CH2[117]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_687\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_8[3]\ : 
        MX2
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_oll0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[3]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_udrcap\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_62\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNISOT2[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_8[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ii1l.un4_incl_mul_div_da_0_a2_5_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_244\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_274\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_incl_mul_div_da_0_a2_5_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_olli_m[1]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_13\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_0[0]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_105\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_olli_m[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNILC62G[38]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_752\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_760\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[3]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_117\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO_0[10]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[10]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[2]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/N_67\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIEQ5S6[1]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[1]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_56\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1438\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_4[15]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1464\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1253\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNO[4]\ : 
        NOR3C
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_92_1\, B
         => \Core8051S_sub_1/CoreInterrupt_0/N_98\, C => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[4]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNO[4]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNO[1]\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_lil_i_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oll_i\, C => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n1_0_i_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_16\);
    
    \Memory_0/INT_RAM_8KB_0/MX2_RD_2_inst\ : MX2
      port map(A => \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_2_net\, B
         => \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_2_net\, S => 
        \Memory_0/INT_RAM_8KB_0/ADDRB_FF2_0_net\, Y => 
        \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[2]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[48]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[48]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_294\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un14_core8051s_olli_I_17\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_14\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_16\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_17\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.un17_core8051s_olli_0_0_ADD_4x4_fast_I8_Y_0\ : 
        AO18
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N71\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I8_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1LI.un5_core8051s_il1l\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I0OL_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un5_core8051s_il1l\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[6]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/N_319\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3583_core8051s_oll1l_i_x2\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_324_i\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNID94E\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_61\, B => 
        \Core8051S_sub_1/COREAI_0/N_109\, S => 
        \\\\\MEMADDR_[5]\\\\_c_2\, Y => 
        \Core8051S_sub_1/COREAI_0/N_125\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNINNO2[18]\ : 
        OR2A
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_ILl0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[18]_net_1\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1I0L_m[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_190\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1I0L_m[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNO[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[8]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10_0[0]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_711\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_76\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I21_Y\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N241_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N238_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N256_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_1[1]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1455\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1268\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIT6JR[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_872\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1430\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_3[1]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[1]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, C
         => \Core8051S_sub_1/un5_oen\, Y => 
        \Core8051S_sub_1/CoreTimer_0/N_267\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNO[3]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[27]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_712\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_181\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[6]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_453\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNI394931[4]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1110\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNO[0]\ : 
        NOR3C
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_92_1\, B
         => \Core8051S_sub_1/CoreInterrupt_0/N_98\, C => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        Y => \Core8051S_sub_1/CoreInterrupt_0/N_119_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIF0737[6]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_56\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIF0737[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_li01I_RNI7HKA5\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[7]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_l100\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I_RNIABK1[6]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[6]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l0l1i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_12[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_126_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_101\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_126\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_0[9]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[9]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\, C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[9]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv_0[9]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_I1OI\ : DFN1P0
      port map(D => \Core8051S_sub_1/COREAI_0/COREAI_O1OI_i\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_I1OI_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[125]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[125]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1381\);
    
    \Memory_0/INT_RAM_8KB_0/ORB_GATE_0_inst\ : OR2
      port map(A => \\\\\MEMADDR_[12]\\\\_c\, B => 
        \Memory_0/INT_RAM_8KB_0/WEBP\, Y => 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_0_net\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_0[3]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo024_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_1[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_2[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_86\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_io00I[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo10_i[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[9]\\\\\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_RNO[3]\ : XA1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[3]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/N_41_i_0\, C => 
        \Core8051S_sub_1/CoreTimer_1/un6_coretimer_lil\, Y => 
        \Core8051S_sub_1/CoreTimer_1/N_20\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[31]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[32]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[32]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_a10_RNO[2]\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_105\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_217\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_a10_1[2]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[0]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL_1_sqmuxa\, 
        Q => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[7]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_95\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loOL\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o1ll_i_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LOOL\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l_RNIMLTA[3]\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_426\, B => 
        \Core8051S_sub_1/COREAI_0/N_117\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_133\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2328_core8051s_oll1l_0_m2\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_327\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/fifobloCK0_RNO_3\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[3]\, B
         => \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARToioi[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_10\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_723\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_739\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.core8051s_lioo0_1_i_a2_1_0\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_o2_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un299_core8051s_o01_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_l1i1i_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_7[12]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[52]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[52]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNI450TD[2]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_0[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_2[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNINAFQ71\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_0[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_3_0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3823_core8051s_oll1l_0_a3\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_330\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_300\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_398\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_2\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_6_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_3\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1257\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I25_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N235_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N232_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N260_0\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL_RNI1BC3[1]\ : OR2
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[2]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[1]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_1/N_179_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI1JU1[29]\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_5_i_o2_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_5_i_o2_0_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[29]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1273\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_O0I0I_RNO_0\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_ioi0i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un125_core8051s_oll0i\, 
        C => \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o001i_RNO\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_27_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_9_i_0\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_1[3]\ : OR2
      port map(A => \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, B
         => \Core8051S_sub_1/CoreTimer_1/COUnt[3]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_1[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_1[0]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo022_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO_7\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOED1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[91]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_950_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIO8RQ6[4]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1398\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[41]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[41]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I5_P0N\ : 
        XA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_0_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_860\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N136\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol[7]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[7]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16\, 
        Q => \\\Core8051S_sub_1_MEMDATAO_[7]\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_7\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[132]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNICQR1[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_875\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_883\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I107_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[1]\\\\_c_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_50\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_794_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1486\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNITKUF3[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1875_core8051s_oll1l_i_1\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_353\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1875_core8051s_oll1l_i_0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1875_core8051s_oll1l_i_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO[1]\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0i0l\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un15_core8051s_ii10l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_3[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIVGD1[12]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[12]\, 
        B => \\\\\MEMADDR_[12]\\\\_c\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_891_i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIARE9K1[3]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_2[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m_0[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_4[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_o3\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_o3_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_434\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_323\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/xHDL_UJTAG\ : 
        UJTAG
      port map(TDI => TDI, TMS => TMS, TCK => TCK, TRSTB => TRSTN, 
        TDO => TDO, UTDO => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[0]\, 
        URSTB => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        UDRCK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK_i\, 
        UDRCAP => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCAP\, 
        UDRSH => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRSH\, 
        UDRUPD => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRUPD\, 
        UTDI => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UTDI\, 
        UIREG0 => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[0]\, 
        UIREG1 => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[1]\, 
        UIREG2 => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[2]\, 
        UIREG3 => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[3]\, 
        UIREG4 => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[4]\, 
        UIREG5 => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[5]\, 
        UIREG6 => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[6]\, 
        UIREG7 => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_IILII[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_80\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10_0[0]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_726\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I_RNI2J0PA[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_0_sqmuxa_2_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_8\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_i000[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[101]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_56_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_8_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[1]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[1]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2_net_1\, 
        Q => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[1]_net_1\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[1]\ : 
        DFN1E1C0
      port map(D => \AFLSDF_INV_41\, CLK => clk_pll_0_GLA, CLR
         => \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi_RNO[1]_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI39H2[121]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[121]\, 
        B => \\\\\MEMADDR_[1]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_797_i_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[13]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[13]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[13]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_5\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIDUR1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[93]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_651\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1518_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIF6E59[10]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[10]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ioi0i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_932\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2328_core8051s_oll1l_0_a3_m2_e_3\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2328_core8051s_oll1l_0_a3_m2_e_1_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2328_core8051s_oll1l_0_a3_m2_e_0_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2328_core8051s_oll1l_0_a3_m2_e_3_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIC9S81[21]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil_0_a2_1_8\, 
        B => \Core8051S_sub_1/CoreWatchdog_0/N_335\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/corewatchdog_ill\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0[5]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I111_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIGCBF1[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[1]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIDI6J2[118]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[7]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_693\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_701\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1535_core8051s_oll1l_0_i\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_124_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_296\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_105\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNI3J7J2[118]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_687\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_695\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNITRJIER1[7]\ : 
        AX1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_7_0_m3_e_1\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_i000[7]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNITRJIER1[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I115_Y_0\ : 
        AX1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I82_un1_Y_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I98_Y_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I115_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I115_Y_0_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_RNIUT15_0[0]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo00L[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I0OL_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o1ol\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII[7]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[7]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/un1_cuarto1ii20_net_1\, Q
         => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[7]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_m[7]\ : 
        XAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_partial_sum[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_12_2[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli26_4_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_m[7]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[17]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[17]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[17]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt[14]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_1/COUnt_n14\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[14]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[18]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[18]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[18]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[18]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[20]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[20]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[20]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[20]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[20]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNITCGA3[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_m[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_3[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a2_1[0]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_222\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_178\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_225\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[17]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[17]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[17]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[17]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_19\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_lool0_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_839\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[124]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[124]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_94\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIV5L1[158]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1418\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3212_core8051s_oll1l_0_a2_i_o3_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_295\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_3[0]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[0]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, C
         => \Core8051S_sub_1/un5_oen\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[0]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_RNO[4]\ : 
        XA1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[4]_net_1\, 
        B => \Core8051S_sub_1/CoreWatchdog_0/N_37\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_O1_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_23\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNI40NUO[1]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ioi0i_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1057\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[24]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c23\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_104\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n24\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[10]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[90]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[90]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_2[6]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_36\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_38\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_2[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNIH4CT[2]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1411\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_958\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I5_G0N\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N131\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll_RNO[2]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_26\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTll_RNO[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I[6]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I112_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[6]\\\\_c\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[25]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[145]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[25]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[25]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO_3\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_950_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_RNO_8\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_9\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i[2]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[2]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_a10_8_1[1]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_143_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i_RNIJ4N81\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[6]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i101i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_168\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I98_Y_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N294\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I98_un1_Y\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I98_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNIHGU4\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O1o1i_0_o5_1_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1210\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1236\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.un17_core8051s_oili_0_0_I_8\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_oili[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNI594931[6]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1208\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_3[6]\ : 
        XA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1219\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0[1]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_77_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0_2[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_80\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oi1ii/CORE8051S_OOOLI[0]\ : 
        DFN1E1C0
      port map(D => \Core8051S_sub_1/CoreInterrupt_0_IRQ\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_io00l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_io01l[2]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL_ns[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_44\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_1_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_3[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_1_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_2_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNI0UHS7L2[4]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[4]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_4_i_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNI72C51[29]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c28\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT[29]_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c29\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNI40G5[11]\ : OR3
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[10]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_303\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[11]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_305\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_34\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_5_tz_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_5_tz_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[11]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[11]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[11]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[11]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/N_42\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe_0\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[11]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_94\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8K72[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_13_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3823_core8051s_oll1l_0_a3_2\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_311\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_303\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_401\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIEEFR\ : 
        AND3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_udrsh\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un4_udrsh\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un5_udrcap\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_10_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_24\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_lool0_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_l100\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_530\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_oloi_0_sqmuxa_0_a2_1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_277\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_281\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_89\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_1[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_l0ll\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[2]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_incl_mul_div_da_3_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_88\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNI58N6[4]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1410\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1177\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[6]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[6]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO_0[1]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[1]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[1]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_44\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a11_6_1[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_203_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_1[31]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[31]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[31]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_118\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_4\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJTV[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[11]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_10[2]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt[1]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_1/COUnt_n1\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[121]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1385\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[121]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i[4]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[4]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/CORE8051S_OO1ii_RNI4B8A\ : 
        NOR2
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OIL0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un14_core8051s_o010l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un5_core8051s_iio1i\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_RNI2IB4_0[3]\ : 
        NOR2
      port map(A => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_4\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_90\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[7]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_1[7]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_4[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_503\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_495\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_182\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_511\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[1]\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1437\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_2_0_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNIPERL7[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_6\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_979\);
    
    \MEMADDR_pad[5]/U0/U0\ : IOPAD_TRI
      port map(D => \MEMADDR_pad[5]/U0/NET1\, E => 
        \MEMADDR_pad[5]/U0/NET2\, PAD => MEMADDR(5));
    
    AFLSDF_INV_42 : INV
      port map(A => \\\\\MEMADDR_[2]\\\\_c\, Y => \AFLSDF_INV_42\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I20_Y\ : 
        AO13
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_856\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N120\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N158\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[38]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[118]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[112]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_302\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[112]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[6]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_89\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un13_core8051s_i000i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[6]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[86]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[126]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_5[6]\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[3]\ : 
        DFN1E1C0
      port map(D => \AFLSDF_INV_42\, CLK => clk_pll_0_GLA, CLR
         => \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreInterrupt_0/N_125_i\, Q => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNI9QP3G[118]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_674\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_682\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_2[2]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1490\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_384\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNIJQVA[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[0]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[61]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1323\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_olli_5_m[1]\ : 
        XAI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_11_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_olli[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_5_m[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/CORE8051S_lili.un231_core8051s_oll1l_0_a2_i_o3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_4\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_294\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_311\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[23]\ : AX1D
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c22\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_105\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n23\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[19]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[20]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[20]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l_RNI3CI4[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[0]_net_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[0]\, 
        S => \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[121]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[121]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1385\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_3[9]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1407\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1121\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[99]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_37\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[99]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIT9B3[118]\ : 
        MX2
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, B
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[3]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIT9B3[118]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_30\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_2[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_2[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_2[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_2[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_olli_3_0_0_I_3\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNI4JVU5[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I16_Y\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N147\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_3[3]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[116]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m_0[3]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[18]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[18]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[18]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_92\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[14]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[14]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[14]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIHUTQ6[7]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2[7]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.0.COREAI_o11i.COREAI_i00L_RNI2191[0]\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_i00L[0]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_154\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_OI0LI\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_O00LI_net_1\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_OI0LI_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIU05SA_0[0]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_4_sqmuxa_1_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_4_sqmuxa_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_84\ : 
        OR2A
      port map(A => \\\\\MEMADDR_[12]\\\\_c\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_847\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[30]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[30]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, C
         => \Core8051S_sub_1/un5_oen\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[30]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[10]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m_1[0]\, 
        B => \\\\\MEMADDR_[10]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[10]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[15]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[15]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[15]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[15]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_1[31]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[31]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[31]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_121\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_6_0_0_ADD_5x5_fast_I22_Y_0_i_o3\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_18\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N125\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_14\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_15\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_1\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1466_core8051s_oiol0_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1466_core8051s_oiol0_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1466_core8051s_oiol0_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un374_core8051s_oiol0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I9_Y\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N139\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N147_0\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO_0[11]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[11]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[11]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_64\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO_5\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIT9B3[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[83]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_RNO_5\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIHC31_2\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iOOI[0]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_74\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNID5M7[7]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_701\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1399\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1285\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[5]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1310\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1311\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[27]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[67]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[107]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[27]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[156]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[36]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_339\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[4]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[4]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_net_1\, Q
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0_RNI8I3G23[11]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0_0[11]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1085\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1086\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2612_core8051s_oll1l_0_a3\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[3]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_315\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/CORE8051S_LIOL[70]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_1[8]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_63_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_18[8]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_90\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_7[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[122]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[122]\);
    
    \RX0_pad/U0/U0\ : IOPAD_IN
      port map(PAD => RX0, Y => \RX0_pad/U0/NET1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_0[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_813\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_789\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_25\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_821\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_0[15]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1407\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1151\);
    
    AFLSDF_INV_31 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_31\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO_3[1]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_101\, B
         => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[1]_net_1\, 
        Y => \Core8051S_sub_1/CoreInterrupt_0/N_84\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO_1[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_883\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0[9]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I115_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[9]\\\\_c_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[14]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[14]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[14]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[14]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_ll10L_0\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0i0l\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_io00l_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/CORE8051S_lili.un229_core8051s_oll1l_0_0_a3_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_4\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_302\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_413\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_25\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[5]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_811\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_819\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_67\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[46]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_928_i_0_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_5_tz_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_2[2]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_244\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I52_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N263_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N260_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N259_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N290_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I30_un1_Y\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N144\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I30_un1_Y_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N179\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/I30_un1_Y\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ioli_RNO_0\ : OA1C
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_olli_net_1\, 
        B => \Core8051S_sub_1/COREAI_0/COREAI_Lioi\, C => 
        \Core8051S_sub_1/COREAI_0/un1_coreai_l0li_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/un1_coreai_ioli8\);
    
    \Core8051S_sub_1/COREAI_0/coreai_io0l\ : OR3A
      port map(A => \Core8051S_sub_1/COREAI_0/coreai_io0l_3\, B
         => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, C => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/coreai_io0l_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_3\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[55]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIALE1[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_1[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[14]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_862_i_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[14]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[28]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[28]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[28]_net_1\, 
        S => \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_115\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_7[11]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[12]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[12]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_a2_4[0]\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1378\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_709\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_i0i1i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1411\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_core8051s_lo00i\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_CORE8051S_I010\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_core8051s_lo00i_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[12]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c11\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_80\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n12\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIJIN441[1]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un22_core8051s_i1l0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_906\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_0_0_0[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[1]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_2[20]\ : NOR3A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[20]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, C
         => \Core8051S_sub_1/CoreWatchdog_0/N_313\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_132\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[142]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[22]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1873_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[142]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_O1OO0.core8051s_l1oo0_1_0_a2_0\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l1oo0_1_0_a2_0_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[99]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_35_i\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETIMer_i1l_RNO\ : OA1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CORETIMer_i1l_net_1\, B => 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_oli\, C => 
        \Core8051S_sub_1/CoreTimer_1/CORETIMER_o1l_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CORETIMer_i1l_RNO_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ii1l.core8051s_o01l_1_iv_6_0_a2_0[5]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_3_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1369\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNIC0QTF[14]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_899\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[14]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNI09EG4_0\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_a0_0_0_net_1\, 
        B => Core8051S_sub_1_MEMPSRD, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0_0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_2[11]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1317\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[11]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[11]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, C
         => \Core8051S_sub_1/un5_oen\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIE3KP1[1]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_166_i_0\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNITP8EP1\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1135\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1131\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_5_N_7\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_1[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIUO48O[9]\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_909\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un22_core8051s_i1l0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I117_Y_0\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I117_Y_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N356\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I117_Y_0_0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_6\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9HE1[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[14]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIU1V6E[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_a2_0_0[5]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_56\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_165\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_4[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.un1_core8051s_liol_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[109]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[139]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[19]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[139]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1401\);
    
    \SRAM_BHE1_N_pad/U0/U0\ : IOPAD_TRI
      port map(D => \SRAM_BHE1_N_pad/U0/NET1\, E => 
        \SRAM_BHE1_N_pad/U0/NET2\, PAD => SRAM_BHE1_N);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[7]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[7]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii32_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNI81ND[13]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1443\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[13]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1188\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_3[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_3_m[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_23_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_56\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_3_m[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I16_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N130_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N126_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N129_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N154_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_RNO[9]\ : 
        XA1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[9]_net_1\, 
        B => \Core8051S_sub_1/CoreWatchdog_0/N_48_i_0\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_O1_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_33\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[1]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[1]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0_net_1\, 
        Q => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[1]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_li1l_RNI0VVN\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_123\, B => 
        \Core8051S_sub_1/COREAI_0/N_187\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, Y => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[1]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_o2_0[2]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_102\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI5VO[78]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1417\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_4[8]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_350\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1082\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIB9K1[6]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[5]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_i0i1i_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_0_RNIQD379C2[2]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_6[2]\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[152]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_327\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[152]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIBGO5E[4]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_a2_0_0[4]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_29\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1398\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_4[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[0]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oioi_1[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_5_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[0]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[28]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n28\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[28]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I59_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N270\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N266\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N297\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNI094931[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1202\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[17]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[17]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[17]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[1]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1383\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I92_un1_Y_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N283\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N291\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I92_un1_Y_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_RNO_6\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L_0_a2_0\, 
        B => \Core8051S_sub_1/CoreWatchdog_0/N_43\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_58\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i0oI_RNO\ : NOR2A
      port map(A => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_net_1\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_Lioi\, Y => 
        \Core8051S_sub_1/COREAI_0/un20_coreai_lioi\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_41\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNINAD1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[130]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I6_G0N\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_254\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N222\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi_RNO[2]\ : 
        NOR3C
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_92_1\, B
         => 
        \Core8051S_sub_1/CoreInterrupt_0/un1_coreinterrupt_l0l13_i_a6_0_net_1\, 
        C => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi_RNO[2]_net_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[5]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[5]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI15VF3[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_oli0i_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[0]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTL0[1]\ : 
        DFN1
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[1]\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.core8051s_lioo0_1_i_a2_8_RNINNTQ6\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_137\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_o2_3_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_0_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_141\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_49\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        B => \\\\\MEMADDR_[11]\\\\_c_0\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[51]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_918_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_4_0_a2_1[6]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_14\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1[0]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_124\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_37\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.un253_core8051s_o01\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un253_core8051s_o01\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_6\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_lool0_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[76]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_840\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I6_P0N\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_254\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N223_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[5]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/N_25\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[5]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[14]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[14]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[14]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[14]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_74\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[4]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_810\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_818\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[43]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_111\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[43]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.core8051s_l0lo021_RNO\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo021_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[116]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_98\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo021_1_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_97\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJOT2[38]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_14_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_16_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[15]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_196\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNI02Q3B3[1]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_3_sqmuxa_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_2[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_3[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIIAB3[6]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[6]\, 
        B => \\\\\MEMADDR_[6]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_878_i_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_50\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E[2]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_II0L_RNO\ : NOR2B
      port map(A => \Core8051S_sub_1/COREAI_0/un15_coreai_l0li\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[13]\\\\\, 
        Y => \Core8051S_sub_1/COREAI_0/COREAI_II0L_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I3_P0N\ : 
        XA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_0_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_858\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N130\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_3[2]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_1[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1293\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[16]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1222\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[16]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_o01_0\ : 
        AOI1
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_ILl0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un7_core8051s_iio1i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_o01_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.core8051s_l0lo021_RNI7KCF1\ : 
        AND3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1389\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo022_5\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo021\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo020_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIKA871[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[7]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_io01i_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_209\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO_1[0]\ : AOI1B
      port map(A => \Core8051S_sub_1/un13_cuartloii\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[0]_net_1\, C => 
        \Core8051S_sub_1/CoreUARTapb_0/txrdY_m\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1_iv_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_0[12]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_848_tz\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1548\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[12]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1358\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_6_0_0_ADD_5x5_fast_I0_P0N_i_o3\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N125\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[17]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[57]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[97]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[17]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO_1[4]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_905\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_8[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[12]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[12]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[12]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_51\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI79E1[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[12]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_947_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I[8]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I114_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[8]\\\\_c\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNISC81[6]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[22]\\\\\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i[6]_net_1\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[2]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_955\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIHNC1[42]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[42]\, 
        B => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_796_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I41_un1_Y\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N155\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N224\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N151\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I41_un1_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[24]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[104]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[104]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_2[7]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_m_1_6[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_oloi_0_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_4[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_5[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO_1[2]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[0]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_884\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loOL_RNO_1\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o1ll_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o1ll_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_3[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_511\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_527\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[57]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_535\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNO[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_349\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_353\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_356\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_14[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_1[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_partial_sum_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_15[0]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_239\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_5[7]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_182\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184_0\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_781\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_l100l_RNIAKOE[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_l1l0i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l100l_RNIAKOE[1]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[4]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[4]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_7[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[123]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[123]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_2[4]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[4]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_oiol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_15[4]\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNO[5]\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_lil_i_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oll_i\, C => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n5_0_i_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_24\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lli_RNO_7\ : NOR2
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[1]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[3]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_0/CorETIMER_ili_0_a5_1_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I40_Y_1\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N152\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N149\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I40_Y_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I40_Y_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_28\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[14]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9HE1[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_2[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[85]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1380\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[85]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTi0II.un13_cuartloii\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, B
         => \Core8051S_sub_1/un3_coreai_l0li_3\, Y => 
        \Core8051S_sub_1/un13_cuartloii\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l_RNIU1UA[6]\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_149\, B => 
        \Core8051S_sub_1/COREAI_0/N_120\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, Y => 
        \Core8051S_sub_1/N_136\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNI1M9MO9[2]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_1_sqmuxa_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_3[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_4[2]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[24]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[24]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un5_oen_0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[24]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[25]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[25]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[25]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[133]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[13]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[133]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_224\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9PD1[93]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[93]\, 
        B => \\\\\MEMADDR_[13]\\\\_c\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_889_i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[86]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_33\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[86]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3929_core8051s_oll1l_0\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_333\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_314\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[114]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[101]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_102\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_16_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_18_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_17_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_21_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI04FCH[2]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_0[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_2[2]\);
    
    \Memory_0/INT_RAM_8KB_0/INT_RAM_8KB_R0C2\ : RAM4K9
      port map(ADDRA11 => \\\\\MEMADDR_[11]\\\\_c_0\, ADDRA10 => 
        \\\\\MEMADDR_[10]\\\\_c_0\, ADDRA9 => 
        \\\\\MEMADDR_[9]\\\\_c_0\, ADDRA8 => 
        \\\\\MEMADDR_[8]\\\\_c_0\, ADDRA7 => 
        \\\\\MEMADDR_[7]\\\\_c_0\, ADDRA6 => 
        \\\\\MEMADDR_[6]\\\\_c_0\, ADDRA5 => 
        \\\\\MEMADDR_[5]\\\\_c_2\, ADDRA4 => 
        \\\\\MEMADDR_[4]\\\\_c_2\, ADDRA3 => 
        \\\\\MEMADDR_[3]\\\\_c_2\, ADDRA2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRA1 => 
        \\\\\MEMADDR_[1]\\\\_c_0\, ADDRA0 => 
        \\\\\MEMADDR_[0]\\\\_c_0\, ADDRB11 => 
        \\\\\MEMADDR_[11]\\\\_c_0\, ADDRB10 => 
        \\\\\MEMADDR_[10]\\\\_c_0\, ADDRB9 => 
        \\\\\MEMADDR_[9]\\\\_c_0\, ADDRB8 => 
        \\\\\MEMADDR_[8]\\\\_c_0\, ADDRB7 => 
        \\\\\MEMADDR_[7]\\\\_c_0\, ADDRB6 => 
        \\\\\MEMADDR_[6]\\\\_c_0\, ADDRB5 => 
        \\\\\MEMADDR_[5]\\\\_c_2\, ADDRB4 => 
        \\\\\MEMADDR_[4]\\\\_c_2\, ADDRB3 => 
        \\\\\MEMADDR_[3]\\\\_c_2\, ADDRB2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRB1 => 
        \\\\\MEMADDR_[1]\\\\_c_0\, ADDRB0 => 
        \\\\\MEMADDR_[0]\\\\_c_0\, DINA8 => \GND\, DINA7 => \GND\, 
        DINA6 => \GND\, DINA5 => \GND\, DINA4 => \GND\, DINA3 => 
        \GND\, DINA2 => \GND\, DINA1 => \GND\, DINA0 => 
        \\\Core8051S_sub_1_MEMDATAO_[2]\\\, DINB8 => \GND\, DINB7
         => \GND\, DINB6 => \GND\, DINB5 => \GND\, DINB4 => \GND\, 
        DINB3 => \GND\, DINB2 => \GND\, DINB1 => \GND\, DINB0 => 
        \GND\, WIDTHA0 => \GND\, WIDTHA1 => \GND\, WIDTHB0 => 
        \GND\, WIDTHB1 => \GND\, PIPEA => \GND\, PIPEB => \GND\, 
        WMODEA => \GND\, WMODEB => \GND\, BLKA => 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_0_net\, BLKB => 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_0_net\, WENA => \GND\, 
        WENB => SOC_VCC_NET, CLKA => \AFLSDF_INV_4\, CLKB => 
        \AFLSDF_INV_5\, RESET => SOC_VCC_NET, DOUTA8 => OPEN, 
        DOUTA7 => OPEN, DOUTA6 => OPEN, DOUTA5 => OPEN, DOUTA4
         => OPEN, DOUTA3 => OPEN, DOUTA2 => OPEN, DOUTA1 => OPEN, 
        DOUTA0 => OPEN, DOUTB8 => OPEN, DOUTB7 => OPEN, DOUTB6
         => OPEN, DOUTB5 => OPEN, DOUTB4 => OPEN, DOUTB3 => OPEN, 
        DOUTB2 => OPEN, DOUTB1 => OPEN, DOUTB0 => 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_2_net\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[3]\ : 
        DFN1E1C0
      port map(D => \AFLSDF_INV_43\, CLK => clk_pll_0_GLA, CLR
         => \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreInterrupt_0/N_115_i\, Q => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[37]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[37]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I110_Y_0\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N304_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I110_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I30_Y_0\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un60_core8051s_i1i1i_m6_i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N131\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/ADD_8x8_fast_I30_Y_0\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li_RNITMO2[6]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[6]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_415\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_8[0]\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_102\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_170\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_130\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO_2[1]\ : OR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[1]_net_1\, B => 
        \Core8051S_sub_1/un11_cuartloii\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_I1lo0_RNI9P2B\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/d_m7_0_o3_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_OL00l\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l1lII\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lo0_RNI9P2B\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv[3]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_1[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[3]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[3]\\\\_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.core8051s_lioo0_1_i_o2_0_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un150_core8051s_o01_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_o2_0_0\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[31]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_66_0\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_118\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n31\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I3_P0N_m3_e_1\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I3_P0Ntt_N_5\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I3_P0N_m3_e_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_ilo0i_I_66\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_22\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_66\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[11]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[11]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[11]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIQ459_2\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRSH\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un7_udrcap_0_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un3_udrcap_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_udrsh\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_loi0i_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l1i0L\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_337\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un23_core8051s_loi0i_0_net_1\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[1]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[1]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/un5_psel\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[28]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[28]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1783_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[28]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIMAE6A2[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_2[0]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l0oi[6]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[6]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un3_coreai_l0li_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[6]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lli_RNO_8\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[0]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/N_254_1\, C => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[3]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/CorETIMER_ili_0_a5_2_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_3\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[141]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1466_core8051s_oiol0_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1466_core8051s_oiol0_3\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNI6MS1\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iili[3]\, B
         => \Core8051S_sub_1/COREAI_0/COREAI_il0l[3]_net_1\, S
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_45\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_53\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[10]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_1_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_53\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[13]\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1225\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_i_0[13]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1228\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_432\);
    
    \Memory_0/data_bus_buffer_0/BIBUF_6_inst/U0/U1\ : 
        IOBI_IB_OB_EB
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[6]\\\, E => 
        \Memory_0/data_bus_buffer_0/TrienAux\, YIN => 
        \Memory_0/data_bus_buffer_0/BIBUF_6_inst/U0/NET3\, DOUT
         => \Memory_0/data_bus_buffer_0/BIBUF_6_inst/U0/NET1\, 
        EOUT => \Memory_0/data_bus_buffer_0/BIBUF_6_inst/U0/NET2\, 
        Y => \Memory_0/Z\\\\data_bus_buffer_0_Y_[6]\\\\\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_Loli_RNO\ : OA1C
      port map(A => 
        \Core8051S_sub_1/COREAI_0/un2_coreai_i0li_2_net_1\, B => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, C => 
        \Core8051S_sub_1/COREAI_0/COREAI_Ooli\, Y => 
        \Core8051S_sub_1/COREAI_0/N_429\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_ooli_1_CO2_i\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_7\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_4_0\);
    
    
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNI8UVJ[2]\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CoreInterrupt_0/CoREINTERRupt_oli_3_sqmuxa_i_s_1\, 
        B => \Core8051S_sub_1/CoreInterrupt_0/N_109\, C => 
        \Core8051S_sub_1/CoreInterrupt_0/N_106\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0_IRQ\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI3CBI2[38]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[7]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_773\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_781\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.core8051s_lioo0_1_i_a2_4\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un150_core8051s_o01\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_1[6]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_0_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[23]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_udrsh\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[24]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[24]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_31\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_7_tz\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_7\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_LI0l[1]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[1]\\\\_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un15_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_11[2]\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_11_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_11_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[16]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[16]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[16]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1222\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_21\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[5]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_731\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_739\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I60_Y_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I60_Y_0_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N221_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_0[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16\, 
        Q => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un6_core8051s_ooli_I_1\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N78\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_1[0]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_62_i\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_260_e\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1813_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[8]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19[8]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[8]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[30]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[30]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[30]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[35]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[35]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[35]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_293\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0[118]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[38]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1843_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_62\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_728\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_66\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_2[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[14]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[15]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_66_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_io0l_RNO\ : NOR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[6]\\\\_0\, 
        B => \Core8051S_sub_1/COREAI_0/coreai_io0l_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/COREAI_io0l_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[12]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[13]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[13]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2601_core8051s_oll1l_0_a2_i_1\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_336\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_299\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_260_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[2]\ : NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL_m[2]\, B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1_m[2]\, C => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[2]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii_0_iv_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un608_core8051s_o0ol0_NE\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[70]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_10\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[17]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1223\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[17]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIN1QS[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[3]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_176\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m_2[3]\);
    
    \dataOut_pad[3]/U0/U1\ : IOTRI_OB_EB
      port map(D => \dataOut_c[3]\, E => SOC_VCC_NET, DOUT => 
        \dataOut_pad[3]/U0/NET1\, EOUT => 
        \dataOut_pad[3]/U0/NET2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_48\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_811\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_82\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0_1_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[87]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_8[8]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[9]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I63_Y_0_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I63_Y_0_0_0\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_looi\ : DFN1E1C0
      port map(D => \Core8051S_sub_1/COREAI_0/COREAI_oooi\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un19_coreai_i0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_looi_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[9]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[9]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[9]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_13\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[66]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_13_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_1[20]\ : NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, B
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[20]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_131\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_iioi_RNO\ : OR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/un1_coreai_l0li_net_1\, B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        Y => \Core8051S_sub_1/COREAI_0/COREAI_iioi_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIE4B37[4]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_56\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIE4B37[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[15]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1151\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_1[15]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1150\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_864_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIK0DTB\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[6]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_897\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIK0DTB_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[19]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n19\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte_0\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[19]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[0]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n0\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[136]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1398\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[136]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNISGUF3[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIF0737_0[6]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[6]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_66\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_7_a2_0_0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o101i\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lllo03\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o101i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_31\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIALE1[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[55]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_1[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[87]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[7]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1843_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[87]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLII.un21_core8051s_oiol_0_a2_0_a2\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un25_core8051s_oiol_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_699\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_oiol\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[0]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_n0\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_olli_4_m[0]\ : 
        XO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_4[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N67\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_122\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_4_m[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[3]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1330\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1331\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[3]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[1]\ : MX2C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[1]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[1]_net_1\, 
        S => \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_61\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_46\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[131]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOED1[118]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_53\ : 
        OR2
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_O100\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_6_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNIJJ771[7]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_139\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m_2[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0[7]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[6]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[6]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/cuartol1l4[0]\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_83\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        B => \\\\\MEMADDR_[9]\\\\_c_0\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[49]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_915_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_RNINJ7HN[0]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I_66_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1452\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_915\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_0_iv[19]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[19]\\\\\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave14_PSELx\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[19]_net_1\, 
        Y => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[19]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_5_i_o2_RNO\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_5_i_o2_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_l01o0_5_i_o2_0_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[109]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1274\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_core8051s_l10l\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[54]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_l10l\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.core8051s_lioo0_1_i_o2_3_0\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_267\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_o2_3_172_tz\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un25_core8051s_ooi0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_o2_3_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[5]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_68\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I61_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N272\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N268\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N299\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNILBCT\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMPSRD_m7_0_a2_4\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_OL00l\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_ili1i_5\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNILBCT_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[14]\ : AX1D
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/N_307\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_87\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n14\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.un17_core8051s_olli_0_0_ADD_4x4_fast_I0_G0N\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N68\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNI21CU5[7]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_i000[7]\, C
         => \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m_7_m7_i_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_100\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[44]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIQOT2[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_19_1\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi_RNO[4]\ : 
        NOR3C
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_92_1\, B
         => 
        \Core8051S_sub_1/CoreInterrupt_0/un1_coreinterrupt_l0l13_i_a6_0_net_1\, 
        C => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[4]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi_RNO[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[2]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_2[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_0[1]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_3_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_m_0[0]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIHUV2[23]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[23]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/COUnt[24]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[4]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[4]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_il0l[1]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[1]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/coreai_io0l_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_il0l[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[1]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_717\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_2_0_1[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1_core8051s_ooo1l_1\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOO1l\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un1_core8051s_ooo1l_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_47\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_795\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIK9GH2[37]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_773\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[7]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[7]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[7]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[5]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[0]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_4\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIQ459_1\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRSH\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un7_udrcap_0_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un7_udrcap_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un4_udrsh\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNIOLQ6[3]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[3]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[3]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o0il_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_126\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[16]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[16]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[16]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_88\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNII9J2\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l1i0L\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/d_m7_0_o3_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_RNIJGA41[6]\ : 
        OR2A
      port map(A => \\\Core8051S_sub_1_MEMDATAO_[6]\\\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_6_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_m[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I65_Y\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N208\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N211\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N272\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N303\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/CORE8051S_liI1I_RNIQHCA\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liI1I\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un10_core8051s_i000l_1_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/d_m7_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_21\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF6S1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[95]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_3[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIRHQS_0[5]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_166_i_0\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1420\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[3]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_62\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiole\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I40_Y_1\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N152_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N149_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I40_Y_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I40_Y_1_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNO[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[4]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[31]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1358\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[4]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[4]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_0[3]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_5[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[37]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_6_m[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_iv_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.core8051s_oolo0104_3\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[8]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNIGR0HB\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_ioi0i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un72_core8051s_loi0i_s\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNIGR0HB_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_iL1L_RNIE2AA\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_170\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_iL1L_net_1\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_186\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNI8SMM_5[1]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un1_core8051s_ooo1l_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_1_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[5]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un2_core8051s_oiil_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_4_sqmuxa_i\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_ill0i_i_o2\ : 
        AND3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_320\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_304\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_888\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[3]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[3]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[3]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_62\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[12]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_230\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[12]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNIQV503[6]\ : 
        AX1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli13\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_86\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1_core8051s_ooo1l_0_0\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOO1l\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un1_core8051s_ooo1l_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_94\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[8]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[9]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_3[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/CORE8051S_lili.un228_core8051s_oll1l_0_a2_i\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_340\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_304\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_139\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIK9AI_1\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un4_udrsh\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_udrsh\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_30\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_804\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_820\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i_RNO[2]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[18]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_710\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_859\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0_RNIT2N2[1]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[1]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_258_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I59_Y_0_0\ : 
        XNOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_0_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I59_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[36]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[36]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[36]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[36]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[36]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_737\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1514_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_32\ : 
        AND2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIF6S1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[135]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_7\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[52]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI79E1[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_4[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LL00I[6]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un29_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[30]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[128]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[128]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_364\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_96\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_1[0]\);
    
    \MEMADDR_pad[8]/U0/U1\ : IOTRI_OB_EB
      port map(D => \\\\\MEMADDR_[8]\\\\_c_0\, E => SOC_VCC_NET, 
        DOUT => \MEMADDR_pad[8]/U0/NET1\, EOUT => 
        \MEMADDR_pad[8]/U0/NET2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI[6]/U0\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[6]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIQ459_3_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[6]/Y\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNI4LE5[9]\ : AND3B
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[9]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/COUnt[10]_net_1\, C => 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_0\, Y => 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNI6KVA[6]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_0_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[1]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[30]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c29\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_119\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n30\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNIEOABG[118]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_670\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_678\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[2]\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_3_sqmuxa\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[2]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_RNIUUT4[0]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_c0\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/N_4\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_62\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO_0[3]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_41\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_61\, 
        C => \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_55\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lli_RNO_10\ : OR3C
      port map(A => \Core8051S_sub_1/CoreTimer_0/N_49\, B => 
        \Core8051S_sub_1/CoreTimer_0/CorETIMER_ili_0_a5_0_0\, C
         => \Core8051S_sub_1/CoreTimer_0/N_35_i_0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/N_250\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[23]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[23]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oil_0_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[23]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol_RNIIM1A[1]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_166\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un19_baud_clock_NE_0\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un19_baud_clock_NE_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[82]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_140\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[82]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[3]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[3]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave14_PSELx_0\, Y
         => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[3]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/un1_coreai_l0li_2\ : OR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_1_net_1\, B => 
        \Core8051S_sub_1/COREAI_0/un3_coreai_l0li_1_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNI2CU2[12]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[12]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[12]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_900\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_8\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_9\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_12\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i_RNI0QH3[7]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[31]\\\\\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[7]_net_1\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[1]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_937\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_0[7]\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_52\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_0_0[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_0_1[7]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_RNO_0[8]\ : AOI1
      port map(A => \Core8051S_sub_1/CoreTimer_1/N_160\, B => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[7]_net_1\, C
         => \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[8]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_1/N_102\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_olli_I_1\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_2[0]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[7]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/tx_DOUT_Reg[7]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_95\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNI99M54[7]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_107\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un37_core8051s_ooli\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_RNIRFAC[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_78\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_79\, 
        S => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_80\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNIKT3D[7]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_61\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_42\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/un2_cuartl\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETIMER_o1l_RNO\ : NOR3A
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, B => 
        \Core8051S_sub_1/N_185\, C => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_i0l_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/CORETIMER_o1l_RNO_net_1\);
    
    AFLSDF_INV_15 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_15\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_RNIVGH5[2]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_167\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_77\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[2]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[2]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreTimer_0/CORETimer_ii_0_iv_1[2]\, 
        Y => \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[2]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTL1il_RNO\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[6]_net_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTIL1l\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_129\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[8]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[88]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[88]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_31\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[15]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIALE1[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_2[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[134]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_213\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[134]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIHUTQ6_0[7]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_3[7]\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1_RNIA5741[2]\ : OR2B
      port map(A => \Core8051S_sub_1/CoreTimer_0/coretimer_loi\, 
        B => \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1[2]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_0/COUnt_0_sqmuxa\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol0l\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[5]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/coreai_io0l_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_ol0l_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_0[7]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo024_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_0[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIM9BVI[116]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_678\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_694\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[116]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_61\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_791_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1006\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_80\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_812\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.un1_core8051s_liol_2_2\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[104]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[54]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIHLK1[136]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[136]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[137]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_6_0_o2_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIVKU22[2]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[2]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_176\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1408\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0[6]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiI1L_RNO\ : OR3
      port map(A => \Core8051S_sub_1/N_185\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/un1_csn_0\, C
         => \Core8051S_sub_1/CoreAPB3_0_APBmslave3_PSELx\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/un1_csn\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_lili[1]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[1]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[29]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[69]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[109]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[29]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_27\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIDUR1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[133]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I61_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N272_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N268_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N299_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_liol\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_liol_1_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_liol_0_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_liol_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_a10_4_1[2]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[5]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_155\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_152_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIFR3J[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[5]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[32]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[5]\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lli_RNIKRO1\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1[0]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CORETimer_lli_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_lol\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNITL9K4[0]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_ivtt_0_m3_0_a2_0_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIKQP11[27]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c26\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT[27]_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c27\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I[9]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I115_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[9]\\\\_c\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_41\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[90]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNINAD1[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I121_Y_0_0\ : 
        AX1E
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_929\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[15]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I121_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNIKERL7[0]\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_o01\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNIVLSL6G\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_1_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un338_core8051s_io00l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_6_1_N_8\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un4_core8051s_iil0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_OL00l\, 
        Y => \Core8051S_sub_1/CORE8051S_0/un4_core8051s_iil0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9K32[38]\ : 
        NOR2A
      port map(A => \\\\\MEMADDR_[8]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9K32[38]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNI70NUO[4]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ioi0i_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1066\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIKAHV92[3]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_io0iI_m[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_0[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_2[3]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[30]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[30]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[30]\\\\\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNICE6D\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_63\, B => 
        \Core8051S_sub_1/COREAI_0/N_111\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_127\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I20_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N241\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N237\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N240\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N255\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[152]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[32]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[152]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1409\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_327\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO_0[2]\ : 
        AOI1B
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_102\, B
         => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[2]_net_1\, 
        C => \Core8051S_sub_1/CoreInterrupt_0/N_80\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/COREINTErrupt_i1_iv_0_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[46]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[46]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_29\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIHCIL7_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_o01\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I65_Y\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I3_P0N_m3_e\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N217\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N276\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N303_0\);
    
    \SRAM_BHE1_N_pad/U0/U1\ : IOTRI_OB_EB
      port map(D => SOC_VCC_NET, E => SOC_VCC_NET, DOUT => 
        \SRAM_BHE1_N_pad/U0/NET1\, EOUT => 
        \SRAM_BHE1_N_pad/U0/NET2\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol_n0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiole\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[11]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[11]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[54]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[14]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[54]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_211\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_17[0]\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_99\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_156\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_128\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIRCP1[8]\ : NOR2
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_301\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[8]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_302\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[50]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[10]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[50]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_241\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I48_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_Y_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I38_un1_Y\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_i[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_o01o0_5_0_0_x2_RNIQT06\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[45]\, 
        B => \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_9\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_15\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I93_Y_2\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N292_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N285_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_Y_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_Y_2_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_93\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_810\);
    
    \Memory_0/data_bus_buffer_0/BIBUF_2_inst/U0/U0\ : IOPAD_BI
      port map(D => 
        \Memory_0/data_bus_buffer_0/BIBUF_2_inst/U0/NET1\, E => 
        \Memory_0/data_bus_buffer_0/BIBUF_2_inst/U0/NET2\, Y => 
        \Memory_0/data_bus_buffer_0/BIBUF_2_inst/U0/NET3\, PAD
         => EXT_DATA(2));
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[101]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[21]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1843_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[101]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIDORI5[2]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[2]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[55]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i_RNO[0]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[16]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10_0[0]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_710\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_93\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIQCQ8G\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_11\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lii0_i_0\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[2]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[2]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[2]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIDO2G[18]\ : OR3
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[17]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/COUnt_c16\, C => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[18]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c18\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_o2_3[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_179\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_180\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIHCIL7\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_o01\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_6\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNITD15U\ : 
        MX2
      port map(A => \\\Memory_0_RD_[3]\\\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_l1o1l_RNISQ10G[19]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIM7P3E_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNI29K1[2]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[0]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un78_core8051s_io00l_3\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTL0OL_RNIVK2F[0]\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_7_i\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_29_i_0_i\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_107\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un7_baud_clock\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I8_G0N\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_i[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_331_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N228\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIS1IQF_0\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_6\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1379\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNICMMI[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[4]_net_1\, 
        B => \\\Core8051S_sub_1_MEMDATAO_[4]\\\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[32]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_0[2]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1553\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1234\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[14]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[14]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[14]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNITM967[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[7]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_3[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un16_core8051s_o010l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo00l[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIVSKUT_0\ : 
        MX2
      port map(A => \\\Memory_0_RD_[6]\\\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_l1o1l_RNI3DGPF[22]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIM7P3E_net_1\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNO[0]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[0]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[31]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1355\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIB1JOF\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_iiI0[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_18\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lii0_i_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_16\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNI0NTC7[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_5[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.un90_core8051s_io00l_2\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_222\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un253_core8051s_o01\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un90_core8051s_io00l_2_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_l1l0i_m3_0_a2_0\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_l1l0i_m3_0_a2_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNI4A771[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[3]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_io01i_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_205\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L_RNIAD51[3]\ : 
        NOR2B
      port map(A => \Core8051S_sub_1/CoreTimer_1/N_41_i_0\, B => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[3]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_157\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_i_a2_2[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_io01l[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1340\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_0_RNI9372[1]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_0_RNI9372[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_306\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1516_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_7[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_m_i[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UTDI_m_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[71]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[31]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1813_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[71]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_8[7]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_13[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_17[7]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_incl_mul_div_da_5\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I115_Y_0_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[9]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_257\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I115_Y_0_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[13]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[13]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[13]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[13]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[2]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[2]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[2]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL_RNI8L95[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[7]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_82\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIQVV65[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_218\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_107\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_9_3_i_o2_0[46]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un15_core8051s_ioi0i\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_l1i1i_1\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_350\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un15_core8051s_ioi0i_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_1[3]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo022_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[3]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_0[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_iv_1[3]\);
    
    \Memory_0/INT_RAM_8KB_0/MX2_RD_0_inst\ : MX2
      port map(A => \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_0_net\, B
         => \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_0_net\, S => 
        \Memory_0/INT_RAM_8KB_0/ADDRB_FF2_0_net\, Y => 
        \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[0]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_4[7]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_3[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_iv_4[7]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_1[4]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS3_m[4]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS1_m[4]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[4]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_1[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNI7QD37[7]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_3[7]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_56\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_3_m[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_19\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8DE1[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[13]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_9[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_i01o0_8_0_i_x2_i_x2_RNI6D82\ : 
        XA1A
      port map(A => \\\\\MEMADDR_[8]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[128]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_787_i_0_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_14\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIORM22\ : 
        MX2
      port map(A => \\\Memory_0_RD_[0]\\\, B => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[0]\\\\\, 
        S => \Core8051S_sub_1/CORE8051S_0_APB3master_PSELx\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_11\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[1]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_ns_e[5]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl[1]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li_RNI8SG2[10]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[10]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_418\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[21]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n21\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte_0\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[21]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[9]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[9]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[9]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE6R011[116]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_679\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_695\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[116]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNIP5L2_0[5]\ : 
        AOI5
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un18_udrcap\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I27_Y\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N148\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N116\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N147\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N179\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_4\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[51]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJTV[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_7[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_70\ : 
        MX2C
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_ll10\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL10\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_1_0_a5_0_a2_7_tz\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[16]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n16\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe_0\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[16]_net_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[13]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[13]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[13]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIE7TD\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_58\, B => 
        \Core8051S_sub_1/COREAI_0/N_106\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_122\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIT2TGT5[0]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_m[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_4[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_I_33\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIG76D7[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_12_1_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_33\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I3_P0N_m3_e\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I3_P0N_m3_e_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I3_P0N_m3_e_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I3_P0N_m3_e\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[7]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[7]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.un1_core8051s_liol_1_6\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_1_6_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_191\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_1_6\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_44\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIHOT2[38]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_953_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[19]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[59]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[99]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[19]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_RNICHDQ[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_80\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_83\, 
        S => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_c0\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_84\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO[9]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil\, B => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c8\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_60\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n9\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNI1U5J[0]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_8_sqmuxa_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_1_0\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[6]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/N_26\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[6]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNINS51\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iili[5]\, B
         => \Core8051S_sub_1/COREAI_0/COREAI_ol0l_net_1\, S => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_47\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_a3_2\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_332\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_292\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[61]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I93_Y_0\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N244_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N240_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N243_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0_RNIFPHP5[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_676_i_0_a2tt_m2_0_a2_0\, 
        B => \\\\\MEMADDR_[0]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0_RNIFPHP5[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO_21\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNICQR1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[92]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_948_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I40_Y\ : 
        AO18
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_i[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N207_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNILNTSP3[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N275_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_14[0]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[0]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_o11l_RNO\ : AO1A
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, 
        B => \Core8051S_sub_1/COREAI_0/un2_coreai_i0li_2_net_1\, 
        C => \Core8051S_sub_1/COREAI_0/COREAI_i01L\, Y => 
        \Core8051S_sub_1/COREAI_0/un14_coreai_i0li\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_8[0]\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_181\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a11_5_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_0[1]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_i_3_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_i_2[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_187\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_177\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[23]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[23]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[23]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_2[7]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1490\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_813\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_6[6]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[6]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_412\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[4]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_26\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiole\, 
        Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[4]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[8]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n8\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[8]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[70]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[30]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1813_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[70]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_0[11]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1552\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[11]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1315\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_11[0]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_190\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_203_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a11_6_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_15[2]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_11_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTlill_RNO\ : 
        INV
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL_1_sqmuxa_i\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_LI0l[4]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[4]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un15_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[26]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[146]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[146]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_0_RNILUTH2[38]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[4]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_770\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_778\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.un1_core8051s_liol_1\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo021_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_1_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo021_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_1_i\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l[3]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[11]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/coreai_io0l_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_io00I[2]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un21_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[10]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_loiii_RNO_1\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0_APB3master_PSELx\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un74_core8051s_liol_0_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un84_core8051s_liol_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un84_core8051s_liol_0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LL00I[7]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un29_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[31]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.CORE8051S_iio0i_19_i_i_a2_11[15]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_714\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_267\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\);
    
    \dataOut_pad[3]/U0/U0\ : IOPAD_TRI
      port map(D => \dataOut_pad[3]/U0/NET1\, E => 
        \dataOut_pad[3]/U0/NET2\, PAD => dataOut(3));
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[39]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_5_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[79]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[119]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_1[39]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIA8FN[122]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_16\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_15\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_19\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_22\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ollo0.core8051s_lllo03_0_a2_1_1\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[114]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_33_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[35]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[35]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[35]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[35]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[35]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNO[2]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_921\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olii_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[14]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m_1[0]\, 
        B => \\\\\MEMADDR_[14]\\\\_c\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[15]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[14]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[6]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[46]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[6]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_1[3]\ : OR3B
      port map(A => \Core8051S_sub_1/un13_cuartloii\, B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[3]_net_1\, C
         => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/N_257\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[22]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[22]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[22]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_50\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol[3]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[14]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[14]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[14]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNI0KVA[0]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_0_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[2]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1290\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1291\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I21_Y\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_0_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N124_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N159_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[9]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1404\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_2[9]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_339_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_1_m[0]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_6[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N67\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_1_m[0]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[21]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[21]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[21]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_olli_4_0_0_ADD_4x4_fast_I9_Y_0_i_x2\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_4[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N67\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_olli[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_15_i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[3]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_16_m[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_3[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_46\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOED1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[91]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI3OG61[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_865\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_4_0_a2[6]\ : 
        XAI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_olli_i[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_35\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I54_Y\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N262_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N265_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N261_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N292_0\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO[7]\ : AX1D
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil\, B => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_18_0\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_56\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n7\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_7[1]\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_168\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_a10_1_1[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_156\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_3[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[20]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[20]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[20]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un910_core8051s_oll1l_i_o3_1\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_287\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_o3_1\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_306\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[38]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[38]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[39]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[38]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNITBQUP11[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[85]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[85]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1380\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_36\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_45\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_722\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_o11[0]\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un150_core8051s_o01_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_180\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_o11_0[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_187\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_16\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_711\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_719\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_RNO_9\ : 
        NOR3A
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_53\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[3]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L_0_a2_0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[98]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_35\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[98]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIIPSA_0[0]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[0]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_4[1]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_105\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_99\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_155\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_146\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_1[7]\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_34\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli26_4_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oili_1[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_8[9]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iLI0I_1_I_8\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIIL0C[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[15]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[15]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_716\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0[15]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_1[15]\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNID2JB[6]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[5]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/N_37\, C => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[6]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_39\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[13]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[13]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[13]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIR10VO[9]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_931\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_257\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L001i_RNIODMMET\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L001i_RNI0CE2A9_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un16_core8051s_i1i1i_tz_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L001i_RNIAGLOF9_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_3[6]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_4[4]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_122\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_4_m_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNI59TO1[12]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_2[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_1[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_3[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii[4]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_RNO_7\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[5]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_52\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_56\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_2_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_2_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_3\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_1_0_a2_7_a5_0_a2_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_45\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[7]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_813\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_821\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT[20]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/N_293\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNTe_0\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[20]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li_RNI0NO2[9]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[9]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_97\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_86\ : 
        XA1A
      port map(A => \\\\\MEMADDR_[0]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[40]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_798_i_0_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_8_tz\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_65\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_716\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII[3]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[3]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/un1_cuarto1ii20_net_1\, Q
         => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[3]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_64\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_8[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I63_Y_0\ : 
        AX1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I41_un1_Y_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I41_Y_0_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I63_Y_0_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[6]\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[22]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\, B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[22]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[22]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNIA10Q1[6]\ : 
        AXOI5
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_7\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_2[3]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[16]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, B => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_88\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n16\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0_RNI3U2G23[10]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0_0[10]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1107\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1108\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIA9K1[6]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un8_core8051s_io01i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNICHE6[0]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_19_i_0_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_18_i_0_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un2_core8051s_o010l_NE_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un4_core8051s_iio1i_NE\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_4[21]\ : NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[21]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n21_0_i_a2_1_0\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII[1]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/cuarto1ii_1[1]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/un1_cuarto1ii20_net_1\, Q
         => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[1]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[3]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[43]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_4[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIA50931\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_a4_N_10\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_a4_m6_0_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1_m6_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[18]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[18]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[18]\\\\\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[19]\ : AX1D
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c18\, B
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, C
         => \Core8051S_sub_1/CoreTimer_0/N_94\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n19\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un10_core8051s_i000l_m1\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1324\, B
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/B1[1]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un10_core8051s_i000l_m1_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNI2GBD[9]\ : NOR3C
      port map(A => \Core8051S_sub_1/CoreTimer_1/coretimer_loi_3\, 
        B => \Core8051S_sub_1/CoreTimer_1/coretimer_loi_2\, C => 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_4\, Y => 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_6\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_li00.2.COREAI_LL10.COREAI_LI10.COREAI_OI10\ : 
        IOPAD_A_IN
      port map(PAD => AT2, Y => 
        \Core8051S_sub_1/COREAI_0/COREAI_ol1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_91_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_90_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_2_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1\);
    
    \dataOut_pad[0]/U0/U1\ : IOTRI_OB_EB
      port map(D => \dataOut_c[0]\, E => SOC_VCC_NET, DOUT => 
        \dataOut_pad[0]/U0/NET1\, EOUT => 
        \dataOut_pad[0]/U0/NET2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_1[3]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1455\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1321\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[3]\);
    
    \Core8051S_sub_1/CoreTimer_0/un6_coretimer_oil\ : NOR2
      port map(A => \Core8051S_sub_1/un1_coreai_l0li_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/CoreTimer_0/un6_coretimer_oil_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i_RNIPC83[5]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[29]\\\\\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[5]_net_1\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[1]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_947\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_9[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_125\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_126\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_127\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_2[0]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l0li\ : OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, B => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PENABLE\, Y => 
        \Core8051S_sub_1/COREAI_l0li\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_i01o0_8_0_i_x2_i_x2_RNI60LB1\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_18\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_17\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_22\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_i\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_RNILRL[1]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[0]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_35\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[99]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[19]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[99]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1408\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_37\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI3VJR[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_872\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m_2[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L001i_RNI5ADND\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_N_7\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_N_8\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0103_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNIRE27[14]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[14]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_707\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1400\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1192\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIE2SH6O[6]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_m[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_5[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_1_m[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un694_core8051s_oll1l_0_i\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_321\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un694_core8051s_oll1l_0_i_0_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_344\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_281\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[22]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n22\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte_0\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[22]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[10]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[10]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[10]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_I11l_RNI4TH1\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_l11l\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_I11l_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/COREAI_oooi\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_0[11]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1407\, B
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1324\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_RNIPH86M[2]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNITV88A_net_1\, 
        B => \\\\\MEMADDR_[2]\\\\_c\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1140\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2455_core8051s_oll1l_0_o3\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_315\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_445\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_433\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_322\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO_0[16]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[16]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[8]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/N_67\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[16]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIEHQDG\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i_0\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMDATAO_m_0[0]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL_RNO_0[1]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOLOL_ns_0_i_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_47\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJTV[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[11]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNISLTEN[10]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un48_core8051s_ioi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[10]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1107\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO_0[9]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[9]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[9]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_60\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIHC31\ : NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_iili[4]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_46\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO_0[18]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[18]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[10]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/N_67\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[18]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_42\ : 
        AND2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNINAD1[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[130]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_0[2]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNI4922[7]\ : NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_25_2\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c3\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_25\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO[12]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil\, B => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c11\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_66\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n12\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_2[12]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10_0[4]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1244\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.un1_core8051s_liol\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2_2_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_3\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_101\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[43]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIOOT2[38]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_15_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_20_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL[4]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[4]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToiLL_1_sqmuxa\, 
        Q => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[4]\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[8]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[8]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un5_coretimer_oil_0_a2_net_1\, 
        Q => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[8]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I116_Y_0_0\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[10]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I116_Y_0_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[8]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_m_1[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1082\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1i0l_m[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_0[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO[6]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53[6]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_core8051s_l1il\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_1[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/CORE8051S_lili.un229_core8051s_oll1l_0_0_a3\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_332\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_412\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIT06C[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[1]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1324\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o101i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIT06C[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO_6\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_786\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[86]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_RNO_14\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_54\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_796\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_804\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li[7]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[8]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un60_coreai_l0li_i\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[7]_net_1\);
    
    AFLSDF_INV_11 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_11\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[2]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PSELx_0\, B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[2]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_90\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[12]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[13]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_10[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_2[0]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNICTR5[7]\ : OR2A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_13_2\, B => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c3\, Y => 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_13_i_0\);
    
    
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI_RNII306[3]\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[3]_net_1\, 
        C => \Core8051S_sub_1/CoreInterrupt_0/N_108\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/CoREINTERRupt_oli_3_sqmuxa_i_s_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIDVD49[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[0]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ioi0i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_940\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO_2[0]\ : OR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[0]_net_1\, B => 
        \Core8051S_sub_1/un11_cuartloii\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[0]\);
    
    \EXT_RAM_RD_N_pad/U0/U0\ : IOPAD_TRI
      port map(D => \EXT_RAM_RD_N_pad/U0/NET1\, E => 
        \EXT_RAM_RD_N_pad/U0/NET2\, PAD => EXT_RAM_RD_N);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_li01I_RNIPRMD1\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_107\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_l100\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_I01_i_a2_0[1]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO_0[2]\ : 
        AX1B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_44_i_0_i\);
    
    \Memory_0/INT_RAM_8KB_0/ORA_GATE_0_inst\ : OR2
      port map(A => \\\\\MEMADDR_[12]\\\\_c\, B => 
        \Memory_0/WEAP\, Y => 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_0_net\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i0i0.un60_coreai_l0li_2\ : 
        NOR2B
      port map(A => \Core8051S_sub_1/N_186\, B => 
        \Core8051S_sub_1/COREAI_0/un3_coreai_l0li_1_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/coreai_io0l_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_41\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIIPV[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[50]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_76\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNISOT2[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[45]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIF8VP6[6]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[6]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I19_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N127_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N124_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N157_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iii0I\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_lii0i\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un28_core8051s_o01\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iii0I_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[4]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[4]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0\, 
        C => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il_iv_0_0[4]\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I25_Y\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N151_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N147_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N166\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNINQ2E1[0]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_ioi0i_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_2tt_0_m1_0_a2_0\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[15]\ : 
        OR3A
      port map(A => \Core8051S_sub_1/N_137\, B => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, C => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS6_m[15]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0_RNIAMU6M[6]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNITV88A_net_1\, 
        B => \\\\\MEMADDR_[6]\\\\_c_0\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1210\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_0[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[0]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_RNIDTJO9[6]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_m[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m_0[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_1[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNIRMGBU2\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_1_0\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_1[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_1_iv_2_0[6]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO_1[1]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_43_i_0\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[1]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/N_16\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIB1E1[94]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[94]\, 
        B => \\\\\MEMADDR_[14]\\\\_c\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_885_i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i1i1i_0\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_440\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_1407\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un4_core8051s_i1i1i_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[3]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_IIL1I[3]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_RNO_5\ : NOR3A
      port map(A => \Core8051S_sub_1/CoreTimer_1/N_167\, B => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[3]_net_1\, C
         => \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[1]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_a2_1_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO[7]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_53_i[7]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un1_core8051s_l1il\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIH34J[6]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[6]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[6]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[32]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[6]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[29]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[29]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un5_oen\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[29]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNIE8FQ[6]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_138\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_129\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_140_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lLOL[6]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lil_RNIQAUO1_0\ : OR2A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt_1_sqmuxa\, 
        B => \Core8051S_sub_1/CoreTimer_1/un6_coretimer_lil\, Y
         => \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNO[7]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_i[7]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l001i_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/CORE8051S_lili.un231_core8051s_oll1l_0_a2_i\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_311\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_302\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_176\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[5]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[5]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[5]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I36_Y\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N216_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I36_un1_Y\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N271_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1_RNIK9CDJ[0]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1450\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[30]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[30]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[30]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[30]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I10_G0N\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_932\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N234\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNI7OM71\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_150_i\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[6]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i001I\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL_RNI4595[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[5]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_81\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[23]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[23]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un5_oen_0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[23]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNIM2GD\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_62\, B => 
        \Core8051S_sub_1/COREAI_0/N_110\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_126\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI19H2[120]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[120]\, 
        B => \\\\\MEMADDR_[0]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_799_i_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_68\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[40]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[0]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_933_i_0_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1_core8051s_ooo1l_2\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOO1l\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un1_core8051s_ooo1l_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[21]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[21]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[21]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_4_sqmuxa_0_a2_1_0\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_118\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_77\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1361_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_4_sqmuxa_0_a2_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[7]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[7]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I38_un1_Y\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N173\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N166\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I38_un1_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIH12R4[0]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_8_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.un351_core8051s_io00l_0\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_io00l_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un6_core8051s_io00l_0_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un90_core8051s_io00l\, 
        Y => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_l01ii.CORE8051S_i1OO0.un351_core8051s_io00l_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI29VF3[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_5_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_m[7]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[5]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNO[5]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[5]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTool/CUARTo0l\ : 
        INV
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/fifo_READ_tx\, Y
         => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiili.CUARTo0LI/CUARTool/CUARTlol\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i_RNI2DT81\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_162\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[0]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_l101i_net_1\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[0]\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_3[3]\ : OR2A
      port map(A => \\\\\MEMADDR_[3]\\\\_c_2\, B => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[3]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_73\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_17\ : 
        XAI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[26]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[66]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[26]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I111_Y_0\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[5]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N371\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I111_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3540_core8051s_oll1l_i_o3\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_289\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_316\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_66\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        B => \\\\\MEMADDR_[8]\\\\_c_0\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[128]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_916_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I4_P0N_0\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_1[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/MEMDATAO_m[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_29\ : 
        AND2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9HE1[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[54]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I119_Y_0_0\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1046\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[13]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I119_Y_0_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNIBPH541[6]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIK0DTB_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_0_iv_0_0_6_N_7_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1053\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[6]\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNO[3]\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_lil_i_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oll_i\, C => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n3_0_i_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_20\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l0oi_RNI76V2[5]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/COREAI_l0oi[5]_net_1\, B => 
        \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_20\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_67\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9K32[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_DWACT_ANDTREE_E_5[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_2[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIBSFI1\ : 
        MX2
      port map(A => \\\Memory_0_RD_[7]\\\, B => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[7]\\\\\, 
        S => \Core8051S_sub_1/CORE8051S_0_APB3master_PSELx\, Y
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_18\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO_1[7]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[7]\\\\_0\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[6]\\\\_0\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_146\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_889\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_incl_mul_div_da_5_0_a2_0\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_89\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_90\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_93\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_incl_mul_div_da_5_0_a2_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_a2_4[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_159\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_163\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_RNO_2\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_1_sqmuxa_i_a4_0_0\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_172\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_137\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_165\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_32\ : 
        AND2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[15]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIALE1[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_2[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNITOF2[155]\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[159]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[155]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_3\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTi1ii.un5_psel\ : NOR3
      port map(A => \Core8051S_sub_1/COREAI_l0li\, B => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave3_PSELx\, C => 
        \Core8051S_sub_1/un11_cuartloii\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/un5_psel\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii32\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii28\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1_sqmuxa_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii32_net_1\);
    
    \Core8051S_sub_1/COREAI_0/un2_coreai_i0li_2\ : NOR3B
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, B
         => \Core8051S_sub_1/COREAI_0/un2_coreai_i0li_1_0\, C => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/un2_coreai_i0li_2_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0[14]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[14]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[14]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill_RNIUSB9A1[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_96\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_99\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_l0il\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ioli\ : DFN1E0C0
      port map(D => \Core8051S_sub_1/COREAI_0/COREAI_ioli_3\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un1_coreai_ioli8\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_ioli_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNI1MMF1[0]\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1155\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1154\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_0_s_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2992_core8051s_oll1l_0_a2_i\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_350\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_191\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I117_Y_0\ : 
        AX1E
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I96_un1_Y_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I96_Y_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I117_Y_0_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I117_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1469_core8051s_oll1l_0_o3_0\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1469_core8051s_oll1l_0_a3_0_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1469_core8051s_oll1l_0_a2_0_net_1\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_302\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1469_core8051s_oll1l_0_o3_0_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[22]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c21\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_100\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n22\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIV750J[100]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[100]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI7EN3[13]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_887_i_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_883_i_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_6\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un6_core8051s_ii1o0_8\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_6_0_0_ADD_5x5_fast_I22_Y_0_i_o3_0\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_14\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.CORE8051S_I0o0i_19_i_i_i_o2_tz_0[10]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[0]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\, Y
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_707\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[4]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_3_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_a2_9[2]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1400\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_701\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1447\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.7.COREAI_o11i.COREAI_i00L_RNIG191[7]\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_i00L[7]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_161\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNITNL71_0\ : 
        INV
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo10_i[4]\);
    
    \Memory_0/INT_RAM_8KB_0/INT_RAM_8KB_R1C2\ : RAM4K9
      port map(ADDRA11 => \\\\\MEMADDR_[11]\\\\_c\, ADDRA10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRA9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRA8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRA7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRA6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRA5 => 
        \\\\\MEMADDR_[5]\\\\_c\, ADDRA4 => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDRA3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRA2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRA1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRA0 => 
        \\\\\MEMADDR_[0]\\\\_c\, ADDRB11 => 
        \\\\\MEMADDR_[11]\\\\_c\, ADDRB10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRB9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRB8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRB7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRB6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRB5 => 
        \\\\\MEMADDR_[5]\\\\_c\, ADDRB4 => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDRB3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRB2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRB1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRB0 => 
        \\\\\MEMADDR_[0]\\\\_c\, DINA8 => \GND\, DINA7 => \GND\, 
        DINA6 => \GND\, DINA5 => \GND\, DINA4 => \GND\, DINA3 => 
        \GND\, DINA2 => \GND\, DINA1 => \GND\, DINA0 => 
        \\\Core8051S_sub_1_MEMDATAO_[2]\\\, DINB8 => \GND\, DINB7
         => \GND\, DINB6 => \GND\, DINB5 => \GND\, DINB4 => \GND\, 
        DINB3 => \GND\, DINB2 => \GND\, DINB1 => \GND\, DINB0 => 
        \GND\, WIDTHA0 => \GND\, WIDTHA1 => \GND\, WIDTHB0 => 
        \GND\, WIDTHB1 => \GND\, PIPEA => \GND\, PIPEB => \GND\, 
        WMODEA => \GND\, WMODEB => \GND\, BLKA => 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_1_net\, BLKB => 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_1_net\, WENA => \GND\, 
        WENB => SOC_VCC_NET, CLKA => \AFLSDF_INV_20\, CLKB => 
        \AFLSDF_INV_21\, RESET => SOC_VCC_NET, DOUTA8 => OPEN, 
        DOUTA7 => OPEN, DOUTA6 => OPEN, DOUTA5 => OPEN, DOUTA4
         => OPEN, DOUTA3 => OPEN, DOUTA2 => OPEN, DOUTA1 => OPEN, 
        DOUTA0 => OPEN, DOUTB8 => OPEN, DOUTB7 => OPEN, DOUTB6
         => OPEN, DOUTB5 => OPEN, DOUTB4 => OPEN, DOUTB3 => OPEN, 
        DOUTB2 => OPEN, DOUTB1 => OPEN, DOUTB0 => 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_2_net\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_83\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_5[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_2[10]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1224\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_l1l0i_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_314\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_304\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un4_core8051s_l1l0i_0\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_l1_RNI3KPE1[2]\ : OR3
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_0_sqmuxa\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[4]\\\\_0\, 
        C => \Core8051S_sub_1/CoreTimer_0/un7_coretimer_o1_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oll_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[135]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_200\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[135]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_4[19]\ : NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[19]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n19_0_i_a2_1_0\);
    
    
        \Core8051S_sub_1/CoreInterrupt_0/un1_coreinterrupt_l0l13_1_i_a6_1\ : 
        NOR3B
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave1_PSELx\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, C
         => \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PENABLE\, Y
         => \Core8051S_sub_1/CoreInterrupt_0/N_92_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIP31O1[4]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_872\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1420\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_1[5]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_ol00_RNI46J5\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_82\, B => 
        \Core8051S_sub_1/COREAI_0/N_416\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_114\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_3[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_5[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_4_0_I_1\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_oili[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_4_i[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_5[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.core8051s_l0lo026_1\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[109]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[108]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[29]\ : AX1D
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1\, B
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_c28\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_117\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT_n29\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_20\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9HE1[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[14]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_9[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I38_Y\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_i[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_i[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I38_un1_Y\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N273_0\);
    
    \Memory_0/mem_decode_0/SEL_1_RNO[0]\ : AO1A
      port map(A => Core8051S_sub_1_MEMRD, B => 
        \Memory_0/mem_decode_0/N_27\, C => 
        \Memory_0/mem_decode_0/N_25\, Y => 
        \Memory_0/mem_decode_0/un13_sel_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[44]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_90\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[44]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_o2_2[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_179\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_l11I.8.COREAI_IOo0.COREAI_i00L_RNIB192[8]\ : 
        NOR2A
      port map(A => \Core8051S_sub_1/COREAI_0/COREAI_i00L[8]\, B
         => \\\\\MEMADDR_[2]\\\\_c\, Y => 
        \Core8051S_sub_1/COREAI_0/N_162\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_1\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1252\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_2_0_a2_i_0_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_8_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_2_0_a2_i_0_4\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[0]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/CORE8051S_lili.un210_core8051s_oll1l_0_a2_i\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_315\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_302\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_93\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[25]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[26]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[26]\);
    
    \MEMADDR_pad[12]/U0/U0\ : IOPAD_TRI
      port map(D => \MEMADDR_pad[12]/U0/NET1\, E => 
        \MEMADDR_pad[12]/U0/NET2\, PAD => MEMADDR(12));
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_RNIBF96M[13]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNITV88A_net_1\, 
        B => \\\\\MEMADDR_[13]\\\\_c\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1126\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[3]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1437\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[3]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1349\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[17]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[17]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[17]_net_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[17]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave0_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[17]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[17]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_iool0.un1354_core8051s_oiol0_NE_RNO_2\ : 
        XA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[82]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNID5L2[118]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_5\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1354_core8051s_oiol0_NE_10\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[2]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[2]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_0\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[3]\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[5]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_l1il_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.un1_core8051s_liol_2_1\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0110_4\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_60\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_liol_2_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1I0L_m[1]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[1]\, 
        B => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0105_6\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1I0L_m[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNI7UA5[6]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_948\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_955\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[0]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_962\);
    
    \Memory_0/INT_RAM_8KB_0/INT_RAM_8KB_R1C5\ : RAM4K9
      port map(ADDRA11 => \\\\\MEMADDR_[11]\\\\_c\, ADDRA10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRA9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRA8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRA7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRA6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRA5 => 
        \\\\\MEMADDR_[5]\\\\_c\, ADDRA4 => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDRA3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRA2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRA1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRA0 => 
        \\\\\MEMADDR_[0]\\\\_c\, ADDRB11 => 
        \\\\\MEMADDR_[11]\\\\_c\, ADDRB10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRB9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRB8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRB7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRB6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRB5 => 
        \\\\\MEMADDR_[5]\\\\_c\, ADDRB4 => 
        \\\\\MEMADDR_[4]\\\\_c\, ADDRB3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRB2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRB1 => 
        \\\\\MEMADDR_[1]\\\\_c\, ADDRB0 => 
        \\\\\MEMADDR_[0]\\\\_c\, DINA8 => \GND\, DINA7 => \GND\, 
        DINA6 => \GND\, DINA5 => \GND\, DINA4 => \GND\, DINA3 => 
        \GND\, DINA2 => \GND\, DINA1 => \GND\, DINA0 => 
        \\\Core8051S_sub_1_MEMDATAO_[5]\\\, DINB8 => \GND\, DINB7
         => \GND\, DINB6 => \GND\, DINB5 => \GND\, DINB4 => \GND\, 
        DINB3 => \GND\, DINB2 => \GND\, DINB1 => \GND\, DINB0 => 
        \GND\, WIDTHA0 => \GND\, WIDTHA1 => \GND\, WIDTHB0 => 
        \GND\, WIDTHB1 => \GND\, PIPEA => \GND\, PIPEB => \GND\, 
        WMODEA => \GND\, WMODEB => \GND\, BLKA => 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_1_net\, BLKB => 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_1_net\, WENA => \GND\, 
        WENB => SOC_VCC_NET, CLKA => \AFLSDF_INV_26\, CLKB => 
        \AFLSDF_INV_27\, RESET => SOC_VCC_NET, DOUTA8 => OPEN, 
        DOUTA7 => OPEN, DOUTA6 => OPEN, DOUTA5 => OPEN, DOUTA4
         => OPEN, DOUTA3 => OPEN, DOUTA2 => OPEN, DOUTA1 => OPEN, 
        DOUTA0 => OPEN, DOUTB8 => OPEN, DOUTB7 => OPEN, DOUTB6
         => OPEN, DOUTB5 => OPEN, DOUTB4 => OPEN, DOUTB3 => OPEN, 
        DOUTB2 => OPEN, DOUTB1 => OPEN, DOUTB0 => 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR1_5_net\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_io10l_RNO_11[1]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_221_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_181\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_i_a11_0_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_1_i_RNO_0[2]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1456\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[2]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1058\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_1_i_0[2]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[29]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[29]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[29]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIQOT2[38]\ : 
        MX2
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, B
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[4]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIQOT2[38]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_77\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNITOT2[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[46]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_3[1]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO_0[18]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[18]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0_0\, C
         => \Core8051S_sub_1/un5_oen\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_m[18]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[12]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[12]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[12]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill_RNI3I3MA[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[7]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_98\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_li00.0.COREAI_i100.COREAI_io10.COREAI_Lo10\ : 
        IOPAD_A_IN
      port map(PAD => AC0, Y => 
        \Core8051S_sub_1/COREAI_0/COREAI_IO1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNI5FVDN\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNIGR0HB_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un48_core8051s_ioi0i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l[6]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[6]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un16_core8051s_o010l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un74_core8051s_oll1l_0_i_0\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_l1i1i_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un74_core8051s_oll1l_0_i_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_22\ : 
        AND3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_3[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_3[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_3[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_0[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_O01ii/CORE8051S_I1lo0_RNI6FO\ : 
        INV
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l1lII\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l1lII_i\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_RNO_10\ : OR3C
      port map(A => \Core8051S_sub_1/CoreTimer_1/N_168\, B => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_a2_0_0\, C
         => \Core8051S_sub_1/CoreTimer_1/N_41_i_0\, Y => 
        \Core8051S_sub_1/CoreTimer_1/N_173\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_6[5]\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[5]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_587\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a2_6[0]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_216\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_218\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[55]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_198\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[55]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l_RNI06UA[7]\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_151\, B => 
        \Core8051S_sub_1/COREAI_0/N_121\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, Y => 
        \Core8051S_sub_1/N_137\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2_m[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N78\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_66\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2_m[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_OIO1L_RNO\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un9_core8051s_oilli\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/IR_m[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_OIO1L_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIGG8EN[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un48_core8051s_ioi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1133\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LLI0i_RNI2C443\ : 
        OR2B
      port map(A => \Memory_0.INV_1_Y\, B => 
        Core8051S_sub_1_MEMPSRD, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_678_i_0_a2_m6_0_a3_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.core8051s_l0lo025_2\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo025_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[108]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo026_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo025_2\);
    
    \MEMADDR_pad[7]/U0/U1\ : IOTRI_OB_EB
      port map(D => \\\\\MEMADDR_[7]\\\\_c_0\, E => SOC_VCC_NET, 
        DOUT => \MEMADDR_pad[7]/U0/NET1\, EOUT => 
        \MEMADDR_pad[7]/U0/NET2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I0_CO1\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_RNI35QKK1[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N204_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_46\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[51]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJTV[38]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[56]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1392\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[56]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o01l_1_sqmuxa_i_a2_12\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_325\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_105_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIFE17[31]\ : NOR3A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil_0_a2_1_1\, 
        B => \Core8051S_sub_1/CoreWatchdog_0/COUNT[22]_net_1\, C
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT[31]_net_1\, Y
         => 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil_0_a2_1_5\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[7]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/N_28\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i[8]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I114_Y_0_0_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[0]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_2[18]\ : NOR3A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[18]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, C
         => \Core8051S_sub_1/CoreWatchdog_0/N_311\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_126\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[37]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[157]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[157]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNI18N6[0]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1410\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1156\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_i1li_RNIPMO2[2]\ : OR2A
      port map(A => \\\\\MEMADDR_[2]\\\\_c\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_i1li[2]_net_1\, Y => 
        \Core8051S_sub_1/COREAI_0/N_203\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i[2]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I108_Y_0_0_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[2]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.0.COREAI_o11i.COREAI_i00L[0]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[0]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un21_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[0]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[19]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[19]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[19]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_94\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNO[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[1]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[31]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1356\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNI2BQD[5]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1447\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[5]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1186\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ioiii_4_s_2[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i[7]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[7]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_i000[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[6]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i1LL_1[6]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[6]_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_RNO[2]\ : 
        XA1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[2]_net_1\, 
        B => \Core8051S_sub_1/CoreWatchdog_0/N_35\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_O1_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_19\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[9]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[9]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[9]_net_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[11]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[11]\\\\\, 
        B => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave14_PSELx\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS14_m[11]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[25]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n25\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[25]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i_1_ADD_8x8_fast_I26_Y\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N146\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N149\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N145\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N176_i\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[1]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[1]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[1]\\\\\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[1]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[1]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreUARTapb_0/un12_psel\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_7[1]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[1]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_495\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_RNO_2\ : 
        NOR2B
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_48_i_0\, B
         => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[9]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_257\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_15\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_251\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I0OL_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_2_5_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[1]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[1]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[1]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_58\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iLI0I_1_I_1\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIIL0C[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_TMP_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_oloi_0_sqmuxa_0_a2_2\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_283\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_47\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_90\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIA401[3]\ : OR2
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt_c2\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[3]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[3]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[3]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l_RNIRTTA[5]\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_428\, B => 
        \Core8051S_sub_1/COREAI_0/N_119\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, Y => 
        \Core8051S_sub_1/N_135\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO[7]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo020_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1_0_iv_1[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[23]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[103]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[103]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO_1[5]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[3]_net_1\, 
        B => \\\Core8051S_sub_1_MEMDATAO_[4]\\\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_887\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ii1l.un4_incl_mul_div_da_0_a2_4\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_incl_mul_div_da_0_a2_5_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un4_incl_mul_div_da_0_a2_4_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1383\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIQPR76[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[5]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[5]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[33]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIGSCH2[37]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_770\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a4_0[1]\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0_APB3master_PSELx\, B => 
        \\\\\MEMADDR_[8]\\\\_c_0\, C => \\\\\MEMADDR_[9]\\\\_c_0\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a4_0[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[122]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_142\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[122]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_0[6]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[6]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16\, 
        Q => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[6]\\\\_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un4308_core8051s_oll1l_0_a2_0_a3\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_316\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_314\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[109]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[16]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n16\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte_0\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[16]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_Iio1l\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[0]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un17_core8051s_i110l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_O0I0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNI4C6Q53[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1204\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_1[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1202\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_0_3[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_incl_mul_div_da_3\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_4\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_285\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_85\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_incl_mul_div_da_3_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNICPNR7L2[4]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_4[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m[4]\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I1l0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_69\ : 
        NOR2
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_l100\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_io1o0_1_0_a2_1_a5_0_a2_2_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_21\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_lool0_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_l100\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_544\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_RNIN0FL5[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[5]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[5]\);
    
    \dataOut_pad[0]/U0/U0\ : IOPAD_TRI
      port map(D => \dataOut_pad[0]/U0/NET1\, E => 
        \dataOut_pad[0]/U0/NET2\, PAD => dataOut(0));
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_10[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_oloi_0_sqmuxa_10\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_l0il\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_l0il_m\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_95\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIM9B3[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[120]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_14\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_12\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_801\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_817\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_m[4]\ : 
        XAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_partial_sum[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_2_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli26_4_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_m[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill_RNIFH85L[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_97\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_98\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_oill[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_99\);
    
    \EXT_RAM_CS_N_pad/U0/U0\ : IOPAD_TRI
      port map(D => \EXT_RAM_CS_N_pad/U0/NET1\, E => 
        \EXT_RAM_CS_N_pad/U0/NET2\, PAD => EXT_RAM_CS_N);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_li01I_RNII613\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_l100\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_299\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_12\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un169_core8051s_oiol0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un165_core8051s_oiol0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un167_core8051s_oiol0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[3]\ : 
        OR3C
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_269\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_268\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_270\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_2[13]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1228\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWatchdOG_IIL_RNO_10\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWatchDOG_L0[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_o0L_0_a2_2_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_256\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[25]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/CoreAPB3_0_APBmslave0_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[25]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[25]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[15]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_3[15]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1250\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_914\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO[15]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_64\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_82\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_735\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3286_core8051s_oll1l_0_i_o3\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_353\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTiiIl_RNISPV5[3]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_114\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_115\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[4]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[44]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_2_iv_3[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[2]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_129\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL_RNO_0[8]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_7_i\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTOIOL[8]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_171\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_186\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_io0l\ : DFN1P0
      port map(D => \Core8051S_sub_1/COREAI_0/COREAI_io0l_1\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_io0l_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_m[3]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_37\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli26_4_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_iolL_2_m[3]_net_1\);
    
    \MEMADDR_pad[13]/U0/U1\ : IOTRI_OB_EB
      port map(D => \\\\\MEMADDR_[13]\\\\_c\, E => SOC_VCC_NET, 
        DOUT => \MEMADDR_pad[13]/U0/NET1\, EOUT => 
        \MEMADDR_pad[13]/U0/NET2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_5[5]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_182\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184_0\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_611\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I[10]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I116_Y_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \\\\\MEMADDR_[10]\\\\_c\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_28\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9HE1[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[54]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT3_E_1[1]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[18]\ : NOR3
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_124\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_125\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_126\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_291\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I97_Y_0\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N293\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I97_un1_Y_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N292\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I97_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli_ADD_4x4_fast_I16_Y_0_1\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_2[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_42\ : 
        AND2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[90]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNINAD1[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_2[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_97\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIO9B3[118]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[121]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_14\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_16\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_1_RNI9Q56B[0]\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_735\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un5_core8051s_oiol\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1546\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1552\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_2\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_170_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[99]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_2_net_1\);
    
    \Memory_0/data_read_mux_0/MX2_Result_0_inst\ : MX2
      port map(A => \Memory_0/data_read_mux_0/MX2_4_Y\, B => 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[0]\\\\\, S => 
        \Memory_0/data_read_mux_0/SelAux_1_0_net\, Y => 
        \\\Memory_0_RD_[0]\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO_0[15]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[15]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[7]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/N_67\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[15]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[3]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n3\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[57]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1393\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[57]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_0[18]\ : NOR3A
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_311\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, C
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT[18]_net_1\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/N_124\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_30\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[27]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[24]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un190_core8051s_oiol0[21]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1284_core8051s_oiol0_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNIRKG0K[1]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_0_sqmuxa_2_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_0[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_1[1]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_l1OI_RNO_0\ : OR2B
      port map(A => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_net_1\, B => 
        \Core8051S_sub_1/COREAI_0/COREAI_Lioi\, Y => 
        \Core8051S_sub_1/COREAI_0/un19_coreai_lioi\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_6\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_2_3_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_1_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[98]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_170_0\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNIPG52[2]\ : OR2
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt_c1\, B => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[2]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c2\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[13]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[13]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[13]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_82\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIB5JOI\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIN9D1A_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_l1l0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1137\);
    
    \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[0]\ : 
        DFN1E1C0
      port map(D => \AFLSDF_INV_44\, CLK => clk_pll_0_GLA, CLR
         => \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreInterrupt_0/N_105_i\, Q => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInTERRUPT_ooi[0]_net_1\);
    
    \dataIn_pad[1]/U0/U0\ : IOPAD_IN
      port map(PAD => dataIn(1), Y => \dataIn_pad[1]/U0/NET1\);
    
    
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0_a2_0\ : 
        NOR2A
      port map(A => \\\\\MEMADDR_[2]\\\\_c\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_287\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol[0]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_e0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_c0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNIACLRC[2]\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_m[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_i01_m[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_0[0]\);
    
    \INBUF_0_RNI9C31/U_CLKSRC\ : CLKSRC
      port map(A => INBUF_0, Y => INBUF_0_Y);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNIMK41U21\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIRGDI9G[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_2[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_5_4_N_8\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_2_iv_4[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[11]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO[11]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[11]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_1[15]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[15]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[15]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_86\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o101i_RNO_3\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_234\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0ol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lllo03_0_a2_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_llL\ : DFN1P0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_llL_RNO_net_1\, 
        CLK => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COREWatchdog_llL_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_21\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_32_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_11\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1172_core8051s_oiol0_NE_13\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i[14]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I120_Y_0_0_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIVGF37[5]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_66\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1399\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_a2_0_0[5]\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETIMer_i1l\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETIMer_i1l_RNO_0_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_0/CORETIMer_i1l_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[6]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[6]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_47\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[51]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJTV[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_4[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNILJU1[69]\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_6_0_o2_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_o01o0_6_0_o2_0_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[69]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_862\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[1]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii32_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNILHQH2[117]\ : 
        MX2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_690\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNI2MDVO[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_940\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_930\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ol00i[5]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un25_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[21]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_1[7]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1444\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1277\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LL00I[2]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[2]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un29_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[26]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l[1]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un16_core8051s_o010l\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_a10_4[0]\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_165\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_125\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_2[2]\ : OR2
      port map(A => \Core8051S_sub_1/N_185\, B => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[2]_net_1\, Y
         => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_2[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I108_Y_0\ : 
        XNOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_248\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N277\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I108_Y_0_0_0\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l_RNI9G5B[0]\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_423\, B => 
        \Core8051S_sub_1/COREAI_0/N_114\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_0\, Y => 
        \Core8051S_sub_1/COREAI_0/N_130\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO[11]\ : NOR3
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_340\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_341\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/N_342\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_42\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[26]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[26]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[26]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i1OO0.un338_core8051s_io00l\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_net_1\, 
        B => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_l01ii.un15_core8051s_i1i1i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un150_core8051s_o01\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un338_core8051s_io00l\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a4[1]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_il0_0_a4_0[1]_net_1\, 
        B => \Core8051S_sub_1/CoreAPB3_0/N_359\, Y => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave1_PSELx\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIPUTH2[117]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_L000[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[117]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_693\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli_ADD_4x4_fast_I8_Y_0_o2\ : 
        MAJ3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_23_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N100\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNITHA3[135]\ : 
        XA1C
      port map(A => \\\\\MEMADDR_[15]\\\\_c\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[135]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_5\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[22]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[22]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[22]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[22]\);
    
    \Core8051S_sub_1/COREAI_0/un1_coreai_l0li_1\ : OR2
      port map(A => \\\\\MEMADDR_[4]\\\\_c_2\, B => 
        \\\\\MEMADDR_[3]\\\\_c_2\, Y => 
        \Core8051S_sub_1/un1_coreai_l0li_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m_0[2]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_2_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/MEMDATAI_m_0[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un560_core8051s_oll1l_0_a2_i\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_316\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_315\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_244\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNIR5C4[5]\ : OR2
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt_c4\, B => 
        \Core8051S_sub_1/CoreTimer_1/COUnt[5]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_c5\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_6_0_I_1\ : 
        AND2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_6[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_9[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un8_core8051s_ooi0i_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_325\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_299\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un8_core8051s_ooi0i_0_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNO[4]\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_lil_i_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oll_i\, C => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n4_0_i_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_22\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[127]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[127]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_115\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un352_core8051s_oiol0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2557_core8051s_oll1l_0_a3\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_314\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_299\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[65]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_50\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[6]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_6[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO0_DWACT_COMP0_E_2[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I64_un1_Y\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N275_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N272_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I64_un1_Y_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I108_Y_0\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNILNTSP3[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3_i[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N277_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I108_Y_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[20]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[20]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[20]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I1_P0N\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_856\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N124\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_lili[6]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[6]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[6]_net_1\);
    
    AFLSDF_INV_7 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_7\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL_RNICFQ2[7]\ : 
        NOR2B
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_43\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[7]_net_1\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/N_45\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[18]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[19]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[19]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_lool0.core8051s_lool0_1\ : 
        NOR2A
      port map(A => Core8051S_sub_1_MEMPSRD, B => 
        \Memory_0.INV_1_Y\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_lool0_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_l11l.un59_incl_mul_div_da\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o1ol\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_144\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un59_incl_mul_div_da\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIICARK1[10]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un67_core8051s_ooi0i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_901\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1106\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_0_iv_0_0[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_i001I_RNI9M1FME1\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_7_0tt_b0_0_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_7_0tt_N_7\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_m[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_7_0_m3_e_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[9]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[9]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[9]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_74\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO_0[6]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[6]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[6]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_1/N_54\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_0[6]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave3_PRDATA_[6]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave3_PSELx\, C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[6]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_0[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[32]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[32]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[32]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[32]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[32]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/un3_core8051s_ili1i_5_2\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ii1ii/un3_core8051s_ili1i_5_2_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIVL3G[17]\ : OR3
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[16]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/N_309\, C => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[17]_net_1\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_311\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/CORE8051S_OO1ii_RNO\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ll0II\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un12_core8051s_iio1i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un12_core8051s_iio1i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_0_RNIMVQ5M[11]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un19_core8051s_ooi0i_RNITV88A_net_1\, 
        B => \\\\\MEMADDR_[11]\\\\_c_0\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_l1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1086\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LL00I[5]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[5]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un29_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[29]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNI28N6[1]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1410\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1160\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_9[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_olo1L\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[7]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_udrcap\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[5]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[85]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[125]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_5[5]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNIQ421[7]\ : NOR3A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_25_1\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[4]_net_1\, C => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[7]_net_1\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_25_2\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_0[11]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[11]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_164\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNI7EVOD[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_N_8\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[1]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_5_N_7\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_0_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un1_CORE8051S_l100l_1_I_17\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/DWACT_ADD_CI_0_g_array_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo00L[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/I_17_1\);
    
    AFLSDF_INV_41 : INV
      port map(A => \\\\\MEMADDR_[2]\\\\_c\, Y => \AFLSDF_INV_41\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_50\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[2]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_808\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_816\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIGRS4[6]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un78_core8051s_io00l_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un8_core8051s_io01i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un78_core8051s_io00l_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un8_core8051s_io01i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o0lo0.core8051s_l0lo021_RNI9C2GH\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo020_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo020_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo024_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo020_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_li01I_RNIVBB15\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Io01i[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[0]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_l100\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI[3]/U0\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/ir[3]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[3]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/xHDL_UJTAG_RNIQ459_3_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1_OCia51_inst/CORE8051S_o1l1i_JTAgapa_inst/CORE8051S_ILLLI[3]/Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_2[9]\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_696\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lI00L_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3751_core8051s_oll1l_0\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_316\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3751_core8051s_oll1l_0_a3_0_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_405\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[98]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_0_RNILHN41[7]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[7]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_6_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_m[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[52]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_232\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[52]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_3\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIALE1[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[15]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_2[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I13_P0N\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1046\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[13]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N244_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[116]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_323\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[116]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_o00l_RNIT07I[3]\ : MX2
      port map(A => \Core8051S_sub_1/COREAI_0/N_133\, B => 
        \Core8051S_sub_1/COREAI_0/N_197\, S => 
        \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, Y => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[11]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_2[1]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1369\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1267\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_3[4]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o0il_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_olol_m_0[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_1[11]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1438\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[3]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1363\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[11]\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_RNO[3]\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/bauD_CLOCk\, B
         => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/un7_baud_clock\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTllol_e3_i_0\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/N_50\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_2[7]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1455\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_0[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_8[1]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_126_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_99\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_143\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_0_0[1]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNO_4[11]\ : NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[11]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/un7_corewatchdog_o1_0\, Y
         => \Core8051S_sub_1/CoreWatchdog_0/COUNT_n11_0_i_a2_1_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_5_0_tz_0\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_313\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_311\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_liol_5_0_tz_0_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[39]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1403\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_2\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[39]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I13_G0N\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_935\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_oll0i_7_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[13]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N243\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[39]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_2[39]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_0_iv_1[39]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[39]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[39]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_11\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_2\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[142]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un372_core8051s_oiol0[22]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_4[37]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_143\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[38]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIG5OL01[116]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_684\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_700\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[116]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0[6]\);
    
    \Memory_0/data_read_mux_0/MX2_Result_2_inst\ : MX2
      port map(A => \Memory_0/data_read_mux_0/MX2_0_Y\, B => 
        \Memory_0/Z\\\\nvm_if_1_DOUT7to0_[2]\\\\\, S => 
        \Memory_0/data_read_mux_0/SelAux_1_0_net\, Y => 
        \\\Memory_0_RD_[2]\\\);
    
    \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa_0_a2\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un6_coretimer_oil_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/un3_coretimer_l0\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_4[7]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_IO10_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1463\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1263\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_33\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_60_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1006\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_8_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un678_core8051s_o0ol0_NE_12\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNICG32[87]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[87]\, 
        B => \\\\\MEMADDR_[7]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_l01o0_7_i_0\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COUNT_RNIP4MH[30]\ : NOR3C
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil_0_a2_1_5\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil_0_a2_1_4\, 
        C => 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil_0_a2_1_6\, 
        Y => 
        \Core8051S_sub_1/CoreWatchdog_0/un1_corewatchdog_lil_0_a2_1_8\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2852_core8051s_oll1l_0_i_o3\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[6]\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_309\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[0]\ : MX2A
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[0]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[0]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil\, Y
         => \Core8051S_sub_1/CoreTimer_0/COUnt_n0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[17]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[17]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[17]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[17]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[17]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIHP7SR9[2]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_0_iv_5[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[2]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_RNIBOUG2\ : AO1
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/un3_coretimer_lol\, B => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_0_sqmuxa\, C => 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnte\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[10]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1404\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_2[10]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_296_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.un283_core8051s_o01_RNIUF001H\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_3\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_2\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_lioo0_1_i_a2_6\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[4]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[4]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[4]\\\\\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_0[8]\ : OR3A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[8]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_I0_1_sqmuxa_1\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_164\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_m[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNI2DM5[3]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_l1i0i_i\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_oo00i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_ooi0i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un3447_core8051s_oll1l_0_0_a3\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_290\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_303\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_414\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[18]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[18]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[18]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[18]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[21]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[21]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1783_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[21]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNO_1[1]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_partial_sum[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_TMP_1[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ooi0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_353\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_oioO0.core8051s_lioo0_1_i_a2_3\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[6]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_118\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un8_core8051s_ioi0i\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_o0ol_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L_0[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[77]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un8_core8051s_ioi0i_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIJMPH01[36]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_764\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_780\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[36]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_179\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[24]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[24]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[25]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[144]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[24]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_3_0_0_ADD_8x8_fast_I18_Y\ : 
        AO13
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_b_2[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_857\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N123\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N156\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_6[0]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_166\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_129_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_124\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_5[0]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[12]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[12]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[12]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[12]\);
    
    \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1[0]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[0]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_1/un7_coretimer_o1\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_l1[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il00I_RNO[7]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/Z\\\\CORE8051S_0_APB3master_PRDATA_[15]\\\\\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_711\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_91\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un54_core8051s_l1i1i\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0i0l\, 
        B => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_il1ii.un1_core8051s_ii10l\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un54_core8051s_l1i1i_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[120]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[120]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[6]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1545\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_i_1[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_0[12]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1552\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[12]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1242\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_m6_0_a3_1_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_1_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_7_m6_0_a3_1_0_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETimer_lli_RNO_0\ : OR3B
      port map(A => \Core8051S_sub_1/CoreTimer_0/N_254_1\, B => 
        \Core8051S_sub_1/CoreTimer_0/N_44_i_0\, C => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_ILL[0]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_254\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[2]\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_717\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_0_1[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_70\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l_RNIBCJ4[4]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOl1l[4]_net_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/Rx_byte[4]\, 
        S => \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/daTA_Out[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_oo10l_0_a2_2_1[0]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_178\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_214_1\);
    
    \dataOut_pad[2]/U0/U1\ : IOTRI_OB_EB
      port map(D => \dataOut_c[2]\, E => SOC_VCC_NET, DOUT => 
        \dataOut_pad[2]/U0/NET1\, EOUT => 
        \dataOut_pad[2]/U0/NET2\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[24]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n24\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[24]_net_1\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.0.COREAI_o11i.un21_coreai_l0li\ : 
        NOR3B
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[3]\\\\_c_1\, B
         => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_1\, C => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_3\, Y => 
        \Core8051S_sub_1/COREAI_0/un21_coreai_l0li\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_7[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iool\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[0]\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_150\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[9]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[9]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.un17_core8051s_olli_0_0_ADD_4x4_fast_I13_Y_0\ : 
        AX1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N82\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_4x4_fast_I9_un1_Y_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N73\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_olli_i[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_83\ : 
        MX2C
      port map(A => \\\\\MEMADDR_[7]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_623\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0_0[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111[0]\ : 
        MX2
      port map(A => \d_m2_1\, B => N_3_5_i, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1_0_N_4_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0111_1[0]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO_0[21]\ : MX2C
      port map(A => \Core8051S_sub_1/CoreTimer_0/COUnt[21]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[21]_net_1\, S
         => \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_98\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[138]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1400\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[138]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIQ9UVFT[4]\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[4]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[4]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_CORE8051S_L0I1i[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIVSKUT\ : 
        MX2
      port map(A => \\\Memory_0_RD_[6]\\\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_l1o1l_RNI3DGPF[22]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIM7P3E_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO[0]\ : MX2A
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt[0]_net_1\, 
        B => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL[0]_net_1\, 
        S => \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil_0\, Y
         => \Core8051S_sub_1/CoreTimer_1/COUnt_n0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNO_0[5]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[5]\\\\_0\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_879\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_96\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIQOT2[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_15_2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_i0li_1_0_iv_0_a2_3_RNI3SUV2[4]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_0[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1425\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1427\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_2[4]\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt[0]\ : DFN1E1P0
      port map(D => \Core8051S_sub_1/CoreTimer_0/COUnt_n0\, CLK
         => clk_pll_0_GLA, PRE => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreTimer_0/COUnte_0\, Q => 
        \Core8051S_sub_1/CoreTimer_0/COUnt[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[146]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[26]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1873_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[146]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o0il\ : 
        NOR2B
      port map(A => \Core8051S_sub_1/CORE8051S_0/CORE8051S_OL10\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un3_core8051s_o0il_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_o0il_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO[0]\ : OR3C
      port map(A => \Core8051S_sub_1/CoreTimer_1/COUnt_m[0]\, B
         => \Core8051S_sub_1/CoreTimer_1/CORETimer_ii_iv_1[0]\, C
         => \Core8051S_sub_1/CoreTimer_1/CoreTimer_iIL_m[0]\, Y
         => \Core8051S_sub_1/CoreTimer_1/CORETimer_ii[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI1AB3[118]\ : 
        MX2
      port map(A => \Core8051S_sub_1/Z\\\\MEMADDR_[5]\\\\_c_1\, B
         => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[5]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[118]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_784\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_18[2]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_4_i[3]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_122\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNO_18[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1444_core8051s_oiol0_0_I_2\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[130]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNINAD1[118]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_1[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_olli_I_16\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_pog_array_0_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_1_2[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_g_array_0_2[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I_16\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.CORE8051S_I0o0i_19_i_i_i_o2_tz[10]\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1538\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_707\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_848_tz\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[1]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_l0lo0_1[1]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_l0lo027\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_0[16]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_145_3_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[16]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[16]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_1[9]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1438\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[1]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1328\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[9]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[72]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[32]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[72]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1407_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_24\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_lli_RNO_3\ : OA1C
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[0]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[7]_net_1\, 
        C => \Core8051S_sub_1/CoreTimer_1/CoreTimer_ILL[3]_net_1\, 
        Y => \Core8051S_sub_1/CoreTimer_1/CorETIMER_ili_0_a2_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[20]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[20]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1783_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[20]\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0_RNO[19]\ : AO1B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CoreTimer_iIL[19]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/CoreTimer_I0_0_sqmuxa\, 
        C => \Core8051S_sub_1/CoreTimer_0/COUnt_m[19]\, Y => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[19]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un16_core8051s_i1i1i_tz\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un21_core8051s_i1i1i_net_1\, 
        B => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_l01ii.un15_core8051s_i1i1i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un16_core8051s_i1i1i_tz_net_1\);
    
    \Core8051S_sub_1/CoreTimer_1/COUnt_RNO[8]\ : AX1D
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/coretimer_loi_13_i_0\, B => 
        \Core8051S_sub_1/CoreTimer_1/un1_coretimer_lil\, C => 
        \Core8051S_sub_1/CoreTimer_1/N_58\, Y => 
        \Core8051S_sub_1/CoreTimer_1/COUnt_n8\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I98_un1_Y\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N303_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N204_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N295\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I98_un1_Y_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_1[6]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[6]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1455\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1240\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_19_i_i_i_0[6]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_lili[7]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[7]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[7]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIQ4HP6[0]\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[0]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_29\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIQ4HP6[0]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl_RNI5FT4[5]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_40\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/CUARTl[5]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTilli/N_41\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIRVD49[7]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lii[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[7]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ioi0i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_312\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I87_un1_Y\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N303\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N204\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I87_un1_Y_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_il10I_RNI16I[1]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PENABLE\, B => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, Y => 
        \Core8051S_sub_1/un2_coreai_i0li_1\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO_0[7]\ : OR2A
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li[7]_net_1\, B => 
        \Core8051S_sub_1/un11_cuartloii\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTo1li_m[7]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[2]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreWatchdog_0/N_19\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_lOL[2]_net_1\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[3]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave6_PRDATA_[3]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave6_PSELx\, C => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS0_m[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAs_iv_2[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[156]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_339\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[156]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_3[14]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[14]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_2_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1247\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[114]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_306\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_0\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[114]\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNO[9]\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_lil_i_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/un5_coretimer_oll_i\, C => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n9_0_i_0\, Y
         => \Core8051S_sub_1/CoreTimer_0/N_32\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO[38]\ : 
        OR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[38]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_1[38]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_0_i[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[38]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il_iv_0_a2_2[0]\ : 
        NOR3A
      port map(A => \Core8051S_sub_1/CoreWatchdog_0/N_353\, B => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, C => 
        \Core8051S_sub_1/N_115\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/N_289\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO_1[11]\ : 
        OA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[11]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_716\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0_0[11]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0_1[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_6\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[54]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9HE1[38]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_1[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_8\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_NE_5\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_NE_4\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_a2_1_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1257\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNIOOORFG[4]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_a0[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[4]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0103_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m[4]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I114_Y_0_0\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un3[8]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I114_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNO_2[7]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_244\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[116]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iO0II[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_20\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIV96QI\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un41_core8051s_oll0i_RNIBE03A_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_l1l0i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_i1l0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1131\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[35]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[35]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[35]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_79\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIACAVA1[7]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1_m[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_3[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/MEMDATAI_m[7]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_5[7]\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETIMer_i1l\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_1/CORETIMer_i1l_RNO_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CORETIMer_i1l_net_1\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO_1[3]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreInterrupt_0/N_102\, B
         => 
        \Core8051S_sub_1/CoreInterrupt_0/CoreInterrUPT_LOI[3]_net_1\, 
        Y => \Core8051S_sub_1/CoreInterrupt_0/N_58\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[13]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[13]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[13]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1258_core8051s_oiol0_0_I_21\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIALE1[38]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[15]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_BL_EQUAL_0_E_9[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_0_RNIMD2U[1]\ : 
        OAI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_0_RNIDJQ7[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/d_m7_0_a3_0_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1lo0_RNI9P2B\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1Ol_0_RNIMD2U[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_0[8]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[8]_net_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\, S
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_2[8]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_229\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[11]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[11]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[11]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[11]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I36_Y\ : 
        MAJ3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_252_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[4]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N213\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N271\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[2]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave4_PRDATA_[2]\\\\\, 
        B => \Core8051S_sub_1/CoreAPB3_0_APBmslave4_PSELx\, Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS4_m[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I93_un1_Y\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I93_un1_Y_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N368\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I93_un1_Y\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTL0[3]\ : 
        DFN1
      port map(D => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTo0[3]\, 
        CLK => clk_pll_0_GLA, Q => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTiO1L[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LI00i_RNITNT5[2]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_944\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_951\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[0]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_958\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I113_Y_0\ : 
        AX1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N298\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I85_un1_Y_i\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I113_Y_0_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I113_Y_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil_RNI7CI6A[0]\ : 
        AOI1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I48_Y_2_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I38_un1_Y_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_iiii_1[8]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[23]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[23]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[23]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1180_core8051s_oll1l_0_a2_i\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_316\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_313\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[13]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[133]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[133]\);
    
    
        \Core8051S_sub_1/COREAI_0/COREAI_Li1i.2.COREAI_o11i.COREAI_i00L[2]\ : 
        DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[2]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un21_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_i00L[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_I0o0i_I_83\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_TMP[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[1]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_1[0]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTooII_RNO_3[2]\ : OR2B
      port map(A => \Core8051S_sub_1/CoreUARTapb_0/CUARToLLL\, B
         => \Core8051S_sub_1/Z\\\\MEMADDR_[4]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CoreUARTapb_0/PARity_erR_m\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_4_ADD_16x16_fast_I12_P0N\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_lol0i_m[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1197\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[12]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N241_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[11]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1324\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_13_iv_i_0_1[11]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1323\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_729_i_0\);
    
    \Memory_0/data_bus_buffer_0/BIBUF_7_inst/U0/U1\ : 
        IOBI_IB_OB_EB
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[7]\\\, E => 
        \Memory_0/data_bus_buffer_0/TrienAux\, YIN => 
        \Memory_0/data_bus_buffer_0/BIBUF_7_inst/U0/NET3\, DOUT
         => \Memory_0/data_bus_buffer_0/BIBUF_7_inst/U0/NET1\, 
        EOUT => \Memory_0/data_bus_buffer_0/BIBUF_7_inst/U0/NET2\, 
        Y => \Memory_0/Z\\\\data_bus_buffer_0_Y_[7]\\\\\);
    
    \MEMADDR_pad[10]/U0/U1\ : IOTRI_OB_EB
      port map(D => \\\\\MEMADDR_[10]\\\\_c_0\, E => SOC_VCC_NET, 
        DOUT => \MEMADDR_pad[10]/U0/NET1\, EOUT => 
        \MEMADDR_pad[10]/U0/NET2\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[69]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1396\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_3\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[69]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNI8EVOD[2]\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_oolo0103_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_m_0_0[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNISPIJI3[7]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_2_sqmuxa_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_5[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1_iv_6[7]\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO[27]\ : 
        AO1B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[27]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_0_sqmuxa_0\, 
        C => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[27]\, Y => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[27]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_1[7]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_3_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/Z\\\\Core8051S_sub_1_MEMDATAO_[7]\\\\_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_3[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[5]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[5]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[5]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol[3]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_1[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_16\, 
        Q => \\\Core8051S_sub_1_MEMDATAO_[3]\\\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETimer_ii_0_iv_i_o2[3]\ : OR2
      port map(A => \Core8051S_sub_1/CoreTimer_1/N_163\, B => 
        \Core8051S_sub_1/CoreAPB3_0_APBmslave0_PWRITE\, Y => 
        \Core8051S_sub_1/CoreTimer_1/N_164\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_5_sqmuxa_0_o2\ : 
        AO1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1380\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_5_sqmuxa_0_a2_1_0_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1367_3\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1351\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI9RB4[132]\ : 
        XA1A
      port map(A => \\\\\MEMADDR_[12]\\\\_c\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[132]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_3\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un5_core8051s_i01o0_7\);
    
    \Core8051S_sub_1/CoreInterrupt_0/COREInterrupt_ooL_RNO_2[4]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreTimer_1_TIMINT\, B => 
        \Core8051S_sub_1/CoreInterrupt_0/N_103\, Y => 
        \Core8051S_sub_1/CoreInterrupt_0/N_77\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[22]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[142]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[142]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_5[39]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un4_udrsh\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UTDI\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UTDI_m_1_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_90\ : 
        MX2C
      port map(A => \\\\\MEMADDR_[7]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_651\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[78]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_o11o0_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_6_m[2]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_23\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_6_m_1[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_liol_i[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ooli_6_m[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iio0i_I_87\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_2_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_1_1_0[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_11_0[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIDDH7B[7]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_incl_mul_div_da_5_0_a2_2_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1338\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_107\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_60_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_LL00I[0]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[0]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un29_core8051s_oiol\, 
        Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[24]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_2[9]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1388\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_0[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1258\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[27]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[27]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0_a2_net_1\, 
        Q => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[27]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_2[4]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1490\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_184\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ILLL[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_298\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1_RNIS6I51[6]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1329\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/B1[6]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_L11_sn_N_2\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l11[6]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_lili[0]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[0]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un5_coreai_l0li_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_lili[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNI513S3[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m_2[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL_m_2[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_2[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_3[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_l110I.CORE8051S_I0o0i_19_i_i_i_a2_5[6]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_695\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1457\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_701\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1444\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_0[10]\ : 
        NOR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_848_tz\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1548\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[10]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1221\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_73\ : 
        MX2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_794\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I_0[158]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_802\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIM7P3E\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lii0_i_0\, B => 
        \Core8051S_sub_1/CORE8051S_0_APB3master_PSELx\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I000i_RNIM7P3E_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/A1_RNIS1B32[1]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[1]\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_176\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1416\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1_0_iv_0_0[5]\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_LI0l[0]\ : DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[0]\\\\_0\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un15_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIMPS1_0[3]\ : 
        AO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[2]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_o1i0i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[3]_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un11_core8051s_o1i0i\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNI8JI31[19]\ : NOR2B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_14\, B => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi_29\, Y => 
        \Core8051S_sub_1/CoreTimer_0/coretimer_loi\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un3_core8051s_io00l_4\ : 
        OR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[3]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un3_core8051s_io00l_4\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_LI0l[6]\ : DFN1E1C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[6]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/un15_coreai_l0li\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_LI0l[6]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_lo10l_RNO_1[0]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_123\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_132\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_5[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_8[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_l1i1i_1\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_l1i1i_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi[7]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_il[7]\, CLK
         => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave14_PRDATA_[7]\\\\\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_2[2]\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[2]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1369\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1235\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO_0[22]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[22]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[14]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/N_67\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[22]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I95_Y_1\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N296\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N289\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I95_Y_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/ADD_16x16_fast_I95_Y_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_llo0i_RNIKQF931[14]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[6]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_o01_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1214\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ol01i_RNI0NC142[1]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_oolo0_2_sqmuxa_2_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_1[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_o1iii_0_iv_2[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_ii01i_RNO_13\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_2_5_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_56_i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/core8051s_o0oo0_1_0_a2_2_5_2\);
    
    AFLSDF_INV_22 : INV
      port map(A => clk_pll_0_GLA, Y => \AFLSDF_INV_22\);
    
    \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[8]\ : DFN1C0
      port map(D => \Core8051S_sub_1/CoreTimer_1/N_30\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreTimer_1/CORETImer_o0L[8]_net_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL_RNO[2]\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_91\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_90\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_64\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_25\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNI8SMM_0[1]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/un1_core8051s_ooo1l_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_4_sqmuxa_1_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/ir[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[144]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[24]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1873_i\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[144]\);
    
    \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToOLI_RNO\ : OA1
      port map(A => \Core8051S_sub_1/un5_oen\, B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/un1_cuartiooi_0\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/cuartol1l4[0]\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToOLI_1_sqmuxa\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[29]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[29]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[29]\\\\\);
    
    \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_RNO_0[6]\ : AX1E
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[5]_net_1\, B
         => \Core8051S_sub_1/CoreTimer_0/N_37\, C => 
        \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L[6]_net_1\, Y
         => \Core8051S_sub_1/CoreTimer_0/CORETImer_o0L_n6_0_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[15]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[15]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[15]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LILI.CORE8051S_iili.core8051s_olli_3_0_0_I_12\ : 
        XOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNI4JVU5_0[7]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooLL_RNI4JVU5[7]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[4]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_olli_3[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i_m7_i_a5_0_1\ : 
        NOR3A
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.un1_CORE8051S_I010_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[6]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_i0i1i_m7_i_a5_0_1_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i_RNIT6F2[5]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_i1o0i[5]_net_1\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[13]\\\\\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[3]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_161\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNIJME59[12]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ooiII[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i[12]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ioi0i_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_934\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un2070_core8051s_oll1l_i\ : 
        OR3A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[4]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_336\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_376\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_56\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1641_core8051s_oll1l_0_i\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/un2_core8051s_i1i1i_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_338\, 
        Y => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_122\);
    
    \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS1_m[4]\ : 
        OR2B
      port map(A => \Core8051S_sub_1/CoreAPB3_0_APBmslave1_PSELx\, 
        B => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave1_PRDATA_[4]\\\\\, 
        Y => 
        \Core8051S_sub_1/CoreAPB3_0/COREAPB3_l0ll/PRDATAS1_m[4]_net_1\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_il0l[3]\ : DFN1E0C0
      port map(D => \\\Core8051S_sub_1_MEMDATAO_[3]\\\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/coreai_io0l_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_il0l[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIE1V[51]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[51]\, 
        B => \\\\\MEMADDR_[11]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_896_i_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_6[6]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_3_sqmuxa\, 
        B => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[6]\\\\_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I1ol_m_i[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_9\ : 
        XA1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[147]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1_0[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l10o0_RNO_23_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un696_core8051s_o0ol0_NE_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNO_3[2]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_336\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_352\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[57]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_360\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_4[1]\ : 
        OR3B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_4_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[8]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_Oo01i_RNIH5M5MA2[3]\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_3_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un1_core8051s_o0l1i_6_i_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_o0l1i_4\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un2_core8051s_o0l1i_6\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I38_Y\ : 
        AO13
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N210\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4[3]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_250\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N273\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_RNO[15]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_6[15]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[15]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un1_core8051s_ooo1l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i_RNIKPH3[1]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[25]\\\\\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_oi00i[1]_net_1\, 
        S => \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10_0[1]\, Y
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_943\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_RNO_4\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARTIiol[3]_net_1\, 
        B => \Core8051S_sub_1/CoreUARTapb_0/CUARTL1LI[0]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTLILI/CUARToLLL_1_sqmuxa_i_a4_0_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIQBCCI[36]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_765\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_781\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[36]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_1[7]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[2]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0li_1[2]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[2]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i_RNO_3[13]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iio0i[13]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_12_5_0[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un6_core8051s_lll0i_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1304\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWaTCHDOG_Oi_RNO_0[19]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CoreWatchdog_0/COUNT[19]_net_1\, B => 
        \Core8051S_sub_1/CoreWatchdog_0/COReWatchdog_II_1_sqmuxa_0\, 
        Y => \Core8051S_sub_1/CoreWatchdog_0/COUNT_m[19]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1262_core8051s_oiol0_0_I_110\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_1[1]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_1[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_CMPLE_PO2_DWACT_COMP0_E_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/DWACT_COMP0_E_1[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_70\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_915_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_84_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_3\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un590_core8051s_o0ol0_NE_8_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un17_core8051s_o0l0i_0_a2_0_a2_0\ : 
        NOR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_iiol_1\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_199\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1404\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL_RNIRT386[3]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LOLL[3]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01[3]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[33]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[3]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll_RNIVA1B[6]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_IIll[6]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_LIll[6]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[61]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_1329\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[3]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_5[3]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i[3]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I01ii/un4_core8051s_iio1i_2_0\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_oo00L[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_lo00l[2]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_19_i_0_i\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_26\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_4\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_7\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un1372_core8051s_oiol0_NE_1\);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL_RNI2T85[0]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTl0IL[4]_net_1\, 
        S => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/CUARTi0IL[2]_net_1\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTOili/N_78\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_RNO_7\ : 
        NOR3C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1255\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1258\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_O10O0_1_0_a2_i_0_3\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNO_0[1]\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_core8051s_i100i\, 
        B => \Core8051S_sub_1/CORE8051S_0_APB3master_PSELx\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un4_core8051s_liol_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_349\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/CORE8051S_L0I1i_RNION6R3[2]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ioiii_i[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_204\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/un79_core8051s_io01i_i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l01ii/N_214\);
    
    \Core8051S_sub_1/CoreGPIO_0/COREGPIO_ol[0]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreGPIO_0/COREGPIO_ol_RNO[0]_net_1\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/CoreGPIO_0/COREGPIO_ol[0]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_3[13]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_6_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[93]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_i1oli_m_i[93]\);
    
    \Memory_0/data_read_mux_0/MX2_1\ : MX2
      port map(A => \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[1]\\\\\, B
         => \Memory_0/Z\\\\data_bus_buffer_0_Y_[1]\\\\\, S => 
        \Memory_0/data_read_mux_0/SelAux_0_0_net\, Y => 
        \Memory_0/data_read_mux_0/MX2_1_Y\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I[154]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_310\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1650_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[154]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_11[0]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/un1_udrsh\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_m_i[1]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_l00o0_RNO_15\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_530\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_531\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_532\);
    
    \Memory_0/data_read_mux_0/MX2_7\ : MX2
      port map(A => \Memory_0/Z\\\\INT_RAM_8KB_0_RD_[6]\\\\\, B
         => \Memory_0/Z\\\\data_bus_buffer_0_Y_[6]\\\\\, S => 
        \Memory_0/data_read_mux_0/SelAux_0_4_net\, Y => 
        \Memory_0/data_read_mux_0/MX2_7_Y\);
    
    \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO[3]\ : NOR3B
      port map(A => 
        \Core8051S_sub_1/CoreTimer_1/CORETimer_ii_0_iv_i_1[3]\, B
         => 
        \Core8051S_sub_1/CoreTimer_1/CorETIMER_O0_RNO_1[3]_net_1\, 
        C => \Core8051S_sub_1/CoreTimer_1/N_164\, Y => 
        \Core8051S_sub_1/CoreTimer_1/N_13_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_oiol0.core8051s_olol0.un1440_core8051s_oiol0_0_I_85\ : 
        AOI1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[8]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[5]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/ACT_LT4_E_1[10]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I21_Y\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N241\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N238\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N256\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_ILLLI_RNIRTEG1[5]\ : 
        AO1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/core8051s_ol0li17\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_8_sqmuxa_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_10_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/N_83\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIG3L_5[37]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I0l0[1]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[37]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_751\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil_0_0_ADD_8x8_fast_I62_Y_0\ : 
        AX1D
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/I42_un1_Y_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I42_Y_0_0\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/ADD_8x8_fast_I62_Y_0_0_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_CORE8051S_loil[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli[6]\ : 
        DFN1C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29[6]\, 
        CLK => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/UDRCK\, 
        CLR => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/URSTB\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[6]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/b_RNO_2[2]\ : 
        OA1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_2_sqmuxa\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0ii_1[2]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_loil_m[1]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i11l_1_iv_2[2]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNO_1[0]\ : 
        XA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I[0]_net_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_iLI0I_RNIIL0C[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un2_core8051s_ooi0i\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_352\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_4_0_a2_0[2]\ : 
        XO1A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_13\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_11\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_122\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_40\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un1469_core8051s_oll1l_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[30]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL[29]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_LIOL_i[33]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_o000I_1_RNIR9KCA4[5]\ : 
        OR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2_iv_0_3[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1134\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_2[5]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_349\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_341\, C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_87\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ooli27_2_1_net_1\);
    
    \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[16]\ : 
        DFN1E1C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[16]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CoreWatchdog_0/un5_corewatchdog_i0_0\, Q
         => 
        \Core8051S_sub_1/CoreWatchdog_0/CoreWATCHDOG_l1[16]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[4]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_ioii_1[4]\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un1_core8051s_ioii32_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_ooil[4]_net_1\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[26]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_0\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c25\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_108\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n26\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIHOT2[38]\ : 
        MX2
      port map(A => \\\\\MEMADDR_[0]\\\\_c_0\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_IO10[0]\, S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ILL1I[38]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNIHOT2[38]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_ooli_6_0_0_ADD_5x5_fast_I0_S0N_0_0_x3\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_iolL[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_OLLL[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N78\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_iLI0I_1_I_19\ : 
        AO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_pog_array_0[0]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_TMP_1[0]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_0_1[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/DWACT_ADD_CI_0_g_array_1_1[0]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_5[15]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_a2_0[15]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_896\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1274\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_19_i_i_0[15]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_RNO_2[16]\ : 
        AOI1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_7_sqmuxa_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[136]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_0[16]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_o1l1i.JTAgapa_inst/CORE8051S_I0lli_29_1_iv_2[16]\);
    
    \Memory_0/INT_RAM_8KB_0/INT_RAM_8KB_R0C5\ : RAM4K9
      port map(ADDRA11 => \\\\\MEMADDR_[11]\\\\_c\, ADDRA10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRA9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRA8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRA7 => 
        \\\\\MEMADDR_[7]\\\\_c_0\, ADDRA6 => 
        \\\\\MEMADDR_[6]\\\\_c_0\, ADDRA5 => 
        \\\\\MEMADDR_[5]\\\\_c_2\, ADDRA4 => 
        \\\\\MEMADDR_[4]\\\\_c_2\, ADDRA3 => 
        \\\\\MEMADDR_[3]\\\\_c_2\, ADDRA2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRA1 => 
        \\\\\MEMADDR_[1]\\\\_c_0\, ADDRA0 => 
        \\\\\MEMADDR_[0]\\\\_c_0\, ADDRB11 => 
        \\\\\MEMADDR_[11]\\\\_c\, ADDRB10 => 
        \\\\\MEMADDR_[10]\\\\_c\, ADDRB9 => 
        \\\\\MEMADDR_[9]\\\\_c\, ADDRB8 => 
        \\\\\MEMADDR_[8]\\\\_c\, ADDRB7 => 
        \\\\\MEMADDR_[7]\\\\_c\, ADDRB6 => 
        \\\\\MEMADDR_[6]\\\\_c\, ADDRB5 => 
        \\\\\MEMADDR_[5]\\\\_c_2\, ADDRB4 => 
        \\\\\MEMADDR_[4]\\\\_c_2\, ADDRB3 => 
        \\\\\MEMADDR_[3]\\\\_c\, ADDRB2 => 
        \\\\\MEMADDR_[2]\\\\_c\, ADDRB1 => 
        \\\\\MEMADDR_[1]\\\\_c_0\, ADDRB0 => 
        \\\\\MEMADDR_[0]\\\\_c_0\, DINA8 => \GND\, DINA7 => \GND\, 
        DINA6 => \GND\, DINA5 => \GND\, DINA4 => \GND\, DINA3 => 
        \GND\, DINA2 => \GND\, DINA1 => \GND\, DINA0 => 
        \\\Core8051S_sub_1_MEMDATAO_[5]\\\, DINB8 => \GND\, DINB7
         => \GND\, DINB6 => \GND\, DINB5 => \GND\, DINB4 => \GND\, 
        DINB3 => \GND\, DINB2 => \GND\, DINB1 => \GND\, DINB0 => 
        \GND\, WIDTHA0 => \GND\, WIDTHA1 => \GND\, WIDTHB0 => 
        \GND\, WIDTHB1 => \GND\, PIPEA => \GND\, PIPEB => \GND\, 
        WMODEA => \GND\, WMODEB => \GND\, BLKA => 
        \Memory_0/INT_RAM_8KB_0/BLKA_EN_0_net\, BLKB => 
        \Memory_0/INT_RAM_8KB_0/BLKB_EN_0_net\, WENA => \GND\, 
        WENB => SOC_VCC_NET, CLKA => \AFLSDF_INV_10\, CLKB => 
        \AFLSDF_INV_11\, RESET => SOC_VCC_NET, DOUTA8 => OPEN, 
        DOUTA7 => OPEN, DOUTA6 => OPEN, DOUTA5 => OPEN, DOUTA4
         => OPEN, DOUTA3 => OPEN, DOUTA2 => OPEN, DOUTA1 => OPEN, 
        DOUTA0 => OPEN, DOUTB8 => OPEN, DOUTB7 => OPEN, DOUTB6
         => OPEN, DOUTB5 => OPEN, DOUTB4 => OPEN, DOUTB3 => OPEN, 
        DOUTB2 => OPEN, DOUTB1 => OPEN, DOUTB0 => 
        \Memory_0/INT_RAM_8KB_0/QX_TEMPR0_5_net\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_6_0_I_4\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_0[2]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_0[1]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/DWACT_ADD_CI_0_TMP_9[0]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_i0oi_6[8]\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_RNO[7]\ : 
        OA1C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_717\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_Ool0i_6_i_0_1[7]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_95\);
    
    AFLSDF_INV_33 : INV
      port map(A => \\\\\MEMADDR_[2]\\\\_c\, Y => \AFLSDF_INV_33\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/un694_core8051s_oll1l_0_i_a3_0\ : 
        NOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[5]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_I1I0L[3]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_i11iI/N_420\);
    
    \Core8051S_sub_1/CoreTimer_0/COUnt_RNO[29]\ : AX1A
      port map(A => 
        \Core8051S_sub_1/CoreTimer_0/un1_coretimer_lil_1\, B => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_c28\, C => 
        \Core8051S_sub_1/CoreTimer_0/N_114\, Y => 
        \Core8051S_sub_1/CoreTimer_0/COUnt_n29\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_o0oi.core8051s_i0oi_1_iv_4_0_a2_0[6]\ : 
        XO1
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_12\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/un17_core8051s_olli_i[2]\, 
        C => \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/N_122\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/N_36\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_0[0]\ : 
        MX2C
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[0]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i[0]_net_1\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1462\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_64\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_0_RNII5N41[4]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/Z\\\\Core8051S_sub_1_MEMDATAO_[4]\\\\_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/core8051s_o01l_6_sqmuxa\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_ol1II/CORE8051S_I1Ol_m[4]\);
    
    r_m1_0_a2_2 : NOR2B
      port map(A => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_l01ii.un15_core8051s_i1i1i\, 
        B => 
        \Core8051S_sub_1.CORE8051S_0.CORE8051S_I010.CORE8051S_l01ii.CORE8051S_i1OO0.un351_core8051s_io00l_0\, 
        Y => N_3_5_i);
    
    
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/fifobloCK0_RNO\ : 
        NOR3
      port map(A => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL[1]_net_1\, 
        B => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARToLOL[0]_net_1\, 
        C => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/un1_cuartooli\, 
        Y => 
        \Core8051S_sub_1/CoreUARTapb_0/CUARTlo0I/CUARTl0li.CUARTi0LI/CUARTool/CUARTlol\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I86_Y\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/I86_un1_Y_i_0\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N300_0\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N368\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[23]\ : 
        DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l_7[23]\, 
        CLK => clk_pll_0_GLA, CLR => INBUF_0_Y, E => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/un21_core8051s_i110l_net_1\, 
        Q => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_OOI1I/CORE8051S_l1o1l[23]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/un1_CORE8051S_llo0i_3_ADD_16x16_fast_I25_Y\ : 
        NOR2B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N235\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N232\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N260\);
    
    \Core8051S_sub_1/CoreTimer_0/CorETIMER_O0[28]\ : DFN1C0
      port map(D => 
        \Core8051S_sub_1/CoreTimer_0/CORETimer_ii[28]\, CLK => 
        clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, Q => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PRDATA_[28]\\\\\);
    
    \Core8051S_sub_1/COREAI_0/COREAI_oi0l[1]\ : DFN1E0C0
      port map(D => 
        \Core8051S_sub_1/Z\\\\CoreAPB3_0_APBmslave0_PWDATA_[9]\\\\\, 
        CLK => clk_pll_0_GLA, CLR => 
        \Core8051S_sub_1/CORE8051S_0_PRESETN\, E => 
        \Core8051S_sub_1/COREAI_0/coreai_io0l_net_1\, Q => 
        \Core8051S_sub_1/COREAI_0/COREAI_oi0l[1]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_i100L_i_o10_RNO_2[0]\ : 
        OR3
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_203_1\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il10_0[7]\, 
        C => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_155\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/N_157\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[4]\ : 
        OA1B
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_l0i0l\, 
        B => \Core8051S_sub_1/CORE8051S_0/CORE8051S_il10[4]\, C
         => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/un15_core8051s_ii10l_net_1\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_il1ii/CORE8051S_o000l_5[4]_net_1\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNO[17]\ : 
        MX2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_l110L[17]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[17]\, 
        S => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1406\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/N_1223\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_ill1I_RNI8G32[47]\ : 
        XNOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[47]\, 
        B => \\\\\MEMADDR_[7]\\\\_c_0\, Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/un4_core8051s_o01o0_7_i_0\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/CORE8051S_I0o0i_RNO_2[15]\ : 
        OR2A
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_lo10[7]\, B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1438\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_I010/CORE8051S_li1ii/N_1273\);
    
    
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_19\ : 
        XOR2
      port map(A => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/core8051s_i11o0_0[7]\, 
        B => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_ILL1I[67]\, 
        Y => 
        \Core8051S_sub_1/CORE8051S_0/CORE8051S_Ooo1.OCia51_inst/CORE8051S_IOI1I/CORE8051S_i00o0_RNO_19_net_1\);
    
    GND_power_inst1 : GND
      port map( Y => GND_power_net1);

    VCC_power_inst1 : VCC
      port map( Y => VCC_power_net1);


end DEF_ARCH; 
